/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za71864za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1865z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1833z00zzast_shrinkifyz00,
		BgL_bgl_string1833za700za7za7a1866za7, "shrink-variable!1245", 20);
	      DEFINE_STRING(BGl_string1835z00zzast_shrinkifyz00,
		BgL_bgl_string1835za700za7za7a1867za7, "shrink-node!1247", 16);
	      DEFINE_STRING(BGl_string1836z00zzast_shrinkifyz00,
		BgL_bgl_string1836za700za7za7a1868za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1838z00zzast_shrinkifyz00,
		BgL_bgl_string1838za700za7za7a1869za7, "shrink-node!", 12);
	      DEFINE_STRING(BGl_string1859z00zzast_shrinkifyz00,
		BgL_bgl_string1859za700za7za7a1870za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string1860z00zzast_shrinkifyz00,
		BgL_bgl_string1860za700za7za7a1871za7, "shrink-node!1247 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1872z00,
		BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1873z00,
		BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1874z00,
		BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1875z00,
		BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1876z00,
		BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1877z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1878z00,
		BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1879z00,
		BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1880z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1881z00,
		BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1882z00,
		BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1883z00,
		BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1884z00,
		BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1885z00,
		BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1886z00,
		BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1887z00,
		BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1888z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1889z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1890z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1891z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1892z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1893z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1894z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1895z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_shrinkifyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2192, char *BgL_fromz00_2193)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BGl_toplevelzd2initzd2zzast_shrinkifyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2067;

				{	/* Ast/shrinkify.scm 15 */
					obj_t BgL_stringz00_2075;

					BgL_stringz00_2075 = BGl_string1860z00zzast_shrinkifyz00;
					{	/* Ast/shrinkify.scm 15 */
						obj_t BgL_startz00_2076;

						BgL_startz00_2076 = BINT(((long) 0));
						{	/* Ast/shrinkify.scm 15 */
							obj_t BgL_endz00_2077;

							BgL_endz00_2077 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2075)));
							{	/* Ast/shrinkify.scm 15 */

								BgL_cportz00_2067 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2075, BgL_startz00_2076, BgL_endz00_2077);
				}}}}
				{
					long BgL_iz00_2068;

					BgL_iz00_2068 = ((long) 0);
				BgL_loopz00_2069:
					if ((BgL_iz00_2068 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg1862z00_2071;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2073;

										BgL_locationz00_2073 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg1862z00_2071 =
												BGl_readz00zz__readerz00(BgL_cportz00_2067,
												BgL_locationz00_2073);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_tmpz00_2221;

									BgL_tmpz00_2221 = (int) (BgL_iz00_2068);
									CNST_TABLE_SET(BgL_tmpz00_2221, BgL_arg1862z00_2071);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2074;

								BgL_auxz00_2074 = (int) ((BgL_iz00_2068 - ((long) 1)));
								{
									long BgL_iz00_2226;

									BgL_iz00_2226 = (long) (BgL_auxz00_2074);
									BgL_iz00_2068 = BgL_iz00_2226;
									goto BgL_loopz00_2069;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1229z00_1323;

				BgL_l1229z00_1323 = BgL_globalsz00_3;
			BgL_zc3anonymousza31322ze3z83_1324:
				if (PAIRP(BgL_l1229z00_1323))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1326;

							BgL_globalz00_1326 = CAR(BgL_l1229z00_1323);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1327;

								BgL_sfunz00_1327 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1326))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1228z00_1328;

									BgL_g1228z00_1328 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1327)))->BgL_argsz00);
									{
										obj_t BgL_l1226z00_1330;

										BgL_l1226z00_1330 = BgL_g1228z00_1328;
									BgL_zc3anonymousza31324ze3z83_1331:
										if (PAIRP(BgL_l1226z00_1330))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1326z00_1333;

													BgL_arg1326z00_1333 = CAR(BgL_l1226z00_1330);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1326z00_1333));
												}
												{
													obj_t BgL_l1226z00_2243;

													BgL_l1226z00_2243 = CDR(BgL_l1226z00_1330);
													BgL_l1226z00_1330 = BgL_l1226z00_2243;
													goto BgL_zc3anonymousza31324ze3z83_1331;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1350z00_1336;

									BgL_arg1350z00_1336 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1326))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1350z00_1336));
								}
							}
						}
						{
							obj_t BgL_l1229z00_2252;

							BgL_l1229z00_2252 = CDR(BgL_l1229z00_1323);
							BgL_l1229z00_1323 = BgL_l1229z00_2252;
							goto BgL_zc3anonymousza31322ze3z83_1324;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
		BGL_FUNCTION_END;
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_1991,
		obj_t BgL_globalsz00_1992)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_1992);
		}
		BGL_FUNCTION_END;
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 230 */
			{
				obj_t BgL_l1243z00_1341;

				BgL_l1243z00_1341 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31368ze3z83_1342:
				if (PAIRP(BgL_l1243z00_1341))
					{	/* Ast/shrinkify.scm 231 */
						{	/* Ast/shrinkify.scm 231 */
							obj_t BgL_arg1380z00_1344;

							BgL_arg1380z00_1344 = CAR(BgL_l1243z00_1341);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1380z00_1344));
						}
						{
							obj_t BgL_l1243z00_2260;

							BgL_l1243z00_2260 = CDR(BgL_l1243z00_1341);
							BgL_l1243z00_1341 = BgL_l1243z00_2260;
							goto BgL_zc3anonymousza31368ze3z83_1342;
						}
					}
				else
					{	/* Ast/shrinkify.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1832z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string1833z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1834z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string1835z00zzast_shrinkifyz00);
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!1247 */
	obj_t BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00(obj_t BgL_envz00_1997,
		obj_t BgL_nodez00_1998)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1836z00zzast_shrinkifyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1998)));
		}
		BGL_FUNCTION_END;
	}



/* &shrink-variable!1245 */
	obj_t BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1999, obj_t BgL_variablez00_2000)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 38 */
				bool_t BgL_testz00_2268;

				{	/* Ast/shrinkify.scm 38 */
					obj_t BgL_tmpz00_2269;

					{	/* Ast/shrinkify.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_2270;

						BgL_tmpz00_2270 =
							((BgL_objectz00_bglt)
							((BgL_variablez00_bglt) BgL_variablez00_2000));
						BgL_tmpz00_2269 = BGL_OBJECT_WIDENING(BgL_tmpz00_2270);
					}
					BgL_testz00_2268 = CBOOL(BgL_tmpz00_2269);
				}
				if (BgL_testz00_2268)
					{	/* Ast/shrinkify.scm 38 */
						{	/* Ast/shrinkify.scm 39 */
							long BgL_arg1398z00_2082;

							{	/* Ast/shrinkify.scm 39 */
								obj_t BgL_arg1399z00_2083;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1400z00_2084;

									{	/* Ast/shrinkify.scm 39 */
										long BgL_arg1728z00_2085;

										{	/* Ast/shrinkify.scm 39 */
											long BgL_arg1729z00_2086;

											{	/* Ast/shrinkify.scm 39 */
												long BgL_res1779z00_2087;

												BgL_res1779z00_2087 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_variablez00_bglt) BgL_variablez00_2000)));
												BgL_arg1729z00_2086 = BgL_res1779z00_2087;
											}
											BgL_arg1728z00_2085 = (BgL_arg1729z00_2086 - OBJECT_TYPE);
										}
										BgL_arg1400z00_2084 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2085);
									}
									BgL_arg1399z00_2083 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1400z00_2084);
								}
								{	/* Ast/shrinkify.scm 39 */
									long BgL_res1781z00_2088;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_tmpz00_2281;

										BgL_tmpz00_2281 = ((obj_t) BgL_arg1399z00_2083);
										BgL_res1781z00_2088 = BGL_CLASS_INDEX(BgL_tmpz00_2281);
									}
									BgL_arg1398z00_2082 = BgL_res1781z00_2088;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_variablez00_bglt) BgL_variablez00_2000)),
								BgL_arg1398z00_2082);
						}
						{	/* Ast/shrinkify.scm 39 */
							BgL_objectz00_bglt BgL_tmpz00_2287;

							BgL_tmpz00_2287 =
								((BgL_objectz00_bglt)
								((BgL_variablez00_bglt) BgL_variablez00_2000));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2287, BFALSE);
						}
						((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2000));
					}
				else
					{	/* Ast/shrinkify.scm 38 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 40 */
				bool_t BgL_testz00_2293;

				{	/* Ast/shrinkify.scm 40 */
					obj_t BgL_tmpz00_2294;

					{	/* Ast/shrinkify.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_2295;

						BgL_tmpz00_2295 =
							((BgL_objectz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_2000)))->
								BgL_valuez00));
						BgL_tmpz00_2294 = BGL_OBJECT_WIDENING(BgL_tmpz00_2295);
					}
					BgL_testz00_2293 = CBOOL(BgL_tmpz00_2294);
				}
				if (BgL_testz00_2293)
					{	/* Ast/shrinkify.scm 41 */
						BgL_valuez00_bglt BgL_o1101z00_2089;

						BgL_o1101z00_2089 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_variablez00_2000)))->
							BgL_valuez00);
						{	/* Ast/shrinkify.scm 41 */
							long BgL_arg1421z00_2090;

							{	/* Ast/shrinkify.scm 41 */
								obj_t BgL_arg1422z00_2091;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1433z00_2092;

									{	/* Ast/shrinkify.scm 41 */
										long BgL_arg1728z00_2093;

										{	/* Ast/shrinkify.scm 41 */
											long BgL_arg1729z00_2094;

											{	/* Ast/shrinkify.scm 41 */
												long BgL_res1783z00_2095;

												BgL_res1783z00_2095 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_o1101z00_2089));
												BgL_arg1729z00_2094 = BgL_res1783z00_2095;
											}
											BgL_arg1728z00_2093 = (BgL_arg1729z00_2094 - OBJECT_TYPE);
										}
										BgL_arg1433z00_2092 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2093);
									}
									BgL_arg1422z00_2091 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1433z00_2092);
								}
								{	/* Ast/shrinkify.scm 41 */
									long BgL_res1785z00_2096;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_tmpz00_2308;

										BgL_tmpz00_2308 = ((obj_t) BgL_arg1422z00_2091);
										BgL_res1785z00_2096 = BGL_CLASS_INDEX(BgL_tmpz00_2308);
									}
									BgL_arg1421z00_2090 = BgL_res1785z00_2096;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_o1101z00_2089), BgL_arg1421z00_2090);
						}
						{	/* Ast/shrinkify.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_2313;

							BgL_tmpz00_2313 = ((BgL_objectz00_bglt) BgL_o1101z00_2089);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2313, BFALSE);
						}
						return ((obj_t) BgL_o1101z00_2089);
					}
				else
					{	/* Ast/shrinkify.scm 40 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1246z00_1367;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res1792z00_1794;

					{	/* Ast/shrinkify.scm 37 */
						long BgL_objzd2classzd2numz00_1767;

						{	/* Ast/shrinkify.scm 37 */
							long BgL_res1786z00_1770;

							BgL_res1786z00_1770 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_4));
							BgL_objzd2classzd2numz00_1767 = BgL_res1786z00_1770;
						}
						{	/* Ast/shrinkify.scm 37 */
							obj_t BgL_arg1725z00_1768;

							BgL_arg1725z00_1768 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 37 */
								int BgL_offsetz00_1772;

								BgL_offsetz00_1772 = (int) (BgL_objzd2classzd2numz00_1767);
								{	/* Ast/shrinkify.scm 37 */
									long BgL_offsetz00_1773;

									BgL_offsetz00_1773 =
										((long) (BgL_offsetz00_1772) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_modz00_1774;

										{	/* Ast/shrinkify.scm 37 */
											int BgL_arg1727z00_1775;

											BgL_arg1727z00_1775 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 37 */
												long BgL_res1789z00_1785;

												{	/* Ast/shrinkify.scm 37 */
													long BgL_tmpz00_2325;

													BgL_tmpz00_2325 = (long) (BgL_arg1727z00_1775);
													BgL_res1789z00_1785 =
														(BgL_offsetz00_1773 / BgL_tmpz00_2325);
												}
												BgL_modz00_1774 = BgL_res1789z00_1785;
										}}
										{	/* Ast/shrinkify.scm 37 */
											long BgL_restz00_1776;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1726z00_1777;

												BgL_arg1726z00_1777 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res1791z00_1789;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_tmpz00_2329;

														BgL_tmpz00_2329 = (long) (BgL_arg1726z00_1777);
														BgL_res1791z00_1789 =
															(BgL_offsetz00_1773 % BgL_tmpz00_2329);
													}
													BgL_restz00_1776 = BgL_res1791z00_1789;
											}}
											{	/* Ast/shrinkify.scm 37 */

												{	/* Ast/shrinkify.scm 37 */
													obj_t BgL_bucketz00_1778;

													BgL_bucketz00_1778 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_1768), BgL_modz00_1774);
													BgL_res1792z00_1794 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1778), BgL_restz00_1776);
					}}}}}}}}
					BgL_method1246z00_1367 = BgL_res1792z00_1794;
				}
				return
					PROCEDURE_ENTRY(BgL_method1246z00_1367) (BgL_method1246z00_1367,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_1993,
		obj_t BgL_variablez00_1994)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_1994));
		}
		BGL_FUNCTION_END;
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1248z00_1368;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res1799z00_1823;

					{	/* Ast/shrinkify.scm 46 */
						long BgL_objzd2classzd2numz00_1796;

						{	/* Ast/shrinkify.scm 46 */
							long BgL_res1793z00_1799;

							BgL_res1793z00_1799 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_1796 = BgL_res1793z00_1799;
						}
						{	/* Ast/shrinkify.scm 46 */
							obj_t BgL_arg1725z00_1797;

							BgL_arg1725z00_1797 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 46 */
								int BgL_offsetz00_1801;

								BgL_offsetz00_1801 = (int) (BgL_objzd2classzd2numz00_1796);
								{	/* Ast/shrinkify.scm 46 */
									long BgL_offsetz00_1802;

									BgL_offsetz00_1802 =
										((long) (BgL_offsetz00_1801) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_modz00_1803;

										{	/* Ast/shrinkify.scm 46 */
											int BgL_arg1727z00_1804;

											BgL_arg1727z00_1804 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 46 */
												long BgL_res1796z00_1814;

												{	/* Ast/shrinkify.scm 46 */
													long BgL_tmpz00_2351;

													BgL_tmpz00_2351 = (long) (BgL_arg1727z00_1804);
													BgL_res1796z00_1814 =
														(BgL_offsetz00_1802 / BgL_tmpz00_2351);
												}
												BgL_modz00_1803 = BgL_res1796z00_1814;
										}}
										{	/* Ast/shrinkify.scm 46 */
											long BgL_restz00_1805;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1726z00_1806;

												BgL_arg1726z00_1806 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res1798z00_1818;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_tmpz00_2355;

														BgL_tmpz00_2355 = (long) (BgL_arg1726z00_1806);
														BgL_res1798z00_1818 =
															(BgL_offsetz00_1802 % BgL_tmpz00_2355);
													}
													BgL_restz00_1805 = BgL_res1798z00_1818;
											}}
											{	/* Ast/shrinkify.scm 46 */

												{	/* Ast/shrinkify.scm 46 */
													obj_t BgL_bucketz00_1807;

													BgL_bucketz00_1807 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_1797), BgL_modz00_1803);
													BgL_res1799z00_1823 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1807), BgL_restz00_1805);
					}}}}}}}}
					BgL_method1248z00_1368 = BgL_res1799z00_1823;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2066;

					BgL_xz00_2066 =
						PROCEDURE_ENTRY(BgL_method1248z00_1368) (BgL_method1248z00_1368,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2001,
		obj_t BgL_nodez00_2002)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2002));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc1837z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc1839z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1840z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1841z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc1842z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc1843z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1844z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1845z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc1846z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc1847z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc1848z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1849z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc1850z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1851z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1852z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1853z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1854z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1855z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1856z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1857z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1858z00zzast_shrinkifyz00,
				BGl_string1838z00zzast_shrinkifyz00);
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-jump-ex1290 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2024, obj_t BgL_nodez00_2025)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 222 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2025)))->BgL_exitz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2025)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-set-ex-1288 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2026, obj_t BgL_nodez00_2027)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 213 */
			{	/* Ast/shrinkify.scm 215 */
				BgL_varz00_bglt BgL_arg1665z00_2099;

				BgL_arg1665z00_2099 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2027)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1665z00_2099));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2027)))->BgL_bodyz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-let-var1286 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2028, obj_t BgL_nodez00_2029)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 201 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2029)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 204 */
				obj_t BgL_g1242z00_2101;

				BgL_g1242z00_2101 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2029)))->BgL_bindingsz00);
				{
					obj_t BgL_l1240z00_2103;

					BgL_l1240z00_2103 = BgL_g1242z00_2101;
				BgL_zc3anonymousza31657ze3z83_2102:
					if (PAIRP(BgL_l1240z00_2103))
						{	/* Ast/shrinkify.scm 204 */
							{	/* Ast/shrinkify.scm 205 */
								obj_t BgL_bindingz00_2104;

								BgL_bindingz00_2104 = CAR(BgL_l1240z00_2103);
								{	/* Ast/shrinkify.scm 205 */
									obj_t BgL_arg1660z00_2105;

									BgL_arg1660z00_2105 = CAR(((obj_t) BgL_bindingz00_2104));
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
										((BgL_variablez00_bglt) BgL_arg1660z00_2105));
								}
								{	/* Ast/shrinkify.scm 206 */
									obj_t BgL_arg1661z00_2106;

									BgL_arg1661z00_2106 = CDR(((obj_t) BgL_bindingz00_2104));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1661z00_2106));
								}
							}
							{
								obj_t BgL_l1240z00_2419;

								BgL_l1240z00_2419 = CDR(BgL_l1240z00_2103);
								BgL_l1240z00_2103 = BgL_l1240z00_2419;
								goto BgL_zc3anonymousza31657ze3z83_2102;
							}
						}
					else
						{	/* Ast/shrinkify.scm 204 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-let-fun1284 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2030, obj_t BgL_nodez00_2031)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 187 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2031)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 190 */
				obj_t BgL_g1239z00_2108;

				BgL_g1239z00_2108 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2031)))->BgL_localsz00);
				{
					obj_t BgL_l1237z00_2110;

					BgL_l1237z00_2110 = BgL_g1239z00_2108;
				BgL_zc3anonymousza31639ze3z83_2109:
					if (PAIRP(BgL_l1237z00_2110))
						{	/* Ast/shrinkify.scm 190 */
							{	/* Ast/shrinkify.scm 191 */
								obj_t BgL_localz00_2111;

								BgL_localz00_2111 = CAR(BgL_l1237z00_2110);
								{	/* Ast/shrinkify.scm 191 */
									BgL_valuez00_bglt BgL_sfunz00_2112;

									BgL_sfunz00_2112 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2111))))->
										BgL_valuez00);
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
											(BgL_variablez00_bglt) BgL_localz00_2111));
									{	/* Ast/shrinkify.scm 193 */
										obj_t BgL_g1236z00_2113;

										BgL_g1236z00_2113 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2112)))->BgL_argsz00);
										{
											obj_t BgL_l1234z00_2115;

											BgL_l1234z00_2115 = BgL_g1236z00_2113;
										BgL_zc3anonymousza31641ze3z83_2114:
											if (PAIRP(BgL_l1234z00_2115))
												{	/* Ast/shrinkify.scm 193 */
													{	/* Ast/shrinkify.scm 193 */
														obj_t BgL_arg1643z00_2116;

														BgL_arg1643z00_2116 = CAR(BgL_l1234z00_2115);
														BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
															((BgL_variablez00_bglt) BgL_arg1643z00_2116));
													}
													{
														obj_t BgL_l1234z00_2441;

														BgL_l1234z00_2441 = CDR(BgL_l1234z00_2115);
														BgL_l1234z00_2115 = BgL_l1234z00_2441;
														goto BgL_zc3anonymousza31641ze3z83_2114;
													}
												}
											else
												{	/* Ast/shrinkify.scm 193 */
													((bool_t) 1);
												}
										}
									}
									{	/* Ast/shrinkify.scm 194 */
										obj_t BgL_arg1651z00_2117;

										BgL_arg1651z00_2117 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2112)))->BgL_bodyz00);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1651z00_2117));
									}
								}
							}
							{
								obj_t BgL_l1237z00_2447;

								BgL_l1237z00_2447 = CDR(BgL_l1237z00_2110);
								BgL_l1237z00_2110 = BgL_l1237z00_2447;
								goto BgL_zc3anonymousza31639ze3z83_2109;
							}
						}
					else
						{	/* Ast/shrinkify.scm 190 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-box-set1282 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2032, obj_t BgL_nodez00_2033)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 178 */
			{	/* Ast/shrinkify.scm 179 */
				bool_t BgL_testz00_2449;

				{	/* Ast/shrinkify.scm 179 */
					obj_t BgL_tmpz00_2450;

					{	/* Ast/shrinkify.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_2451;

						BgL_tmpz00_2451 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033));
						BgL_tmpz00_2450 = BGL_OBJECT_WIDENING(BgL_tmpz00_2451);
					}
					BgL_testz00_2449 = CBOOL(BgL_tmpz00_2450);
				}
				if (BgL_testz00_2449)
					{	/* Ast/shrinkify.scm 179 */
						{	/* Ast/shrinkify.scm 179 */
							long BgL_arg1623z00_2119;

							{	/* Ast/shrinkify.scm 179 */
								obj_t BgL_arg1625z00_2120;

								{	/* Ast/shrinkify.scm 179 */
									obj_t BgL_arg1628z00_2121;

									{	/* Ast/shrinkify.scm 179 */
										long BgL_arg1728z00_2122;

										{	/* Ast/shrinkify.scm 179 */
											long BgL_arg1729z00_2123;

											{	/* Ast/shrinkify.scm 179 */
												long BgL_res1826z00_2124;

												BgL_res1826z00_2124 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033)));
												BgL_arg1729z00_2123 = BgL_res1826z00_2124;
											}
											BgL_arg1728z00_2122 = (BgL_arg1729z00_2123 - OBJECT_TYPE);
										}
										BgL_arg1628z00_2121 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2122);
									}
									BgL_arg1625z00_2120 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1628z00_2121);
								}
								{	/* Ast/shrinkify.scm 179 */
									long BgL_res1828z00_2125;

									{	/* Ast/shrinkify.scm 179 */
										obj_t BgL_tmpz00_2462;

										BgL_tmpz00_2462 = ((obj_t) BgL_arg1625z00_2120);
										BgL_res1828z00_2125 = BGL_CLASS_INDEX(BgL_tmpz00_2462);
									}
									BgL_arg1623z00_2119 = BgL_res1828z00_2125;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033)),
								BgL_arg1623z00_2119);
						}
						{	/* Ast/shrinkify.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_2468;

							BgL_tmpz00_2468 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2468, BFALSE);
						}
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033));
					}
				else
					{	/* Ast/shrinkify.scm 179 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 180 */
				BgL_varz00_bglt BgL_arg1629z00_2126;

				BgL_arg1629z00_2126 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1629z00_2126));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2033)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-box-ref1280 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2034, obj_t BgL_nodez00_2035)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 170 */
			{	/* Ast/shrinkify.scm 171 */
				bool_t BgL_testz00_2481;

				{	/* Ast/shrinkify.scm 171 */
					obj_t BgL_tmpz00_2482;

					{	/* Ast/shrinkify.scm 171 */
						BgL_objectz00_bglt BgL_tmpz00_2483;

						BgL_tmpz00_2483 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035));
						BgL_tmpz00_2482 = BGL_OBJECT_WIDENING(BgL_tmpz00_2483);
					}
					BgL_testz00_2481 = CBOOL(BgL_tmpz00_2482);
				}
				if (BgL_testz00_2481)
					{	/* Ast/shrinkify.scm 171 */
						{	/* Ast/shrinkify.scm 171 */
							long BgL_arg1613z00_2128;

							{	/* Ast/shrinkify.scm 171 */
								obj_t BgL_arg1616z00_2129;

								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_arg1617z00_2130;

									{	/* Ast/shrinkify.scm 171 */
										long BgL_arg1728z00_2131;

										{	/* Ast/shrinkify.scm 171 */
											long BgL_arg1729z00_2132;

											{	/* Ast/shrinkify.scm 171 */
												long BgL_res1822z00_2133;

												BgL_res1822z00_2133 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035)));
												BgL_arg1729z00_2132 = BgL_res1822z00_2133;
											}
											BgL_arg1728z00_2131 = (BgL_arg1729z00_2132 - OBJECT_TYPE);
										}
										BgL_arg1617z00_2130 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2131);
									}
									BgL_arg1616z00_2129 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1617z00_2130);
								}
								{	/* Ast/shrinkify.scm 171 */
									long BgL_res1824z00_2134;

									{	/* Ast/shrinkify.scm 171 */
										obj_t BgL_tmpz00_2494;

										BgL_tmpz00_2494 = ((obj_t) BgL_arg1616z00_2129);
										BgL_res1824z00_2134 = BGL_CLASS_INDEX(BgL_tmpz00_2494);
									}
									BgL_arg1613z00_2128 = BgL_res1824z00_2134;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035)),
								BgL_arg1613z00_2128);
						}
						{	/* Ast/shrinkify.scm 171 */
							BgL_objectz00_bglt BgL_tmpz00_2500;

							BgL_tmpz00_2500 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2500, BFALSE);
						}
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035));
					}
				else
					{	/* Ast/shrinkify.scm 171 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 172 */
				BgL_varz00_bglt BgL_arg1619z00_2135;

				BgL_arg1619z00_2135 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2035)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1619z00_2135));
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-make-bo1278 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2036, obj_t BgL_nodez00_2037)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 162 */
			{	/* Ast/shrinkify.scm 163 */
				bool_t BgL_testz00_2510;

				{	/* Ast/shrinkify.scm 163 */
					obj_t BgL_tmpz00_2511;

					{	/* Ast/shrinkify.scm 163 */
						BgL_objectz00_bglt BgL_tmpz00_2512;

						BgL_tmpz00_2512 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037));
						BgL_tmpz00_2511 = BGL_OBJECT_WIDENING(BgL_tmpz00_2512);
					}
					BgL_testz00_2510 = CBOOL(BgL_tmpz00_2511);
				}
				if (BgL_testz00_2510)
					{	/* Ast/shrinkify.scm 163 */
						{	/* Ast/shrinkify.scm 163 */
							long BgL_arg1600z00_2137;

							{	/* Ast/shrinkify.scm 163 */
								obj_t BgL_arg1603z00_2138;

								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_arg1608z00_2139;

									{	/* Ast/shrinkify.scm 163 */
										long BgL_arg1728z00_2140;

										{	/* Ast/shrinkify.scm 163 */
											long BgL_arg1729z00_2141;

											{	/* Ast/shrinkify.scm 163 */
												long BgL_res1818z00_2142;

												BgL_res1818z00_2142 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037)));
												BgL_arg1729z00_2141 = BgL_res1818z00_2142;
											}
											BgL_arg1728z00_2140 = (BgL_arg1729z00_2141 - OBJECT_TYPE);
										}
										BgL_arg1608z00_2139 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2140);
									}
									BgL_arg1603z00_2138 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1608z00_2139);
								}
								{	/* Ast/shrinkify.scm 163 */
									long BgL_res1820z00_2143;

									{	/* Ast/shrinkify.scm 163 */
										obj_t BgL_tmpz00_2523;

										BgL_tmpz00_2523 = ((obj_t) BgL_arg1603z00_2138);
										BgL_res1820z00_2143 = BGL_CLASS_INDEX(BgL_tmpz00_2523);
									}
									BgL_arg1600z00_2137 = BgL_res1820z00_2143;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037)),
								BgL_arg1600z00_2137);
						}
						{	/* Ast/shrinkify.scm 163 */
							BgL_objectz00_bglt BgL_tmpz00_2529;

							BgL_tmpz00_2529 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2529, BFALSE);
						}
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037));
					}
				else
					{	/* Ast/shrinkify.scm 163 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2037)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-switch1276 */
	obj_t BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2038, obj_t BgL_nodez00_2039)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 152 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2039)))->BgL_testz00));
			{	/* Ast/shrinkify.scm 154 */
				obj_t BgL_g1233z00_2145;

				BgL_g1233z00_2145 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2039)))->BgL_clausesz00);
				{
					obj_t BgL_l1231z00_2147;

					BgL_l1231z00_2147 = BgL_g1233z00_2145;
				BgL_zc3anonymousza31587ze3z83_2146:
					if (PAIRP(BgL_l1231z00_2147))
						{	/* Ast/shrinkify.scm 156 */
							{	/* Ast/shrinkify.scm 155 */
								obj_t BgL_clausez00_2148;

								BgL_clausez00_2148 = CAR(BgL_l1231z00_2147);
								{	/* Ast/shrinkify.scm 155 */
									obj_t BgL_arg1589z00_2149;

									BgL_arg1589z00_2149 = CDR(((obj_t) BgL_clausez00_2148));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1589z00_2149));
								}
							}
							{
								obj_t BgL_l1231z00_2550;

								BgL_l1231z00_2550 = CDR(BgL_l1231z00_2147);
								BgL_l1231z00_2147 = BgL_l1231z00_2550;
								goto BgL_zc3anonymousza31587ze3z83_2146;
							}
						}
					else
						{	/* Ast/shrinkify.scm 156 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-fail1274 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2040, obj_t BgL_nodez00_2041)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 143 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2041)))->BgL_procz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2041)))->BgL_msgz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2041)))->BgL_objz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-conditi1272 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2042, obj_t BgL_nodez00_2043)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 134 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2043)))->BgL_testz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2043)))->BgL_truez00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2043)))->BgL_falsez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-setq1270 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2044, obj_t BgL_nodez00_2045)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 127 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2045)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-cast1268 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2046, obj_t BgL_nodez00_2047)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 120 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2047)))->BgL_argz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-extern1266 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2048, obj_t BgL_nodez00_2049)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 112 */
			{	/* Ast/shrinkify.scm 113 */
				bool_t BgL_testz00_2576;

				{	/* Ast/shrinkify.scm 113 */
					obj_t BgL_tmpz00_2577;

					{	/* Ast/shrinkify.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_2578;

						BgL_tmpz00_2578 =
							((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2049));
						BgL_tmpz00_2577 = BGL_OBJECT_WIDENING(BgL_tmpz00_2578);
					}
					BgL_testz00_2576 = CBOOL(BgL_tmpz00_2577);
				}
				if (BgL_testz00_2576)
					{	/* Ast/shrinkify.scm 113 */
						{	/* Ast/shrinkify.scm 113 */
							long BgL_arg1532z00_2155;

							{	/* Ast/shrinkify.scm 113 */
								obj_t BgL_arg1537z00_2156;

								{	/* Ast/shrinkify.scm 113 */
									obj_t BgL_arg1538z00_2157;

									{	/* Ast/shrinkify.scm 113 */
										long BgL_arg1728z00_2158;

										{	/* Ast/shrinkify.scm 113 */
											long BgL_arg1729z00_2159;

											{	/* Ast/shrinkify.scm 113 */
												long BgL_res1813z00_2160;

												BgL_res1813z00_2160 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_externz00_bglt) BgL_nodez00_2049)));
												BgL_arg1729z00_2159 = BgL_res1813z00_2160;
											}
											BgL_arg1728z00_2158 = (BgL_arg1729z00_2159 - OBJECT_TYPE);
										}
										BgL_arg1538z00_2157 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2158);
									}
									BgL_arg1537z00_2156 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1538z00_2157);
								}
								{	/* Ast/shrinkify.scm 113 */
									long BgL_res1815z00_2161;

									{	/* Ast/shrinkify.scm 113 */
										obj_t BgL_tmpz00_2589;

										BgL_tmpz00_2589 = ((obj_t) BgL_arg1537z00_2156);
										BgL_res1815z00_2161 = BGL_CLASS_INDEX(BgL_tmpz00_2589);
									}
									BgL_arg1532z00_2155 = BgL_res1815z00_2161;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_externz00_bglt) BgL_nodez00_2049)),
								BgL_arg1532z00_2155);
						}
						{	/* Ast/shrinkify.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_2595;

							BgL_tmpz00_2595 =
								((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2049));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2595, BFALSE);
						}
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2049));
					}
				else
					{	/* Ast/shrinkify.scm 113 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2049)))->BgL_exprza2za2));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-funcall1264 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2050, obj_t BgL_nodez00_2051)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 103 */
			{	/* Ast/shrinkify.scm 104 */
				bool_t BgL_testz00_2604;

				{	/* Ast/shrinkify.scm 104 */
					obj_t BgL_tmpz00_2605;

					{	/* Ast/shrinkify.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_2606;

						BgL_tmpz00_2606 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2051));
						BgL_tmpz00_2605 = BGL_OBJECT_WIDENING(BgL_tmpz00_2606);
					}
					BgL_testz00_2604 = CBOOL(BgL_tmpz00_2605);
				}
				if (BgL_testz00_2604)
					{	/* Ast/shrinkify.scm 104 */
						{	/* Ast/shrinkify.scm 104 */
							long BgL_arg1516z00_2163;

							{	/* Ast/shrinkify.scm 104 */
								obj_t BgL_arg1521z00_2164;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg1522z00_2165;

									{	/* Ast/shrinkify.scm 104 */
										long BgL_arg1728z00_2166;

										{	/* Ast/shrinkify.scm 104 */
											long BgL_arg1729z00_2167;

											{	/* Ast/shrinkify.scm 104 */
												long BgL_res1809z00_2168;

												BgL_res1809z00_2168 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_2051)));
												BgL_arg1729z00_2167 = BgL_res1809z00_2168;
											}
											BgL_arg1728z00_2166 = (BgL_arg1729z00_2167 - OBJECT_TYPE);
										}
										BgL_arg1522z00_2165 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2166);
									}
									BgL_arg1521z00_2164 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1522z00_2165);
								}
								{	/* Ast/shrinkify.scm 104 */
									long BgL_res1811z00_2169;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_tmpz00_2617;

										BgL_tmpz00_2617 = ((obj_t) BgL_arg1521z00_2164);
										BgL_res1811z00_2169 = BGL_CLASS_INDEX(BgL_tmpz00_2617);
									}
									BgL_arg1516z00_2163 = BgL_res1811z00_2169;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_2051)),
								BgL_arg1516z00_2163);
						}
						{	/* Ast/shrinkify.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_2623;

							BgL_tmpz00_2623 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2051));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2623, BFALSE);
						}
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2051));
					}
				else
					{	/* Ast/shrinkify.scm 104 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2051)))->BgL_funz00));
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2051)))->BgL_argsz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-app-ly1262 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2052, obj_t BgL_nodez00_2053)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 94 */
			{	/* Ast/shrinkify.scm 95 */
				bool_t BgL_testz00_2635;

				{	/* Ast/shrinkify.scm 95 */
					obj_t BgL_tmpz00_2636;

					{	/* Ast/shrinkify.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_2637;

						BgL_tmpz00_2637 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053));
						BgL_tmpz00_2636 = BGL_OBJECT_WIDENING(BgL_tmpz00_2637);
					}
					BgL_testz00_2635 = CBOOL(BgL_tmpz00_2636);
				}
				if (BgL_testz00_2635)
					{	/* Ast/shrinkify.scm 95 */
						{	/* Ast/shrinkify.scm 95 */
							long BgL_arg1503z00_2171;

							{	/* Ast/shrinkify.scm 95 */
								obj_t BgL_arg1504z00_2172;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1506z00_2173;

									{	/* Ast/shrinkify.scm 95 */
										long BgL_arg1728z00_2174;

										{	/* Ast/shrinkify.scm 95 */
											long BgL_arg1729z00_2175;

											{	/* Ast/shrinkify.scm 95 */
												long BgL_res1805z00_2176;

												BgL_res1805z00_2176 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053)));
												BgL_arg1729z00_2175 = BgL_res1805z00_2176;
											}
											BgL_arg1728z00_2174 = (BgL_arg1729z00_2175 - OBJECT_TYPE);
										}
										BgL_arg1506z00_2173 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2174);
									}
									BgL_arg1504z00_2172 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1506z00_2173);
								}
								{	/* Ast/shrinkify.scm 95 */
									long BgL_res1807z00_2177;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_tmpz00_2648;

										BgL_tmpz00_2648 = ((obj_t) BgL_arg1504z00_2172);
										BgL_res1807z00_2177 = BGL_CLASS_INDEX(BgL_tmpz00_2648);
									}
									BgL_arg1503z00_2171 = BgL_res1807z00_2177;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053)),
								BgL_arg1503z00_2171);
						}
						{	/* Ast/shrinkify.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_2654;

							BgL_tmpz00_2654 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2654, BFALSE);
						}
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053));
					}
				else
					{	/* Ast/shrinkify.scm 95 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053)))->BgL_funz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2053)))->BgL_argz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-app1260 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2054, obj_t BgL_nodez00_2055)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 85 */
			{	/* Ast/shrinkify.scm 86 */
				bool_t BgL_testz00_2666;

				{	/* Ast/shrinkify.scm 86 */
					obj_t BgL_tmpz00_2667;

					{	/* Ast/shrinkify.scm 86 */
						BgL_objectz00_bglt BgL_tmpz00_2668;

						BgL_tmpz00_2668 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2055));
						BgL_tmpz00_2667 = BGL_OBJECT_WIDENING(BgL_tmpz00_2668);
					}
					BgL_testz00_2666 = CBOOL(BgL_tmpz00_2667);
				}
				if (BgL_testz00_2666)
					{	/* Ast/shrinkify.scm 86 */
						{	/* Ast/shrinkify.scm 86 */
							long BgL_arg1485z00_2179;

							{	/* Ast/shrinkify.scm 86 */
								obj_t BgL_arg1487z00_2180;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1490z00_2181;

									{	/* Ast/shrinkify.scm 86 */
										long BgL_arg1728z00_2182;

										{	/* Ast/shrinkify.scm 86 */
											long BgL_arg1729z00_2183;

											{	/* Ast/shrinkify.scm 86 */
												long BgL_res1801z00_2184;

												BgL_res1801z00_2184 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_2055)));
												BgL_arg1729z00_2183 = BgL_res1801z00_2184;
											}
											BgL_arg1728z00_2182 = (BgL_arg1729z00_2183 - OBJECT_TYPE);
										}
										BgL_arg1490z00_2181 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1728z00_2182);
									}
									BgL_arg1487z00_2180 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1490z00_2181);
								}
								{	/* Ast/shrinkify.scm 86 */
									long BgL_res1803z00_2185;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_tmpz00_2679;

										BgL_tmpz00_2679 = ((obj_t) BgL_arg1487z00_2180);
										BgL_res1803z00_2185 = BGL_CLASS_INDEX(BgL_tmpz00_2679);
									}
									BgL_arg1485z00_2179 = BgL_res1803z00_2185;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2055)), BgL_arg1485z00_2179);
						}
						{	/* Ast/shrinkify.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_2685;

							BgL_tmpz00_2685 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2055));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2685, BFALSE);
						}
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2055));
					}
				else
					{	/* Ast/shrinkify.scm 86 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 87 */
				BgL_varz00_bglt BgL_arg1496z00_2186;

				BgL_arg1496z00_2186 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2055)))->BgL_funz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1496z00_2186));
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2055)))->BgL_argsz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-sync1258 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2056, obj_t BgL_nodez00_2057)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 76 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2057)))->BgL_mutexz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2057)))->BgL_prelockz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2057)))->BgL_bodyz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-sequenc1256 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2058, obj_t BgL_nodez00_2059)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 69 */
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2059)))->BgL_nodesz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-kwote1254 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2060, obj_t BgL_nodez00_2061)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-var1252 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2062, obj_t BgL_nodez00_2063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-atom1250 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2064, obj_t BgL_nodez00_2065)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1859z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1859z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1859z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1859z00zzast_shrinkifyz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
