/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzcfa_arithmeticz00,
		BgL_bgl_string2120za700za7za7c2148za7, "cleanup-node!1547", 17);
	      DEFINE_STRING(BGl_string2122z00zzcfa_arithmeticz00,
		BgL_bgl_string2122za700za7za7c2149za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string2139z00zzcfa_arithmeticz00,
		BgL_bgl_string2139za700za7za7c2150za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2141z00zzcfa_arithmeticz00,
		BgL_bgl_string2141za700za7za7c2151za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2142z00zzcfa_arithmeticz00,
		BgL_bgl_string2142za700za7za7c2152za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string2143z00zzcfa_arithmeticz00,
		BgL_bgl_string2143za700za7za7c2153za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string2144z00zzcfa_arithmeticz00,
		BgL_bgl_string2144za700za7za7c2154za7, "all c-eq? arithmetic-app ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2155z00,
		BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2156z00,
		BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2157z00,
		BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2158z00,
		BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2159z00,
		BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2160z00,
		BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2161z00,
		BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2162z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2163z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2164z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2165z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2166z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2167z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2168z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2169z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2170z00,
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2171z00,
		BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza72172za7,
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit2173za7,
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2174z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari2175z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_4086, char *BgL_fromz00_4087)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					return BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_3927;

				{	/* Cfa/arithmetic.scm 28 */
					obj_t BgL_stringz00_3935;

					BgL_stringz00_3935 = BGl_string2144z00zzcfa_arithmeticz00;
					{	/* Cfa/arithmetic.scm 28 */
						obj_t BgL_startz00_3936;

						BgL_startz00_3936 = BINT(((long) 0));
						{	/* Cfa/arithmetic.scm 28 */
							obj_t BgL_endz00_3937;

							BgL_endz00_3937 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3935)));
							{	/* Cfa/arithmetic.scm 28 */

								BgL_cportz00_3927 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3935, BgL_startz00_3936, BgL_endz00_3937);
				}}}}
				{
					long BgL_iz00_3928;

					BgL_iz00_3928 = ((long) 2);
				BgL_loopz00_3929:
					if ((BgL_iz00_3928 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg2146z00_3931;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_3933;

										BgL_locationz00_3933 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg2146z00_3931 =
												BGl_readz00zz__readerz00(BgL_cportz00_3927,
												BgL_locationz00_3933);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_tmpz00_4115;

									BgL_tmpz00_4115 = (int) (BgL_iz00_3928);
									CNST_TABLE_SET(BgL_tmpz00_4115, BgL_arg2146z00_3931);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_3934;

								BgL_auxz00_3934 = (int) ((BgL_iz00_3928 - ((long) 1)));
								{
									long BgL_iz00_4120;

									BgL_iz00_4120 = (long) (BgL_auxz00_3934);
									BgL_iz00_3928 = BgL_iz00_4120;
									goto BgL_loopz00_3929;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l1511z00_2779;

				BgL_l1511z00_2779 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza31590ze3z83_2780:
				if (PAIRP(BgL_l1511z00_2779))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2782;

							BgL_nodez00_2782 = CAR(BgL_l1511z00_2779);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_2784;

								BgL_fz00_2784 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2782))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_2785;

									BgL_valz00_2785 =
										(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_testz00_4131;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg1600z00_2788;

												BgL_arg1600z00_2788 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
													BgL_typez00);
												BgL_testz00_4131 =
													(((obj_t) BgL_arg1600z00_2788) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_4131)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_vz00_3682;

													BgL_vz00_3682 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3682), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_testz00_4137;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg1608z00_2791;

												BgL_arg1608z00_2791 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_2782)))->
													BgL_typez00);
												BgL_testz00_4137 =
													(((obj_t) BgL_arg1608z00_2791) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_4137)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_typez00_bglt BgL_vz00_3685;

													BgL_vz00_3685 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_2782)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3685), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_testz00_4145;

											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_res2074z00_3686;

												BgL_res2074z00_3686 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valz00_2785), BGl_sfunz00zzast_varz00);
												BgL_testz00_4145 = BgL_res2074z00_3686;
											}
											if (BgL_testz00_4145)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg1611z00_2793;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l1505z00_2794;

														BgL_l1505z00_2794 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2785)))->
															BgL_argsz00);
														if (NULLP(BgL_l1505z00_2794))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg1611z00_2793 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head1507z00_2796;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg1620z00_2808;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg1623z00_2809;

																		BgL_arg1623z00_2809 =
																			CAR(((obj_t) BgL_l1505z00_2794));
																		BgL_arg1620z00_2808 =
																			BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1623z00_2809);
																	}
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_res2076z00_3690;

																		BgL_res2076z00_3690 =
																			MAKE_YOUNG_PAIR(BgL_arg1620z00_2808,
																			BNIL);
																		BgL_head1507z00_2796 = BgL_res2076z00_3690;
																	}
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g1510z00_2797;

																	BgL_g1510z00_2797 =
																		CDR(((obj_t) BgL_l1505z00_2794));
																	{
																		obj_t BgL_l1505z00_2799;
																		obj_t BgL_tail1508z00_2800;

																		BgL_l1505z00_2799 = BgL_g1510z00_2797;
																		BgL_tail1508z00_2800 = BgL_head1507z00_2796;
																	BgL_zc3anonymousza31613ze3z83_2801:
																		if (NULLP(BgL_l1505z00_2799))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg1611z00_2793 =
																					BgL_head1507z00_2796;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail1509z00_2803;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1617z00_2805;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg1619z00_2806;

																						BgL_arg1619z00_2806 =
																							CAR(((obj_t) BgL_l1505z00_2799));
																						BgL_arg1617z00_2805 =
																							BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																							(BgL_arg1619z00_2806);
																					}
																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_res2078z00_3694;

																						BgL_res2078z00_3694 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1617z00_2805, BNIL);
																						BgL_newtail1509z00_2803 =
																							BgL_res2078z00_3694;
																					}
																				}
																				SET_CDR(BgL_tail1508z00_2800,
																					BgL_newtail1509z00_2803);
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1616z00_2804;

																					BgL_arg1616z00_2804 =
																						CDR(((obj_t) BgL_l1505z00_2799));
																					{
																						obj_t BgL_tail1508z00_4168;
																						obj_t BgL_l1505z00_4167;

																						BgL_l1505z00_4167 =
																							BgL_arg1616z00_2804;
																						BgL_tail1508z00_4168 =
																							BgL_newtail1509z00_2803;
																						BgL_tail1508z00_2800 =
																							BgL_tail1508z00_4168;
																						BgL_l1505z00_2799 =
																							BgL_l1505z00_4167;
																						goto
																							BgL_zc3anonymousza31613ze3z83_2801;
																					}
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2785)))->
															BgL_argsz00) =
														((obj_t) BgL_arg1611z00_2793), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_testz00_4171;

													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_res2079z00_3698;

														BgL_res2079z00_3698 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_valz00_2785),
															BGl_cfunz00zzast_varz00);
														BgL_testz00_4171 = BgL_res2079z00_3698;
													}
													if (BgL_testz00_4171)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g1160z00_2811;

															BgL_g1160z00_2811 =
																(((BgL_cfunz00_bglt) COBJECT(
																		((BgL_cfunz00_bglt) BgL_valz00_2785)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_2813;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_tmpz00_4176;

																	BgL_lz00_2813 = BgL_g1160z00_2811;
																BgL_zc3anonymousza31625ze3z83_2814:
																	if (PAIRP(BgL_lz00_2813))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_tmpz00_4179;

																				BgL_tmpz00_4179 =
																					BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																					(CAR(BgL_lz00_2813));
																				SET_CAR(BgL_lz00_2813, BgL_tmpz00_4179);
																			}
																			{
																				obj_t BgL_lz00_4183;

																				BgL_lz00_4183 = CDR(BgL_lz00_2813);
																				BgL_lz00_2813 = BgL_lz00_4183;
																				goto BgL_zc3anonymousza31625ze3z83_2814;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_tmpz00_4176 = ((bool_t) 0);
																		}
																	BBOOL(BgL_tmpz00_4176);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1511z00_4186;

							BgL_l1511z00_4186 = CDR(BgL_l1511z00_2779);
							BgL_l1511z00_2779 = BgL_l1511z00_4186;
							goto BgL_zc3anonymousza31590ze3z83_2780;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1513z00_2824;

				BgL_l1513z00_2824 = BgL_globalsz00_3;
			BgL_zc3anonymousza31642ze3z83_2825:
				if (PAIRP(BgL_l1513z00_2824))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg1644z00_2827;

							BgL_arg1644z00_2827 = CAR(BgL_l1513z00_2824);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_3707;

								BgL_funz00_3707 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_arg1644z00_2827)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_3708;

									BgL_bodyz00_3708 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_3707)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_3708));
									}
								}
							}
						}
						{
							obj_t BgL_l1513z00_4197;

							BgL_l1513z00_4197 = CDR(BgL_l1513z00_2824);
							BgL_l1513z00_2824 = BgL_l1513z00_4197;
							goto BgL_zc3anonymousza31642ze3z83_2825;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
		BGL_FUNCTION_END;
	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_tz00_2830)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2830, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2830 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2830;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2830,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_4205;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg1660z00_2837;

									BgL_arg1660z00_2837 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2830))))->BgL_typez00);
									BgL_testz00_4205 =
										(
										((obj_t) BgL_arg1660z00_2837) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_4205)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_typez00_bglt BgL_vz00_3675;

										BgL_vz00_3675 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_2830))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3675), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2830;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2830;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3861, obj_t BgL_globalsz00_3862)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_3862);
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc2119z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string2120z00zzcfa_arithmeticz00);
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!1547 */
	obj_t BGl_z62cleanupzd2nodez121547za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3864, obj_t BgL_nodez00_3865)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method1549z00_2845;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res2088z00_3744;

					{	/* Cfa/arithmetic.scm 97 */
						long BgL_objzd2classzd2numz00_3717;

						{	/* Cfa/arithmetic.scm 97 */
							long BgL_res2082z00_3720;

							BgL_res2082z00_3720 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_3717 = BgL_res2082z00_3720;
						}
						{	/* Cfa/arithmetic.scm 97 */
							obj_t BgL_arg1725z00_3718;

							BgL_arg1725z00_3718 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (((long) 1)));
							{	/* Cfa/arithmetic.scm 97 */
								int BgL_offsetz00_3722;

								BgL_offsetz00_3722 = (int) (BgL_objzd2classzd2numz00_3717);
								{	/* Cfa/arithmetic.scm 97 */
									long BgL_offsetz00_3723;

									BgL_offsetz00_3723 =
										((long) (BgL_offsetz00_3722) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_modz00_3724;

										{	/* Cfa/arithmetic.scm 97 */
											int BgL_arg1727z00_3725;

											BgL_arg1727z00_3725 = (int) (((long) 16));
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_res2085z00_3735;

												{	/* Cfa/arithmetic.scm 97 */
													long BgL_tmpz00_4225;

													BgL_tmpz00_4225 = (long) (BgL_arg1727z00_3725);
													BgL_res2085z00_3735 =
														(BgL_offsetz00_3723 / BgL_tmpz00_4225);
												}
												BgL_modz00_3724 = BgL_res2085z00_3735;
										}}
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_restz00_3726;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1726z00_3727;

												BgL_arg1726z00_3727 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res2087z00_3739;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_tmpz00_4229;

														BgL_tmpz00_4229 = (long) (BgL_arg1726z00_3727);
														BgL_res2087z00_3739 =
															(BgL_offsetz00_3723 % BgL_tmpz00_4229);
													}
													BgL_restz00_3726 = BgL_res2087z00_3739;
											}}
											{	/* Cfa/arithmetic.scm 97 */

												{	/* Cfa/arithmetic.scm 97 */
													obj_t BgL_bucketz00_3728;

													BgL_bucketz00_3728 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_3718), BgL_modz00_3724);
													BgL_res2088z00_3744 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3728), BgL_restz00_3726);
					}}}}}}}}
					BgL_method1549z00_2845 = BgL_res2088z00_3744;
				}
				return
					PROCEDURE_ENTRY(BgL_method1549z00_2845) (BgL_method1549z00_2845,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_3866,
		obj_t BgL_nodez00_3867)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_3867));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2121z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc2123z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc2124z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2125z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc2126z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_switchz00zzast_nodez00, BGl_proc2127z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2128z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2129z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2130z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2131z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2132z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2133z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2134z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2135z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2136z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc2137z00zzcfa_arithmeticz00,
				BGl_string2122z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc2138z00zzcfa_arithmeticz00,
				BGl_string2139z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc2140z00zzcfa_arithmeticz00,
				BGl_string2141z00zzcfa_arithmeticz00);
		}
		BGL_FUNCTION_END;
	}



/* &cfa!-arithmetic-app1585 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3886, obj_t BgL_nodez00_3887)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 287 */
			{
				obj_t BgL_argszd2approxzd2_3962;
				obj_t BgL_argszd2approxzd2_3952;
				obj_t BgL_typez00_3953;
				obj_t BgL_speczd2typeszd2_3954;
				obj_t BgL_argszd2approxzd2_3945;
				obj_t BgL_speczd2typeszd2_3946;

				{	/* Cfa/arithmetic.scm 328 */
					obj_t BgL_argszd2approxzd2_3968;

					{	/* Cfa/arithmetic.scm 328 */
						obj_t BgL_l1539z00_3969;

						BgL_l1539z00_3969 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3887))))->BgL_argsz00);
						if (NULLP(BgL_l1539z00_3969))
							{	/* Cfa/arithmetic.scm 328 */
								BgL_argszd2approxzd2_3968 = BNIL;
							}
						else
							{	/* Cfa/arithmetic.scm 328 */
								obj_t BgL_head1541z00_3970;

								{	/* Cfa/arithmetic.scm 328 */
									BgL_approxz00_bglt BgL_arg1863z00_3971;

									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_arg1864z00_3972;

										BgL_arg1864z00_3972 = CAR(((obj_t) BgL_l1539z00_3969));
										BgL_arg1863z00_3971 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1864z00_3972));
									}
									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_res2113z00_3973;

										BgL_res2113z00_3973 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1863z00_3971), BNIL);
										BgL_head1541z00_3970 = BgL_res2113z00_3973;
									}
								}
								{	/* Cfa/arithmetic.scm 328 */
									obj_t BgL_g1544z00_3974;

									BgL_g1544z00_3974 = CDR(((obj_t) BgL_l1539z00_3969));
									{
										obj_t BgL_l1539z00_3976;
										obj_t BgL_tail1542z00_3977;

										BgL_l1539z00_3976 = BgL_g1544z00_3974;
										BgL_tail1542z00_3977 = BgL_head1541z00_3970;
									BgL_zc3anonymousza31858ze3z83_3975:
										if (NULLP(BgL_l1539z00_3976))
											{	/* Cfa/arithmetic.scm 328 */
												BgL_argszd2approxzd2_3968 = BgL_head1541z00_3970;
											}
										else
											{	/* Cfa/arithmetic.scm 328 */
												obj_t BgL_newtail1543z00_3978;

												{	/* Cfa/arithmetic.scm 328 */
													BgL_approxz00_bglt BgL_arg1861z00_3979;

													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_arg1862z00_3980;

														BgL_arg1862z00_3980 =
															CAR(((obj_t) BgL_l1539z00_3976));
														BgL_arg1861z00_3979 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1862z00_3980));
													}
													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_res2115z00_3981;

														BgL_res2115z00_3981 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1861z00_3979), BNIL);
														BgL_newtail1543z00_3978 = BgL_res2115z00_3981;
													}
												}
												SET_CDR(BgL_tail1542z00_3977, BgL_newtail1543z00_3978);
												{	/* Cfa/arithmetic.scm 328 */
													obj_t BgL_arg1860z00_3982;

													BgL_arg1860z00_3982 =
														CDR(((obj_t) BgL_l1539z00_3976));
													{
														obj_t BgL_tail1542z00_4286;
														obj_t BgL_l1539z00_4285;

														BgL_l1539z00_4285 = BgL_arg1860z00_3982;
														BgL_tail1542z00_4286 = BgL_newtail1543z00_3978;
														BgL_tail1542z00_3977 = BgL_tail1542z00_4286;
														BgL_l1539z00_3976 = BgL_l1539z00_4285;
														goto BgL_zc3anonymousza31858ze3z83_3975;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/arithmetic.scm 330 */
						obj_t BgL_tyz00_3983;

						BgL_argszd2approxzd2_3962 = BgL_argszd2approxzd2_3968;
						{
							obj_t BgL_argsz00_3964;

							BgL_argsz00_3964 = BgL_argszd2approxzd2_3962;
						BgL_loopz00_3963:
							if (NULLP(BgL_argsz00_3964))
								{	/* Cfa/arithmetic.scm 296 */
									BgL_tyz00_3983 = BFALSE;
								}
							else
								{	/* Cfa/arithmetic.scm 298 */
									obj_t BgL_tz00_3965;

									{	/* Cfa/arithmetic.scm 298 */
										BgL_typez00_bglt BgL_arg1872z00_3966;

										BgL_arg1872z00_3966 =
											(((BgL_approxz00_bglt) COBJECT(
													((BgL_approxz00_bglt)
														CAR(((obj_t) BgL_argsz00_3964)))))->BgL_typez00);
										if (
											(((obj_t) BgL_arg1872z00_3966) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3965 = BGl_za2longza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3965 = ((obj_t) BgL_arg1872z00_3966);
											}
									}
									if ((BgL_tz00_3965 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/arithmetic.scm 300 */
											obj_t BgL_arg1871z00_3967;

											BgL_arg1871z00_3967 = CDR(((obj_t) BgL_argsz00_3964));
											{
												obj_t BgL_argsz00_4301;

												BgL_argsz00_4301 = BgL_arg1871z00_3967;
												BgL_argsz00_3964 = BgL_argsz00_4301;
												goto BgL_loopz00_3963;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 299 */
											BgL_tyz00_3983 = BgL_tz00_3965;
										}
								}
						}
						{	/* Cfa/arithmetic.scm 336 */
							bool_t BgL_testz00_4302;

							{	/* Cfa/arithmetic.scm 336 */
								obj_t BgL_arg1856z00_3984;

								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4303;

									{
										obj_t BgL_auxz00_4304;

										{	/* Cfa/arithmetic.scm 336 */
											BgL_objectz00_bglt BgL_tmpz00_4305;

											BgL_tmpz00_4305 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3887));
											BgL_auxz00_4304 = BGL_OBJECT_WIDENING(BgL_tmpz00_4305);
										}
										BgL_auxz00_4303 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4304);
									}
									BgL_arg1856z00_3984 =
										(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4303))->
										BgL_speczd2typeszd2);
								}
								BgL_argszd2approxzd2_3952 = BgL_argszd2approxzd2_3968;
								BgL_typez00_3953 = BgL_tyz00_3983;
								BgL_speczd2typeszd2_3954 = BgL_arg1856z00_3984;
								{	/* Cfa/arithmetic.scm 305 */
									bool_t BgL__ortest_1184z00_3955;

									if (CBOOL(BgL_typez00_3953))
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1184z00_3955 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1184z00_3955 = ((bool_t) 1);
										}
									if (BgL__ortest_1184z00_3955)
										{	/* Cfa/arithmetic.scm 305 */
											BgL_testz00_4302 = BgL__ortest_1184z00_3955;
										}
									else
										{	/* Cfa/arithmetic.scm 306 */
											obj_t BgL__andtest_1185z00_3956;

											BgL__andtest_1185z00_3956 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_typez00_3953, BgL_speczd2typeszd2_3954);
											if (CBOOL(BgL__andtest_1185z00_3956))
												{
													obj_t BgL_argsz00_3958;

													BgL_argsz00_3958 = BgL_argszd2approxzd2_3952;
												BgL_loopz00_3957:
													if (NULLP(BgL_argsz00_3958))
														{	/* Cfa/arithmetic.scm 308 */
															BgL_testz00_4302 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 310 */
															obj_t BgL_tz00_3959;

															{	/* Cfa/arithmetic.scm 310 */
																BgL_typez00_bglt BgL_arg1880z00_3960;

																BgL_arg1880z00_3960 =
																	(((BgL_approxz00_bglt) COBJECT(
																			((BgL_approxz00_bglt)
																				CAR(
																					((obj_t) BgL_argsz00_3958)))))->
																	BgL_typez00);
																if ((((obj_t) BgL_arg1880z00_3960) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3959 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3959 =
																			((obj_t) BgL_arg1880z00_3960);
																	}
															}
															{	/* Cfa/arithmetic.scm 311 */
																bool_t BgL_testz00_4327;

																if ((BgL_tz00_3959 == BgL_typez00_3953))
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4327 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4327 =
																			(BgL_tz00_3959 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_testz00_4327)
																	{	/* Cfa/arithmetic.scm 312 */
																		obj_t BgL_arg1879z00_3961;

																		BgL_arg1879z00_3961 =
																			CDR(((obj_t) BgL_argsz00_3958));
																		{
																			obj_t BgL_argsz00_4333;

																			BgL_argsz00_4333 = BgL_arg1879z00_3961;
																			BgL_argsz00_3958 = BgL_argsz00_4333;
																			goto BgL_loopz00_3957;
																		}
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4302 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 306 */
													BgL_testz00_4302 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_testz00_4302)
								{	/* Cfa/arithmetic.scm 336 */
									{	/* Cfa/arithmetic.scm 339 */
										bool_t BgL_testz00_4334;

										{	/* Cfa/arithmetic.scm 339 */
											bool_t BgL_testz00_4335;

											{	/* Cfa/arithmetic.scm 339 */
												obj_t BgL_arg1837z00_3985;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4336;

													{
														obj_t BgL_auxz00_4337;

														{	/* Cfa/arithmetic.scm 339 */
															BgL_objectz00_bglt BgL_tmpz00_4338;

															BgL_tmpz00_4338 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3887));
															BgL_auxz00_4337 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4338);
														}
														BgL_auxz00_4336 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4337);
													}
													BgL_arg1837z00_3985 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4336))->BgL_speczd2typeszd2);
												}
												BgL_argszd2approxzd2_3945 = BgL_argszd2approxzd2_3968;
												BgL_speczd2typeszd2_3946 = BgL_arg1837z00_3985;
												{
													obj_t BgL_argsz00_3948;

													BgL_argsz00_3948 = BgL_argszd2approxzd2_3945;
												BgL_loopz00_3947:
													if (NULLP(BgL_argsz00_3948))
														{	/* Cfa/arithmetic.scm 318 */
															BgL_testz00_4335 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 320 */
															bool_t BgL_testz00_4346;

															{	/* Cfa/arithmetic.scm 320 */
																obj_t BgL_arg1890z00_3949;

																{	/* Cfa/arithmetic.scm 320 */
																	BgL_typez00_bglt BgL_arg1891z00_3950;

																	BgL_arg1891z00_3950 =
																		(((BgL_approxz00_bglt) COBJECT(
																				((BgL_approxz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_3948)))))->
																		BgL_typez00);
																	if ((((obj_t) BgL_arg1891z00_3950) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1890z00_3949 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1890z00_3949 =
																				((obj_t) BgL_arg1891z00_3950);
																		}
																}
																BgL_testz00_4346 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1890z00_3949,
																		BgL_speczd2typeszd2_3946));
															}
															if (BgL_testz00_4346)
																{	/* Cfa/arithmetic.scm 321 */
																	obj_t BgL_arg1889z00_3951;

																	BgL_arg1889z00_3951 =
																		CDR(((obj_t) BgL_argsz00_3948));
																	{
																		obj_t BgL_argsz00_4359;

																		BgL_argsz00_4359 = BgL_arg1889z00_3951;
																		BgL_argsz00_3948 = BgL_argsz00_4359;
																		goto BgL_loopz00_3947;
																	}
																}
															else
																{	/* Cfa/arithmetic.scm 320 */
																	BgL_testz00_4335 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_testz00_4335)
												{	/* Cfa/arithmetic.scm 340 */
													BgL_typez00_bglt BgL_arg1835z00_3986;

													{
														BgL_approxz00_bglt BgL_auxz00_4360;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4361;

															{
																obj_t BgL_auxz00_4362;

																{	/* Cfa/arithmetic.scm 340 */
																	BgL_objectz00_bglt BgL_tmpz00_4363;

																	BgL_tmpz00_4363 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_3887));
																	BgL_auxz00_4362 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4363);
																}
																BgL_auxz00_4361 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_4362);
															}
															BgL_auxz00_4360 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	COBJECT(BgL_auxz00_4361))->BgL_approxz00);
														}
														BgL_arg1835z00_3986 =
															(((BgL_approxz00_bglt) COBJECT(BgL_auxz00_4360))->
															BgL_typez00);
													}
													BgL_testz00_4334 =
														(
														((obj_t) BgL_arg1835z00_3986) ==
														BGl_za2_za2z00zztype_cachez00);
												}
											else
												{	/* Cfa/arithmetic.scm 339 */
													BgL_testz00_4334 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4334)
											{	/* Cfa/arithmetic.scm 339 */
												{	/* Cfa/arithmetic.scm 343 */
													BgL_approxz00_bglt BgL_arg1834z00_3987;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4372;

														{
															obj_t BgL_auxz00_4373;

															{	/* Cfa/arithmetic.scm 343 */
																BgL_objectz00_bglt BgL_tmpz00_4374;

																BgL_tmpz00_4374 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_3887));
																BgL_auxz00_4373 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4374);
															}
															BgL_auxz00_4372 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_4373);
														}
														BgL_arg1834z00_3987 =
															(((BgL_arithmeticzd2appzd2_bglt)
																COBJECT(BgL_auxz00_4372))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg1834z00_3987,
														((BgL_typez00_bglt) BgL_tyz00_3983));
												}
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(
														((long) 0)));
											}
										else
											{	/* Cfa/arithmetic.scm 339 */
												BFALSE;
											}
									}
								}
							else
								{	/* Cfa/arithmetic.scm 345 */
									bool_t BgL_testz00_4384;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) COBJECT(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_3887))))->
																				BgL_funz00)))->BgL_variablez00)))))->
												BgL_idz00) == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/arithmetic.scm 345 */
											BgL_testz00_4384 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BgL_testz00_4384 = ((bool_t) 1);
										}
									if (BgL_testz00_4384)
										{	/* Cfa/arithmetic.scm 345 */
											{
												obj_t BgL_l1545z00_3989;

												BgL_l1545z00_3989 = BgL_argszd2approxzd2_3968;
											BgL_zc3anonymousza31846ze3z83_3988:
												if (PAIRP(BgL_l1545z00_3989))
													{	/* Cfa/arithmetic.scm 346 */
														{	/* Cfa/arithmetic.scm 346 */
															obj_t BgL_az00_3990;

															BgL_az00_3990 = CAR(BgL_l1545z00_3989);
															BGl_loosez12z12zzcfa_loosez00(
																((BgL_approxz00_bglt) BgL_az00_3990),
																CNST_TABLE_REF(((long) 2)));
														}
														{
															obj_t BgL_l1545z00_4401;

															BgL_l1545z00_4401 = CDR(BgL_l1545z00_3989);
															BgL_l1545z00_3989 = BgL_l1545z00_4401;
															goto BgL_zc3anonymousza31846ze3z83_3988;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 346 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 347 */
												BgL_approxz00_bglt BgL_arg1852z00_3991;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4403;

													{
														obj_t BgL_auxz00_4404;

														{	/* Cfa/arithmetic.scm 347 */
															BgL_objectz00_bglt BgL_tmpz00_4405;

															BgL_tmpz00_4405 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3887));
															BgL_auxz00_4404 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4405);
														}
														BgL_auxz00_4403 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4404);
													}
													BgL_arg1852z00_3991 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4403))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1852z00_3991,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BFALSE;
										}
								}
						}
					}
				}
				{
					BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4413;

					{
						obj_t BgL_auxz00_4414;

						{	/* Cfa/arithmetic.scm 350 */
							BgL_objectz00_bglt BgL_tmpz00_4415;

							BgL_tmpz00_4415 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3887));
							BgL_auxz00_4414 = BGL_OBJECT_WIDENING(BgL_tmpz00_4415);
						}
						BgL_auxz00_4413 = ((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4414);
					}
					return
						(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4413))->
						BgL_approxz00);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &node-setup!-pre-arit1583 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3888, obj_t BgL_nodez00_3889)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 244 */
			{	/* Cfa/arithmetic.scm 255 */
				BgL_variablez00_bglt BgL_fz00_3993;

				BgL_fz00_3993 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3889))))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/arithmetic.scm 255 */
					BgL_valuez00_bglt BgL_valz00_3994;

					BgL_valz00_3994 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3993))->BgL_valuez00);
					{	/* Cfa/arithmetic.scm 256 */

						{	/* Cfa/arithmetic.scm 258 */
							bool_t BgL_testz00_4426;

							{	/* Cfa/arithmetic.scm 258 */
								BgL_typez00_bglt BgL_arg1786z00_3995;

								BgL_arg1786z00_3995 =
									(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3993))->
									BgL_typez00);
								BgL_testz00_4426 =
									(((obj_t) BgL_arg1786z00_3995) ==
									BGl_za2objza2z00zztype_cachez00);
							}
							if (BgL_testz00_4426)
								{	/* Cfa/arithmetic.scm 258 */
									{	/* Cfa/arithmetic.scm 261 */
										BgL_typez00_bglt BgL_vz00_3996;

										BgL_vz00_3996 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_fz00_3993))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3996), BUNSPEC);
									}
									{	/* Cfa/arithmetic.scm 262 */
										BgL_typez00_bglt BgL_vz00_3997;

										BgL_vz00_3997 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_3889))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3997), BUNSPEC);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 258 */
									BFALSE;
								}
						}
						{	/* Cfa/arithmetic.scm 264 */
							bool_t BgL_testz00_4436;

							{	/* Cfa/arithmetic.scm 264 */
								bool_t BgL_res2098z00_3998;

								BgL_res2098z00_3998 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valz00_3994), BGl_sfunz00zzast_varz00);
								BgL_testz00_4436 = BgL_res2098z00_3998;
							}
							if (BgL_testz00_4436)
								{	/* Cfa/arithmetic.scm 265 */
									obj_t BgL_arg1789z00_3999;

									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_l1533z00_4000;

										BgL_l1533z00_4000 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_3994)))->BgL_argsz00);
										if (NULLP(BgL_l1533z00_4000))
											{	/* Cfa/arithmetic.scm 265 */
												BgL_arg1789z00_3999 = BNIL;
											}
										else
											{	/* Cfa/arithmetic.scm 265 */
												obj_t BgL_head1535z00_4001;

												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_arg1797z00_4002;

													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_arg1798z00_4003;

														BgL_arg1798z00_4003 =
															CAR(((obj_t) BgL_l1533z00_4000));
														BgL_arg1797z00_4002 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(BgL_arg1798z00_4003);
													}
													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_res2100z00_4004;

														BgL_res2100z00_4004 =
															MAKE_YOUNG_PAIR(BgL_arg1797z00_4002, BNIL);
														BgL_head1535z00_4001 = BgL_res2100z00_4004;
													}
												}
												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_g1538z00_4005;

													BgL_g1538z00_4005 = CDR(((obj_t) BgL_l1533z00_4000));
													{
														obj_t BgL_l1533z00_4007;
														obj_t BgL_tail1536z00_4008;

														BgL_l1533z00_4007 = BgL_g1538z00_4005;
														BgL_tail1536z00_4008 = BgL_head1535z00_4001;
													BgL_zc3anonymousza31791ze3z83_4006:
														if (NULLP(BgL_l1533z00_4007))
															{	/* Cfa/arithmetic.scm 265 */
																BgL_arg1789z00_3999 = BgL_head1535z00_4001;
															}
														else
															{	/* Cfa/arithmetic.scm 265 */
																obj_t BgL_newtail1537z00_4009;

																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1794z00_4010;

																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_arg1795z00_4011;

																		BgL_arg1795z00_4011 =
																			CAR(((obj_t) BgL_l1533z00_4007));
																		BgL_arg1794z00_4010 =
																			BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1795z00_4011);
																	}
																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_res2102z00_4012;

																		BgL_res2102z00_4012 =
																			MAKE_YOUNG_PAIR(BgL_arg1794z00_4010,
																			BNIL);
																		BgL_newtail1537z00_4009 =
																			BgL_res2102z00_4012;
																	}
																}
																SET_CDR(BgL_tail1536z00_4008,
																	BgL_newtail1537z00_4009);
																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1793z00_4013;

																	BgL_arg1793z00_4013 =
																		CDR(((obj_t) BgL_l1533z00_4007));
																	{
																		obj_t BgL_tail1536z00_4459;
																		obj_t BgL_l1533z00_4458;

																		BgL_l1533z00_4458 = BgL_arg1793z00_4013;
																		BgL_tail1536z00_4459 =
																			BgL_newtail1537z00_4009;
																		BgL_tail1536z00_4008 = BgL_tail1536z00_4459;
																		BgL_l1533z00_4007 = BgL_l1533z00_4458;
																		goto BgL_zc3anonymousza31791ze3z83_4006;
																	}
																}
															}
													}
												}
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_3994)))->BgL_argsz00) =
										((obj_t) BgL_arg1789z00_3999), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 266 */
									bool_t BgL_testz00_4462;

									{	/* Cfa/arithmetic.scm 266 */
										bool_t BgL_res2103z00_4014;

										BgL_res2103z00_4014 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_valz00_3994), BGl_cfunz00zzast_varz00);
										BgL_testz00_4462 = BgL_res2103z00_4014;
									}
									if (BgL_testz00_4462)
										{	/* Cfa/arithmetic.scm 267 */
											obj_t BgL_g1178z00_4015;

											BgL_g1178z00_4015 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_3994)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_lz00_4017;

												BgL_lz00_4017 = BgL_g1178z00_4015;
											BgL_loopz00_4016:
												if (PAIRP(BgL_lz00_4017))
													{	/* Cfa/arithmetic.scm 269 */
														obj_t BgL_tmpz00_4469;

														BgL_tmpz00_4469 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(CAR(BgL_lz00_4017));
														SET_CAR(BgL_lz00_4017, BgL_tmpz00_4469);
													}
												else
													{	/* Cfa/arithmetic.scm 270 */
														obj_t BgL_arg1804z00_4018;

														BgL_arg1804z00_4018 = CDR(((obj_t) BgL_lz00_4017));
														{
															obj_t BgL_lz00_4475;

															BgL_lz00_4475 = BgL_arg1804z00_4018;
															BgL_lz00_4017 = BgL_lz00_4475;
															goto BgL_loopz00_4016;
														}
													}
											}
										}
									else
										{	/* Cfa/arithmetic.scm 266 */
											BGl_errorz00zz__errorz00
												(BGl_string2139z00zzcfa_arithmeticz00,
												BGl_string2142z00zzcfa_arithmeticz00,
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3889)));
										}
								}
						}
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_3889)),
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
						{	/* Cfa/arithmetic.scm 275 */
							obj_t BgL_arg1805z00_4019;

							BgL_arg1805z00_4019 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3889))))->BgL_argsz00);
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1805z00_4019);
						}
						{	/* Cfa/arithmetic.scm 276 */
							obj_t BgL_speczd2typeszd2_4020;

							{
								BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_4486;

								{
									obj_t BgL_auxz00_4487;

									{	/* Cfa/arithmetic.scm 276 */
										BgL_objectz00_bglt BgL_tmpz00_4488;

										BgL_tmpz00_4488 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3889));
										BgL_auxz00_4487 = BGL_OBJECT_WIDENING(BgL_tmpz00_4488);
									}
									BgL_auxz00_4486 =
										((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_4487);
								}
								BgL_speczd2typeszd2_4020 =
									(((BgL_prezd2arithmeticzd2appz00_bglt)
										COBJECT(BgL_auxz00_4486))->BgL_speczd2typeszd2);
							}
							{	/* Cfa/arithmetic.scm 276 */
								BgL_appz00_bglt BgL_nodez00_4021;

								{	/* Cfa/arithmetic.scm 277 */
									long BgL_arg1811z00_4022;

									{	/* Cfa/arithmetic.scm 277 */
										obj_t BgL_arg1812z00_4023;

										{	/* Cfa/arithmetic.scm 277 */
											obj_t BgL_arg1814z00_4024;

											{	/* Cfa/arithmetic.scm 277 */
												long BgL_arg1728z00_4025;

												{	/* Cfa/arithmetic.scm 277 */
													long BgL_arg1729z00_4026;

													{	/* Cfa/arithmetic.scm 277 */
														long BgL_res2105z00_4027;

														BgL_res2105z00_4027 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3889)));
														BgL_arg1729z00_4026 = BgL_res2105z00_4027;
													}
													BgL_arg1728z00_4025 =
														(BgL_arg1729z00_4026 - OBJECT_TYPE);
												}
												BgL_arg1814z00_4024 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1728z00_4025);
											}
											BgL_arg1812z00_4023 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg1814z00_4024);
										}
										{	/* Cfa/arithmetic.scm 277 */
											long BgL_res2107z00_4028;

											{	/* Cfa/arithmetic.scm 277 */
												obj_t BgL_tmpz00_4500;

												BgL_tmpz00_4500 = ((obj_t) BgL_arg1812z00_4023);
												BgL_res2107z00_4028 = BGL_CLASS_INDEX(BgL_tmpz00_4500);
											}
											BgL_arg1811z00_4022 = BgL_res2107z00_4028;
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3889)),
										BgL_arg1811z00_4022);
								}
								{	/* Cfa/arithmetic.scm 277 */
									BgL_objectz00_bglt BgL_tmpz00_4506;

									BgL_tmpz00_4506 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3889));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4506, BFALSE);
								}
								BgL_nodez00_4021 = ((BgL_appz00_bglt) BgL_nodez00_3889);
								{	/* Cfa/arithmetic.scm 277 */

									{	/* Cfa/arithmetic.scm 278 */
										BgL_arithmeticzd2appzd2_bglt BgL_wide1182z00_4029;

										BgL_wide1182z00_4029 =
											((BgL_arithmeticzd2appzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_arithmeticzd2appzd2_bgl))));
										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_auxz00_4516;
											BgL_objectz00_bglt BgL_tmpz00_4512;

											BgL_auxz00_4516 = ((obj_t) BgL_wide1182z00_4029);
											BgL_tmpz00_4512 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_4021)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4512, BgL_auxz00_4516);
										}
										{	/* Cfa/arithmetic.scm 278 */
											long BgL_arg1806z00_4030;

											{	/* Cfa/arithmetic.scm 278 */
												long BgL_res2108z00_4031;

												BgL_res2108z00_4031 =
													BGL_CLASS_INDEX
													(BGl_arithmeticzd2appzd2zzcfa_info2z00);
												BgL_arg1806z00_4030 = BgL_res2108z00_4031;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4021))),
												BgL_arg1806z00_4030);
										}
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4021)));
									}
									{
										BgL_approxz00_bglt BgL_auxz00_4535;
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4527;

										{	/* Cfa/arithmetic.scm 280 */
											bool_t BgL_testz00_4536;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_typez00_bglt BgL_arg1810z00_4032;

												BgL_arg1810z00_4032 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3993))->
													BgL_typez00);
												BgL_testz00_4536 =
													(((obj_t) BgL_arg1810z00_4032) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_4536)
												{	/* Cfa/arithmetic.scm 280 */
													BgL_auxz00_4535 =
														BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
												}
											else
												{	/* Cfa/arithmetic.scm 282 */
													BgL_typez00_bglt BgL_arg1809z00_4033;

													BgL_arg1809z00_4033 =
														(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3993))->
														BgL_typez00);
													BgL_auxz00_4535 =
														BGl_makezd2typezd2approxz00zzcfa_approxz00
														(BgL_arg1809z00_4033);
												}
										}
										{
											obj_t BgL_auxz00_4528;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_objectz00_bglt BgL_tmpz00_4529;

												BgL_tmpz00_4529 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4021)));
												BgL_auxz00_4528 = BGL_OBJECT_WIDENING(BgL_tmpz00_4529);
											}
											BgL_auxz00_4527 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4528);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_4527))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_auxz00_4535), BUNSPEC);
									}
									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4544;

										{
											obj_t BgL_auxz00_4545;

											{	/* Cfa/arithmetic.scm 279 */
												BgL_objectz00_bglt BgL_tmpz00_4546;

												BgL_tmpz00_4546 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4021)));
												BgL_auxz00_4545 = BGL_OBJECT_WIDENING(BgL_tmpz00_4546);
											}
											BgL_auxz00_4544 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4545);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_4544))->BgL_speczd2typeszd2) =
											((obj_t) BgL_speczd2typeszd2_4020), BUNSPEC);
									}
									return
										((obj_t)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4021)));
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* unspecified-type~0 */
	obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_lz00_3077)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 253 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_3077, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 247 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 247 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_3077,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 249 */
							{	/* Cfa/arithmetic.scm 250 */
								BgL_typez00_bglt BgL_vz00_3784;

								BgL_vz00_3784 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_3077))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_3784), BUNSPEC);
							}
							return BgL_lz00_3077;
						}
					else
						{	/* Cfa/arithmetic.scm 249 */
							return BgL_lz00_3077;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-app1581 */
	obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3890, obj_t BgL_nodez00_3891)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 231 */
			{	/* Cfa/arithmetic.scm 232 */
				bool_t BgL_tmpz00_4564;

				{	/* Cfa/arithmetic.scm 233 */
					BgL_varz00_bglt BgL_arg1779z00_4035;

					BgL_arg1779z00_4035 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3891)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg1779z00_4035));
				}
				{	/* Cfa/arithmetic.scm 234 */
					obj_t BgL_g1532z00_4036;

					BgL_g1532z00_4036 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3891)))->BgL_argsz00);
					{
						obj_t BgL_l1530z00_4038;

						BgL_l1530z00_4038 = BgL_g1532z00_4036;
					BgL_zc3anonymousza31780ze3z83_4037:
						if (PAIRP(BgL_l1530z00_4038))
							{	/* Cfa/arithmetic.scm 234 */
								{	/* Cfa/arithmetic.scm 234 */
									obj_t BgL_arg1782z00_4039;

									BgL_arg1782z00_4039 = CAR(BgL_l1530z00_4038);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1782z00_4039));
								}
								{
									obj_t BgL_l1530z00_4576;

									BgL_l1530z00_4576 = CDR(BgL_l1530z00_4038);
									BgL_l1530z00_4038 = BgL_l1530z00_4576;
									goto BgL_zc3anonymousza31780ze3z83_4037;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 234 */
								BgL_tmpz00_4564 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4564);
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-funcal1579 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3892, obj_t BgL_nodez00_3893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 223 */
			{	/* Cfa/arithmetic.scm 224 */
				bool_t BgL_tmpz00_4579;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3893)))->BgL_funz00));
				{	/* Cfa/arithmetic.scm 226 */
					obj_t BgL_g1529z00_4041;

					BgL_g1529z00_4041 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3893)))->BgL_argsz00);
					{
						obj_t BgL_l1527z00_4043;

						BgL_l1527z00_4043 = BgL_g1529z00_4041;
					BgL_zc3anonymousza31775ze3z83_4042:
						if (PAIRP(BgL_l1527z00_4043))
							{	/* Cfa/arithmetic.scm 226 */
								{	/* Cfa/arithmetic.scm 226 */
									obj_t BgL_arg1777z00_4044;

									BgL_arg1777z00_4044 = CAR(BgL_l1527z00_4043);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1777z00_4044));
								}
								{
									obj_t BgL_l1527z00_4590;

									BgL_l1527z00_4590 = CDR(BgL_l1527z00_4043);
									BgL_l1527z00_4043 = BgL_l1527z00_4590;
									goto BgL_zc3anonymousza31775ze3z83_4042;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 226 */
								BgL_tmpz00_4579 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4579);
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-app-ly1577 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3894, obj_t BgL_nodez00_3895)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 215 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3895)))->BgL_funz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3895)))->BgL_argz00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-box-se1575 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3896, obj_t BgL_nodez00_3897)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 207 */
			{	/* Cfa/arithmetic.scm 209 */
				BgL_varz00_bglt BgL_arg1768z00_4047;

				BgL_arg1768z00_4047 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3897)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1768z00_4047));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3897)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-box-re1573 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3898, obj_t BgL_nodez00_3899)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 200 */
			{	/* Cfa/arithmetic.scm 202 */
				BgL_varz00_bglt BgL_arg1767z00_4049;

				BgL_arg1767z00_4049 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3899)))->BgL_varz00);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1767z00_4049));
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-make-b1571 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3900, obj_t BgL_nodez00_3901)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 193 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3901)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-jump-e1569 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3902, obj_t BgL_nodez00_3903)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 185 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3903)))->BgL_exitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3903)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-set-ex1567 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3904, obj_t BgL_nodez00_3905)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 177 */
			{	/* Cfa/arithmetic.scm 179 */
				BgL_varz00_bglt BgL_arg1758z00_4053;

				BgL_arg1758z00_4053 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3905)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1758z00_4053));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3905)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-let-va1565 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3906, obj_t BgL_nodez00_3907)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 167 */
			{	/* Cfa/arithmetic.scm 169 */
				obj_t BgL_g1526z00_4055;

				BgL_g1526z00_4055 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3907)))->BgL_bindingsz00);
				{
					obj_t BgL_l1524z00_4057;

					BgL_l1524z00_4057 = BgL_g1526z00_4055;
				BgL_zc3anonymousza31749ze3z83_4056:
					if (PAIRP(BgL_l1524z00_4057))
						{	/* Cfa/arithmetic.scm 169 */
							{	/* Cfa/arithmetic.scm 169 */
								obj_t BgL_bz00_4058;

								BgL_bz00_4058 = CAR(BgL_l1524z00_4057);
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_arg1751z00_4059;

									BgL_arg1751z00_4059 = CDR(((obj_t) BgL_bz00_4058));
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1751z00_4059));
								}
							}
							{
								obj_t BgL_l1524z00_4635;

								BgL_l1524z00_4635 = CDR(BgL_l1524z00_4057);
								BgL_l1524z00_4057 = BgL_l1524z00_4635;
								goto BgL_zc3anonymousza31749ze3z83_4056;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 169 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3907)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 171 */
				bool_t BgL_testz00_4640;

				{	/* Cfa/arithmetic.scm 171 */
					BgL_typez00_bglt BgL_arg1757z00_4060;

					BgL_arg1757z00_4060 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3907))))->BgL_typez00);
					BgL_testz00_4640 =
						(((obj_t) BgL_arg1757z00_4060) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4640)
					{	/* Cfa/arithmetic.scm 171 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3907))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2varzd2_bglt)
													COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3907)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 171 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-let-fu1563 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3908, obj_t BgL_nodez00_3909)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 157 */
			{	/* Cfa/arithmetic.scm 159 */
				obj_t BgL_g1523z00_4062;

				BgL_g1523z00_4062 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3909)))->BgL_localsz00);
				{
					obj_t BgL_l1521z00_4064;

					BgL_l1521z00_4064 = BgL_g1523z00_4062;
				BgL_zc3anonymousza31740ze3z83_4063:
					if (PAIRP(BgL_l1521z00_4064))
						{	/* Cfa/arithmetic.scm 159 */
							{	/* Cfa/arithmetic.scm 159 */
								obj_t BgL_arg1742z00_4065;

								BgL_arg1742z00_4065 = CAR(BgL_l1521z00_4064);
								{	/* Cfa/arithmetic.scm 90 */
									BgL_valuez00_bglt BgL_funz00_4066;

									BgL_funz00_4066 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_arg1742z00_4065)))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 90 */
										obj_t BgL_bodyz00_4067;

										BgL_bodyz00_4067 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_4066)))->BgL_bodyz00);
										{	/* Cfa/arithmetic.scm 91 */

											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_bodyz00_4067));
										}
									}
								}
							}
							{
								obj_t BgL_l1521z00_4663;

								BgL_l1521z00_4663 = CDR(BgL_l1521z00_4064);
								BgL_l1521z00_4064 = BgL_l1521z00_4663;
								goto BgL_zc3anonymousza31740ze3z83_4063;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 159 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3909)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 161 */
				bool_t BgL_testz00_4668;

				{	/* Cfa/arithmetic.scm 161 */
					BgL_typez00_bglt BgL_arg1748z00_4068;

					BgL_arg1748z00_4068 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3909))))->BgL_typez00);
					BgL_testz00_4668 =
						(((obj_t) BgL_arg1748z00_4068) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4668)
					{	/* Cfa/arithmetic.scm 161 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3909))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2funzd2_bglt)
													COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_3909)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 161 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-switch1561 */
	obj_t BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3910, obj_t BgL_nodez00_3911)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 149 */
			{	/* Cfa/arithmetic.scm 150 */
				bool_t BgL_tmpz00_4680;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3911)))->BgL_testz00));
				{	/* Cfa/arithmetic.scm 152 */
					obj_t BgL_g1520z00_4070;

					BgL_g1520z00_4070 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3911)))->BgL_clausesz00);
					{
						obj_t BgL_l1518z00_4072;

						BgL_l1518z00_4072 = BgL_g1520z00_4070;
					BgL_zc3anonymousza31736ze3z83_4071:
						if (PAIRP(BgL_l1518z00_4072))
							{	/* Cfa/arithmetic.scm 152 */
								{	/* Cfa/arithmetic.scm 152 */
									obj_t BgL_clausez00_4073;

									BgL_clausez00_4073 = CAR(BgL_l1518z00_4072);
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_arg1738z00_4074;

										BgL_arg1738z00_4074 = CDR(((obj_t) BgL_clausez00_4073));
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1738z00_4074));
									}
								}
								{
									obj_t BgL_l1518z00_4693;

									BgL_l1518z00_4693 = CDR(BgL_l1518z00_4072);
									BgL_l1518z00_4072 = BgL_l1518z00_4693;
									goto BgL_zc3anonymousza31736ze3z83_4071;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 152 */
								BgL_tmpz00_4680 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4680);
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-fail1559 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3912, obj_t BgL_nodez00_3913)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 140 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3913)))->BgL_procz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3913)))->BgL_msgz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3913)))->BgL_objz00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-condit1557 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3914, obj_t BgL_nodez00_3915)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 131 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3915)))->BgL_testz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3915)))->BgL_truez00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3915)))->BgL_falsez00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-setq1555 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3916, obj_t BgL_nodez00_3917)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 124 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3917)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-sync1553 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3918, obj_t BgL_nodez00_3919)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 113 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3919)))->BgL_mutexz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3919)))->BgL_prelockz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3919)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 118 */
				bool_t BgL_testz00_4726;

				{	/* Cfa/arithmetic.scm 118 */
					BgL_typez00_bglt BgL_arg1707z00_4079;

					BgL_arg1707z00_4079 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3919))))->BgL_typez00);
					BgL_testz00_4726 =
						(((obj_t) BgL_arg1707z00_4079) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4726)
					{	/* Cfa/arithmetic.scm 118 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_3919))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
															BgL_nodez00_3919)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 118 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &cleanup-node!-sequen1551 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3920, obj_t BgL_nodez00_3921)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 103 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3921)))->BgL_nodesz00)))
				{	/* Cfa/arithmetic.scm 105 */
					return BFALSE;
				}
			else
				{	/* Cfa/arithmetic.scm 105 */
					{	/* Cfa/arithmetic.scm 106 */
						obj_t BgL_g1517z00_4081;

						BgL_g1517z00_4081 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3921)))->BgL_nodesz00);
						{
							obj_t BgL_l1515z00_4083;

							BgL_l1515z00_4083 = BgL_g1517z00_4081;
						BgL_zc3anonymousza31665ze3z83_4082:
							if (PAIRP(BgL_l1515z00_4083))
								{	/* Cfa/arithmetic.scm 106 */
									{	/* Cfa/arithmetic.scm 106 */
										obj_t BgL_arg1669z00_4084;

										BgL_arg1669z00_4084 = CAR(BgL_l1515z00_4083);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1669z00_4084));
									}
									{
										obj_t BgL_l1515z00_4749;

										BgL_l1515z00_4749 = CDR(BgL_l1515z00_4083);
										BgL_l1515z00_4083 = BgL_l1515z00_4749;
										goto BgL_zc3anonymousza31665ze3z83_4082;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 106 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/arithmetic.scm 107 */
						bool_t BgL_testz00_4751;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_typez00_bglt BgL_arg1677z00_4085;

							BgL_arg1677z00_4085 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_3921))))->
								BgL_typez00);
							BgL_testz00_4751 =
								(((obj_t) BgL_arg1677z00_4085) ==
								BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4751)
							{	/* Cfa/arithmetic.scm 107 */
								return
									((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_3921))))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt)
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_nodez00_3921)))->
																	BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/arithmetic.scm 107 */
								return BFALSE;
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2143z00zzcfa_arithmeticz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
