/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static BgL_nodez00_bglt BGl_z62isaz12zd2app1279za2zzisa_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzisa_walkz00();
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00();
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00();
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62isaz121276z70zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1796za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21797za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzisa_walkz00,
		BgL_bgl_za762isaza7121276za7701798za7, BGl_z62isaz121276z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11799za7,
		BGl_z62isaz12zd2app1279za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1800za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121801za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1779z00zzisa_walkz00,
		BgL_bgl_string1779za700za7za7i1802za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1780z00zzisa_walkz00,
		BgL_bgl_string1780za700za7za7i1803za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1781z00zzisa_walkz00,
		BgL_bgl_string1781za700za7za7i1804za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1782z00zzisa_walkz00,
		BgL_bgl_string1782za700za7za7i1805za7, " error", 6);
	      DEFINE_STRING(BGl_string1783z00zzisa_walkz00,
		BgL_bgl_string1783za700za7za7i1806za7, "s", 1);
	      DEFINE_STRING(BGl_string1784z00zzisa_walkz00,
		BgL_bgl_string1784za700za7za7i1807za7, "", 0);
	      DEFINE_STRING(BGl_string1785z00zzisa_walkz00,
		BgL_bgl_string1785za700za7za7i1808za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1786z00zzisa_walkz00,
		BgL_bgl_string1786za700za7za7i1809za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1788z00zzisa_walkz00,
		BgL_bgl_string1788za700za7za7i1810za7, "isa!1276", 8);
	      DEFINE_STRING(BGl_string1790z00zzisa_walkz00,
		BgL_bgl_string1790za700za7za7i1811za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1791z00zzisa_walkz00,
		BgL_bgl_string1791za700za7za7i1812za7, "isa_walk", 8);
	      DEFINE_STRING(BGl_string1792z00zzisa_walkz00,
		BgL_bgl_string1792za700za7za7i1813za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2120, char *BgL_fromz00_2121)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "isa_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2036;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2044;

					BgL_stringz00_2044 = BGl_string1792z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2045;

						BgL_startz00_2045 = BINT(((long) 0));
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2046;

							BgL_endz00_2046 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2044)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2036 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2044, BgL_startz00_2045, BgL_endz00_2046);
				}}}}
				{
					long BgL_iz00_2037;

					BgL_iz00_2037 = ((long) 9);
				BgL_loopz00_2038:
					if ((BgL_iz00_2037 == ((long) -1)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1794z00_2040;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2042;

										BgL_locationz00_2042 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1794z00_2040 =
												BGl_readz00zz__readerz00(BgL_cportz00_2036,
												BgL_locationz00_2042);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2153;

									BgL_tmpz00_2153 = (int) (BgL_iz00_2037);
									CNST_TABLE_SET(BgL_tmpz00_2153, BgL_arg1794z00_2040);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2043;

								BgL_auxz00_2043 = (int) ((BgL_iz00_2037 - ((long) 1)));
								{
									long BgL_iz00_2158;

									BgL_iz00_2158 = (long) (BgL_auxz00_2043);
									BgL_iz00_2037 = BgL_iz00_2158;
									goto BgL_loopz00_2038;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1531;

				BgL_headz00_1531 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1532;
					obj_t BgL_tailz00_1533;

					BgL_prevz00_1532 = BgL_headz00_1531;
					BgL_tailz00_1533 = BgL_l1z00_1;
				BgL_loopz00_1534:
					if (PAIRP(BgL_tailz00_1533))
						{
							obj_t BgL_newzd2prevzd2_1536;

							BgL_newzd2prevzd2_1536 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1533), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1532, BgL_newzd2prevzd2_1536);
							{
								obj_t BgL_tailz00_2168;
								obj_t BgL_prevz00_2167;

								BgL_prevz00_2167 = BgL_newzd2prevzd2_1536;
								BgL_tailz00_2168 = CDR(BgL_tailz00_1533);
								BgL_tailz00_1533 = BgL_tailz00_2168;
								BgL_prevz00_1532 = BgL_prevz00_2167;
								goto BgL_loopz00_1534;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1531);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 40 */
			{	/* Isa/walk.scm 41 */
				obj_t BgL_list1327z00_1547;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_arg1349z00_1548;

					{	/* Isa/walk.scm 41 */
						obj_t BgL_arg1350z00_1549;

						BgL_arg1350z00_1549 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1349z00_1548 =
							MAKE_YOUNG_PAIR(BGl_string1779z00zzisa_walkz00,
							BgL_arg1350z00_1549);
					}
					BgL_list1327z00_1547 =
						MAKE_YOUNG_PAIR(BGl_string1780z00zzisa_walkz00,
						BgL_arg1349z00_1548);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1327z00_1547);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1779z00zzisa_walkz00;
			{	/* Isa/walk.scm 41 */
				obj_t BgL_g1117z00_1550;
				obj_t BgL_g1118z00_1551;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_list1382z00_1564;

					BgL_list1382z00_1564 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1117z00_1550 = BgL_list1382z00_1564;
				}
				BgL_g1118z00_1551 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1553;
					obj_t BgL_hnamesz00_1554;

					BgL_hooksz00_1553 = BgL_g1117z00_1550;
					BgL_hnamesz00_1554 = BgL_g1118z00_1551;
				BgL_zc3anonymousza31351ze3z83_1555:
					if (NULLP(BgL_hooksz00_1553))
						{	/* Isa/walk.scm 41 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Isa/walk.scm 41 */
							bool_t BgL_testz00_2183;

							{	/* Isa/walk.scm 41 */
								obj_t BgL_fun1381z00_1562;

								BgL_fun1381z00_1562 = CAR(((obj_t) BgL_hooksz00_1553));
								BgL_testz00_2183 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1381z00_1562)
									(BgL_fun1381z00_1562, BEOA));
							}
							if (BgL_testz00_2183)
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1358z00_1559;
									obj_t BgL_arg1367z00_1560;

									BgL_arg1358z00_1559 = CDR(((obj_t) BgL_hooksz00_1553));
									BgL_arg1367z00_1560 = CDR(((obj_t) BgL_hnamesz00_1554));
									{
										obj_t BgL_hnamesz00_2195;
										obj_t BgL_hooksz00_2194;

										BgL_hooksz00_2194 = BgL_arg1358z00_1559;
										BgL_hnamesz00_2195 = BgL_arg1367z00_1560;
										BgL_hnamesz00_1554 = BgL_hnamesz00_2195;
										BgL_hooksz00_1553 = BgL_hooksz00_2194;
										goto BgL_zc3anonymousza31351ze3z83_1555;
									}
								}
							else
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1380z00_1561;

									BgL_arg1380z00_1561 = CAR(((obj_t) BgL_hnamesz00_1554));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1779z00zzisa_walkz00,
										BGl_string1781z00zzisa_walkz00, BgL_arg1380z00_1561);
								}
						}
				}
			}
			{
				obj_t BgL_l1273z00_1566;

				BgL_l1273z00_1566 = BgL_globalsz00_17;
			BgL_zc3anonymousza31383ze3z83_1567:
				if (PAIRP(BgL_l1273z00_1566))
					{	/* Isa/walk.scm 42 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1273z00_1566));
						{
							obj_t BgL_l1273z00_2203;

							BgL_l1273z00_2203 = CDR(BgL_l1273z00_1566);
							BgL_l1273z00_1566 = BgL_l1273z00_2203;
							goto BgL_zc3anonymousza31383ze3z83_1567;
						}
					}
				else
					{	/* Isa/walk.scm 42 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Isa/walk.scm 43 */
					{	/* Isa/walk.scm 43 */
						obj_t BgL_port1275z00_1574;

						{	/* Isa/walk.scm 43 */
							obj_t BgL_res1755z00_1917;

							{	/* Isa/walk.scm 43 */
								obj_t BgL_tmpz00_2208;

								BgL_tmpz00_2208 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1755z00_1917 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2208);
							}
							BgL_port1275z00_1574 = BgL_res1755z00_1917;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1275z00_1574);
						bgl_display_string(BGl_string1782z00zzisa_walkz00,
							BgL_port1275z00_1574);
						{	/* Isa/walk.scm 43 */
							obj_t BgL_arg1400z00_1575;

							{	/* Isa/walk.scm 43 */
								bool_t BgL_testz00_2213;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 43 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 43 */
												BgL_testz00_2213 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Isa/walk.scm 43 */
												BgL_testz00_2213 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Isa/walk.scm 43 */
										BgL_testz00_2213 = ((bool_t) 0);
									}
								if (BgL_testz00_2213)
									{	/* Isa/walk.scm 43 */
										BgL_arg1400z00_1575 = BGl_string1783z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 43 */
										BgL_arg1400z00_1575 = BGl_string1784z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1400z00_1575, BgL_port1275z00_1574);
						}
						bgl_display_string(BGl_string1785z00zzisa_walkz00,
							BgL_port1275z00_1574);
						bgl_display_char(((unsigned char) 10), BgL_port1275z00_1574);
					}
					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1404z00_1581;

						BgL_list1404z00_1581 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1404z00_1581);
					}
				}
			else
				{	/* Isa/walk.scm 43 */
					obj_t BgL_g1119z00_1582;
					obj_t BgL_g1120z00_1583;

					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1436z00_1596;

						BgL_list1436z00_1596 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1119z00_1582 = BgL_list1436z00_1596;
					}
					BgL_g1120z00_1583 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1585;
						obj_t BgL_hnamesz00_1586;

						BgL_hooksz00_1585 = BgL_g1119z00_1582;
						BgL_hnamesz00_1586 = BgL_g1120z00_1583;
					BgL_zc3anonymousza31405ze3z83_1587:
						if (NULLP(BgL_hooksz00_1585))
							{	/* Isa/walk.scm 43 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 43 */
								bool_t BgL_testz00_2232;

								{	/* Isa/walk.scm 43 */
									obj_t BgL_fun1435z00_1594;

									BgL_fun1435z00_1594 = CAR(((obj_t) BgL_hooksz00_1585));
									BgL_testz00_2232 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1435z00_1594)
										(BgL_fun1435z00_1594, BEOA));
								}
								if (BgL_testz00_2232)
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1421z00_1591;
										obj_t BgL_arg1422z00_1592;

										BgL_arg1421z00_1591 = CDR(((obj_t) BgL_hooksz00_1585));
										BgL_arg1422z00_1592 = CDR(((obj_t) BgL_hnamesz00_1586));
										{
											obj_t BgL_hnamesz00_2244;
											obj_t BgL_hooksz00_2243;

											BgL_hooksz00_2243 = BgL_arg1421z00_1591;
											BgL_hnamesz00_2244 = BgL_arg1422z00_1592;
											BgL_hnamesz00_1586 = BgL_hnamesz00_2244;
											BgL_hooksz00_1585 = BgL_hooksz00_2243;
											goto BgL_zc3anonymousza31405ze3z83_1587;
										}
									}
								else
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1433z00_1593;

										BgL_arg1433z00_1593 = CAR(((obj_t) BgL_hnamesz00_1586));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1786z00zzisa_walkz00, BgL_arg1433z00_1593);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2023,
		obj_t BgL_globalsz00_2024)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 40 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2024);
		}
		BGL_FUNCTION_END;
	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2025)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 56 */
			{	/* Isa/walk.scm 57 */
				bool_t BgL_testz00_2249;

				{	/* Isa/walk.scm 57 */
					bool_t BgL_res1760z00_2049;

					{	/* Isa/walk.scm 57 */
						obj_t BgL_objz00_2050;

						BgL_objz00_2050 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
						BgL_res1760z00_2049 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2050,
							BGl_globalz00zzast_varz00);
					}
					BgL_testz00_2249 = BgL_res1760z00_2049;
				}
				if (BgL_testz00_2249)
					{	/* Isa/walk.scm 57 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 57 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									3)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									5)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									6)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									7)), CNST_TABLE_REF(((long) 4)));
			}}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2026)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 67 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 76 */
			{	/* Isa/walk.scm 77 */
				obj_t BgL_arg1441z00_1598;

				BgL_arg1441z00_1598 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1441z00_1598);
			}
			{	/* Isa/walk.scm 78 */
				BgL_valuez00_bglt BgL_funz00_1599;

				BgL_funz00_1599 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Isa/walk.scm 78 */
					obj_t BgL_bodyz00_1600;

					BgL_bodyz00_1600 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1599)))->BgL_bodyz00);
					{	/* Isa/walk.scm 79 */

						BgL_bodyz00_1600 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1600)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1787z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1788z00zzisa_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &isa!1276 */
	obj_t BGl_z62isaz121276z70zzisa_walkz00(obj_t BgL_envz00_2030,
		obj_t BgL_nodez00_2031)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			{
				BgL_nodez00_bglt BgL_nodez00_1602;

				{
					BgL_nodez00_bglt BgL_auxz00_2275;

					BgL_nodez00_1602 = ((BgL_nodez00_bglt) BgL_nodez00_2031);
					BgL_auxz00_2275 =
						BGl_walk0z12z12zzast_walkz00(BgL_nodez00_1602,
						BGl_isaz12zd2envzc0zzisa_walkz00);
					return ((obj_t) BgL_auxz00_2275);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			{	/* Isa/walk.scm 87 */
				obj_t BgL_method1277z00_1616;

				{	/* Isa/walk.scm 87 */
					obj_t BgL_res1767z00_1967;

					{	/* Isa/walk.scm 87 */
						long BgL_objzd2classzd2numz00_1940;

						{	/* Isa/walk.scm 87 */
							long BgL_res1761z00_1943;

							BgL_res1761z00_1943 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
							BgL_objzd2classzd2numz00_1940 = BgL_res1761z00_1943;
						}
						{	/* Isa/walk.scm 87 */
							obj_t BgL_arg1725z00_1941;

							BgL_arg1725z00_1941 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00,
								(int) (((long) 1)));
							{	/* Isa/walk.scm 87 */
								int BgL_offsetz00_1945;

								BgL_offsetz00_1945 = (int) (BgL_objzd2classzd2numz00_1940);
								{	/* Isa/walk.scm 87 */
									long BgL_offsetz00_1946;

									BgL_offsetz00_1946 =
										((long) (BgL_offsetz00_1945) - OBJECT_TYPE);
									{	/* Isa/walk.scm 87 */
										long BgL_modz00_1947;

										{	/* Isa/walk.scm 87 */
											int BgL_arg1727z00_1948;

											BgL_arg1727z00_1948 = (int) (((long) 16));
											{	/* Isa/walk.scm 87 */
												long BgL_res1764z00_1958;

												{	/* Isa/walk.scm 87 */
													long BgL_tmpz00_2287;

													BgL_tmpz00_2287 = (long) (BgL_arg1727z00_1948);
													BgL_res1764z00_1958 =
														(BgL_offsetz00_1946 / BgL_tmpz00_2287);
												}
												BgL_modz00_1947 = BgL_res1764z00_1958;
										}}
										{	/* Isa/walk.scm 87 */
											long BgL_restz00_1949;

											{	/* Isa/walk.scm 87 */
												int BgL_arg1726z00_1950;

												BgL_arg1726z00_1950 = (int) (((long) 16));
												{	/* Isa/walk.scm 87 */
													long BgL_res1766z00_1962;

													{	/* Isa/walk.scm 87 */
														long BgL_tmpz00_2291;

														BgL_tmpz00_2291 = (long) (BgL_arg1726z00_1950);
														BgL_res1766z00_1962 =
															(BgL_offsetz00_1946 % BgL_tmpz00_2291);
													}
													BgL_restz00_1949 = BgL_res1766z00_1962;
											}}
											{	/* Isa/walk.scm 87 */

												{	/* Isa/walk.scm 87 */
													obj_t BgL_bucketz00_1951;

													BgL_bucketz00_1951 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_1941), BgL_modz00_1947);
													BgL_res1767z00_1967 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1951), BgL_restz00_1949);
					}}}}}}}}
					BgL_method1277z00_1616 = BgL_res1767z00_1967;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1277z00_1616) (BgL_method1277z00_1616,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2028,
		obj_t BgL_nodez00_2029)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2029));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1789z00zzisa_walkz00, BGl_string1790z00zzisa_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &isa!-app1279 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1279za2zzisa_walkz00(obj_t
		BgL_envz00_2033, obj_t BgL_nodez00_2034)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 93 */
			{
				obj_t BgL_typz00_2054;

				{	/* Isa/walk.scm 105 */
					obj_t BgL_typz00_2055;

					BgL_typz00_2055 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2034)));
					if (CBOOL(BgL_typz00_2055))
						{	/* Isa/walk.scm 106 */
							{	/* Isa/walk.scm 109 */
								bool_t BgL_testz00_2312;

								BgL_typz00_2054 = BgL_typz00_2055;
								{	/* Isa/walk.scm 102 */
									bool_t BgL_testz00_2313;

									{	/* Isa/walk.scm 102 */
										obj_t BgL_tmpz00_2314;

										{
											BgL_globalz00_bglt BgL_auxz00_2315;

											{
												BgL_tclassz00_bglt BgL_auxz00_2316;

												{
													obj_t BgL_auxz00_2317;

													{	/* Isa/walk.scm 102 */
														BgL_objectz00_bglt BgL_tmpz00_2318;

														BgL_tmpz00_2318 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2054));
														BgL_auxz00_2317 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2318);
													}
													BgL_auxz00_2316 =
														((BgL_tclassz00_bglt) BgL_auxz00_2317);
												}
												BgL_auxz00_2315 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2316))->
													BgL_holderz00);
											}
											BgL_tmpz00_2314 =
												(((BgL_globalz00_bglt) COBJECT(BgL_auxz00_2315))->
												BgL_importz00);
										}
										BgL_testz00_2313 =
											(BgL_tmpz00_2314 == CNST_TABLE_REF(((long) 8)));
									}
									if (BgL_testz00_2313)
										{	/* Isa/walk.scm 103 */
											obj_t BgL_tmpz00_2327;

											{
												BgL_tclassz00_bglt BgL_auxz00_2328;

												{
													obj_t BgL_auxz00_2329;

													{	/* Isa/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_2330;

														BgL_tmpz00_2330 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2054));
														BgL_auxz00_2329 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2330);
													}
													BgL_auxz00_2328 =
														((BgL_tclassz00_bglt) BgL_auxz00_2329);
												}
												BgL_tmpz00_2327 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2328))->
													BgL_subclassesz00);
											}
											BgL_testz00_2312 = NULLP(BgL_tmpz00_2327);
										}
									else
										{	/* Isa/walk.scm 102 */
											BgL_testz00_2312 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2312)
									{	/* Isa/walk.scm 111 */
										bool_t BgL_testz00_2337;

										{	/* Isa/walk.scm 111 */
											BgL_typez00_bglt BgL_arg1503z00_2056;

											{	/* Isa/walk.scm 111 */
												obj_t BgL_arg1504z00_2057;

												BgL_arg1504z00_2057 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2034)))->
														BgL_argsz00));
												BgL_arg1503z00_2056 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1504z00_2057));
											}
											BgL_testz00_2337 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1503z00_2056),
												BGl_tclassz00zzobject_classz00);
										}
										if (BgL_testz00_2337)
											{	/* Isa/walk.scm 112 */
												BgL_varz00_bglt BgL_nfunz00_2058;

												{	/* Isa/walk.scm 112 */
													BgL_nodez00_bglt BgL_duplicated1127z00_2059;
													BgL_varz00_bglt BgL_new1125z00_2060;

													BgL_duplicated1127z00_2059 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2034)))->
															BgL_funz00));
													{	/* Isa/walk.scm 112 */
														BgL_varz00_bglt BgL_new1129z00_2061;

														BgL_new1129z00_2061 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 112 */
															long BgL_arg1496z00_2062;

															{	/* Isa/walk.scm 112 */
																long BgL_res1769z00_2063;

																BgL_res1769z00_2063 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1496z00_2062 = BgL_res1769z00_2063;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1129z00_2061),
																BgL_arg1496z00_2062);
														}
														BgL_new1125z00_2060 = BgL_new1129z00_2061;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1125z00_2060)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1127z00_2059))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1125z00_2060)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1127z00_2059))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1125z00_2060))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2058 = BgL_new1125z00_2060;
												}
												{	/* Isa/walk.scm 114 */
													obj_t BgL_arg1483z00_2064;
													BgL_castz00_bglt BgL_arg1485z00_2065;

													BgL_arg1483z00_2064 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2034)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 115 */
														BgL_castz00_bglt BgL_new1131z00_2066;

														{	/* Isa/walk.scm 115 */
															BgL_castz00_bglt BgL_new1130z00_2067;

															BgL_new1130z00_2067 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 115 */
																long BgL_arg1490z00_2068;

																{	/* Isa/walk.scm 115 */
																	long BgL_res1770z00_2069;

																	BgL_res1770z00_2069 =
																		BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																	BgL_arg1490z00_2068 = BgL_res1770z00_2069;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1130z00_2067),
																	BgL_arg1490z00_2068);
															}
															{	/* Isa/walk.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_2366;

																BgL_tmpz00_2366 =
																	((BgL_objectz00_bglt) BgL_new1130z00_2067);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2366,
																	BFALSE);
															}
															BgL_new1131z00_2066 = BgL_new1130z00_2067;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1131z00_2066)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1131z00_2066)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2375;

															{	/* Isa/walk.scm 116 */
																obj_t BgL_pairz00_2070;

																BgL_pairz00_2070 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2034)))->
																	BgL_argsz00);
																BgL_auxz00_2375 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2070));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1131z00_2066))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2375), BUNSPEC);
														}
														BgL_arg1485z00_2065 = BgL_new1131z00_2066;
													}
													{	/* Isa/walk.scm 114 */
														obj_t BgL_auxz00_2383;
														obj_t BgL_tmpz00_2381;

														BgL_auxz00_2383 = ((obj_t) BgL_arg1485z00_2065);
														BgL_tmpz00_2381 = ((obj_t) BgL_arg1483z00_2064);
														SET_CAR(BgL_tmpz00_2381, BgL_auxz00_2383);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2034)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2058), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 119 */
												BgL_varz00_bglt BgL_nfunz00_2071;

												{	/* Isa/walk.scm 119 */
													BgL_nodez00_bglt BgL_duplicated1135z00_2072;
													BgL_varz00_bglt BgL_new1133z00_2073;

													BgL_duplicated1135z00_2072 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2034)))->
															BgL_funz00));
													{	/* Isa/walk.scm 119 */
														BgL_varz00_bglt BgL_new1136z00_2074;

														BgL_new1136z00_2074 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 119 */
															long BgL_arg1497z00_2075;

															{	/* Isa/walk.scm 119 */
																long BgL_res1771z00_2076;

																BgL_res1771z00_2076 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1497z00_2075 = BgL_res1771z00_2076;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1136z00_2074),
																BgL_arg1497z00_2075);
														}
														BgL_new1133z00_2073 = BgL_new1136z00_2074;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1133z00_2073)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2072))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1133z00_2073)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2072))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1133z00_2073))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2071 = BgL_new1133z00_2073;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2034)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2071), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 122 */
										bool_t BgL_testz00_2405;

										{	/* Isa/walk.scm 122 */
											long BgL_arg1597z00_2077;
											obj_t BgL_arg1600z00_2078;

											{
												BgL_tclassz00_bglt BgL_auxz00_2406;

												{
													obj_t BgL_auxz00_2407;

													{	/* Isa/walk.scm 122 */
														BgL_objectz00_bglt BgL_tmpz00_2408;

														BgL_tmpz00_2408 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2055));
														BgL_auxz00_2407 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2408);
													}
													BgL_auxz00_2406 =
														((BgL_tclassz00_bglt) BgL_auxz00_2407);
												}
												BgL_arg1597z00_2077 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2406))->
													BgL_depthz00);
											}
											BgL_arg1600z00_2078 =
												BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
														(long) 9)));
											BgL_testz00_2405 =
												BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
												(BgL_arg1597z00_2077), BgL_arg1600z00_2078);
										}
										if (BgL_testz00_2405)
											{	/* Isa/walk.scm 123 */
												bool_t BgL_testz00_2418;

												{	/* Isa/walk.scm 123 */
													BgL_typez00_bglt BgL_arg1586z00_2079;

													{	/* Isa/walk.scm 123 */
														obj_t BgL_arg1588z00_2080;

														BgL_arg1588z00_2080 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2034)))->
																BgL_argsz00));
														BgL_arg1586z00_2079 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1588z00_2080));
													}
													BgL_testz00_2418 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_arg1586z00_2079),
														BGl_tclassz00zzobject_classz00);
												}
												if (BgL_testz00_2418)
													{	/* Isa/walk.scm 124 */
														BgL_varz00_bglt BgL_nfunz00_2081;
														BgL_literalz00_bglt BgL_depthz00_2082;
														BgL_castz00_bglt BgL_arg0z00_2083;

														{	/* Isa/walk.scm 124 */
															BgL_nodez00_bglt BgL_duplicated1139z00_2084;
															BgL_varz00_bglt BgL_new1137z00_2085;

															BgL_duplicated1139z00_2084 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2034)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 124 */
																BgL_varz00_bglt BgL_new1140z00_2086;

																BgL_new1140z00_2086 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 124 */
																	long BgL_arg1538z00_2087;

																	{	/* Isa/walk.scm 124 */
																		long BgL_res1772z00_2088;

																		BgL_res1772z00_2088 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1538z00_2087 = BgL_res1772z00_2088;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1140z00_2086),
																		BgL_arg1538z00_2087);
																}
																BgL_new1137z00_2085 = BgL_new1140z00_2086;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1137z00_2085)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2084))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1137z00_2085)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2084))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1137z00_2085))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2081 = BgL_new1137z00_2085;
														}
														{	/* Isa/walk.scm 126 */
															BgL_literalz00_bglt BgL_new1142z00_2089;

															{	/* Isa/walk.scm 127 */
																BgL_literalz00_bglt BgL_new1141z00_2090;

																BgL_new1141z00_2090 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 127 */
																	long BgL_arg1542z00_2091;

																	{	/* Isa/walk.scm 127 */
																		long BgL_res1773z00_2092;

																		BgL_res1773z00_2092 =
																			BGL_CLASS_INDEX
																			(BGl_literalz00zzast_nodez00);
																		BgL_arg1542z00_2091 = BgL_res1773z00_2092;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1141z00_2090),
																		BgL_arg1542z00_2091);
																}
																{	/* Isa/walk.scm 127 */
																	BgL_objectz00_bglt BgL_tmpz00_2445;

																	BgL_tmpz00_2445 =
																		((BgL_objectz00_bglt) BgL_new1141z00_2090);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2445,
																		BFALSE);
																}
																BgL_new1142z00_2089 = BgL_new1141z00_2090;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_2089)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2034))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2453;

																{	/* Isa/walk.scm 128 */
																	long BgL_arg1539z00_2093;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2455;

																		{
																			obj_t BgL_auxz00_2456;

																			{	/* Isa/walk.scm 128 */
																				BgL_objectz00_bglt BgL_tmpz00_2457;

																				BgL_tmpz00_2457 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2055));
																				BgL_auxz00_2456 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2457);
																			}
																			BgL_auxz00_2455 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2456);
																		}
																		BgL_arg1539z00_2093 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2455))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2453 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1539z00_2093));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1142z00_2089)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2453),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2466;

																{	/* Isa/walk.scm 129 */
																	long BgL_tmpz00_2468;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2469;

																		{
																			obj_t BgL_auxz00_2470;

																			{	/* Isa/walk.scm 129 */
																				BgL_objectz00_bglt BgL_tmpz00_2471;

																				BgL_tmpz00_2471 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2055));
																				BgL_auxz00_2470 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2471);
																			}
																			BgL_auxz00_2469 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2470);
																		}
																		BgL_tmpz00_2468 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2469))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2466 = BINT(BgL_tmpz00_2468);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1142z00_2089)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_2466), BUNSPEC);
															}
															BgL_depthz00_2082 = BgL_new1142z00_2089;
														}
														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1144z00_2094;

															{	/* Isa/walk.scm 130 */
																BgL_castz00_bglt BgL_new1143z00_2095;

																BgL_new1143z00_2095 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 130 */
																	long BgL_arg1555z00_2096;

																	{	/* Isa/walk.scm 130 */
																		long BgL_res1774z00_2097;

																		BgL_res1774z00_2097 =
																			BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																		BgL_arg1555z00_2096 = BgL_res1774z00_2097;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1143z00_2095),
																		BgL_arg1555z00_2096);
																}
																{	/* Isa/walk.scm 130 */
																	BgL_objectz00_bglt BgL_tmpz00_2483;

																	BgL_tmpz00_2483 =
																		((BgL_objectz00_bglt) BgL_new1143z00_2095);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2483,
																		BFALSE);
																}
																BgL_new1144z00_2094 = BgL_new1143z00_2095;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1144z00_2094)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1144z00_2094)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_2492;

																{	/* Isa/walk.scm 131 */
																	obj_t BgL_pairz00_2098;

																	BgL_pairz00_2098 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2034)))->
																		BgL_argsz00);
																	BgL_auxz00_2492 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2098));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1144z00_2094))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2492),
																	BUNSPEC);
															}
															BgL_arg0z00_2083 = BgL_new1144z00_2094;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2034)))->
																BgL_funz00) =
															((BgL_varz00_bglt) BgL_nfunz00_2081), BUNSPEC);
														{
															obj_t BgL_auxz00_2500;

															{	/* Isa/walk.scm 134 */
																obj_t BgL_arg1525z00_2099;

																{	/* Isa/walk.scm 134 */
																	obj_t BgL_pairz00_2100;

																	BgL_pairz00_2100 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2034)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_pairz00_2101;

																		BgL_pairz00_2101 = CDR(BgL_pairz00_2100);
																		BgL_arg1525z00_2099 = CAR(BgL_pairz00_2101);
																}}
																{	/* Isa/walk.scm 134 */
																	obj_t BgL_list1526z00_2102;

																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_arg1528z00_2103;

																		{	/* Isa/walk.scm 134 */
																			obj_t BgL_arg1532z00_2104;

																			BgL_arg1532z00_2104 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2082), BNIL);
																			BgL_arg1528z00_2103 =
																				MAKE_YOUNG_PAIR(BgL_arg1525z00_2099,
																				BgL_arg1532z00_2104);
																		}
																		BgL_list1526z00_2102 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2083),
																			BgL_arg1528z00_2103);
																	}
																	BgL_auxz00_2500 = BgL_list1526z00_2102;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2034)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_2500), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 135 */
														BgL_varz00_bglt BgL_nfunz00_2105;

														{	/* Isa/walk.scm 135 */
															BgL_nodez00_bglt BgL_duplicated1147z00_2106;
															BgL_varz00_bglt BgL_new1145z00_2107;

															BgL_duplicated1147z00_2106 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2034)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 135 */
																BgL_varz00_bglt BgL_new1148z00_2108;

																BgL_new1148z00_2108 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 135 */
																	long BgL_arg1576z00_2109;

																	{	/* Isa/walk.scm 135 */
																		long BgL_res1776z00_2110;

																		BgL_res1776z00_2110 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1576z00_2109 = BgL_res1776z00_2110;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1148z00_2108),
																		BgL_arg1576z00_2109);
																}
																BgL_new1145z00_2107 = BgL_new1148z00_2108;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1145z00_2107)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2106))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1145z00_2107)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2106))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1145z00_2107))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2105 = BgL_new1145z00_2107;
														}
														{	/* Isa/walk.scm 135 */
															BgL_literalz00_bglt BgL_depthz00_2111;

															{	/* Isa/walk.scm 137 */
																BgL_literalz00_bglt BgL_new1150z00_2112;

																{	/* Isa/walk.scm 138 */
																	BgL_literalz00_bglt BgL_new1149z00_2113;

																	BgL_new1149z00_2113 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 138 */
																		long BgL_arg1570z00_2114;

																		{	/* Isa/walk.scm 138 */
																			long BgL_res1777z00_2115;

																			BgL_res1777z00_2115 =
																				BGL_CLASS_INDEX
																				(BGl_literalz00zzast_nodez00);
																			BgL_arg1570z00_2114 = BgL_res1777z00_2115;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1149z00_2113),
																			BgL_arg1570z00_2114);
																	}
																	{	/* Isa/walk.scm 138 */
																		BgL_objectz00_bglt BgL_tmpz00_2531;

																		BgL_tmpz00_2531 =
																			((BgL_objectz00_bglt)
																			BgL_new1149z00_2113);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2531,
																			BFALSE);
																	}
																	BgL_new1150z00_2112 = BgL_new1149z00_2113;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1150z00_2112)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2034))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2539;

																	{	/* Isa/walk.scm 139 */
																		long BgL_arg1566z00_2116;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2541;

																			{
																				obj_t BgL_auxz00_2542;

																				{	/* Isa/walk.scm 139 */
																					BgL_objectz00_bglt BgL_tmpz00_2543;

																					BgL_tmpz00_2543 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2055));
																					BgL_auxz00_2542 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2543);
																				}
																				BgL_auxz00_2541 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2542);
																			}
																			BgL_arg1566z00_2116 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2541))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2539 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1566z00_2116));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_2112)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2539),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_2552;

																	{	/* Isa/walk.scm 140 */
																		long BgL_tmpz00_2554;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2555;

																			{
																				obj_t BgL_auxz00_2556;

																				{	/* Isa/walk.scm 140 */
																					BgL_objectz00_bglt BgL_tmpz00_2557;

																					BgL_tmpz00_2557 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2055));
																					BgL_auxz00_2556 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2557);
																				}
																				BgL_auxz00_2555 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2556);
																			}
																			BgL_tmpz00_2554 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2555))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2552 = BINT(BgL_tmpz00_2554);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1150z00_2112)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_2552), BUNSPEC);
																}
																BgL_depthz00_2111 = BgL_new1150z00_2112;
															}
															{	/* Isa/walk.scm 137 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2034)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) BgL_nfunz00_2105),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_2567;

																	{	/* Isa/walk.scm 142 */
																		obj_t BgL_arg1558z00_2117;
																		obj_t BgL_arg1561z00_2118;

																		BgL_arg1558z00_2117 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2034)))->BgL_argsz00);
																		{	/* Isa/walk.scm 142 */
																			obj_t BgL_list1562z00_2119;

																			BgL_list1562z00_2119 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2111), BNIL);
																			BgL_arg1561z00_2118 =
																				BgL_list1562z00_2119;
																		}
																		BgL_auxz00_2567 =
																			BGl_appendzd221011zd2zzisa_walkz00
																			(BgL_arg1558z00_2117,
																			BgL_arg1561z00_2118);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2034)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_2567), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 122 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2034));
						}
					else
						{	/* Isa/walk.scm 106 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2034)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1705)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 99 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_nodez00_1705), BGl_castz00zzast_nodez00))
				{	/* Isa/walk.scm 96 */
					return
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_nodez00_1705)))->BgL_argz00)))->
						BgL_typez00);
				}
			else
				{	/* Isa/walk.scm 96 */
					return (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1705))->BgL_typez00);
				}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1791z00zzisa_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
