/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62failsafezd2funzf31294z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62failsafezf31280z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1800z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121801z00,
		BGl_z62failsafezf31280z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1802z00,
		BGl_z62failsafezd2funzf31294z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1803za7,
		BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1804za7,
		BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1805za7,
		BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1806za7,
		BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1807za7,
		BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1808za7,
		BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1809z00,
		BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1810z00,
		BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1811za7,
		BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1812za7,
		BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1813za7,
		BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1814za7,
		BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1815za7,
		BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1816za7,
		BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1817za7,
		BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1818za7,
		BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1819za7,
		BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1820za7,
		BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1821za7,
		BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791822za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1823z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1771z00zzsync_failsafez00,
		BgL_bgl_string1771za700za7za7s1824za7, "failsafe?1280", 13);
	      DEFINE_STRING(BGl_string1773z00zzsync_failsafez00,
		BgL_bgl_string1773za700za7za7s1825za7, "failsafe-fun?1294", 17);
	      DEFINE_STRING(BGl_string1775z00zzsync_failsafez00,
		BgL_bgl_string1775za700za7za7s1826za7, "failsafe?", 9);
	      DEFINE_STRING(BGl_string1782z00zzsync_failsafez00,
		BgL_bgl_string1782za700za7za7s1827za7, "failsafe-fun?", 13);
	      DEFINE_STRING(BGl_string1795z00zzsync_failsafez00,
		BgL_bgl_string1795za700za7za7s1828za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string1796z00zzsync_failsafez00,
		BgL_bgl_string1796za700za7za7s1829za7, "fail-safe ", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2323, char *BgL_fromz00_2324)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2239;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2247;

					BgL_stringz00_2247 = BGl_string1796z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2248;

						BgL_startz00_2248 = BINT(((long) 0));
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2249;

							BgL_endz00_2249 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2247)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2239 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2247, BgL_startz00_2248, BgL_endz00_2249);
				}}}}
				{
					long BgL_iz00_2240;

					BgL_iz00_2240 = ((long) 0);
				BgL_loopz00_2241:
					if ((BgL_iz00_2240 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1798z00_2243;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2245;

										BgL_locationz00_2245 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1798z00_2243 =
												BGl_readz00zz__readerz00(BgL_cportz00_2239,
												BgL_locationz00_2245);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2353;

									BgL_tmpz00_2353 = (int) (BgL_iz00_2240);
									CNST_TABLE_SET(BgL_tmpz00_2353, BgL_arg1798z00_2243);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2246;

								BgL_auxz00_2246 = (int) ((BgL_iz00_2240 - ((long) 1)));
								{
									long BgL_iz00_2358;

									BgL_iz00_2358 = (long) (BgL_auxz00_2246);
									BgL_iz00_2240 = BgL_iz00_2358;
									goto BgL_loopz00_2241;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2142,
		obj_t BgL_nz00_2143)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2143));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1770z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1771z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1772z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1773z00zzsync_failsafez00);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?1294 */
	obj_t BGl_z62failsafezd2funzf31294z43zzsync_failsafez00(obj_t BgL_envz00_2146,
		obj_t BgL_funz00_2147, obj_t BgL_varz00_2148, obj_t BgL_stkz00_2149)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?1280 */
	obj_t BGl_z62failsafezf31280z91zzsync_failsafez00(obj_t BgL_envz00_2150,
		obj_t BgL_nz00_2151, obj_t BgL_stkz00_2152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1281z00_1644;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1750z00_2074;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2047;

						{	/* Sync/failsafe.scm 53 */
							long BgL_res1744z00_2050;

							BgL_res1744z00_2050 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
							BgL_objzd2classzd2numz00_2047 = BgL_res1744z00_2050;
						}
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1725z00_2048;

							BgL_arg1725z00_2048 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2052;

								BgL_offsetz00_2052 = (int) (BgL_objzd2classzd2numz00_2047);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2053;

									BgL_offsetz00_2053 =
										((long) (BgL_offsetz00_2052) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2054;

										{	/* Sync/failsafe.scm 53 */
											int BgL_arg1727z00_2055;

											BgL_arg1727z00_2055 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 53 */
												long BgL_res1747z00_2065;

												{	/* Sync/failsafe.scm 53 */
													long BgL_tmpz00_2379;

													BgL_tmpz00_2379 = (long) (BgL_arg1727z00_2055);
													BgL_res1747z00_2065 =
														(BgL_offsetz00_2053 / BgL_tmpz00_2379);
												}
												BgL_modz00_2054 = BgL_res1747z00_2065;
										}}
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2056;

											{	/* Sync/failsafe.scm 53 */
												int BgL_arg1726z00_2057;

												BgL_arg1726z00_2057 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 53 */
													long BgL_res1749z00_2069;

													{	/* Sync/failsafe.scm 53 */
														long BgL_tmpz00_2383;

														BgL_tmpz00_2383 = (long) (BgL_arg1726z00_2057);
														BgL_res1749z00_2069 =
															(BgL_offsetz00_2053 % BgL_tmpz00_2383);
													}
													BgL_restz00_2056 = BgL_res1749z00_2069;
											}}
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2058;

													BgL_bucketz00_2058 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2048), BgL_modz00_2054);
													BgL_res1750z00_2074 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2058), BgL_restz00_2056);
					}}}}}}}}
					BgL_method1281z00_1644 = BgL_res1750z00_2074;
				}
				return
					PROCEDURE_ENTRY(BgL_method1281z00_1644) (BgL_method1281z00_1644,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2153,
		obj_t BgL_nz00_2154, obj_t BgL_stkz00_2155)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2154), BgL_stkz00_2155);
		}
		BGL_FUNCTION_END;
	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1295z00_1645;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1757z00_2103;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2076;

						{	/* Sync/failsafe.scm 102 */
							long BgL_res1751z00_2079;

							BgL_res1751z00_2079 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
							BgL_objzd2classzd2numz00_2076 = BgL_res1751z00_2079;
						}
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1725z00_2077;

							BgL_arg1725z00_2077 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2081;

								BgL_offsetz00_2081 = (int) (BgL_objzd2classzd2numz00_2076);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2082;

									BgL_offsetz00_2082 =
										((long) (BgL_offsetz00_2081) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2083;

										{	/* Sync/failsafe.scm 102 */
											int BgL_arg1727z00_2084;

											BgL_arg1727z00_2084 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 102 */
												long BgL_res1754z00_2094;

												{	/* Sync/failsafe.scm 102 */
													long BgL_tmpz00_2406;

													BgL_tmpz00_2406 = (long) (BgL_arg1727z00_2084);
													BgL_res1754z00_2094 =
														(BgL_offsetz00_2082 / BgL_tmpz00_2406);
												}
												BgL_modz00_2083 = BgL_res1754z00_2094;
										}}
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2085;

											{	/* Sync/failsafe.scm 102 */
												int BgL_arg1726z00_2086;

												BgL_arg1726z00_2086 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 102 */
													long BgL_res1756z00_2098;

													{	/* Sync/failsafe.scm 102 */
														long BgL_tmpz00_2410;

														BgL_tmpz00_2410 = (long) (BgL_arg1726z00_2086);
														BgL_res1756z00_2098 =
															(BgL_offsetz00_2082 % BgL_tmpz00_2410);
													}
													BgL_restz00_2085 = BgL_res1756z00_2098;
											}}
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2087;

													BgL_bucketz00_2087 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2077), BgL_modz00_2083);
													BgL_res1757z00_2103 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2087), BgL_restz00_2085);
					}}}}}}}}
					BgL_method1295z00_1645 = BgL_res1757z00_2103;
				}
				return
					PROCEDURE_ENTRY(BgL_method1295z00_1645) (BgL_method1295z00_1645,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2156,
		obj_t BgL_funz00_2157, obj_t BgL_varz00_2158, obj_t BgL_stkz00_2159)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2157),
				((BgL_variablez00_bglt) BgL_varz00_2158), BgL_stkz00_2159);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1774z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1776z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1777z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1778z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1779z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1780z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1781z00zzsync_failsafez00,
				BGl_string1782z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1783z00zzsync_failsafez00,
				BGl_string1782z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1784z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1785z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1786z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1787z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1788z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1789z00zzsync_failsafez00, BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1790z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1791z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1792z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1793z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1794z00zzsync_failsafez00,
				BGl_string1775z00zzsync_failsafez00);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-box-set!1321 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00(obj_t
		BgL_envz00_2179, obj_t BgL_nz00_2180, obj_t BgL_stkz00_2181)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2180)))->BgL_valuez00),
				BgL_stkz00_2181);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-box-ref1319 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00(obj_t
		BgL_envz00_2182, obj_t BgL_nz00_2183, obj_t BgL_stkz00_2184)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-make-box1317 */
	obj_t BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00(obj_t
		BgL_envz00_2185, obj_t BgL_nz00_2186, obj_t BgL_stkz00_2187)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2186)))->BgL_valuez00),
				BgL_stkz00_2187);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-let-var1315 */
	obj_t BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00(obj_t
		BgL_envz00_2188, obj_t BgL_nz00_2189, obj_t BgL_stkz00_2190)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2454;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_testz00_2455;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1576z00_2260;

						BgL_arg1576z00_2260 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2189)))->BgL_bodyz00);
						BgL_testz00_2455 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1576z00_2260,
								BgL_stkz00_2190));
					}
					if (BgL_testz00_2455)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1278z00_2261;

							BgL_g1278z00_2261 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2189)))->BgL_bindingsz00);
							{
								obj_t BgL_l1276z00_2263;

								BgL_l1276z00_2263 = BgL_g1278z00_2261;
							BgL_zc3anonymousza31563ze3z83_2262:
								if (NULLP(BgL_l1276z00_2263))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2454 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2264;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2265;

											BgL_bz00_2265 = CAR(((obj_t) BgL_l1276z00_2263));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1570z00_2266;

												BgL_arg1570z00_2266 = CDR(((obj_t) BgL_bz00_2265));
												BgL_nvz00_2264 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1570z00_2266),
													BgL_stkz00_2190);
											}
										}
										if (CBOOL(BgL_nvz00_2264))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1566z00_2267;

												BgL_arg1566z00_2267 = CDR(((obj_t) BgL_l1276z00_2263));
												{
													obj_t BgL_l1276z00_2474;

													BgL_l1276z00_2474 = BgL_arg1566z00_2267;
													BgL_l1276z00_2263 = BgL_l1276z00_2474;
													goto BgL_zc3anonymousza31563ze3z83_2262;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2454 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2454 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2454);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-let-fun1313 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00(obj_t
		BgL_envz00_2191, obj_t BgL_nz00_2192, obj_t BgL_stkz00_2193)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2192)))->BgL_bodyz00),
				BgL_stkz00_2193);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-switch1311 */
	obj_t BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00(obj_t
		BgL_envz00_2194, obj_t BgL_nz00_2195, obj_t BgL_stkz00_2196)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2479;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_testz00_2480;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1555z00_2270;

						BgL_arg1555z00_2270 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2195)))->BgL_testz00);
						BgL_testz00_2480 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1555z00_2270,
								BgL_stkz00_2196));
					}
					if (BgL_testz00_2480)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1274z00_2271;

							BgL_g1274z00_2271 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2195)))->BgL_clausesz00);
							{
								obj_t BgL_l1272z00_2273;

								BgL_l1272z00_2273 = BgL_g1274z00_2271;
							BgL_zc3anonymousza31540ze3z83_2272:
								if (NULLP(BgL_l1272z00_2273))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2479 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2274;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2275;

											BgL_cz00_2275 = CAR(((obj_t) BgL_l1272z00_2273));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1547z00_2276;

												BgL_arg1547z00_2276 = CDR(((obj_t) BgL_cz00_2275));
												BgL_nvz00_2274 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1547z00_2276),
													BgL_stkz00_2196);
											}
										}
										if (CBOOL(BgL_nvz00_2274))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1542z00_2277;

												BgL_arg1542z00_2277 = CDR(((obj_t) BgL_l1272z00_2273));
												{
													obj_t BgL_l1272z00_2499;

													BgL_l1272z00_2499 = BgL_arg1542z00_2277;
													BgL_l1272z00_2273 = BgL_l1272z00_2499;
													goto BgL_zc3anonymousza31540ze3z83_2272;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2479 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2479 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2479);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-conditiona1309 */
	obj_t BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00(obj_t
		BgL_envz00_2197, obj_t BgL_nz00_2198, obj_t BgL_stkz00_2199)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1127z00_2279;

				BgL__andtest_1127z00_2279 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2198)))->BgL_testz00),
					BgL_stkz00_2199);
				if (CBOOL(BgL__andtest_1127z00_2279))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1128z00_2280;

						BgL__andtest_1128z00_2280 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2198)))->BgL_truez00),
							BgL_stkz00_2199);
						if (CBOOL(BgL__andtest_1128z00_2280))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2198)))->
										BgL_falsez00), BgL_stkz00_2199);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-setq1307 */
	obj_t BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00(obj_t
		BgL_envz00_2200, obj_t BgL_nz00_2201, obj_t BgL_stkz00_2202)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2201)))->BgL_valuez00),
				BgL_stkz00_2202);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-cast1305 */
	obj_t BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00(obj_t
		BgL_envz00_2203, obj_t BgL_nz00_2204, obj_t BgL_stkz00_2205)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2204)))->BgL_argz00),
				BgL_stkz00_2205);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-pragma1303 */
	obj_t BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00(obj_t
		BgL_envz00_2206, obj_t BgL_nz00_2207, obj_t BgL_stkz00_2208)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-extern1301 */
	obj_t BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00(obj_t
		BgL_envz00_2209, obj_t BgL_nz00_2210, obj_t BgL_stkz00_2211)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2521;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1270z00_2285;

					BgL_g1270z00_2285 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2210)))->BgL_exprza2za2);
					{
						obj_t BgL_l1268z00_2287;

						BgL_l1268z00_2287 = BgL_g1270z00_2285;
					BgL_zc3anonymousza31517ze3z83_2286:
						if (NULLP(BgL_l1268z00_2287))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2521 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2288;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2289;

									BgL_nz00_2289 = CAR(((obj_t) BgL_l1268z00_2287));
									BgL_nvz00_2288 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2289), BgL_stkz00_2211);
								}
								if (CBOOL(BgL_nvz00_2288))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1521z00_2290;

										BgL_arg1521z00_2290 = CDR(((obj_t) BgL_l1268z00_2287));
										{
											obj_t BgL_l1268z00_2534;

											BgL_l1268z00_2534 = BgL_arg1521z00_2290;
											BgL_l1268z00_2287 = BgL_l1268z00_2534;
											goto BgL_zc3anonymousza31517ze3z83_2286;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2521 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2521);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?-cfun1299 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00(obj_t
		BgL_envz00_2212, obj_t BgL_funz00_2213, obj_t BgL_varz00_2214,
		obj_t BgL_stkz00_2215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_testz00_2536;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2537;

					BgL_tmpz00_2537 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2213))))->BgL_failsafez00);
					BgL_testz00_2536 = BOOLEANP(BgL_tmpz00_2537);
				}
				if (BgL_testz00_2536)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2213))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_testz00_2545;

						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_res1765z00_2293;

							BgL_res1765z00_2293 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t)
									((BgL_variablez00_bglt) BgL_varz00_2214)),
								BGl_globalz00zzast_varz00);
							BgL_testz00_2545 = BgL_res1765z00_2293;
						}
						if (BgL_testz00_2545)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2549;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2552;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2553;

											BgL_tmpz00_2553 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (
																	(BgL_variablez00_bglt) BgL_varz00_2214))))->
													BgL_pragmaz00));
											BgL_tmpz00_2552 = PAIRP(BgL_tmpz00_2553);
										}
										BgL_auxz00_2549 = BBOOL(BgL_tmpz00_2552);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2213))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2549), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2213))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?-sfun1297 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00(obj_t
		BgL_envz00_2216, obj_t BgL_funz00_2217, obj_t BgL_varz00_2218,
		obj_t BgL_stkz00_2219)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2218)), BgL_stkz00_2219)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_testz00_2570;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2571;

						BgL_tmpz00_2571 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2217))))->BgL_failsafez00);
						BgL_testz00_2570 = BOOLEANP(BgL_tmpz00_2571);
					}
					if (BgL_testz00_2570)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2217))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_testz00_2579;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_testz00_2580;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_res1761z00_2296;

									BgL_res1761z00_2296 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t)
											((BgL_variablez00_bglt) BgL_varz00_2218)),
										BGl_globalz00zzast_varz00);
									BgL_testz00_2580 = BgL_res1761z00_2296;
								}
								if (BgL_testz00_2580)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_testz00_2584;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1497z00_2297;

											BgL_arg1497z00_2297 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2218))))->
												BgL_modulez00);
											BgL_testz00_2584 =
												(BgL_arg1497z00_2297 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_testz00_2584)
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2579 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2579 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_testz00_2579 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2579)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2589;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2592;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2593;

												BgL_tmpz00_2593 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															COBJECT(((BgL_globalz00_bglt) (
																		(BgL_variablez00_bglt) BgL_varz00_2218))))->
														BgL_pragmaz00));
												BgL_tmpz00_2592 = PAIRP(BgL_tmpz00_2593);
											}
											BgL_auxz00_2589 = BBOOL(BgL_tmpz00_2592);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2217))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2589), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2217))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2298;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1490z00_2299;
										obj_t BgL_arg1496z00_2300;

										BgL_arg1490z00_2299 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2217)))->BgL_bodyz00);
										BgL_arg1496z00_2300 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2218)),
											BgL_stkz00_2219);
										BgL_fsafez00_2298 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1490z00_2299), BgL_arg1496z00_2300);
									}
									if (NULLP(BgL_stkz00_2219))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2217))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2298), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2298;
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-app1293 */
	obj_t BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00(obj_t BgL_envz00_2220,
		obj_t BgL_nz00_2221, obj_t BgL_stkz00_2222)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2617;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2302;

					BgL_vz00_2302 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2221)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_testz00_2621;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1466z00_2303;

							BgL_arg1466z00_2303 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2302))->BgL_valuez00);
							BgL_testz00_2621 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1466z00_2303), BgL_vz00_2302,
									BgL_stkz00_2222));
						}
						if (BgL_testz00_2621)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1266z00_2304;

								BgL_g1266z00_2304 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2221)))->BgL_argsz00);
								{
									obj_t BgL_l1264z00_2306;

									BgL_l1264z00_2306 = BgL_g1266z00_2304;
								BgL_zc3anonymousza31435ze3z83_2305:
									if (NULLP(BgL_l1264z00_2306))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2617 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2307;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2308;

												BgL_nz00_2308 = CAR(((obj_t) BgL_l1264z00_2306));
												BgL_nvz00_2307 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2308), BgL_stkz00_2222);
											}
											if (CBOOL(BgL_nvz00_2307))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1441z00_2309;

													BgL_arg1441z00_2309 =
														CDR(((obj_t) BgL_l1264z00_2306));
													{
														obj_t BgL_l1264z00_2638;

														BgL_l1264z00_2638 = BgL_arg1441z00_2309;
														BgL_l1264z00_2306 = BgL_l1264z00_2638;
														goto BgL_zc3anonymousza31435ze3z83_2305;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2617 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2617 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2617);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-sync1291 */
	obj_t BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00(obj_t
		BgL_envz00_2223, obj_t BgL_nz00_2224, obj_t BgL_stkz00_2225)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1115z00_2311;

				BgL__andtest_1115z00_2311 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2224)))->BgL_mutexz00),
					BgL_stkz00_2225);
				if (CBOOL(BgL__andtest_1115z00_2311))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1116z00_2312;

						BgL__andtest_1116z00_2312 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2224)))->BgL_prelockz00),
							BgL_stkz00_2225);
						if (CBOOL(BgL__andtest_1116z00_2312))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2224)))->BgL_bodyz00),
									BgL_stkz00_2225);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-sequence1289 */
	obj_t BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00(obj_t
		BgL_envz00_2226, obj_t BgL_nz00_2227, obj_t BgL_stkz00_2228)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2653;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1262z00_2314;

					BgL_g1262z00_2314 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2227)))->BgL_nodesz00);
					{
						obj_t BgL_l1260z00_2316;

						BgL_l1260z00_2316 = BgL_g1262z00_2314;
					BgL_zc3anonymousza31400ze3z83_2315:
						if (NULLP(BgL_l1260z00_2316))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2653 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2317;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2318;

									BgL_nz00_2318 = CAR(((obj_t) BgL_l1260z00_2316));
									BgL_nvz00_2317 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2318), BgL_stkz00_2228);
								}
								if (CBOOL(BgL_nvz00_2317))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1406z00_2319;

										BgL_arg1406z00_2319 = CDR(((obj_t) BgL_l1260z00_2316));
										{
											obj_t BgL_l1260z00_2666;

											BgL_l1260z00_2666 = BgL_arg1406z00_2319;
											BgL_l1260z00_2316 = BgL_l1260z00_2666;
											goto BgL_zc3anonymousza31400ze3z83_2315;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2653 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2653);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-kwote1287 */
	obj_t BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00(obj_t
		BgL_envz00_2229, obj_t BgL_nz00_2230, obj_t BgL_stkz00_2231)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-var1285 */
	obj_t BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00(obj_t BgL_envz00_2232,
		obj_t BgL_nz00_2233, obj_t BgL_stkz00_2234)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-atom1283 */
	obj_t BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00(obj_t
		BgL_envz00_2235, obj_t BgL_nz00_2236, obj_t BgL_stkz00_2237)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1795z00zzsync_failsafez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
