/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_uncomp.scm -o objs/obj_p/Eval/evaluate_uncomp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62uncompzd2ev_setlocal1217zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_bindzd2exit1219z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncomp1193z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_prog21209zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_unwindzd2pro1221z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_z62uncompzd2ev_goto1235zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_labels1233zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_trap1211zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_global1199zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_uncompz00();
BGL_EXPORTED_DECL obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_withzd2handl1223z62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_keyword1966z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1932z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_symbol1958z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1960z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1962z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1964z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1968z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol1970z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1972z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1974z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1976z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1978z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_let1227zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_symbol1980z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1982z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1984z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1986z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1988z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1990z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_defglobal1215zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_var1197zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_setglobal1213zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_app1237zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_and1207zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_synchroniza71225z17zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_if1203zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_abs1239zb0zz__evaluate_uncompz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_letza21229z12zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_litt1201zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62uncompzd2ev_letrec1231zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_or1205zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1930z00zz__evaluate_uncompz00, BgL_bgl_za762uncomp1193za7621993z00, BGl_z62uncomp1193z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1935z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_v1994z00, BGl_z62uncompzd2ev_var1197zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1937z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g1995z00, BGl_z62uncompzd2ev_global1199zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1938z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1996z00, BGl_z62uncompzd2ev_litt1201zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1939z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_i1997z00, BGl_z62uncompzd2ev_if1203zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1940z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_o1998z00, BGl_z62uncompzd2ev_or1205zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1941z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a1999z00, BGl_z62uncompzd2ev_and1207zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1942z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_p2000z00, BGl_z62uncompzd2ev_prog21209zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1943z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_t2001z00, BGl_z62uncompzd2ev_trap1211zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1944z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2002z00, BGl_z62uncompzd2ev_setglobal1213zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1945z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_d2003z00, BGl_z62uncompzd2ev_defglobal1215zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1946z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2004z00, BGl_z62uncompzd2ev_setlocal1217zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1947z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_b2005z00, BGl_z62uncompzd2ev_bindzd2exit1219z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1948z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_u2006z00, BGl_z62uncompzd2ev_unwindzd2pro1221z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1949z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_w2007z00, BGl_z62uncompzd2ev_withzd2handl1223z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1950z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2008z00, BGl_z62uncompzd2ev_synchroniza71225z17zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1951z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2009z00, BGl_z62uncompzd2ev_let1227zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1952z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2010z00, BGl_z62uncompzd2ev_letza21229z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1953z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2011z00, BGl_z62uncompzd2ev_letrec1231zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1954z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2012z00, BGl_z62uncompzd2ev_labels1233zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1955z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g2013z00, BGl_z62uncompzd2ev_goto1235zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1956z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2014z00, BGl_z62uncompzd2ev_app1237zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1957z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2015z00, BGl_z62uncompzd2ev_abs1239zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_uncompzd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompza762za7za7__2016z00, BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uncompilezd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompileza762za72017za7, BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1927z00zz__evaluate_uncompz00, BgL_bgl_string1927za700za7za7_2018za7, "/builddir/build/BUILD/bigloo4.3b/runtime/Eval/evaluate_uncomp.scm", 65 );
DEFINE_STRING( BGl_string1928z00zz__evaluate_uncompz00, BgL_bgl_string1928za700za7za7_2019za7, "&uncompile", 10 );
DEFINE_STRING( BGl_string1929z00zz__evaluate_uncompz00, BgL_bgl_string1929za700za7za7_2020za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1931z00zz__evaluate_uncompz00, BgL_bgl_string1931za700za7za7_2021za7, "uncomp1193", 10 );
DEFINE_STRING( BGl_string1933z00zz__evaluate_uncompz00, BgL_bgl_string1933za700za7za7_2022za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1934z00zz__evaluate_uncompz00, BgL_bgl_string1934za700za7za7_2023za7, "&uncomp", 7 );
DEFINE_STRING( BGl_string1936z00zz__evaluate_uncompz00, BgL_bgl_string1936za700za7za7_2024za7, "uncomp", 6 );
DEFINE_STRING( BGl_string1959z00zz__evaluate_uncompz00, BgL_bgl_string1959za700za7za7_2025za7, "lambda", 6 );
DEFINE_STRING( BGl_string1961z00zz__evaluate_uncompz00, BgL_bgl_string1961za700za7za7_2026za7, "letrec", 6 );
DEFINE_STRING( BGl_string1963z00zz__evaluate_uncompz00, BgL_bgl_string1963za700za7za7_2027za7, "let*", 4 );
DEFINE_STRING( BGl_string1965z00zz__evaluate_uncompz00, BgL_bgl_string1965za700za7za7_2028za7, "let", 3 );
DEFINE_STRING( BGl_string1967z00zz__evaluate_uncompz00, BgL_bgl_string1967za700za7za7_2029za7, "prelock", 7 );
DEFINE_STRING( BGl_string1969z00zz__evaluate_uncompz00, BgL_bgl_string1969za700za7za7_2030za7, "synchronize", 11 );
DEFINE_STRING( BGl_string1971z00zz__evaluate_uncompz00, BgL_bgl_string1971za700za7za7_2031za7, "with-handler", 12 );
DEFINE_STRING( BGl_string1973z00zz__evaluate_uncompz00, BgL_bgl_string1973za700za7za7_2032za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string1975z00zz__evaluate_uncompz00, BgL_bgl_string1975za700za7za7_2033za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string1977z00zz__evaluate_uncompz00, BgL_bgl_string1977za700za7za7_2034za7, "set!", 4 );
DEFINE_STRING( BGl_string1979z00zz__evaluate_uncompz00, BgL_bgl_string1979za700za7za7_2035za7, "define", 6 );
DEFINE_STRING( BGl_string1981z00zz__evaluate_uncompz00, BgL_bgl_string1981za700za7za7_2036za7, "trap", 4 );
DEFINE_STRING( BGl_string1983z00zz__evaluate_uncompz00, BgL_bgl_string1983za700za7za7_2037za7, "begin", 5 );
DEFINE_STRING( BGl_string1985z00zz__evaluate_uncompz00, BgL_bgl_string1985za700za7za7_2038za7, "and", 3 );
DEFINE_STRING( BGl_string1987z00zz__evaluate_uncompz00, BgL_bgl_string1987za700za7za7_2039za7, "or", 2 );
DEFINE_STRING( BGl_string1989z00zz__evaluate_uncompz00, BgL_bgl_string1989za700za7za7_2040za7, "if", 2 );
DEFINE_STRING( BGl_string1991z00zz__evaluate_uncompz00, BgL_bgl_string1991za700za7za7_2041za7, "quote", 5 );
DEFINE_STRING( BGl_string1992z00zz__evaluate_uncompz00, BgL_bgl_string1992za700za7za7_2042za7, "__evaluate_uncomp", 17 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_keyword1966z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1932z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1958z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1960z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1962z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1964z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1968z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1970z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1972z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1974z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1976z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1978z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1980z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1982z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1984z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1986z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1988z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1990z00zz__evaluate_uncompz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_uncomp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_uncompilez00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_z62uncompilez62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp1193\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncomp1193z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_uncompz00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncompz62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_abs1239\" \"Eval/evaluate_uncomp.scm\" 4781) \"BGl_z62uncompzd2ev_abs1239zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_uncomp.scm\" 4920) \"BGl_recze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"redovars~0\" \"Eval/evaluate_uncomp.scm\" 5012) \"BGl_redovarsze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_app1237\" \"Eval/evaluate_uncomp.scm\" 4662) \"BGl_z62uncompzd2ev_app1237zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_goto1235\" \"Eval/evaluate_uncomp.scm\" 4537) \"BGl_z62uncompzd2ev_goto1235zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_labels1233\" \"Eval/evaluate_uncomp.scm\" 4300) \"BGl_z62uncompzd2ev_labels1233zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_letrec1231\" \"Eval/evaluate_uncomp.scm\" 4122) \"BGl_z62uncompzd2ev_letrec1231zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let*1229\" \"Eval/evaluate_uncomp.scm\" 3950) \"BGl_z62uncompzd2ev_letza21229z12zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let1227\" \"Eval/evaluate_uncomp.scm\" 3781) \"BGl_z62uncompzd2ev_let1227zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_synchroniz1225\" \"Eval/evaluate_uncomp.scm\" 3600) \"BGl_z62uncompzd2ev_synchroniza71225z17zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_with-handl1223\" \"Eval/evaluate_uncomp.scm\" 3447) \"BGl_z62uncompzd2ev_withzd2handl1223z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_unwind-pro1221\" \"Eval/evaluate_uncomp.scm\" 3294) \"BGl_z62uncompzd2ev_unwindzd2pro1221z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_bind-exit1219\" \"Eval/evaluate_uncomp.scm\" 3150) \"BGl_z62uncompzd2ev_bindzd2exit1219z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setlocal1217\" \"Eval/evaluate_uncomp.scm\" 3025) \"BGl_z62uncompzd2ev_setlocal1217zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_defglobal1215\" \"Eval/evaluate_uncomp.scm\" 2905) \"BGl_z62uncompzd2ev_defglobal1215zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setglobal1213\" \"Eval/evaluate_uncomp.scm\" 2787) \"BGl_z62uncompzd2ev_setglobal1213zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_trap1211\" \"Eval/evaluate_uncomp.scm\" 2690) \"BGl_z62uncompzd2ev_trap1211zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_prog21209\" \"Eval/evaluate_uncomp.scm\" 2464) \"BGl_z62uncompzd2ev_prog21209zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_and1207\" \"Eval/evaluate_uncomp.scm\" 2359) \"BGl_z62uncompzd2ev_and1207zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_or1205\" \"Eval/evaluate_uncomp.scm\" 2257) \"BGl_z62uncompzd2ev_or1205zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_if1203\" \"Eval/evaluate_uncomp.scm\" 2138) \"BGl_z62uncompzd2ev_if1203zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_litt1201\" \"Eval/evaluate_uncomp.scm\" 2048) \"BGl_z62uncompzd2ev_litt1201zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_global1199\" \"Eval/evaluate_uncomp.scm\" 1955) \"BGl_z62uncompzd2ev_global1199zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_var1197\" \"Eval/evaluate_uncomp.scm\" 1868) \"BGl_z62uncompzd2ev_var1197zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long BgL_checksumz00_2637, char * BgL_fromz00_2638)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(); 
BGl_cnstzd2initzd2zz__evaluate_uncompz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(); 
BGl_genericzd2initzd2zz__evaluate_uncompz00(); 
BGl_methodzd2initzd2zz__evaluate_uncompz00(); 
return 
BGl_profzd2initzd2zz__evaluate_uncompz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_symbol1932z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1931z00zz__evaluate_uncompz00); 
BGl_symbol1958z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1959z00zz__evaluate_uncompz00); 
BGl_symbol1960z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1961z00zz__evaluate_uncompz00); 
BGl_symbol1962z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1963z00zz__evaluate_uncompz00); 
BGl_symbol1964z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1965z00zz__evaluate_uncompz00); 
BGl_keyword1966z00zz__evaluate_uncompz00 = 
bstring_to_keyword(BGl_string1967z00zz__evaluate_uncompz00); 
BGl_symbol1968z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1969z00zz__evaluate_uncompz00); 
BGl_symbol1970z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1971z00zz__evaluate_uncompz00); 
BGl_symbol1972z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1973z00zz__evaluate_uncompz00); 
BGl_symbol1974z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1975z00zz__evaluate_uncompz00); 
BGl_symbol1976z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1977z00zz__evaluate_uncompz00); 
BGl_symbol1978z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1979z00zz__evaluate_uncompz00); 
BGl_symbol1980z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1981z00zz__evaluate_uncompz00); 
BGl_symbol1982z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1983z00zz__evaluate_uncompz00); 
BGl_symbol1984z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1985z00zz__evaluate_uncompz00); 
BGl_symbol1986z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1987z00zz__evaluate_uncompz00); 
BGl_symbol1988z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1989z00zz__evaluate_uncompz00); 
return ( 
BGl_symbol1990z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1991z00zz__evaluate_uncompz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* uncompile */
BGL_EXPORTED_DEF obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 62 */
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);} 
BGL_FUNCTION_END;
}



/* &uncompile */
obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2295, obj_t BgL_ez00_2296)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 62 */
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_ev_exprz00_bglt BgL_auxz00_2669;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2296, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_auxz00_2669 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2296)
; }  else 
{ 
obj_t BgL_auxz00_2673;
BgL_auxz00_2673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1927z00zz__evaluate_uncompz00, 
BINT(((long)1816)), BGl_string1928z00zz__evaluate_uncompz00, BGl_string1929z00zz__evaluate_uncompz00, BgL_ez00_2296); 
FAILURE(BgL_auxz00_2673,BFALSE,BFALSE);} 
return 
BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2669);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_proc1930z00zz__evaluate_uncompz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1931z00zz__evaluate_uncompz00);} 
BGL_FUNCTION_END;
}



/* &uncomp1193 */
obj_t BGl_z62uncomp1193z62zz__evaluate_uncompz00(obj_t BgL_envz00_2298, obj_t BgL_ez00_2299)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1932z00zz__evaluate_uncompz00, BGl_string1933z00zz__evaluate_uncompz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2299)));} 
BGL_FUNCTION_END;
}



/* uncomp */
obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_method1195z00_1085;
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_res1820z00_1908;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_objzd2classzd2numz00_1881;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1814z00_1884;
BgL_res1814z00_1884 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
BgL_objzd2classzd2numz00_1881 = BgL_res1814z00_1884; } 
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_arg1808z00_1882;
BgL_arg1808z00_1882 = 
PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_offsetz00_1886;
BgL_offsetz00_1886 = 
(int)(BgL_objzd2classzd2numz00_1881); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_offsetz00_1887;
BgL_offsetz00_1887 = 
(
(long)(BgL_offsetz00_1886)-OBJECT_TYPE); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_modz00_1888;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1810z00_1889;
BgL_arg1810z00_1889 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1817z00_1899;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_tmpz00_2690;
BgL_tmpz00_2690 = 
(long)(BgL_arg1810z00_1889); 
BgL_res1817z00_1899 = 
(BgL_offsetz00_1887/BgL_tmpz00_2690); } 
BgL_modz00_1888 = BgL_res1817z00_1899; } } 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_restz00_1890;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1809z00_1891;
BgL_arg1809z00_1891 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1819z00_1903;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_tmpz00_2694;
BgL_tmpz00_2694 = 
(long)(BgL_arg1809z00_1891); 
BgL_res1819z00_1903 = 
(BgL_offsetz00_1887%BgL_tmpz00_2694); } 
BgL_restz00_1890 = BgL_res1819z00_1903; } } 
{ /* Eval/evaluate_uncomp.scm 65 */

{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_bucketz00_1892;
BgL_bucketz00_1892 = 
VECTOR_REF(
((obj_t)BgL_arg1808z00_1882),BgL_modz00_1888); 
BgL_res1820z00_1908 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1892),BgL_restz00_1890); } } } } } } } } 
BgL_method1195z00_1085 = BgL_res1820z00_1908; } 
return 
PROCEDURE_ENTRY(BgL_method1195z00_1085)(BgL_method1195z00_1085, 
((obj_t)BgL_ez00_4), BEOA);} } 
BGL_FUNCTION_END;
}



/* &uncomp */
obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2300, obj_t BgL_ez00_2301)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_ev_exprz00_bglt BgL_auxz00_2706;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2301, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_auxz00_2706 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2301)
; }  else 
{ 
obj_t BgL_auxz00_2710;
BgL_auxz00_2710 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1927z00zz__evaluate_uncompz00, 
BINT(((long)1830)), BGl_string1934z00zz__evaluate_uncompz00, BGl_string1929z00zz__evaluate_uncompz00, BgL_ez00_2301); 
FAILURE(BgL_auxz00_2710,BFALSE,BFALSE);} 
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2706);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1935z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1937z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1938z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1939z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc1940z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc1941z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc1942z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc1943z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc1944z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc1945z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc1946z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc1947z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc1948z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc1949z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc1950z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1951z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc1952z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc1953z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc1954z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1955z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1956z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1957z00zz__evaluate_uncompz00, BGl_string1936z00zz__evaluate_uncompz00);} 
BGL_FUNCTION_END;
}



/* &uncomp-ev_abs1239 */
obj_t BGl_z62uncompzd2ev_abs1239zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2324, obj_t BgL_ez00_2325)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 157 */
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1490z00_2378;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1492z00_2379;obj_t BgL_arg1493z00_2380;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1494z00_2381;obj_t BgL_arg1496z00_2382;
BgL_arg1494z00_2381 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2325)))->BgL_arityz00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_l1176z00_2383;
BgL_l1176z00_2383 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2325)))->BgL_varsz00); 
if(
NULLP(BgL_l1176z00_2383))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1496z00_2382 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_head1178z00_2384;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1861z00_2385;
BgL_res1861z00_2385 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1178z00_2384 = BgL_res1861z00_2385; } 
{ 
obj_t BgL_l1176z00_2387;obj_t BgL_tail1179z00_2388;
BgL_l1176z00_2387 = BgL_l1176z00_2383; 
BgL_tail1179z00_2388 = BgL_head1178z00_2384; 
BgL_zc3anonymousza31498ze3z83_2386:
if(
NULLP(BgL_l1176z00_2387))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1496z00_2382 = 
CDR(BgL_head1178z00_2384); }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_newtail1180z00_2389;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1501z00_2390;
BgL_arg1501z00_2390 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)
CAR(
((obj_t)BgL_l1176z00_2387)))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1863z00_2391;
BgL_res1863z00_2391 = 
MAKE_YOUNG_PAIR(BgL_arg1501z00_2390, BNIL); 
BgL_newtail1180z00_2389 = BgL_res1863z00_2391; } } 
SET_CDR(BgL_tail1179z00_2388, BgL_newtail1180z00_2389); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1500z00_2392;
BgL_arg1500z00_2392 = 
CDR(
((obj_t)BgL_l1176z00_2387)); 
{ 
obj_t BgL_tail1179z00_2756;obj_t BgL_l1176z00_2755;
BgL_l1176z00_2755 = BgL_arg1500z00_2392; 
BgL_tail1179z00_2756 = BgL_newtail1180z00_2389; 
BgL_tail1179z00_2388 = BgL_tail1179z00_2756; 
BgL_l1176z00_2387 = BgL_l1176z00_2755; 
goto BgL_zc3anonymousza31498ze3z83_2386;} } } } } } 
BgL_arg1492z00_2379 = 
BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1494z00_2381, BgL_arg1496z00_2382); } 
BgL_arg1493z00_2380 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2325)))->BgL_bodyz00)), BNIL); 
BgL_arg1490z00_2378 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_2379, BgL_arg1493z00_2380); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00, BgL_arg1490z00_2378);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1492)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 162 */
if(
NULLP(
CDR(
((obj_t)BgL_lz00_1492))))
{ /* Eval/evaluate_uncomp.scm 163 */
return 
CAR(
((obj_t)BgL_lz00_1492));}  else 
{ /* Eval/evaluate_uncomp.scm 165 */
obj_t BgL_arg1509z00_1496;obj_t BgL_arg1511z00_1497;
BgL_arg1509z00_1496 = 
CAR(
((obj_t)BgL_lz00_1492)); 
{ /* Eval/evaluate_uncomp.scm 165 */
obj_t BgL_arg1512z00_1498;
BgL_arg1512z00_1498 = 
CDR(
((obj_t)BgL_lz00_1492)); 
BgL_arg1511z00_1497 = 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1512z00_1498); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1509z00_1496, BgL_arg1511z00_1497);} } 
BGL_FUNCTION_END;
}



/* redovars~0 */
obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1487, obj_t BgL_lz00_1488)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 165 */
if(
(
(long)CINT(BgL_nz00_1487)>=((long)0)))
{ /* Eval/evaluate_uncomp.scm 160 */
return BgL_lz00_1488;}  else 
{ /* Eval/evaluate_uncomp.scm 160 */
return 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1488);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_app1237 */
obj_t BGl_z62uncompzd2ev_app1237zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2326, obj_t BgL_ez00_2327)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 153 */
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1476z00_2394;obj_t BgL_arg1477z00_2395;
BgL_arg1476z00_2394 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2327)))->BgL_funz00)); 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1479z00_2396;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_l1170z00_2397;
BgL_l1170z00_2397 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2327)))->BgL_argsz00); 
if(
NULLP(BgL_l1170z00_2397))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1479z00_2396 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_head1172z00_2398;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1488z00_2399;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1489z00_2400;
BgL_arg1489z00_2400 = 
CAR(
((obj_t)BgL_l1170z00_2397)); 
BgL_arg1488z00_2399 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1489z00_2400)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1855z00_2401;
BgL_res1855z00_2401 = 
MAKE_YOUNG_PAIR(BgL_arg1488z00_2399, BNIL); 
BgL_head1172z00_2398 = BgL_res1855z00_2401; } } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_g1175z00_2402;
BgL_g1175z00_2402 = 
CDR(
((obj_t)BgL_l1170z00_2397)); 
{ 
obj_t BgL_l1170z00_2404;obj_t BgL_tail1173z00_2405;
BgL_l1170z00_2404 = BgL_g1175z00_2402; 
BgL_tail1173z00_2405 = BgL_head1172z00_2398; 
BgL_zc3anonymousza31481ze3z83_2403:
if(
NULLP(BgL_l1170z00_2404))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1479z00_2396 = BgL_head1172z00_2398; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_newtail1174z00_2406;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1484z00_2407;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1486z00_2408;
BgL_arg1486z00_2408 = 
CAR(
((obj_t)BgL_l1170z00_2404)); 
BgL_arg1484z00_2407 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1486z00_2408)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1857z00_2409;
BgL_res1857z00_2409 = 
MAKE_YOUNG_PAIR(BgL_arg1484z00_2407, BNIL); 
BgL_newtail1174z00_2406 = BgL_res1857z00_2409; } } 
SET_CDR(BgL_tail1173z00_2405, BgL_newtail1174z00_2406); 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1483z00_2410;
BgL_arg1483z00_2410 = 
CDR(
((obj_t)BgL_l1170z00_2404)); 
{ 
obj_t BgL_tail1173z00_2805;obj_t BgL_l1170z00_2804;
BgL_l1170z00_2804 = BgL_arg1483z00_2410; 
BgL_tail1173z00_2805 = BgL_newtail1174z00_2406; 
BgL_tail1173z00_2405 = BgL_tail1173z00_2805; 
BgL_l1170z00_2404 = BgL_l1170z00_2804; 
goto BgL_zc3anonymousza31481ze3z83_2403;} } } } } } } 
BgL_arg1477z00_2395 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1479z00_2396, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1476z00_2394, BgL_arg1477z00_2395);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_goto1235 */
obj_t BGl_z62uncompzd2ev_goto1235zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2328, obj_t BgL_ez00_2329)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 149 */
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1464z00_2412;obj_t BgL_arg1465z00_2413;
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_ev_varz00_bglt BgL_arg1466z00_2414;
BgL_arg1466z00_2414 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2329)))->BgL_labelz00); 
BgL_arg1464z00_2412 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1466z00_2414)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1467z00_2415;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_l1164z00_2416;
BgL_l1164z00_2416 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2329)))->BgL_argsz00); 
if(
NULLP(BgL_l1164z00_2416))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1467z00_2415 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_head1166z00_2417;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1474z00_2418;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1475z00_2419;
BgL_arg1475z00_2419 = 
CAR(
((obj_t)BgL_l1164z00_2416)); 
BgL_arg1474z00_2418 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1475z00_2419)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1851z00_2420;
BgL_res1851z00_2420 = 
MAKE_YOUNG_PAIR(BgL_arg1474z00_2418, BNIL); 
BgL_head1166z00_2417 = BgL_res1851z00_2420; } } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_g1169z00_2421;
BgL_g1169z00_2421 = 
CDR(
((obj_t)BgL_l1164z00_2416)); 
{ 
obj_t BgL_l1164z00_2423;obj_t BgL_tail1167z00_2424;
BgL_l1164z00_2423 = BgL_g1169z00_2421; 
BgL_tail1167z00_2424 = BgL_head1166z00_2417; 
BgL_zc3anonymousza31469ze3z83_2422:
if(
NULLP(BgL_l1164z00_2423))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1467z00_2415 = BgL_head1166z00_2417; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_newtail1168z00_2425;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1472z00_2426;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1473z00_2427;
BgL_arg1473z00_2427 = 
CAR(
((obj_t)BgL_l1164z00_2423)); 
BgL_arg1472z00_2426 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1473z00_2427)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1853z00_2428;
BgL_res1853z00_2428 = 
MAKE_YOUNG_PAIR(BgL_arg1472z00_2426, BNIL); 
BgL_newtail1168z00_2425 = BgL_res1853z00_2428; } } 
SET_CDR(BgL_tail1167z00_2424, BgL_newtail1168z00_2425); 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1471z00_2429;
BgL_arg1471z00_2429 = 
CDR(
((obj_t)BgL_l1164z00_2423)); 
{ 
obj_t BgL_tail1167z00_2834;obj_t BgL_l1164z00_2833;
BgL_l1164z00_2833 = BgL_arg1471z00_2429; 
BgL_tail1167z00_2834 = BgL_newtail1168z00_2425; 
BgL_tail1167z00_2424 = BgL_tail1167z00_2834; 
BgL_l1164z00_2423 = BgL_l1164z00_2833; 
goto BgL_zc3anonymousza31469ze3z83_2422;} } } } } } } 
BgL_arg1465z00_2413 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1467z00_2415, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1464z00_2412, BgL_arg1465z00_2413);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_labels1233 */
obj_t BGl_z62uncompzd2ev_labels1233zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2330, obj_t BgL_ez00_2331)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 142 */
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1436z00_2431;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1437z00_2432;obj_t BgL_arg1438z00_2433;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_ll1158z00_2434;obj_t BgL_ll1159z00_2435;
BgL_ll1158z00_2434 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2331)))->BgL_varsz00); 
BgL_ll1159z00_2435 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2331)))->BgL_valsz00); 
if(
NULLP(BgL_ll1158z00_2434))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1437z00_2432 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1160z00_2436;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1843z00_2437;
BgL_res1843z00_2437 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1160z00_2436 = BgL_res1843z00_2437; } 
{ 
obj_t BgL_ll1158z00_2439;obj_t BgL_ll1159z00_2440;obj_t BgL_tail1161z00_2441;
BgL_ll1158z00_2439 = BgL_ll1158z00_2434; 
BgL_ll1159z00_2440 = BgL_ll1159z00_2435; 
BgL_tail1161z00_2441 = BgL_head1160z00_2436; 
BgL_zc3anonymousza31440ze3z83_2438:
if(
NULLP(BgL_ll1158z00_2439))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1437z00_2432 = 
CDR(BgL_head1160z00_2436); }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1162z00_2442;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1444z00_2443;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_vz00_2444;obj_t BgL_az00_2445;
BgL_vz00_2444 = 
CAR(
((obj_t)BgL_ll1158z00_2439)); 
BgL_az00_2445 = 
CAR(
((obj_t)BgL_ll1159z00_2440)); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1445z00_2446;obj_t BgL_arg1446z00_2447;
BgL_arg1445z00_2446 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2444)); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1448z00_2448;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1449z00_2449;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1450z00_2450;obj_t BgL_arg1451z00_2451;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_l1152z00_2452;
BgL_l1152z00_2452 = 
CAR(
((obj_t)BgL_az00_2445)); 
if(
NULLP(BgL_l1152z00_2452))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1450z00_2450 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1154z00_2453;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1458z00_2454;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1459z00_2455;
BgL_arg1459z00_2455 = 
CAR(
((obj_t)BgL_l1152z00_2452)); 
BgL_arg1458z00_2454 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1459z00_2455)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1846z00_2456;
BgL_res1846z00_2456 = 
MAKE_YOUNG_PAIR(BgL_arg1458z00_2454, BNIL); 
BgL_head1154z00_2453 = BgL_res1846z00_2456; } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_g1157z00_2457;
BgL_g1157z00_2457 = 
CDR(
((obj_t)BgL_l1152z00_2452)); 
{ 
obj_t BgL_l1152z00_2459;obj_t BgL_tail1155z00_2460;
BgL_l1152z00_2459 = BgL_g1157z00_2457; 
BgL_tail1155z00_2460 = BgL_head1154z00_2453; 
BgL_zc3anonymousza31453ze3z83_2458:
if(
NULLP(BgL_l1152z00_2459))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1450z00_2450 = BgL_head1154z00_2453; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1156z00_2461;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1456z00_2462;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1457z00_2463;
BgL_arg1457z00_2463 = 
CAR(
((obj_t)BgL_l1152z00_2459)); 
BgL_arg1456z00_2462 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1457z00_2463)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1848z00_2464;
BgL_res1848z00_2464 = 
MAKE_YOUNG_PAIR(BgL_arg1456z00_2462, BNIL); 
BgL_newtail1156z00_2461 = BgL_res1848z00_2464; } } 
SET_CDR(BgL_tail1155z00_2460, BgL_newtail1156z00_2461); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1455z00_2465;
BgL_arg1455z00_2465 = 
CDR(
((obj_t)BgL_l1152z00_2459)); 
{ 
obj_t BgL_tail1155z00_2875;obj_t BgL_l1152z00_2874;
BgL_l1152z00_2874 = BgL_arg1455z00_2465; 
BgL_tail1155z00_2875 = BgL_newtail1156z00_2461; 
BgL_tail1155z00_2460 = BgL_tail1155z00_2875; 
BgL_l1152z00_2459 = BgL_l1152z00_2874; 
goto BgL_zc3anonymousza31453ze3z83_2458;} } } } } } } 
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1460z00_2466;
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1461z00_2467;
BgL_arg1461z00_2467 = 
CDR(
((obj_t)BgL_az00_2445)); 
BgL_arg1460z00_2466 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1461z00_2467)); } 
BgL_arg1451z00_2451 = 
MAKE_YOUNG_PAIR(BgL_arg1460z00_2466, BNIL); } 
BgL_arg1449z00_2449 = 
MAKE_YOUNG_PAIR(BgL_arg1450z00_2450, BgL_arg1451z00_2451); } 
BgL_arg1448z00_2448 = 
MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00, BgL_arg1449z00_2449); } 
BgL_arg1446z00_2447 = 
MAKE_YOUNG_PAIR(BgL_arg1448z00_2448, BNIL); } 
BgL_arg1444z00_2443 = 
MAKE_YOUNG_PAIR(BgL_arg1445z00_2446, BgL_arg1446z00_2447); } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1849z00_2468;
BgL_res1849z00_2468 = 
MAKE_YOUNG_PAIR(BgL_arg1444z00_2443, BNIL); 
BgL_newtail1162z00_2442 = BgL_res1849z00_2468; } } 
SET_CDR(BgL_tail1161z00_2441, BgL_newtail1162z00_2442); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1442z00_2469;obj_t BgL_arg1443z00_2470;
BgL_arg1442z00_2469 = 
CDR(
((obj_t)BgL_ll1158z00_2439)); 
BgL_arg1443z00_2470 = 
CDR(
((obj_t)BgL_ll1159z00_2440)); 
{ 
obj_t BgL_tail1161z00_2893;obj_t BgL_ll1159z00_2892;obj_t BgL_ll1158z00_2891;
BgL_ll1158z00_2891 = BgL_arg1442z00_2469; 
BgL_ll1159z00_2892 = BgL_arg1443z00_2470; 
BgL_tail1161z00_2893 = BgL_newtail1162z00_2442; 
BgL_tail1161z00_2441 = BgL_tail1161z00_2893; 
BgL_ll1159z00_2440 = BgL_ll1159z00_2892; 
BgL_ll1158z00_2439 = BgL_ll1158z00_2891; 
goto BgL_zc3anonymousza31440ze3z83_2438;} } } } } } 
BgL_arg1438z00_2433 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2331)))->BgL_bodyz00)), BNIL); 
BgL_arg1436z00_2431 = 
MAKE_YOUNG_PAIR(BgL_arg1437z00_2432, BgL_arg1438z00_2433); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__evaluate_uncompz00, BgL_arg1436z00_2431);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_letrec1231 */
obj_t BGl_z62uncompzd2ev_letrec1231zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2332, obj_t BgL_ez00_2333)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 138 */
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1420z00_2472;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1421z00_2473;obj_t BgL_arg1422z00_2474;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_ll1146z00_2475;obj_t BgL_ll1147z00_2476;
BgL_ll1146z00_2475 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2333))))->BgL_varsz00); 
BgL_ll1147z00_2476 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2333))))->BgL_valsz00); 
if(
NULLP(BgL_ll1146z00_2475))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1421z00_2473 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_head1148z00_2477;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1839z00_2478;
BgL_res1839z00_2478 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1148z00_2477 = BgL_res1839z00_2478; } 
{ 
obj_t BgL_ll1146z00_2480;obj_t BgL_ll1147z00_2481;obj_t BgL_tail1149z00_2482;
BgL_ll1146z00_2480 = BgL_ll1146z00_2475; 
BgL_ll1147z00_2481 = BgL_ll1147z00_2476; 
BgL_tail1149z00_2482 = BgL_head1148z00_2477; 
BgL_zc3anonymousza31424ze3z83_2479:
if(
NULLP(BgL_ll1146z00_2480))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1421z00_2473 = 
CDR(BgL_head1148z00_2477); }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_newtail1150z00_2483;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1430z00_2484;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_vz00_2485;obj_t BgL_az00_2486;
BgL_vz00_2485 = 
CAR(
((obj_t)BgL_ll1146z00_2480)); 
BgL_az00_2486 = 
CAR(
((obj_t)BgL_ll1147z00_2481)); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1431z00_2487;obj_t BgL_arg1432z00_2488;
BgL_arg1431z00_2487 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2485)); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1433z00_2489;
BgL_arg1433z00_2489 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2486)); 
BgL_arg1432z00_2488 = 
MAKE_YOUNG_PAIR(BgL_arg1433z00_2489, BNIL); } 
BgL_arg1430z00_2484 = 
MAKE_YOUNG_PAIR(BgL_arg1431z00_2487, BgL_arg1432z00_2488); } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1841z00_2490;
BgL_res1841z00_2490 = 
MAKE_YOUNG_PAIR(BgL_arg1430z00_2484, BNIL); 
BgL_newtail1150z00_2483 = BgL_res1841z00_2490; } } 
SET_CDR(BgL_tail1149z00_2482, BgL_newtail1150z00_2483); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1426z00_2491;obj_t BgL_arg1429z00_2492;
BgL_arg1426z00_2491 = 
CDR(
((obj_t)BgL_ll1146z00_2480)); 
BgL_arg1429z00_2492 = 
CDR(
((obj_t)BgL_ll1147z00_2481)); 
{ 
obj_t BgL_tail1149z00_2930;obj_t BgL_ll1147z00_2929;obj_t BgL_ll1146z00_2928;
BgL_ll1146z00_2928 = BgL_arg1426z00_2491; 
BgL_ll1147z00_2929 = BgL_arg1429z00_2492; 
BgL_tail1149z00_2930 = BgL_newtail1150z00_2483; 
BgL_tail1149z00_2482 = BgL_tail1149z00_2930; 
BgL_ll1147z00_2481 = BgL_ll1147z00_2929; 
BgL_ll1146z00_2480 = BgL_ll1146z00_2928; 
goto BgL_zc3anonymousza31424ze3z83_2479;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1434z00_2493;
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_ev_exprz00_bglt BgL_arg1435z00_2494;
BgL_arg1435z00_2494 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2333))))->BgL_bodyz00); 
BgL_arg1434z00_2493 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1435z00_2494); } 
BgL_arg1422z00_2474 = 
MAKE_YOUNG_PAIR(BgL_arg1434z00_2493, BNIL); } 
BgL_arg1420z00_2472 = 
MAKE_YOUNG_PAIR(BgL_arg1421z00_2473, BgL_arg1422z00_2474); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__evaluate_uncompz00, BgL_arg1420z00_2472);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_let*1229 */
obj_t BGl_z62uncompzd2ev_letza21229z12zz__evaluate_uncompz00(obj_t BgL_envz00_2334, obj_t BgL_ez00_2335)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 134 */
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1399z00_2496;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1400z00_2497;obj_t BgL_arg1401z00_2498;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_ll1140z00_2499;obj_t BgL_ll1141z00_2500;
BgL_ll1140z00_2499 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2335))))->BgL_varsz00); 
BgL_ll1141z00_2500 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2335))))->BgL_valsz00); 
if(
NULLP(BgL_ll1140z00_2499))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1400z00_2497 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_head1142z00_2501;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1835z00_2502;
BgL_res1835z00_2502 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1142z00_2501 = BgL_res1835z00_2502; } 
{ 
obj_t BgL_ll1140z00_2504;obj_t BgL_ll1141z00_2505;obj_t BgL_tail1143z00_2506;
BgL_ll1140z00_2504 = BgL_ll1140z00_2499; 
BgL_ll1141z00_2505 = BgL_ll1141z00_2500; 
BgL_tail1143z00_2506 = BgL_head1142z00_2501; 
BgL_zc3anonymousza31403ze3z83_2503:
if(
NULLP(BgL_ll1140z00_2504))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1400z00_2497 = 
CDR(BgL_head1142z00_2501); }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_newtail1144z00_2507;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1412z00_2508;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_vz00_2509;obj_t BgL_az00_2510;
BgL_vz00_2509 = 
CAR(
((obj_t)BgL_ll1140z00_2504)); 
BgL_az00_2510 = 
CAR(
((obj_t)BgL_ll1141z00_2505)); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1413z00_2511;obj_t BgL_arg1416z00_2512;
BgL_arg1413z00_2511 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2509)); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1417z00_2513;
BgL_arg1417z00_2513 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2510)); 
BgL_arg1416z00_2512 = 
MAKE_YOUNG_PAIR(BgL_arg1417z00_2513, BNIL); } 
BgL_arg1412z00_2508 = 
MAKE_YOUNG_PAIR(BgL_arg1413z00_2511, BgL_arg1416z00_2512); } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1837z00_2514;
BgL_res1837z00_2514 = 
MAKE_YOUNG_PAIR(BgL_arg1412z00_2508, BNIL); 
BgL_newtail1144z00_2507 = BgL_res1837z00_2514; } } 
SET_CDR(BgL_tail1143z00_2506, BgL_newtail1144z00_2507); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1410z00_2515;obj_t BgL_arg1411z00_2516;
BgL_arg1410z00_2515 = 
CDR(
((obj_t)BgL_ll1140z00_2504)); 
BgL_arg1411z00_2516 = 
CDR(
((obj_t)BgL_ll1141z00_2505)); 
{ 
obj_t BgL_tail1143z00_2968;obj_t BgL_ll1141z00_2967;obj_t BgL_ll1140z00_2966;
BgL_ll1140z00_2966 = BgL_arg1410z00_2515; 
BgL_ll1141z00_2967 = BgL_arg1411z00_2516; 
BgL_tail1143z00_2968 = BgL_newtail1144z00_2507; 
BgL_tail1143z00_2506 = BgL_tail1143z00_2968; 
BgL_ll1141z00_2505 = BgL_ll1141z00_2967; 
BgL_ll1140z00_2504 = BgL_ll1140z00_2966; 
goto BgL_zc3anonymousza31403ze3z83_2503;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1418z00_2517;
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_ev_exprz00_bglt BgL_arg1419z00_2518;
BgL_arg1419z00_2518 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2335))))->BgL_bodyz00); 
BgL_arg1418z00_2517 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1419z00_2518); } 
BgL_arg1401z00_2498 = 
MAKE_YOUNG_PAIR(BgL_arg1418z00_2517, BNIL); } 
BgL_arg1399z00_2496 = 
MAKE_YOUNG_PAIR(BgL_arg1400z00_2497, BgL_arg1401z00_2498); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1962z00zz__evaluate_uncompz00, BgL_arg1399z00_2496);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_let1227 */
obj_t BGl_z62uncompzd2ev_let1227zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2336, obj_t BgL_ez00_2337)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 130 */
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1385z00_2520;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1386z00_2521;obj_t BgL_arg1387z00_2522;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_ll1134z00_2523;obj_t BgL_ll1135z00_2524;
BgL_ll1134z00_2523 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2337))))->BgL_varsz00); 
BgL_ll1135z00_2524 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2337))))->BgL_valsz00); 
if(
NULLP(BgL_ll1134z00_2523))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1386z00_2521 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_head1136z00_2525;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1831z00_2526;
BgL_res1831z00_2526 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1136z00_2525 = BgL_res1831z00_2526; } 
{ 
obj_t BgL_ll1134z00_2528;obj_t BgL_ll1135z00_2529;obj_t BgL_tail1137z00_2530;
BgL_ll1134z00_2528 = BgL_ll1134z00_2523; 
BgL_ll1135z00_2529 = BgL_ll1135z00_2524; 
BgL_tail1137z00_2530 = BgL_head1136z00_2525; 
BgL_zc3anonymousza31389ze3z83_2527:
if(
NULLP(BgL_ll1134z00_2528))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1386z00_2521 = 
CDR(BgL_head1136z00_2525); }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_newtail1138z00_2531;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1393z00_2532;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_vz00_2533;obj_t BgL_az00_2534;
BgL_vz00_2533 = 
CAR(
((obj_t)BgL_ll1134z00_2528)); 
BgL_az00_2534 = 
CAR(
((obj_t)BgL_ll1135z00_2529)); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1394z00_2535;obj_t BgL_arg1395z00_2536;
BgL_arg1394z00_2535 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2533)); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1396z00_2537;
BgL_arg1396z00_2537 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2534)); 
BgL_arg1395z00_2536 = 
MAKE_YOUNG_PAIR(BgL_arg1396z00_2537, BNIL); } 
BgL_arg1393z00_2532 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_2535, BgL_arg1395z00_2536); } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1833z00_2538;
BgL_res1833z00_2538 = 
MAKE_YOUNG_PAIR(BgL_arg1393z00_2532, BNIL); 
BgL_newtail1138z00_2531 = BgL_res1833z00_2538; } } 
SET_CDR(BgL_tail1137z00_2530, BgL_newtail1138z00_2531); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1391z00_2539;obj_t BgL_arg1392z00_2540;
BgL_arg1391z00_2539 = 
CDR(
((obj_t)BgL_ll1134z00_2528)); 
BgL_arg1392z00_2540 = 
CDR(
((obj_t)BgL_ll1135z00_2529)); 
{ 
obj_t BgL_tail1137z00_3006;obj_t BgL_ll1135z00_3005;obj_t BgL_ll1134z00_3004;
BgL_ll1134z00_3004 = BgL_arg1391z00_2539; 
BgL_ll1135z00_3005 = BgL_arg1392z00_2540; 
BgL_tail1137z00_3006 = BgL_newtail1138z00_2531; 
BgL_tail1137z00_2530 = BgL_tail1137z00_3006; 
BgL_ll1135z00_2529 = BgL_ll1135z00_3005; 
BgL_ll1134z00_2528 = BgL_ll1134z00_3004; 
goto BgL_zc3anonymousza31389ze3z83_2527;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1397z00_2541;
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_ev_exprz00_bglt BgL_arg1398z00_2542;
BgL_arg1398z00_2542 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2337))))->BgL_bodyz00); 
BgL_arg1397z00_2541 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1398z00_2542); } 
BgL_arg1387z00_2522 = 
MAKE_YOUNG_PAIR(BgL_arg1397z00_2541, BNIL); } 
BgL_arg1385z00_2520 = 
MAKE_YOUNG_PAIR(BgL_arg1386z00_2521, BgL_arg1387z00_2522); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1964z00zz__evaluate_uncompz00, BgL_arg1385z00_2520);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_synchroniz1225 */
obj_t BGl_z62uncompzd2ev_synchroniza71225z17zz__evaluate_uncompz00(obj_t BgL_envz00_2338, obj_t BgL_ez00_2339)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 126 */
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1374z00_2544;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1375z00_2545;obj_t BgL_arg1376z00_2546;
BgL_arg1375z00_2545 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2339)))->BgL_mutexz00)); 
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1378z00_2547;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1379z00_2548;obj_t BgL_arg1380z00_2549;
BgL_arg1379z00_2548 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2339)))->BgL_prelockz00)); 
BgL_arg1380z00_2549 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2339)))->BgL_bodyz00)), BNIL); 
BgL_arg1378z00_2547 = 
MAKE_YOUNG_PAIR(BgL_arg1379z00_2548, BgL_arg1380z00_2549); } 
BgL_arg1376z00_2546 = 
MAKE_YOUNG_PAIR(BGl_keyword1966z00zz__evaluate_uncompz00, BgL_arg1378z00_2547); } 
BgL_arg1374z00_2544 = 
MAKE_YOUNG_PAIR(BgL_arg1375z00_2545, BgL_arg1376z00_2546); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1968z00zz__evaluate_uncompz00, BgL_arg1374z00_2544);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_with-handl1223 */
obj_t BGl_z62uncompzd2ev_withzd2handl1223z62zz__evaluate_uncompz00(obj_t BgL_envz00_2340, obj_t BgL_ez00_2341)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 122 */
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1367z00_2551;
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1368z00_2552;obj_t BgL_arg1370z00_2553;
BgL_arg1368z00_2552 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2341)))->BgL_handlerz00)); 
BgL_arg1370z00_2553 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2341)))->BgL_bodyz00)), BNIL); 
BgL_arg1367z00_2551 = 
MAKE_YOUNG_PAIR(BgL_arg1368z00_2552, BgL_arg1370z00_2553); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1970z00zz__evaluate_uncompz00, BgL_arg1367z00_2551);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_unwind-pro1221 */
obj_t BGl_z62uncompzd2ev_unwindzd2pro1221z62zz__evaluate_uncompz00(obj_t BgL_envz00_2342, obj_t BgL_ez00_2343)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 118 */
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1361z00_2555;
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1362z00_2556;obj_t BgL_arg1363z00_2557;
BgL_arg1362z00_2556 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2343)))->BgL_ez00)); 
BgL_arg1363z00_2557 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2343)))->BgL_bodyz00)), BNIL); 
BgL_arg1361z00_2555 = 
MAKE_YOUNG_PAIR(BgL_arg1362z00_2556, BgL_arg1363z00_2557); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1972z00zz__evaluate_uncompz00, BgL_arg1361z00_2555);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_bind-exit1219 */
obj_t BGl_z62uncompzd2ev_bindzd2exit1219z62zz__evaluate_uncompz00(obj_t BgL_envz00_2344, obj_t BgL_ez00_2345)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 114 */
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1354z00_2559;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1355z00_2560;obj_t BgL_arg1356z00_2561;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1357z00_2562;
{ /* Eval/evaluate_uncomp.scm 116 */
BgL_ev_varz00_bglt BgL_arg1358z00_2563;
BgL_arg1358z00_2563 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2345)))->BgL_varz00); 
BgL_arg1357z00_2562 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1358z00_2563)); } 
BgL_arg1355z00_2560 = 
MAKE_YOUNG_PAIR(BgL_arg1357z00_2562, BNIL); } 
BgL_arg1356z00_2561 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2345)))->BgL_bodyz00)), BNIL); 
BgL_arg1354z00_2559 = 
MAKE_YOUNG_PAIR(BgL_arg1355z00_2560, BgL_arg1356z00_2561); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00, BgL_arg1354z00_2559);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_setlocal1217 */
obj_t BGl_z62uncompzd2ev_setlocal1217zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2346, obj_t BgL_ez00_2347)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 110 */
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1348z00_2565;
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1349z00_2566;obj_t BgL_arg1350z00_2567;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_varz00_bglt BgL_arg1351z00_2568;
BgL_arg1351z00_2568 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2347)))->BgL_vz00); 
BgL_arg1349z00_2566 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1351z00_2568)); } 
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1352z00_2569;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_exprz00_bglt BgL_arg1353z00_2570;
BgL_arg1353z00_2570 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2347))))->BgL_ez00); 
BgL_arg1352z00_2569 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1353z00_2570); } 
BgL_arg1350z00_2567 = 
MAKE_YOUNG_PAIR(BgL_arg1352z00_2569, BNIL); } 
BgL_arg1348z00_2565 = 
MAKE_YOUNG_PAIR(BgL_arg1349z00_2566, BgL_arg1350z00_2567); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1976z00zz__evaluate_uncompz00, BgL_arg1348z00_2565);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_defglobal1215 */
obj_t BGl_z62uncompzd2ev_defglobal1215zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2348, obj_t BgL_ez00_2349)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 106 */
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1343z00_2572;
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1344z00_2573;obj_t BgL_arg1345z00_2574;
BgL_arg1344z00_2573 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2349))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1346z00_2575;
{ /* Eval/evaluate_uncomp.scm 108 */
BgL_ev_exprz00_bglt BgL_arg1347z00_2576;
BgL_arg1347z00_2576 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2349))))->BgL_ez00); 
BgL_arg1346z00_2575 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1347z00_2576); } 
BgL_arg1345z00_2574 = 
MAKE_YOUNG_PAIR(BgL_arg1346z00_2575, BNIL); } 
BgL_arg1343z00_2572 = 
MAKE_YOUNG_PAIR(BgL_arg1344z00_2573, BgL_arg1345z00_2574); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1978z00zz__evaluate_uncompz00, BgL_arg1343z00_2572);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_setglobal1213 */
obj_t BGl_z62uncompzd2ev_setglobal1213zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2350, obj_t BgL_ez00_2351)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 102 */
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1338z00_2578;
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1339z00_2579;obj_t BgL_arg1340z00_2580;
BgL_arg1339z00_2579 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_2351)))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1341z00_2581;
{ /* Eval/evaluate_uncomp.scm 104 */
BgL_ev_exprz00_bglt BgL_arg1342z00_2582;
BgL_arg1342z00_2582 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_2351))))->BgL_ez00); 
BgL_arg1341z00_2581 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1342z00_2582); } 
BgL_arg1340z00_2580 = 
MAKE_YOUNG_PAIR(BgL_arg1341z00_2581, BNIL); } 
BgL_arg1338z00_2578 = 
MAKE_YOUNG_PAIR(BgL_arg1339z00_2579, BgL_arg1340z00_2580); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1976z00zz__evaluate_uncompz00, BgL_arg1338z00_2578);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_trap1211 */
obj_t BGl_z62uncompzd2ev_trap1211zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2352, obj_t BgL_ez00_2353)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 98 */
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1335z00_2584;
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1336z00_2585;
{ /* Eval/evaluate_uncomp.scm 100 */
BgL_ev_exprz00_bglt BgL_arg1337z00_2586;
BgL_arg1337z00_2586 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_2353))))->BgL_ez00); 
BgL_arg1336z00_2585 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1337z00_2586); } 
BgL_arg1335z00_2584 = 
MAKE_YOUNG_PAIR(BgL_arg1336z00_2585, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1980z00zz__evaluate_uncompz00, BgL_arg1335z00_2584);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_prog21209 */
obj_t BGl_z62uncompzd2ev_prog21209zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2354, obj_t BgL_ez00_2355)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 91 */
{ /* Eval/evaluate_uncomp.scm 93 */
obj_t BgL_e1z00_2588;obj_t BgL_e2z00_2589;
BgL_e1z00_2588 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2355)))->BgL_e1z00)); 
BgL_e2z00_2589 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2355)))->BgL_e2z00)); 
{ /* Eval/evaluate_uncomp.scm 94 */
bool_t BgL_testz00_3099;
if(
PAIRP(BgL_e2z00_2589))
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_3099 = 
(
CAR(BgL_e2z00_2589)==BGl_symbol1982z00zz__evaluate_uncompz00)
; }  else 
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_3099 = ((bool_t)0)
; } 
if(BgL_testz00_3099)
{ /* Eval/evaluate_uncomp.scm 95 */
obj_t BgL_arg1325z00_2590;
BgL_arg1325z00_2590 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2588, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_e2z00_2589), BNIL)); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1982z00zz__evaluate_uncompz00, BgL_arg1325z00_2590);}  else 
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1328z00_2591;
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1329z00_2592;
BgL_arg1329z00_2592 = 
MAKE_YOUNG_PAIR(BgL_e2z00_2589, BNIL); 
BgL_arg1328z00_2591 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2588, BgL_arg1329z00_2592); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1982z00zz__evaluate_uncompz00, BgL_arg1328z00_2591);} } } } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_and1207 */
obj_t BGl_z62uncompzd2ev_and1207zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2356, obj_t BgL_ez00_2357)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 87 */
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1312z00_2594;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1313z00_2595;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_l1128z00_2596;
BgL_l1128z00_2596 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_2357))))->BgL_argsz00); 
if(
NULLP(BgL_l1128z00_2596))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1313z00_2595 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_head1130z00_2597;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1320z00_2598;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1321z00_2599;
BgL_arg1321z00_2599 = 
CAR(
((obj_t)BgL_l1128z00_2596)); 
BgL_arg1320z00_2598 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1321z00_2599)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1826z00_2600;
BgL_res1826z00_2600 = 
MAKE_YOUNG_PAIR(BgL_arg1320z00_2598, BNIL); 
BgL_head1130z00_2597 = BgL_res1826z00_2600; } } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_g1133z00_2601;
BgL_g1133z00_2601 = 
CDR(
((obj_t)BgL_l1128z00_2596)); 
{ 
obj_t BgL_l1128z00_2603;obj_t BgL_tail1131z00_2604;
BgL_l1128z00_2603 = BgL_g1133z00_2601; 
BgL_tail1131z00_2604 = BgL_head1130z00_2597; 
BgL_zc3anonymousza31315ze3z83_2602:
if(
NULLP(BgL_l1128z00_2603))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1313z00_2595 = BgL_head1130z00_2597; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_newtail1132z00_2605;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1318z00_2606;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1319z00_2607;
BgL_arg1319z00_2607 = 
CAR(
((obj_t)BgL_l1128z00_2603)); 
BgL_arg1318z00_2606 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1319z00_2607)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1828z00_2608;
BgL_res1828z00_2608 = 
MAKE_YOUNG_PAIR(BgL_arg1318z00_2606, BNIL); 
BgL_newtail1132z00_2605 = BgL_res1828z00_2608; } } 
SET_CDR(BgL_tail1131z00_2604, BgL_newtail1132z00_2605); 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1317z00_2609;
BgL_arg1317z00_2609 = 
CDR(
((obj_t)BgL_l1128z00_2603)); 
{ 
obj_t BgL_tail1131z00_3134;obj_t BgL_l1128z00_3133;
BgL_l1128z00_3133 = BgL_arg1317z00_2609; 
BgL_tail1131z00_3134 = BgL_newtail1132z00_2605; 
BgL_tail1131z00_2604 = BgL_tail1131z00_3134; 
BgL_l1128z00_2603 = BgL_l1128z00_3133; 
goto BgL_zc3anonymousza31315ze3z83_2602;} } } } } } } 
BgL_arg1312z00_2594 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1313z00_2595, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1984z00zz__evaluate_uncompz00, BgL_arg1312z00_2594);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_or1205 */
obj_t BGl_z62uncompzd2ev_or1205zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2358, obj_t BgL_ez00_2359)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 83 */
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1302z00_2611;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1303z00_2612;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_l1122z00_2613;
BgL_l1122z00_2613 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_2359))))->BgL_argsz00); 
if(
NULLP(BgL_l1122z00_2613))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1303z00_2612 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_head1124z00_2614;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1310z00_2615;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1311z00_2616;
BgL_arg1311z00_2616 = 
CAR(
((obj_t)BgL_l1122z00_2613)); 
BgL_arg1310z00_2615 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1311z00_2616)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1822z00_2617;
BgL_res1822z00_2617 = 
MAKE_YOUNG_PAIR(BgL_arg1310z00_2615, BNIL); 
BgL_head1124z00_2614 = BgL_res1822z00_2617; } } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_g1127z00_2618;
BgL_g1127z00_2618 = 
CDR(
((obj_t)BgL_l1122z00_2613)); 
{ 
obj_t BgL_l1122z00_2620;obj_t BgL_tail1125z00_2621;
BgL_l1122z00_2620 = BgL_g1127z00_2618; 
BgL_tail1125z00_2621 = BgL_head1124z00_2614; 
BgL_zc3anonymousza31305ze3z83_2619:
if(
NULLP(BgL_l1122z00_2620))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1303z00_2612 = BgL_head1124z00_2614; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_newtail1126z00_2622;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1308z00_2623;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1309z00_2624;
BgL_arg1309z00_2624 = 
CAR(
((obj_t)BgL_l1122z00_2620)); 
BgL_arg1308z00_2623 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1309z00_2624)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1824z00_2625;
BgL_res1824z00_2625 = 
MAKE_YOUNG_PAIR(BgL_arg1308z00_2623, BNIL); 
BgL_newtail1126z00_2622 = BgL_res1824z00_2625; } } 
SET_CDR(BgL_tail1125z00_2621, BgL_newtail1126z00_2622); 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1307z00_2626;
BgL_arg1307z00_2626 = 
CDR(
((obj_t)BgL_l1122z00_2620)); 
{ 
obj_t BgL_tail1125z00_3160;obj_t BgL_l1122z00_3159;
BgL_l1122z00_3159 = BgL_arg1307z00_2626; 
BgL_tail1125z00_3160 = BgL_newtail1126z00_2622; 
BgL_tail1125z00_2621 = BgL_tail1125z00_3160; 
BgL_l1122z00_2620 = BgL_l1122z00_3159; 
goto BgL_zc3anonymousza31305ze3z83_2619;} } } } } } } 
BgL_arg1302z00_2611 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1303z00_2612, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1986z00zz__evaluate_uncompz00, BgL_arg1302z00_2611);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_if1203 */
obj_t BGl_z62uncompzd2ev_if1203zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2360, obj_t BgL_ez00_2361)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 79 */
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1292z00_2628;
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1294z00_2629;obj_t BgL_arg1295z00_2630;
BgL_arg1294z00_2629 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2361)))->BgL_pz00)); 
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1297z00_2631;obj_t BgL_arg1298z00_2632;
BgL_arg1297z00_2631 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2361)))->BgL_tz00)); 
BgL_arg1298z00_2632 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2361)))->BgL_ez00)), BNIL); 
BgL_arg1295z00_2630 = 
MAKE_YOUNG_PAIR(BgL_arg1297z00_2631, BgL_arg1298z00_2632); } 
BgL_arg1292z00_2628 = 
MAKE_YOUNG_PAIR(BgL_arg1294z00_2629, BgL_arg1295z00_2630); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1988z00zz__evaluate_uncompz00, BgL_arg1292z00_2628);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_litt1201 */
obj_t BGl_z62uncompzd2ev_litt1201zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2362, obj_t BgL_ez00_2363)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 75 */
{ /* Eval/evaluate_uncomp.scm 77 */
obj_t BgL_arg1290z00_2634;
BgL_arg1290z00_2634 = 
MAKE_YOUNG_PAIR(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_ez00_2363)))->BgL_valuez00), BNIL); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1990z00zz__evaluate_uncompz00, BgL_arg1290z00_2634);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_global1199 */
obj_t BGl_z62uncompzd2ev_global1199zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2364, obj_t BgL_varz00_2365)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 71 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_2365)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &uncomp-ev_var1197 */
obj_t BGl_z62uncompzd2ev_var1197zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2366, obj_t BgL_varz00_2367)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 67 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_2367)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117125), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564244), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)338601822), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262938), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-298277921), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089688), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758625), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string1992z00zz__evaluate_uncompz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
