/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncomp1195z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_keyword2063z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2029z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2055z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2057z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2059z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2061z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2065z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2067z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2069z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_symbol2071z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2073z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2075z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2077z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2079z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2081z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2083z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2085z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2087z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2090z00,
		BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2091z00,
		BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2092z00,
		BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i2093z00,
		BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o2094z00,
		BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2095z00,
		BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p2096z00,
		BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t2097z00,
		BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2098z00,
		BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d2099z00,
		BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2100z00,
		BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b2101z00,
		BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u2102z00,
		BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w2103z00,
		BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2104z00,
		BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2105z00,
		BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2106z00,
		BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2107z00,
		BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2108z00,
		BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2109z00,
		BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2110z00,
		BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2111z00,
		BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2112z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2024z00zz__evaluate_uncompz00,
		BgL_bgl_string2024za700za7za7_2113za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string2025z00zz__evaluate_uncompz00,
		BgL_bgl_string2025za700za7za7_2114za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string2026z00zz__evaluate_uncompz00,
		BgL_bgl_string2026za700za7za7_2115za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2028z00zz__evaluate_uncompz00,
		BgL_bgl_string2028za700za7za7_2116za7, "uncomp1195", 10);
	      DEFINE_STRING(BGl_string2030z00zz__evaluate_uncompz00,
		BgL_bgl_string2030za700za7za7_2117za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2031z00zz__evaluate_uncompz00,
		BgL_bgl_string2031za700za7za7_2118za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string2033z00zz__evaluate_uncompz00,
		BgL_bgl_string2033za700za7za7_2119za7, "uncomp", 6);
	      DEFINE_STRING(BGl_string2056z00zz__evaluate_uncompz00,
		BgL_bgl_string2056za700za7za7_2120za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2058z00zz__evaluate_uncompz00,
		BgL_bgl_string2058za700za7za7_2121za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2060z00zz__evaluate_uncompz00,
		BgL_bgl_string2060za700za7za7_2122za7, "let*", 4);
	      DEFINE_STRING(BGl_string2062z00zz__evaluate_uncompz00,
		BgL_bgl_string2062za700za7za7_2123za7, "let", 3);
	      DEFINE_STRING(BGl_string2064z00zz__evaluate_uncompz00,
		BgL_bgl_string2064za700za7za7_2124za7, "prelock", 7);
	      DEFINE_STRING(BGl_string2066z00zz__evaluate_uncompz00,
		BgL_bgl_string2066za700za7za7_2125za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2068z00zz__evaluate_uncompz00,
		BgL_bgl_string2068za700za7za7_2126za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2070z00zz__evaluate_uncompz00,
		BgL_bgl_string2070za700za7za7_2127za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2072z00zz__evaluate_uncompz00,
		BgL_bgl_string2072za700za7za7_2128za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2074z00zz__evaluate_uncompz00,
		BgL_bgl_string2074za700za7za7_2129za7, "set!", 4);
	      DEFINE_STRING(BGl_string2076z00zz__evaluate_uncompz00,
		BgL_bgl_string2076za700za7za7_2130za7, "define", 6);
	      DEFINE_STRING(BGl_string2078z00zz__evaluate_uncompz00,
		BgL_bgl_string2078za700za7za7_2131za7, "trap", 4);
	      DEFINE_STRING(BGl_string2080z00zz__evaluate_uncompz00,
		BgL_bgl_string2080za700za7za7_2132za7, "begin", 5);
	      DEFINE_STRING(BGl_string2082z00zz__evaluate_uncompz00,
		BgL_bgl_string2082za700za7za7_2133za7, "and", 3);
	      DEFINE_STRING(BGl_string2084z00zz__evaluate_uncompz00,
		BgL_bgl_string2084za700za7za7_2134za7, "or", 2);
	      DEFINE_STRING(BGl_string2086z00zz__evaluate_uncompz00,
		BgL_bgl_string2086za700za7za7_2135za7, "if", 2);
	      DEFINE_STRING(BGl_string2088z00zz__evaluate_uncompz00,
		BgL_bgl_string2088za700za7za7_2136za7, "quote", 5);
	      DEFINE_STRING(BGl_string2089z00zz__evaluate_uncompz00,
		BgL_bgl_string2089za700za7za7_2137za7, "__evaluate_uncomp", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72138za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1195za7622139z00,
		BGl_z62uncomp1195z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_keyword2063z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2029z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2055z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2057z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2059z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2061z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2065z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2067z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2069z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2071z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2073z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2075z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2077z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2079z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2081z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2083z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2085z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2087z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2850, char *BgL_fromz00_2851)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol2029z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2028z00zz__evaluate_uncompz00);
			BGl_symbol2055z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2056z00zz__evaluate_uncompz00);
			BGl_symbol2057z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2058z00zz__evaluate_uncompz00);
			BGl_symbol2059z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2060z00zz__evaluate_uncompz00);
			BGl_symbol2061z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2062z00zz__evaluate_uncompz00);
			BGl_keyword2063z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string2064z00zz__evaluate_uncompz00);
			BGl_symbol2065z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2066z00zz__evaluate_uncompz00);
			BGl_symbol2067z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2068z00zz__evaluate_uncompz00);
			BGl_symbol2069z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2070z00zz__evaluate_uncompz00);
			BGl_symbol2071z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2072z00zz__evaluate_uncompz00);
			BGl_symbol2073z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2074z00zz__evaluate_uncompz00);
			BGl_symbol2075z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2076z00zz__evaluate_uncompz00);
			BGl_symbol2077z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2078z00zz__evaluate_uncompz00);
			BGl_symbol2079z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2080z00zz__evaluate_uncompz00);
			BGl_symbol2081z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2082z00zz__evaluate_uncompz00);
			BGl_symbol2083z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2084z00zz__evaluate_uncompz00);
			BGl_symbol2085z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2086z00zz__evaluate_uncompz00);
			return (BGl_symbol2087z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2088z00zz__evaluate_uncompz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
		BGL_FUNCTION_END;
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2508,
		obj_t BgL_ez00_2509)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2881;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2509,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2881 = ((BgL_ev_exprz00_bglt) BgL_ez00_2509);
					}
				else
					{
						obj_t BgL_auxz00_2885;

						BgL_auxz00_2885 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2024z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string2025z00zz__evaluate_uncompz00,
							BGl_string2026z00zz__evaluate_uncompz00, BgL_ez00_2509);
						FAILURE(BgL_auxz00_2885, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2881);
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc2027z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2028z00zz__evaluate_uncompz00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp1195 */
	obj_t BGl_z62uncomp1195z62zz__evaluate_uncompz00(obj_t BgL_envz00_2511,
		obj_t BgL_ez00_2512)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2029z00zz__evaluate_uncompz00,
				BGl_string2030z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2512)));
		}
		BGL_FUNCTION_END;
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1196z00_1085;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1889z00_1908;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1881;

						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_res1883z00_1884;

							BgL_res1883z00_1884 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
							BgL_objzd2classzd2numz00_1881 = BgL_res1883z00_1884;
						}
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1876z00_1882;

							BgL_arg1876z00_1882 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1886;

								BgL_offsetz00_1886 = (int) (BgL_objzd2classzd2numz00_1881);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1887;

									BgL_offsetz00_1887 =
										((long) (BgL_offsetz00_1886) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1888;

										{	/* Eval/evaluate_uncomp.scm 65 */
											int BgL_arg1879z00_1889;

											BgL_arg1879z00_1889 = (int) (((long) 16));
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_res1886z00_1899;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_tmpz00_2902;

													BgL_tmpz00_2902 = (long) (BgL_arg1879z00_1889);
													BgL_res1886z00_1899 =
														(BgL_offsetz00_1887 / BgL_tmpz00_2902);
												}
												BgL_modz00_1888 = BgL_res1886z00_1899;
										}}
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1890;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1877z00_1891;

												BgL_arg1877z00_1891 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1888z00_1903;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_tmpz00_2906;

														BgL_tmpz00_2906 = (long) (BgL_arg1877z00_1891);
														BgL_res1888z00_1903 =
															(BgL_offsetz00_1887 % BgL_tmpz00_2906);
													}
													BgL_restz00_1890 = BgL_res1888z00_1903;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */

												{	/* Eval/evaluate_uncomp.scm 65 */
													obj_t BgL_bucketz00_1892;

													BgL_bucketz00_1892 =
														VECTOR_REF(
														((obj_t) BgL_arg1876z00_1882), BgL_modz00_1888);
													BgL_res1889z00_1908 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1892), BgL_restz00_1890);
					}}}}}}}}
					BgL_method1196z00_1085 = BgL_res1889z00_1908;
				}
				return
					PROCEDURE_ENTRY(BgL_method1196z00_1085) (BgL_method1196z00_1085,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2513,
		obj_t BgL_ez00_2514)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2918;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2514,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2918 = ((BgL_ev_exprz00_bglt) BgL_ez00_2514);
					}
				else
					{
						obj_t BgL_auxz00_2922;

						BgL_auxz00_2922 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2024z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string2031z00zz__evaluate_uncompz00,
							BGl_string2026z00zz__evaluate_uncompz00, BgL_ez00_2514);
						FAILURE(BgL_auxz00_2922, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2918);
			}
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2032z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2034z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2035z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2036z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc2037z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc2038z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2039z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc2040z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc2041z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc2042z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2043z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2044z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2045z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2046z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2047z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2048z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2049z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2050z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2051z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2052z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2053z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2054z00zz__evaluate_uncompz00,
				BGl_string2033z00zz__evaluate_uncompz00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_abs1240 */
	obj_t BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2537, obj_t BgL_ez00_2538)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1526z00_2591;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1527z00_2592;
					obj_t BgL_arg1528z00_2593;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1530z00_2594;
						obj_t BgL_arg1532z00_2595;

						BgL_arg1530z00_2594 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_2538)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1178z00_2596;

							BgL_l1178z00_2596 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2538)))->BgL_varsz00);
							if (NULLP(BgL_l1178z00_2596))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1532z00_2595 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1180z00_2597;

									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_res1954z00_2598;

										BgL_res1954z00_2598 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1180z00_2597 = BgL_res1954z00_2598;
									}
									{
										obj_t BgL_l1178z00_2600;
										obj_t BgL_tail1181z00_2601;

										BgL_l1178z00_2600 = BgL_l1178z00_2596;
										BgL_tail1181z00_2601 = BgL_head1180z00_2597;
									BgL_zc3anonymousza31534ze3z83_2599:
										if (NULLP(BgL_l1178z00_2600))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1532z00_2595 = CDR(BgL_head1180z00_2597);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1182z00_2602;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1537z00_2603;

													BgL_arg1537z00_2603 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt)
																	CAR(
																		((obj_t) BgL_l1178z00_2600)))))->
														BgL_namez00);
													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_res1960z00_2604;

														BgL_res1960z00_2604 =
															MAKE_YOUNG_PAIR(BgL_arg1537z00_2603, BNIL);
														BgL_newtail1182z00_2602 = BgL_res1960z00_2604;
													}
												}
												SET_CDR(BgL_tail1181z00_2601, BgL_newtail1182z00_2602);
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1536z00_2605;

													BgL_arg1536z00_2605 =
														CDR(((obj_t) BgL_l1178z00_2600));
													{
														obj_t BgL_tail1181z00_2968;
														obj_t BgL_l1178z00_2967;

														BgL_l1178z00_2967 = BgL_arg1536z00_2605;
														BgL_tail1181z00_2968 = BgL_newtail1182z00_2602;
														BgL_tail1181z00_2601 = BgL_tail1181z00_2968;
														BgL_l1178z00_2600 = BgL_l1178z00_2967;
														goto BgL_zc3anonymousza31534ze3z83_2599;
													}
												}
											}
									}
								}
						}
						BgL_arg1527z00_2592 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1530z00_2594,
							BgL_arg1532z00_2595);
					}
					BgL_arg1528z00_2593 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2538)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1526z00_2591 =
						MAKE_YOUNG_PAIR(BgL_arg1527z00_2592, BgL_arg1528z00_2593);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2055z00zz__evaluate_uncompz00,
					BgL_arg1526z00_2591);
			}
		}
		BGL_FUNCTION_END;
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1492)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(((obj_t) BgL_lz00_1492))))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(((obj_t) BgL_lz00_1492));
				}
			else
				{	/* Eval/evaluate_uncomp.scm 165 */
					obj_t BgL_arg1545z00_1496;
					obj_t BgL_arg1546z00_1497;

					BgL_arg1545z00_1496 = CAR(((obj_t) BgL_lz00_1492));
					{	/* Eval/evaluate_uncomp.scm 165 */
						obj_t BgL_arg1547z00_1498;

						BgL_arg1547z00_1498 = CDR(((obj_t) BgL_lz00_1492));
						BgL_arg1546z00_1497 =
							BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1547z00_1498);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1545z00_1496, BgL_arg1546z00_1497);
				}
		}
		BGL_FUNCTION_END;
	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1487,
		obj_t BgL_lz00_1488)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1487) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1488;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1488);
				}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_app1238 */
	obj_t BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2539, obj_t BgL_ez00_2540)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1509z00_2607;
				obj_t BgL_arg1510z00_2608;

				BgL_arg1509z00_2607 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2540)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1516z00_2609;

					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_l1172z00_2610;

						BgL_l1172z00_2610 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_2540)))->BgL_argsz00);
						if (NULLP(BgL_l1172z00_2610))
							{	/* Eval/evaluate_uncomp.scm 155 */
								BgL_arg1516z00_2609 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_head1174z00_2611;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1523z00_2612;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1525z00_2613;

										BgL_arg1525z00_2613 = CAR(((obj_t) BgL_l1172z00_2610));
										BgL_arg1523z00_2612 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1525z00_2613));
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_res1944z00_2614;

										BgL_res1944z00_2614 =
											MAKE_YOUNG_PAIR(BgL_arg1523z00_2612, BNIL);
										BgL_head1174z00_2611 = BgL_res1944z00_2614;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_g1177z00_2615;

									BgL_g1177z00_2615 = CDR(((obj_t) BgL_l1172z00_2610));
									{
										obj_t BgL_l1172z00_2617;
										obj_t BgL_tail1175z00_2618;

										BgL_l1172z00_2617 = BgL_g1177z00_2615;
										BgL_tail1175z00_2618 = BgL_head1174z00_2611;
									BgL_zc3anonymousza31518ze3z83_2616:
										if (NULLP(BgL_l1172z00_2617))
											{	/* Eval/evaluate_uncomp.scm 155 */
												BgL_arg1516z00_2609 = BgL_head1174z00_2611;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_newtail1176z00_2619;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1521z00_2620;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1522z00_2621;

														BgL_arg1522z00_2621 =
															CAR(((obj_t) BgL_l1172z00_2617));
														BgL_arg1521z00_2620 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1522z00_2621));
													}
													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_res1950z00_2622;

														BgL_res1950z00_2622 =
															MAKE_YOUNG_PAIR(BgL_arg1521z00_2620, BNIL);
														BgL_newtail1176z00_2619 = BgL_res1950z00_2622;
													}
												}
												SET_CDR(BgL_tail1175z00_2618, BgL_newtail1176z00_2619);
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1520z00_2623;

													BgL_arg1520z00_2623 =
														CDR(((obj_t) BgL_l1172z00_2617));
													{
														obj_t BgL_tail1175z00_3017;
														obj_t BgL_l1172z00_3016;

														BgL_l1172z00_3016 = BgL_arg1520z00_2623;
														BgL_tail1175z00_3017 = BgL_newtail1176z00_2619;
														BgL_tail1175z00_2618 = BgL_tail1175z00_3017;
														BgL_l1172z00_2617 = BgL_l1172z00_3016;
														goto BgL_zc3anonymousza31518ze3z83_2616;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1510z00_2608 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1516z00_2609,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1509z00_2607, BgL_arg1510z00_2608);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_goto1236 */
	obj_t BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2541, obj_t BgL_ez00_2542)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1496z00_2625;
				obj_t BgL_arg1497z00_2626;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1498z00_2627;

					BgL_arg1498z00_2627 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2542)))->BgL_labelz00);
					BgL_arg1496z00_2625 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1498z00_2627));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1500z00_2628;

					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_l1166z00_2629;

						BgL_l1166z00_2629 =
							(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_2542)))->BgL_argsz00);
						if (NULLP(BgL_l1166z00_2629))
							{	/* Eval/evaluate_uncomp.scm 151 */
								BgL_arg1500z00_2628 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_head1168z00_2630;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1507z00_2631;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1508z00_2632;

										BgL_arg1508z00_2632 = CAR(((obj_t) BgL_l1166z00_2629));
										BgL_arg1507z00_2631 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2632));
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_res1934z00_2633;

										BgL_res1934z00_2633 =
											MAKE_YOUNG_PAIR(BgL_arg1507z00_2631, BNIL);
										BgL_head1168z00_2630 = BgL_res1934z00_2633;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_g1171z00_2634;

									BgL_g1171z00_2634 = CDR(((obj_t) BgL_l1166z00_2629));
									{
										obj_t BgL_l1166z00_2636;
										obj_t BgL_tail1169z00_2637;

										BgL_l1166z00_2636 = BgL_g1171z00_2634;
										BgL_tail1169z00_2637 = BgL_head1168z00_2630;
									BgL_zc3anonymousza31502ze3z83_2635:
										if (NULLP(BgL_l1166z00_2636))
											{	/* Eval/evaluate_uncomp.scm 151 */
												BgL_arg1500z00_2628 = BgL_head1168z00_2630;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_newtail1170z00_2638;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1505z00_2639;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1506z00_2640;

														BgL_arg1506z00_2640 =
															CAR(((obj_t) BgL_l1166z00_2636));
														BgL_arg1505z00_2639 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1506z00_2640));
													}
													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_res1942z00_2641;

														BgL_res1942z00_2641 =
															MAKE_YOUNG_PAIR(BgL_arg1505z00_2639, BNIL);
														BgL_newtail1170z00_2638 = BgL_res1942z00_2641;
													}
												}
												SET_CDR(BgL_tail1169z00_2637, BgL_newtail1170z00_2638);
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1504z00_2642;

													BgL_arg1504z00_2642 =
														CDR(((obj_t) BgL_l1166z00_2636));
													{
														obj_t BgL_tail1169z00_3046;
														obj_t BgL_l1166z00_3045;

														BgL_l1166z00_3045 = BgL_arg1504z00_2642;
														BgL_tail1169z00_3046 = BgL_newtail1170z00_2638;
														BgL_tail1169z00_2637 = BgL_tail1169z00_3046;
														BgL_l1166z00_2636 = BgL_l1166z00_3045;
														goto BgL_zc3anonymousza31502ze3z83_2635;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1497z00_2626 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1500z00_2628,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1496z00_2625, BgL_arg1497z00_2626);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_labels1234 */
	obj_t BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2543, obj_t BgL_ez00_2544)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1465z00_2644;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1466z00_2645;
					obj_t BgL_arg1467z00_2646;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1160z00_2647;
						obj_t BgL_ll1161z00_2648;

						BgL_ll1160z00_2647 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2544)))->BgL_varsz00);
						BgL_ll1161z00_2648 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2544)))->BgL_valsz00);
						if (NULLP(BgL_ll1160z00_2647))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1466z00_2645 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1162z00_2649;

								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_res1920z00_2650;

									BgL_res1920z00_2650 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1162z00_2649 = BgL_res1920z00_2650;
								}
								{
									obj_t BgL_ll1160z00_2652;
									obj_t BgL_ll1161z00_2653;
									obj_t BgL_tail1163z00_2654;

									BgL_ll1160z00_2652 = BgL_ll1160z00_2647;
									BgL_ll1161z00_2653 = BgL_ll1161z00_2648;
									BgL_tail1163z00_2654 = BgL_head1162z00_2649;
								BgL_zc3anonymousza31469ze3z83_2651:
									if (NULLP(BgL_ll1160z00_2652))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1466z00_2645 = CDR(BgL_head1162z00_2649);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1164z00_2655;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1474z00_2656;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2657;
													obj_t BgL_az00_2658;

													BgL_vz00_2657 = CAR(((obj_t) BgL_ll1160z00_2652));
													BgL_az00_2658 = CAR(((obj_t) BgL_ll1161z00_2653));
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1475z00_2659;
														obj_t BgL_arg1477z00_2660;

														BgL_arg1475z00_2659 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2657));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1478z00_2661;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1479z00_2662;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1480z00_2663;
																	obj_t BgL_arg1481z00_2664;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1154z00_2665;

																		BgL_l1154z00_2665 =
																			CAR(((obj_t) BgL_az00_2658));
																		if (NULLP(BgL_l1154z00_2665))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1480z00_2663 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1156z00_2666;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1488z00_2667;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1490z00_2668;

																						BgL_arg1490z00_2668 =
																							CAR(((obj_t) BgL_l1154z00_2665));
																						BgL_arg1488z00_2667 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1490z00_2668));
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_res1925z00_2669;

																						BgL_res1925z00_2669 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1488z00_2667, BNIL);
																						BgL_head1156z00_2666 =
																							BgL_res1925z00_2669;
																					}
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1159z00_2670;

																					BgL_g1159z00_2670 =
																						CDR(((obj_t) BgL_l1154z00_2665));
																					{
																						obj_t BgL_l1154z00_2672;
																						obj_t BgL_tail1157z00_2673;

																						BgL_l1154z00_2672 =
																							BgL_g1159z00_2670;
																						BgL_tail1157z00_2673 =
																							BgL_head1156z00_2666;
																					BgL_zc3anonymousza31483ze3z83_2671:
																						if (NULLP(BgL_l1154z00_2672))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1480z00_2663 =
																									BgL_head1156z00_2666;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1158z00_2674;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1486z00_2675;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1487z00_2676;

																										BgL_arg1487z00_2676 =
																											CAR(
																											((obj_t)
																												BgL_l1154z00_2672));
																										BgL_arg1486z00_2675 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1487z00_2676));
																									}
																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_res1931z00_2677;

																										BgL_res1931z00_2677 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1486z00_2675,
																											BNIL);
																										BgL_newtail1158z00_2674 =
																											BgL_res1931z00_2677;
																									}
																								}
																								SET_CDR(BgL_tail1157z00_2673,
																									BgL_newtail1158z00_2674);
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1485z00_2678;

																									BgL_arg1485z00_2678 =
																										CDR(
																										((obj_t)
																											BgL_l1154z00_2672));
																									{
																										obj_t BgL_tail1157z00_3087;
																										obj_t BgL_l1154z00_3086;

																										BgL_l1154z00_3086 =
																											BgL_arg1485z00_2678;
																										BgL_tail1157z00_3087 =
																											BgL_newtail1158z00_2674;
																										BgL_tail1157z00_2673 =
																											BgL_tail1157z00_3087;
																										BgL_l1154z00_2672 =
																											BgL_l1154z00_3086;
																										goto
																											BgL_zc3anonymousza31483ze3z83_2671;
																									}
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1491z00_2679;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1493z00_2680;

																			BgL_arg1493z00_2680 =
																				CDR(((obj_t) BgL_az00_2658));
																			BgL_arg1491z00_2679 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1493z00_2680));
																		}
																		BgL_arg1481z00_2664 =
																			MAKE_YOUNG_PAIR(BgL_arg1491z00_2679,
																			BNIL);
																	}
																	BgL_arg1479z00_2662 =
																		MAKE_YOUNG_PAIR(BgL_arg1480z00_2663,
																		BgL_arg1481z00_2664);
																}
																BgL_arg1478z00_2661 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol2055z00zz__evaluate_uncompz00,
																	BgL_arg1479z00_2662);
															}
															BgL_arg1477z00_2660 =
																MAKE_YOUNG_PAIR(BgL_arg1478z00_2661, BNIL);
														}
														BgL_arg1474z00_2656 =
															MAKE_YOUNG_PAIR(BgL_arg1475z00_2659,
															BgL_arg1477z00_2660);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_res1932z00_2681;

													BgL_res1932z00_2681 =
														MAKE_YOUNG_PAIR(BgL_arg1474z00_2656, BNIL);
													BgL_newtail1164z00_2655 = BgL_res1932z00_2681;
												}
											}
											SET_CDR(BgL_tail1163z00_2654, BgL_newtail1164z00_2655);
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1472z00_2682;
												obj_t BgL_arg1473z00_2683;

												BgL_arg1472z00_2682 = CDR(((obj_t) BgL_ll1160z00_2652));
												BgL_arg1473z00_2683 = CDR(((obj_t) BgL_ll1161z00_2653));
												{
													obj_t BgL_tail1163z00_3105;
													obj_t BgL_ll1161z00_3104;
													obj_t BgL_ll1160z00_3103;

													BgL_ll1160z00_3103 = BgL_arg1472z00_2682;
													BgL_ll1161z00_3104 = BgL_arg1473z00_2683;
													BgL_tail1163z00_3105 = BgL_newtail1164z00_2655;
													BgL_tail1163z00_2654 = BgL_tail1163z00_3105;
													BgL_ll1161z00_2653 = BgL_ll1161z00_3104;
													BgL_ll1160z00_2652 = BgL_ll1160z00_3103;
													goto BgL_zc3anonymousza31469ze3z83_2651;
												}
											}
										}
								}
							}
					}
					BgL_arg1467z00_2646 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2544)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1465z00_2644 =
						MAKE_YOUNG_PAIR(BgL_arg1466z00_2645, BgL_arg1467z00_2646);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2057z00zz__evaluate_uncompz00,
					BgL_arg1465z00_2644);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_letrec1232 */
	obj_t BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2545, obj_t BgL_ez00_2546)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1450z00_2685;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1451z00_2686;
					obj_t BgL_arg1452z00_2687;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1148z00_2688;
						obj_t BgL_ll1149z00_2689;

						BgL_ll1148z00_2688 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2546))))->BgL_varsz00);
						BgL_ll1149z00_2689 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2546))))->BgL_valsz00);
						if (NULLP(BgL_ll1148z00_2688))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1451z00_2686 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1150z00_2690;

								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_res1916z00_2691;

									BgL_res1916z00_2691 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1150z00_2690 = BgL_res1916z00_2691;
								}
								{
									obj_t BgL_ll1148z00_2693;
									obj_t BgL_ll1149z00_2694;
									obj_t BgL_tail1151z00_2695;

									BgL_ll1148z00_2693 = BgL_ll1148z00_2688;
									BgL_ll1149z00_2694 = BgL_ll1149z00_2689;
									BgL_tail1151z00_2695 = BgL_head1150z00_2690;
								BgL_zc3anonymousza31454ze3z83_2692:
									if (NULLP(BgL_ll1148z00_2693))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1451z00_2686 = CDR(BgL_head1150z00_2690);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1152z00_2696;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1458z00_2697;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2698;
													obj_t BgL_az00_2699;

													BgL_vz00_2698 = CAR(((obj_t) BgL_ll1148z00_2693));
													BgL_az00_2699 = CAR(((obj_t) BgL_ll1149z00_2694));
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1459z00_2700;
														obj_t BgL_arg1460z00_2701;

														BgL_arg1459z00_2700 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2698));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1461z00_2702;

															BgL_arg1461z00_2702 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2699));
															BgL_arg1460z00_2701 =
																MAKE_YOUNG_PAIR(BgL_arg1461z00_2702, BNIL);
														}
														BgL_arg1458z00_2697 =
															MAKE_YOUNG_PAIR(BgL_arg1459z00_2700,
															BgL_arg1460z00_2701);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_res1918z00_2703;

													BgL_res1918z00_2703 =
														MAKE_YOUNG_PAIR(BgL_arg1458z00_2697, BNIL);
													BgL_newtail1152z00_2696 = BgL_res1918z00_2703;
												}
											}
											SET_CDR(BgL_tail1151z00_2695, BgL_newtail1152z00_2696);
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1456z00_2704;
												obj_t BgL_arg1457z00_2705;

												BgL_arg1456z00_2704 = CDR(((obj_t) BgL_ll1148z00_2693));
												BgL_arg1457z00_2705 = CDR(((obj_t) BgL_ll1149z00_2694));
												{
													obj_t BgL_tail1151z00_3142;
													obj_t BgL_ll1149z00_3141;
													obj_t BgL_ll1148z00_3140;

													BgL_ll1148z00_3140 = BgL_arg1456z00_2704;
													BgL_ll1149z00_3141 = BgL_arg1457z00_2705;
													BgL_tail1151z00_3142 = BgL_newtail1152z00_2696;
													BgL_tail1151z00_2695 = BgL_tail1151z00_3142;
													BgL_ll1149z00_2694 = BgL_ll1149z00_3141;
													BgL_ll1148z00_2693 = BgL_ll1148z00_3140;
													goto BgL_zc3anonymousza31454ze3z83_2692;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1462z00_2706;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1463z00_2707;

							BgL_arg1463z00_2707 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2546))))->BgL_bodyz00);
							BgL_arg1462z00_2706 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1463z00_2707);
						}
						BgL_arg1452z00_2687 = MAKE_YOUNG_PAIR(BgL_arg1462z00_2706, BNIL);
					}
					BgL_arg1450z00_2685 =
						MAKE_YOUNG_PAIR(BgL_arg1451z00_2686, BgL_arg1452z00_2687);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2057z00zz__evaluate_uncompz00,
					BgL_arg1450z00_2685);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_let*1230 */
	obj_t BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2547, obj_t BgL_ez00_2548)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1433z00_2709;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1436z00_2710;
					obj_t BgL_arg1437z00_2711;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1142z00_2712;
						obj_t BgL_ll1143z00_2713;

						BgL_ll1142z00_2712 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2548))))->BgL_varsz00);
						BgL_ll1143z00_2713 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2548))))->BgL_valsz00);
						if (NULLP(BgL_ll1142z00_2712))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1436z00_2710 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1144z00_2714;

								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_res1912z00_2715;

									BgL_res1912z00_2715 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1144z00_2714 = BgL_res1912z00_2715;
								}
								{
									obj_t BgL_ll1142z00_2717;
									obj_t BgL_ll1143z00_2718;
									obj_t BgL_tail1145z00_2719;

									BgL_ll1142z00_2717 = BgL_ll1142z00_2712;
									BgL_ll1143z00_2718 = BgL_ll1143z00_2713;
									BgL_tail1145z00_2719 = BgL_head1144z00_2714;
								BgL_zc3anonymousza31439ze3z83_2716:
									if (NULLP(BgL_ll1142z00_2717))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1436z00_2710 = CDR(BgL_head1144z00_2714);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1146z00_2720;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1443z00_2721;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2722;
													obj_t BgL_az00_2723;

													BgL_vz00_2722 = CAR(((obj_t) BgL_ll1142z00_2717));
													BgL_az00_2723 = CAR(((obj_t) BgL_ll1143z00_2718));
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1444z00_2724;
														obj_t BgL_arg1446z00_2725;

														BgL_arg1444z00_2724 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2722));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1447z00_2726;

															BgL_arg1447z00_2726 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2723));
															BgL_arg1446z00_2725 =
																MAKE_YOUNG_PAIR(BgL_arg1447z00_2726, BNIL);
														}
														BgL_arg1443z00_2721 =
															MAKE_YOUNG_PAIR(BgL_arg1444z00_2724,
															BgL_arg1446z00_2725);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_res1914z00_2727;

													BgL_res1914z00_2727 =
														MAKE_YOUNG_PAIR(BgL_arg1443z00_2721, BNIL);
													BgL_newtail1146z00_2720 = BgL_res1914z00_2727;
												}
											}
											SET_CDR(BgL_tail1145z00_2719, BgL_newtail1146z00_2720);
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1441z00_2728;
												obj_t BgL_arg1442z00_2729;

												BgL_arg1441z00_2728 = CDR(((obj_t) BgL_ll1142z00_2717));
												BgL_arg1442z00_2729 = CDR(((obj_t) BgL_ll1143z00_2718));
												{
													obj_t BgL_tail1145z00_3180;
													obj_t BgL_ll1143z00_3179;
													obj_t BgL_ll1142z00_3178;

													BgL_ll1142z00_3178 = BgL_arg1441z00_2728;
													BgL_ll1143z00_3179 = BgL_arg1442z00_2729;
													BgL_tail1145z00_3180 = BgL_newtail1146z00_2720;
													BgL_tail1145z00_2719 = BgL_tail1145z00_3180;
													BgL_ll1143z00_2718 = BgL_ll1143z00_3179;
													BgL_ll1142z00_2717 = BgL_ll1142z00_3178;
													goto BgL_zc3anonymousza31439ze3z83_2716;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1448z00_2730;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1449z00_2731;

							BgL_arg1449z00_2731 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2548))))->BgL_bodyz00);
							BgL_arg1448z00_2730 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1449z00_2731);
						}
						BgL_arg1437z00_2711 = MAKE_YOUNG_PAIR(BgL_arg1448z00_2730, BNIL);
					}
					BgL_arg1433z00_2709 =
						MAKE_YOUNG_PAIR(BgL_arg1436z00_2710, BgL_arg1437z00_2711);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2059z00zz__evaluate_uncompz00,
					BgL_arg1433z00_2709);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_let1228 */
	obj_t BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2549, obj_t BgL_ez00_2550)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1417z00_2733;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1418z00_2734;
					obj_t BgL_arg1421z00_2735;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1136z00_2736;
						obj_t BgL_ll1137z00_2737;

						BgL_ll1136z00_2736 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2550))))->BgL_varsz00);
						BgL_ll1137z00_2737 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2550))))->BgL_valsz00);
						if (NULLP(BgL_ll1136z00_2736))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1418z00_2734 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1138z00_2738;

								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_res1908z00_2739;

									BgL_res1908z00_2739 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1138z00_2738 = BgL_res1908z00_2739;
								}
								{
									obj_t BgL_ll1136z00_2741;
									obj_t BgL_ll1137z00_2742;
									obj_t BgL_tail1139z00_2743;

									BgL_ll1136z00_2741 = BgL_ll1136z00_2736;
									BgL_ll1137z00_2742 = BgL_ll1137z00_2737;
									BgL_tail1139z00_2743 = BgL_head1138z00_2738;
								BgL_zc3anonymousza31423ze3z83_2740:
									if (NULLP(BgL_ll1136z00_2741))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1418z00_2734 = CDR(BgL_head1138z00_2738);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1140z00_2744;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1427z00_2745;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2746;
													obj_t BgL_az00_2747;

													BgL_vz00_2746 = CAR(((obj_t) BgL_ll1136z00_2741));
													BgL_az00_2747 = CAR(((obj_t) BgL_ll1137z00_2742));
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1428z00_2748;
														obj_t BgL_arg1429z00_2749;

														BgL_arg1428z00_2748 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2746));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1430z00_2750;

															BgL_arg1430z00_2750 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2747));
															BgL_arg1429z00_2749 =
																MAKE_YOUNG_PAIR(BgL_arg1430z00_2750, BNIL);
														}
														BgL_arg1427z00_2745 =
															MAKE_YOUNG_PAIR(BgL_arg1428z00_2748,
															BgL_arg1429z00_2749);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_res1910z00_2751;

													BgL_res1910z00_2751 =
														MAKE_YOUNG_PAIR(BgL_arg1427z00_2745, BNIL);
													BgL_newtail1140z00_2744 = BgL_res1910z00_2751;
												}
											}
											SET_CDR(BgL_tail1139z00_2743, BgL_newtail1140z00_2744);
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1425z00_2752;
												obj_t BgL_arg1426z00_2753;

												BgL_arg1425z00_2752 = CDR(((obj_t) BgL_ll1136z00_2741));
												BgL_arg1426z00_2753 = CDR(((obj_t) BgL_ll1137z00_2742));
												{
													obj_t BgL_tail1139z00_3218;
													obj_t BgL_ll1137z00_3217;
													obj_t BgL_ll1136z00_3216;

													BgL_ll1136z00_3216 = BgL_arg1425z00_2752;
													BgL_ll1137z00_3217 = BgL_arg1426z00_2753;
													BgL_tail1139z00_3218 = BgL_newtail1140z00_2744;
													BgL_tail1139z00_2743 = BgL_tail1139z00_3218;
													BgL_ll1137z00_2742 = BgL_ll1137z00_3217;
													BgL_ll1136z00_2741 = BgL_ll1136z00_3216;
													goto BgL_zc3anonymousza31423ze3z83_2740;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1431z00_2754;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1432z00_2755;

							BgL_arg1432z00_2755 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2550))))->BgL_bodyz00);
							BgL_arg1431z00_2754 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1432z00_2755);
						}
						BgL_arg1421z00_2735 = MAKE_YOUNG_PAIR(BgL_arg1431z00_2754, BNIL);
					}
					BgL_arg1417z00_2733 =
						MAKE_YOUNG_PAIR(BgL_arg1418z00_2734, BgL_arg1421z00_2735);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2061z00zz__evaluate_uncompz00,
					BgL_arg1417z00_2733);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_synchroniz1226 */
	obj_t BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2551, obj_t BgL_ez00_2552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1405z00_2757;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1406z00_2758;
					obj_t BgL_arg1407z00_2759;

					BgL_arg1406z00_2758 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2552)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1409z00_2760;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1410z00_2761;
							obj_t BgL_arg1411z00_2762;

							BgL_arg1410z00_2761 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2552)))->
									BgL_prelockz00));
							BgL_arg1411z00_2762 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2552)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1409z00_2760 =
								MAKE_YOUNG_PAIR(BgL_arg1410z00_2761, BgL_arg1411z00_2762);
						}
						BgL_arg1407z00_2759 =
							MAKE_YOUNG_PAIR(BGl_keyword2063z00zz__evaluate_uncompz00,
							BgL_arg1409z00_2760);
					}
					BgL_arg1405z00_2757 =
						MAKE_YOUNG_PAIR(BgL_arg1406z00_2758, BgL_arg1407z00_2759);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2065z00zz__evaluate_uncompz00,
					BgL_arg1405z00_2757);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_with-handl1224 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2553, obj_t BgL_ez00_2554)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1399z00_2764;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1400z00_2765;
					obj_t BgL_arg1401z00_2766;

					BgL_arg1400z00_2765 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2554)))->
							BgL_handlerz00));
					BgL_arg1401z00_2766 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2554)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1399z00_2764 =
						MAKE_YOUNG_PAIR(BgL_arg1400z00_2765, BgL_arg1401z00_2766);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2067z00zz__evaluate_uncompz00,
					BgL_arg1399z00_2764);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_unwind-pro1222 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2555, obj_t BgL_ez00_2556)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1391z00_2768;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1394z00_2769;
					obj_t BgL_arg1395z00_2770;

					BgL_arg1394z00_2769 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2556)))->
							BgL_ez00));
					BgL_arg1395z00_2770 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2556)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1391z00_2768 =
						MAKE_YOUNG_PAIR(BgL_arg1394z00_2769, BgL_arg1395z00_2770);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2069z00zz__evaluate_uncompz00,
					BgL_arg1391z00_2768);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_bind-exit1220 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2557, obj_t BgL_ez00_2558)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1383z00_2772;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1384z00_2773;
					obj_t BgL_arg1385z00_2774;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1386z00_2775;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1387z00_2776;

							BgL_arg1387z00_2776 =
								(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2558)))->BgL_varz00);
							BgL_arg1386z00_2775 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1387z00_2776));
						}
						BgL_arg1384z00_2773 = MAKE_YOUNG_PAIR(BgL_arg1386z00_2775, BNIL);
					}
					BgL_arg1385z00_2774 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2558)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1383z00_2772 =
						MAKE_YOUNG_PAIR(BgL_arg1384z00_2773, BgL_arg1385z00_2774);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2071z00zz__evaluate_uncompz00,
					BgL_arg1383z00_2772);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_setlocal1218 */
	obj_t BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2559, obj_t BgL_ez00_2560)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1377z00_2778;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1378z00_2779;
					obj_t BgL_arg1379z00_2780;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1380z00_2781;

						BgL_arg1380z00_2781 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2560)))->BgL_vz00);
						BgL_arg1378z00_2779 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1380z00_2781));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1381z00_2782;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1382z00_2783;

							BgL_arg1382z00_2783 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2560))))->BgL_ez00);
							BgL_arg1381z00_2782 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1382z00_2783);
						}
						BgL_arg1379z00_2780 = MAKE_YOUNG_PAIR(BgL_arg1381z00_2782, BNIL);
					}
					BgL_arg1377z00_2778 =
						MAKE_YOUNG_PAIR(BgL_arg1378z00_2779, BgL_arg1379z00_2780);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2073z00zz__evaluate_uncompz00,
					BgL_arg1377z00_2778);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_defglobal1216 */
	obj_t BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2561, obj_t BgL_ez00_2562)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1372z00_2785;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1373z00_2786;
					obj_t BgL_arg1374z00_2787;

					BgL_arg1373z00_2786 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2562))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1375z00_2788;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1376z00_2789;

							BgL_arg1376z00_2789 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2562))))->BgL_ez00);
							BgL_arg1375z00_2788 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1376z00_2789);
						}
						BgL_arg1374z00_2787 = MAKE_YOUNG_PAIR(BgL_arg1375z00_2788, BNIL);
					}
					BgL_arg1372z00_2785 =
						MAKE_YOUNG_PAIR(BgL_arg1373z00_2786, BgL_arg1374z00_2787);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2075z00zz__evaluate_uncompz00,
					BgL_arg1372z00_2785);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_setglobal1214 */
	obj_t BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2563, obj_t BgL_ez00_2564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1367z00_2791;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1368z00_2792;
					obj_t BgL_arg1369z00_2793;

					BgL_arg1368z00_2792 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2564)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1370z00_2794;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1371z00_2795;

							BgL_arg1371z00_2795 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2564))))->BgL_ez00);
							BgL_arg1370z00_2794 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1371z00_2795);
						}
						BgL_arg1369z00_2793 = MAKE_YOUNG_PAIR(BgL_arg1370z00_2794, BNIL);
					}
					BgL_arg1367z00_2791 =
						MAKE_YOUNG_PAIR(BgL_arg1368z00_2792, BgL_arg1369z00_2793);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2073z00zz__evaluate_uncompz00,
					BgL_arg1367z00_2791);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_trap1212 */
	obj_t BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2565, obj_t BgL_ez00_2566)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1363z00_2797;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1364z00_2798;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1366z00_2799;

						BgL_arg1366z00_2799 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2566))))->BgL_ez00);
						BgL_arg1364z00_2798 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1366z00_2799);
					}
					BgL_arg1363z00_2797 = MAKE_YOUNG_PAIR(BgL_arg1364z00_2798, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2077z00zz__evaluate_uncompz00,
					BgL_arg1363z00_2797);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_prog21210 */
	obj_t BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2567, obj_t BgL_ez00_2568)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2801;
				obj_t BgL_e2z00_2802;

				BgL_e1z00_2801 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2568)))->BgL_e1z00));
				BgL_e2z00_2802 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2568)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_testz00_3311;

					if (PAIRP(BgL_e2z00_2802))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3311 =
								(CAR(BgL_e2z00_2802) ==
								BGl_symbol2079z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3311 = ((bool_t) 0);
						}
					if (BgL_testz00_3311)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1354z00_2803;

							BgL_arg1354z00_2803 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2801,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
									(BgL_e2z00_2802), BNIL));
							return MAKE_YOUNG_PAIR(BGl_symbol2079z00zz__evaluate_uncompz00,
								BgL_arg1354z00_2803);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1357z00_2804;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1358z00_2805;

								BgL_arg1358z00_2805 = MAKE_YOUNG_PAIR(BgL_e2z00_2802, BNIL);
								BgL_arg1357z00_2804 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2801, BgL_arg1358z00_2805);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol2079z00zz__evaluate_uncompz00,
								BgL_arg1357z00_2804);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_and1208 */
	obj_t BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2569, obj_t BgL_ez00_2570)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1340z00_2807;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1341z00_2808;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_l1130z00_2809;

						BgL_l1130z00_2809 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_andz00_bglt) BgL_ez00_2570))))->BgL_argsz00);
						if (NULLP(BgL_l1130z00_2809))
							{	/* Eval/evaluate_uncomp.scm 89 */
								BgL_arg1341z00_2808 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_head1132z00_2810;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1348z00_2811;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1349z00_2812;

										BgL_arg1349z00_2812 = CAR(((obj_t) BgL_l1130z00_2809));
										BgL_arg1348z00_2811 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1349z00_2812));
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_res1899z00_2813;

										BgL_res1899z00_2813 =
											MAKE_YOUNG_PAIR(BgL_arg1348z00_2811, BNIL);
										BgL_head1132z00_2810 = BgL_res1899z00_2813;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_g1135z00_2814;

									BgL_g1135z00_2814 = CDR(((obj_t) BgL_l1130z00_2809));
									{
										obj_t BgL_l1130z00_2816;
										obj_t BgL_tail1133z00_2817;

										BgL_l1130z00_2816 = BgL_g1135z00_2814;
										BgL_tail1133z00_2817 = BgL_head1132z00_2810;
									BgL_zc3anonymousza31343ze3z83_2815:
										if (NULLP(BgL_l1130z00_2816))
											{	/* Eval/evaluate_uncomp.scm 89 */
												BgL_arg1341z00_2808 = BgL_head1132z00_2810;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_newtail1134z00_2818;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1346z00_2819;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1347z00_2820;

														BgL_arg1347z00_2820 =
															CAR(((obj_t) BgL_l1130z00_2816));
														BgL_arg1346z00_2819 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1347z00_2820));
													}
													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_res1905z00_2821;

														BgL_res1905z00_2821 =
															MAKE_YOUNG_PAIR(BgL_arg1346z00_2819, BNIL);
														BgL_newtail1134z00_2818 = BgL_res1905z00_2821;
													}
												}
												SET_CDR(BgL_tail1133z00_2817, BgL_newtail1134z00_2818);
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1345z00_2822;

													BgL_arg1345z00_2822 =
														CDR(((obj_t) BgL_l1130z00_2816));
													{
														obj_t BgL_tail1133z00_3346;
														obj_t BgL_l1130z00_3345;

														BgL_l1130z00_3345 = BgL_arg1345z00_2822;
														BgL_tail1133z00_3346 = BgL_newtail1134z00_2818;
														BgL_tail1133z00_2817 = BgL_tail1133z00_3346;
														BgL_l1130z00_2816 = BgL_l1130z00_3345;
														goto BgL_zc3anonymousza31343ze3z83_2815;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1340z00_2807 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1341z00_2808,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2081z00zz__evaluate_uncompz00,
					BgL_arg1340z00_2807);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_or1206 */
	obj_t BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2571, obj_t BgL_ez00_2572)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1330z00_2824;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1331z00_2825;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_l1124z00_2826;

						BgL_l1124z00_2826 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_orz00_bglt) BgL_ez00_2572))))->BgL_argsz00);
						if (NULLP(BgL_l1124z00_2826))
							{	/* Eval/evaluate_uncomp.scm 85 */
								BgL_arg1331z00_2825 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_head1126z00_2827;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1338z00_2828;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1339z00_2829;

										BgL_arg1339z00_2829 = CAR(((obj_t) BgL_l1124z00_2826));
										BgL_arg1338z00_2828 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1339z00_2829));
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_res1891z00_2830;

										BgL_res1891z00_2830 =
											MAKE_YOUNG_PAIR(BgL_arg1338z00_2828, BNIL);
										BgL_head1126z00_2827 = BgL_res1891z00_2830;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_g1129z00_2831;

									BgL_g1129z00_2831 = CDR(((obj_t) BgL_l1124z00_2826));
									{
										obj_t BgL_l1124z00_2833;
										obj_t BgL_tail1127z00_2834;

										BgL_l1124z00_2833 = BgL_g1129z00_2831;
										BgL_tail1127z00_2834 = BgL_head1126z00_2827;
									BgL_zc3anonymousza31333ze3z83_2832:
										if (NULLP(BgL_l1124z00_2833))
											{	/* Eval/evaluate_uncomp.scm 85 */
												BgL_arg1331z00_2825 = BgL_head1126z00_2827;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_newtail1128z00_2835;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1336z00_2836;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1337z00_2837;

														BgL_arg1337z00_2837 =
															CAR(((obj_t) BgL_l1124z00_2833));
														BgL_arg1336z00_2836 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1337z00_2837));
													}
													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_res1897z00_2838;

														BgL_res1897z00_2838 =
															MAKE_YOUNG_PAIR(BgL_arg1336z00_2836, BNIL);
														BgL_newtail1128z00_2835 = BgL_res1897z00_2838;
													}
												}
												SET_CDR(BgL_tail1127z00_2834, BgL_newtail1128z00_2835);
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1335z00_2839;

													BgL_arg1335z00_2839 =
														CDR(((obj_t) BgL_l1124z00_2833));
													{
														obj_t BgL_tail1127z00_3372;
														obj_t BgL_l1124z00_3371;

														BgL_l1124z00_3371 = BgL_arg1335z00_2839;
														BgL_tail1127z00_3372 = BgL_newtail1128z00_2835;
														BgL_tail1127z00_2834 = BgL_tail1127z00_3372;
														BgL_l1124z00_2833 = BgL_l1124z00_3371;
														goto BgL_zc3anonymousza31333ze3z83_2832;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1330z00_2824 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1331z00_2825,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2083z00zz__evaluate_uncompz00,
					BgL_arg1330z00_2824);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_if1204 */
	obj_t BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2573, obj_t BgL_ez00_2574)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1293z00_2841;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1320z00_2842;
					obj_t BgL_arg1321z00_2843;

					BgL_arg1320z00_2842 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2574)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1323z00_2844;
						obj_t BgL_arg1325z00_2845;

						BgL_arg1323z00_2844 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_2574)))->BgL_tz00));
						BgL_arg1325z00_2845 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) COBJECT(
											((BgL_ev_ifz00_bglt) BgL_ez00_2574)))->BgL_ez00)), BNIL);
						BgL_arg1321z00_2843 =
							MAKE_YOUNG_PAIR(BgL_arg1323z00_2844, BgL_arg1325z00_2845);
					}
					BgL_arg1293z00_2841 =
						MAKE_YOUNG_PAIR(BgL_arg1320z00_2842, BgL_arg1321z00_2843);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2085z00zz__evaluate_uncompz00,
					BgL_arg1293z00_2841);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_litt1202 */
	obj_t BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2575, obj_t BgL_ez00_2576)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1286z00_2847;

				BgL_arg1286z00_2847 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_ez00_2576)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol2087z00zz__evaluate_uncompz00,
					BgL_arg1286z00_2847);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_global1200 */
	obj_t BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2577, obj_t BgL_varz00_2578)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_varz00_2578)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_var1198 */
	obj_t BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2579, obj_t BgL_varz00_2580)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_varz00_2580)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117125),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564244),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					338601822),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262938),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -298277921),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089688),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758625),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2089z00zz__evaluate_uncompz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
