/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza31491ze3ze1zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31492ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3anonymousza36313ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[46];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7315z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza77316za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string7278z00zzast_sexpz00,
		BgL_bgl_string7278za700za7za7a7317za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string7279z00zzast_sexpz00,
		BgL_bgl_string7279za700za7za7a7318za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string7280z00zzast_sexpz00,
		BgL_bgl_string7280za700za7za7a7319za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string7281z00zzast_sexpz00,
		BgL_bgl_string7281za700za7za7a7320za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string7282z00zzast_sexpz00,
		BgL_bgl_string7282za700za7za7a7321za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string7283z00zzast_sexpz00,
		BgL_bgl_string7283za700za7za7a7322za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string7284z00zzast_sexpz00,
		BgL_bgl_string7284za700za7za7a7323za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string7285z00zzast_sexpz00,
		BgL_bgl_string7285za700za7za7a7324za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string7286z00zzast_sexpz00,
		BgL_bgl_string7286za700za7za7a7325za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string7287z00zzast_sexpz00,
		BgL_bgl_string7287za700za7za7a7326za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string7288z00zzast_sexpz00,
		BgL_bgl_string7288za700za7za7a7327za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string7289z00zzast_sexpz00,
		BgL_bgl_string7289za700za7za7a7328za7, "Illegal `if' form", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym7329z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string7290z00zzast_sexpz00,
		BgL_bgl_string7290za700za7za7a7330za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string7291z00zzast_sexpz00,
		BgL_bgl_string7291za700za7za7a7331za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string7292z00zzast_sexpz00,
		BgL_bgl_string7292za700za7za7a7332za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string7293z00zzast_sexpz00,
		BgL_bgl_string7293za700za7za7a7333za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string7294z00zzast_sexpz00,
		BgL_bgl_string7294za700za7za7a7334za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string7295z00zzast_sexpz00,
		BgL_bgl_string7295za700za7za7a7335za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string7296z00zzast_sexpz00,
		BgL_bgl_string7296za700za7za7a7336za7, "Illegal formal argument", 23);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza77337za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string7297z00zzast_sexpz00,
		BgL_bgl_string7297za700za7za7a7338za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string7298z00zzast_sexpz00,
		BgL_bgl_string7298za700za7za7a7339za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string7299z00zzast_sexpz00,
		BgL_bgl_string7299za700za7za7a7340za7, "Illegal free-pragma/effect", 26);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e7341za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod7342za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d7343za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e37344z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string7300z00zzast_sexpz00,
		BgL_bgl_string7300za700za7za7a7345za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string7301z00zzast_sexpz00,
		BgL_bgl_string7301za700za7za7a7346za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string7302z00zzast_sexpz00,
		BgL_bgl_string7302za700za7za7a7347za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string7303z00zzast_sexpz00,
		BgL_bgl_string7303za700za7za7a7348za7, "($1)", 4);
	      DEFINE_STRING(BGl_string7304z00zzast_sexpz00,
		BgL_bgl_string7304za700za7za7a7349za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string7305z00zzast_sexpz00,
		BgL_bgl_string7305za700za7za7a7350za7, "<", 1);
	      DEFINE_STRING(BGl_string7306z00zzast_sexpz00,
		BgL_bgl_string7306za700za7za7a7351za7, ":", 1);
	      DEFINE_STRING(BGl_string7307z00zzast_sexpz00,
		BgL_bgl_string7307za700za7za7a7352za7, "./", 2);
	      DEFINE_STRING(BGl_string7308z00zzast_sexpz00,
		BgL_bgl_string7308za700za7za7a7353za7, ">", 1);
	      DEFINE_STRING(BGl_string7309z00zzast_sexpz00,
		BgL_bgl_string7309za700za7za7a7354za7, "-", 1);
	      DEFINE_STRING(BGl_string7310z00zzast_sexpz00,
		BgL_bgl_string7310za700za7za7a7355za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string7311z00zzast_sexpz00,
		BgL_bgl_string7311za700za7za7a7356za7,
		"mutex > bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		431);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za77357za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl7358z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7359z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_12250, char *BgL_fromz00_12251)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_12237;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_stringz00_12245;

					BgL_stringz00_12245 = BGl_string7311z00zzast_sexpz00;
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_startz00_12246;

						BgL_startz00_12246 = BINT(((long) 0));
						{	/* Ast/sexp.scm 14 */
							obj_t BgL_endz00_12247;

							BgL_endz00_12247 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_12245)));
							{	/* Ast/sexp.scm 14 */

								BgL_cportz00_12237 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_12245, BgL_startz00_12246, BgL_endz00_12247);
				}}}}
				{
					long BgL_iz00_12238;

					BgL_iz00_12238 = ((long) 45);
				BgL_loopz00_12239:
					if ((BgL_iz00_12238 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg7313z00_12241;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_12243;

										BgL_locationz00_12243 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg7313z00_12241 =
												BGl_readz00zz__readerz00(BgL_cportz00_12237,
												BgL_locationz00_12243);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_12289;

									BgL_tmpz00_12289 = (int) (BgL_iz00_12238);
									CNST_TABLE_SET(BgL_tmpz00_12289, BgL_arg7313z00_12241);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_12244;

								BgL_auxz00_12244 = (int) ((BgL_iz00_12238 - ((long) 1)));
								{
									long BgL_iz00_12294;

									BgL_iz00_12294 = (long) (BgL_auxz00_12244);
									BgL_iz00_12238 = BgL_iz00_12294;
									goto BgL_loopz00_12239;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 65 */
			{

				{
					obj_t BgL_auxz00_12300;
					jmp_buf_t jmpbuf;
					void *BgL_an_exit1111z00_1672;

					if (SET_EXIT(BgL_an_exit1111z00_1672))
						{
							BgL_auxz00_12300 = BGL_EXIT_VALUE();
						}
					else
						{
#if( SIGSETJMP_SAVESIGS == 0 )
							bgl_restore_signal_handlers();
#endif

							BgL_an_exit1111z00_1672 = (void *) jmpbuf;
							{	/* Ast/sexp.scm 66 */

								PUSH_EXIT(BgL_an_exit1111z00_1672, ((long) 1));
								{	/* Ast/sexp.scm 66 */
									obj_t BgL_an_exitd1112z00_1673;

									BgL_an_exitd1112z00_1673 = ((obj_t) (&exitd));
									{	/* Ast/sexp.scm 69 */
										obj_t BgL_res1114z00_1676;

										{	/* Ast/sexp.scm 69 */
											obj_t BgL_zc3anonymousza31492ze3z83_12183;
											obj_t BgL_zc3anonymousza31491ze3z83_12184;

											BgL_zc3anonymousza31492ze3z83_12183 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31492ze3ze1zzast_sexpz00,
												(int) (((long) 0)), (int) (((long) 2)));
											BgL_zc3anonymousza31491ze3z83_12184 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31491ze3ze1zzast_sexpz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza31492ze3z83_12183,
												(int) (((long) 0)), BgL_expz00_17);
											PROCEDURE_SET(BgL_zc3anonymousza31492ze3z83_12183,
												(int) (((long) 1)), BgL_locz00_18);
											PROCEDURE_SET(BgL_zc3anonymousza31491ze3z83_12184,
												(int) (((long) 0)), BgL_an_exitd1112z00_1673);
											BgL_res1114z00_1676 =
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BgL_zc3anonymousza31491ze3z83_12184,
												BgL_zc3anonymousza31492ze3z83_12183);
										}
										POP_EXIT();
										BgL_auxz00_12300 = BgL_res1114z00_1676;
							}}}
						}
					return ((BgL_nodez00_bglt) BgL_auxz00_12300);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12185, obj_t BgL_expz00_12186, obj_t BgL_locz00_12187)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 65 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12186,
				BgL_locz00_12187);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1492> */
	obj_t BGl_z62zc3anonymousza31492ze3ze1zzast_sexpz00(obj_t BgL_envz00_12188)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 71 */
			{	/* Ast/sexp.scm 72 */
				obj_t BgL_expz00_12189;
				obj_t BgL_locz00_12190;

				BgL_expz00_12189 = PROCEDURE_REF(BgL_envz00_12188, (int) (((long) 0)));
				BgL_locz00_12190 = PROCEDURE_REF(BgL_envz00_12188, (int) (((long) 1)));
				{

					{
						BgL_nodez00_bglt BgL_auxz00_12324;

						BgL_auxz00_12324 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12189, BNIL,
							BgL_locz00_12190, CNST_TABLE_REF(((long) 2)));
						return ((obj_t) BgL_auxz00_12324);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1491> */
	obj_t BGl_z62zc3anonymousza31491ze3ze1zzast_sexpz00(obj_t BgL_envz00_12191,
		obj_t BgL_ez00_12193)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_an_exitd1112z00_12192;

				BgL_an_exitd1112z00_12192 =
					PROCEDURE_REF(BgL_envz00_12191, (int) (((long) 0)));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_12193);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1112z00_12192,
					BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 87 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
		BGL_FUNCTION_END;
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_12194)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 87 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}
		BGL_FUNCTION_END;
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 99 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 100 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 100 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 100 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 100 */
									obj_t BgL_tmpz00_12341;

									BgL_tmpz00_12341 = CDR(BgL_ez00_20);
									return PAIRP(BgL_tmpz00_12341);
								}
							else
								{	/* Ast/sexp.scm 100 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 100 */
							return ((bool_t) 0);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 113 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1698;
				obj_t BgL_lz00_1703;
				obj_t BgL_bodyz00_1707;
				obj_t BgL_lz00_1712;
				obj_t BgL_valz00_1713;
				obj_t BgL_bodyz00_1717;
				obj_t BgL_argsz00_1718;
				obj_t BgL_varz00_1723;
				obj_t BgL_bodyz00_1724;
				obj_t BgL_argz00_1725;
				obj_t BgL_varsz00_1727;
				obj_t BgL_bodyz00_1728;
				obj_t BgL_argsz00_1729;
				obj_t BgL_testz00_1731;
				obj_t BgL_proc1z00_1732;
				obj_t BgL_proc2z00_1733;
				obj_t BgL_argsz00_1734;
				obj_t BgL_testz00_1736;
				obj_t BgL_proc1z00_1737;
				obj_t BgL_proc2z00_1738;
				obj_t BgL_argsz00_1739;
				obj_t BgL_effectz00_1743;
				obj_t BgL_restz00_1744;
				obj_t BgL_effectz00_1748;
				obj_t BgL_restz00_1749;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 118 */
						{	/* Ast/sexp.scm 121 */
							BgL_nodez00_bglt BgL_res6670z00_8646;

							{	/* Ast/sexp.scm 702 */
								obj_t BgL_arg6527z00_8642;
								BgL_nodez00_bglt BgL_arg6528z00_8643;

								BgL_arg6527z00_8642 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg6528z00_8643 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 701 */
									obj_t BgL_list6529z00_8645;

									BgL_list6529z00_8645 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg6528z00_8643), BNIL);
									BgL_res6670z00_8646 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg6527z00_8642,
											BGl_string7294z00zzast_sexpz00, BgL_expz00_21,
											BgL_list6529z00_8645));
							}}
							return BgL_res6670z00_8646;
						}
					}
				else
					{	/* Ast/sexp.scm 118 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_12357;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 126 */
										obj_t BgL_l01342z00_7535;

										BgL_l01342z00_7535 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt) BgL_expz00_21)))->
											BgL_exprza2za2);
										{
											obj_t BgL_l1341z00_7537;

											BgL_l1341z00_7537 = BgL_l01342z00_7535;
										BgL_zc3anonymousza36057ze3z83_7538:
											if (NULLP(BgL_l1341z00_7537))
												{	/* Ast/sexp.scm 126 */
													BgL_l01342z00_7535;
												}
											else
												{	/* Ast/sexp.scm 126 */
													{	/* Ast/sexp.scm 126 */
														BgL_nodez00_bglt BgL_arg6059z00_7540;

														{	/* Ast/sexp.scm 126 */
															obj_t BgL_ez00_7541;

															BgL_ez00_7541 = CAR(((obj_t) BgL_l1341z00_7537));
															{	/* Ast/sexp.scm 126 */
																obj_t BgL_arg6060z00_7542;

																BgL_arg6060z00_7542 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_externz00_bglt)
																					BgL_expz00_21))))->BgL_locz00);
																BgL_arg6059z00_7540 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_7541, BgL_stackz00_22,
																	BgL_arg6060z00_7542,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 126 */
															obj_t BgL_auxz00_12373;
															obj_t BgL_tmpz00_12371;

															BgL_auxz00_12373 = ((obj_t) BgL_arg6059z00_7540);
															BgL_tmpz00_12371 = ((obj_t) BgL_l1341z00_7537);
															SET_CAR(BgL_tmpz00_12371, BgL_auxz00_12373);
													}}
													{	/* Ast/sexp.scm 126 */
														obj_t BgL_arg6061z00_7543;

														BgL_arg6061z00_7543 =
															CDR(((obj_t) BgL_l1341z00_7537));
														{
															obj_t BgL_l1341z00_12378;

															BgL_l1341z00_12378 = BgL_arg6061z00_7543;
															BgL_l1341z00_7537 = BgL_l1341z00_12378;
															goto BgL_zc3anonymousza36057ze3z83_7538;
														}
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 124 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 129 */
										obj_t BgL_l01345z00_7547;

										BgL_l01345z00_7547 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
										{
											obj_t BgL_l1344z00_7549;

											BgL_l1344z00_7549 = BgL_l01345z00_7547;
										BgL_zc3anonymousza36063ze3z83_7550:
											if (NULLP(BgL_l1344z00_7549))
												{	/* Ast/sexp.scm 129 */
													BgL_l01345z00_7547;
												}
											else
												{	/* Ast/sexp.scm 129 */
													{	/* Ast/sexp.scm 129 */
														BgL_nodez00_bglt BgL_arg6065z00_7552;

														{	/* Ast/sexp.scm 129 */
															obj_t BgL_ez00_7553;

															BgL_ez00_7553 = CAR(((obj_t) BgL_l1344z00_7549));
															{	/* Ast/sexp.scm 129 */
																obj_t BgL_arg6066z00_7554;

																BgL_arg6066z00_7554 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt) BgL_expz00_21))))->
																	BgL_locz00);
																BgL_arg6065z00_7552 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_7553, BgL_stackz00_22,
																	BgL_arg6066z00_7554,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 129 */
															obj_t BgL_auxz00_12394;
															obj_t BgL_tmpz00_12392;

															BgL_auxz00_12394 = ((obj_t) BgL_arg6065z00_7552);
															BgL_tmpz00_12392 = ((obj_t) BgL_l1344z00_7549);
															SET_CAR(BgL_tmpz00_12392, BgL_auxz00_12394);
													}}
													{	/* Ast/sexp.scm 129 */
														obj_t BgL_arg6067z00_7555;

														BgL_arg6067z00_7555 =
															CDR(((obj_t) BgL_l1344z00_7549));
														{
															obj_t BgL_l1344z00_12399;

															BgL_l1344z00_12399 = BgL_arg6067z00_7555;
															BgL_l1344z00_7549 = BgL_l1344z00_12399;
															goto BgL_zc3anonymousza36063ze3z83_7550;
														}
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 127 */
										BFALSE;
									}
								BgL_auxz00_12357 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_12357);
							}
						else
							{	/* Ast/sexp.scm 118 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 118 */
										obj_t BgL_carzd2470zd2_1770;

										BgL_carzd2470zd2_1770 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2470zd2_1770))
											{	/* Ast/sexp.scm 118 */
												bool_t BgL_testz00_12406;

												{	/* Ast/sexp.scm 118 */
													obj_t BgL__ortest_1146z00_4655;

													BgL__ortest_1146z00_4655 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2470zd2_1770, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1146z00_4655))
														{	/* Ast/sexp.scm 118 */
															BgL_testz00_12406 =
																CBOOL(BgL__ortest_1146z00_4655);
														}
													else
														{	/* Ast/sexp.scm 118 */
															obj_t BgL_gz00_4656;

															BgL_gz00_4656 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2470zd2_1770, BNIL);
															if (CBOOL(BgL_gz00_4656))
																{	/* Ast/sexp.scm 118 */
																	if (
																		((((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							BgL_gz00_4656)))->
																				BgL_modulez00) ==
																			CNST_TABLE_REF(((long) 14))))
																		{	/* Ast/sexp.scm 118 */
																			BgL_testz00_12406 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 118 */
																			BgL_testz00_12406 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 118 */
																	BgL_testz00_12406 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_12406)
													{	/* Ast/sexp.scm 118 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 118 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 118 */
															BgL_tagzd2371zd2_1702:
																{	/* Ast/sexp.scm 169 */
																	obj_t BgL_locz00_7584;

																	BgL_locz00_7584 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_7585;
																		obj_t BgL_modulez00_7586;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 170 */
																				obj_t BgL_cdrzd254896zd2_7591;

																				BgL_cdrzd254896zd2_7591 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 170 */
																						if (PAIRP(BgL_cdrzd254896zd2_7591))
																							{	/* Ast/sexp.scm 170 */
																								obj_t BgL_carzd254899zd2_7595;
																								obj_t BgL_cdrzd254900zd2_7596;

																								BgL_carzd254899zd2_7595 =
																									CAR(BgL_cdrzd254896zd2_7591);
																								BgL_cdrzd254900zd2_7596 =
																									CDR(BgL_cdrzd254896zd2_7591);
																								if (SYMBOLP
																									(BgL_carzd254899zd2_7595))
																									{	/* Ast/sexp.scm 170 */
																										if (PAIRP
																											(BgL_cdrzd254900zd2_7596))
																											{	/* Ast/sexp.scm 170 */
																												obj_t
																													BgL_carzd254905zd2_7599;
																												BgL_carzd254905zd2_7599
																													=
																													CAR
																													(BgL_cdrzd254900zd2_7596);
																												if (SYMBOLP
																													(BgL_carzd254905zd2_7599))
																													{	/* Ast/sexp.scm 170 */
																														if (NULLP(CDR
																																(BgL_cdrzd254900zd2_7596)))
																															{	/* Ast/sexp.scm 170 */
																																BgL_namez00_7585
																																	=
																																	BgL_carzd254899zd2_7595;
																																BgL_modulez00_7586
																																	=
																																	BgL_carzd254905zd2_7599;
																																{	/* Ast/sexp.scm 172 */
																																	obj_t
																																		BgL_globalz00_7605;
																																	BgL_globalz00_7605
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_7585,
																																		BgL_modulez00_7586);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_7605, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 174 */
																																			if (
																																				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_7605)))->BgL_importz00) == CNST_TABLE_REF(((long) 11))))
																																				{	/* Ast/sexp.scm 177 */
																																					obj_t
																																						BgL_arg6099z00_7609;
																																					{	/* Ast/sexp.scm 177 */
																																						obj_t
																																							BgL_arg6100z00_7610;
																																						BgL_arg6100z00_7610
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg6099z00_7609
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 11)), BgL_arg6100z00_7610);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_12458;
																																						obj_t
																																							BgL_expz00_12457;
																																						BgL_expz00_12457
																																							=
																																							BgL_arg6099z00_7609;
																																						BgL_locz00_12458
																																							=
																																							BgL_locz00_7584;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_12458;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_12457;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 176 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_7605,
																																						BgL_locz00_7584,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 175 */
																																			BgL_nodez00_bglt
																																				BgL_res6687z00_8689;
																																			{	/* Ast/sexp.scm 702 */
																																				obj_t
																																					BgL_arg6527z00_8685;
																																				BgL_nodez00_bglt
																																					BgL_arg6528z00_8686;
																																				BgL_arg6527z00_8685
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg6528z00_8686
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_7584, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 701 */
																																					obj_t
																																						BgL_list6529z00_8688;
																																					BgL_list6529z00_8688
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) BgL_arg6528z00_8686), BNIL);
																																					BgL_res6687z00_8689
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_7584,
																																							BgL_arg6527z00_8685,
																																							BGl_string7292z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list6529z00_8688));
																																			}}
																																			return
																																				BgL_res6687z00_8689;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 170 */
																															BgL_tagzd254889zd2_7588:
																																{	/* Ast/sexp.scm 181 */
																																	BgL_nodez00_bglt
																																		BgL_res6688z00_8695;
																																	{	/* Ast/sexp.scm 702 */
																																		obj_t
																																			BgL_arg6527z00_8691;
																																		BgL_nodez00_bglt
																																			BgL_arg6528z00_8692;
																																		BgL_arg6527z00_8691
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg6528z00_8692
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_7584,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 701 */
																																			obj_t
																																				BgL_list6529z00_8694;
																																			BgL_list6529z00_8694
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg6528z00_8692), BNIL);
																																			BgL_res6688z00_8695
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_7584,
																																					BgL_arg6527z00_8691,
																																					BGl_string7291z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list6529z00_8694));
																																	}}
																																	return
																																		BgL_res6688z00_8695;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 170 */
																														goto
																															BgL_tagzd254889zd2_7588;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 170 */
																												goto
																													BgL_tagzd254889zd2_7588;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 170 */
																										goto
																											BgL_tagzd254889zd2_7588;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 170 */
																								goto BgL_tagzd254889zd2_7588;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 170 */
																						goto BgL_tagzd254889zd2_7588;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 170 */
																				goto BgL_tagzd254889zd2_7588;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 118 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* Ast/sexp.scm 118 */
																		BgL_lz00_1703 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1704:
																		{	/* Ast/sexp.scm 184 */
																			bool_t BgL_testz00_12482;

																			if (PAIRP(BgL_lz00_1703))
																				{	/* Ast/sexp.scm 184 */
																					bool_t BgL_testz00_12485;

																					{	/* Ast/sexp.scm 184 */
																						obj_t BgL_tmpz00_12486;

																						BgL_tmpz00_12486 =
																							CDR(BgL_lz00_1703);
																						BgL_testz00_12485 =
																							PAIRP(BgL_tmpz00_12486);
																					}
																					if (BgL_testz00_12485)
																						{
																							obj_t BgL_l1346z00_7629;

																							BgL_l1346z00_7629 = BgL_lz00_1703;
																						BgL_zc3anonymousza36111ze3z83_7630:
																							if (NULLP(BgL_l1346z00_7629))
																								{	/* Ast/sexp.scm 184 */
																									BgL_testz00_12482 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 184 */
																									bool_t BgL_testz00_12491;

																									{	/* Ast/sexp.scm 184 */
																										obj_t BgL_tmpz00_12492;

																										BgL_tmpz00_12492 =
																											CAR(
																											((obj_t)
																												BgL_l1346z00_7629));
																										BgL_testz00_12491 =
																											SYMBOLP(BgL_tmpz00_12492);
																									}
																									if (BgL_testz00_12491)
																										{
																											obj_t BgL_l1346z00_12496;

																											BgL_l1346z00_12496 =
																												CDR(
																												((obj_t)
																													BgL_l1346z00_7629));
																											BgL_l1346z00_7629 =
																												BgL_l1346z00_12496;
																											goto
																												BgL_zc3anonymousza36111ze3z83_7630;
																										}
																									else
																										{	/* Ast/sexp.scm 184 */
																											BgL_testz00_12482 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 184 */
																							BgL_testz00_12482 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 184 */
																					BgL_testz00_12482 = ((bool_t) 0);
																				}
																			if (BgL_testz00_12482)
																				{	/* Ast/sexp.scm 184 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1703, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 186 */
																					BgL_nodez00_bglt BgL_res6699z00_8720;

																					{	/* Ast/sexp.scm 702 */
																						obj_t BgL_arg6527z00_8716;
																						BgL_nodez00_bglt
																							BgL_arg6528z00_8717;
																						BgL_arg6527z00_8716 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg6528z00_8717 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 701 */
																							obj_t BgL_list6529z00_8719;

																							BgL_list6529z00_8719 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg6528z00_8717),
																								BNIL);
																							BgL_res6699z00_8720 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg6527z00_8716,
																									BGl_string7288z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list6529z00_8719));
																					}}
																					return BgL_res6699z00_8720;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 118 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 118 */
																			BgL_tagzd2373zd2_1705:
																				{
																					obj_t BgL_valuez00_7638;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 118 */
																							obj_t BgL_cdrzd254916zd2_7643;

																							BgL_cdrzd254916zd2_7643 =
																								CDR(BgL_expz00_21);
																							if (PAIRP
																								(BgL_cdrzd254916zd2_7643))
																								{	/* Ast/sexp.scm 118 */
																									if (NULLP(CDR
																											(BgL_cdrzd254916zd2_7643)))
																										{	/* Ast/sexp.scm 118 */
																											BgL_valuez00_7638 =
																												CAR
																												(BgL_cdrzd254916zd2_7643);
																											{	/* Ast/sexp.scm 191 */
																												obj_t BgL_locz00_7649;

																												BgL_locz00_7649 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_7638))
																													{	/* Ast/sexp.scm 194 */
																														BgL_literalz00_bglt
																															BgL_new1123z00_7651;
																														{	/* Ast/sexp.scm 195 */
																															BgL_literalz00_bglt
																																BgL_new1121z00_7653;
																															BgL_new1121z00_7653
																																=
																																(
																																(BgL_literalz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_literalz00_bgl))));
																															{	/* Ast/sexp.scm 195 */
																																long
																																	BgL_arg6123z00_7654;
																																{	/* Ast/sexp.scm 195 */
																																	long
																																		BgL_res6701z00_8723;
																																	BgL_res6701z00_8723
																																		=
																																		BGL_CLASS_INDEX
																																		(BGl_literalz00zzast_nodez00);
																																	BgL_arg6123z00_7654
																																		=
																																		BgL_res6701z00_8723;
																																}
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1121z00_7653), BgL_arg6123z00_7654);
																															}
																															{	/* Ast/sexp.scm 195 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_12529;
																																BgL_tmpz00_12529
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1121z00_7653);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_12529,
																																	BFALSE);
																															}
																															BgL_new1123z00_7651
																																=
																																BgL_new1121z00_7653;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_7651)))->BgL_locz00) = ((obj_t) BgL_locz00_7649), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_12534;
																															{	/* Ast/sexp.scm 196 */
																																BgL_typez00_bglt
																																	BgL_arg6122z00_7652;
																																BgL_arg6122z00_7652
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_7638);
																																BgL_auxz00_12534
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg6122z00_7652,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1123z00_7651)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12534), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_new1123z00_7651)))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1123z00_7651);
																													}
																												else
																													{	/* Ast/sexp.scm 198 */
																														bool_t
																															BgL_testz00_12543;
																														if (PAIRP
																															(BgL_valuez00_7638))
																															{	/* Ast/sexp.scm 198 */
																																BgL_testz00_12543
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 198 */
																																if (VECTORP
																																	(BgL_valuez00_7638))
																																	{	/* Ast/sexp.scm 199 */
																																		BgL_testz00_12543
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 199 */
																																		if (BGL_HVECTORP(BgL_valuez00_7638))
																																			{	/* Ast/sexp.scm 200 */
																																				BgL_testz00_12543
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 200 */
																																				if (STRUCTP(BgL_valuez00_7638))
																																					{	/* Ast/sexp.scm 201 */
																																						BgL_testz00_12543
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 201 */
																																						if (SYMBOLP(BgL_valuez00_7638))
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_12543
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_12543
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_7638);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_12543)
																															{	/* Ast/sexp.scm 204 */
																																BgL_kwotez00_bglt
																																	BgL_new1125z00_7661;
																																{	/* Ast/sexp.scm 205 */
																																	BgL_kwotez00_bglt
																																		BgL_new1124z00_7663;
																																	BgL_new1124z00_7663
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 205 */
																																		long
																																			BgL_arg6131z00_7664;
																																		{	/* Ast/sexp.scm 205 */
																																			long
																																				BgL_res6707z00_8732;
																																			BgL_res6707z00_8732
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_kwotez00zzast_nodez00);
																																			BgL_arg6131z00_7664
																																				=
																																				BgL_res6707z00_8732;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1124z00_7663), BgL_arg6131z00_7664);
																																	}
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_12559;
																																		BgL_tmpz00_12559
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1124z00_7663);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_12559,
																																			BFALSE);
																																	}
																																	BgL_new1125z00_7661
																																		=
																																		BgL_new1124z00_7663;
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_7661)))->BgL_locz00) = ((obj_t) BgL_locz00_7649), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_12564;
																																	{	/* Ast/sexp.scm 206 */
																																		BgL_typez00_bglt
																																			BgL_arg6130z00_7662;
																																		BgL_arg6130z00_7662
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_7638);
																																		BgL_auxz00_12564
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg6130z00_7662,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1125z00_7661)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12564), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) COBJECT(BgL_new1125z00_7661))->BgL_valuez00) = ((obj_t) BgL_valuez00_7638), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1125z00_7661);
																															}
																														else
																															{	/* Ast/sexp.scm 208 */
																																bool_t
																																	BgL_testz00_12572;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_7638))
																																	{	/* Ast/sexp.scm 208 */
																																		BgL_testz00_12572
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 208 */
																																		if (STRINGP
																																			(BgL_valuez00_7638))
																																			{	/* Ast/sexp.scm 209 */
																																				BgL_testz00_12572
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 209 */
																																				if (CNSTP(BgL_valuez00_7638))
																																					{	/* Ast/sexp.scm 210 */
																																						BgL_testz00_12572
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 210 */
																																						if (CHARP(BgL_valuez00_7638))
																																							{	/* Ast/sexp.scm 214 */
																																								BgL_testz00_12572
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 214 */
																																								BgL_testz00_12572
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_7638);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_12572)
																																	{
																																		obj_t
																																			BgL_locz00_12583;
																																		obj_t
																																			BgL_expz00_12582;
																																		BgL_expz00_12582
																																			=
																																			BgL_valuez00_7638;
																																		BgL_locz00_12583
																																			=
																																			BgL_locz00_7649;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_12583;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_12582;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 218 */
																																		BgL_nodez00_bglt
																																			BgL_res6712z00_8744;
																																		{	/* Ast/sexp.scm 702 */
																																			obj_t
																																				BgL_arg6527z00_8740;
																																			BgL_nodez00_bglt
																																				BgL_arg6528z00_8741;
																																			BgL_arg6527z00_8740
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg6528z00_8741
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_7649,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 701 */
																																				obj_t
																																					BgL_list6529z00_8743;
																																				BgL_list6529z00_8743
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg6528z00_8741), BNIL);
																																				BgL_res6712z00_8744
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_7649,
																																						BgL_arg6527z00_8740,
																																						BGl_string7290z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list6529z00_8743));
																																		}}
																																		return
																																			BgL_res6712z00_8744;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																										BgL_tagzd254911zd2_7640:
																											{	/* Ast/sexp.scm 220 */
																												BgL_nodez00_bglt
																													BgL_res6713z00_8750;
																												{	/* Ast/sexp.scm 702 */
																													obj_t
																														BgL_arg6527z00_8746;
																													BgL_nodez00_bglt
																														BgL_arg6528z00_8747;
																													BgL_arg6527z00_8746 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg6528z00_8747 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 701 */
																														obj_t
																															BgL_list6529z00_8749;
																														BgL_list6529z00_8749
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg6528z00_8747),
																															BNIL);
																														BgL_res6713z00_8750
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg6527z00_8746,
																																BGl_string7290z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list6529z00_8749));
																												}}
																												return
																													BgL_res6713z00_8750;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									goto BgL_tagzd254911zd2_7640;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 118 */
																							goto BgL_tagzd254911zd2_7640;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 118 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 16))))
																					{	/* Ast/sexp.scm 118 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 118 */
																							BgL_tagzd2374zd2_1706:
																								{
																									obj_t BgL_locz00_12611;
																									obj_t BgL_expz00_12610;

																									BgL_expz00_12610 = BUNSPEC;
																									BgL_locz00_12611 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_12611;
																									BgL_expz00_21 =
																										BgL_expz00_12610;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 118 */
																								obj_t BgL_arg1558z00_1792;

																								BgL_arg1558z00_1792 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_12614;
																									BgL_bodyz00_1707 =
																										BgL_arg1558z00_1792;
																								BgL_tagzd2375zd2_1708:
																									{	/* Ast/sexp.scm 234 */
																										obj_t BgL_locz00_7680;

																										BgL_locz00_7680 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 234 */
																											obj_t BgL_nodesz00_7681;

																											BgL_nodesz00_7681 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1707,
																												BgL_stackz00_22,
																												BgL_locz00_7680,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 235 */

																												{	/* Ast/sexp.scm 236 */
																													BgL_sequencez00_bglt
																														BgL_new1129z00_7682;
																													{	/* Ast/sexp.scm 237 */
																														BgL_sequencez00_bglt
																															BgL_new1127z00_7683;
																														BgL_new1127z00_7683
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 237 */
																															long
																																BgL_arg6138z00_7684;
																															{	/* Ast/sexp.scm 237 */
																																long
																																	BgL_res6717z00_8758;
																																BgL_res6717z00_8758
																																	=
																																	BGL_CLASS_INDEX
																																	(BGl_sequencez00zzast_nodez00);
																																BgL_arg6138z00_7684
																																	=
																																	BgL_res6717z00_8758;
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1127z00_7683), BgL_arg6138z00_7684);
																														}
																														{	/* Ast/sexp.scm 237 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_12621;
																															BgL_tmpz00_12621 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1127z00_7683);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_12621,
																																BFALSE);
																														}
																														BgL_new1129z00_7682
																															=
																															BgL_new1127z00_7683;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1129z00_7682)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_7680),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1129z00_7682)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1129z00_7682)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1129z00_7682)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_7682))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_7681), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_7682))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1129z00_7682))->BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																													BgL_auxz00_12614 =
																														BgL_new1129z00_7682;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_12614);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 118 */
																						obj_t BgL_carzd2588zd2_1794;
																						obj_t BgL_cdrzd2589zd2_1795;

																						BgL_carzd2588zd2_1794 =
																							CAR(BgL_expz00_21);
																						BgL_cdrzd2589zd2_1795 =
																							CDR(BgL_expz00_21);
																						{

																							if (
																								(BgL_carzd2588zd2_1794 ==
																									CNST_TABLE_REF(((long) 1))))
																								{
																									obj_t BgL_auxz00_12643;

																								BgL_kapzd2590zd2_1796:
																									if (PAIRP
																										(BgL_cdrzd2589zd2_1795))
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd2593zd2_2246;
																											BgL_cdrzd2593zd2_2246 =
																												CDR
																												(BgL_cdrzd2589zd2_1795);
																											if (PAIRP
																												(BgL_cdrzd2593zd2_2246))
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_cdrzd2596zd2_2248;
																													BgL_cdrzd2596zd2_2248
																														=
																														CDR
																														(BgL_cdrzd2593zd2_2246);
																													if ((CAR
																															(BgL_cdrzd2593zd2_2246)
																															== BTRUE))
																														{	/* Ast/sexp.scm 118 */
																															if (PAIRP
																																(BgL_cdrzd2596zd2_2248))
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2596zd2_2248)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 118 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2596zd2_2248)))
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							CNST_TABLE_REF
																																							(((long) 8))))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_arg2015z00_2258;
																																							BgL_arg2015z00_2258
																																								=
																																								CAR
																																								(BgL_cdrzd2589zd2_1795);
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2015z00_2258,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd2613zd2_2259;
																																							BgL_carzd2613zd2_2259
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd2613zd2_2259 == CNST_TABLE_REF(((long) 1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_12672;
																																								BgL_tagzd2377zd2_1711:
																																									{
																																										obj_t
																																											BgL_siz00_7685;
																																										obj_t
																																											BgL_alorsz00_7686;
																																										obj_t
																																											BgL_sinonz00_7687;
																																										obj_t
																																											BgL_siz00_7689;
																																										obj_t
																																											BgL_alorsz00_7690;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd254932zd2_7695;
																																												BgL_cdrzd254932zd2_7695
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												if (PAIRP(BgL_cdrzd254932zd2_7695))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd254937zd2_7697;
																																														BgL_cdrzd254937zd2_7697
																																															=
																																															CDR
																																															(BgL_cdrzd254932zd2_7695);
																																														if (PAIRP(BgL_cdrzd254937zd2_7697))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd254942zd2_7699;
																																																BgL_cdrzd254942zd2_7699
																																																	=
																																																	CDR
																																																	(BgL_cdrzd254937zd2_7697);
																																																if (PAIRP(BgL_cdrzd254942zd2_7699))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd254942zd2_7699)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				BgL_siz00_7685
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254932zd2_7695);
																																																				BgL_alorsz00_7686
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254937zd2_7697);
																																																				BgL_sinonz00_7687
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254942zd2_7699);
																																																				{
																																																					obj_t
																																																						BgL_siz00_7714;
																																																					if (PAIRP(BgL_siz00_7685))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd254997zd2_7719;
																																																							BgL_cdrzd254997zd2_7719
																																																								=
																																																								CDR
																																																								(BgL_siz00_7685);
																																																							if ((CAR(BgL_siz00_7685) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd254997zd2_7719))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd255000zd2_7723;
																																																											BgL_cdrzd255000zd2_7723
																																																												=
																																																												CDR
																																																												(BgL_cdrzd254997zd2_7719);
																																																											if (PAIRP(BgL_cdrzd255000zd2_7723))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd255003zd2_7725;
																																																													BgL_cdrzd255003zd2_7725
																																																														=
																																																														CDR
																																																														(BgL_cdrzd255000zd2_7723);
																																																													if ((CAR(BgL_cdrzd255000zd2_7723) == BFALSE))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd255003zd2_7725))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(BgL_cdrzd255003zd2_7725) == BTRUE))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd255003zd2_7725)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_siz00_7714
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd254997zd2_7719);
																																																																				BgL_tagzd254989zd2_7715:
																																																																					{	/* Ast/sexp.scm 249 */
																																																																						obj_t
																																																																							BgL_arg6179z00_7747;
																																																																						BgL_arg6179z00_7747
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 249 */
																																																																							obj_t
																																																																								BgL_tmpz00_12713;
																																																																							BgL_tmpz00_12713
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_arg6179z00_7747);
																																																																							SET_CAR
																																																																								(BgL_tmpz00_12713,
																																																																								BgL_siz00_7714);
																																																																						}
																																																																					}
																																																																					{	/* Ast/sexp.scm 250 */
																																																																						obj_t
																																																																							BgL_arg6180z00_7748;
																																																																						{	/* Ast/sexp.scm 250 */
																																																																							obj_t
																																																																								BgL_pairz00_8766;
																																																																							BgL_pairz00_8766
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_arg6180z00_7748
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_8766);
																																																																						}
																																																																						{	/* Ast/sexp.scm 250 */
																																																																							obj_t
																																																																								BgL_tmpz00_12719;
																																																																							BgL_tmpz00_12719
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_arg6180z00_7748);
																																																																							SET_CAR
																																																																								(BgL_tmpz00_12719,
																																																																								BgL_sinonz00_7687);
																																																																						}
																																																																					}
																																																																					{	/* Ast/sexp.scm 251 */
																																																																						obj_t
																																																																							BgL_arg6181z00_7749;
																																																																						{	/* Ast/sexp.scm 251 */
																																																																							obj_t
																																																																								BgL_pairz00_8773;
																																																																							{	/* Ast/sexp.scm 251 */
																																																																								obj_t
																																																																									BgL_pairz00_8772;
																																																																								BgL_pairz00_8772
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_pairz00_8773
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_8772);
																																																																							}
																																																																							BgL_arg6181z00_7749
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_8773);
																																																																						}
																																																																						{	/* Ast/sexp.scm 251 */
																																																																							obj_t
																																																																								BgL_tmpz00_12726;
																																																																							BgL_tmpz00_12726
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_arg6181z00_7749);
																																																																							SET_CAR
																																																																								(BgL_tmpz00_12726,
																																																																								BgL_alorsz00_7686);
																																																																						}
																																																																					}
																																																																					BgL_auxz00_12672
																																																																						=
																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																						(BgL_expz00_21,
																																																																						BgL_stackz00_22,
																																																																						BgL_locz00_23,
																																																																						BgL_sitez00_24);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																				BgL_tagzd254990zd2_7716:
																																																																					{	/* Ast/sexp.scm 254 */
																																																																						obj_t
																																																																							BgL_locz00_7750;
																																																																						BgL_locz00_7750
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 254 */
																																																																							obj_t
																																																																								BgL_cdlocz00_7751;
																																																																							{	/* Ast/sexp.scm 255 */
																																																																								obj_t
																																																																									BgL_arg6201z00_7785;
																																																																								BgL_arg6201z00_7785
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdlocz00_7751
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg6201z00_7785,
																																																																									BgL_locz00_7750);
																																																																							}
																																																																							{	/* Ast/sexp.scm 255 */
																																																																								obj_t
																																																																									BgL_cddlocz00_7752;
																																																																								{	/* Ast/sexp.scm 256 */
																																																																									obj_t
																																																																										BgL_arg6200z00_7784;
																																																																									{	/* Ast/sexp.scm 256 */
																																																																										obj_t
																																																																											BgL_pairz00_8779;
																																																																										BgL_pairz00_8779
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_arg6200z00_7784
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_8779);
																																																																									}
																																																																									BgL_cddlocz00_7752
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg6200z00_7784,
																																																																										BgL_locz00_7750);
																																																																								}
																																																																								{	/* Ast/sexp.scm 256 */
																																																																									obj_t
																																																																										BgL_cdddlocz00_7753;
																																																																									{	/* Ast/sexp.scm 257 */
																																																																										obj_t
																																																																											BgL_arg6199z00_7783;
																																																																										{	/* Ast/sexp.scm 257 */
																																																																											obj_t
																																																																												BgL_pairz00_8785;
																																																																											{	/* Ast/sexp.scm 257 */
																																																																												obj_t
																																																																													BgL_pairz00_8784;
																																																																												BgL_pairz00_8784
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_pairz00_8785
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_8784);
																																																																											}
																																																																											BgL_arg6199z00_7783
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_8785);
																																																																										}
																																																																										BgL_cdddlocz00_7753
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_arg6199z00_7783,
																																																																											BgL_locz00_7750);
																																																																									}
																																																																									{	/* Ast/sexp.scm 257 */
																																																																										obj_t
																																																																											BgL_lzd2sizd2_7754;
																																																																										BgL_lzd2sizd2_7754
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_siz00_7685,
																																																																											BgL_cdlocz00_7751);
																																																																										{	/* Ast/sexp.scm 258 */
																																																																											obj_t
																																																																												BgL_lzd2alorszd2_7755;
																																																																											BgL_lzd2alorszd2_7755
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_alorsz00_7686,
																																																																												BgL_cddlocz00_7752);
																																																																											{	/* Ast/sexp.scm 259 */
																																																																												obj_t
																																																																													BgL_lzd2sinonzd2_7756;
																																																																												BgL_lzd2sinonzd2_7756
																																																																													=
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_sinonz00_7687,
																																																																													BgL_cdddlocz00_7753);
																																																																												{	/* Ast/sexp.scm 260 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_testz00_7757;
																																																																													BgL_testz00_7757
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_siz00_7685,
																																																																														BgL_stackz00_22,
																																																																														BgL_locz00_7750,
																																																																														CNST_TABLE_REF
																																																																														(((long) 8)));
																																																																													{	/* Ast/sexp.scm 261 */

																																																																														{	/* Ast/sexp.scm 263 */
																																																																															bool_t
																																																																																BgL_testz00_12749;
																																																																															{	/* Ast/sexp.scm 263 */
																																																																																bool_t
																																																																																	BgL_res6718z00_8786;
																																																																																BgL_res6718z00_8786
																																																																																	=
																																																																																	BGl_isazf3zf3zz__objectz00
																																																																																	(
																																																																																	((obj_t) BgL_testz00_7757), BGl_atomz00zzast_nodez00);
																																																																																BgL_testz00_12749
																																																																																	=
																																																																																	BgL_res6718z00_8786;
																																																																															}
																																																																															if (BgL_testz00_12749)
																																																																																{	/* Ast/sexp.scm 263 */
																																																																																	if (CBOOL((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_testz00_7757)))->BgL_valuez00)))
																																																																																		{	/* Ast/sexp.scm 265 */
																																																																																			BgL_auxz00_12672
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_alorsz00_7686,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2alorszd2_7755,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 265 */
																																																																																			BgL_auxz00_12672
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_sinonz00_7687,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2sinonzd2_7756,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 268 */
																																																																																	bool_t
																																																																																		BgL_testz00_12760;
																																																																																	{	/* Ast/sexp.scm 268 */
																																																																																		bool_t
																																																																																			BgL_res6719z00_8787;
																																																																																		BgL_res6719z00_8787
																																																																																			=
																																																																																			BGl_isazf3zf3zz__objectz00
																																																																																			(
																																																																																			((obj_t) BgL_testz00_7757), BGl_kwotez00zzast_nodez00);
																																																																																		BgL_testz00_12760
																																																																																			=
																																																																																			BgL_res6719z00_8787;
																																																																																	}
																																																																																	if (BgL_testz00_12760)
																																																																																		{	/* Ast/sexp.scm 268 */
																																																																																			BgL_auxz00_12672
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_alorsz00_7686,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2alorszd2_7755,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 270 */
																																																																																			bool_t
																																																																																				BgL_testz00_12765;
																																																																																			{	/* Ast/sexp.scm 270 */
																																																																																				bool_t
																																																																																					BgL_res6720z00_8788;
																																																																																				BgL_res6720z00_8788
																																																																																					=
																																																																																					BGl_isazf3zf3zz__objectz00
																																																																																					(
																																																																																					((obj_t) BgL_testz00_7757), BGl_varz00zzast_nodez00);
																																																																																				BgL_testz00_12765
																																																																																					=
																																																																																					BgL_res6720z00_8788;
																																																																																			}
																																																																																			if (BgL_testz00_12765)
																																																																																				{	/* Ast/sexp.scm 271 */
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_alorsz00_7763;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_sinonz00_7764;
																																																																																					BgL_alorsz00_7763
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(BgL_alorsz00_7686,
																																																																																						BgL_stackz00_22,
																																																																																						BgL_lzd2alorszd2_7755,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 2)));
																																																																																					BgL_sinonz00_7764
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(BgL_sinonz00_7687,
																																																																																						BgL_stackz00_22,
																																																																																						BgL_lzd2sinonzd2_7756,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 273 */
																																																																																						BgL_conditionalz00_bglt
																																																																																							BgL_new1133z00_7765;
																																																																																						{	/* Ast/sexp.scm 274 */
																																																																																							BgL_conditionalz00_bglt
																																																																																								BgL_new1131z00_7766;
																																																																																							BgL_new1131z00_7766
																																																																																								=
																																																																																								(
																																																																																								(BgL_conditionalz00_bglt)
																																																																																								BOBJECT
																																																																																								(GC_MALLOC
																																																																																									(sizeof
																																																																																										(struct
																																																																																											BgL_conditionalz00_bgl))));
																																																																																							{	/* Ast/sexp.scm 274 */
																																																																																								long
																																																																																									BgL_arg6186z00_7767;
																																																																																								{	/* Ast/sexp.scm 274 */
																																																																																									long
																																																																																										BgL_res6721z00_8790;
																																																																																									BgL_res6721z00_8790
																																																																																										=
																																																																																										BGL_CLASS_INDEX
																																																																																										(BGl_conditionalz00zzast_nodez00);
																																																																																									BgL_arg6186z00_7767
																																																																																										=
																																																																																										BgL_res6721z00_8790;
																																																																																								}
																																																																																								BGL_OBJECT_CLASS_NUM_SET
																																																																																									(
																																																																																									((BgL_objectz00_bglt) BgL_new1131z00_7766), BgL_arg6186z00_7767);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 274 */
																																																																																								BgL_objectz00_bglt
																																																																																									BgL_tmpz00_12776;
																																																																																								BgL_tmpz00_12776
																																																																																									=
																																																																																									(
																																																																																									(BgL_objectz00_bglt)
																																																																																									BgL_new1131z00_7766);
																																																																																								BGL_OBJECT_WIDENING_SET
																																																																																									(BgL_tmpz00_12776,
																																																																																									BFALSE);
																																																																																							}
																																																																																							BgL_new1133z00_7765
																																																																																								=
																																																																																								BgL_new1131z00_7766;
																																																																																						}
																																																																																						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1133z00_7765)))->BgL_locz00) = ((obj_t) BgL_locz00_7750), BUNSPEC);
																																																																																						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1133z00_7765)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_7765)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_7765)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) COBJECT(BgL_new1133z00_7765))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_7757), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) COBJECT(BgL_new1133z00_7765))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_7763), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) COBJECT(BgL_new1133z00_7765))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_7764), BUNSPEC);
																																																																																						BgL_auxz00_12672
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BgL_new1133z00_7765);
																																																																																				}}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 280 */
																																																																																					obj_t
																																																																																						BgL_vz00_7768;
																																																																																					BgL_vz00_7768
																																																																																						=
																																																																																						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																																						(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																						(CNST_TABLE_REF
																																																																																							(((long) 8))));
																																																																																					{	/* Ast/sexp.scm 280 */
																																																																																						obj_t
																																																																																							BgL_varz00_7769;
																																																																																						BgL_varz00_7769
																																																																																							=
																																																																																							BGl_makezd2typedzd2identz00zzast_identz00
																																																																																							(BgL_vz00_7768,
																																																																																							CNST_TABLE_REF
																																																																																							(((long) 9)));
																																																																																						{	/* Ast/sexp.scm 281 */
																																																																																							obj_t
																																																																																								BgL_nexpz00_7770;
																																																																																							{	/* Ast/sexp.scm 282 */
																																																																																								obj_t
																																																																																									BgL_arg6194z00_7778;
																																																																																								{	/* Ast/sexp.scm 282 */
																																																																																									obj_t
																																																																																										BgL_arg6195z00_7779;
																																																																																									{	/* Ast/sexp.scm 282 */
																																																																																										obj_t
																																																																																											BgL_arg6196z00_7780;
																																																																																										{	/* Ast/sexp.scm 282 */
																																																																																											obj_t
																																																																																												BgL_arg6197z00_7781;
																																																																																											BgL_arg6197z00_7781
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_sinonz00_7687,
																																																																																												BNIL);
																																																																																											BgL_arg6196z00_7780
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_alorsz00_7686,
																																																																																												BgL_arg6197z00_7781);
																																																																																										}
																																																																																										BgL_arg6195z00_7779
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(BgL_vz00_7768,
																																																																																											BgL_arg6196z00_7780);
																																																																																									}
																																																																																									BgL_arg6194z00_7778
																																																																																										=
																																																																																										MAKE_YOUNG_PAIR
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 1)), BgL_arg6195z00_7779);
																																																																																								}
																																																																																								BgL_nexpz00_7770
																																																																																									=
																																																																																									BGl_epairifyzd2reczd2zztools_miscz00
																																																																																									(BgL_arg6194z00_7778,
																																																																																									BgL_expz00_21);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 282 */

																																																																																								{	/* Ast/sexp.scm 283 */
																																																																																									obj_t
																																																																																										BgL_arg6187z00_7771;
																																																																																									{	/* Ast/sexp.scm 283 */
																																																																																										obj_t
																																																																																											BgL_arg6188z00_7772;
																																																																																										obj_t
																																																																																											BgL_arg6189z00_7773;
																																																																																										BgL_arg6188z00_7772
																																																																																											=
																																																																																											BGl_letzd2symzd2zzast_letz00
																																																																																											();
																																																																																										{	/* Ast/sexp.scm 283 */
																																																																																											obj_t
																																																																																												BgL_arg6190z00_7774;
																																																																																											obj_t
																																																																																												BgL_arg6191z00_7775;
																																																																																											{	/* Ast/sexp.scm 283 */
																																																																																												obj_t
																																																																																													BgL_arg6192z00_7776;
																																																																																												{	/* Ast/sexp.scm 283 */
																																																																																													obj_t
																																																																																														BgL_arg6193z00_7777;
																																																																																													BgL_arg6193z00_7777
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_siz00_7685,
																																																																																														BNIL);
																																																																																													BgL_arg6192z00_7776
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_varz00_7769,
																																																																																														BgL_arg6193z00_7777);
																																																																																												}
																																																																																												BgL_arg6190z00_7774
																																																																																													=
																																																																																													MAKE_YOUNG_PAIR
																																																																																													(BgL_arg6192z00_7776,
																																																																																													BNIL);
																																																																																											}
																																																																																											BgL_arg6191z00_7775
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_nexpz00_7770,
																																																																																												BNIL);
																																																																																											BgL_arg6189z00_7773
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_arg6190z00_7774,
																																																																																												BgL_arg6191z00_7775);
																																																																																										}
																																																																																										BgL_arg6187z00_7771
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(BgL_arg6188z00_7772,
																																																																																											BgL_arg6189z00_7773);
																																																																																									}
																																																																																									BGl_replacez12z12zztools_miscz00
																																																																																										(BgL_expz00_21,
																																																																																										BgL_arg6187z00_7771);
																																																																																								}
																																																																																								BgL_auxz00_12672
																																																																																									=
																																																																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_stackz00_22,
																																																																																									BgL_locz00_7750,
																																																																																									BgL_sitez00_24);
																																																																		}}}}}}}}}}}}}}}}}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd254990zd2_7716;
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd254990zd2_7716;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd254990zd2_7716;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd254990zd2_7716;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd254990zd2_7716;
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(BgL_siz00_7685) == CNST_TABLE_REF(((long) 10))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd254997zd2_7719))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_cdrzd254997zd2_7719)))
																																																														{
																																																															obj_t
																																																																BgL_siz00_12822;
																																																															BgL_siz00_12822
																																																																=
																																																																CAR
																																																																(BgL_cdrzd254997zd2_7719);
																																																															BgL_siz00_7714
																																																																=
																																																																BgL_siz00_12822;
																																																															goto
																																																																BgL_tagzd254989zd2_7715;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd254990zd2_7716;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd254990zd2_7716;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd254990zd2_7716;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd254990zd2_7716;
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																			BgL_tagzd254923zd2_7692:
																																																				{	/* Ast/sexp.scm 289 */
																																																					BgL_nodez00_bglt
																																																						BgL_res6730z00_8823;
																																																					{	/* Ast/sexp.scm 702 */
																																																						obj_t
																																																							BgL_arg6527z00_8819;
																																																						BgL_nodez00_bglt
																																																							BgL_arg6528z00_8820;
																																																						BgL_arg6527z00_8819
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg6528z00_8820
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 701 */
																																																							obj_t
																																																								BgL_list6529z00_8822;
																																																							BgL_list6529z00_8822
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg6528z00_8820), BNIL);
																																																							BgL_res6730z00_8823
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg6527z00_8819,
																																																									BGl_string7289z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list6529z00_8822));
																																																					}}
																																																					BgL_auxz00_12672
																																																						=
																																																						BgL_res6730z00_8823;
																																																	}}}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd254967zd2_7708;
																																																		BgL_cdrzd254967zd2_7708
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd254932zd2_7695));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd254967zd2_7708))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg6151z00_7711;
																																																				obj_t
																																																					BgL_arg6152z00_7712;
																																																				BgL_arg6151z00_7711
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd254932zd2_7695));
																																																				BgL_arg6152z00_7712
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd254967zd2_7708));
																																																				BgL_siz00_7689
																																																					=
																																																					BgL_arg6151z00_7711;
																																																				BgL_alorsz00_7690
																																																					=
																																																					BgL_arg6152z00_7712;
																																																				{	/* Ast/sexp.scm 286 */
																																																					obj_t
																																																						BgL_arg6202z00_7786;
																																																					obj_t
																																																						BgL_arg6203z00_7787;
																																																					{	/* Ast/sexp.scm 286 */
																																																						obj_t
																																																							BgL_pairz00_8815;
																																																						BgL_pairz00_8815
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_arg6202z00_7786
																																																							=
																																																							CDR
																																																							(BgL_pairz00_8815);
																																																					}
																																																					{	/* Ast/sexp.scm 286 */
																																																						obj_t
																																																							BgL_list6204z00_7788;
																																																						BgL_list6204z00_7788
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg6203z00_7787
																																																							=
																																																							BgL_list6204z00_7788;
																																																					}
																																																					{	/* Ast/sexp.scm 286 */
																																																						obj_t
																																																							BgL_tmpz00_12850;
																																																						BgL_tmpz00_12850
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg6202z00_7786);
																																																						SET_CDR
																																																							(BgL_tmpz00_12850,
																																																							BgL_arg6203z00_7787);
																																																					}
																																																				}
																																																				BgL_auxz00_12672
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd254923zd2_7692;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd254923zd2_7692;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd254923zd2_7692;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_tagzd254923zd2_7692;
																																											}
																																									}
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_12672);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd2613zd2_2259 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_12857;
																																											goto
																																												BgL_tagzd2377zd2_1711;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_12857);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_12864;
																																												BgL_tagzd2379zd2_1715:
																																													{
																																														obj_t
																																															BgL_varz00_7815;
																																														obj_t
																																															BgL_valz00_7816;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd255028zd2_7821;
																																																BgL_cdrzd255028zd2_7821
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if (PAIRP(BgL_cdrzd255028zd2_7821))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd255032zd2_7823;
																																																		BgL_cdrzd255032zd2_7823
																																																			=
																																																			CDR
																																																			(BgL_cdrzd255028zd2_7821);
																																																		if (PAIRP(BgL_cdrzd255032zd2_7823))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd255032zd2_7823)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						BgL_varz00_7815
																																																							=
																																																							CAR
																																																							(BgL_cdrzd255028zd2_7821);
																																																						BgL_valz00_7816
																																																							=
																																																							CAR
																																																							(BgL_cdrzd255032zd2_7823);
																																																						{	/* Ast/sexp.scm 298 */
																																																							obj_t
																																																								BgL_locz00_7830;
																																																							BgL_locz00_7830
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 298 */
																																																								obj_t
																																																									BgL_cdlocz00_7831;
																																																								{	/* Ast/sexp.scm 299 */
																																																									obj_t
																																																										BgL_arg6236z00_7850;
																																																									BgL_arg6236z00_7850
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_7831
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg6236z00_7850,
																																																										BgL_locz00_7830);
																																																								}
																																																								{	/* Ast/sexp.scm 299 */
																																																									obj_t
																																																										BgL_cddlocz00_7832;
																																																									{	/* Ast/sexp.scm 300 */
																																																										obj_t
																																																											BgL_arg6235z00_7849;
																																																										{	/* Ast/sexp.scm 300 */
																																																											obj_t
																																																												BgL_pairz00_8859;
																																																											BgL_pairz00_8859
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg6235z00_7849
																																																												=
																																																												CDR
																																																												(BgL_pairz00_8859);
																																																										}
																																																										BgL_cddlocz00_7832
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg6235z00_7849,
																																																											BgL_locz00_7830);
																																																									}
																																																									{	/* Ast/sexp.scm 300 */
																																																										obj_t
																																																											BgL_valzd2loczd2_7833;
																																																										BgL_valzd2loczd2_7833
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_7816,
																																																											BgL_cddlocz00_7832);
																																																										{	/* Ast/sexp.scm 301 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_7834;
																																																											BgL_valz00_7834
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(BgL_valz00_7816,
																																																												BgL_stackz00_22,
																																																												BgL_valzd2loczd2_7833,
																																																												CNST_TABLE_REF
																																																												(((long) 2)));
																																																											{	/* Ast/sexp.scm 302 */

																																																												{	/* Ast/sexp.scm 303 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_7835;
																																																													BgL_astz00_7835
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_7815,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_7831,
																																																														CNST_TABLE_REF
																																																														(((long) 7)));
																																																													{	/* Ast/sexp.scm 304 */
																																																														bool_t
																																																															BgL_testz00_12889;
																																																														{	/* Ast/sexp.scm 304 */
																																																															bool_t
																																																																BgL_res6742z00_8860;
																																																															BgL_res6742z00_8860
																																																																=
																																																																BGl_isazf3zf3zz__objectz00
																																																																(
																																																																((obj_t) BgL_astz00_7835), BGl_varz00zzast_nodez00);
																																																															BgL_testz00_12889
																																																																=
																																																																BgL_res6742z00_8860;
																																																														}
																																																														if (BgL_testz00_12889)
																																																															{	/* Ast/sexp.scm 306 */
																																																																bool_t
																																																																	BgL_testz00_12892;
																																																																{	/* Ast/sexp.scm 306 */
																																																																	bool_t
																																																																		BgL_testz00_12893;
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg6234z00_7848;
																																																																		BgL_arg6234z00_7848
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_7835)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 306 */
																																																																			bool_t
																																																																				BgL_res6743z00_8861;
																																																																			BgL_res6743z00_8861
																																																																				=
																																																																				BGl_isazf3zf3zz__objectz00
																																																																				(
																																																																				((obj_t) BgL_arg6234z00_7848), BGl_globalz00zzast_varz00);
																																																																			BgL_testz00_12893
																																																																				=
																																																																				BgL_res6743z00_8861;
																																																																		}
																																																																	}
																																																																	if (BgL_testz00_12893)
																																																																		{	/* Ast/sexp.scm 307 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6233z00_7847;
																																																																			BgL_arg6233z00_7847
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_7835)))->BgL_variablez00);
																																																																			BgL_testz00_12892
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg6233z00_7847));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 306 */
																																																																			BgL_testz00_12892
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_12892)
																																																																	{	/* Ast/sexp.scm 308 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res6744z00_8867;
																																																																		{	/* Ast/sexp.scm 702 */
																																																																			obj_t
																																																																				BgL_arg6527z00_8863;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg6528z00_8864;
																																																																			BgL_arg6527z00_8863
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg6528z00_8864
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_cdlocz00_7831, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 701 */
																																																																				obj_t
																																																																					BgL_list6529z00_8866;
																																																																				BgL_list6529z00_8866
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg6528z00_8864), BNIL);
																																																																				BgL_res6744z00_8867
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_7831,
																																																																						BgL_arg6527z00_8863,
																																																																						BGl_string7286z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list6529z00_8866));
																																																																		}}
																																																																		BgL_auxz00_12864
																																																																			=
																																																																			BgL_res6744z00_8867;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 310 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1136z00_7843;
																																																																		{	/* Ast/sexp.scm 311 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1135z00_7844;
																																																																			BgL_new1135z00_7844
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BOBJECT
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 311 */
																																																																				long
																																																																					BgL_arg6232z00_7845;
																																																																				{	/* Ast/sexp.scm 311 */
																																																																					long
																																																																						BgL_res6745z00_8869;
																																																																					BgL_res6745z00_8869
																																																																						=
																																																																						BGL_CLASS_INDEX
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BgL_arg6232z00_7845
																																																																						=
																																																																						BgL_res6745z00_8869;
																																																																				}
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1135z00_7844), BgL_arg6232z00_7845);
																																																																			}
																																																																			{	/* Ast/sexp.scm 311 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_12915;
																																																																				BgL_tmpz00_12915
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1135z00_7844);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_12915,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1136z00_7843
																																																																				=
																																																																				BgL_new1135z00_7844;
																																																																		}
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_7843)))->BgL_locz00) = ((obj_t) BgL_locz00_7830), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_7843)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1136z00_7843))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_7835)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1136z00_7843))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_7834), BUNSPEC);
																																																																		BgL_auxz00_12864
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1136z00_7843);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 315 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res6746z00_8877;
																																																																{	/* Ast/sexp.scm 702 */
																																																																	obj_t
																																																																		BgL_arg6527z00_8873;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg6528z00_8874;
																																																																	BgL_arg6527z00_8873
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg6528z00_8874
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(CNST_TABLE_REF
																																																																		(((long) 4)), BNIL, BgL_locz00_7830, CNST_TABLE_REF(((long) 2)));
																																																																	{	/* Ast/sexp.scm 701 */
																																																																		obj_t
																																																																			BgL_list6529z00_8876;
																																																																		BgL_list6529z00_8876
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg6528z00_8874), BNIL);
																																																																		BgL_res6746z00_8877
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_7830,
																																																																				BgL_arg6527z00_8873,
																																																																				BGl_string7287z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list6529z00_8876));
																																																																}}
																																																																BgL_auxz00_12864
																																																																	=
																																																																	BgL_res6746z00_8877;
																																																					}}}}}}}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																					BgL_tagzd255021zd2_7818:
																																																						{	/* Ast/sexp.scm 319 */
																																																							obj_t
																																																								BgL_arg6237z00_7851;
																																																							BgL_arg6237z00_7851
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 318 */
																																																								BgL_nodez00_bglt
																																																									BgL_res6747z00_8883;
																																																								{	/* Ast/sexp.scm 702 */
																																																									obj_t
																																																										BgL_arg6527z00_8879;
																																																									BgL_nodez00_bglt
																																																										BgL_arg6528z00_8880;
																																																									BgL_arg6527z00_8879
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg6528z00_8880
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(CNST_TABLE_REF
																																																										(((long) 4)), BNIL, BgL_arg6237z00_7851, CNST_TABLE_REF(((long) 2)));
																																																									{	/* Ast/sexp.scm 701 */
																																																										obj_t
																																																											BgL_list6529z00_8882;
																																																										BgL_list6529z00_8882
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg6528z00_8880), BNIL);
																																																										BgL_res6747z00_8883
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg6237z00_7851,
																																																												BgL_arg6527z00_8879,
																																																												BGl_string7285z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list6529z00_8882));
																																																								}}
																																																								BgL_auxz00_12864
																																																									=
																																																									BgL_res6747z00_8883;
																																																			}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd255021zd2_7818;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd255021zd2_7818;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd255021zd2_7818;
																																															}
																																													}
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_12864);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_12954;
																																														BgL_tagzd2380zd2_1716:
																																															{
																																																obj_t
																																																	BgL_varz00_7852;
																																																obj_t
																																																	BgL_valz00_7853;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd255046zd2_7858;
																																																		BgL_cdrzd255046zd2_7858
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		if (PAIRP(BgL_cdrzd255046zd2_7858))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd255050zd2_7860;
																																																				BgL_cdrzd255050zd2_7860
																																																					=
																																																					CDR
																																																					(BgL_cdrzd255046zd2_7858);
																																																				if (PAIRP(BgL_cdrzd255050zd2_7860))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd255050zd2_7860)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								BgL_varz00_7852
																																																									=
																																																									CAR
																																																									(BgL_cdrzd255046zd2_7858);
																																																								BgL_valz00_7853
																																																									=
																																																									CAR
																																																									(BgL_cdrzd255050zd2_7860);
																																																								{	/* Ast/sexp.scm 326 */
																																																									obj_t
																																																										BgL_locz00_7867;
																																																									BgL_locz00_7867
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 326 */
																																																										obj_t
																																																											BgL_cdlocz00_7868;
																																																										{	/* Ast/sexp.scm 327 */
																																																											obj_t
																																																												BgL_arg6253z00_7883;
																																																											BgL_arg6253z00_7883
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdlocz00_7868
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg6253z00_7883,
																																																												BgL_locz00_7867);
																																																										}
																																																										{	/* Ast/sexp.scm 327 */
																																																											obj_t
																																																												BgL_cddlocz00_7869;
																																																											{	/* Ast/sexp.scm 328 */
																																																												obj_t
																																																													BgL_arg6252z00_7882;
																																																												{	/* Ast/sexp.scm 328 */
																																																													obj_t
																																																														BgL_pairz00_8897;
																																																													BgL_pairz00_8897
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_arg6252z00_7882
																																																														=
																																																														CDR
																																																														(BgL_pairz00_8897);
																																																												}
																																																												BgL_cddlocz00_7869
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_arg6252z00_7882,
																																																													BgL_locz00_7867);
																																																											}
																																																											{	/* Ast/sexp.scm 328 */
																																																												obj_t
																																																													BgL_valzd2loczd2_7870;
																																																												BgL_valzd2loczd2_7870
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_7853,
																																																													BgL_cddlocz00_7869);
																																																												{	/* Ast/sexp.scm 329 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_7871;
																																																													BgL_valz00_7871
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_7853,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_7870,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 330 */

																																																														{	/* Ast/sexp.scm 331 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_7872;
																																																															BgL_astz00_7872
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_7852,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_7868,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 332 */
																																																																bool_t
																																																																	BgL_testz00_12979;
																																																																{	/* Ast/sexp.scm 332 */
																																																																	bool_t
																																																																		BgL_testz00_12980;
																																																																	{	/* Ast/sexp.scm 332 */
																																																																		bool_t
																																																																			BgL_res6752z00_8898;
																																																																		BgL_res6752z00_8898
																																																																			=
																																																																			BGl_isazf3zf3zz__objectz00
																																																																			(
																																																																			((obj_t) BgL_astz00_7872), BGl_varz00zzast_nodez00);
																																																																		BgL_testz00_12980
																																																																			=
																																																																			BgL_res6752z00_8898;
																																																																	}
																																																																	if (BgL_testz00_12980)
																																																																		{	/* Ast/sexp.scm 332 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6251z00_7881;
																																																																			BgL_arg6251z00_7881
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_7872)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 332 */
																																																																				bool_t
																																																																					BgL_res6753z00_8900;
																																																																				BgL_res6753z00_8900
																																																																					=
																																																																					BGl_isazf3zf3zz__objectz00
																																																																					(
																																																																					((obj_t) BgL_arg6251z00_7881), BGl_globalz00zzast_varz00);
																																																																				BgL_testz00_12979
																																																																					=
																																																																					BgL_res6753z00_8900;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 332 */
																																																																			BgL_testz00_12979
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_12979)
																																																																	{	/* Ast/sexp.scm 332 */
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6249z00_7876;
																																																																			BgL_arg6249z00_7876
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_7872)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_arg6249z00_7876)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_7871)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 335 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1138z00_7877;
																																																																			{	/* Ast/sexp.scm 336 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1137z00_7878;
																																																																				BgL_new1137z00_7878
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BOBJECT
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 336 */
																																																																					long
																																																																						BgL_arg6250z00_7879;
																																																																					{	/* Ast/sexp.scm 336 */
																																																																						long
																																																																							BgL_res6754z00_8904;
																																																																						BgL_res6754z00_8904
																																																																							=
																																																																							BGL_CLASS_INDEX
																																																																							(BGl_setqz00zzast_nodez00);
																																																																						BgL_arg6250z00_7879
																																																																							=
																																																																							BgL_res6754z00_8904;
																																																																					}
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1137z00_7878), BgL_arg6250z00_7879);
																																																																				}
																																																																				{	/* Ast/sexp.scm 336 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_12996;
																																																																					BgL_tmpz00_12996
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1137z00_7878);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_12996,
																																																																						BFALSE);
																																																																				}
																																																																				BgL_new1138z00_7877
																																																																					=
																																																																					BgL_new1137z00_7878;
																																																																			}
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1138z00_7877)))->BgL_locz00) = ((obj_t) BgL_locz00_7867), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1138z00_7877)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1138z00_7877))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_7872)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1138z00_7877))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_7871), BUNSPEC);
																																																																			BgL_auxz00_12954
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1138z00_7877);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 340 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res6755z00_8912;
																																																																		{	/* Ast/sexp.scm 702 */
																																																																			obj_t
																																																																				BgL_arg6527z00_8908;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg6528z00_8909;
																																																																			BgL_arg6527z00_8908
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg6528z00_8909
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_locz00_7867, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 701 */
																																																																				obj_t
																																																																					BgL_list6529z00_8911;
																																																																				BgL_list6529z00_8911
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg6528z00_8909), BNIL);
																																																																				BgL_res6755z00_8912
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_7867,
																																																																						BgL_arg6527z00_8908,
																																																																						BGl_string7284z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list6529z00_8911));
																																																																		}}
																																																																		BgL_auxz00_12954
																																																																			=
																																																																			BgL_res6755z00_8912;
																																																							}}}}}}}}}}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																							BgL_tagzd255039zd2_7855:
																																																								{	/* Ast/sexp.scm 344 */
																																																									obj_t
																																																										BgL_arg6254z00_7884;
																																																									BgL_arg6254z00_7884
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 343 */
																																																										BgL_nodez00_bglt
																																																											BgL_res6756z00_8918;
																																																										{	/* Ast/sexp.scm 702 */
																																																											obj_t
																																																												BgL_arg6527z00_8914;
																																																											BgL_nodez00_bglt
																																																												BgL_arg6528z00_8915;
																																																											BgL_arg6527z00_8914
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg6528z00_8915
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(CNST_TABLE_REF
																																																												(((long) 4)), BNIL, BgL_arg6254z00_7884, CNST_TABLE_REF(((long) 2)));
																																																											{	/* Ast/sexp.scm 701 */
																																																												obj_t
																																																													BgL_list6529z00_8917;
																																																												BgL_list6529z00_8917
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg6528z00_8915), BNIL);
																																																												BgL_res6756z00_8918
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg6254z00_7884,
																																																														BgL_arg6527z00_8914,
																																																														BGl_string7283z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list6529z00_8917));
																																																										}}
																																																										BgL_auxz00_12954
																																																											=
																																																											BgL_res6756z00_8918;
																																																					}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd255039zd2_7855;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd255039zd2_7855;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd255039zd2_7855;
																																																	}
																																															}
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_12954);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd2674zd2_2266;
																																															BgL_carzd2674zd2_2266
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd2674zd2_2266))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd2677zd2_2268;
																																																	obj_t
																																																		BgL_cdrzd2678zd2_2269;
																																																	BgL_carzd2677zd2_2268
																																																		=
																																																		CAR
																																																		(BgL_carzd2674zd2_2266);
																																																	BgL_cdrzd2678zd2_2269
																																																		=
																																																		CDR
																																																		(BgL_carzd2674zd2_2266);
																																																	{

																																																		if ((BgL_carzd2677zd2_2268 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 118 */
																																																			BgL_kapzd2679zd2_2270:
																																																				if (PAIRP(BgL_cdrzd2678zd2_2269))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd2682zd2_2392;
																																																						BgL_cdrzd2682zd2_2392
																																																							=
																																																							CDR
																																																							(BgL_cdrzd2678zd2_2269);
																																																						if (PAIRP(BgL_cdrzd2682zd2_2392))
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (NULLP(CDR(BgL_cdrzd2682zd2_2392)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2108z00_2396;
																																																										obj_t
																																																											BgL_arg2109z00_2397;
																																																										BgL_arg2108z00_2396
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2682zd2_2392);
																																																										BgL_arg2109z00_2397
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_13050;
																																																											BgL_bodyz00_1717
																																																												=
																																																												BgL_arg2108z00_2396;
																																																											BgL_argsz00_1718
																																																												=
																																																												BgL_arg2109z00_2397;
																																																										BgL_tagzd2381zd2_1719:
																																																											{	/* Ast/sexp.scm 347 */
																																																												obj_t
																																																													BgL_letzd2partzd2_7885;
																																																												BgL_letzd2partzd2_7885
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 347 */
																																																													obj_t
																																																														BgL_nexpz00_7886;
																																																													{	/* Ast/sexp.scm 348 */
																																																														obj_t
																																																															BgL_arg6255z00_7887;
																																																														obj_t
																																																															BgL_arg6256z00_7888;
																																																														BgL_arg6255z00_7887
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_letzd2partzd2_7885));
																																																														{	/* Ast/sexp.scm 348 */
																																																															obj_t
																																																																BgL_arg6257z00_7889;
																																																															obj_t
																																																																BgL_arg6258z00_7890;
																																																															{	/* Ast/sexp.scm 348 */
																																																																obj_t
																																																																	BgL_pairz00_8933;
																																																																BgL_pairz00_8933
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_letzd2partzd2_7885));
																																																																BgL_arg6257z00_7889
																																																																	=
																																																																	CAR
																																																																	(BgL_pairz00_8933);
																																																															}
																																																															{	/* Ast/sexp.scm 348 */
																																																																obj_t
																																																																	BgL_arg6259z00_7891;
																																																																BgL_arg6259z00_7891
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_bodyz00_1717,
																																																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																	(BgL_argsz00_1718,
																																																																		BNIL));
																																																																BgL_arg6258z00_7890
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg6259z00_7891,
																																																																	BNIL);
																																																															}
																																																															BgL_arg6256z00_7888
																																																																=
																																																																MAKE_YOUNG_PAIR
																																																																(BgL_arg6257z00_7889,
																																																																BgL_arg6258z00_7890);
																																																														}
																																																														BgL_nexpz00_7886
																																																															=
																																																															MAKE_YOUNG_PAIR
																																																															(BgL_arg6255z00_7887,
																																																															BgL_arg6256z00_7888);
																																																													}
																																																													{	/* Ast/sexp.scm 348 */

																																																														BgL_auxz00_13050
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_nexpz00_7886,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															BgL_sitez00_24);
																																																													}
																																																												}
																																																											}
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_13050);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_13065;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2176z00_2506;
																																																											BgL_arg2176z00_2506
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_13065
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg2176z00_2506));
																																																										}
																																																										if (BgL_testz00_13065)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_13070;
																																																											BgL_tagzd2382zd2_1720:
																																																												BgL_auxz00_13070 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13070);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												bool_t
																																																													BgL_testz00_13074;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2175z00_2505;
																																																													BgL_arg2175z00_2505
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_testz00_13074
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg2175z00_2505));
																																																												}
																																																												if (BgL_testz00_13074)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_13079;
																																																													BgL_tagzd2384zd2_1722:
																																																														BgL_auxz00_13079 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_13079);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd2760zd2_2402;
																																																														BgL_carzd2760zd2_2402
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd2765zd2_2403;
																																																															BgL_cdrzd2765zd2_2403
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd2760zd2_2402));
																																																															if ((CAR(((obj_t) BgL_carzd2760zd2_2402)) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg2116z00_2406;
																																																																	obj_t
																																																																		BgL_arg2117z00_2407;
																																																																	obj_t
																																																																		BgL_arg2118z00_2408;
																																																																	BgL_arg2116z00_2406
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd2765zd2_2403));
																																																																	BgL_arg2117z00_2407
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd2765zd2_2403));
																																																																	BgL_arg2118z00_2408
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_13098;
																																																																		BgL_varsz00_1727
																																																																			=
																																																																			BgL_arg2116z00_2406;
																																																																		BgL_bodyz00_1728
																																																																			=
																																																																			BgL_arg2117z00_2407;
																																																																		BgL_argsz00_1729
																																																																			=
																																																																			BgL_arg2118z00_2408;
																																																																	BgL_tagzd2386zd2_1730:
																																																																		{	/* Ast/sexp.scm 365 */
																																																																			obj_t
																																																																				BgL_locz00_7897;
																																																																			obj_t
																																																																				BgL_nexpz00_7898;
																																																																			BgL_locz00_7897
																																																																				=
																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																				(BgL_expz00_21,
																																																																				BgL_locz00_23);
																																																																			{	/* Ast/sexp.scm 366 */
																																																																				obj_t
																																																																					BgL_arg6263z00_7899;
																																																																				obj_t
																																																																					BgL_arg6264z00_7900;
																																																																				BgL_arg6263z00_7899
																																																																					=
																																																																					BGl_letzd2symzd2zzast_letz00
																																																																					();
																																																																				{	/* Ast/sexp.scm 369 */
																																																																					obj_t
																																																																						BgL_arg6265z00_7901;
																																																																					obj_t
																																																																						BgL_arg6266z00_7902;
																																																																					BgL_arg6265z00_7901
																																																																						=
																																																																						BGl_loopze70ze7zzast_sexpz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23,
																																																																						BgL_varsz00_1727,
																																																																						BgL_argsz00_1729);
																																																																					{	/* Ast/sexp.scm 408 */
																																																																						obj_t
																																																																							BgL_arg6308z00_7952;
																																																																						{	/* Ast/sexp.scm 408 */
																																																																							obj_t
																																																																								BgL_arg6309z00_7953;
																																																																							obj_t
																																																																								BgL_arg6310z00_7954;
																																																																							BgL_arg6309z00_7953
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg6310z00_7954
																																																																								=
																																																																								BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																								(BgL_bodyz00_1728);
																																																																							{	/* Ast/sexp.scm 412 */
																																																																								obj_t
																																																																									BgL_zc3anonymousza36313ze3z83_12195;
																																																																								BgL_zc3anonymousza36313ze3z83_12195
																																																																									=
																																																																									MAKE_FX_PROCEDURE
																																																																									(BGl_z62zc3anonymousza36313ze3ze1zzast_sexpz00,
																																																																									(int)
																																																																									(((long) 3)), (int) (((long) 1)));
																																																																								PROCEDURE_SET
																																																																									(BgL_zc3anonymousza36313ze3z83_12195,
																																																																									(int)
																																																																									(((long) 0)), BgL_locz00_23);
																																																																								BgL_arg6308z00_7952
																																																																									=
																																																																									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																									(BgL_arg6309z00_7953,
																																																																									BgL_varsz00_1727,
																																																																									BgL_arg6310z00_7954,
																																																																									BgL_zc3anonymousza36313ze3z83_12195);
																																																																						}}
																																																																						BgL_arg6266z00_7902
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(BgL_arg6308z00_7952,
																																																																							BNIL);
																																																																					}
																																																																					BgL_arg6264z00_7900
																																																																						=
																																																																						MAKE_YOUNG_PAIR
																																																																						(BgL_arg6265z00_7901,
																																																																						BgL_arg6266z00_7902);
																																																																				}
																																																																				BgL_nexpz00_7898
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(BgL_arg6263z00_7899,
																																																																					BgL_arg6264z00_7900);
																																																																			}
																																																																			BgL_auxz00_13098
																																																																				=
																																																																				BGl_letzd2ze3nodez31zzast_letz00
																																																																				(BgL_nexpz00_7898,
																																																																				BgL_stackz00_22,
																																																																				BgL_locz00_7897,
																																																																				CNST_TABLE_REF
																																																																				(((long) 2)));
																																																																		}
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_13098);
																																																																}}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd2788zd2_2410;
																																																																	BgL_cdrzd2788zd2_2410
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd2794zd2_2411;
																																																																		BgL_cdrzd2794zd2_2411
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd2760zd2_2402));
																																																																		if ((CAR(((obj_t) BgL_carzd2760zd2_2402)) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd2800zd2_2414;
																																																																				BgL_cdrzd2800zd2_2414
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd2794zd2_2411));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd2805zd2_2415;
																																																																					obj_t
																																																																						BgL_cdrzd2806zd2_2416;
																																																																					BgL_carzd2805zd2_2415
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd2800zd2_2414));
																																																																					BgL_cdrzd2806zd2_2416
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd2800zd2_2414));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2805zd2_2415))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd2806zd2_2416))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd2813zd2_2419;
																																																																									BgL_carzd2813zd2_2419
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd2806zd2_2416);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2813zd2_2419))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd2806zd2_2416)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_13142;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1365z00_2452;
																																																																														BgL_l1365z00_2452
																																																																															=
																																																																															BgL_cdrzd2788zd2_2410;
																																																																													BgL_zc3anonymousza32141ze3z83_2453:
																																																																														if (NULLP(BgL_l1365z00_2452))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_13142
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_13145;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_13146;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_13147;
																																																																																		BgL_tmpz00_13147
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1365z00_2452));
																																																																																		BgL_testz00_13146
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_13147);
																																																																																	}
																																																																																	if (BgL_testz00_13146)
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_13145
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_13145
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_13145)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1365z00_13151;
																																																																																		BgL_l1365z00_13151
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1365z00_2452));
																																																																																		BgL_l1365z00_2452
																																																																																			=
																																																																																			BgL_l1365z00_13151;
																																																																																		goto
																																																																																			BgL_zc3anonymousza32141ze3z83_2453;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_13142
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_13142)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg2131z00_2435;
																																																																															BgL_arg2131z00_2435
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd2794zd2_2411));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13156;
																																																																																BgL_testz00_1731
																																																																																	=
																																																																																	BgL_arg2131z00_2435;
																																																																																BgL_proc1z00_1732
																																																																																	=
																																																																																	BgL_carzd2805zd2_2415;
																																																																																BgL_proc2z00_1733
																																																																																	=
																																																																																	BgL_carzd2813zd2_2419;
																																																																																BgL_argsz00_1734
																																																																																	=
																																																																																	BgL_cdrzd2788zd2_2410;
																																																																															BgL_tagzd2387zd2_1735:
																																																																																{	/* Ast/sexp.scm 419 */
																																																																																	obj_t
																																																																																		BgL_nexpz00_7963;
																																																																																	{	/* Ast/sexp.scm 419 */
																																																																																		obj_t
																																																																																			BgL_arg6316z00_7965;
																																																																																		{	/* Ast/sexp.scm 419 */
																																																																																			obj_t
																																																																																				BgL_arg6317z00_7966;
																																																																																			{	/* Ast/sexp.scm 419 */
																																																																																				obj_t
																																																																																					BgL_arg6318z00_7967;
																																																																																				obj_t
																																																																																					BgL_arg6319z00_7968;
																																																																																				BgL_arg6318z00_7967
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_proc1z00_1732,
																																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																					(BgL_argsz00_1734,
																																																																																						BNIL));
																																																																																				{	/* Ast/sexp.scm 419 */
																																																																																					obj_t
																																																																																						BgL_arg6321z00_7970;
																																																																																					BgL_arg6321z00_7970
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_proc2z00_1733,
																																																																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																						(BgL_argsz00_1734,
																																																																																							BNIL));
																																																																																					BgL_arg6319z00_7968
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_arg6321z00_7970,
																																																																																						BNIL);
																																																																																				}
																																																																																				BgL_arg6317z00_7966
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_arg6318z00_7967,
																																																																																					BgL_arg6319z00_7968);
																																																																																			}
																																																																																			BgL_arg6316z00_7965
																																																																																				=
																																																																																				MAKE_YOUNG_PAIR
																																																																																				(BgL_testz00_1731,
																																																																																				BgL_arg6317z00_7966);
																																																																																		}
																																																																																		BgL_nexpz00_7963
																																																																																			=
																																																																																			MAKE_YOUNG_PAIR
																																																																																			(CNST_TABLE_REF
																																																																																			(((long) 1)), BgL_arg6316z00_7965);
																																																																																	}
																																																																																	BgL_auxz00_13156
																																																																																		=
																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																		(BgL_nexpz00_7963,
																																																																																		BgL_stackz00_22,
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_locz00_23),
																																																																																		BgL_sitez00_24);
																																																																																}
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13156);
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd2837zd2_2436;
																																																																															BgL_cdrzd2837zd2_2436
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd2844zd2_2437;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_9140;
																																																																																	BgL_pairz00_9140
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd2844zd2_2437
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_9140);
																																																																																}
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd2851zd2_2438;
																																																																																	BgL_cdrzd2851zd2_2438
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd2844zd2_2437));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd2857zd2_2439;
																																																																																		BgL_carzd2857zd2_2439
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd2851zd2_2438));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2857zd2_2439))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd2864zd2_2441;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_pairz00_9144;
																																																																																					BgL_pairz00_9144
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd2851zd2_2438));
																																																																																					BgL_carzd2864zd2_2441
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_9144);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2864zd2_2441))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2837zd2_2436))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg2135z00_2444;
																																																																																								BgL_arg2135z00_2444
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd2844zd2_2437));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13189;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_arg2135z00_2444;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_carzd2857zd2_2439;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_carzd2864zd2_2441;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_cdrzd2837zd2_2436;
																																																																																								BgL_tagzd2388zd2_1740:
																																																																																									{	/* Ast/sexp.scm 425 */
																																																																																										obj_t
																																																																																											BgL_tmpsz00_7972;
																																																																																										if (NULLP(BgL_argsz00_1739))
																																																																																											{	/* Ast/sexp.scm 425 */
																																																																																												BgL_tmpsz00_7972
																																																																																													=
																																																																																													BNIL;
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 425 */
																																																																																												obj_t
																																																																																													BgL_head1354z00_8016;
																																																																																												{	/* Ast/sexp.scm 425 */
																																																																																													obj_t
																																																																																														BgL_res6772z00_8958;
																																																																																													BgL_res6772z00_8958
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BNIL,
																																																																																														BNIL);
																																																																																													BgL_head1354z00_8016
																																																																																														=
																																																																																														BgL_res6772z00_8958;
																																																																																												}
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_l1352z00_8018;
																																																																																													obj_t
																																																																																														BgL_tail1355z00_8019;
																																																																																													BgL_l1352z00_8018
																																																																																														=
																																																																																														BgL_argsz00_1739;
																																																																																													BgL_tail1355z00_8019
																																																																																														=
																																																																																														BgL_head1354z00_8016;
																																																																																												BgL_zc3anonymousza36352ze3z83_8020:
																																																																																													if (NULLP(BgL_l1352z00_8018))
																																																																																														{	/* Ast/sexp.scm 425 */
																																																																																															BgL_tmpsz00_7972
																																																																																																=
																																																																																																CDR
																																																																																																(BgL_head1354z00_8016);
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 425 */
																																																																																															obj_t
																																																																																																BgL_newtail1356z00_8022;
																																																																																															{	/* Ast/sexp.scm 425 */
																																																																																																obj_t
																																																																																																	BgL_arg6355z00_8024;
																																																																																																{	/* Ast/sexp.scm 425 */

																																																																																																	{	/* Ast/sexp.scm 425 */

																																																																																																		BgL_arg6355z00_8024
																																																																																																			=
																																																																																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																			(BFALSE);
																																																																																																	}
																																																																																																}
																																																																																																{	/* Ast/sexp.scm 425 */
																																																																																																	obj_t
																																																																																																		BgL_res6774z00_8962;
																																																																																																	BgL_res6774z00_8962
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_arg6355z00_8024,
																																																																																																		BNIL);
																																																																																																	BgL_newtail1356z00_8022
																																																																																																		=
																																																																																																		BgL_res6774z00_8962;
																																																																																																}
																																																																																															}
																																																																																															SET_CDR
																																																																																																(BgL_tail1355z00_8019,
																																																																																																BgL_newtail1356z00_8022);
																																																																																															{	/* Ast/sexp.scm 425 */
																																																																																																obj_t
																																																																																																	BgL_arg6354z00_8023;
																																																																																																BgL_arg6354z00_8023
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_l1352z00_8018));
																																																																																																{
																																																																																																	obj_t
																																																																																																		BgL_tail1355z00_13202;
																																																																																																	obj_t
																																																																																																		BgL_l1352z00_13201;
																																																																																																	BgL_l1352z00_13201
																																																																																																		=
																																																																																																		BgL_arg6354z00_8023;
																																																																																																	BgL_tail1355z00_13202
																																																																																																		=
																																																																																																		BgL_newtail1356z00_8022;
																																																																																																	BgL_tail1355z00_8019
																																																																																																		=
																																																																																																		BgL_tail1355z00_13202;
																																																																																																	BgL_l1352z00_8018
																																																																																																		=
																																																																																																		BgL_l1352z00_13201;
																																																																																																	goto
																																																																																																		BgL_zc3anonymousza36352ze3z83_8020;
																																																																																																}
																																																																																															}
																																																																																														}
																																																																																												}
																																																																																											}
																																																																																										{	/* Ast/sexp.scm 425 */
																																																																																											obj_t
																																																																																												BgL_locz00_7973;
																																																																																											BgL_locz00_7973
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(BgL_expz00_21,
																																																																																												BgL_locz00_23);
																																																																																											{	/* Ast/sexp.scm 426 */
																																																																																												obj_t
																																																																																													BgL_nexpz00_7974;
																																																																																												{	/* Ast/sexp.scm 427 */
																																																																																													obj_t
																																																																																														BgL_arg6324z00_7976;
																																																																																													obj_t
																																																																																														BgL_arg6325z00_7977;
																																																																																													BgL_arg6324z00_7976
																																																																																														=
																																																																																														BGl_letzd2symzd2zzast_letz00
																																																																																														();
																																																																																													{	/* Ast/sexp.scm 427 */
																																																																																														obj_t
																																																																																															BgL_arg6326z00_7978;
																																																																																														obj_t
																																																																																															BgL_arg6327z00_7979;
																																																																																														if (NULLP(BgL_tmpsz00_7972))
																																																																																															{	/* Ast/sexp.scm 427 */
																																																																																																BgL_arg6326z00_7978
																																																																																																	=
																																																																																																	BNIL;
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 427 */
																																																																																																obj_t
																																																																																																	BgL_head1359z00_7983;
																																																																																																{	/* Ast/sexp.scm 427 */
																																																																																																	obj_t
																																																																																																		BgL_arg6338z00_8001;
																																																																																																	{	/* Ast/sexp.scm 427 */
																																																																																																		obj_t
																																																																																																			BgL_arg6339z00_8002;
																																																																																																		obj_t
																																																																																																			BgL_arg6340z00_8003;
																																																																																																		BgL_arg6339z00_8002
																																																																																																			=
																																																																																																			CAR
																																																																																																			(
																																																																																																			((obj_t) BgL_tmpsz00_7972));
																																																																																																		BgL_arg6340z00_8003
																																																																																																			=
																																																																																																			CAR
																																																																																																			(
																																																																																																			((obj_t) BgL_argsz00_1739));
																																																																																																		{	/* Ast/sexp.scm 427 */
																																																																																																			obj_t
																																																																																																				BgL_list6341z00_8004;
																																																																																																			{	/* Ast/sexp.scm 427 */
																																																																																																				obj_t
																																																																																																					BgL_arg6342z00_8005;
																																																																																																				BgL_arg6342z00_8005
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg6340z00_8003,
																																																																																																					BNIL);
																																																																																																				BgL_list6341z00_8004
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg6339z00_8002,
																																																																																																					BgL_arg6342z00_8005);
																																																																																																			}
																																																																																																			BgL_arg6338z00_8001
																																																																																																				=
																																																																																																				BgL_list6341z00_8004;
																																																																																																		}
																																																																																																	}
																																																																																																	{	/* Ast/sexp.scm 427 */
																																																																																																		obj_t
																																																																																																			BgL_res6777z00_8969;
																																																																																																		BgL_res6777z00_8969
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg6338z00_8001,
																																																																																																			BNIL);
																																																																																																		BgL_head1359z00_7983
																																																																																																			=
																																																																																																			BgL_res6777z00_8969;
																																																																																																	}
																																																																																																}
																																																																																																{	/* Ast/sexp.scm 427 */
																																																																																																	obj_t
																																																																																																		BgL_g1363z00_7984;
																																																																																																	obj_t
																																																																																																		BgL_g1364z00_7985;
																																																																																																	BgL_g1363z00_7984
																																																																																																		=
																																																																																																		CDR
																																																																																																		(
																																																																																																		((obj_t) BgL_tmpsz00_7972));
																																																																																																	BgL_g1364z00_7985
																																																																																																		=
																																																																																																		CDR
																																																																																																		(
																																																																																																		((obj_t) BgL_argsz00_1739));
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_ll1357z00_7987;
																																																																																																		obj_t
																																																																																																			BgL_ll1358z00_7988;
																																																																																																		obj_t
																																																																																																			BgL_tail1360z00_7989;
																																																																																																		BgL_ll1357z00_7987
																																																																																																			=
																																																																																																			BgL_g1363z00_7984;
																																																																																																		BgL_ll1358z00_7988
																																																																																																			=
																																																																																																			BgL_g1364z00_7985;
																																																																																																		BgL_tail1360z00_7989
																																																																																																			=
																																																																																																			BgL_head1359z00_7983;
																																																																																																	BgL_zc3anonymousza36329ze3z83_7990:
																																																																																																		if (NULLP(BgL_ll1357z00_7987))
																																																																																																			{	/* Ast/sexp.scm 427 */
																																																																																																				BgL_arg6326z00_7978
																																																																																																					=
																																																																																																					BgL_head1359z00_7983;
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Ast/sexp.scm 427 */
																																																																																																				obj_t
																																																																																																					BgL_newtail1361z00_7992;
																																																																																																				{	/* Ast/sexp.scm 427 */
																																																																																																					obj_t
																																																																																																						BgL_arg6333z00_7995;
																																																																																																					{	/* Ast/sexp.scm 427 */
																																																																																																						obj_t
																																																																																																							BgL_arg6334z00_7996;
																																																																																																						obj_t
																																																																																																							BgL_arg6335z00_7997;
																																																																																																						BgL_arg6334z00_7996
																																																																																																							=
																																																																																																							CAR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1357z00_7987));
																																																																																																						BgL_arg6335z00_7997
																																																																																																							=
																																																																																																							CAR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1358z00_7988));
																																																																																																						{	/* Ast/sexp.scm 427 */
																																																																																																							obj_t
																																																																																																								BgL_list6336z00_7998;
																																																																																																							{	/* Ast/sexp.scm 427 */
																																																																																																								obj_t
																																																																																																									BgL_arg6337z00_7999;
																																																																																																								BgL_arg6337z00_7999
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg6335z00_7997,
																																																																																																									BNIL);
																																																																																																								BgL_list6336z00_7998
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg6334z00_7996,
																																																																																																									BgL_arg6337z00_7999);
																																																																																																							}
																																																																																																							BgL_arg6333z00_7995
																																																																																																								=
																																																																																																								BgL_list6336z00_7998;
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 427 */
																																																																																																						obj_t
																																																																																																							BgL_res6780z00_8976;
																																																																																																						BgL_res6780z00_8976
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_arg6333z00_7995,
																																																																																																							BNIL);
																																																																																																						BgL_newtail1361z00_7992
																																																																																																							=
																																																																																																							BgL_res6780z00_8976;
																																																																																																					}
																																																																																																				}
																																																																																																				SET_CDR
																																																																																																					(BgL_tail1360z00_7989,
																																																																																																					BgL_newtail1361z00_7992);
																																																																																																				{	/* Ast/sexp.scm 427 */
																																																																																																					obj_t
																																																																																																						BgL_arg6331z00_7993;
																																																																																																					obj_t
																																																																																																						BgL_arg6332z00_7994;
																																																																																																					BgL_arg6331z00_7993
																																																																																																						=
																																																																																																						CDR
																																																																																																						(
																																																																																																						((obj_t) BgL_ll1357z00_7987));
																																																																																																					BgL_arg6332z00_7994
																																																																																																						=
																																																																																																						CDR
																																																																																																						(
																																																																																																						((obj_t) BgL_ll1358z00_7988));
																																																																																																					{
																																																																																																						obj_t
																																																																																																							BgL_tail1360z00_13234;
																																																																																																						obj_t
																																																																																																							BgL_ll1358z00_13233;
																																																																																																						obj_t
																																																																																																							BgL_ll1357z00_13232;
																																																																																																						BgL_ll1357z00_13232
																																																																																																							=
																																																																																																							BgL_arg6331z00_7993;
																																																																																																						BgL_ll1358z00_13233
																																																																																																							=
																																																																																																							BgL_arg6332z00_7994;
																																																																																																						BgL_tail1360z00_13234
																																																																																																							=
																																																																																																							BgL_newtail1361z00_7992;
																																																																																																						BgL_tail1360z00_7989
																																																																																																							=
																																																																																																							BgL_tail1360z00_13234;
																																																																																																						BgL_ll1358z00_7988
																																																																																																							=
																																																																																																							BgL_ll1358z00_13233;
																																																																																																						BgL_ll1357z00_7987
																																																																																																							=
																																																																																																							BgL_ll1357z00_13232;
																																																																																																						goto
																																																																																																							BgL_zc3anonymousza36329ze3z83_7990;
																																																																																																					}
																																																																																																				}
																																																																																																			}
																																																																																																	}
																																																																																																}
																																																																																															}
																																																																																														{	/* Ast/sexp.scm 428 */
																																																																																															obj_t
																																																																																																BgL_arg6343z00_8006;
																																																																																															{	/* Ast/sexp.scm 428 */
																																																																																																obj_t
																																																																																																	BgL_arg6344z00_8007;
																																																																																																{	/* Ast/sexp.scm 428 */
																																																																																																	obj_t
																																																																																																		BgL_arg6345z00_8008;
																																																																																																	{	/* Ast/sexp.scm 428 */
																																																																																																		obj_t
																																																																																																			BgL_arg6346z00_8009;
																																																																																																		obj_t
																																																																																																			BgL_arg6347z00_8010;
																																																																																																		BgL_arg6346z00_8009
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_proc1z00_1737,
																																																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																			(BgL_tmpsz00_7972,
																																																																																																				BNIL));
																																																																																																		{	/* Ast/sexp.scm 428 */
																																																																																																			obj_t
																																																																																																				BgL_arg6349z00_8012;
																																																																																																			BgL_arg6349z00_8012
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_proc2z00_1738,
																																																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																				(BgL_tmpsz00_7972,
																																																																																																					BNIL));
																																																																																																			BgL_arg6347z00_8010
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg6349z00_8012,
																																																																																																				BNIL);
																																																																																																		}
																																																																																																		BgL_arg6345z00_8008
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg6346z00_8009,
																																																																																																			BgL_arg6347z00_8010);
																																																																																																	}
																																																																																																	BgL_arg6344z00_8007
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_testz00_1736,
																																																																																																		BgL_arg6345z00_8008);
																																																																																																}
																																																																																																BgL_arg6343z00_8006
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(CNST_TABLE_REF
																																																																																																	(((long) 1)), BgL_arg6344z00_8007);
																																																																																															}
																																																																																															BgL_arg6327z00_7979
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg6343z00_8006,
																																																																																																BNIL);
																																																																																														}
																																																																																														BgL_arg6325z00_7977
																																																																																															=
																																																																																															MAKE_YOUNG_PAIR
																																																																																															(BgL_arg6326z00_7978,
																																																																																															BgL_arg6327z00_7979);
																																																																																													}
																																																																																													BgL_nexpz00_7974
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg6324z00_7976,
																																																																																														BgL_arg6325z00_7977);
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 427 */

																																																																																													BgL_auxz00_13189
																																																																																														=
																																																																																														BGl_letzd2ze3nodez31zzast_letz00
																																																																																														(BgL_nexpz00_7974,
																																																																																														BgL_stackz00_22,
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_expz00_21,
																																																																																															BgL_locz00_7973),
																																																																																														BgL_sitez00_24);
																																																																																									}}}}
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13189);
																																																																																							}}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																									BgL_tagzd2403zd2_1764:
																																																																																										BgL_auxz00_12643 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_13253;
																																																																																									BgL_tagzd2404zd2_1765:
																																																																																										BgL_auxz00_13253 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																										BgL_auxz00_12643
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_13253);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1764;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_13258;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1765;
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_13258);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13262;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13262);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_13266;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_13266);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd21140zd2_2463;
																																																																											BgL_cdrzd21140zd2_2463
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd21146zd2_2464;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_9148;
																																																																													BgL_pairz00_9148
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd21146zd2_2464
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_9148);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd21152zd2_2465;
																																																																													BgL_cdrzd21152zd2_2465
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd21146zd2_2464));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd21157zd2_2466;
																																																																														obj_t
																																																																															BgL_cdrzd21158zd2_2467;
																																																																														BgL_carzd21157zd2_2466
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd21152zd2_2465));
																																																																														BgL_cdrzd21158zd2_2467
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd21152zd2_2465));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21157zd2_2466))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd21163zd2_2469;
																																																																																BgL_carzd21163zd2_2469
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd21158zd2_2467));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21163zd2_2469))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd21158zd2_2467))))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21140zd2_2463))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg2150z00_2474;
																																																																																						BgL_arg2150z00_2474
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd21146zd2_2464));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13293;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_13297;
																																																																																								obj_t
																																																																																									BgL_proc2z00_13296;
																																																																																								obj_t
																																																																																									BgL_proc1z00_13295;
																																																																																								obj_t
																																																																																									BgL_testz00_13294;
																																																																																								BgL_testz00_13294
																																																																																									=
																																																																																									BgL_arg2150z00_2474;
																																																																																								BgL_proc1z00_13295
																																																																																									=
																																																																																									BgL_carzd21157zd2_2466;
																																																																																								BgL_proc2z00_13296
																																																																																									=
																																																																																									BgL_carzd21163zd2_2469;
																																																																																								BgL_argsz00_13297
																																																																																									=
																																																																																									BgL_cdrzd21140zd2_2463;
																																																																																								BgL_argsz00_1739
																																																																																									=
																																																																																									BgL_argsz00_13297;
																																																																																								BgL_proc2z00_1738
																																																																																									=
																																																																																									BgL_proc2z00_13296;
																																																																																								BgL_proc1z00_1737
																																																																																									=
																																																																																									BgL_proc1z00_13295;
																																																																																								BgL_testz00_1736
																																																																																									=
																																																																																									BgL_testz00_13294;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1740;
																																																																																							}
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13293);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1764;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_13301;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1765;
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_13301);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13305;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13305);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13309;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13309);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_13313;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_13313);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_13317;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_13317);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd21496zd2_2482;
																																																																							BgL_cdrzd21496zd2_2482
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd21503zd2_2483;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_9158;
																																																																									BgL_pairz00_9158
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd21503zd2_2483
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_9158);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd21510zd2_2484;
																																																																									BgL_cdrzd21510zd2_2484
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd21503zd2_2483));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd21516zd2_2485;
																																																																										obj_t
																																																																											BgL_cdrzd21517zd2_2486;
																																																																										BgL_carzd21516zd2_2485
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd21510zd2_2484));
																																																																										BgL_cdrzd21517zd2_2486
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd21510zd2_2484));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21516zd2_2485))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (PAIRP(BgL_cdrzd21517zd2_2486))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd21524zd2_2489;
																																																																														BgL_carzd21524zd2_2489
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd21517zd2_2486);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21524zd2_2489))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(BgL_cdrzd21517zd2_2486)))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21496zd2_2482))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg2164z00_2494;
																																																																																				BgL_arg2164z00_2494
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd21503zd2_2483));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13344;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_13348;
																																																																																						obj_t
																																																																																							BgL_proc2z00_13347;
																																																																																						obj_t
																																																																																							BgL_proc1z00_13346;
																																																																																						obj_t
																																																																																							BgL_testz00_13345;
																																																																																						BgL_testz00_13345
																																																																																							=
																																																																																							BgL_arg2164z00_2494;
																																																																																						BgL_proc1z00_13346
																																																																																							=
																																																																																							BgL_carzd21516zd2_2485;
																																																																																						BgL_proc2z00_13347
																																																																																							=
																																																																																							BgL_carzd21524zd2_2489;
																																																																																						BgL_argsz00_13348
																																																																																							=
																																																																																							BgL_cdrzd21496zd2_2482;
																																																																																						BgL_argsz00_1739
																																																																																							=
																																																																																							BgL_argsz00_13348;
																																																																																						BgL_proc2z00_1738
																																																																																							=
																																																																																							BgL_proc2z00_13347;
																																																																																						BgL_proc1z00_1737
																																																																																							=
																																																																																							BgL_proc1z00_13346;
																																																																																						BgL_testz00_1736
																																																																																							=
																																																																																							BgL_testz00_13345;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1740;
																																																																																					}
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13344);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13352;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13352);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13356;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13356);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_13360;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_13360);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13364;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13364);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_13368;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_13368);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_13372;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_13372);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_13374;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2190z00_2522;
																																																									BgL_arg2190z00_2522
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_13374
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2190z00_2522));
																																																								}
																																																								if (BgL_testz00_13374)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_13379;
																																																										goto
																																																											BgL_tagzd2382zd2_1720;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_13379);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_13381;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2189z00_2521;
																																																											BgL_arg2189z00_2521
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_13381
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2189z00_2521));
																																																										}
																																																										if (BgL_testz00_13381)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_13386;
																																																												goto
																																																													BgL_tagzd2384zd2_1722;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13386);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd21970zd2_2512;
																																																												BgL_carzd21970zd2_2512
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd21975zd2_2513;
																																																													BgL_cdrzd21975zd2_2513
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd21970zd2_2512));
																																																													if ((CAR(((obj_t) BgL_carzd21970zd2_2512)) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2184z00_2516;
																																																															obj_t
																																																																BgL_arg2185z00_2517;
																																																															obj_t
																																																																BgL_arg2186z00_2518;
																																																															BgL_arg2184z00_2516
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd21975zd2_2513));
																																																															BgL_arg2185z00_2517
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd21975zd2_2513));
																																																															BgL_arg2186z00_2518
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_13403;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_13406;
																																																																	obj_t
																																																																		BgL_bodyz00_13405;
																																																																	obj_t
																																																																		BgL_varsz00_13404;
																																																																	BgL_varsz00_13404
																																																																		=
																																																																		BgL_arg2184z00_2516;
																																																																	BgL_bodyz00_13405
																																																																		=
																																																																		BgL_arg2185z00_2517;
																																																																	BgL_argsz00_13406
																																																																		=
																																																																		BgL_arg2186z00_2518;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_13406;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_13405;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_13404;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_13403);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_13410;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_13410);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_13412;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2197z00_2529;
																																																							BgL_arg2197z00_2529
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_13412
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2197z00_2529));
																																																						}
																																																						if (BgL_testz00_13412)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_13417;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_13417);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_13419;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2196z00_2528;
																																																									BgL_arg2196z00_2528
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_13419
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2196z00_2528));
																																																								}
																																																								if (BgL_testz00_13419)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_13424;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_13424);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1764;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_13428;
																																																												goto
																																																													BgL_tagzd2404zd2_1765;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13428);
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2677zd2_2268)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd2679zd2_2270;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd2677zd2_2268 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd2679zd2_2270;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if ((BgL_carzd2677zd2_2268 == CNST_TABLE_REF(((long) 20))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd2679zd2_2270;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2677zd2_2268)))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_kapzd2679zd2_2270;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												bool_t
																																																													BgL_testz00_13442;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2103z00_2390;
																																																													BgL_arg2103z00_2390
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_testz00_13442
																																																														=
																																																														CBOOL
																																																														(BGl_letzd2symzf3z21zzast_letz00
																																																														(BgL_arg2103z00_2390));
																																																												}
																																																												if (BgL_testz00_13442)
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_13447;
																																																														goto
																																																															BgL_tagzd2382zd2_1720;
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_13447);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														bool_t
																																																															BgL_testz00_13449;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2102z00_2389;
																																																															BgL_arg2102z00_2389
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_testz00_13449
																																																																=
																																																																CBOOL
																																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																(BgL_arg2102z00_2389));
																																																														}
																																																														if (BgL_testz00_13449)
																																																															{
																																																																BgL_letzd2funzd2_bglt
																																																																	BgL_auxz00_13454;
																																																																goto
																																																																	BgL_tagzd2384zd2_1722;
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_13454);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd22298zd2_2280;
																																																																BgL_carzd22298zd2_2280
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd22303zd2_2281;
																																																																	BgL_cdrzd22303zd2_2281
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd22298zd2_2280));
																																																																	if ((CAR(((obj_t) BgL_carzd22298zd2_2280)) == CNST_TABLE_REF(((long) 3))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd22303zd2_2281))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg2036z00_2285;
																																																																					obj_t
																																																																						BgL_arg2037z00_2286;
																																																																					obj_t
																																																																						BgL_arg2038z00_2287;
																																																																					BgL_arg2036z00_2285
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22303zd2_2281);
																																																																					BgL_arg2037z00_2286
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd22303zd2_2281);
																																																																					BgL_arg2038z00_2287
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_13471;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_13474;
																																																																							obj_t
																																																																								BgL_bodyz00_13473;
																																																																							obj_t
																																																																								BgL_varsz00_13472;
																																																																							BgL_varsz00_13472
																																																																								=
																																																																								BgL_arg2036z00_2285;
																																																																							BgL_bodyz00_13473
																																																																								=
																																																																								BgL_arg2037z00_2286;
																																																																							BgL_argsz00_13474
																																																																								=
																																																																								BgL_arg2038z00_2287;
																																																																							BgL_argsz00_1729
																																																																								=
																																																																								BgL_argsz00_13474;
																																																																							BgL_bodyz00_1728
																																																																								=
																																																																								BgL_bodyz00_13473;
																																																																							BgL_varsz00_1727
																																																																								=
																																																																								BgL_varsz00_13472;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1730;
																																																																						}
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_13471);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_13478;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_13478);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd22410zd2_2290;
																																																																			BgL_cdrzd22410zd2_2290
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd22415zd2_2291;
																																																																				BgL_cdrzd22415zd2_2291
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd22298zd2_2280));
																																																																				if ((CAR(((obj_t) BgL_carzd22298zd2_2280)) == CNST_TABLE_REF(((long) 1))))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd22415zd2_2291))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd22420zd2_2295;
																																																																								BgL_cdrzd22420zd2_2295
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd22415zd2_2291);
																																																																								if (PAIRP(BgL_cdrzd22420zd2_2295))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd22424zd2_2297;
																																																																										obj_t
																																																																											BgL_cdrzd22425zd2_2298;
																																																																										BgL_carzd22424zd2_2297
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd22420zd2_2295);
																																																																										BgL_cdrzd22425zd2_2298
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd22420zd2_2295);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22424zd2_2297))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (PAIRP(BgL_cdrzd22425zd2_2298))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd22430zd2_2301;
																																																																														BgL_carzd22430zd2_2301
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd22425zd2_2298);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22430zd2_2301))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(BgL_cdrzd22425zd2_2298)))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_13506;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1368z00_2334;
																																																																																			BgL_l1368z00_2334
																																																																																				=
																																																																																				BgL_cdrzd22410zd2_2290;
																																																																																		BgL_zc3anonymousza32065ze3z83_2335:
																																																																																			if (NULLP(BgL_l1368z00_2334))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_13506
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					bool_t
																																																																																						BgL_testz00_13509;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						bool_t
																																																																																							BgL_testz00_13510;
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_tmpz00_13511;
																																																																																							BgL_tmpz00_13511
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_l1368z00_2334));
																																																																																							BgL_testz00_13510
																																																																																								=
																																																																																								PAIRP
																																																																																								(BgL_tmpz00_13511);
																																																																																						}
																																																																																						if (BgL_testz00_13510)
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								BgL_testz00_13509
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								BgL_testz00_13509
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									1);
																																																																																							}
																																																																																					}
																																																																																					if (BgL_testz00_13509)
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_l1368z00_13515;
																																																																																							BgL_l1368z00_13515
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_l1368z00_2334));
																																																																																							BgL_l1368z00_2334
																																																																																								=
																																																																																								BgL_l1368z00_13515;
																																																																																							goto
																																																																																								BgL_zc3anonymousza32065ze3z83_2335;
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							BgL_testz00_13506
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																		if (BgL_testz00_13506)
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg2054z00_2317;
																																																																																				BgL_arg2054z00_2317
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd22415zd2_2291);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13519;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_13523;
																																																																																						obj_t
																																																																																							BgL_proc2z00_13522;
																																																																																						obj_t
																																																																																							BgL_proc1z00_13521;
																																																																																						obj_t
																																																																																							BgL_testz00_13520;
																																																																																						BgL_testz00_13520
																																																																																							=
																																																																																							BgL_arg2054z00_2317;
																																																																																						BgL_proc1z00_13521
																																																																																							=
																																																																																							BgL_carzd22424zd2_2297;
																																																																																						BgL_proc2z00_13522
																																																																																							=
																																																																																							BgL_carzd22430zd2_2301;
																																																																																						BgL_argsz00_13523
																																																																																							=
																																																																																							BgL_cdrzd22410zd2_2290;
																																																																																						BgL_argsz00_1734
																																																																																							=
																																																																																							BgL_argsz00_13523;
																																																																																						BgL_proc2z00_1733
																																																																																							=
																																																																																							BgL_proc2z00_13522;
																																																																																						BgL_proc1z00_1732
																																																																																							=
																																																																																							BgL_proc1z00_13521;
																																																																																						BgL_testz00_1731
																																																																																							=
																																																																																							BgL_testz00_13520;
																																																																																						goto
																																																																																							BgL_tagzd2387zd2_1735;
																																																																																					}
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13519);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_cdrzd22455zd2_2318;
																																																																																				BgL_cdrzd22455zd2_2318
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_expz00_21));
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22463zd2_2319;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_pairz00_9206;
																																																																																						BgL_pairz00_9206
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_expz00_21));
																																																																																						BgL_cdrzd22463zd2_2319
																																																																																							=
																																																																																							CDR
																																																																																							(BgL_pairz00_9206);
																																																																																					}
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_cdrzd22471zd2_2320;
																																																																																						BgL_cdrzd22471zd2_2320
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22463zd2_2319));
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_carzd22478zd2_2321;
																																																																																							BgL_carzd22478zd2_2321
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd22471zd2_2320));
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22478zd2_2321))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_carzd22487zd2_2323;
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_pairz00_9210;
																																																																																										BgL_pairz00_9210
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd22471zd2_2320));
																																																																																										BgL_carzd22487zd2_2323
																																																																																											=
																																																																																											CAR
																																																																																											(BgL_pairz00_9210);
																																																																																									}
																																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22487zd2_2323))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22455zd2_2318))
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													obj_t
																																																																																														BgL_arg2058z00_2326;
																																																																																													BgL_arg2058z00_2326
																																																																																														=
																																																																																														CAR
																																																																																														(
																																																																																														((obj_t) BgL_cdrzd22463zd2_2319));
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_13545;
																																																																																														{
																																																																																															obj_t
																																																																																																BgL_argsz00_13549;
																																																																																															obj_t
																																																																																																BgL_proc2z00_13548;
																																																																																															obj_t
																																																																																																BgL_proc1z00_13547;
																																																																																															obj_t
																																																																																																BgL_testz00_13546;
																																																																																															BgL_testz00_13546
																																																																																																=
																																																																																																BgL_arg2058z00_2326;
																																																																																															BgL_proc1z00_13547
																																																																																																=
																																																																																																BgL_carzd22478zd2_2321;
																																																																																															BgL_proc2z00_13548
																																																																																																=
																																																																																																BgL_carzd22487zd2_2323;
																																																																																															BgL_argsz00_13549
																																																																																																=
																																																																																																BgL_cdrzd22455zd2_2318;
																																																																																															BgL_argsz00_1739
																																																																																																=
																																																																																																BgL_argsz00_13549;
																																																																																															BgL_proc2z00_1738
																																																																																																=
																																																																																																BgL_proc2z00_13548;
																																																																																															BgL_proc1z00_1737
																																																																																																=
																																																																																																BgL_proc1z00_13547;
																																																																																															BgL_testz00_1736
																																																																																																=
																																																																																																BgL_testz00_13546;
																																																																																															goto
																																																																																																BgL_tagzd2388zd2_1740;
																																																																																														}
																																																																																														BgL_auxz00_12643
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_13545);
																																																																																													}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																														{	/* Ast/sexp.scm 118 */
																																																																																															goto
																																																																																																BgL_tagzd2403zd2_1764;
																																																																																														}
																																																																																													else
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_13553;
																																																																																															goto
																																																																																																BgL_tagzd2404zd2_1765;
																																																																																															BgL_auxz00_12643
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_13553);
																																																																																														}
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1764;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_13557;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1765;
																																																																																													BgL_auxz00_12643
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_13557);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13561;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13561);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13565;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13565);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd22765zd2_2345;
																																																																																BgL_cdrzd22765zd2_2345
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd22772zd2_2346;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_9214;
																																																																																		BgL_pairz00_9214
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd22772zd2_2346
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_9214);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd22779zd2_2347;
																																																																																		BgL_cdrzd22779zd2_2347
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd22772zd2_2346));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd22785zd2_2348;
																																																																																			obj_t
																																																																																				BgL_cdrzd22786zd2_2349;
																																																																																			BgL_carzd22785zd2_2348
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd22779zd2_2347));
																																																																																			BgL_cdrzd22786zd2_2349
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd22779zd2_2347));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22785zd2_2348))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd22793zd2_2351;
																																																																																					BgL_carzd22793zd2_2351
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd22786zd2_2349));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22793zd2_2351))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd22786zd2_2349))))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22765zd2_2345))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											obj_t
																																																																																												BgL_arg2075z00_2356;
																																																																																											BgL_arg2075z00_2356
																																																																																												=
																																																																																												CAR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd22772zd2_2346));
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_13592;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_13596;
																																																																																													obj_t
																																																																																														BgL_proc2z00_13595;
																																																																																													obj_t
																																																																																														BgL_proc1z00_13594;
																																																																																													obj_t
																																																																																														BgL_testz00_13593;
																																																																																													BgL_testz00_13593
																																																																																														=
																																																																																														BgL_arg2075z00_2356;
																																																																																													BgL_proc1z00_13594
																																																																																														=
																																																																																														BgL_carzd22785zd2_2348;
																																																																																													BgL_proc2z00_13595
																																																																																														=
																																																																																														BgL_carzd22793zd2_2351;
																																																																																													BgL_argsz00_13596
																																																																																														=
																																																																																														BgL_cdrzd22765zd2_2345;
																																																																																													BgL_argsz00_1739
																																																																																														=
																																																																																														BgL_argsz00_13596;
																																																																																													BgL_proc2z00_1738
																																																																																														=
																																																																																														BgL_proc2z00_13595;
																																																																																													BgL_proc1z00_1737
																																																																																														=
																																																																																														BgL_proc1z00_13594;
																																																																																													BgL_testz00_1736
																																																																																														=
																																																																																														BgL_testz00_13593;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1740;
																																																																																												}
																																																																																												BgL_auxz00_12643
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_13592);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1764;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_13600;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1765;
																																																																																													BgL_auxz00_12643
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_13600);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13604;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13604);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13608;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13608);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13612;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13612);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13616;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13616);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd23126zd2_2364;
																																																																												BgL_cdrzd23126zd2_2364
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd23132zd2_2365;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_9224;
																																																																														BgL_pairz00_9224
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd23132zd2_2365
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_9224);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd23138zd2_2366;
																																																																														BgL_cdrzd23138zd2_2366
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd23132zd2_2365));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd23143zd2_2367;
																																																																															obj_t
																																																																																BgL_cdrzd23144zd2_2368;
																																																																															BgL_carzd23143zd2_2367
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd23138zd2_2366));
																																																																															BgL_cdrzd23144zd2_2368
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd23138zd2_2366));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23143zd2_2367))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (PAIRP(BgL_cdrzd23144zd2_2368))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd23149zd2_2371;
																																																																																			BgL_carzd23149zd2_2371
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd23144zd2_2368);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23149zd2_2371))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (NULLP(CDR(BgL_cdrzd23144zd2_2368)))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23126zd2_2364))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg2089z00_2376;
																																																																																									BgL_arg2089z00_2376
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd23132zd2_2365));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_13643;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_13647;
																																																																																											obj_t
																																																																																												BgL_proc2z00_13646;
																																																																																											obj_t
																																																																																												BgL_proc1z00_13645;
																																																																																											obj_t
																																																																																												BgL_testz00_13644;
																																																																																											BgL_testz00_13644
																																																																																												=
																																																																																												BgL_arg2089z00_2376;
																																																																																											BgL_proc1z00_13645
																																																																																												=
																																																																																												BgL_carzd23143zd2_2367;
																																																																																											BgL_proc2z00_13646
																																																																																												=
																																																																																												BgL_carzd23149zd2_2371;
																																																																																											BgL_argsz00_13647
																																																																																												=
																																																																																												BgL_cdrzd23126zd2_2364;
																																																																																											BgL_argsz00_1739
																																																																																												=
																																																																																												BgL_argsz00_13647;
																																																																																											BgL_proc2z00_1738
																																																																																												=
																																																																																												BgL_proc2z00_13646;
																																																																																											BgL_proc1z00_1737
																																																																																												=
																																																																																												BgL_proc1z00_13645;
																																																																																											BgL_testz00_1736
																																																																																												=
																																																																																												BgL_testz00_13644;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1740;
																																																																																										}
																																																																																										BgL_auxz00_12643
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_13643);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13651;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13651);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13655;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13655);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13659;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13659);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13663;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13663);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_13667;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_13667);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_13671;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_13671);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_13675;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_13675);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_13679;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_13679);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((BgL_carzd2674zd2_2266 == CNST_TABLE_REF(((long) 18))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_13684;
																																																			goto
																																																				BgL_tagzd2382zd2_1720;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_13684);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2674zd2_2266)))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_13689;
																																																					goto
																																																						BgL_tagzd2382zd2_1720;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_13689);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((BgL_carzd2674zd2_2266 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_13694;
																																																							goto
																																																								BgL_tagzd2382zd2_1720;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_13694);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_13701;
																																																								BgL_tagzd2383zd2_1721:
																																																									BgL_auxz00_13701 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_13701);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd23711zd2_2536;
																																																									BgL_carzd23711zd2_2536
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd23711zd2_2536 == CNST_TABLE_REF(((long) 20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_13710;
																																																											goto
																																																												BgL_tagzd2384zd2_1722;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_13710);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23711zd2_2536)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_13715;
																																																													goto
																																																														BgL_tagzd2384zd2_1722;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_13715);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_13722;
																																																														BgL_tagzd2389zd2_1741:
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_8028;
																																																																obj_t
																																																																	BgL_bodyz00_8029;
																																																																if (PAIRP(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd255064zd2_8034;
																																																																		BgL_cdrzd255064zd2_8034
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		if (PAIRP(BgL_cdrzd255064zd2_8034))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_argsz00_8028
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd255064zd2_8034);
																																																																				BgL_bodyz00_8029
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd255064zd2_8034);
																																																																				{	/* Ast/sexp.scm 435 */
																																																																					obj_t
																																																																						BgL_locz00_8038;
																																																																					obj_t
																																																																						BgL_funz00_8039;
																																																																					BgL_locz00_8038
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					BgL_funz00_8039
																																																																						=
																																																																						BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																																						(BgL_locz00_23,
																																																																						BNIL);
																																																																					{	/* Ast/sexp.scm 437 */
																																																																						obj_t
																																																																							BgL_arg6360z00_8040;
																																																																						{	/* Ast/sexp.scm 437 */
																																																																							obj_t
																																																																								BgL_arg6361z00_8041;
																																																																							obj_t
																																																																								BgL_arg6362z00_8042;
																																																																							BgL_arg6361z00_8041
																																																																								=
																																																																								BGl_labelszd2symzd2zzast_labelsz00
																																																																								();
																																																																							{	/* Ast/sexp.scm 437 */
																																																																								obj_t
																																																																									BgL_arg6363z00_8043;
																																																																								obj_t
																																																																									BgL_arg6364z00_8044;
																																																																								{	/* Ast/sexp.scm 437 */
																																																																									obj_t
																																																																										BgL_arg6365z00_8045;
																																																																									{	/* Ast/sexp.scm 437 */
																																																																										obj_t
																																																																											BgL_arg6366z00_8046;
																																																																										{	/* Ast/sexp.scm 437 */
																																																																											obj_t
																																																																												BgL_arg6367z00_8047;
																																																																											BgL_arg6367z00_8047
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																												(BgL_bodyz00_8029),
																																																																												BNIL);
																																																																											BgL_arg6366z00_8046
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_argsz00_8028,
																																																																												BgL_arg6367z00_8047);
																																																																										}
																																																																										BgL_arg6365z00_8045
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(BgL_funz00_8039,
																																																																											BgL_arg6366z00_8046);
																																																																									}
																																																																									BgL_arg6363z00_8043
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(BgL_arg6365z00_8045,
																																																																										BNIL);
																																																																								}
																																																																								BgL_arg6364z00_8044
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_funz00_8039,
																																																																									BNIL);
																																																																								BgL_arg6362z00_8042
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_arg6363z00_8043,
																																																																									BgL_arg6364z00_8044);
																																																																							}
																																																																							BgL_arg6360z00_8040
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg6361z00_8041,
																																																																								BgL_arg6362z00_8042);
																																																																						}
																																																																						BgL_auxz00_13722
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_arg6360z00_8040,
																																																																							BgL_stackz00_22,
																																																																							BgL_locz00_8038,
																																																																							BgL_sitez00_24);
																																																																					}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																			BgL_tagzd255057zd2_8031:
																																																																				{	/* Ast/sexp.scm 444 */
																																																																					obj_t
																																																																						BgL_arg6370z00_8050;
																																																																					BgL_arg6370z00_8050
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 442 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_res6781z00_8985;
																																																																						{	/* Ast/sexp.scm 702 */
																																																																							obj_t
																																																																								BgL_arg6527z00_8981;
																																																																							BgL_nodez00_bglt
																																																																								BgL_arg6528z00_8982;
																																																																							BgL_arg6527z00_8981
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg6528z00_8982
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(CNST_TABLE_REF
																																																																								(((long) 4)), BNIL, BgL_arg6370z00_8050, CNST_TABLE_REF(((long) 2)));
																																																																							{	/* Ast/sexp.scm 701 */
																																																																								obj_t
																																																																									BgL_list6529z00_8984;
																																																																								BgL_list6529z00_8984
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(
																																																																									((obj_t) BgL_arg6528z00_8982), BNIL);
																																																																								BgL_res6781z00_8985
																																																																									=
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																									(BgL_arg6370z00_8050,
																																																																										BgL_arg6527z00_8981,
																																																																										BGl_string7282z00zzast_sexpz00,
																																																																										BgL_expz00_21,
																																																																										BgL_list6529z00_8984));
																																																																						}}
																																																																						BgL_auxz00_13722
																																																																							=
																																																																							BgL_res6781z00_8985;
																																																																	}}}}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd255057zd2_8031;
																																																																	}
																																																															}
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_13722);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_13758;
																																																																BgL_tagzd2390zd2_1742:
																																																																	BgL_auxz00_13758 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_13758);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd23791zd2_2543;
																																																																	BgL_cdrzd23791zd2_2543
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg2211z00_2546;
																																																																			obj_t
																																																																				BgL_arg2212z00_2547;
																																																																			BgL_arg2211z00_2546
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23791zd2_2543));
																																																																			BgL_arg2212z00_2547
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23791zd2_2543));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_13773;
																																																																				BgL_effectz00_1743
																																																																					=
																																																																					BgL_arg2211z00_2546;
																																																																				BgL_restz00_1744
																																																																					=
																																																																					BgL_arg2212z00_2547;
																																																																			BgL_tagzd2391zd2_1745:
																																																																				{	/* Ast/sexp.scm 451 */
																																																																					BgL_feffectz00_bglt
																																																																						BgL_arg6371z00_8051;
																																																																					obj_t
																																																																						BgL_arg6372z00_8052;
																																																																					BgL_arg6371z00_8051
																																																																						=
																																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																						(BgL_effectz00_1743);
																																																																					{	/* Ast/sexp.scm 452 */
																																																																						obj_t
																																																																							BgL_arg6373z00_8053;
																																																																						BgL_arg6373z00_8053
																																																																							=
																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																							(BgL_restz00_1744,
																																																																							BNIL);
																																																																						BgL_arg6372z00_8052
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(CNST_TABLE_REF
																																																																							(((long) 6)), BgL_arg6373z00_8053);
																																																																					}
																																																																					BgL_auxz00_13773
																																																																						=
																																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																						(
																																																																						((bool_t) 0), ((obj_t) BgL_arg6371z00_8051), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6372z00_8052, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																				}
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_13773);
																																																																		}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_13787;
																																																																				BgL_tagzd2392zd2_1746:
																																																																					BgL_auxz00_13787 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_13787);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_13796;
																																																																						BgL_tagzd2393zd2_1747:
																																																																							{	/* Ast/sexp.scm 458 */
																																																																								bool_t
																																																																									BgL_testz00_13797;
																																																																								if (NULLP(BgL_stackz00_22))
																																																																									{	/* Ast/sexp.scm 458 */
																																																																										BgL_testz00_13797
																																																																											=
																																																																											(BgL_sitez00_24
																																																																											==
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 458 */
																																																																										BgL_testz00_13797
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								if (BgL_testz00_13797)
																																																																									{	/* Ast/sexp.scm 458 */
																																																																										{	/* Ast/sexp.scm 462 */
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg6376z00_8056;
																																																																											BgL_arg6376z00_8056
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																											BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																												(BgL_arg6376z00_8056);
																																																																										}
																																																																										BgL_auxz00_13796
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BUNSPEC,
																																																																											BgL_stackz00_22,
																																																																											BgL_locz00_23,
																																																																											BgL_sitez00_24);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 459 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_res6785z00_8997;
																																																																										{	/* Ast/sexp.scm 702 */
																																																																											obj_t
																																																																												BgL_arg6527z00_8993;
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg6528z00_8994;
																																																																											BgL_arg6527z00_8993
																																																																												=
																																																																												BGl_shapez00zztools_shapez00
																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																												());
																																																																											BgL_arg6528z00_8994
																																																																												=
																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																												(CNST_TABLE_REF
																																																																												(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																											{	/* Ast/sexp.scm 701 */
																																																																												obj_t
																																																																													BgL_list6529z00_8996;
																																																																												BgL_list6529z00_8996
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(
																																																																													((obj_t) BgL_arg6528z00_8994), BNIL);
																																																																												BgL_res6785z00_8997
																																																																													=
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																													(BgL_locz00_23,
																																																																														BgL_arg6527z00_8993,
																																																																														BGl_string7281z00zzast_sexpz00,
																																																																														BgL_expz00_21,
																																																																														BgL_list6529z00_8996));
																																																																										}}
																																																																										BgL_auxz00_13796
																																																																											=
																																																																											BgL_res6785z00_8997;
																																																																							}}
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_13796);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg2220z00_2555;
																																																																									obj_t
																																																																										BgL_arg2221z00_2556;
																																																																									BgL_arg2220z00_2555
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23791zd2_2543));
																																																																									BgL_arg2221z00_2556
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23791zd2_2543));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_13825;
																																																																										BgL_effectz00_1748
																																																																											=
																																																																											BgL_arg2220z00_2555;
																																																																										BgL_restz00_1749
																																																																											=
																																																																											BgL_arg2221z00_2556;
																																																																									BgL_tagzd2394zd2_1750:
																																																																										{	/* Ast/sexp.scm 467 */
																																																																											BgL_feffectz00_bglt
																																																																												BgL_arg6377z00_8058;
																																																																											obj_t
																																																																												BgL_arg6378z00_8059;
																																																																											BgL_arg6377z00_8058
																																																																												=
																																																																												BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																												(BgL_effectz00_1748);
																																																																											{	/* Ast/sexp.scm 468 */
																																																																												obj_t
																																																																													BgL_arg6379z00_8060;
																																																																												BgL_arg6379z00_8060
																																																																													=
																																																																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																													(BgL_restz00_1749,
																																																																													BNIL);
																																																																												BgL_arg6378z00_8059
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(CNST_TABLE_REF
																																																																													(((long) 6)), BgL_arg6379z00_8060);
																																																																											}
																																																																											BgL_auxz00_13825
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), ((obj_t) BgL_arg6377z00_8058), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6378z00_8059, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																										}
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_13825);
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_13839;
																																																																										BgL_tagzd2395zd2_1751:
																																																																											{
																																																																												obj_t
																																																																													BgL_procz00_8061;
																																																																												obj_t
																																																																													BgL_msgz00_8062;
																																																																												obj_t
																																																																													BgL_objz00_8063;
																																																																												if (PAIRP(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd255081zd2_8068;
																																																																														BgL_cdrzd255081zd2_8068
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														if (PAIRP(BgL_cdrzd255081zd2_8068))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd255086zd2_8070;
																																																																																BgL_cdrzd255086zd2_8070
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd255081zd2_8068);
																																																																																if (PAIRP(BgL_cdrzd255086zd2_8070))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd255091zd2_8072;
																																																																																		BgL_cdrzd255091zd2_8072
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd255086zd2_8070);
																																																																																		if (PAIRP(BgL_cdrzd255091zd2_8072))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(BgL_cdrzd255091zd2_8072)))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg6386z00_8076;
																																																																																						obj_t
																																																																																							BgL_arg6387z00_8077;
																																																																																						obj_t
																																																																																							BgL_arg6388z00_8078;
																																																																																						BgL_arg6386z00_8076
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255081zd2_8068);
																																																																																						BgL_arg6387z00_8077
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255086zd2_8070);
																																																																																						BgL_arg6388z00_8078
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255091zd2_8072);
																																																																																						{
																																																																																							BgL_failz00_bglt
																																																																																								BgL_auxz00_13857;
																																																																																							BgL_procz00_8061
																																																																																								=
																																																																																								BgL_arg6386z00_8076;
																																																																																							BgL_msgz00_8062
																																																																																								=
																																																																																								BgL_arg6387z00_8077;
																																																																																							BgL_objz00_8063
																																																																																								=
																																																																																								BgL_arg6388z00_8078;
																																																																																							{	/* Ast/sexp.scm 473 */
																																																																																								obj_t
																																																																																									BgL_locz00_8080;
																																																																																								BgL_locz00_8080
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_locz00_23);
																																																																																								{	/* Ast/sexp.scm 473 */
																																																																																									obj_t
																																																																																										BgL_cdlocz00_8081;
																																																																																									{	/* Ast/sexp.scm 474 */
																																																																																										obj_t
																																																																																											BgL_arg6393z00_8095;
																																																																																										BgL_arg6393z00_8095
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_expz00_21));
																																																																																										BgL_cdlocz00_8081
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(BgL_arg6393z00_8095,
																																																																																											BgL_locz00_8080);
																																																																																									}
																																																																																									{	/* Ast/sexp.scm 474 */
																																																																																										obj_t
																																																																																											BgL_cddlocz00_8082;
																																																																																										{	/* Ast/sexp.scm 475 */
																																																																																											obj_t
																																																																																												BgL_arg6392z00_8094;
																																																																																											{	/* Ast/sexp.scm 475 */
																																																																																												obj_t
																																																																																													BgL_pairz00_9002;
																																																																																												BgL_pairz00_9002
																																																																																													=
																																																																																													CDR
																																																																																													(
																																																																																													((obj_t) BgL_expz00_21));
																																																																																												BgL_arg6392z00_8094
																																																																																													=
																																																																																													CDR
																																																																																													(BgL_pairz00_9002);
																																																																																											}
																																																																																											BgL_cddlocz00_8082
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(BgL_arg6392z00_8094,
																																																																																												BgL_locz00_8080);
																																																																																										}
																																																																																										{	/* Ast/sexp.scm 475 */
																																																																																											obj_t
																																																																																												BgL_cdddlocz00_8083;
																																																																																											{	/* Ast/sexp.scm 476 */
																																																																																												obj_t
																																																																																													BgL_arg6391z00_8093;
																																																																																												{	/* Ast/sexp.scm 476 */
																																																																																													obj_t
																																																																																														BgL_pairz00_9008;
																																																																																													{	/* Ast/sexp.scm 476 */
																																																																																														obj_t
																																																																																															BgL_pairz00_9007;
																																																																																														BgL_pairz00_9007
																																																																																															=
																																																																																															CDR
																																																																																															(
																																																																																															((obj_t) BgL_expz00_21));
																																																																																														BgL_pairz00_9008
																																																																																															=
																																																																																															CDR
																																																																																															(BgL_pairz00_9007);
																																																																																													}
																																																																																													BgL_arg6391z00_8093
																																																																																														=
																																																																																														CDR
																																																																																														(BgL_pairz00_9008);
																																																																																												}
																																																																																												BgL_cdddlocz00_8083
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_arg6391z00_8093,
																																																																																													BgL_locz00_8080);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 476 */
																																																																																												obj_t
																																																																																													BgL_loczd2proczd2_8084;
																																																																																												BgL_loczd2proczd2_8084
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_procz00_8061,
																																																																																													BgL_cdlocz00_8081);
																																																																																												{	/* Ast/sexp.scm 477 */
																																																																																													obj_t
																																																																																														BgL_loczd2msgzd2_8085;
																																																																																													BgL_loczd2msgzd2_8085
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_msgz00_8062,
																																																																																														BgL_cddlocz00_8082);
																																																																																													{	/* Ast/sexp.scm 478 */
																																																																																														obj_t
																																																																																															BgL_loczd2objzd2_8086;
																																																																																														BgL_loczd2objzd2_8086
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_objz00_8063,
																																																																																															BgL_cdddlocz00_8083);
																																																																																														{	/* Ast/sexp.scm 479 */
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_procz00_8087;
																																																																																															BgL_procz00_8087
																																																																																																=
																																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																(BgL_procz00_8061,
																																																																																																BgL_stackz00_22,
																																																																																																BgL_loczd2proczd2_8084,
																																																																																																CNST_TABLE_REF
																																																																																																(((long) 2)));
																																																																																															{	/* Ast/sexp.scm 480 */
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_msgz00_8088;
																																																																																																BgL_msgz00_8088
																																																																																																	=
																																																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																	(BgL_msgz00_8062,
																																																																																																	BgL_stackz00_22,
																																																																																																	BgL_loczd2msgzd2_8085,
																																																																																																	CNST_TABLE_REF
																																																																																																	(((long) 2)));
																																																																																																{	/* Ast/sexp.scm 481 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_objz00_8089;
																																																																																																	BgL_objz00_8089
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_objz00_8063,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2objzd2_8086,
																																																																																																		CNST_TABLE_REF
																																																																																																		(((long) 2)));
																																																																																																	{	/* Ast/sexp.scm 482 */

																																																																																																		{	/* Ast/sexp.scm 483 */
																																																																																																			BgL_failz00_bglt
																																																																																																				BgL_new1142z00_8090;
																																																																																																			{	/* Ast/sexp.scm 484 */
																																																																																																				BgL_failz00_bglt
																																																																																																					BgL_new1141z00_8091;
																																																																																																				BgL_new1141z00_8091
																																																																																																					=
																																																																																																					(
																																																																																																					(BgL_failz00_bglt)
																																																																																																					BOBJECT
																																																																																																					(GC_MALLOC
																																																																																																						(sizeof
																																																																																																							(struct
																																																																																																								BgL_failz00_bgl))));
																																																																																																				{	/* Ast/sexp.scm 484 */
																																																																																																					long
																																																																																																						BgL_arg6390z00_8092;
																																																																																																					{	/* Ast/sexp.scm 484 */
																																																																																																						long
																																																																																																							BgL_res6786z00_9010;
																																																																																																						BgL_res6786z00_9010
																																																																																																							=
																																																																																																							BGL_CLASS_INDEX
																																																																																																							(BGl_failz00zzast_nodez00);
																																																																																																						BgL_arg6390z00_8092
																																																																																																							=
																																																																																																							BgL_res6786z00_9010;
																																																																																																					}
																																																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																																																						(
																																																																																																						((BgL_objectz00_bglt) BgL_new1141z00_8091), BgL_arg6390z00_8092);
																																																																																																				}
																																																																																																				{	/* Ast/sexp.scm 484 */
																																																																																																					BgL_objectz00_bglt
																																																																																																						BgL_tmpz00_13884;
																																																																																																					BgL_tmpz00_13884
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_objectz00_bglt)
																																																																																																						BgL_new1141z00_8091);
																																																																																																					BGL_OBJECT_WIDENING_SET
																																																																																																						(BgL_tmpz00_13884,
																																																																																																						BFALSE);
																																																																																																				}
																																																																																																				BgL_new1142z00_8090
																																																																																																					=
																																																																																																					BgL_new1141z00_8091;
																																																																																																			}
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8090)))->BgL_locz00) = ((obj_t) BgL_locz00_8080), BUNSPEC);
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8090)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8090))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_8087), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8090))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_8088), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1142z00_8090))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_8089), BUNSPEC);
																																																																																																			BgL_auxz00_13857
																																																																																																				=
																																																																																																				BgL_new1142z00_8090;
																																																																																							}}}}}}}}}}}}
																																																																																							BgL_auxz00_13839
																																																																																								=
																																																																																								(
																																																																																								(BgL_nodez00_bglt)
																																																																																								BgL_auxz00_13857);
																																																																																					}}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																					BgL_tagzd255072zd2_8065:
																																																																																						{	/* Ast/sexp.scm 491 */
																																																																																							obj_t
																																																																																								BgL_arg6394z00_8096;
																																																																																							BgL_arg6394z00_8096
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_expz00_21,
																																																																																								BgL_locz00_23);
																																																																																							{	/* Ast/sexp.scm 490 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_res6787z00_9018;
																																																																																								{	/* Ast/sexp.scm 702 */
																																																																																									obj_t
																																																																																										BgL_arg6527z00_9014;
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_arg6528z00_9015;
																																																																																									BgL_arg6527z00_9014
																																																																																										=
																																																																																										BGl_shapez00zztools_shapez00
																																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																																										());
																																																																																									BgL_arg6528z00_9015
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 4)), BNIL, BgL_arg6394z00_8096, CNST_TABLE_REF(((long) 2)));
																																																																																									{	/* Ast/sexp.scm 701 */
																																																																																										obj_t
																																																																																											BgL_list6529z00_9017;
																																																																																										BgL_list6529z00_9017
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(
																																																																																											((obj_t) BgL_arg6528z00_9015), BNIL);
																																																																																										BgL_res6787z00_9018
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																											(BgL_arg6394z00_8096,
																																																																																												BgL_arg6527z00_9014,
																																																																																												BGl_string7280z00zzast_sexpz00,
																																																																																												BgL_expz00_21,
																																																																																												BgL_list6529z00_9017));
																																																																																								}}
																																																																																								BgL_auxz00_13839
																																																																																									=
																																																																																									BgL_res6787z00_9018;
																																																																																			}}}}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd255072zd2_8065;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd255072zd2_8065;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd255072zd2_8065;
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd255072zd2_8065;
																																																																													}
																																																																											}
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_13839);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_13912;
																																																																												BgL_tagzd2396zd2_1752:
																																																																													{
																																																																														obj_t
																																																																															BgL_testz00_8097;
																																																																														obj_t
																																																																															BgL_clausesz00_8098;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd255105zd2_8103;
																																																																																BgL_cdrzd255105zd2_8103
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																if (PAIRP(BgL_cdrzd255105zd2_8103))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_8097
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd255105zd2_8103);
																																																																																		BgL_clausesz00_8098
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd255105zd2_8103);
																																																																																		{	/* Ast/sexp.scm 502 */
																																																																																			obj_t
																																																																																				BgL_locz00_8107;
																																																																																			BgL_locz00_8107
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 502 */
																																																																																				obj_t
																																																																																					BgL_cdlocz00_8108;
																																																																																				{	/* Ast/sexp.scm 503 */
																																																																																					obj_t
																																																																																						BgL_arg6424z00_8148;
																																																																																					BgL_arg6424z00_8148
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdlocz00_8108
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_arg6424z00_8148,
																																																																																						BgL_locz00_8107);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 503 */
																																																																																					obj_t
																																																																																						BgL_cddlocz00_8109;
																																																																																					{	/* Ast/sexp.scm 504 */
																																																																																						obj_t
																																																																																							BgL_arg6423z00_8147;
																																																																																						BgL_arg6423z00_8147
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_expz00_21));
																																																																																						BgL_cddlocz00_8109
																																																																																							=
																																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																							(BgL_arg6423z00_8147,
																																																																																							BgL_locz00_8107);
																																																																																					}
																																																																																					{	/* Ast/sexp.scm 504 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_testz00_8110;
																																																																																						{	/* Ast/sexp.scm 507 */
																																																																																							obj_t
																																																																																								BgL_arg6422z00_8146;
																																																																																							BgL_arg6422z00_8146
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_testz00_8097,
																																																																																								BgL_cdlocz00_8108);
																																																																																							BgL_testz00_8110
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(BgL_testz00_8097,
																																																																																								BgL_stackz00_22,
																																																																																								BgL_arg6422z00_8146,
																																																																																								CNST_TABLE_REF
																																																																																								(((long) 2)));
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 505 */

																																																																																							{
																																																																																								obj_t
																																																																																									BgL_clsz00_8113;
																																																																																								obj_t
																																																																																									BgL_nclausesz00_8114;
																																																																																								BgL_clsz00_8113
																																																																																									=
																																																																																									BgL_clausesz00_8098;
																																																																																								BgL_nclausesz00_8114
																																																																																									=
																																																																																									BNIL;
																																																																																							BgL_zc3anonymousza36399ze3z83_8115:
																																																																																								if (NULLP(BgL_clsz00_8113))
																																																																																									{	/* Ast/sexp.scm 512 */
																																																																																										BgL_switchz00_bglt
																																																																																											BgL_new1145z00_8117;
																																																																																										{	/* Ast/sexp.scm 513 */
																																																																																											BgL_switchz00_bglt
																																																																																												BgL_new1144z00_8121;
																																																																																											BgL_new1144z00_8121
																																																																																												=
																																																																																												(
																																																																																												(BgL_switchz00_bglt)
																																																																																												BOBJECT
																																																																																												(GC_MALLOC
																																																																																													(sizeof
																																																																																														(struct
																																																																																															BgL_switchz00_bgl))));
																																																																																											{	/* Ast/sexp.scm 513 */
																																																																																												long
																																																																																													BgL_arg6404z00_8122;
																																																																																												{	/* Ast/sexp.scm 513 */
																																																																																													long
																																																																																														BgL_res6794z00_9035;
																																																																																													BgL_res6794z00_9035
																																																																																														=
																																																																																														BGL_CLASS_INDEX
																																																																																														(BGl_switchz00zzast_nodez00);
																																																																																													BgL_arg6404z00_8122
																																																																																														=
																																																																																														BgL_res6794z00_9035;
																																																																																												}
																																																																																												BGL_OBJECT_CLASS_NUM_SET
																																																																																													(
																																																																																													((BgL_objectz00_bglt) BgL_new1144z00_8121), BgL_arg6404z00_8122);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 513 */
																																																																																												BgL_objectz00_bglt
																																																																																													BgL_tmpz00_13934;
																																																																																												BgL_tmpz00_13934
																																																																																													=
																																																																																													(
																																																																																													(BgL_objectz00_bglt)
																																																																																													BgL_new1144z00_8121);
																																																																																												BGL_OBJECT_WIDENING_SET
																																																																																													(BgL_tmpz00_13934,
																																																																																													BFALSE);
																																																																																											}
																																																																																											BgL_new1145z00_8117
																																																																																												=
																																																																																												BgL_new1144z00_8121;
																																																																																										}
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_8117)))->BgL_locz00) = ((obj_t) BgL_locz00_8107), BUNSPEC);
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_8117)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_8117)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_8117)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_8117))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_8110), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_8117))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_8114)), BUNSPEC);
																																																																																										{
																																																																																											BgL_typez00_bglt
																																																																																												BgL_auxz00_13950;
																																																																																											{	/* Ast/sexp.scm 516 */
																																																																																												obj_t
																																																																																													BgL_arg6401z00_8118;
																																																																																												{	/* Ast/sexp.scm 516 */
																																																																																													obj_t
																																																																																														BgL_pairz00_9040;
																																																																																													{	/* Ast/sexp.scm 516 */
																																																																																														obj_t
																																																																																															BgL_pairz00_9039;
																																																																																														BgL_pairz00_9039
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_clausesz00_8098));
																																																																																														BgL_pairz00_9040
																																																																																															=
																																																																																															CAR
																																																																																															(BgL_pairz00_9039);
																																																																																													}
																																																																																													BgL_arg6401z00_8118
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_9040);
																																																																																												}
																																																																																												BgL_auxz00_13950
																																																																																													=
																																																																																													BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																													(BgL_arg6401z00_8118);
																																																																																											}
																																																																																											((((BgL_switchz00_bglt) COBJECT(BgL_new1145z00_8117))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_13950), BUNSPEC);
																																																																																										}
																																																																																										BgL_auxz00_13912
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BgL_new1145z00_8117);
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 518 */
																																																																																										obj_t
																																																																																											BgL_clausez00_8123;
																																																																																										BgL_clausez00_8123
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_clsz00_8113));
																																																																																										{	/* Ast/sexp.scm 518 */
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_bodyz00_8124;
																																																																																											{	/* Ast/sexp.scm 519 */
																																																																																												obj_t
																																																																																													BgL_arg6419z00_8142;
																																																																																												obj_t
																																																																																													BgL_arg6420z00_8143;
																																																																																												{	/* Ast/sexp.scm 519 */
																																																																																													obj_t
																																																																																														BgL_arg6421z00_8144;
																																																																																													BgL_arg6421z00_8144
																																																																																														=
																																																																																														CDR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_8123));
																																																																																													BgL_arg6419z00_8142
																																																																																														=
																																																																																														BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																														(BgL_arg6421z00_8144);
																																																																																												}
																																																																																												BgL_arg6420z00_8143
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_clausez00_8123,
																																																																																													BgL_cddlocz00_8109);
																																																																																												BgL_bodyz00_8124
																																																																																													=
																																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																													(BgL_arg6419z00_8142,
																																																																																													BgL_stackz00_22,
																																																																																													BgL_arg6420z00_8143,
																																																																																													CNST_TABLE_REF
																																																																																													(((long) 2)));
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 519 */
																																																																																												obj_t
																																																																																													BgL_nclausez00_8125;
																																																																																												{	/* Ast/sexp.scm 523 */
																																																																																													obj_t
																																																																																														BgL_arg6418z00_8141;
																																																																																													BgL_arg6418z00_8141
																																																																																														=
																																																																																														CAR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_8123));
																																																																																													BgL_nclausez00_8125
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg6418z00_8141,
																																																																																														((obj_t) BgL_bodyz00_8124));
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 523 */

																																																																																													{	/* Ast/sexp.scm 525 */
																																																																																														bool_t
																																																																																															BgL_testz00_13970;
																																																																																														if ((CAR(((obj_t) BgL_clausez00_8123)) == CNST_TABLE_REF(((long) 5))))
																																																																																															{	/* Ast/sexp.scm 525 */
																																																																																																if (NULLP(CDR(((obj_t) BgL_clsz00_8113))))
																																																																																																	{	/* Ast/sexp.scm 526 */
																																																																																																		BgL_testz00_13970
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 526 */
																																																																																																		BgL_testz00_13970
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			1);
																																																																																																	}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 525 */
																																																																																																BgL_testz00_13970
																																																																																																	=
																																																																																																	(
																																																																																																	(bool_t)
																																																																																																	0);
																																																																																															}
																																																																																														if (BgL_testz00_13970)
																																																																																															{	/* Ast/sexp.scm 528 */
																																																																																																obj_t
																																																																																																	BgL_arg6412z00_8133;
																																																																																																BgL_arg6412z00_8133
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																	BgL_locz00_8107);
																																																																																																{	/* Ast/sexp.scm 527 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_res6796z00_9052;
																																																																																																	{	/* Ast/sexp.scm 702 */
																																																																																																		obj_t
																																																																																																			BgL_arg6527z00_9048;
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_arg6528z00_9049;
																																																																																																		BgL_arg6527z00_9048
																																																																																																			=
																																																																																																			BGl_shapez00zztools_shapez00
																																																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																			());
																																																																																																		BgL_arg6528z00_9049
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(CNST_TABLE_REF
																																																																																																			(((long) 4)), BNIL, BgL_arg6412z00_8133, CNST_TABLE_REF(((long) 2)));
																																																																																																		{	/* Ast/sexp.scm 701 */
																																																																																																			obj_t
																																																																																																				BgL_list6529z00_9051;
																																																																																																			BgL_list6529z00_9051
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(
																																																																																																				((obj_t) BgL_arg6528z00_9049), BNIL);
																																																																																																			BgL_res6796z00_9052
																																																																																																				=
																																																																																																				(
																																																																																																				(BgL_nodez00_bglt)
																																																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																				(BgL_arg6412z00_8133,
																																																																																																					BgL_arg6527z00_9048,
																																																																																																					BGl_string7279z00zzast_sexpz00,
																																																																																																					BgL_expz00_21,
																																																																																																					BgL_list6529z00_9051));
																																																																																																	}}
																																																																																																	BgL_auxz00_13912
																																																																																																		=
																																																																																																		BgL_res6796z00_9052;
																																																																																															}}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 529 */
																																																																																																obj_t
																																																																																																	BgL_arg6413z00_8134;
																																																																																																obj_t
																																																																																																	BgL_arg6414z00_8135;
																																																																																																BgL_arg6413z00_8134
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_clsz00_8113));
																																																																																																BgL_arg6414z00_8135
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BGl_epairifyz00zztools_miscz00
																																																																																																	(BgL_nclausez00_8125,
																																																																																																		BgL_clausez00_8123),
																																																																																																	BgL_nclausesz00_8114);
																																																																																																{
																																																																																																	obj_t
																																																																																																		BgL_nclausesz00_13995;
																																																																																																	obj_t
																																																																																																		BgL_clsz00_13994;
																																																																																																	BgL_clsz00_13994
																																																																																																		=
																																																																																																		BgL_arg6413z00_8134;
																																																																																																	BgL_nclausesz00_13995
																																																																																																		=
																																																																																																		BgL_arg6414z00_8135;
																																																																																																	BgL_nclausesz00_8114
																																																																																																		=
																																																																																																		BgL_nclausesz00_13995;
																																																																																																	BgL_clsz00_8113
																																																																																																		=
																																																																																																		BgL_clsz00_13994;
																																																																																																	goto
																																																																																																		BgL_zc3anonymousza36399ze3z83_8115;
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																										}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																	BgL_tagzd255098zd2_8100:
																																																																																		{	/* Ast/sexp.scm 534 */
																																																																																			obj_t
																																																																																				BgL_arg6425z00_8149;
																																																																																			BgL_arg6425z00_8149
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 533 */
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_res6797z00_9059;
																																																																																				{	/* Ast/sexp.scm 702 */
																																																																																					obj_t
																																																																																						BgL_arg6527z00_9055;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_arg6528z00_9056;
																																																																																					BgL_arg6527z00_9055
																																																																																						=
																																																																																						BGl_shapez00zztools_shapez00
																																																																																						(BGl_currentzd2functionzd2zztools_errorz00
																																																																																						());
																																																																																					BgL_arg6528z00_9056
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(CNST_TABLE_REF
																																																																																						(((long) 4)), BNIL, BgL_arg6425z00_8149, CNST_TABLE_REF(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 701 */
																																																																																						obj_t
																																																																																							BgL_list6529z00_9058;
																																																																																						BgL_list6529z00_9058
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(
																																																																																							((obj_t) BgL_arg6528z00_9056), BNIL);
																																																																																						BgL_res6797z00_9059
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																							(BgL_arg6425z00_8149,
																																																																																								BgL_arg6527z00_9055,
																																																																																								BGl_string7279z00zzast_sexpz00,
																																																																																								BgL_expz00_21,
																																																																																								BgL_list6529z00_9058));
																																																																																				}}
																																																																																				BgL_auxz00_13912
																																																																																					=
																																																																																					BgL_res6797z00_9059;
																																																																															}}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd255098zd2_8100;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_13912);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_14014;
																																																																														BgL_tagzd2397zd2_1753:
																																																																															BgL_auxz00_14014 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_14014);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_14022;
																																																																																BgL_tagzd2398zd2_1754:
																																																																																	BgL_auxz00_14022 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14022);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23868zd2_2565;
																																																																																	BgL_cdrzd23868zd2_2565
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2233z00_2568;
																																																																																			obj_t
																																																																																				BgL_arg2234z00_2569;
																																																																																			BgL_arg2233z00_2568
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23868zd2_2565));
																																																																																			BgL_arg2234z00_2569
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23868zd2_2565));
																																																																																			{	/* Ast/sexp.scm 548 */
																																																																																				obj_t
																																																																																					BgL_arg6427z00_9256;
																																																																																				BgL_arg6427z00_9256
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg2233z00_2568,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg2234z00_2569, BgL_stackz00_22, BgL_arg6427z00_9256, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14042;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14042);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd23891zd2_2586;
																																					BgL_carzd23891zd2_2586
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd23891zd2_2586
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_14049;
																																							goto
																																								BgL_tagzd2377zd2_1711;
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_14049);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd23891zd2_2586 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_14053;
																																									goto
																																										BgL_tagzd2377zd2_1711;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_14053);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_14060;
																																											goto
																																												BgL_tagzd2379zd2_1715;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_14060);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_14067;
																																													goto
																																														BgL_tagzd2380zd2_1716;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_14067);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd23952zd2_2593;
																																													BgL_carzd23952zd2_2593
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd23952zd2_2593))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd23955zd2_2595;
																																															obj_t
																																																BgL_cdrzd23956zd2_2596;
																																															BgL_carzd23955zd2_2595
																																																=
																																																CAR
																																																(BgL_carzd23952zd2_2593);
																																															BgL_cdrzd23956zd2_2596
																																																=
																																																CDR
																																																(BgL_carzd23952zd2_2593);
																																															{

																																																if ((BgL_carzd23955zd2_2595 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 118 */
																																																	BgL_kapzd23957zd2_2597:
																																																		if (PAIRP(BgL_cdrzd23956zd2_2596))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd23960zd2_2719;
																																																				BgL_cdrzd23960zd2_2719
																																																					=
																																																					CDR
																																																					(BgL_cdrzd23956zd2_2596);
																																																				if (PAIRP(BgL_cdrzd23960zd2_2719))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd23960zd2_2719)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2344z00_2723;
																																																								obj_t
																																																									BgL_arg2346z00_2724;
																																																								BgL_arg2344z00_2723
																																																									=
																																																									CAR
																																																									(BgL_cdrzd23960zd2_2719);
																																																								BgL_arg2346z00_2724
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_14089;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_14091;
																																																										obj_t
																																																											BgL_bodyz00_14090;
																																																										BgL_bodyz00_14090
																																																											=
																																																											BgL_arg2344z00_2723;
																																																										BgL_argsz00_14091
																																																											=
																																																											BgL_arg2346z00_2724;
																																																										BgL_argsz00_1718
																																																											=
																																																											BgL_argsz00_14091;
																																																										BgL_bodyz00_1717
																																																											=
																																																											BgL_bodyz00_14090;
																																																										goto
																																																											BgL_tagzd2381zd2_1719;
																																																									}
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_14089);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_14093;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2420z00_2833;
																																																									BgL_arg2420z00_2833
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_14093
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2420z00_2833));
																																																								}
																																																								if (BgL_testz00_14093)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_14098;
																																																										goto
																																																											BgL_tagzd2382zd2_1720;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14098);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_14100;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2419z00_2832;
																																																											BgL_arg2419z00_2832
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_14100
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2419z00_2832));
																																																										}
																																																										if (BgL_testz00_14100)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_14105;
																																																												goto
																																																													BgL_tagzd2384zd2_1722;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14105);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd24038zd2_2729;
																																																												BgL_carzd24038zd2_2729
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd24043zd2_2730;
																																																													BgL_cdrzd24043zd2_2730
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd24038zd2_2729));
																																																													if ((CAR(((obj_t) BgL_carzd24038zd2_2729)) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2354z00_2733;
																																																															obj_t
																																																																BgL_arg2355z00_2734;
																																																															obj_t
																																																																BgL_arg2356z00_2735;
																																																															BgL_arg2354z00_2733
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd24043zd2_2730));
																																																															BgL_arg2355z00_2734
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd24043zd2_2730));
																																																															BgL_arg2356z00_2735
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_14122;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_14125;
																																																																	obj_t
																																																																		BgL_bodyz00_14124;
																																																																	obj_t
																																																																		BgL_varsz00_14123;
																																																																	BgL_varsz00_14123
																																																																		=
																																																																		BgL_arg2354z00_2733;
																																																																	BgL_bodyz00_14124
																																																																		=
																																																																		BgL_arg2355z00_2734;
																																																																	BgL_argsz00_14125
																																																																		=
																																																																		BgL_arg2356z00_2735;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_14125;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_14124;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_14123;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_14122);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd24066zd2_2737;
																																																															BgL_cdrzd24066zd2_2737
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd24072zd2_2738;
																																																																BgL_cdrzd24072zd2_2738
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd24038zd2_2729));
																																																																if ((CAR(((obj_t) BgL_carzd24038zd2_2729)) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd24078zd2_2741;
																																																																		BgL_cdrzd24078zd2_2741
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd24072zd2_2738));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd24083zd2_2742;
																																																																			obj_t
																																																																				BgL_cdrzd24084zd2_2743;
																																																																			BgL_carzd24083zd2_2742
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd24078zd2_2741));
																																																																			BgL_cdrzd24084zd2_2743
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd24078zd2_2741));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24083zd2_2742))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd24084zd2_2743))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd24091zd2_2746;
																																																																							BgL_carzd24091zd2_2746
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd24084zd2_2743);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24091zd2_2746))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd24084zd2_2743)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_14152;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1371z00_2779;
																																																																												BgL_l1371z00_2779
																																																																													=
																																																																													BgL_cdrzd24066zd2_2737;
																																																																											BgL_zc3anonymousza32380ze3z83_2780:
																																																																												if (NULLP(BgL_l1371z00_2779))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_14152
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_14155;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_14156;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_tmpz00_14157;
																																																																																BgL_tmpz00_14157
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1371z00_2779));
																																																																																BgL_testz00_14156
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_14157);
																																																																															}
																																																																															if (BgL_testz00_14156)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_14155
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_14155
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_14155)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1371z00_14161;
																																																																																BgL_l1371z00_14161
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1371z00_2779));
																																																																																BgL_l1371z00_2779
																																																																																	=
																																																																																	BgL_l1371z00_14161;
																																																																																goto
																																																																																	BgL_zc3anonymousza32380ze3z83_2780;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_14152
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_14152)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg2370z00_2762;
																																																																													BgL_arg2370z00_2762
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd24072zd2_2738));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14166;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_14170;
																																																																															obj_t
																																																																																BgL_proc2z00_14169;
																																																																															obj_t
																																																																																BgL_proc1z00_14168;
																																																																															obj_t
																																																																																BgL_testz00_14167;
																																																																															BgL_testz00_14167
																																																																																=
																																																																																BgL_arg2370z00_2762;
																																																																															BgL_proc1z00_14168
																																																																																=
																																																																																BgL_carzd24083zd2_2742;
																																																																															BgL_proc2z00_14169
																																																																																=
																																																																																BgL_carzd24091zd2_2746;
																																																																															BgL_argsz00_14170
																																																																																=
																																																																																BgL_cdrzd24066zd2_2737;
																																																																															BgL_argsz00_1734
																																																																																=
																																																																																BgL_argsz00_14170;
																																																																															BgL_proc2z00_1733
																																																																																=
																																																																																BgL_proc2z00_14169;
																																																																															BgL_proc1z00_1732
																																																																																=
																																																																																BgL_proc1z00_14168;
																																																																															BgL_testz00_1731
																																																																																=
																																																																																BgL_testz00_14167;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1735;
																																																																														}
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14166);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd24115zd2_2763;
																																																																													BgL_cdrzd24115zd2_2763
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd24122zd2_2764;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_9297;
																																																																															BgL_pairz00_9297
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd24122zd2_2764
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_9297);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd24129zd2_2765;
																																																																															BgL_cdrzd24129zd2_2765
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24122zd2_2764));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd24135zd2_2766;
																																																																																BgL_carzd24135zd2_2766
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd24129zd2_2765));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24135zd2_2766))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd24142zd2_2768;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_9301;
																																																																																			BgL_pairz00_9301
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd24129zd2_2765));
																																																																																			BgL_carzd24142zd2_2768
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_9301);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24142zd2_2768))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24115zd2_2763))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg2374z00_2771;
																																																																																						BgL_arg2374z00_2771
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd24122zd2_2764));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14192;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_14196;
																																																																																								obj_t
																																																																																									BgL_proc2z00_14195;
																																																																																								obj_t
																																																																																									BgL_proc1z00_14194;
																																																																																								obj_t
																																																																																									BgL_testz00_14193;
																																																																																								BgL_testz00_14193
																																																																																									=
																																																																																									BgL_arg2374z00_2771;
																																																																																								BgL_proc1z00_14194
																																																																																									=
																																																																																									BgL_carzd24135zd2_2766;
																																																																																								BgL_proc2z00_14195
																																																																																									=
																																																																																									BgL_carzd24142zd2_2768;
																																																																																								BgL_argsz00_14196
																																																																																									=
																																																																																									BgL_cdrzd24115zd2_2763;
																																																																																								BgL_argsz00_1739
																																																																																									=
																																																																																									BgL_argsz00_14196;
																																																																																								BgL_proc2z00_1738
																																																																																									=
																																																																																									BgL_proc2z00_14195;
																																																																																								BgL_proc1z00_1737
																																																																																									=
																																																																																									BgL_proc1z00_14194;
																																																																																								BgL_testz00_1736
																																																																																									=
																																																																																									BgL_testz00_14193;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1740;
																																																																																							}
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14192);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1764;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_14200;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1765;
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_14200);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14204;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14204);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14208;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14208);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_14212;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_14212);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd24418zd2_2790;
																																																																									BgL_cdrzd24418zd2_2790
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd24424zd2_2791;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_9305;
																																																																											BgL_pairz00_9305
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd24424zd2_2791
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_9305);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd24430zd2_2792;
																																																																											BgL_cdrzd24430zd2_2792
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd24424zd2_2791));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd24435zd2_2793;
																																																																												obj_t
																																																																													BgL_cdrzd24436zd2_2794;
																																																																												BgL_carzd24435zd2_2793
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd24430zd2_2792));
																																																																												BgL_cdrzd24436zd2_2794
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd24430zd2_2792));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24435zd2_2793))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd24441zd2_2796;
																																																																														BgL_carzd24441zd2_2796
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd24436zd2_2794));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24441zd2_2796))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd24436zd2_2794))))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24418zd2_2790))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg2390z00_2801;
																																																																																				BgL_arg2390z00_2801
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd24424zd2_2791));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14239;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_14243;
																																																																																						obj_t
																																																																																							BgL_proc2z00_14242;
																																																																																						obj_t
																																																																																							BgL_proc1z00_14241;
																																																																																						obj_t
																																																																																							BgL_testz00_14240;
																																																																																						BgL_testz00_14240
																																																																																							=
																																																																																							BgL_arg2390z00_2801;
																																																																																						BgL_proc1z00_14241
																																																																																							=
																																																																																							BgL_carzd24435zd2_2793;
																																																																																						BgL_proc2z00_14242
																																																																																							=
																																																																																							BgL_carzd24441zd2_2796;
																																																																																						BgL_argsz00_14243
																																																																																							=
																																																																																							BgL_cdrzd24418zd2_2790;
																																																																																						BgL_argsz00_1739
																																																																																							=
																																																																																							BgL_argsz00_14243;
																																																																																						BgL_proc2z00_1738
																																																																																							=
																																																																																							BgL_proc2z00_14242;
																																																																																						BgL_proc1z00_1737
																																																																																							=
																																																																																							BgL_proc1z00_14241;
																																																																																						BgL_testz00_1736
																																																																																							=
																																																																																							BgL_testz00_14240;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1740;
																																																																																					}
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14239);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14247;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14247);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14251;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14251);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14255;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14255);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14259;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14259);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_14263;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_14263);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd24774zd2_2809;
																																																																					BgL_cdrzd24774zd2_2809
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd24781zd2_2810;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_9315;
																																																																							BgL_pairz00_9315
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd24781zd2_2810
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_9315);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd24788zd2_2811;
																																																																							BgL_cdrzd24788zd2_2811
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd24781zd2_2810));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd24794zd2_2812;
																																																																								obj_t
																																																																									BgL_cdrzd24795zd2_2813;
																																																																								BgL_carzd24794zd2_2812
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd24788zd2_2811));
																																																																								BgL_cdrzd24795zd2_2813
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd24788zd2_2811));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24794zd2_2812))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd24795zd2_2813))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd24802zd2_2816;
																																																																												BgL_carzd24802zd2_2816
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd24795zd2_2813);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24802zd2_2816))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd24795zd2_2813)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24774zd2_2809))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg2405z00_2821;
																																																																																		BgL_arg2405z00_2821
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd24781zd2_2810));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14290;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14294;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14293;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14292;
																																																																																				obj_t
																																																																																					BgL_testz00_14291;
																																																																																				BgL_testz00_14291
																																																																																					=
																																																																																					BgL_arg2405z00_2821;
																																																																																				BgL_proc1z00_14292
																																																																																					=
																																																																																					BgL_carzd24794zd2_2812;
																																																																																				BgL_proc2z00_14293
																																																																																					=
																																																																																					BgL_carzd24802zd2_2816;
																																																																																				BgL_argsz00_14294
																																																																																					=
																																																																																					BgL_cdrzd24774zd2_2809;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_14294;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_14293;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_14292;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_14291;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14290);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14298;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14298);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14302;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14302);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14306;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14306);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14310;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14310);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14314;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14314);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_14318;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_14318);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_14320;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2436z00_2849;
																																																							BgL_arg2436z00_2849
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_14320
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2436z00_2849));
																																																						}
																																																						if (BgL_testz00_14320)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_14325;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14325);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_14327;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2435z00_2848;
																																																									BgL_arg2435z00_2848
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_14327
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2435z00_2848));
																																																								}
																																																								if (BgL_testz00_14327)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_14332;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14332);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd25248zd2_2839;
																																																										BgL_carzd25248zd2_2839
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd25253zd2_2840;
																																																											BgL_cdrzd25253zd2_2840
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd25248zd2_2839));
																																																											if ((CAR(((obj_t) BgL_carzd25248zd2_2839)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2429z00_2843;
																																																													obj_t
																																																														BgL_arg2430z00_2844;
																																																													obj_t
																																																														BgL_arg2431z00_2845;
																																																													BgL_arg2429z00_2843
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd25253zd2_2840));
																																																													BgL_arg2430z00_2844
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd25253zd2_2840));
																																																													BgL_arg2431z00_2845
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_14349;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_14352;
																																																															obj_t
																																																																BgL_bodyz00_14351;
																																																															obj_t
																																																																BgL_varsz00_14350;
																																																															BgL_varsz00_14350
																																																																=
																																																																BgL_arg2429z00_2843;
																																																															BgL_bodyz00_14351
																																																																=
																																																																BgL_arg2430z00_2844;
																																																															BgL_argsz00_14352
																																																																=
																																																																BgL_arg2431z00_2845;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_14352;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_14351;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_14350;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14349);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_14356;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_14356);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_14358;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2444z00_2856;
																																																					BgL_arg2444z00_2856
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_14358
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg2444z00_2856));
																																																				}
																																																				if (BgL_testz00_14358)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_14363;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_14363);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_14365;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2443z00_2855;
																																																							BgL_arg2443z00_2855
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_14365
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2443z00_2855));
																																																						}
																																																						if (BgL_testz00_14365)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_14370;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14370);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1764;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_14374;
																																																										goto
																																																											BgL_tagzd2404zd2_1765;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14374);
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd23955zd2_2595)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd23957zd2_2597;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd23955zd2_2595 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd23957zd2_2597;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd23955zd2_2595 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd23957zd2_2597;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23955zd2_2595)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd23957zd2_2597;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_14388;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2339z00_2717;
																																																											BgL_arg2339z00_2717
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_14388
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg2339z00_2717));
																																																										}
																																																										if (BgL_testz00_14388)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_14393;
																																																												goto
																																																													BgL_tagzd2382zd2_1720;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14393);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												bool_t
																																																													BgL_testz00_14395;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2338z00_2716;
																																																													BgL_arg2338z00_2716
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_testz00_14395
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg2338z00_2716));
																																																												}
																																																												if (BgL_testz00_14395)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_14400;
																																																														goto
																																																															BgL_tagzd2384zd2_1722;
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14400);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd25576zd2_2607;
																																																														BgL_carzd25576zd2_2607
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd25581zd2_2608;
																																																															BgL_cdrzd25581zd2_2608
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd25576zd2_2607));
																																																															if ((CAR(((obj_t) BgL_carzd25576zd2_2607)) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd25581zd2_2608))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg2272z00_2612;
																																																																			obj_t
																																																																				BgL_arg2273z00_2613;
																																																																			obj_t
																																																																				BgL_arg2274z00_2614;
																																																																			BgL_arg2272z00_2612
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd25581zd2_2608);
																																																																			BgL_arg2273z00_2613
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd25581zd2_2608);
																																																																			BgL_arg2274z00_2614
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_14417;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_14420;
																																																																					obj_t
																																																																						BgL_bodyz00_14419;
																																																																					obj_t
																																																																						BgL_varsz00_14418;
																																																																					BgL_varsz00_14418
																																																																						=
																																																																						BgL_arg2272z00_2612;
																																																																					BgL_bodyz00_14419
																																																																						=
																																																																						BgL_arg2273z00_2613;
																																																																					BgL_argsz00_14420
																																																																						=
																																																																						BgL_arg2274z00_2614;
																																																																					BgL_argsz00_1729
																																																																						=
																																																																						BgL_argsz00_14420;
																																																																					BgL_bodyz00_1728
																																																																						=
																																																																						BgL_bodyz00_14419;
																																																																					BgL_varsz00_1727
																																																																						=
																																																																						BgL_varsz00_14418;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1730;
																																																																				}
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_14417);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_14424;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_14424);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd25688zd2_2617;
																																																																	BgL_cdrzd25688zd2_2617
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd25693zd2_2618;
																																																																		BgL_cdrzd25693zd2_2618
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd25576zd2_2607));
																																																																		if ((CAR(((obj_t) BgL_carzd25576zd2_2607)) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd25693zd2_2618))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd25698zd2_2622;
																																																																						BgL_cdrzd25698zd2_2622
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd25693zd2_2618);
																																																																						if (PAIRP(BgL_cdrzd25698zd2_2622))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd25702zd2_2624;
																																																																								obj_t
																																																																									BgL_cdrzd25703zd2_2625;
																																																																								BgL_carzd25702zd2_2624
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd25698zd2_2622);
																																																																								BgL_cdrzd25703zd2_2625
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd25698zd2_2622);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25702zd2_2624))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd25703zd2_2625))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd25708zd2_2628;
																																																																												BgL_carzd25708zd2_2628
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd25703zd2_2625);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25708zd2_2628))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd25703zd2_2625)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_14452;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1374z00_2661;
																																																																																	BgL_l1374z00_2661
																																																																																		=
																																																																																		BgL_cdrzd25688zd2_2617;
																																																																																BgL_zc3anonymousza32301ze3z83_2662:
																																																																																	if (NULLP(BgL_l1374z00_2661))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_14452
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			bool_t
																																																																																				BgL_testz00_14455;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				bool_t
																																																																																					BgL_testz00_14456;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_14457;
																																																																																					BgL_tmpz00_14457
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_l1374z00_2661));
																																																																																					BgL_testz00_14456
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_14457);
																																																																																				}
																																																																																				if (BgL_testz00_14456)
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_14455
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_14455
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_testz00_14455)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1374z00_14461;
																																																																																					BgL_l1374z00_14461
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_l1374z00_2661));
																																																																																					BgL_l1374z00_2661
																																																																																						=
																																																																																						BgL_l1374z00_14461;
																																																																																					goto
																																																																																						BgL_zc3anonymousza32301ze3z83_2662;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_14452
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_14452)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg2291z00_2644;
																																																																																		BgL_arg2291z00_2644
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd25693zd2_2618);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14465;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14469;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14468;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14467;
																																																																																				obj_t
																																																																																					BgL_testz00_14466;
																																																																																				BgL_testz00_14466
																																																																																					=
																																																																																					BgL_arg2291z00_2644;
																																																																																				BgL_proc1z00_14467
																																																																																					=
																																																																																					BgL_carzd25702zd2_2624;
																																																																																				BgL_proc2z00_14468
																																																																																					=
																																																																																					BgL_carzd25708zd2_2628;
																																																																																				BgL_argsz00_14469
																																																																																					=
																																																																																					BgL_cdrzd25688zd2_2617;
																																																																																				BgL_argsz00_1734
																																																																																					=
																																																																																					BgL_argsz00_14469;
																																																																																				BgL_proc2z00_1733
																																																																																					=
																																																																																					BgL_proc2z00_14468;
																																																																																				BgL_proc1z00_1732
																																																																																					=
																																																																																					BgL_proc1z00_14467;
																																																																																				BgL_testz00_1731
																																																																																					=
																																																																																					BgL_testz00_14466;
																																																																																				goto
																																																																																					BgL_tagzd2387zd2_1735;
																																																																																			}
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14465);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd25733zd2_2645;
																																																																																		BgL_cdrzd25733zd2_2645
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd25741zd2_2646;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_9363;
																																																																																				BgL_pairz00_9363
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_expz00_21));
																																																																																				BgL_cdrzd25741zd2_2646
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_pairz00_9363);
																																																																																			}
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_cdrzd25749zd2_2647;
																																																																																				BgL_cdrzd25749zd2_2647
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd25741zd2_2646));
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd25756zd2_2648;
																																																																																					BgL_carzd25756zd2_2648
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd25749zd2_2647));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25756zd2_2648))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_carzd25765zd2_2650;
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_pairz00_9367;
																																																																																								BgL_pairz00_9367
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd25749zd2_2647));
																																																																																								BgL_carzd25765zd2_2650
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_pairz00_9367);
																																																																																							}
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25765zd2_2650))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25733zd2_2645))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											obj_t
																																																																																												BgL_arg2295z00_2653;
																																																																																											BgL_arg2295z00_2653
																																																																																												=
																																																																																												CAR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd25741zd2_2646));
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_14491;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_14495;
																																																																																													obj_t
																																																																																														BgL_proc2z00_14494;
																																																																																													obj_t
																																																																																														BgL_proc1z00_14493;
																																																																																													obj_t
																																																																																														BgL_testz00_14492;
																																																																																													BgL_testz00_14492
																																																																																														=
																																																																																														BgL_arg2295z00_2653;
																																																																																													BgL_proc1z00_14493
																																																																																														=
																																																																																														BgL_carzd25756zd2_2648;
																																																																																													BgL_proc2z00_14494
																																																																																														=
																																																																																														BgL_carzd25765zd2_2650;
																																																																																													BgL_argsz00_14495
																																																																																														=
																																																																																														BgL_cdrzd25733zd2_2645;
																																																																																													BgL_argsz00_1739
																																																																																														=
																																																																																														BgL_argsz00_14495;
																																																																																													BgL_proc2z00_1738
																																																																																														=
																																																																																														BgL_proc2z00_14494;
																																																																																													BgL_proc1z00_1737
																																																																																														=
																																																																																														BgL_proc1z00_14493;
																																																																																													BgL_testz00_1736
																																																																																														=
																																																																																														BgL_testz00_14492;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1740;
																																																																																												}
																																																																																												BgL_auxz00_12643
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_14491);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1764;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_14499;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1765;
																																																																																													BgL_auxz00_12643
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_14499);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14503;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14503);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14507;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14507);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14511;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14511);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd26043zd2_2672;
																																																																														BgL_cdrzd26043zd2_2672
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd26050zd2_2673;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_9371;
																																																																																BgL_pairz00_9371
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd26050zd2_2673
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_9371);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd26057zd2_2674;
																																																																																BgL_cdrzd26057zd2_2674
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd26050zd2_2673));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd26063zd2_2675;
																																																																																	obj_t
																																																																																		BgL_cdrzd26064zd2_2676;
																																																																																	BgL_carzd26063zd2_2675
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd26057zd2_2674));
																																																																																	BgL_cdrzd26064zd2_2676
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd26057zd2_2674));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26063zd2_2675))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd26071zd2_2678;
																																																																																			BgL_carzd26071zd2_2678
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd26064zd2_2676));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26071zd2_2678))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (NULLP(CDR(((obj_t) BgL_cdrzd26064zd2_2676))))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26043zd2_2672))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg2310z00_2683;
																																																																																									BgL_arg2310z00_2683
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd26050zd2_2673));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_14538;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_14542;
																																																																																											obj_t
																																																																																												BgL_proc2z00_14541;
																																																																																											obj_t
																																																																																												BgL_proc1z00_14540;
																																																																																											obj_t
																																																																																												BgL_testz00_14539;
																																																																																											BgL_testz00_14539
																																																																																												=
																																																																																												BgL_arg2310z00_2683;
																																																																																											BgL_proc1z00_14540
																																																																																												=
																																																																																												BgL_carzd26063zd2_2675;
																																																																																											BgL_proc2z00_14541
																																																																																												=
																																																																																												BgL_carzd26071zd2_2678;
																																																																																											BgL_argsz00_14542
																																																																																												=
																																																																																												BgL_cdrzd26043zd2_2672;
																																																																																											BgL_argsz00_1739
																																																																																												=
																																																																																												BgL_argsz00_14542;
																																																																																											BgL_proc2z00_1738
																																																																																												=
																																																																																												BgL_proc2z00_14541;
																																																																																											BgL_proc1z00_1737
																																																																																												=
																																																																																												BgL_proc1z00_14540;
																																																																																											BgL_testz00_1736
																																																																																												=
																																																																																												BgL_testz00_14539;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1740;
																																																																																										}
																																																																																										BgL_auxz00_12643
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_14538);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14546;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14546);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14550;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14550);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14554;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14554);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14558;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14558);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14562;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14562);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd26404zd2_2691;
																																																																										BgL_cdrzd26404zd2_2691
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd26410zd2_2692;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_9381;
																																																																												BgL_pairz00_9381
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd26410zd2_2692
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_9381);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd26416zd2_2693;
																																																																												BgL_cdrzd26416zd2_2693
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd26410zd2_2692));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd26421zd2_2694;
																																																																													obj_t
																																																																														BgL_cdrzd26422zd2_2695;
																																																																													BgL_carzd26421zd2_2694
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd26416zd2_2693));
																																																																													BgL_cdrzd26422zd2_2695
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd26416zd2_2693));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26421zd2_2694))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (PAIRP(BgL_cdrzd26422zd2_2695))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd26427zd2_2698;
																																																																																	BgL_carzd26427zd2_2698
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd26422zd2_2695);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26427zd2_2698))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (NULLP(CDR(BgL_cdrzd26422zd2_2695)))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26404zd2_2691))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg2325z00_2703;
																																																																																							BgL_arg2325z00_2703
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd26410zd2_2692));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_14589;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_14593;
																																																																																									obj_t
																																																																																										BgL_proc2z00_14592;
																																																																																									obj_t
																																																																																										BgL_proc1z00_14591;
																																																																																									obj_t
																																																																																										BgL_testz00_14590;
																																																																																									BgL_testz00_14590
																																																																																										=
																																																																																										BgL_arg2325z00_2703;
																																																																																									BgL_proc1z00_14591
																																																																																										=
																																																																																										BgL_carzd26421zd2_2694;
																																																																																									BgL_proc2z00_14592
																																																																																										=
																																																																																										BgL_carzd26427zd2_2698;
																																																																																									BgL_argsz00_14593
																																																																																										=
																																																																																										BgL_cdrzd26404zd2_2691;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_14593;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_14592;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_14591;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_14590;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_14589);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14597;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14597);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14601;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14601);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14605;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14605);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14609;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14609);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14613;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14613);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_14617;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_14617);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_14621;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_14621);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_14625;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_14625);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd23952zd2_2593 == CNST_TABLE_REF(((long) 18))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_14630;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_14630);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd23952zd2_2593)))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_14635;
																																																			goto
																																																				BgL_tagzd2382zd2_1720;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_14635);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((BgL_carzd23952zd2_2593 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_14640;
																																																					goto
																																																						BgL_tagzd2382zd2_1720;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_14640);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_14647;
																																																							goto
																																																								BgL_tagzd2383zd2_1721;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_14647);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd26989zd2_2863;
																																																							BgL_carzd26989zd2_2863
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd26989zd2_2863 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_14654;
																																																									goto
																																																										BgL_tagzd2384zd2_1722;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_14654);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd26989zd2_2863)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_14659;
																																																											goto
																																																												BgL_tagzd2384zd2_1722;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_14659);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_14666;
																																																													goto
																																																														BgL_tagzd2389zd2_1741;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_14666);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_14673;
																																																															goto
																																																																BgL_tagzd2390zd2_1742;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_14673);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd27069zd2_2870;
																																																															BgL_cdrzd27069zd2_2870
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg2459z00_2873;
																																																																	obj_t
																																																																		BgL_arg2460z00_2874;
																																																																	BgL_arg2459z00_2873
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27069zd2_2870));
																																																																	BgL_arg2460z00_2874
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27069zd2_2870));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_14686;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_14688;
																																																																			obj_t
																																																																				BgL_effectz00_14687;
																																																																			BgL_effectz00_14687
																																																																				=
																																																																				BgL_arg2459z00_2873;
																																																																			BgL_restz00_14688
																																																																				=
																																																																				BgL_arg2460z00_2874;
																																																																			BgL_restz00_1744
																																																																				=
																																																																				BgL_restz00_14688;
																																																																			BgL_effectz00_1743
																																																																				=
																																																																				BgL_effectz00_14687;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1745;
																																																																		}
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_14686);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_14695;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1746;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_14695);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_14702;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1747;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_14702);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg2469z00_2882;
																																																																							obj_t
																																																																								BgL_arg2470z00_2883;
																																																																							BgL_arg2469z00_2882
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27069zd2_2870));
																																																																							BgL_arg2470z00_2883
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27069zd2_2870));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_14713;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_14715;
																																																																									obj_t
																																																																										BgL_effectz00_14714;
																																																																									BgL_effectz00_14714
																																																																										=
																																																																										BgL_arg2469z00_2882;
																																																																									BgL_restz00_14715
																																																																										=
																																																																										BgL_arg2470z00_2883;
																																																																									BgL_restz00_1749
																																																																										=
																																																																										BgL_restz00_14715;
																																																																									BgL_effectz00_1748
																																																																										=
																																																																										BgL_effectz00_14714;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1750;
																																																																								}
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_14713);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_14722;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1751;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_14722);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_14729;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1752;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_14729);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_14736;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1753;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_14736);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_14743;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1754;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_14743);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd27146zd2_2892;
																																																																															BgL_cdrzd27146zd2_2892
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg2483z00_2895;
																																																																																	obj_t
																																																																																		BgL_arg2484z00_2896;
																																																																																	BgL_arg2483z00_2895
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27146zd2_2892));
																																																																																	BgL_arg2484z00_2896
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27146zd2_2892));
																																																																																	{	/* Ast/sexp.scm 548 */
																																																																																		obj_t
																																																																																			BgL_arg6427z00_9413;
																																																																																		BgL_arg6427z00_9413
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg2483z00_2895,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg2484z00_2896, BgL_stackz00_22, BgL_arg6427z00_9413, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14762;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14762);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd27169zd2_2913;
																																			BgL_carzd27169zd2_2913
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd27169zd2_2913
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_14769;
																																					goto
																																						BgL_tagzd2377zd2_1711;
																																					BgL_auxz00_12643
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_14769);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd27169zd2_2913
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_14773;
																																							goto
																																								BgL_tagzd2377zd2_1711;
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_14773);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_14780;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_14780);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_14787;
																																											goto
																																												BgL_tagzd2380zd2_1716;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_14787);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd27230zd2_2920;
																																											BgL_carzd27230zd2_2920
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd27230zd2_2920))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd27233zd2_2922;
																																													obj_t
																																														BgL_cdrzd27234zd2_2923;
																																													BgL_carzd27233zd2_2922
																																														=
																																														CAR
																																														(BgL_carzd27230zd2_2920);
																																													BgL_cdrzd27234zd2_2923
																																														=
																																														CDR
																																														(BgL_carzd27230zd2_2920);
																																													{

																																														if ((BgL_carzd27233zd2_2922 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 118 */
																																															BgL_kapzd27235zd2_2924:
																																																if (PAIRP(BgL_cdrzd27234zd2_2923))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd27238zd2_3046;
																																																		BgL_cdrzd27238zd2_3046
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27234zd2_2923);
																																																		if (PAIRP(BgL_cdrzd27238zd2_3046))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd27238zd2_3046)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg2624z00_3050;
																																																						obj_t
																																																							BgL_arg2625z00_3051;
																																																						BgL_arg2624z00_3050
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27238zd2_3046);
																																																						BgL_arg2625z00_3051
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_14809;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_14811;
																																																								obj_t
																																																									BgL_bodyz00_14810;
																																																								BgL_bodyz00_14810
																																																									=
																																																									BgL_arg2624z00_3050;
																																																								BgL_argsz00_14811
																																																									=
																																																									BgL_arg2625z00_3051;
																																																								BgL_argsz00_1718
																																																									=
																																																									BgL_argsz00_14811;
																																																								BgL_bodyz00_1717
																																																									=
																																																									BgL_bodyz00_14810;
																																																								goto
																																																									BgL_tagzd2381zd2_1719;
																																																							}
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_14809);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_14813;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2694z00_3160;
																																																							BgL_arg2694z00_3160
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_14813
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2694z00_3160));
																																																						}
																																																						if (BgL_testz00_14813)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_14818;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14818);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_14820;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2693z00_3159;
																																																									BgL_arg2693z00_3159
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_14820
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2693z00_3159));
																																																								}
																																																								if (BgL_testz00_14820)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_14825;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14825);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd27316zd2_3056;
																																																										BgL_carzd27316zd2_3056
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd27321zd2_3057;
																																																											BgL_cdrzd27321zd2_3057
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd27316zd2_3056));
																																																											if ((CAR(((obj_t) BgL_carzd27316zd2_3056)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2633z00_3060;
																																																													obj_t
																																																														BgL_arg2634z00_3061;
																																																													obj_t
																																																														BgL_arg2635z00_3062;
																																																													BgL_arg2633z00_3060
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd27321zd2_3057));
																																																													BgL_arg2634z00_3061
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd27321zd2_3057));
																																																													BgL_arg2635z00_3062
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_14842;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_14845;
																																																															obj_t
																																																																BgL_bodyz00_14844;
																																																															obj_t
																																																																BgL_varsz00_14843;
																																																															BgL_varsz00_14843
																																																																=
																																																																BgL_arg2633z00_3060;
																																																															BgL_bodyz00_14844
																																																																=
																																																																BgL_arg2634z00_3061;
																																																															BgL_argsz00_14845
																																																																=
																																																																BgL_arg2635z00_3062;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_14845;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_14844;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_14843;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14842);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd27344zd2_3064;
																																																													BgL_cdrzd27344zd2_3064
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd27350zd2_3065;
																																																														BgL_cdrzd27350zd2_3065
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd27316zd2_3056));
																																																														if ((CAR(((obj_t) BgL_carzd27316zd2_3056)) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd27356zd2_3068;
																																																																BgL_cdrzd27356zd2_3068
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd27350zd2_3065));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd27361zd2_3069;
																																																																	obj_t
																																																																		BgL_cdrzd27362zd2_3070;
																																																																	BgL_carzd27361zd2_3069
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27356zd2_3068));
																																																																	BgL_cdrzd27362zd2_3070
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27356zd2_3068));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27361zd2_3069))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd27362zd2_3070))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd27369zd2_3073;
																																																																					BgL_carzd27369zd2_3073
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd27362zd2_3070);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27369zd2_3073))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd27362zd2_3070)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_14872;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1377z00_3106;
																																																																										BgL_l1377z00_3106
																																																																											=
																																																																											BgL_cdrzd27344zd2_3064;
																																																																									BgL_zc3anonymousza32658ze3z83_3107:
																																																																										if (NULLP(BgL_l1377z00_3106))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_14872
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_14875;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_14876;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_tmpz00_14877;
																																																																														BgL_tmpz00_14877
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_l1377z00_3106));
																																																																														BgL_testz00_14876
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_14877);
																																																																													}
																																																																													if (BgL_testz00_14876)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_14875
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_14875
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_14875)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1377z00_14881;
																																																																														BgL_l1377z00_14881
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_l1377z00_3106));
																																																																														BgL_l1377z00_3106
																																																																															=
																																																																															BgL_l1377z00_14881;
																																																																														goto
																																																																															BgL_zc3anonymousza32658ze3z83_3107;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_14872
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_14872)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg2648z00_3089;
																																																																											BgL_arg2648z00_3089
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd27350zd2_3065));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14886;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_14890;
																																																																													obj_t
																																																																														BgL_proc2z00_14889;
																																																																													obj_t
																																																																														BgL_proc1z00_14888;
																																																																													obj_t
																																																																														BgL_testz00_14887;
																																																																													BgL_testz00_14887
																																																																														=
																																																																														BgL_arg2648z00_3089;
																																																																													BgL_proc1z00_14888
																																																																														=
																																																																														BgL_carzd27361zd2_3069;
																																																																													BgL_proc2z00_14889
																																																																														=
																																																																														BgL_carzd27369zd2_3073;
																																																																													BgL_argsz00_14890
																																																																														=
																																																																														BgL_cdrzd27344zd2_3064;
																																																																													BgL_argsz00_1734
																																																																														=
																																																																														BgL_argsz00_14890;
																																																																													BgL_proc2z00_1733
																																																																														=
																																																																														BgL_proc2z00_14889;
																																																																													BgL_proc1z00_1732
																																																																														=
																																																																														BgL_proc1z00_14888;
																																																																													BgL_testz00_1731
																																																																														=
																																																																														BgL_testz00_14887;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1735;
																																																																												}
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14886);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd27393zd2_3090;
																																																																											BgL_cdrzd27393zd2_3090
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd27400zd2_3091;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_9454;
																																																																													BgL_pairz00_9454
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd27400zd2_3091
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_9454);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd27407zd2_3092;
																																																																													BgL_cdrzd27407zd2_3092
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27400zd2_3091));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd27413zd2_3093;
																																																																														BgL_carzd27413zd2_3093
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd27407zd2_3092));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27413zd2_3093))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd27420zd2_3095;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_9458;
																																																																																	BgL_pairz00_9458
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27407zd2_3092));
																																																																																	BgL_carzd27420zd2_3095
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_pairz00_9458);
																																																																																}
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27420zd2_3095))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27393zd2_3090))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg2652z00_3098;
																																																																																				BgL_arg2652z00_3098
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd27400zd2_3091));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14912;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_14916;
																																																																																						obj_t
																																																																																							BgL_proc2z00_14915;
																																																																																						obj_t
																																																																																							BgL_proc1z00_14914;
																																																																																						obj_t
																																																																																							BgL_testz00_14913;
																																																																																						BgL_testz00_14913
																																																																																							=
																																																																																							BgL_arg2652z00_3098;
																																																																																						BgL_proc1z00_14914
																																																																																							=
																																																																																							BgL_carzd27413zd2_3093;
																																																																																						BgL_proc2z00_14915
																																																																																							=
																																																																																							BgL_carzd27420zd2_3095;
																																																																																						BgL_argsz00_14916
																																																																																							=
																																																																																							BgL_cdrzd27393zd2_3090;
																																																																																						BgL_argsz00_1739
																																																																																							=
																																																																																							BgL_argsz00_14916;
																																																																																						BgL_proc2z00_1738
																																																																																							=
																																																																																							BgL_proc2z00_14915;
																																																																																						BgL_proc1z00_1737
																																																																																							=
																																																																																							BgL_proc1z00_14914;
																																																																																						BgL_testz00_1736
																																																																																							=
																																																																																							BgL_testz00_14913;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1740;
																																																																																					}
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14912);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14920;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14920);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14924;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14924);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14928;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14928);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_14932;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_14932);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd27696zd2_3117;
																																																																							BgL_cdrzd27696zd2_3117
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd27702zd2_3118;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_9462;
																																																																									BgL_pairz00_9462
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd27702zd2_3118
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_9462);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd27708zd2_3119;
																																																																									BgL_cdrzd27708zd2_3119
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd27702zd2_3118));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd27713zd2_3120;
																																																																										obj_t
																																																																											BgL_cdrzd27714zd2_3121;
																																																																										BgL_carzd27713zd2_3120
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd27708zd2_3119));
																																																																										BgL_cdrzd27714zd2_3121
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd27708zd2_3119));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27713zd2_3120))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd27719zd2_3123;
																																																																												BgL_carzd27719zd2_3123
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd27714zd2_3121));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27719zd2_3123))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27714zd2_3121))))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27696zd2_3117))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg2667z00_3128;
																																																																																		BgL_arg2667z00_3128
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd27702zd2_3118));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14959;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14963;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14962;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14961;
																																																																																				obj_t
																																																																																					BgL_testz00_14960;
																																																																																				BgL_testz00_14960
																																																																																					=
																																																																																					BgL_arg2667z00_3128;
																																																																																				BgL_proc1z00_14961
																																																																																					=
																																																																																					BgL_carzd27713zd2_3120;
																																																																																				BgL_proc2z00_14962
																																																																																					=
																																																																																					BgL_carzd27719zd2_3123;
																																																																																				BgL_argsz00_14963
																																																																																					=
																																																																																					BgL_cdrzd27696zd2_3117;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_14963;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_14962;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_14961;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_14960;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14959);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14967;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14967);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14971;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14971);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14975;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14975);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14979;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14979);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_14983;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_14983);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd28052zd2_3136;
																																																																			BgL_cdrzd28052zd2_3136
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd28059zd2_3137;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_9472;
																																																																					BgL_pairz00_9472
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd28059zd2_3137
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_9472);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd28066zd2_3138;
																																																																					BgL_cdrzd28066zd2_3138
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd28059zd2_3137));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd28072zd2_3139;
																																																																						obj_t
																																																																							BgL_cdrzd28073zd2_3140;
																																																																						BgL_carzd28072zd2_3139
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd28066zd2_3138));
																																																																						BgL_cdrzd28073zd2_3140
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd28066zd2_3138));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28072zd2_3139))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd28073zd2_3140))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd28080zd2_3143;
																																																																										BgL_carzd28080zd2_3143
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd28073zd2_3140);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28080zd2_3143))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd28073zd2_3140)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28052zd2_3136))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg2681z00_3148;
																																																																																BgL_arg2681z00_3148
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd28059zd2_3137));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15010;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_15014;
																																																																																		obj_t
																																																																																			BgL_proc2z00_15013;
																																																																																		obj_t
																																																																																			BgL_proc1z00_15012;
																																																																																		obj_t
																																																																																			BgL_testz00_15011;
																																																																																		BgL_testz00_15011
																																																																																			=
																																																																																			BgL_arg2681z00_3148;
																																																																																		BgL_proc1z00_15012
																																																																																			=
																																																																																			BgL_carzd28072zd2_3139;
																																																																																		BgL_proc2z00_15013
																																																																																			=
																																																																																			BgL_carzd28080zd2_3143;
																																																																																		BgL_argsz00_15014
																																																																																			=
																																																																																			BgL_cdrzd28052zd2_3136;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_15014;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_15013;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_15012;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_15011;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15010);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15018;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15018);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15022;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15022);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15026;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15026);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15030;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15030);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15034;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15034);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_15038;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_15038);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_15040;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2710z00_3176;
																																																					BgL_arg2710z00_3176
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_15040
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg2710z00_3176));
																																																				}
																																																				if (BgL_testz00_15040)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15045;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15045);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_15047;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2709z00_3175;
																																																							BgL_arg2709z00_3175
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_15047
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2709z00_3175));
																																																						}
																																																						if (BgL_testz00_15047)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_15052;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15052);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd28526zd2_3166;
																																																								BgL_carzd28526zd2_3166
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd28531zd2_3167;
																																																									BgL_cdrzd28531zd2_3167
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd28526zd2_3166));
																																																									if ((CAR(((obj_t) BgL_carzd28526zd2_3166)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2703z00_3170;
																																																											obj_t
																																																												BgL_arg2705z00_3171;
																																																											obj_t
																																																												BgL_arg2706z00_3172;
																																																											BgL_arg2703z00_3170
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd28531zd2_3167));
																																																											BgL_arg2705z00_3171
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd28531zd2_3167));
																																																											BgL_arg2706z00_3172
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_15069;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_15072;
																																																													obj_t
																																																														BgL_bodyz00_15071;
																																																													obj_t
																																																														BgL_varsz00_15070;
																																																													BgL_varsz00_15070
																																																														=
																																																														BgL_arg2703z00_3170;
																																																													BgL_bodyz00_15071
																																																														=
																																																														BgL_arg2705z00_3171;
																																																													BgL_argsz00_15072
																																																														=
																																																														BgL_arg2706z00_3172;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_15072;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_15071;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_15070;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15069);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_15076;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15076);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_15078;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg2722z00_3183;
																																																			BgL_arg2722z00_3183
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_15078
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg2722z00_3183));
																																																		}
																																																		if (BgL_testz00_15078)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_15083;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15083);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_15085;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2721z00_3182;
																																																					BgL_arg2721z00_3182
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_15085
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2721z00_3182));
																																																				}
																																																				if (BgL_testz00_15085)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_15090;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15090);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1764;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_15094;
																																																								goto
																																																									BgL_tagzd2404zd2_1765;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15094);
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27233zd2_2922)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd27235zd2_2924;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd27233zd2_2922 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd27235zd2_2924;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd27233zd2_2922 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd27235zd2_2924;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27233zd2_2922)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd27235zd2_2924;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_15108;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2619z00_3044;
																																																									BgL_arg2619z00_3044
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_15108
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2619z00_3044));
																																																								}
																																																								if (BgL_testz00_15108)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15113;
																																																										goto
																																																											BgL_tagzd2382zd2_1720;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15113);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_15115;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2617z00_3043;
																																																											BgL_arg2617z00_3043
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_15115
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2617z00_3043));
																																																										}
																																																										if (BgL_testz00_15115)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_15120;
																																																												goto
																																																													BgL_tagzd2384zd2_1722;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15120);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd28854zd2_2934;
																																																												BgL_carzd28854zd2_2934
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd28859zd2_2935;
																																																													BgL_cdrzd28859zd2_2935
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd28854zd2_2934));
																																																													if ((CAR(((obj_t) BgL_carzd28854zd2_2934)) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd28859zd2_2935))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg2549z00_2939;
																																																																	obj_t
																																																																		BgL_arg2550z00_2940;
																																																																	obj_t
																																																																		BgL_arg2551z00_2941;
																																																																	BgL_arg2549z00_2939
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd28859zd2_2935);
																																																																	BgL_arg2550z00_2940
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd28859zd2_2935);
																																																																	BgL_arg2551z00_2941
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_15137;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_15140;
																																																																			obj_t
																																																																				BgL_bodyz00_15139;
																																																																			obj_t
																																																																				BgL_varsz00_15138;
																																																																			BgL_varsz00_15138
																																																																				=
																																																																				BgL_arg2549z00_2939;
																																																																			BgL_bodyz00_15139
																																																																				=
																																																																				BgL_arg2550z00_2940;
																																																																			BgL_argsz00_15140
																																																																				=
																																																																				BgL_arg2551z00_2941;
																																																																			BgL_argsz00_1729
																																																																				=
																																																																				BgL_argsz00_15140;
																																																																			BgL_bodyz00_1728
																																																																				=
																																																																				BgL_bodyz00_15139;
																																																																			BgL_varsz00_1727
																																																																				=
																																																																				BgL_varsz00_15138;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1730;
																																																																		}
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_15137);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_15144;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_15144);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd28966zd2_2944;
																																																															BgL_cdrzd28966zd2_2944
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd28971zd2_2945;
																																																																BgL_cdrzd28971zd2_2945
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd28854zd2_2934));
																																																																if ((CAR(((obj_t) BgL_carzd28854zd2_2934)) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd28971zd2_2945))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd28976zd2_2949;
																																																																				BgL_cdrzd28976zd2_2949
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd28971zd2_2945);
																																																																				if (PAIRP(BgL_cdrzd28976zd2_2949))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd28980zd2_2951;
																																																																						obj_t
																																																																							BgL_cdrzd28981zd2_2952;
																																																																						BgL_carzd28980zd2_2951
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd28976zd2_2949);
																																																																						BgL_cdrzd28981zd2_2952
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd28976zd2_2949);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28980zd2_2951))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd28981zd2_2952))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd28986zd2_2955;
																																																																										BgL_carzd28986zd2_2955
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd28981zd2_2952);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28986zd2_2955))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd28981zd2_2952)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_15172;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1380z00_2988;
																																																																															BgL_l1380z00_2988
																																																																																=
																																																																																BgL_cdrzd28966zd2_2944;
																																																																														BgL_zc3anonymousza32578ze3z83_2989:
																																																																															if (NULLP(BgL_l1380z00_2988))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_15172
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_15175;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_15176;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_15177;
																																																																																			BgL_tmpz00_15177
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1380z00_2988));
																																																																																			BgL_testz00_15176
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_15177);
																																																																																		}
																																																																																		if (BgL_testz00_15176)
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_15175
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_15175
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_15175)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1380z00_15181;
																																																																																			BgL_l1380z00_15181
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1380z00_2988));
																																																																																			BgL_l1380z00_2988
																																																																																				=
																																																																																				BgL_l1380z00_15181;
																																																																																			goto
																																																																																				BgL_zc3anonymousza32578ze3z83_2989;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_15172
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_15172)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg2568z00_2971;
																																																																																BgL_arg2568z00_2971
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd28971zd2_2945);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15185;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_15189;
																																																																																		obj_t
																																																																																			BgL_proc2z00_15188;
																																																																																		obj_t
																																																																																			BgL_proc1z00_15187;
																																																																																		obj_t
																																																																																			BgL_testz00_15186;
																																																																																		BgL_testz00_15186
																																																																																			=
																																																																																			BgL_arg2568z00_2971;
																																																																																		BgL_proc1z00_15187
																																																																																			=
																																																																																			BgL_carzd28980zd2_2951;
																																																																																		BgL_proc2z00_15188
																																																																																			=
																																																																																			BgL_carzd28986zd2_2955;
																																																																																		BgL_argsz00_15189
																																																																																			=
																																																																																			BgL_cdrzd28966zd2_2944;
																																																																																		BgL_argsz00_1734
																																																																																			=
																																																																																			BgL_argsz00_15189;
																																																																																		BgL_proc2z00_1733
																																																																																			=
																																																																																			BgL_proc2z00_15188;
																																																																																		BgL_proc1z00_1732
																																																																																			=
																																																																																			BgL_proc1z00_15187;
																																																																																		BgL_testz00_1731
																																																																																			=
																																																																																			BgL_testz00_15186;
																																																																																		goto
																																																																																			BgL_tagzd2387zd2_1735;
																																																																																	}
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15185);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd29011zd2_2972;
																																																																																BgL_cdrzd29011zd2_2972
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29019zd2_2973;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_9520;
																																																																																		BgL_pairz00_9520
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd29019zd2_2973
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_9520);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd29027zd2_2974;
																																																																																		BgL_cdrzd29027zd2_2974
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29019zd2_2973));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd29034zd2_2975;
																																																																																			BgL_carzd29034zd2_2975
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd29027zd2_2974));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29034zd2_2975))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd29043zd2_2977;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_pairz00_9524;
																																																																																						BgL_pairz00_9524
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd29027zd2_2974));
																																																																																						BgL_carzd29043zd2_2977
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_9524);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29043zd2_2977))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29011zd2_2972))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg2572z00_2980;
																																																																																									BgL_arg2572z00_2980
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd29019zd2_2973));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_15211;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_15215;
																																																																																											obj_t
																																																																																												BgL_proc2z00_15214;
																																																																																											obj_t
																																																																																												BgL_proc1z00_15213;
																																																																																											obj_t
																																																																																												BgL_testz00_15212;
																																																																																											BgL_testz00_15212
																																																																																												=
																																																																																												BgL_arg2572z00_2980;
																																																																																											BgL_proc1z00_15213
																																																																																												=
																																																																																												BgL_carzd29034zd2_2975;
																																																																																											BgL_proc2z00_15214
																																																																																												=
																																																																																												BgL_carzd29043zd2_2977;
																																																																																											BgL_argsz00_15215
																																																																																												=
																																																																																												BgL_cdrzd29011zd2_2972;
																																																																																											BgL_argsz00_1739
																																																																																												=
																																																																																												BgL_argsz00_15215;
																																																																																											BgL_proc2z00_1738
																																																																																												=
																																																																																												BgL_proc2z00_15214;
																																																																																											BgL_proc1z00_1737
																																																																																												=
																																																																																												BgL_proc1z00_15213;
																																																																																											BgL_testz00_1736
																																																																																												=
																																																																																												BgL_testz00_15212;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1740;
																																																																																										}
																																																																																										BgL_auxz00_12643
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_15211);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_15219;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_12643
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_15219);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15223;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15223);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15227;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15227);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15231;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15231);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd29321zd2_2999;
																																																																												BgL_cdrzd29321zd2_2999
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd29328zd2_3000;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_9528;
																																																																														BgL_pairz00_9528
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd29328zd2_3000
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_9528);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd29335zd2_3001;
																																																																														BgL_cdrzd29335zd2_3001
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd29328zd2_3000));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd29341zd2_3002;
																																																																															obj_t
																																																																																BgL_cdrzd29342zd2_3003;
																																																																															BgL_carzd29341zd2_3002
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd29335zd2_3001));
																																																																															BgL_cdrzd29342zd2_3003
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd29335zd2_3001));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29341zd2_3002))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd29349zd2_3005;
																																																																																	BgL_carzd29349zd2_3005
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd29342zd2_3003));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29349zd2_3005))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd29342zd2_3003))))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29321zd2_2999))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg2588z00_3010;
																																																																																							BgL_arg2588z00_3010
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd29328zd2_3000));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15258;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_15262;
																																																																																									obj_t
																																																																																										BgL_proc2z00_15261;
																																																																																									obj_t
																																																																																										BgL_proc1z00_15260;
																																																																																									obj_t
																																																																																										BgL_testz00_15259;
																																																																																									BgL_testz00_15259
																																																																																										=
																																																																																										BgL_arg2588z00_3010;
																																																																																									BgL_proc1z00_15260
																																																																																										=
																																																																																										BgL_carzd29341zd2_3002;
																																																																																									BgL_proc2z00_15261
																																																																																										=
																																																																																										BgL_carzd29349zd2_3005;
																																																																																									BgL_argsz00_15262
																																																																																										=
																																																																																										BgL_cdrzd29321zd2_2999;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_15262;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_15261;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_15260;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_15259;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15258);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15266;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15266);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15270;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15270);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15274;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15274);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15278;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15278);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15282;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15282);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd29682zd2_3018;
																																																																								BgL_cdrzd29682zd2_3018
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd29688zd2_3019;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_9538;
																																																																										BgL_pairz00_9538
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd29688zd2_3019
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_9538);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd29694zd2_3020;
																																																																										BgL_cdrzd29694zd2_3020
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd29688zd2_3019));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd29699zd2_3021;
																																																																											obj_t
																																																																												BgL_cdrzd29700zd2_3022;
																																																																											BgL_carzd29699zd2_3021
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd29694zd2_3020));
																																																																											BgL_cdrzd29700zd2_3022
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd29694zd2_3020));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29699zd2_3021))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd29700zd2_3022))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd29705zd2_3025;
																																																																															BgL_carzd29705zd2_3025
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd29700zd2_3022);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29705zd2_3025))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(BgL_cdrzd29700zd2_3022)))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29682zd2_3018))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2602z00_3030;
																																																																																					BgL_arg2602z00_3030
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd29688zd2_3019));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15309;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15313;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15312;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15311;
																																																																																							obj_t
																																																																																								BgL_testz00_15310;
																																																																																							BgL_testz00_15310
																																																																																								=
																																																																																								BgL_arg2602z00_3030;
																																																																																							BgL_proc1z00_15311
																																																																																								=
																																																																																								BgL_carzd29699zd2_3021;
																																																																																							BgL_proc2z00_15312
																																																																																								=
																																																																																								BgL_carzd29705zd2_3025;
																																																																																							BgL_argsz00_15313
																																																																																								=
																																																																																								BgL_cdrzd29682zd2_3018;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_15313;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_15312;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_15311;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_15310;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15309);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15317;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15317);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15321;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15321);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15325;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15325);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15329;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15329);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15333;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15333);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15337;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15337);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_15341;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_15341);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_15345;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_15345);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd27230zd2_2920 == CNST_TABLE_REF(((long) 18))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_15350;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_15350);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27230zd2_2920)))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_15355;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_15355);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((BgL_carzd27230zd2_2920 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_15360;
																																																			goto
																																																				BgL_tagzd2382zd2_1720;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_15360);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_15367;
																																																					goto
																																																						BgL_tagzd2383zd2_1721;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_15367);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd210267zd2_3190;
																																																					BgL_carzd210267zd2_3190
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd210267zd2_3190 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_15374;
																																																							goto
																																																								BgL_tagzd2384zd2_1722;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_15374);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210267zd2_3190)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_15379;
																																																									goto
																																																										BgL_tagzd2384zd2_1722;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_15379);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_15386;
																																																											goto
																																																												BgL_tagzd2389zd2_1741;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15386);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_15393;
																																																													goto
																																																														BgL_tagzd2390zd2_1742;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15393);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd210347zd2_3197;
																																																													BgL_cdrzd210347zd2_3197
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2749z00_3200;
																																																															obj_t
																																																																BgL_arg2750z00_3201;
																																																															BgL_arg2749z00_3200
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd210347zd2_3197));
																																																															BgL_arg2750z00_3201
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210347zd2_3197));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15406;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_15408;
																																																																	obj_t
																																																																		BgL_effectz00_15407;
																																																																	BgL_effectz00_15407
																																																																		=
																																																																		BgL_arg2749z00_3200;
																																																																	BgL_restz00_15408
																																																																		=
																																																																		BgL_arg2750z00_3201;
																																																																	BgL_restz00_1744
																																																																		=
																																																																		BgL_restz00_15408;
																																																																	BgL_effectz00_1743
																																																																		=
																																																																		BgL_effectz00_15407;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1745;
																																																																}
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15406);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15415;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1746;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15415);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_15422;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1747;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_15422);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg2759z00_3209;
																																																																					obj_t
																																																																						BgL_arg2760z00_3210;
																																																																					BgL_arg2759z00_3209
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210347zd2_3197));
																																																																					BgL_arg2760z00_3210
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210347zd2_3197));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_15433;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_15435;
																																																																							obj_t
																																																																								BgL_effectz00_15434;
																																																																							BgL_effectz00_15434
																																																																								=
																																																																								BgL_arg2759z00_3209;
																																																																							BgL_restz00_15435
																																																																								=
																																																																								BgL_arg2760z00_3210;
																																																																							BgL_restz00_1749
																																																																								=
																																																																								BgL_restz00_15435;
																																																																							BgL_effectz00_1748
																																																																								=
																																																																								BgL_effectz00_15434;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1750;
																																																																						}
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_15433);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15442;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1751;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15442);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_15449;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1752;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15449);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_15456;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1753;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_15456);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_15463;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1754;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15463);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd210424zd2_3219;
																																																																													BgL_cdrzd210424zd2_3219
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg2786z00_3222;
																																																																															obj_t
																																																																																BgL_arg2789z00_3223;
																																																																															BgL_arg2786z00_3222
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210424zd2_3219));
																																																																															BgL_arg2789z00_3223
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210424zd2_3219));
																																																																															{	/* Ast/sexp.scm 548 */
																																																																																obj_t
																																																																																	BgL_arg6427z00_9570;
																																																																																BgL_arg6427z00_9570
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg2786z00_3222,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg2789z00_3223, BgL_stackz00_22, BgL_arg6427z00_9570, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15482;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15482);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd210447zd2_3240;
																																	BgL_carzd210447zd2_3240
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd210447zd2_3240
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_15489;
																																			goto
																																				BgL_tagzd2377zd2_1711;
																																			BgL_auxz00_12643
																																				=
																																				((obj_t)
																																				BgL_auxz00_15489);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd210447zd2_3240
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_15493;
																																					goto
																																						BgL_tagzd2377zd2_1711;
																																					BgL_auxz00_12643
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_15493);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_cdrzd210467zd2_3243;
																																					BgL_cdrzd210467zd2_3243
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd210470zd2_3246;
																																							obj_t
																																								BgL_cdrzd210471zd2_3247;
																																							BgL_carzd210470zd2_3246
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd210467zd2_3243));
																																							BgL_cdrzd210471zd2_3247
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd210467zd2_3243));
																																							if (PAIRP(BgL_carzd210470zd2_3246))
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(BgL_carzd210470zd2_3246) == CNST_TABLE_REF(((long) 15))))
																																										{	/* Ast/sexp.scm 118 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd210471zd2_3247))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg2823z00_3253;
																																													obj_t
																																														BgL_arg2824z00_3254;
																																													BgL_arg2823z00_3253
																																														=
																																														CDR
																																														(BgL_carzd210470zd2_3246);
																																													BgL_arg2824z00_3254
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210471zd2_3247));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_15519;
																																														BgL_lz00_1712
																																															=
																																															BgL_arg2823z00_3253;
																																														BgL_valz00_1713
																																															=
																																															BgL_arg2824z00_3254;
																																													BgL_tagzd2378zd2_1714:
																																														{	/* Ast/sexp.scm 292 */
																																															bool_t
																																																BgL_testz00_15520;
																																															if (PAIRP(BgL_lz00_1712))
																																																{	/* Ast/sexp.scm 292 */
																																																	bool_t
																																																		BgL_testz00_15523;
																																																	{	/* Ast/sexp.scm 292 */
																																																		obj_t
																																																			BgL_tmpz00_15524;
																																																		BgL_tmpz00_15524
																																																			=
																																																			CDR
																																																			(BgL_lz00_1712);
																																																		BgL_testz00_15523
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_15524);
																																																	}
																																																	if (BgL_testz00_15523)
																																																		{
																																																			obj_t
																																																				BgL_l1349z00_7806;
																																																			BgL_l1349z00_7806
																																																				=
																																																				BgL_lz00_1712;
																																																		BgL_zc3anonymousza36214ze3z83_7807:
																																																			if (NULLP(BgL_l1349z00_7806))
																																																				{	/* Ast/sexp.scm 292 */
																																																					BgL_testz00_15520
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 292 */
																																																					bool_t
																																																						BgL_testz00_15529;
																																																					{	/* Ast/sexp.scm 292 */
																																																						obj_t
																																																							BgL_tmpz00_15530;
																																																						BgL_tmpz00_15530
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_l1349z00_7806));
																																																						BgL_testz00_15529
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_15530);
																																																					}
																																																					if (BgL_testz00_15529)
																																																						{
																																																							obj_t
																																																								BgL_l1349z00_15534;
																																																							BgL_l1349z00_15534
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_l1349z00_7806));
																																																							BgL_l1349z00_7806
																																																								=
																																																								BgL_l1349z00_15534;
																																																							goto
																																																								BgL_zc3anonymousza36214ze3z83_7807;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 292 */
																																																							BgL_testz00_15520
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 292 */
																																																			BgL_testz00_15520
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 292 */
																																																	BgL_testz00_15520
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_testz00_15520)
																																																{	/* Ast/sexp.scm 292 */
																																																	BgL_auxz00_15519
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1712,
																																																		BgL_valz00_1713,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 294 */
																																																	BgL_nodez00_bglt
																																																		BgL_res6741z00_8854;
																																																	{	/* Ast/sexp.scm 702 */
																																																		obj_t
																																																			BgL_arg6527z00_8850;
																																																		BgL_nodez00_bglt
																																																			BgL_arg6528z00_8851;
																																																		BgL_arg6527z00_8850
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg6528z00_8851
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 701 */
																																																			obj_t
																																																				BgL_list6529z00_8853;
																																																			BgL_list6529z00_8853
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg6528z00_8851), BNIL);
																																																			BgL_res6741z00_8854
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg6527z00_8850,
																																																					BGl_string7288z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list6529z00_8853));
																																																	}}
																																																	BgL_auxz00_15519
																																																		=
																																																		BgL_res6741z00_8854;
																																														}}
																																														BgL_auxz00_12643
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_15519);
																																												}}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_15548;
																																													goto
																																														BgL_tagzd2379zd2_1715;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_15548);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_15550;
																																											goto
																																												BgL_tagzd2379zd2_1715;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_15550);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15552;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15552);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15559;
																																									goto
																																										BgL_tagzd2380zd2_1716;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15559);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd210556zd2_3259;
																																									BgL_carzd210556zd2_3259
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd210556zd2_3259))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd210559zd2_3261;
																																											obj_t
																																												BgL_cdrzd210560zd2_3262;
																																											BgL_carzd210559zd2_3261
																																												=
																																												CAR
																																												(BgL_carzd210556zd2_3259);
																																											BgL_cdrzd210560zd2_3262
																																												=
																																												CDR
																																												(BgL_carzd210556zd2_3259);
																																											{

																																												if ((BgL_carzd210559zd2_3261 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 118 */
																																													BgL_kapzd210561zd2_3263:
																																														if (PAIRP(BgL_cdrzd210560zd2_3262))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd210564zd2_3385;
																																																BgL_cdrzd210564zd2_3385
																																																	=
																																																	CDR
																																																	(BgL_cdrzd210560zd2_3262);
																																																if (PAIRP(BgL_cdrzd210564zd2_3385))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd210564zd2_3385)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg2963z00_3389;
																																																				obj_t
																																																					BgL_arg2964z00_3390;
																																																				BgL_arg2963z00_3389
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210564zd2_3385);
																																																				BgL_arg2964z00_3390
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_15581;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_15583;
																																																						obj_t
																																																							BgL_bodyz00_15582;
																																																						BgL_bodyz00_15582
																																																							=
																																																							BgL_arg2963z00_3389;
																																																						BgL_argsz00_15583
																																																							=
																																																							BgL_arg2964z00_3390;
																																																						BgL_argsz00_1718
																																																							=
																																																							BgL_argsz00_15583;
																																																						BgL_bodyz00_1717
																																																							=
																																																							BgL_bodyz00_15582;
																																																						goto
																																																							BgL_tagzd2381zd2_1719;
																																																					}
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_15581);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_15585;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3055z00_3499;
																																																					BgL_arg3055z00_3499
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_15585
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg3055z00_3499));
																																																				}
																																																				if (BgL_testz00_15585)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15590;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15590);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_15592;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3054z00_3498;
																																																							BgL_arg3054z00_3498
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_15592
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg3054z00_3498));
																																																						}
																																																						if (BgL_testz00_15592)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_15597;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15597);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd210642zd2_3395;
																																																								BgL_carzd210642zd2_3395
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd210647zd2_3396;
																																																									BgL_cdrzd210647zd2_3396
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd210642zd2_3395));
																																																									if ((CAR(((obj_t) BgL_carzd210642zd2_3395)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2974z00_3399;
																																																											obj_t
																																																												BgL_arg2975z00_3400;
																																																											obj_t
																																																												BgL_arg2976z00_3401;
																																																											BgL_arg2974z00_3399
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd210647zd2_3396));
																																																											BgL_arg2975z00_3400
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd210647zd2_3396));
																																																											BgL_arg2976z00_3401
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_15614;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_15617;
																																																													obj_t
																																																														BgL_bodyz00_15616;
																																																													obj_t
																																																														BgL_varsz00_15615;
																																																													BgL_varsz00_15615
																																																														=
																																																														BgL_arg2974z00_3399;
																																																													BgL_bodyz00_15616
																																																														=
																																																														BgL_arg2975z00_3400;
																																																													BgL_argsz00_15617
																																																														=
																																																														BgL_arg2976z00_3401;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_15617;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_15616;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_15615;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15614);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd210670zd2_3403;
																																																											BgL_cdrzd210670zd2_3403
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd210676zd2_3404;
																																																												BgL_cdrzd210676zd2_3404
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd210642zd2_3395));
																																																												if ((CAR(((obj_t) BgL_carzd210642zd2_3395)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd210682zd2_3407;
																																																														BgL_cdrzd210682zd2_3407
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd210676zd2_3404));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd210687zd2_3408;
																																																															obj_t
																																																																BgL_cdrzd210688zd2_3409;
																																																															BgL_carzd210687zd2_3408
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd210682zd2_3407));
																																																															BgL_cdrzd210688zd2_3409
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210682zd2_3407));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210687zd2_3408))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd210688zd2_3409))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd210695zd2_3412;
																																																																			BgL_carzd210695zd2_3412
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd210688zd2_3409);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210695zd2_3412))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd210688zd2_3409)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_15644;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1383z00_3445;
																																																																								BgL_l1383z00_3445
																																																																									=
																																																																									BgL_cdrzd210670zd2_3403;
																																																																							BgL_zc3anonymousza33005ze3z83_3446:
																																																																								if (NULLP(BgL_l1383z00_3445))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_15644
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_15647;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_15648;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_15649;
																																																																												BgL_tmpz00_15649
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_l1383z00_3445));
																																																																												BgL_testz00_15648
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_15649);
																																																																											}
																																																																											if (BgL_testz00_15648)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_15647
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_15647
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_15647)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1383z00_15653;
																																																																												BgL_l1383z00_15653
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_l1383z00_3445));
																																																																												BgL_l1383z00_3445
																																																																													=
																																																																													BgL_l1383z00_15653;
																																																																												goto
																																																																													BgL_zc3anonymousza33005ze3z83_3446;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_15644
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_15644)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg2991z00_3428;
																																																																									BgL_arg2991z00_3428
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd210676zd2_3404));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15658;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_15662;
																																																																											obj_t
																																																																												BgL_proc2z00_15661;
																																																																											obj_t
																																																																												BgL_proc1z00_15660;
																																																																											obj_t
																																																																												BgL_testz00_15659;
																																																																											BgL_testz00_15659
																																																																												=
																																																																												BgL_arg2991z00_3428;
																																																																											BgL_proc1z00_15660
																																																																												=
																																																																												BgL_carzd210687zd2_3408;
																																																																											BgL_proc2z00_15661
																																																																												=
																																																																												BgL_carzd210695zd2_3412;
																																																																											BgL_argsz00_15662
																																																																												=
																																																																												BgL_cdrzd210670zd2_3403;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_15662;
																																																																											BgL_proc2z00_1733
																																																																												=
																																																																												BgL_proc2z00_15661;
																																																																											BgL_proc1z00_1732
																																																																												=
																																																																												BgL_proc1z00_15660;
																																																																											BgL_testz00_1731
																																																																												=
																																																																												BgL_testz00_15659;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1735;
																																																																										}
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15658);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd210719zd2_3429;
																																																																									BgL_cdrzd210719zd2_3429
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd210726zd2_3430;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_9620;
																																																																											BgL_pairz00_9620
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd210726zd2_3430
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_9620);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd210733zd2_3431;
																																																																											BgL_cdrzd210733zd2_3431
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd210726zd2_3430));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd210739zd2_3432;
																																																																												BgL_carzd210739zd2_3432
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd210733zd2_3431));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210739zd2_3432))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd210746zd2_3434;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_9624;
																																																																															BgL_pairz00_9624
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210733zd2_3431));
																																																																															BgL_carzd210746zd2_3434
																																																																																=
																																																																																CAR
																																																																																(BgL_pairz00_9624);
																																																																														}
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210746zd2_3434))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd210719zd2_3429))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg2995z00_3437;
																																																																																		BgL_arg2995z00_3437
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd210726zd2_3430));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15684;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_15688;
																																																																																				obj_t
																																																																																					BgL_proc2z00_15687;
																																																																																				obj_t
																																																																																					BgL_proc1z00_15686;
																																																																																				obj_t
																																																																																					BgL_testz00_15685;
																																																																																				BgL_testz00_15685
																																																																																					=
																																																																																					BgL_arg2995z00_3437;
																																																																																				BgL_proc1z00_15686
																																																																																					=
																																																																																					BgL_carzd210739zd2_3432;
																																																																																				BgL_proc2z00_15687
																																																																																					=
																																																																																					BgL_carzd210746zd2_3434;
																																																																																				BgL_argsz00_15688
																																																																																					=
																																																																																					BgL_cdrzd210719zd2_3429;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_15688;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_15687;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_15686;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_15685;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15684);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_15692;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_15692);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15696;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15696);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15700;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15700);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_15704;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15704);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd211022zd2_3456;
																																																																					BgL_cdrzd211022zd2_3456
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd211028zd2_3457;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_9628;
																																																																							BgL_pairz00_9628
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd211028zd2_3457
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_9628);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd211034zd2_3458;
																																																																							BgL_cdrzd211034zd2_3458
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd211028zd2_3457));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd211039zd2_3459;
																																																																								obj_t
																																																																									BgL_cdrzd211040zd2_3460;
																																																																								BgL_carzd211039zd2_3459
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd211034zd2_3458));
																																																																								BgL_cdrzd211040zd2_3460
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd211034zd2_3458));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211039zd2_3459))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd211045zd2_3462;
																																																																										BgL_carzd211045zd2_3462
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd211040zd2_3460));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211045zd2_3462))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd211040zd2_3460))))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211022zd2_3456))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg3022z00_3467;
																																																																																BgL_arg3022z00_3467
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd211028zd2_3457));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15731;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_15735;
																																																																																		obj_t
																																																																																			BgL_proc2z00_15734;
																																																																																		obj_t
																																																																																			BgL_proc1z00_15733;
																																																																																		obj_t
																																																																																			BgL_testz00_15732;
																																																																																		BgL_testz00_15732
																																																																																			=
																																																																																			BgL_arg3022z00_3467;
																																																																																		BgL_proc1z00_15733
																																																																																			=
																																																																																			BgL_carzd211039zd2_3459;
																																																																																		BgL_proc2z00_15734
																																																																																			=
																																																																																			BgL_carzd211045zd2_3462;
																																																																																		BgL_argsz00_15735
																																																																																			=
																																																																																			BgL_cdrzd211022zd2_3456;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_15735;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_15734;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_15733;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_15732;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15731);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15739;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15739);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15743;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15743);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15747;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15747);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15751;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15751);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_15755;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_15755);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd211378zd2_3475;
																																																																	BgL_cdrzd211378zd2_3475
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd211385zd2_3476;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_9638;
																																																																			BgL_pairz00_9638
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd211385zd2_3476
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_9638);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd211392zd2_3477;
																																																																			BgL_cdrzd211392zd2_3477
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd211385zd2_3476));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd211398zd2_3478;
																																																																				obj_t
																																																																					BgL_cdrzd211399zd2_3479;
																																																																				BgL_carzd211398zd2_3478
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd211392zd2_3477));
																																																																				BgL_cdrzd211399zd2_3479
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd211392zd2_3477));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211398zd2_3478))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd211399zd2_3479))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd211406zd2_3482;
																																																																								BgL_carzd211406zd2_3482
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd211399zd2_3479);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211406zd2_3482))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd211399zd2_3479)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211378zd2_3475))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg3043z00_3487;
																																																																														BgL_arg3043z00_3487
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd211385zd2_3476));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15782;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15786;
																																																																																obj_t
																																																																																	BgL_proc2z00_15785;
																																																																																obj_t
																																																																																	BgL_proc1z00_15784;
																																																																																obj_t
																																																																																	BgL_testz00_15783;
																																																																																BgL_testz00_15783
																																																																																	=
																																																																																	BgL_arg3043z00_3487;
																																																																																BgL_proc1z00_15784
																																																																																	=
																																																																																	BgL_carzd211398zd2_3478;
																																																																																BgL_proc2z00_15785
																																																																																	=
																																																																																	BgL_carzd211406zd2_3482;
																																																																																BgL_argsz00_15786
																																																																																	=
																																																																																	BgL_cdrzd211378zd2_3475;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_15786;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_15785;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_15784;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_15783;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15782);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15790;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15790);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15794;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15794);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15798;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15798);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15802;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15802);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15806;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15806);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15810;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15810);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_15812;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3075z00_3515;
																																																			BgL_arg3075z00_3515
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_15812
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3075z00_3515));
																																																		}
																																																		if (BgL_testz00_15812)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_15817;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15817);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_15819;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3074z00_3514;
																																																					BgL_arg3074z00_3514
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_15819
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3074z00_3514));
																																																				}
																																																				if (BgL_testz00_15819)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_15824;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15824);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd211852zd2_3505;
																																																						BgL_carzd211852zd2_3505
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd211857zd2_3506;
																																																							BgL_cdrzd211857zd2_3506
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd211852zd2_3505));
																																																							if ((CAR(((obj_t) BgL_carzd211852zd2_3505)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg3065z00_3509;
																																																									obj_t
																																																										BgL_arg3068z00_3510;
																																																									obj_t
																																																										BgL_arg3069z00_3511;
																																																									BgL_arg3065z00_3509
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd211857zd2_3506));
																																																									BgL_arg3068z00_3510
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd211857zd2_3506));
																																																									BgL_arg3069z00_3511
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15841;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_15844;
																																																											obj_t
																																																												BgL_bodyz00_15843;
																																																											obj_t
																																																												BgL_varsz00_15842;
																																																											BgL_varsz00_15842
																																																												=
																																																												BgL_arg3065z00_3509;
																																																											BgL_bodyz00_15843
																																																												=
																																																												BgL_arg3068z00_3510;
																																																											BgL_argsz00_15844
																																																												=
																																																												BgL_arg3069z00_3511;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_15844;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_15843;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_15842;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15841);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_15848;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15848);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_15850;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3085z00_3522;
																																																	BgL_arg3085z00_3522
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_15850
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3085z00_3522));
																																																}
																																																if (BgL_testz00_15850)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_15855;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_15855);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_15857;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3084z00_3521;
																																																			BgL_arg3084z00_3521
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_15857
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3084z00_3521));
																																																		}
																																																		if (BgL_testz00_15857)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_15862;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15862);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd2403zd2_1764;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15866;
																																																						goto
																																																							BgL_tagzd2404zd2_1765;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15866);
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210559zd2_3261)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd210561zd2_3263;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd210559zd2_3261 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd210561zd2_3263;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd210559zd2_3261 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd210561zd2_3263;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210559zd2_3261)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd210561zd2_3263;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_15880;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2955z00_3383;
																																																							BgL_arg2955z00_3383
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_15880
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2955z00_3383));
																																																						}
																																																						if (BgL_testz00_15880)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_15885;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15885);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_15887;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2954z00_3382;
																																																									BgL_arg2954z00_3382
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_15887
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2954z00_3382));
																																																								}
																																																								if (BgL_testz00_15887)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_15892;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15892);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd212180zd2_3273;
																																																										BgL_carzd212180zd2_3273
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd212185zd2_3274;
																																																											BgL_cdrzd212185zd2_3274
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd212180zd2_3273));
																																																											if ((CAR(((obj_t) BgL_carzd212180zd2_3273)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd212185zd2_3274))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2871z00_3278;
																																																															obj_t
																																																																BgL_arg2872z00_3279;
																																																															obj_t
																																																																BgL_arg2873z00_3280;
																																																															BgL_arg2871z00_3278
																																																																=
																																																																CAR
																																																																(BgL_cdrzd212185zd2_3274);
																																																															BgL_arg2872z00_3279
																																																																=
																																																																CDR
																																																																(BgL_cdrzd212185zd2_3274);
																																																															BgL_arg2873z00_3280
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15909;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_15912;
																																																																	obj_t
																																																																		BgL_bodyz00_15911;
																																																																	obj_t
																																																																		BgL_varsz00_15910;
																																																																	BgL_varsz00_15910
																																																																		=
																																																																		BgL_arg2871z00_3278;
																																																																	BgL_bodyz00_15911
																																																																		=
																																																																		BgL_arg2872z00_3279;
																																																																	BgL_argsz00_15912
																																																																		=
																																																																		BgL_arg2873z00_3280;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_15912;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_15911;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_15910;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15909);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15916;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15916);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd212292zd2_3283;
																																																													BgL_cdrzd212292zd2_3283
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd212297zd2_3284;
																																																														BgL_cdrzd212297zd2_3284
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd212180zd2_3273));
																																																														if ((CAR(((obj_t) BgL_carzd212180zd2_3273)) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd212297zd2_3284))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd212302zd2_3288;
																																																																		BgL_cdrzd212302zd2_3288
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd212297zd2_3284);
																																																																		if (PAIRP(BgL_cdrzd212302zd2_3288))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd212306zd2_3290;
																																																																				obj_t
																																																																					BgL_cdrzd212307zd2_3291;
																																																																				BgL_carzd212306zd2_3290
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd212302zd2_3288);
																																																																				BgL_cdrzd212307zd2_3291
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd212302zd2_3288);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212306zd2_3290))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd212307zd2_3291))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd212312zd2_3294;
																																																																								BgL_carzd212312zd2_3294
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd212307zd2_3291);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212312zd2_3294))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd212307zd2_3291)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_15944;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1386z00_3327;
																																																																													BgL_l1386z00_3327
																																																																														=
																																																																														BgL_cdrzd212292zd2_3283;
																																																																												BgL_zc3anonymousza32905ze3z83_3328:
																																																																													if (NULLP(BgL_l1386z00_3327))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_15944
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_15947;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_15948;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_15949;
																																																																																	BgL_tmpz00_15949
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1386z00_3327));
																																																																																	BgL_testz00_15948
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_15949);
																																																																																}
																																																																																if (BgL_testz00_15948)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_15947
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_15947
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_15947)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1386z00_15953;
																																																																																	BgL_l1386z00_15953
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1386z00_3327));
																																																																																	BgL_l1386z00_3327
																																																																																		=
																																																																																		BgL_l1386z00_15953;
																																																																																	goto
																																																																																		BgL_zc3anonymousza32905ze3z83_3328;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_15944
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_15944)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg2892z00_3310;
																																																																														BgL_arg2892z00_3310
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd212297zd2_3284);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15957;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15961;
																																																																																obj_t
																																																																																	BgL_proc2z00_15960;
																																																																																obj_t
																																																																																	BgL_proc1z00_15959;
																																																																																obj_t
																																																																																	BgL_testz00_15958;
																																																																																BgL_testz00_15958
																																																																																	=
																																																																																	BgL_arg2892z00_3310;
																																																																																BgL_proc1z00_15959
																																																																																	=
																																																																																	BgL_carzd212306zd2_3290;
																																																																																BgL_proc2z00_15960
																																																																																	=
																																																																																	BgL_carzd212312zd2_3294;
																																																																																BgL_argsz00_15961
																																																																																	=
																																																																																	BgL_cdrzd212292zd2_3283;
																																																																																BgL_argsz00_1734
																																																																																	=
																																																																																	BgL_argsz00_15961;
																																																																																BgL_proc2z00_1733
																																																																																	=
																																																																																	BgL_proc2z00_15960;
																																																																																BgL_proc1z00_1732
																																																																																	=
																																																																																	BgL_proc1z00_15959;
																																																																																BgL_testz00_1731
																																																																																	=
																																																																																	BgL_testz00_15958;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1735;
																																																																															}
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15957);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd212337zd2_3311;
																																																																														BgL_cdrzd212337zd2_3311
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd212345zd2_3312;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_9686;
																																																																																BgL_pairz00_9686
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd212345zd2_3312
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_9686);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd212353zd2_3313;
																																																																																BgL_cdrzd212353zd2_3313
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd212345zd2_3312));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd212360zd2_3314;
																																																																																	BgL_carzd212360zd2_3314
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd212353zd2_3313));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212360zd2_3314))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd212369zd2_3316;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_9690;
																																																																																				BgL_pairz00_9690
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd212353zd2_3313));
																																																																																				BgL_carzd212369zd2_3316
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_9690);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212369zd2_3316))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212337zd2_3311))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg2896z00_3319;
																																																																																							BgL_arg2896z00_3319
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd212345zd2_3312));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15983;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_15987;
																																																																																									obj_t
																																																																																										BgL_proc2z00_15986;
																																																																																									obj_t
																																																																																										BgL_proc1z00_15985;
																																																																																									obj_t
																																																																																										BgL_testz00_15984;
																																																																																									BgL_testz00_15984
																																																																																										=
																																																																																										BgL_arg2896z00_3319;
																																																																																									BgL_proc1z00_15985
																																																																																										=
																																																																																										BgL_carzd212360zd2_3314;
																																																																																									BgL_proc2z00_15986
																																																																																										=
																																																																																										BgL_carzd212369zd2_3316;
																																																																																									BgL_argsz00_15987
																																																																																										=
																																																																																										BgL_cdrzd212337zd2_3311;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_15987;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_15986;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_15985;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_15984;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_12643
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15983);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15991;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_12643
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15991);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15995;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15995);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15999;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15999);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16003;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16003);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd212647zd2_3338;
																																																																										BgL_cdrzd212647zd2_3338
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd212654zd2_3339;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_9694;
																																																																												BgL_pairz00_9694
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd212654zd2_3339
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_9694);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd212661zd2_3340;
																																																																												BgL_cdrzd212661zd2_3340
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd212654zd2_3339));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd212667zd2_3341;
																																																																													obj_t
																																																																														BgL_cdrzd212668zd2_3342;
																																																																													BgL_carzd212667zd2_3341
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd212661zd2_3340));
																																																																													BgL_cdrzd212668zd2_3342
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd212661zd2_3340));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212667zd2_3341))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd212675zd2_3344;
																																																																															BgL_carzd212675zd2_3344
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd212668zd2_3342));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212675zd2_3344))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd212668zd2_3342))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212647zd2_3338))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2923z00_3349;
																																																																																					BgL_arg2923z00_3349
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd212654zd2_3339));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16030;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_16034;
																																																																																							obj_t
																																																																																								BgL_proc2z00_16033;
																																																																																							obj_t
																																																																																								BgL_proc1z00_16032;
																																																																																							obj_t
																																																																																								BgL_testz00_16031;
																																																																																							BgL_testz00_16031
																																																																																								=
																																																																																								BgL_arg2923z00_3349;
																																																																																							BgL_proc1z00_16032
																																																																																								=
																																																																																								BgL_carzd212667zd2_3341;
																																																																																							BgL_proc2z00_16033
																																																																																								=
																																																																																								BgL_carzd212675zd2_3344;
																																																																																							BgL_argsz00_16034
																																																																																								=
																																																																																								BgL_cdrzd212647zd2_3338;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_16034;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_16033;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_16032;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_16031;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16030);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16038;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16038);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16042;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16042);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16046;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16046);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16050;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16050);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16054;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16054);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd213008zd2_3357;
																																																																						BgL_cdrzd213008zd2_3357
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd213014zd2_3358;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_9704;
																																																																								BgL_pairz00_9704
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd213014zd2_3358
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_9704);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd213020zd2_3359;
																																																																								BgL_cdrzd213020zd2_3359
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd213014zd2_3358));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd213025zd2_3360;
																																																																									obj_t
																																																																										BgL_cdrzd213026zd2_3361;
																																																																									BgL_carzd213025zd2_3360
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd213020zd2_3359));
																																																																									BgL_cdrzd213026zd2_3361
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd213020zd2_3359));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213025zd2_3360))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd213026zd2_3361))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd213031zd2_3364;
																																																																													BgL_carzd213031zd2_3364
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd213026zd2_3361);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213031zd2_3364))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd213026zd2_3361)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213008zd2_3357))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2937z00_3369;
																																																																																			BgL_arg2937z00_3369
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd213014zd2_3358));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16081;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16085;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16084;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16083;
																																																																																					obj_t
																																																																																						BgL_testz00_16082;
																																																																																					BgL_testz00_16082
																																																																																						=
																																																																																						BgL_arg2937z00_3369;
																																																																																					BgL_proc1z00_16083
																																																																																						=
																																																																																						BgL_carzd213025zd2_3360;
																																																																																					BgL_proc2z00_16084
																																																																																						=
																																																																																						BgL_carzd213031zd2_3364;
																																																																																					BgL_argsz00_16085
																																																																																						=
																																																																																						BgL_cdrzd213008zd2_3357;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_16085;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_16084;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_16083;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_16082;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16081);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16089;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16089);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16093;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16093);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16097;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16097);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16101;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16101);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16105;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16105);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16109;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16109);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16113;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16113);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16117;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16117);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd210556zd2_3259 == CNST_TABLE_REF(((long) 18))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16122;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16122);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210556zd2_3259)))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_16127;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_16127);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd210556zd2_3259 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_16132;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_16132);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_16139;
																																																			goto
																																																				BgL_tagzd2383zd2_1721;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_16139);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd213593zd2_3529;
																																																			BgL_carzd213593zd2_3529
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd213593zd2_3529 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_16146;
																																																					goto
																																																						BgL_tagzd2384zd2_1722;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_16146);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213593zd2_3529)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_16151;
																																																							goto
																																																								BgL_tagzd2384zd2_1722;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16151);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16158;
																																																									goto
																																																										BgL_tagzd2389zd2_1741;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16158);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_16165;
																																																											goto
																																																												BgL_tagzd2390zd2_1742;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16165);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd213673zd2_3536;
																																																											BgL_cdrzd213673zd2_3536
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg3104z00_3539;
																																																													obj_t
																																																														BgL_arg3109z00_3540;
																																																													BgL_arg3104z00_3539
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd213673zd2_3536));
																																																													BgL_arg3109z00_3540
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd213673zd2_3536));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16178;
																																																														{
																																																															obj_t
																																																																BgL_restz00_16180;
																																																															obj_t
																																																																BgL_effectz00_16179;
																																																															BgL_effectz00_16179
																																																																=
																																																																BgL_arg3104z00_3539;
																																																															BgL_restz00_16180
																																																																=
																																																																BgL_arg3109z00_3540;
																																																															BgL_restz00_1744
																																																																=
																																																																BgL_restz00_16180;
																																																															BgL_effectz00_1743
																																																																=
																																																																BgL_effectz00_16179;
																																																															goto
																																																																BgL_tagzd2391zd2_1745;
																																																														}
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16178);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16187;
																																																															goto
																																																																BgL_tagzd2392zd2_1746;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16187);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_16194;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1747;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16194);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg3116z00_3548;
																																																																			obj_t
																																																																				BgL_arg3117z00_3549;
																																																																			BgL_arg3116z00_3548
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd213673zd2_3536));
																																																																			BgL_arg3117z00_3549
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd213673zd2_3536));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16205;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_16207;
																																																																					obj_t
																																																																						BgL_effectz00_16206;
																																																																					BgL_effectz00_16206
																																																																						=
																																																																						BgL_arg3116z00_3548;
																																																																					BgL_restz00_16207
																																																																						=
																																																																						BgL_arg3117z00_3549;
																																																																					BgL_restz00_1749
																																																																						=
																																																																						BgL_restz00_16207;
																																																																					BgL_effectz00_1748
																																																																						=
																																																																						BgL_effectz00_16206;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1750;
																																																																				}
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16205);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16214;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1751;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16214);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16221;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1752;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16221);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_16228;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1753;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16228);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_16235;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1754;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16235);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_16242;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_tmpz00_16243;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_9735;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_9734;
																																																																																BgL_pairz00_9734
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_9735
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_9734);
																																																																															}
																																																																															BgL_tmpz00_16243
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_9735);
																																																																														}
																																																																														BgL_testz00_16242
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_16243);
																																																																													}
																																																																													if (BgL_testz00_16242)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16249;
																																																																														BgL_tagzd2399zd2_1755:
																																																																															BgL_auxz00_16249 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16249);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16254;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16254);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd213766zd2_3568;
																																																																													BgL_cdrzd213766zd2_3568
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3158z00_3571;
																																																																															obj_t
																																																																																BgL_arg3160z00_3572;
																																																																															BgL_arg3158z00_3571
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd213766zd2_3568));
																																																																															BgL_arg3160z00_3572
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd213766zd2_3568));
																																																																															{	/* Ast/sexp.scm 548 */
																																																																																obj_t
																																																																																	BgL_arg6427z00_9741;
																																																																																BgL_arg6427z00_9741
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3158z00_3571,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3160z00_3572, BgL_stackz00_22, BgL_arg6427z00_9741, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16273;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16273);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd213789zd2_3589;
																															BgL_carzd213789zd2_3589
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd213789zd2_3589
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_16280;
																																	goto
																																		BgL_tagzd2377zd2_1711;
																																	BgL_auxz00_12643
																																		=
																																		((obj_t)
																																		BgL_auxz00_16280);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(BgL_carzd213789zd2_3589
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_16284;
																																			goto
																																				BgL_tagzd2377zd2_1711;
																																			BgL_auxz00_12643
																																				=
																																				((obj_t)
																																				BgL_auxz00_16284);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_cdrzd213809zd2_3592;
																																			BgL_cdrzd213809zd2_3592
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd213812zd2_3595;
																																					obj_t
																																						BgL_cdrzd213813zd2_3596;
																																					BgL_carzd213812zd2_3595
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd213809zd2_3592));
																																					BgL_cdrzd213813zd2_3596
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd213809zd2_3592));
																																					if (PAIRP(BgL_carzd213812zd2_3595))
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_carzd213812zd2_3595) == CNST_TABLE_REF(((long) 15))))
																																								{	/* Ast/sexp.scm 118 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd213813zd2_3596))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg3206z00_3602;
																																											obj_t
																																												BgL_arg3208z00_3603;
																																											BgL_arg3206z00_3602
																																												=
																																												CDR
																																												(BgL_carzd213812zd2_3595);
																																											BgL_arg3208z00_3603
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd213813zd2_3596));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_16310;
																																												{
																																													obj_t
																																														BgL_valz00_16312;
																																													obj_t
																																														BgL_lz00_16311;
																																													BgL_lz00_16311
																																														=
																																														BgL_arg3206z00_3602;
																																													BgL_valz00_16312
																																														=
																																														BgL_arg3208z00_3603;
																																													BgL_valz00_1713
																																														=
																																														BgL_valz00_16312;
																																													BgL_lz00_1712
																																														=
																																														BgL_lz00_16311;
																																													goto
																																														BgL_tagzd2378zd2_1714;
																																												}
																																												BgL_auxz00_12643
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_16310);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16314;
																																											goto
																																												BgL_tagzd2379zd2_1715;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16314);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_16316;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_16316);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_16318;
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_16318);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_16325;
																																							goto
																																								BgL_tagzd2380zd2_1716;
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_16325);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd213898zd2_3608;
																																							BgL_carzd213898zd2_3608
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd213898zd2_3608))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd213901zd2_3610;
																																									obj_t
																																										BgL_cdrzd213902zd2_3611;
																																									BgL_carzd213901zd2_3610
																																										=
																																										CAR
																																										(BgL_carzd213898zd2_3608);
																																									BgL_cdrzd213902zd2_3611
																																										=
																																										CDR
																																										(BgL_carzd213898zd2_3608);
																																									{

																																										if ((BgL_carzd213901zd2_3610 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 118 */
																																											BgL_kapzd213903zd2_3612:
																																												if (PAIRP(BgL_cdrzd213902zd2_3611))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd213906zd2_3734;
																																														BgL_cdrzd213906zd2_3734
																																															=
																																															CDR
																																															(BgL_cdrzd213902zd2_3611);
																																														if (PAIRP(BgL_cdrzd213906zd2_3734))
																																															{	/* Ast/sexp.scm 118 */
																																																if (NULLP(CDR(BgL_cdrzd213906zd2_3734)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3313z00_3738;
																																																		obj_t
																																																			BgL_arg3314z00_3739;
																																																		BgL_arg3313z00_3738
																																																			=
																																																			CAR
																																																			(BgL_cdrzd213906zd2_3734);
																																																		BgL_arg3314z00_3739
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_16347;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_16349;
																																																				obj_t
																																																					BgL_bodyz00_16348;
																																																				BgL_bodyz00_16348
																																																					=
																																																					BgL_arg3313z00_3738;
																																																				BgL_argsz00_16349
																																																					=
																																																					BgL_arg3314z00_3739;
																																																				BgL_argsz00_1718
																																																					=
																																																					BgL_argsz00_16349;
																																																				BgL_bodyz00_1717
																																																					=
																																																					BgL_bodyz00_16348;
																																																				goto
																																																					BgL_tagzd2381zd2_1719;
																																																			}
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_16347);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_16351;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3385z00_3848;
																																																			BgL_arg3385z00_3848
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_16351
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3385z00_3848));
																																																		}
																																																		if (BgL_testz00_16351)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16356;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16356);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_16358;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3384z00_3847;
																																																					BgL_arg3384z00_3847
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_16358
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3384z00_3847));
																																																				}
																																																				if (BgL_testz00_16358)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_16363;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16363);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd213984zd2_3744;
																																																						BgL_carzd213984zd2_3744
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd213989zd2_3745;
																																																							BgL_cdrzd213989zd2_3745
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd213984zd2_3744));
																																																							if ((CAR(((obj_t) BgL_carzd213984zd2_3744)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg3322z00_3748;
																																																									obj_t
																																																										BgL_arg3323z00_3749;
																																																									obj_t
																																																										BgL_arg3324z00_3750;
																																																									BgL_arg3322z00_3748
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd213989zd2_3745));
																																																									BgL_arg3323z00_3749
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd213989zd2_3745));
																																																									BgL_arg3324z00_3750
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_16380;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_16383;
																																																											obj_t
																																																												BgL_bodyz00_16382;
																																																											obj_t
																																																												BgL_varsz00_16381;
																																																											BgL_varsz00_16381
																																																												=
																																																												BgL_arg3322z00_3748;
																																																											BgL_bodyz00_16382
																																																												=
																																																												BgL_arg3323z00_3749;
																																																											BgL_argsz00_16383
																																																												=
																																																												BgL_arg3324z00_3750;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_16383;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_16382;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_16381;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_16380);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd214012zd2_3752;
																																																									BgL_cdrzd214012zd2_3752
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd214018zd2_3753;
																																																										BgL_cdrzd214018zd2_3753
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd213984zd2_3744));
																																																										if ((CAR(((obj_t) BgL_carzd213984zd2_3744)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd214024zd2_3756;
																																																												BgL_cdrzd214024zd2_3756
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd214018zd2_3753));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd214029zd2_3757;
																																																													obj_t
																																																														BgL_cdrzd214030zd2_3758;
																																																													BgL_carzd214029zd2_3757
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd214024zd2_3756));
																																																													BgL_cdrzd214030zd2_3758
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd214024zd2_3756));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214029zd2_3757))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd214030zd2_3758))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd214037zd2_3761;
																																																																	BgL_carzd214037zd2_3761
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd214030zd2_3758);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214037zd2_3761))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd214030zd2_3758)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_16410;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1389z00_3794;
																																																																						BgL_l1389z00_3794
																																																																							=
																																																																							BgL_cdrzd214012zd2_3752;
																																																																					BgL_zc3anonymousza33348ze3z83_3795:
																																																																						if (NULLP(BgL_l1389z00_3794))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_16410
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_16413;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_16414;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_16415;
																																																																										BgL_tmpz00_16415
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1389z00_3794));
																																																																										BgL_testz00_16414
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_16415);
																																																																									}
																																																																									if (BgL_testz00_16414)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_16413
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_16413
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_16413)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1389z00_16419;
																																																																										BgL_l1389z00_16419
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1389z00_3794));
																																																																										BgL_l1389z00_3794
																																																																											=
																																																																											BgL_l1389z00_16419;
																																																																										goto
																																																																											BgL_zc3anonymousza33348ze3z83_3795;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_16410
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_16410)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg3338z00_3777;
																																																																							BgL_arg3338z00_3777
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd214018zd2_3753));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16424;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_16428;
																																																																									obj_t
																																																																										BgL_proc2z00_16427;
																																																																									obj_t
																																																																										BgL_proc1z00_16426;
																																																																									obj_t
																																																																										BgL_testz00_16425;
																																																																									BgL_testz00_16425
																																																																										=
																																																																										BgL_arg3338z00_3777;
																																																																									BgL_proc1z00_16426
																																																																										=
																																																																										BgL_carzd214029zd2_3757;
																																																																									BgL_proc2z00_16427
																																																																										=
																																																																										BgL_carzd214037zd2_3761;
																																																																									BgL_argsz00_16428
																																																																										=
																																																																										BgL_cdrzd214012zd2_3752;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_16428;
																																																																									BgL_proc2z00_1733
																																																																										=
																																																																										BgL_proc2z00_16427;
																																																																									BgL_proc1z00_1732
																																																																										=
																																																																										BgL_proc1z00_16426;
																																																																									BgL_testz00_1731
																																																																										=
																																																																										BgL_testz00_16425;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1735;
																																																																								}
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16424);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd214061zd2_3778;
																																																																							BgL_cdrzd214061zd2_3778
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd214068zd2_3779;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_9791;
																																																																									BgL_pairz00_9791
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd214068zd2_3779
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_9791);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd214075zd2_3780;
																																																																									BgL_cdrzd214075zd2_3780
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214068zd2_3779));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd214081zd2_3781;
																																																																										BgL_carzd214081zd2_3781
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd214075zd2_3780));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214081zd2_3781))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd214088zd2_3783;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_9795;
																																																																													BgL_pairz00_9795
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd214075zd2_3780));
																																																																													BgL_carzd214088zd2_3783
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_9795);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214088zd2_3783))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214061zd2_3778))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg3342z00_3786;
																																																																																BgL_arg3342z00_3786
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd214068zd2_3779));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16450;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_16454;
																																																																																		obj_t
																																																																																			BgL_proc2z00_16453;
																																																																																		obj_t
																																																																																			BgL_proc1z00_16452;
																																																																																		obj_t
																																																																																			BgL_testz00_16451;
																																																																																		BgL_testz00_16451
																																																																																			=
																																																																																			BgL_arg3342z00_3786;
																																																																																		BgL_proc1z00_16452
																																																																																			=
																																																																																			BgL_carzd214081zd2_3781;
																																																																																		BgL_proc2z00_16453
																																																																																			=
																																																																																			BgL_carzd214088zd2_3783;
																																																																																		BgL_argsz00_16454
																																																																																			=
																																																																																			BgL_cdrzd214061zd2_3778;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_16454;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_16453;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_16452;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_16451;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16450);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16458;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16458);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16462;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16462);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16466;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16466);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16470;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16470);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd214364zd2_3805;
																																																																			BgL_cdrzd214364zd2_3805
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd214370zd2_3806;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_9799;
																																																																					BgL_pairz00_9799
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd214370zd2_3806
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_9799);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd214376zd2_3807;
																																																																					BgL_cdrzd214376zd2_3807
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd214370zd2_3806));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd214381zd2_3808;
																																																																						obj_t
																																																																							BgL_cdrzd214382zd2_3809;
																																																																						BgL_carzd214381zd2_3808
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd214376zd2_3807));
																																																																						BgL_cdrzd214382zd2_3809
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd214376zd2_3807));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214381zd2_3808))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd214387zd2_3811;
																																																																								BgL_carzd214387zd2_3811
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd214382zd2_3809));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214387zd2_3811))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd214382zd2_3809))))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214364zd2_3805))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg3358z00_3816;
																																																																														BgL_arg3358z00_3816
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd214370zd2_3806));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16497;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_16501;
																																																																																obj_t
																																																																																	BgL_proc2z00_16500;
																																																																																obj_t
																																																																																	BgL_proc1z00_16499;
																																																																																obj_t
																																																																																	BgL_testz00_16498;
																																																																																BgL_testz00_16498
																																																																																	=
																																																																																	BgL_arg3358z00_3816;
																																																																																BgL_proc1z00_16499
																																																																																	=
																																																																																	BgL_carzd214381zd2_3808;
																																																																																BgL_proc2z00_16500
																																																																																	=
																																																																																	BgL_carzd214387zd2_3811;
																																																																																BgL_argsz00_16501
																																																																																	=
																																																																																	BgL_cdrzd214364zd2_3805;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_16501;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_16500;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_16499;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_16498;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16497);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16505;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16505);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16509;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16509);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16513;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16513);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16517;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16517);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16521;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16521);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd214720zd2_3824;
																																																															BgL_cdrzd214720zd2_3824
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd214727zd2_3825;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_9809;
																																																																	BgL_pairz00_9809
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd214727zd2_3825
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_9809);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd214734zd2_3826;
																																																																	BgL_cdrzd214734zd2_3826
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd214727zd2_3825));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd214740zd2_3827;
																																																																		obj_t
																																																																			BgL_cdrzd214741zd2_3828;
																																																																		BgL_carzd214740zd2_3827
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd214734zd2_3826));
																																																																		BgL_cdrzd214741zd2_3828
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd214734zd2_3826));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214740zd2_3827))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd214741zd2_3828))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd214748zd2_3831;
																																																																						BgL_carzd214748zd2_3831
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd214741zd2_3828);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214748zd2_3831))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd214741zd2_3828)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214720zd2_3824))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3372z00_3836;
																																																																												BgL_arg3372z00_3836
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd214727zd2_3825));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16548;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16552;
																																																																														obj_t
																																																																															BgL_proc2z00_16551;
																																																																														obj_t
																																																																															BgL_proc1z00_16550;
																																																																														obj_t
																																																																															BgL_testz00_16549;
																																																																														BgL_testz00_16549
																																																																															=
																																																																															BgL_arg3372z00_3836;
																																																																														BgL_proc1z00_16550
																																																																															=
																																																																															BgL_carzd214740zd2_3827;
																																																																														BgL_proc2z00_16551
																																																																															=
																																																																															BgL_carzd214748zd2_3831;
																																																																														BgL_argsz00_16552
																																																																															=
																																																																															BgL_cdrzd214720zd2_3824;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_16552;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_16551;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_16550;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_16549;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16548);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16556;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16556);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16560;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16560);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16564;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16564);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16568;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16568);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16572;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16572);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16576;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16576);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_16578;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3401z00_3864;
																																																	BgL_arg3401z00_3864
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_16578
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3401z00_3864));
																																																}
																																																if (BgL_testz00_16578)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16583;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16583);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_16585;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3400z00_3863;
																																																			BgL_arg3400z00_3863
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_16585
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3400z00_3863));
																																																		}
																																																		if (BgL_testz00_16585)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_16590;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16590);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd215194zd2_3854;
																																																				BgL_carzd215194zd2_3854
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd215199zd2_3855;
																																																					BgL_cdrzd215199zd2_3855
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd215194zd2_3854));
																																																					if ((CAR(((obj_t) BgL_carzd215194zd2_3854)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3394z00_3858;
																																																							obj_t
																																																								BgL_arg3395z00_3859;
																																																							obj_t
																																																								BgL_arg3397z00_3860;
																																																							BgL_arg3394z00_3858
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd215199zd2_3855));
																																																							BgL_arg3395z00_3859
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd215199zd2_3855));
																																																							BgL_arg3397z00_3860
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16607;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_16610;
																																																									obj_t
																																																										BgL_bodyz00_16609;
																																																									obj_t
																																																										BgL_varsz00_16608;
																																																									BgL_varsz00_16608
																																																										=
																																																										BgL_arg3394z00_3858;
																																																									BgL_bodyz00_16609
																																																										=
																																																										BgL_arg3395z00_3859;
																																																									BgL_argsz00_16610
																																																										=
																																																										BgL_arg3397z00_3860;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_16610;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_16609;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_16608;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16607);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16614;
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16614);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_16616;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3408z00_3871;
																																															BgL_arg3408z00_3871
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_16616
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3408z00_3871));
																																														}
																																														if (BgL_testz00_16616)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_16621;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_16621);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_16623;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3407z00_3870;
																																																	BgL_arg3407z00_3870
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_16623
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3407z00_3870));
																																																}
																																																if (BgL_testz00_16623)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_16628;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16628);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd2403zd2_1764;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16632;
																																																				goto
																																																					BgL_tagzd2404zd2_1765;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16632);
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd213901zd2_3610)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd213903zd2_3612;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd213901zd2_3610 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd213903zd2_3612;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd213901zd2_3610 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd213903zd2_3612;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213901zd2_3610)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd213903zd2_3612;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_16646;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3308z00_3732;
																																																					BgL_arg3308z00_3732
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_16646
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg3308z00_3732));
																																																				}
																																																				if (BgL_testz00_16646)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16651;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16651);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_16653;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3307z00_3731;
																																																							BgL_arg3307z00_3731
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_16653
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg3307z00_3731));
																																																						}
																																																						if (BgL_testz00_16653)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_16658;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16658);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd215522zd2_3622;
																																																								BgL_carzd215522zd2_3622
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd215527zd2_3623;
																																																									BgL_cdrzd215527zd2_3623
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd215522zd2_3622));
																																																									if ((CAR(((obj_t) BgL_carzd215522zd2_3622)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd215527zd2_3623))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg3228z00_3627;
																																																													obj_t
																																																														BgL_arg3229z00_3628;
																																																													obj_t
																																																														BgL_arg3230z00_3629;
																																																													BgL_arg3228z00_3627
																																																														=
																																																														CAR
																																																														(BgL_cdrzd215527zd2_3623);
																																																													BgL_arg3229z00_3628
																																																														=
																																																														CDR
																																																														(BgL_cdrzd215527zd2_3623);
																																																													BgL_arg3230z00_3629
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16675;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_16678;
																																																															obj_t
																																																																BgL_bodyz00_16677;
																																																															obj_t
																																																																BgL_varsz00_16676;
																																																															BgL_varsz00_16676
																																																																=
																																																																BgL_arg3228z00_3627;
																																																															BgL_bodyz00_16677
																																																																=
																																																																BgL_arg3229z00_3628;
																																																															BgL_argsz00_16678
																																																																=
																																																																BgL_arg3230z00_3629;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_16678;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_16677;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_16676;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16675);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16682;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16682);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd215634zd2_3632;
																																																											BgL_cdrzd215634zd2_3632
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd215639zd2_3633;
																																																												BgL_cdrzd215639zd2_3633
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd215522zd2_3622));
																																																												if ((CAR(((obj_t) BgL_carzd215522zd2_3622)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd215639zd2_3633))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd215644zd2_3637;
																																																																BgL_cdrzd215644zd2_3637
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd215639zd2_3633);
																																																																if (PAIRP(BgL_cdrzd215644zd2_3637))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd215648zd2_3639;
																																																																		obj_t
																																																																			BgL_cdrzd215649zd2_3640;
																																																																		BgL_carzd215648zd2_3639
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd215644zd2_3637);
																																																																		BgL_cdrzd215649zd2_3640
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd215644zd2_3637);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215648zd2_3639))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd215649zd2_3640))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd215654zd2_3643;
																																																																						BgL_carzd215654zd2_3643
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd215649zd2_3640);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215654zd2_3643))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd215649zd2_3640)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_16710;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1392z00_3676;
																																																																											BgL_l1392z00_3676
																																																																												=
																																																																												BgL_cdrzd215634zd2_3632;
																																																																										BgL_zc3anonymousza33263ze3z83_3677:
																																																																											if (NULLP(BgL_l1392z00_3676))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_16710
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_16713;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_16714;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_tmpz00_16715;
																																																																															BgL_tmpz00_16715
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1392z00_3676));
																																																																															BgL_testz00_16714
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_16715);
																																																																														}
																																																																														if (BgL_testz00_16714)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_16713
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_16713
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_16713)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1392z00_16719;
																																																																															BgL_l1392z00_16719
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1392z00_3676));
																																																																															BgL_l1392z00_3676
																																																																																=
																																																																																BgL_l1392z00_16719;
																																																																															goto
																																																																																BgL_zc3anonymousza33263ze3z83_3677;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_16710
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_16710)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3247z00_3659;
																																																																												BgL_arg3247z00_3659
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd215639zd2_3633);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16723;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16727;
																																																																														obj_t
																																																																															BgL_proc2z00_16726;
																																																																														obj_t
																																																																															BgL_proc1z00_16725;
																																																																														obj_t
																																																																															BgL_testz00_16724;
																																																																														BgL_testz00_16724
																																																																															=
																																																																															BgL_arg3247z00_3659;
																																																																														BgL_proc1z00_16725
																																																																															=
																																																																															BgL_carzd215648zd2_3639;
																																																																														BgL_proc2z00_16726
																																																																															=
																																																																															BgL_carzd215654zd2_3643;
																																																																														BgL_argsz00_16727
																																																																															=
																																																																															BgL_cdrzd215634zd2_3632;
																																																																														BgL_argsz00_1734
																																																																															=
																																																																															BgL_argsz00_16727;
																																																																														BgL_proc2z00_1733
																																																																															=
																																																																															BgL_proc2z00_16726;
																																																																														BgL_proc1z00_1732
																																																																															=
																																																																															BgL_proc1z00_16725;
																																																																														BgL_testz00_1731
																																																																															=
																																																																															BgL_testz00_16724;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1735;
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16723);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd215679zd2_3660;
																																																																												BgL_cdrzd215679zd2_3660
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd215687zd2_3661;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_9857;
																																																																														BgL_pairz00_9857
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd215687zd2_3661
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_9857);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd215695zd2_3662;
																																																																														BgL_cdrzd215695zd2_3662
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd215687zd2_3661));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd215702zd2_3663;
																																																																															BgL_carzd215702zd2_3663
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd215695zd2_3662));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215702zd2_3663))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd215711zd2_3665;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_9861;
																																																																																		BgL_pairz00_9861
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd215695zd2_3662));
																																																																																		BgL_carzd215711zd2_3665
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_9861);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215711zd2_3665))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215679zd2_3660))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg3251z00_3668;
																																																																																					BgL_arg3251z00_3668
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd215687zd2_3661));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16749;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_16753;
																																																																																							obj_t
																																																																																								BgL_proc2z00_16752;
																																																																																							obj_t
																																																																																								BgL_proc1z00_16751;
																																																																																							obj_t
																																																																																								BgL_testz00_16750;
																																																																																							BgL_testz00_16750
																																																																																								=
																																																																																								BgL_arg3251z00_3668;
																																																																																							BgL_proc1z00_16751
																																																																																								=
																																																																																								BgL_carzd215702zd2_3663;
																																																																																							BgL_proc2z00_16752
																																																																																								=
																																																																																								BgL_carzd215711zd2_3665;
																																																																																							BgL_argsz00_16753
																																																																																								=
																																																																																								BgL_cdrzd215679zd2_3660;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_16753;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_16752;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_16751;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_16750;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_12643
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16749);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16757;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_12643
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16757);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16761;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16761);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16765;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16765);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16769;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16769);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd215989zd2_3687;
																																																																								BgL_cdrzd215989zd2_3687
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd215996zd2_3688;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_9865;
																																																																										BgL_pairz00_9865
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd215996zd2_3688
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_9865);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd216003zd2_3689;
																																																																										BgL_cdrzd216003zd2_3689
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd215996zd2_3688));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd216009zd2_3690;
																																																																											obj_t
																																																																												BgL_cdrzd216010zd2_3691;
																																																																											BgL_carzd216009zd2_3690
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd216003zd2_3689));
																																																																											BgL_cdrzd216010zd2_3691
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd216003zd2_3689));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216009zd2_3690))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd216017zd2_3693;
																																																																													BgL_carzd216017zd2_3693
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd216010zd2_3691));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216017zd2_3693))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd216010zd2_3691))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215989zd2_3687))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg3277z00_3698;
																																																																																			BgL_arg3277z00_3698
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd215996zd2_3688));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16796;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16800;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16799;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16798;
																																																																																					obj_t
																																																																																						BgL_testz00_16797;
																																																																																					BgL_testz00_16797
																																																																																						=
																																																																																						BgL_arg3277z00_3698;
																																																																																					BgL_proc1z00_16798
																																																																																						=
																																																																																						BgL_carzd216009zd2_3690;
																																																																																					BgL_proc2z00_16799
																																																																																						=
																																																																																						BgL_carzd216017zd2_3693;
																																																																																					BgL_argsz00_16800
																																																																																						=
																																																																																						BgL_cdrzd215989zd2_3687;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_16800;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_16799;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_16798;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_16797;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16796);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16804;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_12643
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16804);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16808;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16808);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16812;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16812);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16816;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16816);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16820;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16820);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd216350zd2_3706;
																																																																				BgL_cdrzd216350zd2_3706
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd216356zd2_3707;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_9875;
																																																																						BgL_pairz00_9875
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd216356zd2_3707
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_9875);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd216362zd2_3708;
																																																																						BgL_cdrzd216362zd2_3708
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd216356zd2_3707));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd216367zd2_3709;
																																																																							obj_t
																																																																								BgL_cdrzd216368zd2_3710;
																																																																							BgL_carzd216367zd2_3709
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd216362zd2_3708));
																																																																							BgL_cdrzd216368zd2_3710
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd216362zd2_3708));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216367zd2_3709))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd216368zd2_3710))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd216373zd2_3713;
																																																																											BgL_carzd216373zd2_3713
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd216368zd2_3710);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216373zd2_3713))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd216368zd2_3710)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216350zd2_3706))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg3293z00_3718;
																																																																																	BgL_arg3293z00_3718
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd216356zd2_3707));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16847;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_16851;
																																																																																			obj_t
																																																																																				BgL_proc2z00_16850;
																																																																																			obj_t
																																																																																				BgL_proc1z00_16849;
																																																																																			obj_t
																																																																																				BgL_testz00_16848;
																																																																																			BgL_testz00_16848
																																																																																				=
																																																																																				BgL_arg3293z00_3718;
																																																																																			BgL_proc1z00_16849
																																																																																				=
																																																																																				BgL_carzd216367zd2_3709;
																																																																																			BgL_proc2z00_16850
																																																																																				=
																																																																																				BgL_carzd216373zd2_3713;
																																																																																			BgL_argsz00_16851
																																																																																				=
																																																																																				BgL_cdrzd216350zd2_3706;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_16851;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_16850;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_16849;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_16848;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16847);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16855;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16855);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16859;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16859);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16863;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16863);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16867;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16867);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16871;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16871);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16875;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16875);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16879;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16879);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_16883;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_16883);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd213898zd2_3608 == CNST_TABLE_REF(((long) 18))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16888;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16888);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd213898zd2_3608)))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16893;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16893);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd213898zd2_3608 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_16898;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_16898);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_16905;
																																																	goto
																																																		BgL_tagzd2383zd2_1721;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_16905);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd216935zd2_3878;
																																																	BgL_carzd216935zd2_3878
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd216935zd2_3878 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_16912;
																																																			goto
																																																				BgL_tagzd2384zd2_1722;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_16912);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd216935zd2_3878)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_16917;
																																																					goto
																																																						BgL_tagzd2384zd2_1722;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_16917);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_16924;
																																																							goto
																																																								BgL_tagzd2389zd2_1741;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16924);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16931;
																																																									goto
																																																										BgL_tagzd2390zd2_1742;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16931);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd217015zd2_3885;
																																																									BgL_cdrzd217015zd2_3885
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg3422z00_3888;
																																																											obj_t
																																																												BgL_arg3423z00_3889;
																																																											BgL_arg3422z00_3888
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd217015zd2_3885));
																																																											BgL_arg3423z00_3889
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217015zd2_3885));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_16944;
																																																												{
																																																													obj_t
																																																														BgL_restz00_16946;
																																																													obj_t
																																																														BgL_effectz00_16945;
																																																													BgL_effectz00_16945
																																																														=
																																																														BgL_arg3422z00_3888;
																																																													BgL_restz00_16946
																																																														=
																																																														BgL_arg3423z00_3889;
																																																													BgL_restz00_1744
																																																														=
																																																														BgL_restz00_16946;
																																																													BgL_effectz00_1743
																																																														=
																																																														BgL_effectz00_16945;
																																																													goto
																																																														BgL_tagzd2391zd2_1745;
																																																												}
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_16944);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16953;
																																																													goto
																																																														BgL_tagzd2392zd2_1746;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16953);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16960;
																																																															goto
																																																																BgL_tagzd2393zd2_1747;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16960);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg3430z00_3897;
																																																																	obj_t
																																																																		BgL_arg3431z00_3898;
																																																																	BgL_arg3430z00_3897
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217015zd2_3885));
																																																																	BgL_arg3431z00_3898
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217015zd2_3885));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16971;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_16973;
																																																																			obj_t
																																																																				BgL_effectz00_16972;
																																																																			BgL_effectz00_16972
																																																																				=
																																																																				BgL_arg3430z00_3897;
																																																																			BgL_restz00_16973
																																																																				=
																																																																				BgL_arg3431z00_3898;
																																																																			BgL_restz00_1749
																																																																				=
																																																																				BgL_restz00_16973;
																																																																			BgL_effectz00_1748
																																																																				=
																																																																				BgL_effectz00_16972;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1750;
																																																																		}
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16971);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16980;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1751;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16980);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16987;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1752;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16987);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_16994;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1753;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16994);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_17001;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1754;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17001);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_17008;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_17009;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_9906;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_9905;
																																																																														BgL_pairz00_9905
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_9906
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_9905);
																																																																													}
																																																																													BgL_tmpz00_17009
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_9906);
																																																																												}
																																																																												BgL_testz00_17008
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_17009);
																																																																											}
																																																																											if (BgL_testz00_17008)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17015;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1755;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17015);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17019;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17019);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd217103zd2_3917;
																																																																											BgL_cdrzd217103zd2_3917
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd217109zd2_3920;
																																																																													BgL_cdrzd217109zd2_3920
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd217103zd2_3917));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd217115zd2_3921;
																																																																														BgL_cdrzd217115zd2_3921
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217109zd2_3920));
																																																																														if ((CAR(((obj_t) BgL_cdrzd217109zd2_3920)) == CNST_TABLE_REF(((long) 32))))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (PAIRP(BgL_cdrzd217115zd2_3921))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3459z00_3925;
																																																																																		obj_t
																																																																																			BgL_arg3460z00_3926;
																																																																																		obj_t
																																																																																			BgL_arg3461z00_3927;
																																																																																		BgL_arg3459z00_3925
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217103zd2_3917));
																																																																																		BgL_arg3460z00_3926
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217115zd2_3921);
																																																																																		BgL_arg3461z00_3927
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd217115zd2_3921);
																																																																																		{	/* Ast/sexp.scm 546 */
																																																																																			obj_t
																																																																																				BgL_arg6426z00_9917;
																																																																																			BgL_arg6426z00_9917
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3459z00_3925,
																																																																																					BgL_arg3460z00_3926,
																																																																																					BgL_arg3461z00_3927,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg6426z00_9917,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3462z00_3929;
																																																																																		obj_t
																																																																																			BgL_arg3463z00_3930;
																																																																																		BgL_arg3462z00_3929
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217103zd2_3917));
																																																																																		BgL_arg3463z00_3930
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217103zd2_3917));
																																																																																		{	/* Ast/sexp.scm 548 */
																																																																																			obj_t
																																																																																				BgL_arg6427z00_9921;
																																																																																			BgL_arg6427z00_9921
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3462z00_3929,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg3463z00_3930, BgL_stackz00_22, BgL_arg6427z00_9921, BgL_sitez00_24));
																																																																															}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg3465z00_3932;
																																																																																obj_t
																																																																																	BgL_arg3466z00_3933;
																																																																																BgL_arg3465z00_3932
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217103zd2_3917));
																																																																																BgL_arg3466z00_3933
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217103zd2_3917));
																																																																																{	/* Ast/sexp.scm 548 */
																																																																																	obj_t
																																																																																		BgL_arg6427z00_9925;
																																																																																	BgL_arg6427z00_9925
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg3465z00_3932,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg3466z00_3933, BgL_stackz00_22, BgL_arg6427z00_9925, BgL_sitez00_24));
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17064;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17064);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_carzd217164zd2_3952;
																													BgL_carzd217164zd2_3952
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd217164zd2_3952
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_17071;
																															goto
																																BgL_tagzd2377zd2_1711;
																															BgL_auxz00_12643 =
																																((obj_t)
																																BgL_auxz00_17071);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(BgL_carzd217164zd2_3952
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_17075;
																																	goto
																																		BgL_tagzd2377zd2_1711;
																																	BgL_auxz00_12643
																																		=
																																		((obj_t)
																																		BgL_auxz00_17075);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_17082;
																																			goto
																																				BgL_tagzd2379zd2_1715;
																																			BgL_auxz00_12643
																																				=
																																				((obj_t)
																																				BgL_auxz00_17082);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_17089;
																																					goto
																																						BgL_tagzd2380zd2_1716;
																																					BgL_auxz00_12643
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_17089);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd217225zd2_3959;
																																					BgL_carzd217225zd2_3959
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd217225zd2_3959))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd217228zd2_3961;
																																							obj_t
																																								BgL_cdrzd217229zd2_3962;
																																							BgL_carzd217228zd2_3961
																																								=
																																								CAR
																																								(BgL_carzd217225zd2_3959);
																																							BgL_cdrzd217229zd2_3962
																																								=
																																								CDR
																																								(BgL_carzd217225zd2_3959);
																																							{

																																								if ((BgL_carzd217228zd2_3961 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 118 */
																																									BgL_kapzd217230zd2_3963:
																																										if (PAIRP(BgL_cdrzd217229zd2_3962))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd217233zd2_4142;
																																												BgL_cdrzd217233zd2_4142
																																													=
																																													CDR
																																													(BgL_cdrzd217229zd2_3962);
																																												if (PAIRP(BgL_cdrzd217233zd2_4142))
																																													{	/* Ast/sexp.scm 118 */
																																														if (NULLP(CDR(BgL_cdrzd217233zd2_4142)))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg3636z00_4146;
																																																obj_t
																																																	BgL_arg3637z00_4147;
																																																BgL_arg3636z00_4146
																																																	=
																																																	CAR
																																																	(BgL_cdrzd217233zd2_4142);
																																																BgL_arg3637z00_4147
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_17111;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_17113;
																																																		obj_t
																																																			BgL_bodyz00_17112;
																																																		BgL_bodyz00_17112
																																																			=
																																																			BgL_arg3636z00_4146;
																																																		BgL_argsz00_17113
																																																			=
																																																			BgL_arg3637z00_4147;
																																																		BgL_argsz00_1718
																																																			=
																																																			BgL_argsz00_17113;
																																																		BgL_bodyz00_1717
																																																			=
																																																			BgL_bodyz00_17112;
																																																		goto
																																																			BgL_tagzd2381zd2_1719;
																																																	}
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_17111);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_17115;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3709z00_4256;
																																																	BgL_arg3709z00_4256
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_17115
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3709z00_4256));
																																																}
																																																if (BgL_testz00_17115)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17120;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17120);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_17122;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3708z00_4255;
																																																			BgL_arg3708z00_4255
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_17122
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3708z00_4255));
																																																		}
																																																		if (BgL_testz00_17122)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_17127;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17127);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd217311zd2_4152;
																																																				BgL_carzd217311zd2_4152
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd217316zd2_4153;
																																																					BgL_cdrzd217316zd2_4153
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd217311zd2_4152));
																																																					if ((CAR(((obj_t) BgL_carzd217311zd2_4152)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3644z00_4156;
																																																							obj_t
																																																								BgL_arg3645z00_4157;
																																																							obj_t
																																																								BgL_arg3646z00_4158;
																																																							BgL_arg3644z00_4156
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd217316zd2_4153));
																																																							BgL_arg3645z00_4157
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd217316zd2_4153));
																																																							BgL_arg3646z00_4158
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17144;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_17147;
																																																									obj_t
																																																										BgL_bodyz00_17146;
																																																									obj_t
																																																										BgL_varsz00_17145;
																																																									BgL_varsz00_17145
																																																										=
																																																										BgL_arg3644z00_4156;
																																																									BgL_bodyz00_17146
																																																										=
																																																										BgL_arg3645z00_4157;
																																																									BgL_argsz00_17147
																																																										=
																																																										BgL_arg3646z00_4158;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_17147;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_17146;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_17145;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																								BgL_auxz00_12643
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17144);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd217339zd2_4160;
																																																							BgL_cdrzd217339zd2_4160
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd217345zd2_4161;
																																																								BgL_cdrzd217345zd2_4161
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd217311zd2_4152));
																																																								if ((CAR(((obj_t) BgL_carzd217311zd2_4152)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd217351zd2_4164;
																																																										BgL_cdrzd217351zd2_4164
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd217345zd2_4161));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd217356zd2_4165;
																																																											obj_t
																																																												BgL_cdrzd217357zd2_4166;
																																																											BgL_carzd217356zd2_4165
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd217351zd2_4164));
																																																											BgL_cdrzd217357zd2_4166
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217351zd2_4164));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217356zd2_4165))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd217357zd2_4166))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd217364zd2_4169;
																																																															BgL_carzd217364zd2_4169
																																																																=
																																																																CAR
																																																																(BgL_cdrzd217357zd2_4166);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217364zd2_4169))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd217357zd2_4166)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_17174;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1395z00_4202;
																																																																				BgL_l1395z00_4202
																																																																					=
																																																																					BgL_cdrzd217339zd2_4160;
																																																																			BgL_zc3anonymousza33673ze3z83_4203:
																																																																				if (NULLP(BgL_l1395z00_4202))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_17174
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_17177;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_17178;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_tmpz00_17179;
																																																																								BgL_tmpz00_17179
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1395z00_4202));
																																																																								BgL_testz00_17178
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_17179);
																																																																							}
																																																																							if (BgL_testz00_17178)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_17177
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_17177
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_17177)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1395z00_17183;
																																																																								BgL_l1395z00_17183
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1395z00_4202));
																																																																								BgL_l1395z00_4202
																																																																									=
																																																																									BgL_l1395z00_17183;
																																																																								goto
																																																																									BgL_zc3anonymousza33673ze3z83_4203;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_17174
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_17174)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg3661z00_4185;
																																																																					BgL_arg3661z00_4185
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd217345zd2_4161));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17188;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_17192;
																																																																							obj_t
																																																																								BgL_proc2z00_17191;
																																																																							obj_t
																																																																								BgL_proc1z00_17190;
																																																																							obj_t
																																																																								BgL_testz00_17189;
																																																																							BgL_testz00_17189
																																																																								=
																																																																								BgL_arg3661z00_4185;
																																																																							BgL_proc1z00_17190
																																																																								=
																																																																								BgL_carzd217356zd2_4165;
																																																																							BgL_proc2z00_17191
																																																																								=
																																																																								BgL_carzd217364zd2_4169;
																																																																							BgL_argsz00_17192
																																																																								=
																																																																								BgL_cdrzd217339zd2_4160;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_17192;
																																																																							BgL_proc2z00_1733
																																																																								=
																																																																								BgL_proc2z00_17191;
																																																																							BgL_proc1z00_1732
																																																																								=
																																																																								BgL_proc1z00_17190;
																																																																							BgL_testz00_1731
																																																																								=
																																																																								BgL_testz00_17189;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1735;
																																																																						}
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17188);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd217388zd2_4186;
																																																																					BgL_cdrzd217388zd2_4186
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd217395zd2_4187;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_9966;
																																																																							BgL_pairz00_9966
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd217395zd2_4187
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_9966);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd217402zd2_4188;
																																																																							BgL_cdrzd217402zd2_4188
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd217395zd2_4187));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd217408zd2_4189;
																																																																								BgL_carzd217408zd2_4189
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd217402zd2_4188));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217408zd2_4189))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd217415zd2_4191;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_9970;
																																																																											BgL_pairz00_9970
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd217402zd2_4188));
																																																																											BgL_carzd217415zd2_4191
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_9970);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217415zd2_4191))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217388zd2_4186))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg3665z00_4194;
																																																																														BgL_arg3665z00_4194
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217395zd2_4187));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17214;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_17218;
																																																																																obj_t
																																																																																	BgL_proc2z00_17217;
																																																																																obj_t
																																																																																	BgL_proc1z00_17216;
																																																																																obj_t
																																																																																	BgL_testz00_17215;
																																																																																BgL_testz00_17215
																																																																																	=
																																																																																	BgL_arg3665z00_4194;
																																																																																BgL_proc1z00_17216
																																																																																	=
																																																																																	BgL_carzd217408zd2_4189;
																																																																																BgL_proc2z00_17217
																																																																																	=
																																																																																	BgL_carzd217415zd2_4191;
																																																																																BgL_argsz00_17218
																																																																																	=
																																																																																	BgL_cdrzd217388zd2_4186;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_17218;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_17217;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_17216;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_17215;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17214);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17222;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17222);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17226;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17226);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17230;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17230);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17234;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17234);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd217691zd2_4213;
																																																																	BgL_cdrzd217691zd2_4213
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd217697zd2_4214;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_9974;
																																																																			BgL_pairz00_9974
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd217697zd2_4214
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_9974);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd217703zd2_4215;
																																																																			BgL_cdrzd217703zd2_4215
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd217697zd2_4214));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd217708zd2_4216;
																																																																				obj_t
																																																																					BgL_cdrzd217709zd2_4217;
																																																																				BgL_carzd217708zd2_4216
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd217703zd2_4215));
																																																																				BgL_cdrzd217709zd2_4217
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd217703zd2_4215));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217708zd2_4216))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd217714zd2_4219;
																																																																						BgL_carzd217714zd2_4219
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd217709zd2_4217));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217714zd2_4219))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd217709zd2_4217))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217691zd2_4213))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3683z00_4224;
																																																																												BgL_arg3683z00_4224
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd217697zd2_4214));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17261;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_17265;
																																																																														obj_t
																																																																															BgL_proc2z00_17264;
																																																																														obj_t
																																																																															BgL_proc1z00_17263;
																																																																														obj_t
																																																																															BgL_testz00_17262;
																																																																														BgL_testz00_17262
																																																																															=
																																																																															BgL_arg3683z00_4224;
																																																																														BgL_proc1z00_17263
																																																																															=
																																																																															BgL_carzd217708zd2_4216;
																																																																														BgL_proc2z00_17264
																																																																															=
																																																																															BgL_carzd217714zd2_4219;
																																																																														BgL_argsz00_17265
																																																																															=
																																																																															BgL_cdrzd217691zd2_4213;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_17265;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_17264;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_17263;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_17262;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17261);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17269;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17269);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17273;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17273);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17277;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17277);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17281;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17281);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17285;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17285);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd218047zd2_4232;
																																																													BgL_cdrzd218047zd2_4232
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd218054zd2_4233;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_9984;
																																																															BgL_pairz00_9984
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd218054zd2_4233
																																																																=
																																																																CDR
																																																																(BgL_pairz00_9984);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd218061zd2_4234;
																																																															BgL_cdrzd218061zd2_4234
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd218054zd2_4233));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd218067zd2_4235;
																																																																obj_t
																																																																	BgL_cdrzd218068zd2_4236;
																																																																BgL_carzd218067zd2_4235
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd218061zd2_4234));
																																																																BgL_cdrzd218068zd2_4236
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd218061zd2_4234));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218067zd2_4235))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd218068zd2_4236))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd218075zd2_4239;
																																																																				BgL_carzd218075zd2_4239
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd218068zd2_4236);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218075zd2_4239))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd218068zd2_4236)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218047zd2_4232))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg3697z00_4244;
																																																																										BgL_arg3697z00_4244
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd218054zd2_4233));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17312;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_17316;
																																																																												obj_t
																																																																													BgL_proc2z00_17315;
																																																																												obj_t
																																																																													BgL_proc1z00_17314;
																																																																												obj_t
																																																																													BgL_testz00_17313;
																																																																												BgL_testz00_17313
																																																																													=
																																																																													BgL_arg3697z00_4244;
																																																																												BgL_proc1z00_17314
																																																																													=
																																																																													BgL_carzd218067zd2_4235;
																																																																												BgL_proc2z00_17315
																																																																													=
																																																																													BgL_carzd218075zd2_4239;
																																																																												BgL_argsz00_17316
																																																																													=
																																																																													BgL_cdrzd218047zd2_4232;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_17316;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_17315;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_17314;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_17313;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17312);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17320;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17320);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17324;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17324);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17328;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17328);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17332;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17332);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17336;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17336);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1764;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17340;
																																																												goto
																																																													BgL_tagzd2404zd2_1765;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17340);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_17342;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3723z00_4272;
																																															BgL_arg3723z00_4272
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_17342
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3723z00_4272));
																																														}
																																														if (BgL_testz00_17342)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17347;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17347);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_17349;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3722z00_4271;
																																																	BgL_arg3722z00_4271
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_17349
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3722z00_4271));
																																																}
																																																if (BgL_testz00_17349)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_17354;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17354);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd218521zd2_4262;
																																																		BgL_carzd218521zd2_4262
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd218526zd2_4263;
																																																			BgL_cdrzd218526zd2_4263
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd218521zd2_4262));
																																																			if ((CAR(((obj_t) BgL_carzd218521zd2_4262)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3717z00_4266;
																																																					obj_t
																																																						BgL_arg3718z00_4267;
																																																					obj_t
																																																						BgL_arg3719z00_4268;
																																																					BgL_arg3717z00_4266
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd218526zd2_4263));
																																																					BgL_arg3718z00_4267
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd218526zd2_4263));
																																																					BgL_arg3719z00_4268
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17371;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_17374;
																																																							obj_t
																																																								BgL_bodyz00_17373;
																																																							obj_t
																																																								BgL_varsz00_17372;
																																																							BgL_varsz00_17372
																																																								=
																																																								BgL_arg3717z00_4266;
																																																							BgL_bodyz00_17373
																																																								=
																																																								BgL_arg3718z00_4267;
																																																							BgL_argsz00_17374
																																																								=
																																																								BgL_arg3719z00_4268;
																																																							BgL_argsz00_1729
																																																								=
																																																								BgL_argsz00_17374;
																																																							BgL_bodyz00_1728
																																																								=
																																																								BgL_bodyz00_17373;
																																																							BgL_varsz00_1727
																																																								=
																																																								BgL_varsz00_17372;
																																																							goto
																																																								BgL_tagzd2386zd2_1730;
																																																						}
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17371);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1764;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17378;
																																																							goto
																																																								BgL_tagzd2404zd2_1765;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17378);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_17380;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3730z00_4279;
																																													BgL_arg3730z00_4279
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_17380
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg3730z00_4279));
																																												}
																																												if (BgL_testz00_17380)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17385;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_12643
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17385);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_17387;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3729z00_4278;
																																															BgL_arg3729z00_4278
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_17387
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg3729z00_4278));
																																														}
																																														if (BgL_testz00_17387)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_17392;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17392);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd2403zd2_1764;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17396;
																																																		goto
																																																			BgL_tagzd2404zd2_1765;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17396);
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217228zd2_3961)))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd217230zd2_3963;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd217228zd2_3961 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd217230zd2_3963;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd217228zd2_3961 == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd217230zd2_3963;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217228zd2_3961)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd217230zd2_3963;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_17410;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3631z00_4140;
																																																			BgL_arg3631z00_4140
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_17410
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3631z00_4140));
																																																		}
																																																		if (BgL_testz00_17410)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17415;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17415);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_17417;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3629z00_4139;
																																																					BgL_arg3629z00_4139
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_17417
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3629z00_4139));
																																																				}
																																																				if (BgL_testz00_17417)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_17422;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17422);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd218836zd2_3973;
																																																						obj_t
																																																							BgL_cdrzd218837zd2_3974;
																																																						BgL_carzd218836zd2_3973
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_cdrzd218837zd2_3974
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd218841zd2_3975;
																																																							BgL_cdrzd218841zd2_3975
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd218836zd2_3973));
																																																							if ((CAR(((obj_t) BgL_carzd218836zd2_3973)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd218841zd2_3975))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd218844zd2_3979;
																																																											obj_t
																																																												BgL_cdrzd218845zd2_3980;
																																																											BgL_carzd218844zd2_3979
																																																												=
																																																												CAR
																																																												(BgL_cdrzd218841zd2_3975);
																																																											BgL_cdrzd218845zd2_3980
																																																												=
																																																												CDR
																																																												(BgL_cdrzd218841zd2_3975);
																																																											if (PAIRP(BgL_carzd218844zd2_3979))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_carzd218844zd2_3979)))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd218845zd2_3980))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd218851zd2_3985;
																																																																	BgL_carzd218851zd2_3985
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd218845zd2_3980);
																																																																	if (PAIRP(BgL_carzd218851zd2_3985))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd218851zd2_3985))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd218845zd2_3980)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd218858zd2_3990;
																																																																							BgL_carzd218858zd2_3990
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218837zd2_3974));
																																																																							if (PAIRP(BgL_carzd218858zd2_3990))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd218883zd2_3992;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10023;
																																																																										BgL_pairz00_10023
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd218883zd2_3992
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10023);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg3515z00_3993;
																																																																										obj_t
																																																																											BgL_arg3516z00_3994;
																																																																										obj_t
																																																																											BgL_arg3517z00_3995;
																																																																										BgL_arg3515z00_3993
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd218883zd2_3992));
																																																																										BgL_arg3516z00_3994
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd218883zd2_3992));
																																																																										BgL_arg3517z00_3995
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17467;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_17470;
																																																																												obj_t
																																																																													BgL_bodyz00_17469;
																																																																												obj_t
																																																																													BgL_varsz00_17468;
																																																																												BgL_varsz00_17468
																																																																													=
																																																																													BgL_arg3515z00_3993;
																																																																												BgL_bodyz00_17469
																																																																													=
																																																																													BgL_arg3516z00_3994;
																																																																												BgL_argsz00_17470
																																																																													=
																																																																													BgL_arg3517z00_3995;
																																																																												BgL_argsz00_1729
																																																																													=
																																																																													BgL_argsz00_17470;
																																																																												BgL_bodyz00_1728
																																																																													=
																																																																													BgL_bodyz00_17469;
																																																																												BgL_varsz00_1727
																																																																													=
																																																																													BgL_varsz00_17468;
																																																																												goto
																																																																													BgL_tagzd2386zd2_1730;
																																																																											}
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17467);
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd218837zd2_3974))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg3521z00_3999;
																																																																											BgL_arg3521z00_3999
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd218844zd2_3979);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_17477;
																																																																												BgL_varz00_1723
																																																																													=
																																																																													BgL_arg3521z00_3999;
																																																																												BgL_bodyz00_1724
																																																																													=
																																																																													BgL_carzd218851zd2_3985;
																																																																												BgL_argz00_1725
																																																																													=
																																																																													BgL_carzd218858zd2_3990;
																																																																											BgL_tagzd2385zd2_1726:
																																																																												{	/* Ast/sexp.scm 360 */
																																																																													BgL_castz00_bglt
																																																																														BgL_new1140z00_7893;
																																																																													{	/* Ast/sexp.scm 361 */
																																																																														BgL_castz00_bglt
																																																																															BgL_new1139z00_7895;
																																																																														BgL_new1139z00_7895
																																																																															=
																																																																															(
																																																																															(BgL_castz00_bglt)
																																																																															BOBJECT
																																																																															(GC_MALLOC
																																																																																(sizeof
																																																																																	(struct
																																																																																		BgL_castz00_bgl))));
																																																																														{	/* Ast/sexp.scm 361 */
																																																																															long
																																																																																BgL_arg6262z00_7896;
																																																																															{	/* Ast/sexp.scm 361 */
																																																																																long
																																																																																	BgL_res6761z00_8935;
																																																																																BgL_res6761z00_8935
																																																																																	=
																																																																																	BGL_CLASS_INDEX
																																																																																	(BGl_castz00zzast_nodez00);
																																																																																BgL_arg6262z00_7896
																																																																																	=
																																																																																	BgL_res6761z00_8935;
																																																																															}
																																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																																(
																																																																																((BgL_objectz00_bglt) BgL_new1139z00_7895), BgL_arg6262z00_7896);
																																																																														}
																																																																														{	/* Ast/sexp.scm 361 */
																																																																															BgL_objectz00_bglt
																																																																																BgL_tmpz00_17482;
																																																																															BgL_tmpz00_17482
																																																																																=
																																																																																(
																																																																																(BgL_objectz00_bglt)
																																																																																BgL_new1139z00_7895);
																																																																															BGL_OBJECT_WIDENING_SET
																																																																																(BgL_tmpz00_17482,
																																																																																BFALSE);
																																																																														}
																																																																														BgL_new1140z00_7893
																																																																															=
																																																																															BgL_new1139z00_7895;
																																																																													}
																																																																													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1140z00_7893)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																													{
																																																																														BgL_typez00_bglt
																																																																															BgL_auxz00_17487;
																																																																														{	/* Ast/sexp.scm 362 */
																																																																															obj_t
																																																																																BgL_arg6261z00_7894;
																																																																															BgL_arg6261z00_7894
																																																																																=
																																																																																BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																(BgL_bodyz00_1724);
																																																																															BgL_auxz00_17487
																																																																																=
																																																																																BGl_usezd2typez12zc0zztype_envz00
																																																																																(BgL_arg6261z00_7894,
																																																																																BgL_locz00_23);
																																																																														}
																																																																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1140z00_7893)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17487), BUNSPEC);
																																																																													}
																																																																													((((BgL_castz00_bglt) COBJECT(BgL_new1140z00_7893))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1725, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																													BgL_auxz00_17477
																																																																														=
																																																																														BgL_new1140z00_7893;
																																																																												}
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17477);
																																																																										}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd218911zd2_4000;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_10031;
																																																																												BgL_pairz00_10031
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd218911zd2_4000
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10031);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3523z00_4001;
																																																																												obj_t
																																																																													BgL_arg3524z00_4002;
																																																																												obj_t
																																																																													BgL_arg3525z00_4003;
																																																																												BgL_arg3523z00_4001
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd218911zd2_4000));
																																																																												BgL_arg3524z00_4002
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd218911zd2_4000));
																																																																												BgL_arg3525z00_4003
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17504;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_17507;
																																																																														obj_t
																																																																															BgL_bodyz00_17506;
																																																																														obj_t
																																																																															BgL_varsz00_17505;
																																																																														BgL_varsz00_17505
																																																																															=
																																																																															BgL_arg3523z00_4001;
																																																																														BgL_bodyz00_17506
																																																																															=
																																																																															BgL_arg3524z00_4002;
																																																																														BgL_argsz00_17507
																																																																															=
																																																																															BgL_arg3525z00_4003;
																																																																														BgL_argsz00_1729
																																																																															=
																																																																															BgL_argsz00_17507;
																																																																														BgL_bodyz00_1728
																																																																															=
																																																																															BgL_bodyz00_17506;
																																																																														BgL_varsz00_1727
																																																																															=
																																																																															BgL_varsz00_17505;
																																																																														goto
																																																																															BgL_tagzd2386zd2_1730;
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17504);
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd218937zd2_4006;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_10036;
																																																																								BgL_pairz00_10036
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd218937zd2_4006
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_10036);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg3529z00_4007;
																																																																								obj_t
																																																																									BgL_arg3530z00_4008;
																																																																								obj_t
																																																																									BgL_arg3531z00_4009;
																																																																								BgL_arg3529z00_4007
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd218937zd2_4006));
																																																																								BgL_arg3530z00_4008
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd218937zd2_4006));
																																																																								BgL_arg3531z00_4009
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17518;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17521;
																																																																										obj_t
																																																																											BgL_bodyz00_17520;
																																																																										obj_t
																																																																											BgL_varsz00_17519;
																																																																										BgL_varsz00_17519
																																																																											=
																																																																											BgL_arg3529z00_4007;
																																																																										BgL_bodyz00_17520
																																																																											=
																																																																											BgL_arg3530z00_4008;
																																																																										BgL_argsz00_17521
																																																																											=
																																																																											BgL_arg3531z00_4009;
																																																																										BgL_argsz00_1729
																																																																											=
																																																																											BgL_argsz00_17521;
																																																																										BgL_bodyz00_1728
																																																																											=
																																																																											BgL_bodyz00_17520;
																																																																										BgL_varsz00_1727
																																																																											=
																																																																											BgL_varsz00_17519;
																																																																										goto
																																																																											BgL_tagzd2386zd2_1730;
																																																																									}
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17518);
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd218963zd2_4012;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_10041;
																																																																						BgL_pairz00_10041
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd218963zd2_4012
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_10041);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg3535z00_4013;
																																																																						obj_t
																																																																							BgL_arg3536z00_4014;
																																																																						obj_t
																																																																							BgL_arg3538z00_4015;
																																																																						BgL_arg3535z00_4013
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd218963zd2_4012));
																																																																						BgL_arg3536z00_4014
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd218963zd2_4012));
																																																																						BgL_arg3538z00_4015
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17532;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_17535;
																																																																								obj_t
																																																																									BgL_bodyz00_17534;
																																																																								obj_t
																																																																									BgL_varsz00_17533;
																																																																								BgL_varsz00_17533
																																																																									=
																																																																									BgL_arg3535z00_4013;
																																																																								BgL_bodyz00_17534
																																																																									=
																																																																									BgL_arg3536z00_4014;
																																																																								BgL_argsz00_17535
																																																																									=
																																																																									BgL_arg3538z00_4015;
																																																																								BgL_argsz00_1729
																																																																									=
																																																																									BgL_argsz00_17535;
																																																																								BgL_bodyz00_1728
																																																																									=
																																																																									BgL_bodyz00_17534;
																																																																								BgL_varsz00_1727
																																																																									=
																																																																									BgL_varsz00_17533;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1730;
																																																																							}
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17532);
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd218989zd2_4017;
																																																																			BgL_cdrzd218989zd2_4017
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd218836zd2_3973));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg3540z00_4018;
																																																																				obj_t
																																																																					BgL_arg3541z00_4019;
																																																																				obj_t
																																																																					BgL_arg3543z00_4020;
																																																																				BgL_arg3540z00_4018
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd218989zd2_4017));
																																																																				BgL_arg3541z00_4019
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd218989zd2_4017));
																																																																				BgL_arg3543z00_4020
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17545;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_17548;
																																																																						obj_t
																																																																							BgL_bodyz00_17547;
																																																																						obj_t
																																																																							BgL_varsz00_17546;
																																																																						BgL_varsz00_17546
																																																																							=
																																																																							BgL_arg3540z00_4018;
																																																																						BgL_bodyz00_17547
																																																																							=
																																																																							BgL_arg3541z00_4019;
																																																																						BgL_argsz00_17548
																																																																							=
																																																																							BgL_arg3543z00_4020;
																																																																						BgL_argsz00_1729
																																																																							=
																																																																							BgL_argsz00_17548;
																																																																						BgL_bodyz00_1728
																																																																							=
																																																																							BgL_bodyz00_17547;
																																																																						BgL_varsz00_1727
																																																																							=
																																																																							BgL_varsz00_17546;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1730;
																																																																					}
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17545);
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd219015zd2_4022;
																																																																	BgL_cdrzd219015zd2_4022
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd218836zd2_3973));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg3546z00_4023;
																																																																		obj_t
																																																																			BgL_arg3547z00_4024;
																																																																		obj_t
																																																																			BgL_arg3548z00_4025;
																																																																		BgL_arg3546z00_4023
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd219015zd2_4022));
																																																																		BgL_arg3547z00_4024
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd219015zd2_4022));
																																																																		BgL_arg3548z00_4025
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17558;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_17561;
																																																																				obj_t
																																																																					BgL_bodyz00_17560;
																																																																				obj_t
																																																																					BgL_varsz00_17559;
																																																																				BgL_varsz00_17559
																																																																					=
																																																																					BgL_arg3546z00_4023;
																																																																				BgL_bodyz00_17560
																																																																					=
																																																																					BgL_arg3547z00_4024;
																																																																				BgL_argsz00_17561
																																																																					=
																																																																					BgL_arg3548z00_4025;
																																																																				BgL_argsz00_1729
																																																																					=
																																																																					BgL_argsz00_17561;
																																																																				BgL_bodyz00_1728
																																																																					=
																																																																					BgL_bodyz00_17560;
																																																																				BgL_varsz00_1727
																																																																					=
																																																																					BgL_varsz00_17559;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1730;
																																																																			}
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17558);
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd219041zd2_4027;
																																																															BgL_cdrzd219041zd2_4027
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd218836zd2_3973));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg3550z00_4028;
																																																																obj_t
																																																																	BgL_arg3551z00_4029;
																																																																obj_t
																																																																	BgL_arg3553z00_4030;
																																																																BgL_arg3550z00_4028
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd219041zd2_4027));
																																																																BgL_arg3551z00_4029
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd219041zd2_4027));
																																																																BgL_arg3553z00_4030
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17571;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_17574;
																																																																		obj_t
																																																																			BgL_bodyz00_17573;
																																																																		obj_t
																																																																			BgL_varsz00_17572;
																																																																		BgL_varsz00_17572
																																																																			=
																																																																			BgL_arg3550z00_4028;
																																																																		BgL_bodyz00_17573
																																																																			=
																																																																			BgL_arg3551z00_4029;
																																																																		BgL_argsz00_17574
																																																																			=
																																																																			BgL_arg3553z00_4030;
																																																																		BgL_argsz00_1729
																																																																			=
																																																																			BgL_argsz00_17574;
																																																																		BgL_bodyz00_1728
																																																																			=
																																																																			BgL_bodyz00_17573;
																																																																		BgL_varsz00_1727
																																																																			=
																																																																			BgL_varsz00_17572;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1730;
																																																																	}
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17571);
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd219067zd2_4033;
																																																													BgL_cdrzd219067zd2_4033
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd218836zd2_3973));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg3557z00_4034;
																																																														obj_t
																																																															BgL_arg3558z00_4035;
																																																														obj_t
																																																															BgL_arg3559z00_4036;
																																																														BgL_arg3557z00_4034
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd219067zd2_4033));
																																																														BgL_arg3558z00_4035
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd219067zd2_4033));
																																																														BgL_arg3559z00_4036
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17584;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_17587;
																																																																obj_t
																																																																	BgL_bodyz00_17586;
																																																																obj_t
																																																																	BgL_varsz00_17585;
																																																																BgL_varsz00_17585
																																																																	=
																																																																	BgL_arg3557z00_4034;
																																																																BgL_bodyz00_17586
																																																																	=
																																																																	BgL_arg3558z00_4035;
																																																																BgL_argsz00_17587
																																																																	=
																																																																	BgL_arg3559z00_4036;
																																																																BgL_argsz00_1729
																																																																	=
																																																																	BgL_argsz00_17587;
																																																																BgL_bodyz00_1728
																																																																	=
																																																																	BgL_bodyz00_17586;
																																																																BgL_varsz00_1727
																																																																	=
																																																																	BgL_varsz00_17585;
																																																																goto
																																																																	BgL_tagzd2386zd2_1730;
																																																															}
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17584);
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17591;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17591);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd219205zd2_4041;
																																																									BgL_cdrzd219205zd2_4041
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd218836zd2_3973));
																																																									if ((CAR(((obj_t) BgL_carzd218836zd2_3973)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd219205zd2_4041))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd219210zd2_4045;
																																																													BgL_cdrzd219210zd2_4045
																																																														=
																																																														CDR
																																																														(BgL_cdrzd219205zd2_4041);
																																																													if (PAIRP(BgL_cdrzd219210zd2_4045))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd219214zd2_4047;
																																																															obj_t
																																																																BgL_cdrzd219215zd2_4048;
																																																															BgL_carzd219214zd2_4047
																																																																=
																																																																CAR
																																																																(BgL_cdrzd219210zd2_4045);
																																																															BgL_cdrzd219215zd2_4048
																																																																=
																																																																CDR
																																																																(BgL_cdrzd219210zd2_4045);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219214zd2_4047))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd219215zd2_4048))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd219220zd2_4051;
																																																																			BgL_carzd219220zd2_4051
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd219215zd2_4048);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219220zd2_4051))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd219215zd2_4048)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_17617;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1398z00_4084;
																																																																								BgL_l1398z00_4084
																																																																									=
																																																																									BgL_cdrzd218837zd2_3974;
																																																																							BgL_zc3anonymousza33588ze3z83_4085:
																																																																								if (NULLP(BgL_l1398z00_4084))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_17617
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_17620;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_17621;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_17622;
																																																																												BgL_tmpz00_17622
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_l1398z00_4084));
																																																																												BgL_testz00_17621
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_17622);
																																																																											}
																																																																											if (BgL_testz00_17621)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_17620
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_17620
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_17620)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1398z00_17626;
																																																																												BgL_l1398z00_17626
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_l1398z00_4084));
																																																																												BgL_l1398z00_4084
																																																																													=
																																																																													BgL_l1398z00_17626;
																																																																												goto
																																																																													BgL_zc3anonymousza33588ze3z83_4085;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_17617
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_17617)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg3578z00_4067;
																																																																									BgL_arg3578z00_4067
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd219205zd2_4041);
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17630;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_17634;
																																																																											obj_t
																																																																												BgL_proc2z00_17633;
																																																																											obj_t
																																																																												BgL_proc1z00_17632;
																																																																											obj_t
																																																																												BgL_testz00_17631;
																																																																											BgL_testz00_17631
																																																																												=
																																																																												BgL_arg3578z00_4067;
																																																																											BgL_proc1z00_17632
																																																																												=
																																																																												BgL_carzd219214zd2_4047;
																																																																											BgL_proc2z00_17633
																																																																												=
																																																																												BgL_carzd219220zd2_4051;
																																																																											BgL_argsz00_17634
																																																																												=
																																																																												BgL_cdrzd218837zd2_3974;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_17634;
																																																																											BgL_proc2z00_1733
																																																																												=
																																																																												BgL_proc2z00_17633;
																																																																											BgL_proc1z00_1732
																																																																												=
																																																																												BgL_proc1z00_17632;
																																																																											BgL_testz00_1731
																																																																												=
																																																																												BgL_testz00_17631;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1735;
																																																																										}
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17630);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd219245zd2_4068;
																																																																									BgL_cdrzd219245zd2_4068
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd219253zd2_4069;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10085;
																																																																											BgL_pairz00_10085
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd219253zd2_4069
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10085);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd219261zd2_4070;
																																																																											BgL_cdrzd219261zd2_4070
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219253zd2_4069));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd219268zd2_4071;
																																																																												BgL_carzd219268zd2_4071
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd219261zd2_4070));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219268zd2_4071))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd219277zd2_4073;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10089;
																																																																															BgL_pairz00_10089
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219261zd2_4070));
																																																																															BgL_carzd219277zd2_4073
																																																																																=
																																																																																CAR
																																																																																(BgL_pairz00_10089);
																																																																														}
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219277zd2_4073))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219245zd2_4068))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3582z00_4076;
																																																																																		BgL_arg3582z00_4076
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd219253zd2_4069));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17656;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_17660;
																																																																																				obj_t
																																																																																					BgL_proc2z00_17659;
																																																																																				obj_t
																																																																																					BgL_proc1z00_17658;
																																																																																				obj_t
																																																																																					BgL_testz00_17657;
																																																																																				BgL_testz00_17657
																																																																																					=
																																																																																					BgL_arg3582z00_4076;
																																																																																				BgL_proc1z00_17658
																																																																																					=
																																																																																					BgL_carzd219268zd2_4071;
																																																																																				BgL_proc2z00_17659
																																																																																					=
																																																																																					BgL_carzd219277zd2_4073;
																																																																																				BgL_argsz00_17660
																																																																																					=
																																																																																					BgL_cdrzd219245zd2_4068;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_17660;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_17659;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_17658;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_17657;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17656);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17664;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_12643
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17664);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17668;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17668);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17672;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17672);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17676;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17676);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd219555zd2_4095;
																																																																					BgL_cdrzd219555zd2_4095
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd219562zd2_4096;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_10093;
																																																																							BgL_pairz00_10093
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd219562zd2_4096
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_10093);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd219569zd2_4097;
																																																																							BgL_cdrzd219569zd2_4097
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219562zd2_4096));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd219575zd2_4098;
																																																																								obj_t
																																																																									BgL_cdrzd219576zd2_4099;
																																																																								BgL_carzd219575zd2_4098
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd219569zd2_4097));
																																																																								BgL_cdrzd219576zd2_4099
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd219569zd2_4097));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219575zd2_4098))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd219583zd2_4101;
																																																																										BgL_carzd219583zd2_4101
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd219576zd2_4099));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219583zd2_4101))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd219576zd2_4099))))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219555zd2_4095))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg3600z00_4106;
																																																																																BgL_arg3600z00_4106
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd219562zd2_4096));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17703;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_17707;
																																																																																		obj_t
																																																																																			BgL_proc2z00_17706;
																																																																																		obj_t
																																																																																			BgL_proc1z00_17705;
																																																																																		obj_t
																																																																																			BgL_testz00_17704;
																																																																																		BgL_testz00_17704
																																																																																			=
																																																																																			BgL_arg3600z00_4106;
																																																																																		BgL_proc1z00_17705
																																																																																			=
																																																																																			BgL_carzd219575zd2_4098;
																																																																																		BgL_proc2z00_17706
																																																																																			=
																																																																																			BgL_carzd219583zd2_4101;
																																																																																		BgL_argsz00_17707
																																																																																			=
																																																																																			BgL_cdrzd219555zd2_4095;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_17707;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_17706;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_17705;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_17704;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17703);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17711;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17711);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17715;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17715);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17719;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17719);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17723;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17723);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17727;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17727);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd219916zd2_4114;
																																																																	BgL_cdrzd219916zd2_4114
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd219922zd2_4115;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_10103;
																																																																			BgL_pairz00_10103
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd219922zd2_4115
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_10103);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd219928zd2_4116;
																																																																			BgL_cdrzd219928zd2_4116
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219922zd2_4115));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd219933zd2_4117;
																																																																				obj_t
																																																																					BgL_cdrzd219934zd2_4118;
																																																																				BgL_carzd219933zd2_4117
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd219928zd2_4116));
																																																																				BgL_cdrzd219934zd2_4118
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd219928zd2_4116));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219933zd2_4117))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd219934zd2_4118))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd219939zd2_4121;
																																																																								BgL_carzd219939zd2_4121
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd219934zd2_4118);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219939zd2_4121))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd219934zd2_4118)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219916zd2_4114))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg3615z00_4126;
																																																																														BgL_arg3615z00_4126
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd219922zd2_4115));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17754;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_17758;
																																																																																obj_t
																																																																																	BgL_proc2z00_17757;
																																																																																obj_t
																																																																																	BgL_proc1z00_17756;
																																																																																obj_t
																																																																																	BgL_testz00_17755;
																																																																																BgL_testz00_17755
																																																																																	=
																																																																																	BgL_arg3615z00_4126;
																																																																																BgL_proc1z00_17756
																																																																																	=
																																																																																	BgL_carzd219933zd2_4117;
																																																																																BgL_proc2z00_17757
																																																																																	=
																																																																																	BgL_carzd219939zd2_4121;
																																																																																BgL_argsz00_17758
																																																																																	=
																																																																																	BgL_cdrzd219916zd2_4114;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_17758;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_17757;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_17756;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_17755;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17754);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17762;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17762);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17766;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17766);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17770;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17770);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17774;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17774);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17778;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17778);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17782;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17782);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17786;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17786);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17790;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17790);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd217225zd2_3959 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17795;
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17795);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217225zd2_3959)))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17800;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17800);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd217225zd2_3959 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17805;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17805);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_17812;
																																															goto
																																																BgL_tagzd2383zd2_1721;
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_17812);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd220501zd2_4286;
																																															BgL_carzd220501zd2_4286
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd220501zd2_4286 == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_17819;
																																																	goto
																																																		BgL_tagzd2384zd2_1722;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_17819);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220501zd2_4286)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_17824;
																																																			goto
																																																				BgL_tagzd2384zd2_1722;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_17824);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17831;
																																																					goto
																																																						BgL_tagzd2389zd2_1741;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17831);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17838;
																																																							goto
																																																								BgL_tagzd2390zd2_1742;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17838);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd220581zd2_4293;
																																																							BgL_cdrzd220581zd2_4293
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg3745z00_4296;
																																																									obj_t
																																																										BgL_arg3746z00_4297;
																																																									BgL_arg3745z00_4296
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd220581zd2_4293));
																																																									BgL_arg3746z00_4297
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd220581zd2_4293));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17851;
																																																										{
																																																											obj_t
																																																												BgL_restz00_17853;
																																																											obj_t
																																																												BgL_effectz00_17852;
																																																											BgL_effectz00_17852
																																																												=
																																																												BgL_arg3745z00_4296;
																																																											BgL_restz00_17853
																																																												=
																																																												BgL_arg3746z00_4297;
																																																											BgL_restz00_1744
																																																												=
																																																												BgL_restz00_17853;
																																																											BgL_effectz00_1743
																																																												=
																																																												BgL_effectz00_17852;
																																																											goto
																																																												BgL_tagzd2391zd2_1745;
																																																										}
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17851);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17860;
																																																											goto
																																																												BgL_tagzd2392zd2_1746;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17860);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17867;
																																																													goto
																																																														BgL_tagzd2393zd2_1747;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17867);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg3753z00_4305;
																																																															obj_t
																																																																BgL_arg3754z00_4306;
																																																															BgL_arg3753z00_4305
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd220581zd2_4293));
																																																															BgL_arg3754z00_4306
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd220581zd2_4293));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17878;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_17880;
																																																																	obj_t
																																																																		BgL_effectz00_17879;
																																																																	BgL_effectz00_17879
																																																																		=
																																																																		BgL_arg3753z00_4305;
																																																																	BgL_restz00_17880
																																																																		=
																																																																		BgL_arg3754z00_4306;
																																																																	BgL_restz00_1749
																																																																		=
																																																																		BgL_restz00_17880;
																																																																	BgL_effectz00_1748
																																																																		=
																																																																		BgL_effectz00_17879;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1750;
																																																																}
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17878);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17887;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1751;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17887);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17894;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1752;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17894);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_17901;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1753;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17901);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_17908;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1754;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17908);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd220658zd2_4315;
																																																																							BgL_cdrzd220658zd2_4315
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg3765z00_4318;
																																																																									obj_t
																																																																										BgL_arg3766z00_4319;
																																																																									BgL_arg3765z00_4318
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220658zd2_4315));
																																																																									BgL_arg3766z00_4319
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220658zd2_4315));
																																																																									{	/* Ast/sexp.scm 548 */
																																																																										obj_t
																																																																											BgL_arg6427z00_10135;
																																																																										BgL_arg6427z00_10135
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg3765z00_4318,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg3766z00_4319, BgL_stackz00_22, BgL_arg6427z00_10135, BgL_sitez00_24));
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17927;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17927);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_carzd220681zd2_4335;
																											BgL_carzd220681zd2_4335 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd220681zd2_4335
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_17934;
																													goto
																														BgL_tagzd2377zd2_1711;
																													BgL_auxz00_12643 =
																														((obj_t)
																														BgL_auxz00_17934);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(BgL_carzd220681zd2_4335
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_17938;
																															goto
																																BgL_tagzd2377zd2_1711;
																															BgL_auxz00_12643 =
																																((obj_t)
																																BgL_auxz00_17938);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_17945;
																																	goto
																																		BgL_tagzd2379zd2_1715;
																																	BgL_auxz00_12643
																																		=
																																		((obj_t)
																																		BgL_auxz00_17945);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_17952;
																																			goto
																																				BgL_tagzd2380zd2_1716;
																																			BgL_auxz00_12643
																																				=
																																				((obj_t)
																																				BgL_auxz00_17952);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd220742zd2_4342;
																																			BgL_carzd220742zd2_4342
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd220742zd2_4342))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd220745zd2_4344;
																																					obj_t
																																						BgL_cdrzd220746zd2_4345;
																																					BgL_carzd220745zd2_4344
																																						=
																																						CAR
																																						(BgL_carzd220742zd2_4342);
																																					BgL_cdrzd220746zd2_4345
																																						=
																																						CDR
																																						(BgL_carzd220742zd2_4342);
																																					{

																																						if (
																																							(BgL_carzd220745zd2_4344
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 118 */
																																							BgL_kapzd220747zd2_4346:
																																								if (PAIRP(BgL_cdrzd220746zd2_4345))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd220750zd2_4468;
																																										BgL_cdrzd220750zd2_4468
																																											=
																																											CDR
																																											(BgL_cdrzd220746zd2_4345);
																																										if (PAIRP(BgL_cdrzd220750zd2_4468))
																																											{	/* Ast/sexp.scm 118 */
																																												if (NULLP(CDR(BgL_cdrzd220750zd2_4468)))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg3871z00_4472;
																																														obj_t
																																															BgL_arg3872z00_4473;
																																														BgL_arg3871z00_4472
																																															=
																																															CAR
																																															(BgL_cdrzd220750zd2_4468);
																																														BgL_arg3872z00_4473
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_17974;
																																															{
																																																obj_t
																																																	BgL_argsz00_17976;
																																																obj_t
																																																	BgL_bodyz00_17975;
																																																BgL_bodyz00_17975
																																																	=
																																																	BgL_arg3871z00_4472;
																																																BgL_argsz00_17976
																																																	=
																																																	BgL_arg3872z00_4473;
																																																BgL_argsz00_1718
																																																	=
																																																	BgL_argsz00_17976;
																																																BgL_bodyz00_1717
																																																	=
																																																	BgL_bodyz00_17975;
																																																goto
																																																	BgL_tagzd2381zd2_1719;
																																															}
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_17974);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_17978;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3939z00_4582;
																																															BgL_arg3939z00_4582
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_17978
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3939z00_4582));
																																														}
																																														if (BgL_testz00_17978)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17983;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17983);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_17985;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3938z00_4581;
																																																	BgL_arg3938z00_4581
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_17985
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3938z00_4581));
																																																}
																																																if (BgL_testz00_17985)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_17990;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17990);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd220828zd2_4478;
																																																		BgL_carzd220828zd2_4478
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd220833zd2_4479;
																																																			BgL_cdrzd220833zd2_4479
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd220828zd2_4478));
																																																			if ((CAR(((obj_t) BgL_carzd220828zd2_4478)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3879z00_4482;
																																																					obj_t
																																																						BgL_arg3880z00_4483;
																																																					obj_t
																																																						BgL_arg3881z00_4484;
																																																					BgL_arg3879z00_4482
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd220833zd2_4479));
																																																					BgL_arg3880z00_4483
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd220833zd2_4479));
																																																					BgL_arg3881z00_4484
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18007;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_18010;
																																																							obj_t
																																																								BgL_bodyz00_18009;
																																																							obj_t
																																																								BgL_varsz00_18008;
																																																							BgL_varsz00_18008
																																																								=
																																																								BgL_arg3879z00_4482;
																																																							BgL_bodyz00_18009
																																																								=
																																																								BgL_arg3880z00_4483;
																																																							BgL_argsz00_18010
																																																								=
																																																								BgL_arg3881z00_4484;
																																																							BgL_argsz00_1729
																																																								=
																																																								BgL_argsz00_18010;
																																																							BgL_bodyz00_1728
																																																								=
																																																								BgL_bodyz00_18009;
																																																							BgL_varsz00_1727
																																																								=
																																																								BgL_varsz00_18008;
																																																							goto
																																																								BgL_tagzd2386zd2_1730;
																																																						}
																																																						BgL_auxz00_12643
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18007);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd220856zd2_4486;
																																																					BgL_cdrzd220856zd2_4486
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd220862zd2_4487;
																																																						BgL_cdrzd220862zd2_4487
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd220828zd2_4478));
																																																						if ((CAR(((obj_t) BgL_carzd220828zd2_4478)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd220868zd2_4490;
																																																								BgL_cdrzd220868zd2_4490
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd220862zd2_4487));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd220873zd2_4491;
																																																									obj_t
																																																										BgL_cdrzd220874zd2_4492;
																																																									BgL_carzd220873zd2_4491
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd220868zd2_4490));
																																																									BgL_cdrzd220874zd2_4492
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd220868zd2_4490));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220873zd2_4491))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd220874zd2_4492))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd220881zd2_4495;
																																																													BgL_carzd220881zd2_4495
																																																														=
																																																														CAR
																																																														(BgL_cdrzd220874zd2_4492);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220881zd2_4495))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd220874zd2_4492)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_18037;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1401z00_4528;
																																																																		BgL_l1401z00_4528
																																																																			=
																																																																			BgL_cdrzd220856zd2_4486;
																																																																	BgL_zc3anonymousza33904ze3z83_4529:
																																																																		if (NULLP(BgL_l1401z00_4528))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_18037
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_18040;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_18041;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_tmpz00_18042;
																																																																						BgL_tmpz00_18042
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1401z00_4528));
																																																																						BgL_testz00_18041
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_18042);
																																																																					}
																																																																					if (BgL_testz00_18041)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_18040
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_18040
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_18040)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1401z00_18046;
																																																																						BgL_l1401z00_18046
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1401z00_4528));
																																																																						BgL_l1401z00_4528
																																																																							=
																																																																							BgL_l1401z00_18046;
																																																																						goto
																																																																							BgL_zc3anonymousza33904ze3z83_4529;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_18037
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_18037)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg3894z00_4511;
																																																																			BgL_arg3894z00_4511
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd220862zd2_4487));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18051;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_18055;
																																																																					obj_t
																																																																						BgL_proc2z00_18054;
																																																																					obj_t
																																																																						BgL_proc1z00_18053;
																																																																					obj_t
																																																																						BgL_testz00_18052;
																																																																					BgL_testz00_18052
																																																																						=
																																																																						BgL_arg3894z00_4511;
																																																																					BgL_proc1z00_18053
																																																																						=
																																																																						BgL_carzd220873zd2_4491;
																																																																					BgL_proc2z00_18054
																																																																						=
																																																																						BgL_carzd220881zd2_4495;
																																																																					BgL_argsz00_18055
																																																																						=
																																																																						BgL_cdrzd220856zd2_4486;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_18055;
																																																																					BgL_proc2z00_1733
																																																																						=
																																																																						BgL_proc2z00_18054;
																																																																					BgL_proc1z00_1732
																																																																						=
																																																																						BgL_proc1z00_18053;
																																																																					BgL_testz00_1731
																																																																						=
																																																																						BgL_testz00_18052;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1735;
																																																																				}
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18051);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd220905zd2_4512;
																																																																			BgL_cdrzd220905zd2_4512
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd220912zd2_4513;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_10176;
																																																																					BgL_pairz00_10176
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd220912zd2_4513
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_10176);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd220919zd2_4514;
																																																																					BgL_cdrzd220919zd2_4514
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd220912zd2_4513));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd220925zd2_4515;
																																																																						BgL_carzd220925zd2_4515
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd220919zd2_4514));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220925zd2_4515))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd220932zd2_4517;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_10180;
																																																																									BgL_pairz00_10180
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220919zd2_4514));
																																																																									BgL_carzd220932zd2_4517
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_10180);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220932zd2_4517))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220905zd2_4512))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3898z00_4520;
																																																																												BgL_arg3898z00_4520
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd220912zd2_4513));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18077;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_18081;
																																																																														obj_t
																																																																															BgL_proc2z00_18080;
																																																																														obj_t
																																																																															BgL_proc1z00_18079;
																																																																														obj_t
																																																																															BgL_testz00_18078;
																																																																														BgL_testz00_18078
																																																																															=
																																																																															BgL_arg3898z00_4520;
																																																																														BgL_proc1z00_18079
																																																																															=
																																																																															BgL_carzd220925zd2_4515;
																																																																														BgL_proc2z00_18080
																																																																															=
																																																																															BgL_carzd220932zd2_4517;
																																																																														BgL_argsz00_18081
																																																																															=
																																																																															BgL_cdrzd220905zd2_4512;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_18081;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_18080;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_18079;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_18078;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18077);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18085;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18085);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18089;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18089);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18093;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18093);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18097;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_12643
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18097);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd221208zd2_4539;
																																																															BgL_cdrzd221208zd2_4539
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd221214zd2_4540;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_10184;
																																																																	BgL_pairz00_10184
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd221214zd2_4540
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_10184);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd221220zd2_4541;
																																																																	BgL_cdrzd221220zd2_4541
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221214zd2_4540));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd221225zd2_4542;
																																																																		obj_t
																																																																			BgL_cdrzd221226zd2_4543;
																																																																		BgL_carzd221225zd2_4542
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221220zd2_4541));
																																																																		BgL_cdrzd221226zd2_4543
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221220zd2_4541));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221225zd2_4542))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd221231zd2_4545;
																																																																				BgL_carzd221231zd2_4545
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd221226zd2_4543));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221231zd2_4545))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd221226zd2_4543))))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221208zd2_4539))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg3913z00_4550;
																																																																										BgL_arg3913z00_4550
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd221214zd2_4540));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18124;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_18128;
																																																																												obj_t
																																																																													BgL_proc2z00_18127;
																																																																												obj_t
																																																																													BgL_proc1z00_18126;
																																																																												obj_t
																																																																													BgL_testz00_18125;
																																																																												BgL_testz00_18125
																																																																													=
																																																																													BgL_arg3913z00_4550;
																																																																												BgL_proc1z00_18126
																																																																													=
																																																																													BgL_carzd221225zd2_4542;
																																																																												BgL_proc2z00_18127
																																																																													=
																																																																													BgL_carzd221231zd2_4545;
																																																																												BgL_argsz00_18128
																																																																													=
																																																																													BgL_cdrzd221208zd2_4539;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_18128;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_18127;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_18126;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_18125;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18124);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18132;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_12643
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18132);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18136;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18136);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18140;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18140);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_18144;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_18144);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18148;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18148);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd221564zd2_4558;
																																																											BgL_cdrzd221564zd2_4558
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd221571zd2_4559;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_10194;
																																																													BgL_pairz00_10194
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd221571zd2_4559
																																																														=
																																																														CDR
																																																														(BgL_pairz00_10194);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd221578zd2_4560;
																																																													BgL_cdrzd221578zd2_4560
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd221571zd2_4559));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd221584zd2_4561;
																																																														obj_t
																																																															BgL_cdrzd221585zd2_4562;
																																																														BgL_carzd221584zd2_4561
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd221578zd2_4560));
																																																														BgL_cdrzd221585zd2_4562
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd221578zd2_4560));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221584zd2_4561))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd221585zd2_4562))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd221592zd2_4565;
																																																																		BgL_carzd221592zd2_4565
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd221585zd2_4562);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221592zd2_4565))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd221585zd2_4562)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221564zd2_4558))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg3927z00_4570;
																																																																								BgL_arg3927z00_4570
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd221571zd2_4559));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18175;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18179;
																																																																										obj_t
																																																																											BgL_proc2z00_18178;
																																																																										obj_t
																																																																											BgL_proc1z00_18177;
																																																																										obj_t
																																																																											BgL_testz00_18176;
																																																																										BgL_testz00_18176
																																																																											=
																																																																											BgL_arg3927z00_4570;
																																																																										BgL_proc1z00_18177
																																																																											=
																																																																											BgL_carzd221584zd2_4561;
																																																																										BgL_proc2z00_18178
																																																																											=
																																																																											BgL_carzd221592zd2_4565;
																																																																										BgL_argsz00_18179
																																																																											=
																																																																											BgL_cdrzd221564zd2_4558;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_18179;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_18178;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_18177;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_18176;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1740;
																																																																									}
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18175);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18183;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_12643
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18183);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18187;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18187);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_18191;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_12643
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_18191);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18195;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18195);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18199;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_12643
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18199);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1764;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18203;
																																																										goto
																																																											BgL_tagzd2404zd2_1765;
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18203);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_18205;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3953z00_4598;
																																													BgL_arg3953z00_4598
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_18205
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg3953z00_4598));
																																												}
																																												if (BgL_testz00_18205)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18210;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_12643
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18210);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_18212;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3952z00_4597;
																																															BgL_arg3952z00_4597
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_18212
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg3952z00_4597));
																																														}
																																														if (BgL_testz00_18212)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_18217;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18217);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd222038zd2_4588;
																																																BgL_carzd222038zd2_4588
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd222043zd2_4589;
																																																	BgL_cdrzd222043zd2_4589
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd222038zd2_4588));
																																																	if ((CAR(((obj_t) BgL_carzd222038zd2_4588)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3947z00_4592;
																																																			obj_t
																																																				BgL_arg3948z00_4593;
																																																			obj_t
																																																				BgL_arg3949z00_4594;
																																																			BgL_arg3947z00_4592
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd222043zd2_4589));
																																																			BgL_arg3948z00_4593
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd222043zd2_4589));
																																																			BgL_arg3949z00_4594
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18234;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_18237;
																																																					obj_t
																																																						BgL_bodyz00_18236;
																																																					obj_t
																																																						BgL_varsz00_18235;
																																																					BgL_varsz00_18235
																																																						=
																																																						BgL_arg3947z00_4592;
																																																					BgL_bodyz00_18236
																																																						=
																																																						BgL_arg3948z00_4593;
																																																					BgL_argsz00_18237
																																																						=
																																																						BgL_arg3949z00_4594;
																																																					BgL_argsz00_1729
																																																						=
																																																						BgL_argsz00_18237;
																																																					BgL_bodyz00_1728
																																																						=
																																																						BgL_bodyz00_18236;
																																																					BgL_varsz00_1727
																																																						=
																																																						BgL_varsz00_18235;
																																																					goto
																																																						BgL_tagzd2386zd2_1730;
																																																				}
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18234);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1764;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_18241;
																																																					goto
																																																						BgL_tagzd2404zd2_1765;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18241);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_18243;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg3960z00_4605;
																																											BgL_arg3960z00_4605
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_18243
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg3960z00_4605));
																																										}
																																										if (BgL_testz00_18243)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_18248;
																																												goto
																																													BgL_tagzd2382zd2_1720;
																																												BgL_auxz00_12643
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18248);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_18250;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3959z00_4604;
																																													BgL_arg3959z00_4604
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_18250
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg3959z00_4604));
																																												}
																																												if (BgL_testz00_18250)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_18255;
																																														goto
																																															BgL_tagzd2384zd2_1722;
																																														BgL_auxz00_12643
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18255);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd2403zd2_1764;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_18259;
																																																goto
																																																	BgL_tagzd2404zd2_1765;
																																																BgL_auxz00_12643
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18259);
																																															}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd220745zd2_4344)))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd220747zd2_4346;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd220745zd2_4344 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd220747zd2_4346;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd220745zd2_4344 == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd220747zd2_4346;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220745zd2_4344)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd220747zd2_4346;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_18273;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3866z00_4466;
																																																	BgL_arg3866z00_4466
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_18273
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3866z00_4466));
																																																}
																																																if (BgL_testz00_18273)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_18278;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_12643
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_18278);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_18280;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3865z00_4465;
																																																			BgL_arg3865z00_4465
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_18280
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3865z00_4465));
																																																		}
																																																		if (BgL_testz00_18280)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_18285;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_12643
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18285);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd222366zd2_4356;
																																																				BgL_carzd222366zd2_4356
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd222371zd2_4357;
																																																					BgL_cdrzd222371zd2_4357
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd222366zd2_4356));
																																																					if ((CAR(((obj_t) BgL_carzd222366zd2_4356)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd222371zd2_4357))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg3801z00_4361;
																																																									obj_t
																																																										BgL_arg3802z00_4362;
																																																									obj_t
																																																										BgL_arg3803z00_4363;
																																																									BgL_arg3801z00_4361
																																																										=
																																																										CAR
																																																										(BgL_cdrzd222371zd2_4357);
																																																									BgL_arg3802z00_4362
																																																										=
																																																										CDR
																																																										(BgL_cdrzd222371zd2_4357);
																																																									BgL_arg3803z00_4363
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18302;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_18305;
																																																											obj_t
																																																												BgL_bodyz00_18304;
																																																											obj_t
																																																												BgL_varsz00_18303;
																																																											BgL_varsz00_18303
																																																												=
																																																												BgL_arg3801z00_4361;
																																																											BgL_bodyz00_18304
																																																												=
																																																												BgL_arg3802z00_4362;
																																																											BgL_argsz00_18305
																																																												=
																																																												BgL_arg3803z00_4363;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_18305;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_18304;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_18303;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																										BgL_auxz00_12643
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18302);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18309;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18309);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd222478zd2_4366;
																																																							BgL_cdrzd222478zd2_4366
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd222483zd2_4367;
																																																								BgL_cdrzd222483zd2_4367
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd222366zd2_4356));
																																																								if ((CAR(((obj_t) BgL_carzd222366zd2_4356)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (PAIRP(BgL_cdrzd222483zd2_4367))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd222488zd2_4371;
																																																												BgL_cdrzd222488zd2_4371
																																																													=
																																																													CDR
																																																													(BgL_cdrzd222483zd2_4367);
																																																												if (PAIRP(BgL_cdrzd222488zd2_4371))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd222492zd2_4373;
																																																														obj_t
																																																															BgL_cdrzd222493zd2_4374;
																																																														BgL_carzd222492zd2_4373
																																																															=
																																																															CAR
																																																															(BgL_cdrzd222488zd2_4371);
																																																														BgL_cdrzd222493zd2_4374
																																																															=
																																																															CDR
																																																															(BgL_cdrzd222488zd2_4371);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222492zd2_4373))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd222493zd2_4374))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd222498zd2_4377;
																																																																		BgL_carzd222498zd2_4377
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd222493zd2_4374);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222498zd2_4377))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd222493zd2_4374)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_18337;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1404z00_4410;
																																																																							BgL_l1404z00_4410
																																																																								=
																																																																								BgL_cdrzd222478zd2_4366;
																																																																						BgL_zc3anonymousza33829ze3z83_4411:
																																																																							if (NULLP(BgL_l1404z00_4410))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_18337
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_18340;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_18341;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_tmpz00_18342;
																																																																											BgL_tmpz00_18342
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1404z00_4410));
																																																																											BgL_testz00_18341
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_18342);
																																																																										}
																																																																										if (BgL_testz00_18341)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_18340
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_18340
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_18340)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1404z00_18346;
																																																																											BgL_l1404z00_18346
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1404z00_4410));
																																																																											BgL_l1404z00_4410
																																																																												=
																																																																												BgL_l1404z00_18346;
																																																																											goto
																																																																												BgL_zc3anonymousza33829ze3z83_4411;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_18337
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_18337)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg3819z00_4393;
																																																																								BgL_arg3819z00_4393
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd222483zd2_4367);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18350;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18354;
																																																																										obj_t
																																																																											BgL_proc2z00_18353;
																																																																										obj_t
																																																																											BgL_proc1z00_18352;
																																																																										obj_t
																																																																											BgL_testz00_18351;
																																																																										BgL_testz00_18351
																																																																											=
																																																																											BgL_arg3819z00_4393;
																																																																										BgL_proc1z00_18352
																																																																											=
																																																																											BgL_carzd222492zd2_4373;
																																																																										BgL_proc2z00_18353
																																																																											=
																																																																											BgL_carzd222498zd2_4377;
																																																																										BgL_argsz00_18354
																																																																											=
																																																																											BgL_cdrzd222478zd2_4366;
																																																																										BgL_argsz00_1734
																																																																											=
																																																																											BgL_argsz00_18354;
																																																																										BgL_proc2z00_1733
																																																																											=
																																																																											BgL_proc2z00_18353;
																																																																										BgL_proc1z00_1732
																																																																											=
																																																																											BgL_proc1z00_18352;
																																																																										BgL_testz00_1731
																																																																											=
																																																																											BgL_testz00_18351;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1735;
																																																																									}
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18350);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd222523zd2_4394;
																																																																								BgL_cdrzd222523zd2_4394
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd222531zd2_4395;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10242;
																																																																										BgL_pairz00_10242
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd222531zd2_4395
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10242);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd222539zd2_4396;
																																																																										BgL_cdrzd222539zd2_4396
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd222531zd2_4395));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd222546zd2_4397;
																																																																											BgL_carzd222546zd2_4397
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd222539zd2_4396));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222546zd2_4397))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd222555zd2_4399;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10246;
																																																																														BgL_pairz00_10246
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd222539zd2_4396));
																																																																														BgL_carzd222555zd2_4399
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_10246);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222555zd2_4399))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222523zd2_4394))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg3823z00_4402;
																																																																																	BgL_arg3823z00_4402
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd222531zd2_4395));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18376;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_18380;
																																																																																			obj_t
																																																																																				BgL_proc2z00_18379;
																																																																																			obj_t
																																																																																				BgL_proc1z00_18378;
																																																																																			obj_t
																																																																																				BgL_testz00_18377;
																																																																																			BgL_testz00_18377
																																																																																				=
																																																																																				BgL_arg3823z00_4402;
																																																																																			BgL_proc1z00_18378
																																																																																				=
																																																																																				BgL_carzd222546zd2_4397;
																																																																																			BgL_proc2z00_18379
																																																																																				=
																																																																																				BgL_carzd222555zd2_4399;
																																																																																			BgL_argsz00_18380
																																																																																				=
																																																																																				BgL_cdrzd222523zd2_4394;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_18380;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_18379;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_18378;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_18377;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_12643
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18376);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18384;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_12643
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18384);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18388;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18388);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18392;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18392);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18396;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_12643
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18396);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd222833zd2_4421;
																																																																				BgL_cdrzd222833zd2_4421
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd222840zd2_4422;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_10250;
																																																																						BgL_pairz00_10250
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd222840zd2_4422
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_10250);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd222847zd2_4423;
																																																																						BgL_cdrzd222847zd2_4423
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd222840zd2_4422));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd222853zd2_4424;
																																																																							obj_t
																																																																								BgL_cdrzd222854zd2_4425;
																																																																							BgL_carzd222853zd2_4424
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd222847zd2_4423));
																																																																							BgL_cdrzd222854zd2_4425
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd222847zd2_4423));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222853zd2_4424))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd222861zd2_4427;
																																																																									BgL_carzd222861zd2_4427
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd222854zd2_4425));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222861zd2_4427))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd222854zd2_4425))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222833zd2_4421))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3838z00_4432;
																																																																															BgL_arg3838z00_4432
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd222840zd2_4422));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18423;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_18427;
																																																																																	obj_t
																																																																																		BgL_proc2z00_18426;
																																																																																	obj_t
																																																																																		BgL_proc1z00_18425;
																																																																																	obj_t
																																																																																		BgL_testz00_18424;
																																																																																	BgL_testz00_18424
																																																																																		=
																																																																																		BgL_arg3838z00_4432;
																																																																																	BgL_proc1z00_18425
																																																																																		=
																																																																																		BgL_carzd222853zd2_4424;
																																																																																	BgL_proc2z00_18426
																																																																																		=
																																																																																		BgL_carzd222861zd2_4427;
																																																																																	BgL_argsz00_18427
																																																																																		=
																																																																																		BgL_cdrzd222833zd2_4421;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_argsz00_18427;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_proc2z00_18426;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_proc1z00_18425;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_testz00_18424;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1740;
																																																																																}
																																																																																BgL_auxz00_12643
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18423);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18431;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_12643
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18431);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18435;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18435);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18439;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18439);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18443;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18443);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18447;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_12643
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18447);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd223194zd2_4440;
																																																																BgL_cdrzd223194zd2_4440
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd223200zd2_4441;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_10260;
																																																																		BgL_pairz00_10260
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd223200zd2_4441
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_10260);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd223206zd2_4442;
																																																																		BgL_cdrzd223206zd2_4442
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd223200zd2_4441));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd223211zd2_4443;
																																																																			obj_t
																																																																				BgL_cdrzd223212zd2_4444;
																																																																			BgL_carzd223211zd2_4443
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd223206zd2_4442));
																																																																			BgL_cdrzd223212zd2_4444
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd223206zd2_4442));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223211zd2_4443))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd223212zd2_4444))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd223217zd2_4447;
																																																																							BgL_carzd223217zd2_4447
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd223212zd2_4444);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223217zd2_4447))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd223212zd2_4444)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223194zd2_4440))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg3852z00_4452;
																																																																													BgL_arg3852z00_4452
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd223200zd2_4441));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18474;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_18478;
																																																																															obj_t
																																																																																BgL_proc2z00_18477;
																																																																															obj_t
																																																																																BgL_proc1z00_18476;
																																																																															obj_t
																																																																																BgL_testz00_18475;
																																																																															BgL_testz00_18475
																																																																																=
																																																																																BgL_arg3852z00_4452;
																																																																															BgL_proc1z00_18476
																																																																																=
																																																																																BgL_carzd223211zd2_4443;
																																																																															BgL_proc2z00_18477
																																																																																=
																																																																																BgL_carzd223217zd2_4447;
																																																																															BgL_argsz00_18478
																																																																																=
																																																																																BgL_cdrzd223194zd2_4440;
																																																																															BgL_argsz00_1739
																																																																																=
																																																																																BgL_argsz00_18478;
																																																																															BgL_proc2z00_1738
																																																																																=
																																																																																BgL_proc2z00_18477;
																																																																															BgL_proc1z00_1737
																																																																																=
																																																																																BgL_proc1z00_18476;
																																																																															BgL_testz00_1736
																																																																																=
																																																																																BgL_testz00_18475;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1740;
																																																																														}
																																																																														BgL_auxz00_12643
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18474);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18482;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_12643
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18482);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18486;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_12643
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18486);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18490;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_12643
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18490);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18494;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_12643
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18494);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18498;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18498);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18502;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_12643
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18502);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_18506;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_12643
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18506);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1764;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18510;
																																																												goto
																																																													BgL_tagzd2404zd2_1765;
																																																												BgL_auxz00_12643
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18510);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd220742zd2_4342
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18515;
																																							goto
																																								BgL_tagzd2382zd2_1720;
																																							BgL_auxz00_12643
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18515);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd220742zd2_4342)))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18520;
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																									BgL_auxz00_12643
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18520);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd220742zd2_4342 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18525;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_12643
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18525);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_18532;
																																													goto
																																														BgL_tagzd2383zd2_1721;
																																													BgL_auxz00_12643
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_18532);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd223779zd2_4612;
																																													BgL_carzd223779zd2_4612
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd223779zd2_4612 == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_18539;
																																															goto
																																																BgL_tagzd2384zd2_1722;
																																															BgL_auxz00_12643
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_18539);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd223779zd2_4612)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_18544;
																																																	goto
																																																		BgL_tagzd2384zd2_1722;
																																																	BgL_auxz00_12643
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_18544);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18551;
																																																			goto
																																																				BgL_tagzd2389zd2_1741;
																																																			BgL_auxz00_12643
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18551);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_18558;
																																																					goto
																																																						BgL_tagzd2390zd2_1742;
																																																					BgL_auxz00_12643
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18558);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_18565;
																																																							goto
																																																								BgL_tagzd2392zd2_1746;
																																																							BgL_auxz00_12643
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18565);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18572;
																																																									goto
																																																										BgL_tagzd2393zd2_1747;
																																																									BgL_auxz00_12643
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18572);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18579;
																																																											goto
																																																												BgL_tagzd2395zd2_1751;
																																																											BgL_auxz00_12643
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18579);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18586;
																																																													goto
																																																														BgL_tagzd2396zd2_1752;
																																																													BgL_auxz00_12643
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18586);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_18593;
																																																															goto
																																																																BgL_tagzd2397zd2_1753;
																																																															BgL_auxz00_12643
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18593);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_18600;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1754;
																																																																	BgL_auxz00_12643
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18600);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18610;
																																																																				BgL_tagzd2402zd2_1763:
																																																																					{	/* Ast/sexp.scm 552 */
																																																																						obj_t
																																																																							BgL_arg6428z00_8152;
																																																																						BgL_arg6428z00_8152
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 551 */
																																																																							BgL_nodez00_bglt
																																																																								BgL_res6800z00_9072;
																																																																							{	/* Ast/sexp.scm 702 */
																																																																								obj_t
																																																																									BgL_arg6527z00_9068;
																																																																								BgL_nodez00_bglt
																																																																									BgL_arg6528z00_9069;
																																																																								BgL_arg6527z00_9068
																																																																									=
																																																																									BGl_shapez00zztools_shapez00
																																																																									(BGl_currentzd2functionzd2zztools_errorz00
																																																																									());
																																																																								BgL_arg6528z00_9069
																																																																									=
																																																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																									(CNST_TABLE_REF
																																																																									(((long) 4)), BNIL, BgL_arg6428z00_8152, CNST_TABLE_REF(((long) 2)));
																																																																								{	/* Ast/sexp.scm 701 */
																																																																									obj_t
																																																																										BgL_list6529z00_9071;
																																																																									BgL_list6529z00_9071
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(
																																																																										((obj_t) BgL_arg6528z00_9069), BNIL);
																																																																									BgL_res6800z00_9072
																																																																										=
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																										(BgL_arg6428z00_8152,
																																																																											BgL_arg6527z00_9068,
																																																																											BGl_string7278z00zzast_sexpz00,
																																																																											BgL_expz00_21,
																																																																											BgL_list6529z00_9071));
																																																																							}}
																																																																							BgL_auxz00_18610
																																																																								=
																																																																								BgL_res6800z00_9072;
																																																																					}}
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18610);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18624;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_12643
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18624);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18628;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_12643
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18628);
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_12643);
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									if (
																										(BgL_carzd2588zd2_1794 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_18633;

																											goto
																												BgL_kapzd2590zd2_1796;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_18633);
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											bool_t BgL_testz00_18635;

																											{	/* Ast/sexp.scm 118 */
																												obj_t
																													BgL_arg2003z00_2244;
																												BgL_arg2003z00_2244 =
																													CAR(BgL_expz00_21);
																												BgL_testz00_18635 =
																													(BgL_arg2003z00_2244
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_testz00_18635)
																												{	/* Ast/sexp.scm 118 */
																													goto
																														BgL_tagzd2377zd2_1711;
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_cdrzd223947zd2_1801;
																													BgL_cdrzd223947zd2_1801
																														=
																														CDR(BgL_expz00_21);
																													if ((CAR
																															(BgL_expz00_21) ==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{	/* Ast/sexp.scm 118 */
																															if (PAIRP
																																(BgL_cdrzd223947zd2_1801))
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd223950zd2_1805;
																																	obj_t
																																		BgL_cdrzd223951zd2_1806;
																																	BgL_carzd223950zd2_1805
																																		=
																																		CAR
																																		(BgL_cdrzd223947zd2_1801);
																																	BgL_cdrzd223951zd2_1806
																																		=
																																		CDR
																																		(BgL_cdrzd223947zd2_1801);
																																	if (PAIRP
																																		(BgL_carzd223950zd2_1805))
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR
																																					(BgL_carzd223950zd2_1805)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 15))))
																																				{	/* Ast/sexp.scm 118 */
																																					if (PAIRP(BgL_cdrzd223951zd2_1806))
																																						{	/* Ast/sexp.scm 118 */
																																							if (NULLP(CDR(BgL_cdrzd223951zd2_1806)))
																																								{
																																									obj_t
																																										BgL_valz00_18660;
																																									obj_t
																																										BgL_lz00_18658;
																																									BgL_lz00_18658
																																										=
																																										CDR
																																										(BgL_carzd223950zd2_1805);
																																									BgL_valz00_18660
																																										=
																																										CAR
																																										(BgL_cdrzd223951zd2_1806);
																																									BgL_valz00_1713
																																										=
																																										BgL_valz00_18660;
																																									BgL_lz00_1712
																																										=
																																										BgL_lz00_18658;
																																									goto
																																										BgL_tagzd2378zd2_1714;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2379zd2_1715;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			goto
																																				BgL_tagzd2379zd2_1715;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2379zd2_1715;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2380zd2_1716;
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd224060zd2_1819;
																																	BgL_carzd224060zd2_1819
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_carzd224060zd2_1819))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd224063zd2_1821;
																																			obj_t
																																				BgL_cdrzd224064zd2_1822;
																																			BgL_carzd224063zd2_1821
																																				=
																																				CAR
																																				(BgL_carzd224060zd2_1819);
																																			BgL_cdrzd224064zd2_1822
																																				=
																																				CDR
																																				(BgL_carzd224060zd2_1819);
																																			{

																																				if (
																																					(BgL_carzd224063zd2_1821
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{
																																						obj_t
																																							BgL_auxz00_18674;
																																					BgL_kapzd224065zd2_1823:
																																						if (PAIRP(BgL_cdrzd224064zd2_1822))
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd224068zd2_2008;
																																								BgL_cdrzd224068zd2_2008
																																									=
																																									CDR
																																									(BgL_cdrzd224064zd2_1822);
																																								if (PAIRP(BgL_cdrzd224068zd2_2008))
																																									{	/* Ast/sexp.scm 118 */
																																										if (NULLP(CDR(BgL_cdrzd224068zd2_2008)))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg1809z00_2012;
																																												obj_t
																																													BgL_arg1810z00_2013;
																																												BgL_arg1809z00_2012
																																													=
																																													CAR
																																													(BgL_cdrzd224068zd2_2008);
																																												BgL_arg1810z00_2013
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_18686;
																																													{
																																														obj_t
																																															BgL_argsz00_18688;
																																														obj_t
																																															BgL_bodyz00_18687;
																																														BgL_bodyz00_18687
																																															=
																																															BgL_arg1809z00_2012;
																																														BgL_argsz00_18688
																																															=
																																															BgL_arg1810z00_2013;
																																														BgL_argsz00_1718
																																															=
																																															BgL_argsz00_18688;
																																														BgL_bodyz00_1717
																																															=
																																															BgL_bodyz00_18687;
																																														goto
																																															BgL_tagzd2381zd2_1719;
																																													}
																																													BgL_auxz00_18674
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_18686);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_18690;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg1886z00_2122;
																																													BgL_arg1886z00_2122
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_18690
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg1886z00_2122));
																																												}
																																												if (BgL_testz00_18690)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18695;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_18674
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18695);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_18697;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg1885z00_2121;
																																															BgL_arg1885z00_2121
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_18697
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg1885z00_2121));
																																														}
																																														if (BgL_testz00_18697)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_18702;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_18674
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18702);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd224146zd2_2018;
																																																BgL_carzd224146zd2_2018
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd224151zd2_2019;
																																																	BgL_cdrzd224151zd2_2019
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd224146zd2_2018));
																																																	if ((CAR(((obj_t) BgL_carzd224146zd2_2018)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg1819z00_2022;
																																																			obj_t
																																																				BgL_arg1820z00_2023;
																																																			obj_t
																																																				BgL_arg1823z00_2024;
																																																			BgL_arg1819z00_2022
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd224151zd2_2019));
																																																			BgL_arg1820z00_2023
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd224151zd2_2019));
																																																			BgL_arg1823z00_2024
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18719;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_18722;
																																																					obj_t
																																																						BgL_bodyz00_18721;
																																																					obj_t
																																																						BgL_varsz00_18720;
																																																					BgL_varsz00_18720
																																																						=
																																																						BgL_arg1819z00_2022;
																																																					BgL_bodyz00_18721
																																																						=
																																																						BgL_arg1820z00_2023;
																																																					BgL_argsz00_18722
																																																						=
																																																						BgL_arg1823z00_2024;
																																																					BgL_argsz00_1729
																																																						=
																																																						BgL_argsz00_18722;
																																																					BgL_bodyz00_1728
																																																						=
																																																						BgL_bodyz00_18721;
																																																					BgL_varsz00_1727
																																																						=
																																																						BgL_varsz00_18720;
																																																					goto
																																																						BgL_tagzd2386zd2_1730;
																																																				}
																																																				BgL_auxz00_18674
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18719);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd224174zd2_2026;
																																																			BgL_cdrzd224174zd2_2026
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd224180zd2_2027;
																																																				BgL_cdrzd224180zd2_2027
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd224146zd2_2018));
																																																				if ((CAR(((obj_t) BgL_carzd224146zd2_2018)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd224186zd2_2030;
																																																						BgL_cdrzd224186zd2_2030
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd224180zd2_2027));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd224191zd2_2031;
																																																							obj_t
																																																								BgL_cdrzd224192zd2_2032;
																																																							BgL_carzd224191zd2_2031
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd224186zd2_2030));
																																																							BgL_cdrzd224192zd2_2032
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd224186zd2_2030));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224191zd2_2031))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd224192zd2_2032))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd224199zd2_2035;
																																																											BgL_carzd224199zd2_2035
																																																												=
																																																												CAR
																																																												(BgL_cdrzd224192zd2_2032);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224199zd2_2035))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_cdrzd224192zd2_2032)))
																																																														{	/* Ast/sexp.scm 118 */
																																																															bool_t
																																																																BgL_testz00_18749;
																																																															{
																																																																obj_t
																																																																	BgL_l1407z00_2068;
																																																																BgL_l1407z00_2068
																																																																	=
																																																																	BgL_cdrzd224174zd2_2026;
																																																															BgL_zc3anonymousza31848ze3z83_2069:
																																																																if (NULLP(BgL_l1407z00_2068))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_18749
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_18752;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_18753;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_tmpz00_18754;
																																																																				BgL_tmpz00_18754
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1407z00_2068));
																																																																				BgL_testz00_18753
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_18754);
																																																																			}
																																																																			if (BgL_testz00_18753)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_18752
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_18752
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_18752)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1407z00_18758;
																																																																				BgL_l1407z00_18758
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1407z00_2068));
																																																																				BgL_l1407z00_2068
																																																																					=
																																																																					BgL_l1407z00_18758;
																																																																				goto
																																																																					BgL_zc3anonymousza31848ze3z83_2069;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_18749
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_18749)
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg1837z00_2051;
																																																																	BgL_arg1837z00_2051
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd224180zd2_2027));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18763;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_18767;
																																																																			obj_t
																																																																				BgL_proc2z00_18766;
																																																																			obj_t
																																																																				BgL_proc1z00_18765;
																																																																			obj_t
																																																																				BgL_testz00_18764;
																																																																			BgL_testz00_18764
																																																																				=
																																																																				BgL_arg1837z00_2051;
																																																																			BgL_proc1z00_18765
																																																																				=
																																																																				BgL_carzd224191zd2_2031;
																																																																			BgL_proc2z00_18766
																																																																				=
																																																																				BgL_carzd224199zd2_2035;
																																																																			BgL_argsz00_18767
																																																																				=
																																																																				BgL_cdrzd224174zd2_2026;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_18767;
																																																																			BgL_proc2z00_1733
																																																																				=
																																																																				BgL_proc2z00_18766;
																																																																			BgL_proc1z00_1732
																																																																				=
																																																																				BgL_proc1z00_18765;
																																																																			BgL_testz00_1731
																																																																				=
																																																																				BgL_testz00_18764;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1735;
																																																																		}
																																																																		BgL_auxz00_18674
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18763);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd224223zd2_2052;
																																																																	BgL_cdrzd224223zd2_2052
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd224230zd2_2053;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_10334;
																																																																			BgL_pairz00_10334
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd224230zd2_2053
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_10334);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd224237zd2_2054;
																																																																			BgL_cdrzd224237zd2_2054
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd224230zd2_2053));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd224243zd2_2055;
																																																																				BgL_carzd224243zd2_2055
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd224237zd2_2054));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224243zd2_2055))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd224250zd2_2057;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_10338;
																																																																							BgL_pairz00_10338
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd224237zd2_2054));
																																																																							BgL_carzd224250zd2_2057
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_10338);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224250zd2_2057))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224223zd2_2052))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1842z00_2060;
																																																																										BgL_arg1842z00_2060
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd224230zd2_2053));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18789;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_18793;
																																																																												obj_t
																																																																													BgL_proc2z00_18792;
																																																																												obj_t
																																																																													BgL_proc1z00_18791;
																																																																												obj_t
																																																																													BgL_testz00_18790;
																																																																												BgL_testz00_18790
																																																																													=
																																																																													BgL_arg1842z00_2060;
																																																																												BgL_proc1z00_18791
																																																																													=
																																																																													BgL_carzd224243zd2_2055;
																																																																												BgL_proc2z00_18792
																																																																													=
																																																																													BgL_carzd224250zd2_2057;
																																																																												BgL_argsz00_18793
																																																																													=
																																																																													BgL_cdrzd224223zd2_2052;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_18793;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_18792;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_18791;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_18790;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_18674
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18789);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18797;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_18674
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18797);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18801;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_18674
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18801);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18805;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_18674
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18805);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18809;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_18674
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18809);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd224526zd2_2079;
																																																													BgL_cdrzd224526zd2_2079
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd224532zd2_2080;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_10342;
																																																															BgL_pairz00_10342
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd224532zd2_2080
																																																																=
																																																																CDR
																																																																(BgL_pairz00_10342);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd224538zd2_2081;
																																																															BgL_cdrzd224538zd2_2081
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd224532zd2_2080));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd224543zd2_2082;
																																																																obj_t
																																																																	BgL_cdrzd224544zd2_2083;
																																																																BgL_carzd224543zd2_2082
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd224538zd2_2081));
																																																																BgL_cdrzd224544zd2_2083
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd224538zd2_2081));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224543zd2_2082))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd224549zd2_2085;
																																																																		BgL_carzd224549zd2_2085
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd224544zd2_2083));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224549zd2_2085))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd224544zd2_2083))))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224526zd2_2079))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg1860z00_2090;
																																																																								BgL_arg1860z00_2090
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd224532zd2_2080));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18836;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18840;
																																																																										obj_t
																																																																											BgL_proc2z00_18839;
																																																																										obj_t
																																																																											BgL_proc1z00_18838;
																																																																										obj_t
																																																																											BgL_testz00_18837;
																																																																										BgL_testz00_18837
																																																																											=
																																																																											BgL_arg1860z00_2090;
																																																																										BgL_proc1z00_18838
																																																																											=
																																																																											BgL_carzd224543zd2_2082;
																																																																										BgL_proc2z00_18839
																																																																											=
																																																																											BgL_carzd224549zd2_2085;
																																																																										BgL_argsz00_18840
																																																																											=
																																																																											BgL_cdrzd224526zd2_2079;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_18840;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_18839;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_18838;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_18837;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1740;
																																																																									}
																																																																									BgL_auxz00_18674
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18836);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18844;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_18674
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18844);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18848;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_18674
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18848);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_18852;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_18674
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_18852);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18856;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_18674
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18856);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18860;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_18674
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18860);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd224882zd2_2098;
																																																									BgL_cdrzd224882zd2_2098
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd224889zd2_2099;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_pairz00_10352;
																																																											BgL_pairz00_10352
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd224889zd2_2099
																																																												=
																																																												CDR
																																																												(BgL_pairz00_10352);
																																																										}
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd224896zd2_2100;
																																																											BgL_cdrzd224896zd2_2100
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd224889zd2_2099));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd224902zd2_2101;
																																																												obj_t
																																																													BgL_cdrzd224903zd2_2102;
																																																												BgL_carzd224902zd2_2101
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd224896zd2_2100));
																																																												BgL_cdrzd224903zd2_2102
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd224896zd2_2100));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224902zd2_2101))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd224903zd2_2102))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd224910zd2_2105;
																																																																BgL_carzd224910zd2_2105
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd224903zd2_2102);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224910zd2_2105))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd224903zd2_2102)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224882zd2_2098))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg1874z00_2110;
																																																																						BgL_arg1874z00_2110
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd224889zd2_2099));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18887;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_18891;
																																																																								obj_t
																																																																									BgL_proc2z00_18890;
																																																																								obj_t
																																																																									BgL_proc1z00_18889;
																																																																								obj_t
																																																																									BgL_testz00_18888;
																																																																								BgL_testz00_18888
																																																																									=
																																																																									BgL_arg1874z00_2110;
																																																																								BgL_proc1z00_18889
																																																																									=
																																																																									BgL_carzd224902zd2_2101;
																																																																								BgL_proc2z00_18890
																																																																									=
																																																																									BgL_carzd224910zd2_2105;
																																																																								BgL_argsz00_18891
																																																																									=
																																																																									BgL_cdrzd224882zd2_2098;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_18891;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_18890;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_18889;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_18888;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1740;
																																																																							}
																																																																							BgL_auxz00_18674
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18887);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18895;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_18674
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18895);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_18899;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_18674
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_18899);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18903;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_18674
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18903);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18907;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_18674
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18907);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18911;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_18674
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18911);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1764;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18915;
																																																								goto
																																																									BgL_tagzd2404zd2_1765;
																																																								BgL_auxz00_18674
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18915);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_18917;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg1900z00_2138;
																																											BgL_arg1900z00_2138
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_18917
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg1900z00_2138));
																																										}
																																										if (BgL_testz00_18917)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_18922;
																																												goto
																																													BgL_tagzd2382zd2_1720;
																																												BgL_auxz00_18674
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18922);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_18924;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg1899z00_2137;
																																													BgL_arg1899z00_2137
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_18924
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg1899z00_2137));
																																												}
																																												if (BgL_testz00_18924)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_18929;
																																														goto
																																															BgL_tagzd2384zd2_1722;
																																														BgL_auxz00_18674
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18929);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd225356zd2_2128;
																																														BgL_carzd225356zd2_2128
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd225361zd2_2129;
																																															BgL_cdrzd225361zd2_2129
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd225356zd2_2128));
																																															if ((CAR(((obj_t) BgL_carzd225356zd2_2128)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg1894z00_2132;
																																																	obj_t
																																																		BgL_arg1895z00_2133;
																																																	obj_t
																																																		BgL_arg1896z00_2134;
																																																	BgL_arg1894z00_2132
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd225361zd2_2129));
																																																	BgL_arg1895z00_2133
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd225361zd2_2129));
																																																	BgL_arg1896z00_2134
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_18946;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_18949;
																																																			obj_t
																																																				BgL_bodyz00_18948;
																																																			obj_t
																																																				BgL_varsz00_18947;
																																																			BgL_varsz00_18947
																																																				=
																																																				BgL_arg1894z00_2132;
																																																			BgL_bodyz00_18948
																																																				=
																																																				BgL_arg1895z00_2133;
																																																			BgL_argsz00_18949
																																																				=
																																																				BgL_arg1896z00_2134;
																																																			BgL_argsz00_1729
																																																				=
																																																				BgL_argsz00_18949;
																																																			BgL_bodyz00_1728
																																																				=
																																																				BgL_bodyz00_18948;
																																																			BgL_varsz00_1727
																																																				=
																																																				BgL_varsz00_18947;
																																																			goto
																																																				BgL_tagzd2386zd2_1730;
																																																		}
																																																		BgL_auxz00_18674
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_18946);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1764;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18953;
																																																			goto
																																																				BgL_tagzd2404zd2_1765;
																																																			BgL_auxz00_18674
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18953);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_18955;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg1908z00_2145;
																																									BgL_arg1908z00_2145
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_18955
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg1908z00_2145));
																																								}
																																								if (BgL_testz00_18955)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_18960;
																																										goto
																																											BgL_tagzd2382zd2_1720;
																																										BgL_auxz00_18674
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_18960);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_18962;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg1906z00_2144;
																																											BgL_arg1906z00_2144
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_18962
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg1906z00_2144));
																																										}
																																										if (BgL_testz00_18962)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_18967;
																																												goto
																																													BgL_tagzd2384zd2_1722;
																																												BgL_auxz00_18674
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18967);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd2403zd2_1764;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18971;
																																														goto
																																															BgL_tagzd2404zd2_1765;
																																														BgL_auxz00_18674
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18971);
																																													}
																																											}
																																									}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_18674);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224063zd2_1821)))
																																							{
																																								obj_t
																																									BgL_auxz00_18977;
																																								goto
																																									BgL_kapzd224065zd2_1823;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_18977);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd224063zd2_1821 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_18982;
																																										goto
																																											BgL_kapzd224065zd2_1823;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_18982);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd224063zd2_1821 == CNST_TABLE_REF(((long) 20))))
																																											{
																																												obj_t
																																													BgL_auxz00_18987;
																																												goto
																																													BgL_kapzd224065zd2_1823;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_18987);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224063zd2_1821)))
																																													{
																																														obj_t
																																															BgL_auxz00_18992;
																																														goto
																																															BgL_kapzd224065zd2_1823;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_18992);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_18994;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg1804z00_2006;
																																															BgL_arg1804z00_2006
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_18994
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg1804z00_2006));
																																														}
																																														if (BgL_testz00_18994)
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_18998;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg1803z00_2005;
																																																	BgL_arg1803z00_2005
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_18998
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg1803z00_2005));
																																																}
																																																if (BgL_testz00_18998)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_19002;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_19002);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd225671zd2_1833;
																																																		obj_t
																																																			BgL_cdrzd225672zd2_1834;
																																																		BgL_carzd225671zd2_1833
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		BgL_cdrzd225672zd2_1834
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd225676zd2_1835;
																																																			BgL_cdrzd225676zd2_1835
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd225671zd2_1833));
																																																			if ((CAR(((obj_t) BgL_carzd225671zd2_1833)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd225676zd2_1835))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd225679zd2_1839;
																																																							obj_t
																																																								BgL_cdrzd225680zd2_1840;
																																																							BgL_carzd225679zd2_1839
																																																								=
																																																								CAR
																																																								(BgL_cdrzd225676zd2_1835);
																																																							BgL_cdrzd225680zd2_1840
																																																								=
																																																								CDR
																																																								(BgL_cdrzd225676zd2_1835);
																																																							if (PAIRP(BgL_carzd225679zd2_1839))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (NULLP(CDR(BgL_carzd225679zd2_1839)))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd225680zd2_1840))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd225686zd2_1845;
																																																													BgL_carzd225686zd2_1845
																																																														=
																																																														CAR
																																																														(BgL_cdrzd225680zd2_1840);
																																																													if (PAIRP(BgL_carzd225686zd2_1845))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd225686zd2_1845))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd225680zd2_1840)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd225672zd2_1834))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd225693zd2_1851;
																																																																					BgL_carzd225693zd2_1851
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd225672zd2_1834);
																																																																					if (PAIRP(BgL_carzd225693zd2_1851))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd225717zd2_1853;
																																																																							BgL_cdrzd225717zd2_1853
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg1629z00_1854;
																																																																								obj_t
																																																																									BgL_arg1637z00_1855;
																																																																								obj_t
																																																																									BgL_arg1638z00_1856;
																																																																								BgL_arg1629z00_1854
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd225717zd2_1853));
																																																																								BgL_arg1637z00_1855
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd225717zd2_1853));
																																																																								BgL_arg1638z00_1856
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_19046;
																																																																									obj_t
																																																																										BgL_bodyz00_19045;
																																																																									obj_t
																																																																										BgL_varsz00_19044;
																																																																									BgL_varsz00_19044
																																																																										=
																																																																										BgL_arg1629z00_1854;
																																																																									BgL_bodyz00_19045
																																																																										=
																																																																										BgL_arg1637z00_1855;
																																																																									BgL_argsz00_19046
																																																																										=
																																																																										BgL_arg1638z00_1856;
																																																																									BgL_argsz00_1729
																																																																										=
																																																																										BgL_argsz00_19046;
																																																																									BgL_bodyz00_1728
																																																																										=
																																																																										BgL_bodyz00_19045;
																																																																									BgL_varsz00_1727
																																																																										=
																																																																										BgL_varsz00_19044;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1730;
																																																																								}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd225672zd2_1834)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg1643z00_1860;
																																																																									BgL_arg1643z00_1860
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd225679zd2_1839);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_19051;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_19054;
																																																																											obj_t
																																																																												BgL_bodyz00_19053;
																																																																											obj_t
																																																																												BgL_varz00_19052;
																																																																											BgL_varz00_19052
																																																																												=
																																																																												BgL_arg1643z00_1860;
																																																																											BgL_bodyz00_19053
																																																																												=
																																																																												BgL_carzd225686zd2_1845;
																																																																											BgL_argz00_19054
																																																																												=
																																																																												BgL_carzd225693zd2_1851;
																																																																											BgL_argz00_1725
																																																																												=
																																																																												BgL_argz00_19054;
																																																																											BgL_bodyz00_1724
																																																																												=
																																																																												BgL_bodyz00_19053;
																																																																											BgL_varz00_1723
																																																																												=
																																																																												BgL_varz00_19052;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1726;
																																																																										}
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_19051);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd225744zd2_1861;
																																																																									BgL_cdrzd225744zd2_1861
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1644z00_1862;
																																																																										obj_t
																																																																											BgL_arg1651z00_1863;
																																																																										obj_t
																																																																											BgL_arg1653z00_1864;
																																																																										BgL_arg1644z00_1862
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225744zd2_1861));
																																																																										BgL_arg1651z00_1863
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225744zd2_1861));
																																																																										BgL_arg1653z00_1864
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_19065;
																																																																											obj_t
																																																																												BgL_bodyz00_19064;
																																																																											obj_t
																																																																												BgL_varsz00_19063;
																																																																											BgL_varsz00_19063
																																																																												=
																																																																												BgL_arg1644z00_1862;
																																																																											BgL_bodyz00_19064
																																																																												=
																																																																												BgL_arg1651z00_1863;
																																																																											BgL_argsz00_19065
																																																																												=
																																																																												BgL_arg1653z00_1864;
																																																																											BgL_argsz00_1729
																																																																												=
																																																																												BgL_argsz00_19065;
																																																																											BgL_bodyz00_1728
																																																																												=
																																																																												BgL_bodyz00_19064;
																																																																											BgL_varsz00_1727
																																																																												=
																																																																												BgL_varsz00_19063;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1730;
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd225770zd2_1867;
																																																																					BgL_cdrzd225770zd2_1867
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg1658z00_1868;
																																																																						obj_t
																																																																							BgL_arg1660z00_1869;
																																																																						obj_t
																																																																							BgL_arg1661z00_1870;
																																																																						BgL_arg1658z00_1868
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225770zd2_1867));
																																																																						BgL_arg1660z00_1869
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225770zd2_1867));
																																																																						BgL_arg1661z00_1870
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_19075;
																																																																							obj_t
																																																																								BgL_bodyz00_19074;
																																																																							obj_t
																																																																								BgL_varsz00_19073;
																																																																							BgL_varsz00_19073
																																																																								=
																																																																								BgL_arg1658z00_1868;
																																																																							BgL_bodyz00_19074
																																																																								=
																																																																								BgL_arg1660z00_1869;
																																																																							BgL_argsz00_19075
																																																																								=
																																																																								BgL_arg1661z00_1870;
																																																																							BgL_argsz00_1729
																																																																								=
																																																																								BgL_argsz00_19075;
																																																																							BgL_bodyz00_1728
																																																																								=
																																																																								BgL_bodyz00_19074;
																																																																							BgL_varsz00_1727
																																																																								=
																																																																								BgL_varsz00_19073;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1730;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd225796zd2_1872;
																																																																			BgL_cdrzd225796zd2_1872
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg1665z00_1873;
																																																																				obj_t
																																																																					BgL_arg1669z00_1874;
																																																																				obj_t
																																																																					BgL_arg1670z00_1875;
																																																																				BgL_arg1665z00_1873
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225796zd2_1872));
																																																																				BgL_arg1669z00_1874
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225796zd2_1872));
																																																																				BgL_arg1670z00_1875
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_19085;
																																																																					obj_t
																																																																						BgL_bodyz00_19084;
																																																																					obj_t
																																																																						BgL_varsz00_19083;
																																																																					BgL_varsz00_19083
																																																																						=
																																																																						BgL_arg1665z00_1873;
																																																																					BgL_bodyz00_19084
																																																																						=
																																																																						BgL_arg1669z00_1874;
																																																																					BgL_argsz00_19085
																																																																						=
																																																																						BgL_arg1670z00_1875;
																																																																					BgL_argsz00_1729
																																																																						=
																																																																						BgL_argsz00_19085;
																																																																					BgL_bodyz00_1728
																																																																						=
																																																																						BgL_bodyz00_19084;
																																																																					BgL_varsz00_1727
																																																																						=
																																																																						BgL_varsz00_19083;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1730;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd225822zd2_1878;
																																																																	BgL_cdrzd225822zd2_1878
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg1674z00_1879;
																																																																		obj_t
																																																																			BgL_arg1675z00_1880;
																																																																		obj_t
																																																																			BgL_arg1676z00_1881;
																																																																		BgL_arg1674z00_1879
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225822zd2_1878));
																																																																		BgL_arg1675z00_1880
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225822zd2_1878));
																																																																		BgL_arg1676z00_1881
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_19095;
																																																																			obj_t
																																																																				BgL_bodyz00_19094;
																																																																			obj_t
																																																																				BgL_varsz00_19093;
																																																																			BgL_varsz00_19093
																																																																				=
																																																																				BgL_arg1674z00_1879;
																																																																			BgL_bodyz00_19094
																																																																				=
																																																																				BgL_arg1675z00_1880;
																																																																			BgL_argsz00_19095
																																																																				=
																																																																				BgL_arg1676z00_1881;
																																																																			BgL_argsz00_1729
																																																																				=
																																																																				BgL_argsz00_19095;
																																																																			BgL_bodyz00_1728
																																																																				=
																																																																				BgL_bodyz00_19094;
																																																																			BgL_varsz00_1727
																																																																				=
																																																																				BgL_varsz00_19093;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1730;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd225848zd2_1883;
																																																															BgL_cdrzd225848zd2_1883
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd225671zd2_1833));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg1685z00_1884;
																																																																obj_t
																																																																	BgL_arg1686z00_1885;
																																																																obj_t
																																																																	BgL_arg1692z00_1886;
																																																																BgL_arg1685z00_1884
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225848zd2_1883));
																																																																BgL_arg1686z00_1885
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225848zd2_1883));
																																																																BgL_arg1692z00_1886
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_19105;
																																																																	obj_t
																																																																		BgL_bodyz00_19104;
																																																																	obj_t
																																																																		BgL_varsz00_19103;
																																																																	BgL_varsz00_19103
																																																																		=
																																																																		BgL_arg1685z00_1884;
																																																																	BgL_bodyz00_19104
																																																																		=
																																																																		BgL_arg1686z00_1885;
																																																																	BgL_argsz00_19105
																																																																		=
																																																																		BgL_arg1692z00_1886;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_19105;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_19104;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_19103;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd225874zd2_1888;
																																																													BgL_cdrzd225874zd2_1888
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd225671zd2_1833));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg1697z00_1889;
																																																														obj_t
																																																															BgL_arg1698z00_1890;
																																																														obj_t
																																																															BgL_arg1701z00_1891;
																																																														BgL_arg1697z00_1889
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd225874zd2_1888));
																																																														BgL_arg1698z00_1890
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd225874zd2_1888));
																																																														BgL_arg1701z00_1891
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_19115;
																																																															obj_t
																																																																BgL_bodyz00_19114;
																																																															obj_t
																																																																BgL_varsz00_19113;
																																																															BgL_varsz00_19113
																																																																=
																																																																BgL_arg1697z00_1889;
																																																															BgL_bodyz00_19114
																																																																=
																																																																BgL_arg1698z00_1890;
																																																															BgL_argsz00_19115
																																																																=
																																																																BgL_arg1701z00_1891;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_19115;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_19114;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_19113;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd225900zd2_1893;
																																																											BgL_cdrzd225900zd2_1893
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd225671zd2_1833));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg1714z00_1894;
																																																												obj_t
																																																													BgL_arg1720z00_1895;
																																																												obj_t
																																																													BgL_arg1721z00_1896;
																																																												BgL_arg1714z00_1894
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd225900zd2_1893));
																																																												BgL_arg1720z00_1895
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd225900zd2_1893));
																																																												BgL_arg1721z00_1896
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_19125;
																																																													obj_t
																																																														BgL_bodyz00_19124;
																																																													obj_t
																																																														BgL_varsz00_19123;
																																																													BgL_varsz00_19123
																																																														=
																																																														BgL_arg1714z00_1894;
																																																													BgL_bodyz00_19124
																																																														=
																																																														BgL_arg1720z00_1895;
																																																													BgL_argsz00_19125
																																																														=
																																																														BgL_arg1721z00_1896;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_19125;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_19124;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_19123;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd225926zd2_1899;
																																																									BgL_cdrzd225926zd2_1899
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd225671zd2_1833));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg1732z00_1900;
																																																										obj_t
																																																											BgL_arg1734z00_1901;
																																																										obj_t
																																																											BgL_arg1735z00_1902;
																																																										BgL_arg1732z00_1900
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd225926zd2_1899));
																																																										BgL_arg1734z00_1901
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd225926zd2_1899));
																																																										BgL_arg1735z00_1902
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_19135;
																																																											obj_t
																																																												BgL_bodyz00_19134;
																																																											obj_t
																																																												BgL_varsz00_19133;
																																																											BgL_varsz00_19133
																																																												=
																																																												BgL_arg1732z00_1900;
																																																											BgL_bodyz00_19134
																																																												=
																																																												BgL_arg1734z00_1901;
																																																											BgL_argsz00_19135
																																																												=
																																																												BgL_arg1735z00_1902;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_19135;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_19134;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_19133;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_19138;
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_19138);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd226064zd2_1907;
																																																					BgL_cdrzd226064zd2_1907
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd225671zd2_1833));
																																																					if ((CAR(((obj_t) BgL_carzd225671zd2_1833)) == CNST_TABLE_REF(((long) 1))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd226064zd2_1907))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd226069zd2_1911;
																																																									BgL_cdrzd226069zd2_1911
																																																										=
																																																										CDR
																																																										(BgL_cdrzd226064zd2_1907);
																																																									if (PAIRP(BgL_cdrzd226069zd2_1911))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd226073zd2_1913;
																																																											obj_t
																																																												BgL_cdrzd226074zd2_1914;
																																																											BgL_carzd226073zd2_1913
																																																												=
																																																												CAR
																																																												(BgL_cdrzd226069zd2_1911);
																																																											BgL_cdrzd226074zd2_1914
																																																												=
																																																												CDR
																																																												(BgL_cdrzd226069zd2_1911);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226073zd2_1913))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd226074zd2_1914))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd226079zd2_1917;
																																																															BgL_carzd226079zd2_1917
																																																																=
																																																																CAR
																																																																(BgL_cdrzd226074zd2_1914);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226079zd2_1917))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd226074zd2_1914)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_19164;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1410z00_1950;
																																																																				BgL_l1410z00_1950
																																																																					=
																																																																					BgL_cdrzd225672zd2_1834;
																																																																			BgL_zc3anonymousza31764ze3z83_1951:
																																																																				if (NULLP(BgL_l1410z00_1950))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_19164
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_19167;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_19168;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_tmpz00_19169;
																																																																								BgL_tmpz00_19169
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1410z00_1950));
																																																																								BgL_testz00_19168
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_19169);
																																																																							}
																																																																							if (BgL_testz00_19168)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_19167
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_19167
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_19167)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1410z00_19173;
																																																																								BgL_l1410z00_19173
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1410z00_1950));
																																																																								BgL_l1410z00_1950
																																																																									=
																																																																									BgL_l1410z00_19173;
																																																																								goto
																																																																									BgL_zc3anonymousza31764ze3z83_1951;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_19164
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_19164)
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_19180;
																																																																					obj_t
																																																																						BgL_proc2z00_19179;
																																																																					obj_t
																																																																						BgL_proc1z00_19178;
																																																																					obj_t
																																																																						BgL_testz00_19176;
																																																																					BgL_testz00_19176
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd226064zd2_1907);
																																																																					BgL_proc1z00_19178
																																																																						=
																																																																						BgL_carzd226073zd2_1913;
																																																																					BgL_proc2z00_19179
																																																																						=
																																																																						BgL_carzd226079zd2_1917;
																																																																					BgL_argsz00_19180
																																																																						=
																																																																						BgL_cdrzd225672zd2_1834;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_19180;
																																																																					BgL_proc2z00_1733
																																																																						=
																																																																						BgL_proc2z00_19179;
																																																																					BgL_proc1z00_1732
																																																																						=
																																																																						BgL_proc1z00_19178;
																																																																					BgL_testz00_1731
																																																																						=
																																																																						BgL_testz00_19176;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1735;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd226104zd2_1934;
																																																																					BgL_cdrzd226104zd2_1934
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd226112zd2_1935;
																																																																						BgL_cdrzd226112zd2_1935
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd226120zd2_1936;
																																																																							BgL_cdrzd226120zd2_1936
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd226112zd2_1935));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd226127zd2_1937;
																																																																								BgL_carzd226127zd2_1937
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd226120zd2_1936));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226127zd2_1937))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd226136zd2_1939;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10463;
																																																																											BgL_pairz00_10463
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd226120zd2_1936));
																																																																											BgL_carzd226136zd2_1939
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_10463);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226136zd2_1939))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226104zd2_1934))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg1756z00_1942;
																																																																														BgL_arg1756z00_1942
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd226112zd2_1935));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19202;
																																																																															obj_t
																																																																																BgL_proc2z00_19201;
																																																																															obj_t
																																																																																BgL_proc1z00_19200;
																																																																															obj_t
																																																																																BgL_testz00_19199;
																																																																															BgL_testz00_19199
																																																																																=
																																																																																BgL_arg1756z00_1942;
																																																																															BgL_proc1z00_19200
																																																																																=
																																																																																BgL_carzd226127zd2_1937;
																																																																															BgL_proc2z00_19201
																																																																																=
																																																																																BgL_carzd226136zd2_1939;
																																																																															BgL_argsz00_19202
																																																																																=
																																																																																BgL_cdrzd226104zd2_1934;
																																																																															BgL_argsz00_1739
																																																																																=
																																																																																BgL_argsz00_19202;
																																																																															BgL_proc2z00_1738
																																																																																=
																																																																																BgL_proc2z00_19201;
																																																																															BgL_proc1z00_1737
																																																																																=
																																																																																BgL_proc1z00_19200;
																																																																															BgL_testz00_1736
																																																																																=
																																																																																BgL_testz00_19199;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1740;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_19205;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_19205);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_19209;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_19209);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_19213;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_19213);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_19217;
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_19217);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd226414zd2_1961;
																																																																	BgL_cdrzd226414zd2_1961
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd226421zd2_1962;
																																																																		BgL_cdrzd226421zd2_1962
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd226428zd2_1963;
																																																																			BgL_cdrzd226428zd2_1963
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd226421zd2_1962));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd226434zd2_1964;
																																																																				obj_t
																																																																					BgL_cdrzd226435zd2_1965;
																																																																				BgL_carzd226434zd2_1964
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd226428zd2_1963));
																																																																				BgL_cdrzd226435zd2_1965
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd226428zd2_1963));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226434zd2_1964))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd226442zd2_1967;
																																																																						BgL_carzd226442zd2_1967
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd226435zd2_1965));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226442zd2_1967))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd226435zd2_1965))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226414zd2_1961))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg1774z00_1972;
																																																																												BgL_arg1774z00_1972
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd226421zd2_1962));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_19245;
																																																																													obj_t
																																																																														BgL_proc2z00_19244;
																																																																													obj_t
																																																																														BgL_proc1z00_19243;
																																																																													obj_t
																																																																														BgL_testz00_19242;
																																																																													BgL_testz00_19242
																																																																														=
																																																																														BgL_arg1774z00_1972;
																																																																													BgL_proc1z00_19243
																																																																														=
																																																																														BgL_carzd226434zd2_1964;
																																																																													BgL_proc2z00_19244
																																																																														=
																																																																														BgL_carzd226442zd2_1967;
																																																																													BgL_argsz00_19245
																																																																														=
																																																																														BgL_cdrzd226414zd2_1961;
																																																																													BgL_argsz00_1739
																																																																														=
																																																																														BgL_argsz00_19245;
																																																																													BgL_proc2z00_1738
																																																																														=
																																																																														BgL_proc2z00_19244;
																																																																													BgL_proc1z00_1737
																																																																														=
																																																																														BgL_proc1z00_19243;
																																																																													BgL_testz00_1736
																																																																														=
																																																																														BgL_testz00_19242;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1740;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_19248;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_19248);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_19252;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_19252);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_19256;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_19256);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_19260;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_19260);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_19264;
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_19264);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd226775zd2_1980;
																																																													BgL_cdrzd226775zd2_1980
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd226781zd2_1981;
																																																														BgL_cdrzd226781zd2_1981
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd226787zd2_1982;
																																																															BgL_cdrzd226787zd2_1982
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd226781zd2_1981));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd226792zd2_1983;
																																																																obj_t
																																																																	BgL_cdrzd226793zd2_1984;
																																																																BgL_carzd226792zd2_1983
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd226787zd2_1982));
																																																																BgL_cdrzd226793zd2_1984
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd226787zd2_1982));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226792zd2_1983))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd226793zd2_1984))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd226798zd2_1987;
																																																																				BgL_carzd226798zd2_1987
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd226793zd2_1984);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226798zd2_1987))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd226793zd2_1984)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226775zd2_1980))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1789z00_1992;
																																																																										BgL_arg1789z00_1992
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd226781zd2_1981));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_19292;
																																																																											obj_t
																																																																												BgL_proc2z00_19291;
																																																																											obj_t
																																																																												BgL_proc1z00_19290;
																																																																											obj_t
																																																																												BgL_testz00_19289;
																																																																											BgL_testz00_19289
																																																																												=
																																																																												BgL_arg1789z00_1992;
																																																																											BgL_proc1z00_19290
																																																																												=
																																																																												BgL_carzd226792zd2_1983;
																																																																											BgL_proc2z00_19291
																																																																												=
																																																																												BgL_carzd226798zd2_1987;
																																																																											BgL_argsz00_19292
																																																																												=
																																																																												BgL_cdrzd226775zd2_1980;
																																																																											BgL_argsz00_1739
																																																																												=
																																																																												BgL_argsz00_19292;
																																																																											BgL_proc2z00_1738
																																																																												=
																																																																												BgL_proc2z00_19291;
																																																																											BgL_proc1z00_1737
																																																																												=
																																																																												BgL_proc1z00_19290;
																																																																											BgL_testz00_1736
																																																																												=
																																																																												BgL_testz00_19289;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1740;
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_19295;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_19295);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_19299;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_19299);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_19303;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_19303);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_19307;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_19307);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_19311;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_19311);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_19315;
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_19315);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_19319;
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_19319);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_19323;
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_19323);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd224060zd2_1819
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2382zd2_1720;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224060zd2_1819)))
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2382zd2_1720;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd224060zd2_1819 == CNST_TABLE_REF(((long) 19))))
																																								{	/* Ast/sexp.scm 118 */
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																										{	/* Ast/sexp.scm 118 */
																																											goto
																																												BgL_tagzd2383zd2_1721;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd227360zd2_2152;
																																											BgL_carzd227360zd2_2152
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if ((BgL_carzd227360zd2_2152 == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_19342;
																																													goto
																																														BgL_tagzd2384zd2_1722;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_19342);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd227360zd2_2152)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_19347;
																																															goto
																																																BgL_tagzd2384zd2_1722;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_19347);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2389zd2_1741;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2390zd2_1742;
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd227439zd2_2159;
																																																			BgL_cdrzd227439zd2_2159
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd227439zd2_2159))
																																																						{
																																																							obj_t
																																																								BgL_restz00_19366;
																																																							obj_t
																																																								BgL_effectz00_19364;
																																																							BgL_effectz00_19364
																																																								=
																																																								CAR
																																																								(BgL_cdrzd227439zd2_2159);
																																																							BgL_restz00_19366
																																																								=
																																																								CDR
																																																								(BgL_cdrzd227439zd2_2159);
																																																							BgL_restz00_1744
																																																								=
																																																								BgL_restz00_19366;
																																																							BgL_effectz00_1743
																																																								=
																																																								BgL_effectz00_19364;
																																																							goto
																																																								BgL_tagzd2391zd2_1745;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_19370;
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_19370);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2392zd2_1746;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2393zd2_1747;
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd227439zd2_2159))
																																																												{
																																																													obj_t
																																																														BgL_restz00_19388;
																																																													obj_t
																																																														BgL_effectz00_19386;
																																																													BgL_effectz00_19386
																																																														=
																																																														CAR
																																																														(BgL_cdrzd227439zd2_2159);
																																																													BgL_restz00_19388
																																																														=
																																																														CDR
																																																														(BgL_cdrzd227439zd2_2159);
																																																													BgL_restz00_1749
																																																														=
																																																														BgL_restz00_19388;
																																																													BgL_effectz00_1748
																																																														=
																																																														BgL_effectz00_19386;
																																																													goto
																																																														BgL_tagzd2394zd2_1750;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_19392;
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_19392);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2395zd2_1751;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2396zd2_1752;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_19406;
																																																																	goto
																																																																		BgL_tagzd2397zd2_1753;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_19406);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																		{
																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																				BgL_auxz00_19412;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1754;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_19412);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd227566zd2_2185;
																																																																			BgL_cdrzd227566zd2_2185
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd227566zd2_2185))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd227568zd2_2189;
																																																																							BgL_cdrzd227568zd2_2189
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd227566zd2_2185);
																																																																							if (PAIRP(BgL_cdrzd227568zd2_2189))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd227568zd2_2189)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1755;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_19429;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_19429);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_19433;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_19433);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_19437;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_19437);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd227566zd2_2185))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd227613zd2_2201;
																																																																									BgL_cdrzd227613zd2_2201
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd227566zd2_2185);
																																																																									if (PAIRP(BgL_cdrzd227613zd2_2201))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd227618zd2_2203;
																																																																											BgL_cdrzd227618zd2_2203
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd227613zd2_2201);
																																																																											if ((CAR(BgL_cdrzd227613zd2_2201) == CNST_TABLE_REF(((long) 32))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd227618zd2_2203))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg1962z00_2207;
																																																																															obj_t
																																																																																BgL_arg1963z00_2208;
																																																																															obj_t
																																																																																BgL_arg1965z00_2209;
																																																																															BgL_arg1962z00_2207
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd227566zd2_2185);
																																																																															BgL_arg1963z00_2208
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd227618zd2_2203);
																																																																															BgL_arg1965z00_2209
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd227618zd2_2203);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg1962z00_2207,
																																																																																BgL_arg1963z00_2208,
																																																																																BgL_arg1965z00_2209,
																																																																																BgL_stackz00_22,
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_locz00_23),
																																																																																BgL_sitez00_24);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd227631zd2_2210;
																																																																															BgL_cdrzd227631zd2_2210
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg1966z00_2211;
																																																																																obj_t
																																																																																	BgL_arg1967z00_2212;
																																																																																BgL_arg1966z00_2211
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd227631zd2_2210));
																																																																																BgL_arg1967z00_2212
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd227631zd2_2210));
																																																																																{	/* Ast/sexp.scm 548 */
																																																																																	obj_t
																																																																																		BgL_arg6427z00_10529;
																																																																																	BgL_arg6427z00_10529
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	return
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_arg1966z00_2211,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg1967z00_2212, BgL_stackz00_22, BgL_arg6427z00_10529, BgL_sitez00_24);
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd227646zd2_2213;
																																																																													BgL_cdrzd227646zd2_2213
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg1969z00_2214;
																																																																														obj_t
																																																																															BgL_arg1970z00_2215;
																																																																														BgL_arg1969z00_2214
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd227646zd2_2213));
																																																																														BgL_arg1970z00_2215
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd227646zd2_2213));
																																																																														{	/* Ast/sexp.scm 548 */
																																																																															obj_t
																																																																																BgL_arg6427z00_10533;
																																																																															BgL_arg6427z00_10533
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg1969z00_2214,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg1970z00_2215, BgL_stackz00_22, BgL_arg6427z00_10533, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd227661zd2_2217;
																																																																											BgL_cdrzd227661zd2_2217
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg1973z00_2218;
																																																																												obj_t
																																																																													BgL_arg1974z00_2219;
																																																																												BgL_arg1973z00_2218
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd227661zd2_2217));
																																																																												BgL_arg1974z00_2219
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd227661zd2_2217));
																																																																												{	/* Ast/sexp.scm 548 */
																																																																													obj_t
																																																																														BgL_arg6427z00_10537;
																																																																													BgL_arg6427z00_10537
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg1973z00_2218,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg1974z00_2219, BgL_stackz00_22, BgL_arg6427z00_10537, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_19486;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_19486);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_expz00_21)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2402zd2_1763;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_19496;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_19496);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_19500;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_19500);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 118 */
												if (
													(BgL_carzd2470zd2_1770 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 118 */
														goto BgL_tagzd2371zd2_1702;
													}
												else
													{	/* Ast/sexp.scm 118 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 15))))
															{
																obj_t BgL_lz00_19509;

																BgL_lz00_19509 = CDR(BgL_expz00_21);
																BgL_lz00_1703 = BgL_lz00_19509;
																goto BgL_tagzd2372zd2_1704;
															}
														else
															{	/* Ast/sexp.scm 118 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 118 */
																		goto BgL_tagzd2373zd2_1705;
																	}
																else
																	{	/* Ast/sexp.scm 118 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 118 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 118 */
																						goto BgL_tagzd2374zd2_1706;
																					}
																				else
																					{	/* Ast/sexp.scm 118 */
																						obj_t BgL_arg4020z00_4671;

																						BgL_arg4020z00_4671 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_19523;
																							{
																								obj_t BgL_bodyz00_19524;

																								BgL_bodyz00_19524 =
																									BgL_arg4020z00_4671;
																								BgL_bodyz00_1707 =
																									BgL_bodyz00_19524;
																								goto BgL_tagzd2375zd2_1708;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_19523);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 118 */
																				obj_t BgL_carzd227795zd2_4673;
																				obj_t BgL_cdrzd227796zd2_4674;

																				BgL_carzd227795zd2_4673 =
																					CAR(BgL_expz00_21);
																				BgL_cdrzd227796zd2_4674 =
																					CDR(BgL_expz00_21);
																				{

																					if (
																						(BgL_carzd227795zd2_4673 ==
																							CNST_TABLE_REF(((long) 1))))
																						{
																							obj_t BgL_auxz00_19531;

																						BgL_kapzd227797zd2_4675:
																							if (PAIRP
																								(BgL_cdrzd227796zd2_4674))
																								{	/* Ast/sexp.scm 118 */
																									obj_t BgL_cdrzd227800zd2_5125;

																									BgL_cdrzd227800zd2_5125 =
																										CDR
																										(BgL_cdrzd227796zd2_4674);
																									if (PAIRP
																										(BgL_cdrzd227800zd2_5125))
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd227803zd2_5127;
																											BgL_cdrzd227803zd2_5127 =
																												CDR
																												(BgL_cdrzd227800zd2_5125);
																											if ((CAR
																													(BgL_cdrzd227800zd2_5125)
																													== BTRUE))
																												{	/* Ast/sexp.scm 118 */
																													if (PAIRP
																														(BgL_cdrzd227803zd2_5127))
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR
																																	(BgL_cdrzd227803zd2_5127)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 118 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd227803zd2_5127)))
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					CNST_TABLE_REF
																																					(((long) 8))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_arg4360z00_5137;
																																					BgL_arg4360z00_5137
																																						=
																																						CAR
																																						(BgL_cdrzd227796zd2_4674);
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg4360z00_5137,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd227820zd2_5138;
																																					BgL_carzd227820zd2_5138
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd227820zd2_5138
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_19560;
																																							goto
																																								BgL_tagzd2377zd2_1711;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_19560);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd227820zd2_5138 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19564;
																																									goto
																																										BgL_tagzd2377zd2_1711;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19564);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_19571;
																																											goto
																																												BgL_tagzd2379zd2_1715;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_19571);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_19578;
																																													goto
																																														BgL_tagzd2380zd2_1716;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_19578);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd227881zd2_5145;
																																													BgL_carzd227881zd2_5145
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd227881zd2_5145))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd227884zd2_5147;
																																															obj_t
																																																BgL_cdrzd227885zd2_5148;
																																															BgL_carzd227884zd2_5147
																																																=
																																																CAR
																																																(BgL_carzd227881zd2_5145);
																																															BgL_cdrzd227885zd2_5148
																																																=
																																																CDR
																																																(BgL_carzd227881zd2_5145);
																																															{

																																																if ((BgL_carzd227884zd2_5147 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 118 */
																																																	BgL_kapzd227886zd2_5149:
																																																		if (PAIRP(BgL_cdrzd227885zd2_5148))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd227889zd2_5271;
																																																				BgL_cdrzd227889zd2_5271
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227885zd2_5148);
																																																				if (PAIRP(BgL_cdrzd227889zd2_5271))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd227889zd2_5271)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg4450z00_5275;
																																																								obj_t
																																																									BgL_arg4451z00_5276;
																																																								BgL_arg4450z00_5275
																																																									=
																																																									CAR
																																																									(BgL_cdrzd227889zd2_5271);
																																																								BgL_arg4451z00_5276
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_19600;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_19602;
																																																										obj_t
																																																											BgL_bodyz00_19601;
																																																										BgL_bodyz00_19601
																																																											=
																																																											BgL_arg4450z00_5275;
																																																										BgL_argsz00_19602
																																																											=
																																																											BgL_arg4451z00_5276;
																																																										BgL_argsz00_1718
																																																											=
																																																											BgL_argsz00_19602;
																																																										BgL_bodyz00_1717
																																																											=
																																																											BgL_bodyz00_19601;
																																																										goto
																																																											BgL_tagzd2381zd2_1719;
																																																									}
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19600);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_19604;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4518z00_5385;
																																																									BgL_arg4518z00_5385
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_19604
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg4518z00_5385));
																																																								}
																																																								if (BgL_testz00_19604)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19609;
																																																										goto
																																																											BgL_tagzd2382zd2_1720;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19609);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_19611;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4517z00_5384;
																																																											BgL_arg4517z00_5384
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_19611
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg4517z00_5384));
																																																										}
																																																										if (BgL_testz00_19611)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_19616;
																																																												goto
																																																													BgL_tagzd2384zd2_1722;
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19616);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd227967zd2_5281;
																																																												BgL_carzd227967zd2_5281
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd227972zd2_5282;
																																																													BgL_cdrzd227972zd2_5282
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd227967zd2_5281));
																																																													if ((CAR(((obj_t) BgL_carzd227967zd2_5281)) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg4458z00_5285;
																																																															obj_t
																																																																BgL_arg4459z00_5286;
																																																															obj_t
																																																																BgL_arg4460z00_5287;
																																																															BgL_arg4458z00_5285
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd227972zd2_5282));
																																																															BgL_arg4459z00_5286
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd227972zd2_5282));
																																																															BgL_arg4460z00_5287
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19633;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_19636;
																																																																	obj_t
																																																																		BgL_bodyz00_19635;
																																																																	obj_t
																																																																		BgL_varsz00_19634;
																																																																	BgL_varsz00_19634
																																																																		=
																																																																		BgL_arg4458z00_5285;
																																																																	BgL_bodyz00_19635
																																																																		=
																																																																		BgL_arg4459z00_5286;
																																																																	BgL_argsz00_19636
																																																																		=
																																																																		BgL_arg4460z00_5287;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_19636;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_19635;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_19634;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19633);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd227995zd2_5289;
																																																															BgL_cdrzd227995zd2_5289
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd228001zd2_5290;
																																																																BgL_cdrzd228001zd2_5290
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd227967zd2_5281));
																																																																if ((CAR(((obj_t) BgL_carzd227967zd2_5281)) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd228007zd2_5293;
																																																																		BgL_cdrzd228007zd2_5293
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd228001zd2_5290));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd228012zd2_5294;
																																																																			obj_t
																																																																				BgL_cdrzd228013zd2_5295;
																																																																			BgL_carzd228012zd2_5294
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd228007zd2_5293));
																																																																			BgL_cdrzd228013zd2_5295
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd228007zd2_5293));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228012zd2_5294))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd228013zd2_5295))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd228020zd2_5298;
																																																																							BgL_carzd228020zd2_5298
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd228013zd2_5295);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228020zd2_5298))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd228013zd2_5295)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_19663;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1413z00_5331;
																																																																												BgL_l1413z00_5331
																																																																													=
																																																																													BgL_cdrzd227995zd2_5289;
																																																																											BgL_zc3anonymousza34483ze3z83_5332:
																																																																												if (NULLP(BgL_l1413z00_5331))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_19663
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_19666;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_19667;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_tmpz00_19668;
																																																																																BgL_tmpz00_19668
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1413z00_5331));
																																																																																BgL_testz00_19667
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_19668);
																																																																															}
																																																																															if (BgL_testz00_19667)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_19666
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_19666
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_19666)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1413z00_19672;
																																																																																BgL_l1413z00_19672
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1413z00_5331));
																																																																																BgL_l1413z00_5331
																																																																																	=
																																																																																	BgL_l1413z00_19672;
																																																																																goto
																																																																																	BgL_zc3anonymousza34483ze3z83_5332;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_19663
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_19663)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg4473z00_5314;
																																																																													BgL_arg4473z00_5314
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd228001zd2_5290));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19677;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19681;
																																																																															obj_t
																																																																																BgL_proc2z00_19680;
																																																																															obj_t
																																																																																BgL_proc1z00_19679;
																																																																															obj_t
																																																																																BgL_testz00_19678;
																																																																															BgL_testz00_19678
																																																																																=
																																																																																BgL_arg4473z00_5314;
																																																																															BgL_proc1z00_19679
																																																																																=
																																																																																BgL_carzd228012zd2_5294;
																																																																															BgL_proc2z00_19680
																																																																																=
																																																																																BgL_carzd228020zd2_5298;
																																																																															BgL_argsz00_19681
																																																																																=
																																																																																BgL_cdrzd227995zd2_5289;
																																																																															BgL_argsz00_1734
																																																																																=
																																																																																BgL_argsz00_19681;
																																																																															BgL_proc2z00_1733
																																																																																=
																																																																																BgL_proc2z00_19680;
																																																																															BgL_proc1z00_1732
																																																																																=
																																																																																BgL_proc1z00_19679;
																																																																															BgL_testz00_1731
																																																																																=
																																																																																BgL_testz00_19678;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1735;
																																																																														}
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19677);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd228044zd2_5315;
																																																																													BgL_cdrzd228044zd2_5315
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd228051zd2_5316;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10601;
																																																																															BgL_pairz00_10601
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd228051zd2_5316
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10601);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd228058zd2_5317;
																																																																															BgL_cdrzd228058zd2_5317
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd228051zd2_5316));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd228064zd2_5318;
																																																																																BgL_carzd228064zd2_5318
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd228058zd2_5317));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228064zd2_5318))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd228071zd2_5320;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10605;
																																																																																			BgL_pairz00_10605
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd228058zd2_5317));
																																																																																			BgL_carzd228071zd2_5320
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_10605);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228071zd2_5320))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228044zd2_5315))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg4477z00_5323;
																																																																																						BgL_arg4477z00_5323
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd228051zd2_5316));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19703;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_19707;
																																																																																								obj_t
																																																																																									BgL_proc2z00_19706;
																																																																																								obj_t
																																																																																									BgL_proc1z00_19705;
																																																																																								obj_t
																																																																																									BgL_testz00_19704;
																																																																																								BgL_testz00_19704
																																																																																									=
																																																																																									BgL_arg4477z00_5323;
																																																																																								BgL_proc1z00_19705
																																																																																									=
																																																																																									BgL_carzd228064zd2_5318;
																																																																																								BgL_proc2z00_19706
																																																																																									=
																																																																																									BgL_carzd228071zd2_5320;
																																																																																								BgL_argsz00_19707
																																																																																									=
																																																																																									BgL_cdrzd228044zd2_5315;
																																																																																								BgL_argsz00_1739
																																																																																									=
																																																																																									BgL_argsz00_19707;
																																																																																								BgL_proc2z00_1738
																																																																																									=
																																																																																									BgL_proc2z00_19706;
																																																																																								BgL_proc1z00_1737
																																																																																									=
																																																																																									BgL_proc1z00_19705;
																																																																																								BgL_testz00_1736
																																																																																									=
																																																																																									BgL_testz00_19704;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1740;
																																																																																							}
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19703);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1764;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19711;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1765;
																																																																																								BgL_auxz00_19531
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19711);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19715;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19715);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19719;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19719);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19723;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19723);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd228347zd2_5342;
																																																																									BgL_cdrzd228347zd2_5342
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd228353zd2_5343;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10609;
																																																																											BgL_pairz00_10609
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd228353zd2_5343
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10609);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd228359zd2_5344;
																																																																											BgL_cdrzd228359zd2_5344
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd228353zd2_5343));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd228364zd2_5345;
																																																																												obj_t
																																																																													BgL_cdrzd228365zd2_5346;
																																																																												BgL_carzd228364zd2_5345
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd228359zd2_5344));
																																																																												BgL_cdrzd228365zd2_5346
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd228359zd2_5344));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228364zd2_5345))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd228370zd2_5348;
																																																																														BgL_carzd228370zd2_5348
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd228365zd2_5346));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228370zd2_5348))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd228365zd2_5346))))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228347zd2_5342))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg4492z00_5353;
																																																																																				BgL_arg4492z00_5353
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd228353zd2_5343));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19750;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_19754;
																																																																																						obj_t
																																																																																							BgL_proc2z00_19753;
																																																																																						obj_t
																																																																																							BgL_proc1z00_19752;
																																																																																						obj_t
																																																																																							BgL_testz00_19751;
																																																																																						BgL_testz00_19751
																																																																																							=
																																																																																							BgL_arg4492z00_5353;
																																																																																						BgL_proc1z00_19752
																																																																																							=
																																																																																							BgL_carzd228364zd2_5345;
																																																																																						BgL_proc2z00_19753
																																																																																							=
																																																																																							BgL_carzd228370zd2_5348;
																																																																																						BgL_argsz00_19754
																																																																																							=
																																																																																							BgL_cdrzd228347zd2_5342;
																																																																																						BgL_argsz00_1739
																																																																																							=
																																																																																							BgL_argsz00_19754;
																																																																																						BgL_proc2z00_1738
																																																																																							=
																																																																																							BgL_proc2z00_19753;
																																																																																						BgL_proc1z00_1737
																																																																																							=
																																																																																							BgL_proc1z00_19752;
																																																																																						BgL_testz00_1736
																																																																																							=
																																																																																							BgL_testz00_19751;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1740;
																																																																																					}
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19750);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19758;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19758);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19762;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19762);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19766;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19766);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19770;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19770);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19774;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19774);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd228703zd2_5361;
																																																																					BgL_cdrzd228703zd2_5361
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd228710zd2_5362;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_10619;
																																																																							BgL_pairz00_10619
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd228710zd2_5362
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_10619);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd228717zd2_5363;
																																																																							BgL_cdrzd228717zd2_5363
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd228710zd2_5362));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd228723zd2_5364;
																																																																								obj_t
																																																																									BgL_cdrzd228724zd2_5365;
																																																																								BgL_carzd228723zd2_5364
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd228717zd2_5363));
																																																																								BgL_cdrzd228724zd2_5365
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd228717zd2_5363));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228723zd2_5364))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd228724zd2_5365))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd228731zd2_5368;
																																																																												BgL_carzd228731zd2_5368
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd228724zd2_5365);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228731zd2_5368))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd228724zd2_5365)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228703zd2_5361))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg4506z00_5373;
																																																																																		BgL_arg4506z00_5373
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd228710zd2_5362));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19801;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_19805;
																																																																																				obj_t
																																																																																					BgL_proc2z00_19804;
																																																																																				obj_t
																																																																																					BgL_proc1z00_19803;
																																																																																				obj_t
																																																																																					BgL_testz00_19802;
																																																																																				BgL_testz00_19802
																																																																																					=
																																																																																					BgL_arg4506z00_5373;
																																																																																				BgL_proc1z00_19803
																																																																																					=
																																																																																					BgL_carzd228723zd2_5364;
																																																																																				BgL_proc2z00_19804
																																																																																					=
																																																																																					BgL_carzd228731zd2_5368;
																																																																																				BgL_argsz00_19805
																																																																																					=
																																																																																					BgL_cdrzd228703zd2_5361;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_19805;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_19804;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_19803;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_19802;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19801);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19809;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19809);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19813;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19813);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19817;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19817);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19821;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19821);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19825;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19825);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19829;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19829);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_19831;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4532z00_5401;
																																																							BgL_arg4532z00_5401
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_19831
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4532z00_5401));
																																																						}
																																																						if (BgL_testz00_19831)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19836;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19836);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_19838;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4531z00_5400;
																																																									BgL_arg4531z00_5400
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_19838
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4531z00_5400));
																																																								}
																																																								if (BgL_testz00_19838)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_19843;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19843);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd229177zd2_5391;
																																																										BgL_carzd229177zd2_5391
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd229182zd2_5392;
																																																											BgL_cdrzd229182zd2_5392
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd229177zd2_5391));
																																																											if ((CAR(((obj_t) BgL_carzd229177zd2_5391)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg4526z00_5395;
																																																													obj_t
																																																														BgL_arg4527z00_5396;
																																																													obj_t
																																																														BgL_arg4528z00_5397;
																																																													BgL_arg4526z00_5395
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd229182zd2_5392));
																																																													BgL_arg4527z00_5396
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd229182zd2_5392));
																																																													BgL_arg4528z00_5397
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19860;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_19863;
																																																															obj_t
																																																																BgL_bodyz00_19862;
																																																															obj_t
																																																																BgL_varsz00_19861;
																																																															BgL_varsz00_19861
																																																																=
																																																																BgL_arg4526z00_5395;
																																																															BgL_bodyz00_19862
																																																																=
																																																																BgL_arg4527z00_5396;
																																																															BgL_argsz00_19863
																																																																=
																																																																BgL_arg4528z00_5397;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_19863;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_19862;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_19861;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19860);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19867;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19867);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_19869;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4539z00_5408;
																																																					BgL_arg4539z00_5408
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_19869
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4539z00_5408));
																																																				}
																																																				if (BgL_testz00_19869)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19874;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19874);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_19876;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4538z00_5407;
																																																							BgL_arg4538z00_5407
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_19876
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4538z00_5407));
																																																						}
																																																						if (BgL_testz00_19876)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_19881;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19881);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1764;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19885;
																																																										goto
																																																											BgL_tagzd2404zd2_1765;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19885);
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd227884zd2_5147)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd227886zd2_5149;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd227884zd2_5147 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd227886zd2_5149;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd227884zd2_5147 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd227886zd2_5149;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd227884zd2_5147)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd227886zd2_5149;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_19899;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4445z00_5269;
																																																											BgL_arg4445z00_5269
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_19899
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg4445z00_5269));
																																																										}
																																																										if (BgL_testz00_19899)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19904;
																																																												goto
																																																													BgL_tagzd2382zd2_1720;
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19904);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												bool_t
																																																													BgL_testz00_19906;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg4444z00_5268;
																																																													BgL_arg4444z00_5268
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_testz00_19906
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg4444z00_5268));
																																																												}
																																																												if (BgL_testz00_19906)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_19911;
																																																														goto
																																																															BgL_tagzd2384zd2_1722;
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19911);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd229505zd2_5159;
																																																														BgL_carzd229505zd2_5159
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd229510zd2_5160;
																																																															BgL_cdrzd229510zd2_5160
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd229505zd2_5159));
																																																															if ((CAR(((obj_t) BgL_carzd229505zd2_5159)) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd229510zd2_5160))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg4380z00_5164;
																																																																			obj_t
																																																																				BgL_arg4381z00_5165;
																																																																			obj_t
																																																																				BgL_arg4382z00_5166;
																																																																			BgL_arg4380z00_5164
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd229510zd2_5160);
																																																																			BgL_arg4381z00_5165
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd229510zd2_5160);
																																																																			BgL_arg4382z00_5166
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19928;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_19931;
																																																																					obj_t
																																																																						BgL_bodyz00_19930;
																																																																					obj_t
																																																																						BgL_varsz00_19929;
																																																																					BgL_varsz00_19929
																																																																						=
																																																																						BgL_arg4380z00_5164;
																																																																					BgL_bodyz00_19930
																																																																						=
																																																																						BgL_arg4381z00_5165;
																																																																					BgL_argsz00_19931
																																																																						=
																																																																						BgL_arg4382z00_5166;
																																																																					BgL_argsz00_1729
																																																																						=
																																																																						BgL_argsz00_19931;
																																																																					BgL_bodyz00_1728
																																																																						=
																																																																						BgL_bodyz00_19930;
																																																																					BgL_varsz00_1727
																																																																						=
																																																																						BgL_varsz00_19929;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1730;
																																																																				}
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19928);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19935;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19935);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd229617zd2_5169;
																																																																	BgL_cdrzd229617zd2_5169
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd229622zd2_5170;
																																																																		BgL_cdrzd229622zd2_5170
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd229505zd2_5159));
																																																																		if ((CAR(((obj_t) BgL_carzd229505zd2_5159)) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd229622zd2_5170))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd229627zd2_5174;
																																																																						BgL_cdrzd229627zd2_5174
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd229622zd2_5170);
																																																																						if (PAIRP(BgL_cdrzd229627zd2_5174))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd229631zd2_5176;
																																																																								obj_t
																																																																									BgL_cdrzd229632zd2_5177;
																																																																								BgL_carzd229631zd2_5176
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd229627zd2_5174);
																																																																								BgL_cdrzd229632zd2_5177
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd229627zd2_5174);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229631zd2_5176))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd229632zd2_5177))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd229637zd2_5180;
																																																																												BgL_carzd229637zd2_5180
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd229632zd2_5177);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229637zd2_5180))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd229632zd2_5177)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_19963;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1416z00_5213;
																																																																																	BgL_l1416z00_5213
																																																																																		=
																																																																																		BgL_cdrzd229617zd2_5169;
																																																																																BgL_zc3anonymousza34408ze3z83_5214:
																																																																																	if (NULLP(BgL_l1416z00_5213))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_19963
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			bool_t
																																																																																				BgL_testz00_19966;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				bool_t
																																																																																					BgL_testz00_19967;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_19968;
																																																																																					BgL_tmpz00_19968
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_l1416z00_5213));
																																																																																					BgL_testz00_19967
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_19968);
																																																																																				}
																																																																																				if (BgL_testz00_19967)
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_19966
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_19966
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_testz00_19966)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1416z00_19972;
																																																																																					BgL_l1416z00_19972
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_l1416z00_5213));
																																																																																					BgL_l1416z00_5213
																																																																																						=
																																																																																						BgL_l1416z00_19972;
																																																																																					goto
																																																																																						BgL_zc3anonymousza34408ze3z83_5214;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_19963
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_19963)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg4398z00_5196;
																																																																																		BgL_arg4398z00_5196
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd229622zd2_5170);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19976;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_19980;
																																																																																				obj_t
																																																																																					BgL_proc2z00_19979;
																																																																																				obj_t
																																																																																					BgL_proc1z00_19978;
																																																																																				obj_t
																																																																																					BgL_testz00_19977;
																																																																																				BgL_testz00_19977
																																																																																					=
																																																																																					BgL_arg4398z00_5196;
																																																																																				BgL_proc1z00_19978
																																																																																					=
																																																																																					BgL_carzd229631zd2_5176;
																																																																																				BgL_proc2z00_19979
																																																																																					=
																																																																																					BgL_carzd229637zd2_5180;
																																																																																				BgL_argsz00_19980
																																																																																					=
																																																																																					BgL_cdrzd229617zd2_5169;
																																																																																				BgL_argsz00_1734
																																																																																					=
																																																																																					BgL_argsz00_19980;
																																																																																				BgL_proc2z00_1733
																																																																																					=
																																																																																					BgL_proc2z00_19979;
																																																																																				BgL_proc1z00_1732
																																																																																					=
																																																																																					BgL_proc1z00_19978;
																																																																																				BgL_testz00_1731
																																																																																					=
																																																																																					BgL_testz00_19977;
																																																																																				goto
																																																																																					BgL_tagzd2387zd2_1735;
																																																																																			}
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19976);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd229662zd2_5197;
																																																																																		BgL_cdrzd229662zd2_5197
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd229670zd2_5198;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_10667;
																																																																																				BgL_pairz00_10667
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_expz00_21));
																																																																																				BgL_cdrzd229670zd2_5198
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_pairz00_10667);
																																																																																			}
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_cdrzd229678zd2_5199;
																																																																																				BgL_cdrzd229678zd2_5199
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd229670zd2_5198));
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd229685zd2_5200;
																																																																																					BgL_carzd229685zd2_5200
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd229678zd2_5199));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229685zd2_5200))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_carzd229694zd2_5202;
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_pairz00_10671;
																																																																																								BgL_pairz00_10671
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd229678zd2_5199));
																																																																																								BgL_carzd229694zd2_5202
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_pairz00_10671);
																																																																																							}
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229694zd2_5202))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229662zd2_5197))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											obj_t
																																																																																												BgL_arg4402z00_5205;
																																																																																											BgL_arg4402z00_5205
																																																																																												=
																																																																																												CAR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd229670zd2_5198));
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_20002;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_20006;
																																																																																													obj_t
																																																																																														BgL_proc2z00_20005;
																																																																																													obj_t
																																																																																														BgL_proc1z00_20004;
																																																																																													obj_t
																																																																																														BgL_testz00_20003;
																																																																																													BgL_testz00_20003
																																																																																														=
																																																																																														BgL_arg4402z00_5205;
																																																																																													BgL_proc1z00_20004
																																																																																														=
																																																																																														BgL_carzd229685zd2_5200;
																																																																																													BgL_proc2z00_20005
																																																																																														=
																																																																																														BgL_carzd229694zd2_5202;
																																																																																													BgL_argsz00_20006
																																																																																														=
																																																																																														BgL_cdrzd229662zd2_5197;
																																																																																													BgL_argsz00_1739
																																																																																														=
																																																																																														BgL_argsz00_20006;
																																																																																													BgL_proc2z00_1738
																																																																																														=
																																																																																														BgL_proc2z00_20005;
																																																																																													BgL_proc1z00_1737
																																																																																														=
																																																																																														BgL_proc1z00_20004;
																																																																																													BgL_testz00_1736
																																																																																														=
																																																																																														BgL_testz00_20003;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1740;
																																																																																												}
																																																																																												BgL_auxz00_19531
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_20002);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 118 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1764;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_20010;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1765;
																																																																																													BgL_auxz00_19531
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_20010);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_20014;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_19531
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_20014);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20018;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20018);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20022;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20022);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd229972zd2_5224;
																																																																														BgL_cdrzd229972zd2_5224
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd229979zd2_5225;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_10675;
																																																																																BgL_pairz00_10675
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd229979zd2_5225
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_10675);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd229986zd2_5226;
																																																																																BgL_cdrzd229986zd2_5226
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd229979zd2_5225));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd229992zd2_5227;
																																																																																	obj_t
																																																																																		BgL_cdrzd229993zd2_5228;
																																																																																	BgL_carzd229992zd2_5227
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd229986zd2_5226));
																																																																																	BgL_cdrzd229993zd2_5228
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd229986zd2_5226));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229992zd2_5227))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd230000zd2_5230;
																																																																																			BgL_carzd230000zd2_5230
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd229993zd2_5228));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230000zd2_5230))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (NULLP(CDR(((obj_t) BgL_cdrzd229993zd2_5228))))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229972zd2_5224))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg4417z00_5235;
																																																																																									BgL_arg4417z00_5235
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd229979zd2_5225));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20049;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_20053;
																																																																																											obj_t
																																																																																												BgL_proc2z00_20052;
																																																																																											obj_t
																																																																																												BgL_proc1z00_20051;
																																																																																											obj_t
																																																																																												BgL_testz00_20050;
																																																																																											BgL_testz00_20050
																																																																																												=
																																																																																												BgL_arg4417z00_5235;
																																																																																											BgL_proc1z00_20051
																																																																																												=
																																																																																												BgL_carzd229992zd2_5227;
																																																																																											BgL_proc2z00_20052
																																																																																												=
																																																																																												BgL_carzd230000zd2_5230;
																																																																																											BgL_argsz00_20053
																																																																																												=
																																																																																												BgL_cdrzd229972zd2_5224;
																																																																																											BgL_argsz00_1739
																																																																																												=
																																																																																												BgL_argsz00_20053;
																																																																																											BgL_proc2z00_1738
																																																																																												=
																																																																																												BgL_proc2z00_20052;
																																																																																											BgL_proc1z00_1737
																																																																																												=
																																																																																												BgL_proc1z00_20051;
																																																																																											BgL_testz00_1736
																																																																																												=
																																																																																												BgL_testz00_20050;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1740;
																																																																																										}
																																																																																										BgL_auxz00_19531
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20049);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_20057;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_19531
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_20057);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20061;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20061);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20065;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20065);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20069;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20069);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20073;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20073);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd230333zd2_5243;
																																																																										BgL_cdrzd230333zd2_5243
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd230339zd2_5244;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_10685;
																																																																												BgL_pairz00_10685
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd230339zd2_5244
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10685);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd230345zd2_5245;
																																																																												BgL_cdrzd230345zd2_5245
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd230339zd2_5244));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd230350zd2_5246;
																																																																													obj_t
																																																																														BgL_cdrzd230351zd2_5247;
																																																																													BgL_carzd230350zd2_5246
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd230345zd2_5245));
																																																																													BgL_cdrzd230351zd2_5247
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd230345zd2_5245));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230350zd2_5246))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (PAIRP(BgL_cdrzd230351zd2_5247))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd230356zd2_5250;
																																																																																	BgL_carzd230356zd2_5250
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd230351zd2_5247);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230356zd2_5250))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (NULLP(CDR(BgL_cdrzd230351zd2_5247)))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd230333zd2_5243))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg4431z00_5255;
																																																																																							BgL_arg4431z00_5255
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd230339zd2_5244));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20100;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_20104;
																																																																																									obj_t
																																																																																										BgL_proc2z00_20103;
																																																																																									obj_t
																																																																																										BgL_proc1z00_20102;
																																																																																									obj_t
																																																																																										BgL_testz00_20101;
																																																																																									BgL_testz00_20101
																																																																																										=
																																																																																										BgL_arg4431z00_5255;
																																																																																									BgL_proc1z00_20102
																																																																																										=
																																																																																										BgL_carzd230350zd2_5246;
																																																																																									BgL_proc2z00_20103
																																																																																										=
																																																																																										BgL_carzd230356zd2_5250;
																																																																																									BgL_argsz00_20104
																																																																																										=
																																																																																										BgL_cdrzd230333zd2_5243;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_20104;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_20103;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_20102;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_20101;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_19531
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20100);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20108;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20108);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20112;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20112);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20116;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20116);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20120;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20120);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20124;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20124);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20128;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20128);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20132;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20132);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20136;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20136);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd227881zd2_5145 == CNST_TABLE_REF(((long) 18))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20141;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20141);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd227881zd2_5145)))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20146;
																																																			goto
																																																				BgL_tagzd2382zd2_1720;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20146);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((BgL_carzd227881zd2_5145 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20151;
																																																					goto
																																																						BgL_tagzd2382zd2_1720;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20151);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20158;
																																																							goto
																																																								BgL_tagzd2383zd2_1721;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20158);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd230918zd2_5415;
																																																							BgL_carzd230918zd2_5415
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd230918zd2_5415 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20165;
																																																									goto
																																																										BgL_tagzd2384zd2_1722;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20165);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230918zd2_5415)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_20170;
																																																											goto
																																																												BgL_tagzd2384zd2_1722;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20170);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20177;
																																																													goto
																																																														BgL_tagzd2389zd2_1741;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20177);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20184;
																																																															goto
																																																																BgL_tagzd2390zd2_1742;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20184);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd230998zd2_5422;
																																																															BgL_cdrzd230998zd2_5422
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg4553z00_5425;
																																																																	obj_t
																																																																		BgL_arg4554z00_5426;
																																																																	BgL_arg4553z00_5425
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd230998zd2_5422));
																																																																	BgL_arg4554z00_5426
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd230998zd2_5422));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20197;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_20199;
																																																																			obj_t
																																																																				BgL_effectz00_20198;
																																																																			BgL_effectz00_20198
																																																																				=
																																																																				BgL_arg4553z00_5425;
																																																																			BgL_restz00_20199
																																																																				=
																																																																				BgL_arg4554z00_5426;
																																																																			BgL_restz00_1744
																																																																				=
																																																																				BgL_restz00_20199;
																																																																			BgL_effectz00_1743
																																																																				=
																																																																				BgL_effectz00_20198;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1745;
																																																																		}
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20197);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20206;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1746;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20206);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20213;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1747;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20213);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg4561z00_5434;
																																																																							obj_t
																																																																								BgL_arg4562z00_5435;
																																																																							BgL_arg4561z00_5434
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd230998zd2_5422));
																																																																							BgL_arg4562z00_5435
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd230998zd2_5422));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20224;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_20226;
																																																																									obj_t
																																																																										BgL_effectz00_20225;
																																																																									BgL_effectz00_20225
																																																																										=
																																																																										BgL_arg4561z00_5434;
																																																																									BgL_restz00_20226
																																																																										=
																																																																										BgL_arg4562z00_5435;
																																																																									BgL_restz00_1749
																																																																										=
																																																																										BgL_restz00_20226;
																																																																									BgL_effectz00_1748
																																																																										=
																																																																										BgL_effectz00_20225;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1750;
																																																																								}
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20224);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20233;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1751;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20233);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20240;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1752;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20240);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_20247;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1753;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20247);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_20254;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1754;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20254);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd231075zd2_5444;
																																																																															BgL_cdrzd231075zd2_5444
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg4573z00_5447;
																																																																																	obj_t
																																																																																		BgL_arg4574z00_5448;
																																																																																	BgL_arg4573z00_5447
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd231075zd2_5444));
																																																																																	BgL_arg4574z00_5448
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd231075zd2_5444));
																																																																																	{	/* Ast/sexp.scm 548 */
																																																																																		obj_t
																																																																																			BgL_arg6427z00_10717;
																																																																																		BgL_arg6427z00_10717
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg4573z00_5447,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg4574z00_5448, BgL_stackz00_22, BgL_arg6427z00_10717, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20273;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20273);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd231098zd2_5465;
																																			BgL_carzd231098zd2_5465
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd231098zd2_5465
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_20280;
																																					goto
																																						BgL_tagzd2377zd2_1711;
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_20280);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd231098zd2_5465
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20284;
																																							goto
																																								BgL_tagzd2377zd2_1711;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20284);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_20291;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_20291);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_20298;
																																											goto
																																												BgL_tagzd2380zd2_1716;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20298);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd231159zd2_5472;
																																											BgL_carzd231159zd2_5472
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd231159zd2_5472))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd231162zd2_5474;
																																													obj_t
																																														BgL_cdrzd231163zd2_5475;
																																													BgL_carzd231162zd2_5474
																																														=
																																														CAR
																																														(BgL_carzd231159zd2_5472);
																																													BgL_cdrzd231163zd2_5475
																																														=
																																														CDR
																																														(BgL_carzd231159zd2_5472);
																																													{

																																														if ((BgL_carzd231162zd2_5474 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 118 */
																																															BgL_kapzd231164zd2_5476:
																																																if (PAIRP(BgL_cdrzd231163zd2_5475))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd231167zd2_5598;
																																																		BgL_cdrzd231167zd2_5598
																																																			=
																																																			CDR
																																																			(BgL_cdrzd231163zd2_5475);
																																																		if (PAIRP(BgL_cdrzd231167zd2_5598))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd231167zd2_5598)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg4679z00_5602;
																																																						obj_t
																																																							BgL_arg4680z00_5603;
																																																						BgL_arg4679z00_5602
																																																							=
																																																							CAR
																																																							(BgL_cdrzd231167zd2_5598);
																																																						BgL_arg4680z00_5603
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20320;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_20322;
																																																								obj_t
																																																									BgL_bodyz00_20321;
																																																								BgL_bodyz00_20321
																																																									=
																																																									BgL_arg4679z00_5602;
																																																								BgL_argsz00_20322
																																																									=
																																																									BgL_arg4680z00_5603;
																																																								BgL_argsz00_1718
																																																									=
																																																									BgL_argsz00_20322;
																																																								BgL_bodyz00_1717
																																																									=
																																																									BgL_bodyz00_20321;
																																																								goto
																																																									BgL_tagzd2381zd2_1719;
																																																							}
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20320);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_20324;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4747z00_5712;
																																																							BgL_arg4747z00_5712
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_20324
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4747z00_5712));
																																																						}
																																																						if (BgL_testz00_20324)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20329;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20329);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_20331;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4746z00_5711;
																																																									BgL_arg4746z00_5711
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_20331
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4746z00_5711));
																																																								}
																																																								if (BgL_testz00_20331)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_20336;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20336);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd231245zd2_5608;
																																																										BgL_carzd231245zd2_5608
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd231250zd2_5609;
																																																											BgL_cdrzd231250zd2_5609
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd231245zd2_5608));
																																																											if ((CAR(((obj_t) BgL_carzd231245zd2_5608)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg4687z00_5612;
																																																													obj_t
																																																														BgL_arg4688z00_5613;
																																																													obj_t
																																																														BgL_arg4689z00_5614;
																																																													BgL_arg4687z00_5612
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd231250zd2_5609));
																																																													BgL_arg4688z00_5613
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd231250zd2_5609));
																																																													BgL_arg4689z00_5614
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20353;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_20356;
																																																															obj_t
																																																																BgL_bodyz00_20355;
																																																															obj_t
																																																																BgL_varsz00_20354;
																																																															BgL_varsz00_20354
																																																																=
																																																																BgL_arg4687z00_5612;
																																																															BgL_bodyz00_20355
																																																																=
																																																																BgL_arg4688z00_5613;
																																																															BgL_argsz00_20356
																																																																=
																																																																BgL_arg4689z00_5614;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_20356;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_20355;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_20354;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20353);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd231273zd2_5616;
																																																													BgL_cdrzd231273zd2_5616
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd231279zd2_5617;
																																																														BgL_cdrzd231279zd2_5617
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd231245zd2_5608));
																																																														if ((CAR(((obj_t) BgL_carzd231245zd2_5608)) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd231285zd2_5620;
																																																																BgL_cdrzd231285zd2_5620
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd231279zd2_5617));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd231290zd2_5621;
																																																																	obj_t
																																																																		BgL_cdrzd231291zd2_5622;
																																																																	BgL_carzd231290zd2_5621
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd231285zd2_5620));
																																																																	BgL_cdrzd231291zd2_5622
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd231285zd2_5620));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231290zd2_5621))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd231291zd2_5622))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd231298zd2_5625;
																																																																					BgL_carzd231298zd2_5625
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd231291zd2_5622);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231298zd2_5625))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd231291zd2_5622)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_20383;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1419z00_5658;
																																																																										BgL_l1419z00_5658
																																																																											=
																																																																											BgL_cdrzd231273zd2_5616;
																																																																									BgL_zc3anonymousza34712ze3z83_5659:
																																																																										if (NULLP(BgL_l1419z00_5658))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_20383
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_20386;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_20387;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_tmpz00_20388;
																																																																														BgL_tmpz00_20388
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_l1419z00_5658));
																																																																														BgL_testz00_20387
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_20388);
																																																																													}
																																																																													if (BgL_testz00_20387)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_20386
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_20386
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_20386)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1419z00_20392;
																																																																														BgL_l1419z00_20392
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_l1419z00_5658));
																																																																														BgL_l1419z00_5658
																																																																															=
																																																																															BgL_l1419z00_20392;
																																																																														goto
																																																																															BgL_zc3anonymousza34712ze3z83_5659;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_20383
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_20383)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg4702z00_5641;
																																																																											BgL_arg4702z00_5641
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd231279zd2_5617));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20397;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_20401;
																																																																													obj_t
																																																																														BgL_proc2z00_20400;
																																																																													obj_t
																																																																														BgL_proc1z00_20399;
																																																																													obj_t
																																																																														BgL_testz00_20398;
																																																																													BgL_testz00_20398
																																																																														=
																																																																														BgL_arg4702z00_5641;
																																																																													BgL_proc1z00_20399
																																																																														=
																																																																														BgL_carzd231290zd2_5621;
																																																																													BgL_proc2z00_20400
																																																																														=
																																																																														BgL_carzd231298zd2_5625;
																																																																													BgL_argsz00_20401
																																																																														=
																																																																														BgL_cdrzd231273zd2_5616;
																																																																													BgL_argsz00_1734
																																																																														=
																																																																														BgL_argsz00_20401;
																																																																													BgL_proc2z00_1733
																																																																														=
																																																																														BgL_proc2z00_20400;
																																																																													BgL_proc1z00_1732
																																																																														=
																																																																														BgL_proc1z00_20399;
																																																																													BgL_testz00_1731
																																																																														=
																																																																														BgL_testz00_20398;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1735;
																																																																												}
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20397);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd231322zd2_5642;
																																																																											BgL_cdrzd231322zd2_5642
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd231329zd2_5643;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_10758;
																																																																													BgL_pairz00_10758
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd231329zd2_5643
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_10758);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd231336zd2_5644;
																																																																													BgL_cdrzd231336zd2_5644
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd231329zd2_5643));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd231342zd2_5645;
																																																																														BgL_carzd231342zd2_5645
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231336zd2_5644));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231342zd2_5645))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd231349zd2_5647;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_10762;
																																																																																	BgL_pairz00_10762
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd231336zd2_5644));
																																																																																	BgL_carzd231349zd2_5647
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_pairz00_10762);
																																																																																}
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231349zd2_5647))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231322zd2_5642))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg4706z00_5650;
																																																																																				BgL_arg4706z00_5650
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd231329zd2_5643));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20423;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_20427;
																																																																																						obj_t
																																																																																							BgL_proc2z00_20426;
																																																																																						obj_t
																																																																																							BgL_proc1z00_20425;
																																																																																						obj_t
																																																																																							BgL_testz00_20424;
																																																																																						BgL_testz00_20424
																																																																																							=
																																																																																							BgL_arg4706z00_5650;
																																																																																						BgL_proc1z00_20425
																																																																																							=
																																																																																							BgL_carzd231342zd2_5645;
																																																																																						BgL_proc2z00_20426
																																																																																							=
																																																																																							BgL_carzd231349zd2_5647;
																																																																																						BgL_argsz00_20427
																																																																																							=
																																																																																							BgL_cdrzd231322zd2_5642;
																																																																																						BgL_argsz00_1739
																																																																																							=
																																																																																							BgL_argsz00_20427;
																																																																																						BgL_proc2z00_1738
																																																																																							=
																																																																																							BgL_proc2z00_20426;
																																																																																						BgL_proc1z00_1737
																																																																																							=
																																																																																							BgL_proc1z00_20425;
																																																																																						BgL_testz00_1736
																																																																																							=
																																																																																							BgL_testz00_20424;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1740;
																																																																																					}
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20423);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1764;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20431;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1765;
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20431);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20435;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20435);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20439;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20439);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20443;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20443);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd231625zd2_5669;
																																																																							BgL_cdrzd231625zd2_5669
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd231631zd2_5670;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_10766;
																																																																									BgL_pairz00_10766
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd231631zd2_5670
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_10766);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd231637zd2_5671;
																																																																									BgL_cdrzd231637zd2_5671
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd231631zd2_5670));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd231642zd2_5672;
																																																																										obj_t
																																																																											BgL_cdrzd231643zd2_5673;
																																																																										BgL_carzd231642zd2_5672
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd231637zd2_5671));
																																																																										BgL_cdrzd231643zd2_5673
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd231637zd2_5671));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231642zd2_5672))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd231648zd2_5675;
																																																																												BgL_carzd231648zd2_5675
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231643zd2_5673));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231648zd2_5675))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(((obj_t) BgL_cdrzd231643zd2_5673))))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231625zd2_5669))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg4721z00_5680;
																																																																																		BgL_arg4721z00_5680
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd231631zd2_5670));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20470;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_20474;
																																																																																				obj_t
																																																																																					BgL_proc2z00_20473;
																																																																																				obj_t
																																																																																					BgL_proc1z00_20472;
																																																																																				obj_t
																																																																																					BgL_testz00_20471;
																																																																																				BgL_testz00_20471
																																																																																					=
																																																																																					BgL_arg4721z00_5680;
																																																																																				BgL_proc1z00_20472
																																																																																					=
																																																																																					BgL_carzd231642zd2_5672;
																																																																																				BgL_proc2z00_20473
																																																																																					=
																																																																																					BgL_carzd231648zd2_5675;
																																																																																				BgL_argsz00_20474
																																																																																					=
																																																																																					BgL_cdrzd231625zd2_5669;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_20474;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_20473;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_20472;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_20471;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20470);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20478;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20478);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20482;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20482);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20486;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20486);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20490;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20490);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20494;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20494);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd231981zd2_5688;
																																																																			BgL_cdrzd231981zd2_5688
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd231988zd2_5689;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_10776;
																																																																					BgL_pairz00_10776
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd231988zd2_5689
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_10776);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd231995zd2_5690;
																																																																					BgL_cdrzd231995zd2_5690
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd231988zd2_5689));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd232001zd2_5691;
																																																																						obj_t
																																																																							BgL_cdrzd232002zd2_5692;
																																																																						BgL_carzd232001zd2_5691
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231995zd2_5690));
																																																																						BgL_cdrzd232002zd2_5692
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231995zd2_5690));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232001zd2_5691))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd232002zd2_5692))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd232009zd2_5695;
																																																																										BgL_carzd232009zd2_5695
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd232002zd2_5692);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232009zd2_5695))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd232002zd2_5692)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231981zd2_5688))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg4735z00_5700;
																																																																																BgL_arg4735z00_5700
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231988zd2_5689));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20521;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_20525;
																																																																																		obj_t
																																																																																			BgL_proc2z00_20524;
																																																																																		obj_t
																																																																																			BgL_proc1z00_20523;
																																																																																		obj_t
																																																																																			BgL_testz00_20522;
																																																																																		BgL_testz00_20522
																																																																																			=
																																																																																			BgL_arg4735z00_5700;
																																																																																		BgL_proc1z00_20523
																																																																																			=
																																																																																			BgL_carzd232001zd2_5691;
																																																																																		BgL_proc2z00_20524
																																																																																			=
																																																																																			BgL_carzd232009zd2_5695;
																																																																																		BgL_argsz00_20525
																																																																																			=
																																																																																			BgL_cdrzd231981zd2_5688;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_20525;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_20524;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_20523;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_20522;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20521);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20529;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20529);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20533;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20533);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20537;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20537);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20541;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20541);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20545;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20545);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20549;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20549);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_20551;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4761z00_5728;
																																																					BgL_arg4761z00_5728
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_20551
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4761z00_5728));
																																																				}
																																																				if (BgL_testz00_20551)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20556;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20556);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_20558;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4760z00_5727;
																																																							BgL_arg4760z00_5727
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_20558
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4760z00_5727));
																																																						}
																																																						if (BgL_testz00_20558)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_20563;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20563);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd232455zd2_5718;
																																																								BgL_carzd232455zd2_5718
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd232460zd2_5719;
																																																									BgL_cdrzd232460zd2_5719
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd232455zd2_5718));
																																																									if ((CAR(((obj_t) BgL_carzd232455zd2_5718)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4755z00_5722;
																																																											obj_t
																																																												BgL_arg4756z00_5723;
																																																											obj_t
																																																												BgL_arg4757z00_5724;
																																																											BgL_arg4755z00_5722
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd232460zd2_5719));
																																																											BgL_arg4756z00_5723
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd232460zd2_5719));
																																																											BgL_arg4757z00_5724
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20580;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_20583;
																																																													obj_t
																																																														BgL_bodyz00_20582;
																																																													obj_t
																																																														BgL_varsz00_20581;
																																																													BgL_varsz00_20581
																																																														=
																																																														BgL_arg4755z00_5722;
																																																													BgL_bodyz00_20582
																																																														=
																																																														BgL_arg4756z00_5723;
																																																													BgL_argsz00_20583
																																																														=
																																																														BgL_arg4757z00_5724;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_20583;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_20582;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_20581;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20580);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20587;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20587);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_20589;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4768z00_5735;
																																																			BgL_arg4768z00_5735
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_20589
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg4768z00_5735));
																																																		}
																																																		if (BgL_testz00_20589)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20594;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20594);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_20596;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4767z00_5734;
																																																					BgL_arg4767z00_5734
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_20596
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg4767z00_5734));
																																																				}
																																																				if (BgL_testz00_20596)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_20601;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20601);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1764;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20605;
																																																								goto
																																																									BgL_tagzd2404zd2_1765;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20605);
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231162zd2_5474)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd231164zd2_5476;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd231162zd2_5474 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd231164zd2_5476;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd231162zd2_5474 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd231164zd2_5476;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231162zd2_5474)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd231164zd2_5476;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_20619;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4674z00_5596;
																																																									BgL_arg4674z00_5596
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_20619
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg4674z00_5596));
																																																								}
																																																								if (BgL_testz00_20619)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20624;
																																																										goto
																																																											BgL_tagzd2382zd2_1720;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20624);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										bool_t
																																																											BgL_testz00_20626;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4673z00_5595;
																																																											BgL_arg4673z00_5595
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_testz00_20626
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg4673z00_5595));
																																																										}
																																																										if (BgL_testz00_20626)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_20631;
																																																												goto
																																																													BgL_tagzd2384zd2_1722;
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20631);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd232783zd2_5486;
																																																												BgL_carzd232783zd2_5486
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd232788zd2_5487;
																																																													BgL_cdrzd232788zd2_5487
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd232783zd2_5486));
																																																													if ((CAR(((obj_t) BgL_carzd232783zd2_5486)) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd232788zd2_5487))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg4609z00_5491;
																																																																	obj_t
																																																																		BgL_arg4610z00_5492;
																																																																	obj_t
																																																																		BgL_arg4611z00_5493;
																																																																	BgL_arg4609z00_5491
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd232788zd2_5487);
																																																																	BgL_arg4610z00_5492
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd232788zd2_5487);
																																																																	BgL_arg4611z00_5493
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20648;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_20651;
																																																																			obj_t
																																																																				BgL_bodyz00_20650;
																																																																			obj_t
																																																																				BgL_varsz00_20649;
																																																																			BgL_varsz00_20649
																																																																				=
																																																																				BgL_arg4609z00_5491;
																																																																			BgL_bodyz00_20650
																																																																				=
																																																																				BgL_arg4610z00_5492;
																																																																			BgL_argsz00_20651
																																																																				=
																																																																				BgL_arg4611z00_5493;
																																																																			BgL_argsz00_1729
																																																																				=
																																																																				BgL_argsz00_20651;
																																																																			BgL_bodyz00_1728
																																																																				=
																																																																				BgL_bodyz00_20650;
																																																																			BgL_varsz00_1727
																																																																				=
																																																																				BgL_varsz00_20649;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1730;
																																																																		}
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20648);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20655;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20655);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd232895zd2_5496;
																																																															BgL_cdrzd232895zd2_5496
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd232900zd2_5497;
																																																																BgL_cdrzd232900zd2_5497
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd232783zd2_5486));
																																																																if ((CAR(((obj_t) BgL_carzd232783zd2_5486)) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd232900zd2_5497))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd232905zd2_5501;
																																																																				BgL_cdrzd232905zd2_5501
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd232900zd2_5497);
																																																																				if (PAIRP(BgL_cdrzd232905zd2_5501))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd232909zd2_5503;
																																																																						obj_t
																																																																							BgL_cdrzd232910zd2_5504;
																																																																						BgL_carzd232909zd2_5503
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd232905zd2_5501);
																																																																						BgL_cdrzd232910zd2_5504
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd232905zd2_5501);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232909zd2_5503))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd232910zd2_5504))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd232915zd2_5507;
																																																																										BgL_carzd232915zd2_5507
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd232910zd2_5504);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232915zd2_5507))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd232910zd2_5504)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_20683;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1422z00_5540;
																																																																															BgL_l1422z00_5540
																																																																																=
																																																																																BgL_cdrzd232895zd2_5496;
																																																																														BgL_zc3anonymousza34637ze3z83_5541:
																																																																															if (NULLP(BgL_l1422z00_5540))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_20683
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_20686;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_20687;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_20688;
																																																																																			BgL_tmpz00_20688
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1422z00_5540));
																																																																																			BgL_testz00_20687
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_20688);
																																																																																		}
																																																																																		if (BgL_testz00_20687)
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_20686
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_20686
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_20686)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1422z00_20692;
																																																																																			BgL_l1422z00_20692
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1422z00_5540));
																																																																																			BgL_l1422z00_5540
																																																																																				=
																																																																																				BgL_l1422z00_20692;
																																																																																			goto
																																																																																				BgL_zc3anonymousza34637ze3z83_5541;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_20683
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_20683)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg4627z00_5523;
																																																																																BgL_arg4627z00_5523
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd232900zd2_5497);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20696;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_20700;
																																																																																		obj_t
																																																																																			BgL_proc2z00_20699;
																																																																																		obj_t
																																																																																			BgL_proc1z00_20698;
																																																																																		obj_t
																																																																																			BgL_testz00_20697;
																																																																																		BgL_testz00_20697
																																																																																			=
																																																																																			BgL_arg4627z00_5523;
																																																																																		BgL_proc1z00_20698
																																																																																			=
																																																																																			BgL_carzd232909zd2_5503;
																																																																																		BgL_proc2z00_20699
																																																																																			=
																																																																																			BgL_carzd232915zd2_5507;
																																																																																		BgL_argsz00_20700
																																																																																			=
																																																																																			BgL_cdrzd232895zd2_5496;
																																																																																		BgL_argsz00_1734
																																																																																			=
																																																																																			BgL_argsz00_20700;
																																																																																		BgL_proc2z00_1733
																																																																																			=
																																																																																			BgL_proc2z00_20699;
																																																																																		BgL_proc1z00_1732
																																																																																			=
																																																																																			BgL_proc1z00_20698;
																																																																																		BgL_testz00_1731
																																																																																			=
																																																																																			BgL_testz00_20697;
																																																																																		goto
																																																																																			BgL_tagzd2387zd2_1735;
																																																																																	}
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20696);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd232940zd2_5524;
																																																																																BgL_cdrzd232940zd2_5524
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd232948zd2_5525;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_10824;
																																																																																		BgL_pairz00_10824
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd232948zd2_5525
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_10824);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd232956zd2_5526;
																																																																																		BgL_cdrzd232956zd2_5526
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd232948zd2_5525));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd232963zd2_5527;
																																																																																			BgL_carzd232963zd2_5527
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd232956zd2_5526));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232963zd2_5527))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd232972zd2_5529;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_pairz00_10828;
																																																																																						BgL_pairz00_10828
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd232956zd2_5526));
																																																																																						BgL_carzd232972zd2_5529
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_10828);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232972zd2_5529))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232940zd2_5524))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg4631z00_5532;
																																																																																									BgL_arg4631z00_5532
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd232948zd2_5525));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20722;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_20726;
																																																																																											obj_t
																																																																																												BgL_proc2z00_20725;
																																																																																											obj_t
																																																																																												BgL_proc1z00_20724;
																																																																																											obj_t
																																																																																												BgL_testz00_20723;
																																																																																											BgL_testz00_20723
																																																																																												=
																																																																																												BgL_arg4631z00_5532;
																																																																																											BgL_proc1z00_20724
																																																																																												=
																																																																																												BgL_carzd232963zd2_5527;
																																																																																											BgL_proc2z00_20725
																																																																																												=
																																																																																												BgL_carzd232972zd2_5529;
																																																																																											BgL_argsz00_20726
																																																																																												=
																																																																																												BgL_cdrzd232940zd2_5524;
																																																																																											BgL_argsz00_1739
																																																																																												=
																																																																																												BgL_argsz00_20726;
																																																																																											BgL_proc2z00_1738
																																																																																												=
																																																																																												BgL_proc2z00_20725;
																																																																																											BgL_proc1z00_1737
																																																																																												=
																																																																																												BgL_proc1z00_20724;
																																																																																											BgL_testz00_1736
																																																																																												=
																																																																																												BgL_testz00_20723;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1740;
																																																																																										}
																																																																																										BgL_auxz00_19531
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20722);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1764;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_20730;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1765;
																																																																																											BgL_auxz00_19531
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_20730);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20734;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20734);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20738;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20738);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20742;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20742);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd233250zd2_5551;
																																																																												BgL_cdrzd233250zd2_5551
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd233257zd2_5552;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10832;
																																																																														BgL_pairz00_10832
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd233257zd2_5552
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10832);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd233264zd2_5553;
																																																																														BgL_cdrzd233264zd2_5553
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd233257zd2_5552));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd233270zd2_5554;
																																																																															obj_t
																																																																																BgL_cdrzd233271zd2_5555;
																																																																															BgL_carzd233270zd2_5554
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd233264zd2_5553));
																																																																															BgL_cdrzd233271zd2_5555
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd233264zd2_5553));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233270zd2_5554))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd233278zd2_5557;
																																																																																	BgL_carzd233278zd2_5557
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd233271zd2_5555));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233278zd2_5557))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd233271zd2_5555))))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233250zd2_5551))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg4646z00_5562;
																																																																																							BgL_arg4646z00_5562
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd233257zd2_5552));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20769;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_20773;
																																																																																									obj_t
																																																																																										BgL_proc2z00_20772;
																																																																																									obj_t
																																																																																										BgL_proc1z00_20771;
																																																																																									obj_t
																																																																																										BgL_testz00_20770;
																																																																																									BgL_testz00_20770
																																																																																										=
																																																																																										BgL_arg4646z00_5562;
																																																																																									BgL_proc1z00_20771
																																																																																										=
																																																																																										BgL_carzd233270zd2_5554;
																																																																																									BgL_proc2z00_20772
																																																																																										=
																																																																																										BgL_carzd233278zd2_5557;
																																																																																									BgL_argsz00_20773
																																																																																										=
																																																																																										BgL_cdrzd233250zd2_5551;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_20773;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_20772;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_20771;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_20770;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_19531
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20769);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20777;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20777);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20781;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20781);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20785;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20785);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20789;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20789);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20793;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20793);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd233611zd2_5570;
																																																																								BgL_cdrzd233611zd2_5570
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd233617zd2_5571;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10842;
																																																																										BgL_pairz00_10842
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd233617zd2_5571
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10842);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd233623zd2_5572;
																																																																										BgL_cdrzd233623zd2_5572
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd233617zd2_5571));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd233628zd2_5573;
																																																																											obj_t
																																																																												BgL_cdrzd233629zd2_5574;
																																																																											BgL_carzd233628zd2_5573
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd233623zd2_5572));
																																																																											BgL_cdrzd233629zd2_5574
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd233623zd2_5572));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233628zd2_5573))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd233629zd2_5574))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd233634zd2_5577;
																																																																															BgL_carzd233634zd2_5577
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd233629zd2_5574);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233634zd2_5577))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(BgL_cdrzd233629zd2_5574)))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233611zd2_5570))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg4660z00_5582;
																																																																																					BgL_arg4660z00_5582
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd233617zd2_5571));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20820;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_20824;
																																																																																							obj_t
																																																																																								BgL_proc2z00_20823;
																																																																																							obj_t
																																																																																								BgL_proc1z00_20822;
																																																																																							obj_t
																																																																																								BgL_testz00_20821;
																																																																																							BgL_testz00_20821
																																																																																								=
																																																																																								BgL_arg4660z00_5582;
																																																																																							BgL_proc1z00_20822
																																																																																								=
																																																																																								BgL_carzd233628zd2_5573;
																																																																																							BgL_proc2z00_20823
																																																																																								=
																																																																																								BgL_carzd233634zd2_5577;
																																																																																							BgL_argsz00_20824
																																																																																								=
																																																																																								BgL_cdrzd233611zd2_5570;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_20824;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_20823;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_20822;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_20821;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20820);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20828;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20828);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20832;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20832);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20836;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20836);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20840;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20840);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20844;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20844);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20848;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20848);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20852;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20852);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20856;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20856);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd231159zd2_5472 == CNST_TABLE_REF(((long) 18))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20861;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20861);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231159zd2_5472)))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20866;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20866);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((BgL_carzd231159zd2_5472 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20871;
																																																			goto
																																																				BgL_tagzd2382zd2_1720;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20871);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20878;
																																																					goto
																																																						BgL_tagzd2383zd2_1721;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20878);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd234196zd2_5742;
																																																					BgL_carzd234196zd2_5742
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd234196zd2_5742 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20885;
																																																							goto
																																																								BgL_tagzd2384zd2_1722;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20885);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234196zd2_5742)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20890;
																																																									goto
																																																										BgL_tagzd2384zd2_1722;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20890);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20897;
																																																											goto
																																																												BgL_tagzd2389zd2_1741;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20897);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20904;
																																																													goto
																																																														BgL_tagzd2390zd2_1742;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20904);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd234276zd2_5749;
																																																													BgL_cdrzd234276zd2_5749
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg4782z00_5752;
																																																															obj_t
																																																																BgL_arg4783z00_5753;
																																																															BgL_arg4782z00_5752
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd234276zd2_5749));
																																																															BgL_arg4783z00_5753
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd234276zd2_5749));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20917;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_20919;
																																																																	obj_t
																																																																		BgL_effectz00_20918;
																																																																	BgL_effectz00_20918
																																																																		=
																																																																		BgL_arg4782z00_5752;
																																																																	BgL_restz00_20919
																																																																		=
																																																																		BgL_arg4783z00_5753;
																																																																	BgL_restz00_1744
																																																																		=
																																																																		BgL_restz00_20919;
																																																																	BgL_effectz00_1743
																																																																		=
																																																																		BgL_effectz00_20918;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1745;
																																																																}
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20917);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20926;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1746;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20926);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20933;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1747;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20933);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg4790z00_5761;
																																																																					obj_t
																																																																						BgL_arg4791z00_5762;
																																																																					BgL_arg4790z00_5761
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd234276zd2_5749));
																																																																					BgL_arg4791z00_5762
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd234276zd2_5749));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20944;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_20946;
																																																																							obj_t
																																																																								BgL_effectz00_20945;
																																																																							BgL_effectz00_20945
																																																																								=
																																																																								BgL_arg4790z00_5761;
																																																																							BgL_restz00_20946
																																																																								=
																																																																								BgL_arg4791z00_5762;
																																																																							BgL_restz00_1749
																																																																								=
																																																																								BgL_restz00_20946;
																																																																							BgL_effectz00_1748
																																																																								=
																																																																								BgL_effectz00_20945;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1750;
																																																																						}
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20944);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20953;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1751;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20953);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20960;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1752;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20960);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_20967;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1753;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20967);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_20974;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1754;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20974);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd234353zd2_5771;
																																																																													BgL_cdrzd234353zd2_5771
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg4802z00_5774;
																																																																															obj_t
																																																																																BgL_arg4803z00_5775;
																																																																															BgL_arg4802z00_5774
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd234353zd2_5771));
																																																																															BgL_arg4803z00_5775
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd234353zd2_5771));
																																																																															{	/* Ast/sexp.scm 548 */
																																																																																obj_t
																																																																																	BgL_arg6427z00_10874;
																																																																																BgL_arg6427z00_10874
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg4802z00_5774,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg4803z00_5775, BgL_stackz00_22, BgL_arg6427z00_10874, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20993;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20993);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd234376zd2_5792;
																																	BgL_carzd234376zd2_5792
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd234376zd2_5792
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_21000;
																																			goto
																																				BgL_tagzd2377zd2_1711;
																																			BgL_auxz00_19531
																																				=
																																				((obj_t)
																																				BgL_auxz00_21000);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd234376zd2_5792
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_21004;
																																					goto
																																						BgL_tagzd2377zd2_1711;
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_21004);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_21011;
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_21011);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_21018;
																																									goto
																																										BgL_tagzd2380zd2_1716;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21018);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd234437zd2_5799;
																																									BgL_carzd234437zd2_5799
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd234437zd2_5799))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd234440zd2_5801;
																																											obj_t
																																												BgL_cdrzd234441zd2_5802;
																																											BgL_carzd234440zd2_5801
																																												=
																																												CAR
																																												(BgL_carzd234437zd2_5799);
																																											BgL_cdrzd234441zd2_5802
																																												=
																																												CDR
																																												(BgL_carzd234437zd2_5799);
																																											{

																																												if ((BgL_carzd234440zd2_5801 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 118 */
																																													BgL_kapzd234442zd2_5803:
																																														if (PAIRP(BgL_cdrzd234441zd2_5802))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd234445zd2_5925;
																																																BgL_cdrzd234445zd2_5925
																																																	=
																																																	CDR
																																																	(BgL_cdrzd234441zd2_5802);
																																																if (PAIRP(BgL_cdrzd234445zd2_5925))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd234445zd2_5925)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg4909z00_5929;
																																																				obj_t
																																																					BgL_arg4910z00_5930;
																																																				BgL_arg4909z00_5929
																																																					=
																																																					CAR
																																																					(BgL_cdrzd234445zd2_5925);
																																																				BgL_arg4910z00_5930
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21040;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_21042;
																																																						obj_t
																																																							BgL_bodyz00_21041;
																																																						BgL_bodyz00_21041
																																																							=
																																																							BgL_arg4909z00_5929;
																																																						BgL_argsz00_21042
																																																							=
																																																							BgL_arg4910z00_5930;
																																																						BgL_argsz00_1718
																																																							=
																																																							BgL_argsz00_21042;
																																																						BgL_bodyz00_1717
																																																							=
																																																							BgL_bodyz00_21041;
																																																						goto
																																																							BgL_tagzd2381zd2_1719;
																																																					}
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21040);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_21044;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4977z00_6039;
																																																					BgL_arg4977z00_6039
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_21044
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4977z00_6039));
																																																				}
																																																				if (BgL_testz00_21044)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21049;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21049);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_21051;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4976z00_6038;
																																																							BgL_arg4976z00_6038
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_21051
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4976z00_6038));
																																																						}
																																																						if (BgL_testz00_21051)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_21056;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21056);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd234523zd2_5935;
																																																								BgL_carzd234523zd2_5935
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd234528zd2_5936;
																																																									BgL_cdrzd234528zd2_5936
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd234523zd2_5935));
																																																									if ((CAR(((obj_t) BgL_carzd234523zd2_5935)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4917z00_5939;
																																																											obj_t
																																																												BgL_arg4918z00_5940;
																																																											obj_t
																																																												BgL_arg4919z00_5941;
																																																											BgL_arg4917z00_5939
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd234528zd2_5936));
																																																											BgL_arg4918z00_5940
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd234528zd2_5936));
																																																											BgL_arg4919z00_5941
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21073;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_21076;
																																																													obj_t
																																																														BgL_bodyz00_21075;
																																																													obj_t
																																																														BgL_varsz00_21074;
																																																													BgL_varsz00_21074
																																																														=
																																																														BgL_arg4917z00_5939;
																																																													BgL_bodyz00_21075
																																																														=
																																																														BgL_arg4918z00_5940;
																																																													BgL_argsz00_21076
																																																														=
																																																														BgL_arg4919z00_5941;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_21076;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_21075;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_21074;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21073);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd234551zd2_5943;
																																																											BgL_cdrzd234551zd2_5943
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd234557zd2_5944;
																																																												BgL_cdrzd234557zd2_5944
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd234523zd2_5935));
																																																												if ((CAR(((obj_t) BgL_carzd234523zd2_5935)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd234563zd2_5947;
																																																														BgL_cdrzd234563zd2_5947
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd234557zd2_5944));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd234568zd2_5948;
																																																															obj_t
																																																																BgL_cdrzd234569zd2_5949;
																																																															BgL_carzd234568zd2_5948
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd234563zd2_5947));
																																																															BgL_cdrzd234569zd2_5949
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd234563zd2_5947));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234568zd2_5948))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd234569zd2_5949))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd234576zd2_5952;
																																																																			BgL_carzd234576zd2_5952
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd234569zd2_5949);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234576zd2_5952))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd234569zd2_5949)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_21103;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1425z00_5985;
																																																																								BgL_l1425z00_5985
																																																																									=
																																																																									BgL_cdrzd234551zd2_5943;
																																																																							BgL_zc3anonymousza34942ze3z83_5986:
																																																																								if (NULLP(BgL_l1425z00_5985))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_21103
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_21106;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_21107;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_21108;
																																																																												BgL_tmpz00_21108
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_l1425z00_5985));
																																																																												BgL_testz00_21107
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_21108);
																																																																											}
																																																																											if (BgL_testz00_21107)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_21106
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_21106
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_21106)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1425z00_21112;
																																																																												BgL_l1425z00_21112
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_l1425z00_5985));
																																																																												BgL_l1425z00_5985
																																																																													=
																																																																													BgL_l1425z00_21112;
																																																																												goto
																																																																													BgL_zc3anonymousza34942ze3z83_5986;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_21103
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_21103)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg4932z00_5968;
																																																																									BgL_arg4932z00_5968
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd234557zd2_5944));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21117;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_21121;
																																																																											obj_t
																																																																												BgL_proc2z00_21120;
																																																																											obj_t
																																																																												BgL_proc1z00_21119;
																																																																											obj_t
																																																																												BgL_testz00_21118;
																																																																											BgL_testz00_21118
																																																																												=
																																																																												BgL_arg4932z00_5968;
																																																																											BgL_proc1z00_21119
																																																																												=
																																																																												BgL_carzd234568zd2_5948;
																																																																											BgL_proc2z00_21120
																																																																												=
																																																																												BgL_carzd234576zd2_5952;
																																																																											BgL_argsz00_21121
																																																																												=
																																																																												BgL_cdrzd234551zd2_5943;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_21121;
																																																																											BgL_proc2z00_1733
																																																																												=
																																																																												BgL_proc2z00_21120;
																																																																											BgL_proc1z00_1732
																																																																												=
																																																																												BgL_proc1z00_21119;
																																																																											BgL_testz00_1731
																																																																												=
																																																																												BgL_testz00_21118;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1735;
																																																																										}
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21117);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd234600zd2_5969;
																																																																									BgL_cdrzd234600zd2_5969
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd234607zd2_5970;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10915;
																																																																											BgL_pairz00_10915
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd234607zd2_5970
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10915);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd234614zd2_5971;
																																																																											BgL_cdrzd234614zd2_5971
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd234607zd2_5970));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd234620zd2_5972;
																																																																												BgL_carzd234620zd2_5972
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd234614zd2_5971));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234620zd2_5972))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd234627zd2_5974;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10919;
																																																																															BgL_pairz00_10919
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd234614zd2_5971));
																																																																															BgL_carzd234627zd2_5974
																																																																																=
																																																																																CAR
																																																																																(BgL_pairz00_10919);
																																																																														}
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234627zd2_5974))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234600zd2_5969))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg4936z00_5977;
																																																																																		BgL_arg4936z00_5977
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd234607zd2_5970));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21143;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_21147;
																																																																																				obj_t
																																																																																					BgL_proc2z00_21146;
																																																																																				obj_t
																																																																																					BgL_proc1z00_21145;
																																																																																				obj_t
																																																																																					BgL_testz00_21144;
																																																																																				BgL_testz00_21144
																																																																																					=
																																																																																					BgL_arg4936z00_5977;
																																																																																				BgL_proc1z00_21145
																																																																																					=
																																																																																					BgL_carzd234620zd2_5972;
																																																																																				BgL_proc2z00_21146
																																																																																					=
																																																																																					BgL_carzd234627zd2_5974;
																																																																																				BgL_argsz00_21147
																																																																																					=
																																																																																					BgL_cdrzd234600zd2_5969;
																																																																																				BgL_argsz00_1739
																																																																																					=
																																																																																					BgL_argsz00_21147;
																																																																																				BgL_proc2z00_1738
																																																																																					=
																																																																																					BgL_proc2z00_21146;
																																																																																				BgL_proc1z00_1737
																																																																																					=
																																																																																					BgL_proc1z00_21145;
																																																																																				BgL_testz00_1736
																																																																																					=
																																																																																					BgL_testz00_21144;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1740;
																																																																																			}
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21143);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1764;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21151;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1765;
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21151);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21155;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21155);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21159;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21159);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21163;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21163);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd234903zd2_5996;
																																																																					BgL_cdrzd234903zd2_5996
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd234909zd2_5997;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_10923;
																																																																							BgL_pairz00_10923
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd234909zd2_5997
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_10923);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd234915zd2_5998;
																																																																							BgL_cdrzd234915zd2_5998
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd234909zd2_5997));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd234920zd2_5999;
																																																																								obj_t
																																																																									BgL_cdrzd234921zd2_6000;
																																																																								BgL_carzd234920zd2_5999
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd234915zd2_5998));
																																																																								BgL_cdrzd234921zd2_6000
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd234915zd2_5998));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234920zd2_5999))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd234926zd2_6002;
																																																																										BgL_carzd234926zd2_6002
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd234921zd2_6000));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234926zd2_6002))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd234921zd2_6000))))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234903zd2_5996))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg4951z00_6007;
																																																																																BgL_arg4951z00_6007
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd234909zd2_5997));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21190;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_21194;
																																																																																		obj_t
																																																																																			BgL_proc2z00_21193;
																																																																																		obj_t
																																																																																			BgL_proc1z00_21192;
																																																																																		obj_t
																																																																																			BgL_testz00_21191;
																																																																																		BgL_testz00_21191
																																																																																			=
																																																																																			BgL_arg4951z00_6007;
																																																																																		BgL_proc1z00_21192
																																																																																			=
																																																																																			BgL_carzd234920zd2_5999;
																																																																																		BgL_proc2z00_21193
																																																																																			=
																																																																																			BgL_carzd234926zd2_6002;
																																																																																		BgL_argsz00_21194
																																																																																			=
																																																																																			BgL_cdrzd234903zd2_5996;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_21194;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_21193;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_21192;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_21191;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21190);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21198;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21198);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21202;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21202);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21206;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21206);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21210;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21210);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21214;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21214);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd235259zd2_6015;
																																																																	BgL_cdrzd235259zd2_6015
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd235266zd2_6016;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_10933;
																																																																			BgL_pairz00_10933
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd235266zd2_6016
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_10933);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd235273zd2_6017;
																																																																			BgL_cdrzd235273zd2_6017
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd235266zd2_6016));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd235279zd2_6018;
																																																																				obj_t
																																																																					BgL_cdrzd235280zd2_6019;
																																																																				BgL_carzd235279zd2_6018
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235273zd2_6017));
																																																																				BgL_cdrzd235280zd2_6019
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235273zd2_6017));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235279zd2_6018))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd235280zd2_6019))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd235287zd2_6022;
																																																																								BgL_carzd235287zd2_6022
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd235280zd2_6019);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235287zd2_6022))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd235280zd2_6019)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235259zd2_6015))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4965z00_6027;
																																																																														BgL_arg4965z00_6027
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235266zd2_6016));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21241;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_21245;
																																																																																obj_t
																																																																																	BgL_proc2z00_21244;
																																																																																obj_t
																																																																																	BgL_proc1z00_21243;
																																																																																obj_t
																																																																																	BgL_testz00_21242;
																																																																																BgL_testz00_21242
																																																																																	=
																																																																																	BgL_arg4965z00_6027;
																																																																																BgL_proc1z00_21243
																																																																																	=
																																																																																	BgL_carzd235279zd2_6018;
																																																																																BgL_proc2z00_21244
																																																																																	=
																																																																																	BgL_carzd235287zd2_6022;
																																																																																BgL_argsz00_21245
																																																																																	=
																																																																																	BgL_cdrzd235259zd2_6015;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_21245;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_21244;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_21243;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_21242;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21241);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21249;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21249);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21253;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21253);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21257;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21257);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21261;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21261);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21265;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21265);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21269;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21269);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_21271;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4991z00_6055;
																																																			BgL_arg4991z00_6055
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_21271
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg4991z00_6055));
																																																		}
																																																		if (BgL_testz00_21271)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21276;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21276);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_21278;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4990z00_6054;
																																																					BgL_arg4990z00_6054
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_21278
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg4990z00_6054));
																																																				}
																																																				if (BgL_testz00_21278)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_21283;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21283);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd235733zd2_6045;
																																																						BgL_carzd235733zd2_6045
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd235738zd2_6046;
																																																							BgL_cdrzd235738zd2_6046
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd235733zd2_6045));
																																																							if ((CAR(((obj_t) BgL_carzd235733zd2_6045)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4985z00_6049;
																																																									obj_t
																																																										BgL_arg4986z00_6050;
																																																									obj_t
																																																										BgL_arg4987z00_6051;
																																																									BgL_arg4985z00_6049
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd235738zd2_6046));
																																																									BgL_arg4986z00_6050
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd235738zd2_6046));
																																																									BgL_arg4987z00_6051
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21300;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_21303;
																																																											obj_t
																																																												BgL_bodyz00_21302;
																																																											obj_t
																																																												BgL_varsz00_21301;
																																																											BgL_varsz00_21301
																																																												=
																																																												BgL_arg4985z00_6049;
																																																											BgL_bodyz00_21302
																																																												=
																																																												BgL_arg4986z00_6050;
																																																											BgL_argsz00_21303
																																																												=
																																																												BgL_arg4987z00_6051;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_21303;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_21302;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_21301;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21300);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21307;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21307);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_21309;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4998z00_6062;
																																																	BgL_arg4998z00_6062
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_21309
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg4998z00_6062));
																																																}
																																																if (BgL_testz00_21309)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21314;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21314);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_21316;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4997z00_6061;
																																																			BgL_arg4997z00_6061
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_21316
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg4997z00_6061));
																																																		}
																																																		if (BgL_testz00_21316)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_21321;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21321);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd2403zd2_1764;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21325;
																																																						goto
																																																							BgL_tagzd2404zd2_1765;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21325);
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234440zd2_5801)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd234442zd2_5803;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd234440zd2_5801 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd234442zd2_5803;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd234440zd2_5801 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd234442zd2_5803;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234440zd2_5801)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd234442zd2_5803;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_21339;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4904z00_5923;
																																																							BgL_arg4904z00_5923
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_21339
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4904z00_5923));
																																																						}
																																																						if (BgL_testz00_21339)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_21344;
																																																								goto
																																																									BgL_tagzd2382zd2_1720;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21344);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								bool_t
																																																									BgL_testz00_21346;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4903z00_5922;
																																																									BgL_arg4903z00_5922
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_testz00_21346
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4903z00_5922));
																																																								}
																																																								if (BgL_testz00_21346)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_21351;
																																																										goto
																																																											BgL_tagzd2384zd2_1722;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21351);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd236061zd2_5813;
																																																										BgL_carzd236061zd2_5813
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd236066zd2_5814;
																																																											BgL_cdrzd236066zd2_5814
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd236061zd2_5813));
																																																											if ((CAR(((obj_t) BgL_carzd236061zd2_5813)) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd236066zd2_5814))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg4839z00_5818;
																																																															obj_t
																																																																BgL_arg4840z00_5819;
																																																															obj_t
																																																																BgL_arg4841z00_5820;
																																																															BgL_arg4839z00_5818
																																																																=
																																																																CAR
																																																																(BgL_cdrzd236066zd2_5814);
																																																															BgL_arg4840z00_5819
																																																																=
																																																																CDR
																																																																(BgL_cdrzd236066zd2_5814);
																																																															BgL_arg4841z00_5820
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21368;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_21371;
																																																																	obj_t
																																																																		BgL_bodyz00_21370;
																																																																	obj_t
																																																																		BgL_varsz00_21369;
																																																																	BgL_varsz00_21369
																																																																		=
																																																																		BgL_arg4839z00_5818;
																																																																	BgL_bodyz00_21370
																																																																		=
																																																																		BgL_arg4840z00_5819;
																																																																	BgL_argsz00_21371
																																																																		=
																																																																		BgL_arg4841z00_5820;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_21371;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_21370;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_21369;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21368);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21375;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21375);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd236173zd2_5823;
																																																													BgL_cdrzd236173zd2_5823
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd236178zd2_5824;
																																																														BgL_cdrzd236178zd2_5824
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd236061zd2_5813));
																																																														if ((CAR(((obj_t) BgL_carzd236061zd2_5813)) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd236178zd2_5824))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd236183zd2_5828;
																																																																		BgL_cdrzd236183zd2_5828
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd236178zd2_5824);
																																																																		if (PAIRP(BgL_cdrzd236183zd2_5828))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd236187zd2_5830;
																																																																				obj_t
																																																																					BgL_cdrzd236188zd2_5831;
																																																																				BgL_carzd236187zd2_5830
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd236183zd2_5828);
																																																																				BgL_cdrzd236188zd2_5831
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd236183zd2_5828);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236187zd2_5830))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd236188zd2_5831))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd236193zd2_5834;
																																																																								BgL_carzd236193zd2_5834
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd236188zd2_5831);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236193zd2_5834))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd236188zd2_5831)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_21403;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1428z00_5867;
																																																																													BgL_l1428z00_5867
																																																																														=
																																																																														BgL_cdrzd236173zd2_5823;
																																																																												BgL_zc3anonymousza34867ze3z83_5868:
																																																																													if (NULLP(BgL_l1428z00_5867))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_21403
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_21406;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_21407;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_21408;
																																																																																	BgL_tmpz00_21408
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1428z00_5867));
																																																																																	BgL_testz00_21407
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_21408);
																																																																																}
																																																																																if (BgL_testz00_21407)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_21406
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_21406
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_21406)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1428z00_21412;
																																																																																	BgL_l1428z00_21412
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1428z00_5867));
																																																																																	BgL_l1428z00_5867
																																																																																		=
																																																																																		BgL_l1428z00_21412;
																																																																																	goto
																																																																																		BgL_zc3anonymousza34867ze3z83_5868;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_21403
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_21403)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4857z00_5850;
																																																																														BgL_arg4857z00_5850
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd236178zd2_5824);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21416;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_21420;
																																																																																obj_t
																																																																																	BgL_proc2z00_21419;
																																																																																obj_t
																																																																																	BgL_proc1z00_21418;
																																																																																obj_t
																																																																																	BgL_testz00_21417;
																																																																																BgL_testz00_21417
																																																																																	=
																																																																																	BgL_arg4857z00_5850;
																																																																																BgL_proc1z00_21418
																																																																																	=
																																																																																	BgL_carzd236187zd2_5830;
																																																																																BgL_proc2z00_21419
																																																																																	=
																																																																																	BgL_carzd236193zd2_5834;
																																																																																BgL_argsz00_21420
																																																																																	=
																																																																																	BgL_cdrzd236173zd2_5823;
																																																																																BgL_argsz00_1734
																																																																																	=
																																																																																	BgL_argsz00_21420;
																																																																																BgL_proc2z00_1733
																																																																																	=
																																																																																	BgL_proc2z00_21419;
																																																																																BgL_proc1z00_1732
																																																																																	=
																																																																																	BgL_proc1z00_21418;
																																																																																BgL_testz00_1731
																																																																																	=
																																																																																	BgL_testz00_21417;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1735;
																																																																															}
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21416);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd236218zd2_5851;
																																																																														BgL_cdrzd236218zd2_5851
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd236226zd2_5852;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_10981;
																																																																																BgL_pairz00_10981
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd236226zd2_5852
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_10981);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd236234zd2_5853;
																																																																																BgL_cdrzd236234zd2_5853
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd236226zd2_5852));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd236241zd2_5854;
																																																																																	BgL_carzd236241zd2_5854
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd236234zd2_5853));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236241zd2_5854))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd236250zd2_5856;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_10985;
																																																																																				BgL_pairz00_10985
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd236234zd2_5853));
																																																																																				BgL_carzd236250zd2_5856
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_10985);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236250zd2_5856))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236218zd2_5851))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg4861z00_5859;
																																																																																							BgL_arg4861z00_5859
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd236226zd2_5852));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_21442;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_21446;
																																																																																									obj_t
																																																																																										BgL_proc2z00_21445;
																																																																																									obj_t
																																																																																										BgL_proc1z00_21444;
																																																																																									obj_t
																																																																																										BgL_testz00_21443;
																																																																																									BgL_testz00_21443
																																																																																										=
																																																																																										BgL_arg4861z00_5859;
																																																																																									BgL_proc1z00_21444
																																																																																										=
																																																																																										BgL_carzd236241zd2_5854;
																																																																																									BgL_proc2z00_21445
																																																																																										=
																																																																																										BgL_carzd236250zd2_5856;
																																																																																									BgL_argsz00_21446
																																																																																										=
																																																																																										BgL_cdrzd236218zd2_5851;
																																																																																									BgL_argsz00_1739
																																																																																										=
																																																																																										BgL_argsz00_21446;
																																																																																									BgL_proc2z00_1738
																																																																																										=
																																																																																										BgL_proc2z00_21445;
																																																																																									BgL_proc1z00_1737
																																																																																										=
																																																																																										BgL_proc1z00_21444;
																																																																																									BgL_testz00_1736
																																																																																										=
																																																																																										BgL_testz00_21443;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1740;
																																																																																								}
																																																																																								BgL_auxz00_19531
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_21442);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1764;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_21450;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1765;
																																																																																									BgL_auxz00_19531
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_21450);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_21454;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_21454);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21458;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21458);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21462;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21462);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd236528zd2_5878;
																																																																										BgL_cdrzd236528zd2_5878
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd236535zd2_5879;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_10989;
																																																																												BgL_pairz00_10989
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd236535zd2_5879
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10989);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd236542zd2_5880;
																																																																												BgL_cdrzd236542zd2_5880
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd236535zd2_5879));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd236548zd2_5881;
																																																																													obj_t
																																																																														BgL_cdrzd236549zd2_5882;
																																																																													BgL_carzd236548zd2_5881
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd236542zd2_5880));
																																																																													BgL_cdrzd236549zd2_5882
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd236542zd2_5880));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236548zd2_5881))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd236556zd2_5884;
																																																																															BgL_carzd236556zd2_5884
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd236549zd2_5882));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236556zd2_5884))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd236549zd2_5882))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236528zd2_5878))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg4876z00_5889;
																																																																																					BgL_arg4876z00_5889
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd236535zd2_5879));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_21489;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_21493;
																																																																																							obj_t
																																																																																								BgL_proc2z00_21492;
																																																																																							obj_t
																																																																																								BgL_proc1z00_21491;
																																																																																							obj_t
																																																																																								BgL_testz00_21490;
																																																																																							BgL_testz00_21490
																																																																																								=
																																																																																								BgL_arg4876z00_5889;
																																																																																							BgL_proc1z00_21491
																																																																																								=
																																																																																								BgL_carzd236548zd2_5881;
																																																																																							BgL_proc2z00_21492
																																																																																								=
																																																																																								BgL_carzd236556zd2_5884;
																																																																																							BgL_argsz00_21493
																																																																																								=
																																																																																								BgL_cdrzd236528zd2_5878;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_21493;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_21492;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_21491;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_21490;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_21489);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_21497;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_21497);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21501;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21501);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21505;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21505);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21509;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21509);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21513;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21513);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd236889zd2_5897;
																																																																						BgL_cdrzd236889zd2_5897
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd236895zd2_5898;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_10999;
																																																																								BgL_pairz00_10999
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd236895zd2_5898
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_10999);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd236901zd2_5899;
																																																																								BgL_cdrzd236901zd2_5899
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd236895zd2_5898));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd236906zd2_5900;
																																																																									obj_t
																																																																										BgL_cdrzd236907zd2_5901;
																																																																									BgL_carzd236906zd2_5900
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd236901zd2_5899));
																																																																									BgL_cdrzd236907zd2_5901
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd236901zd2_5899));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236906zd2_5900))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd236907zd2_5901))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd236912zd2_5904;
																																																																													BgL_carzd236912zd2_5904
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd236907zd2_5901);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236912zd2_5904))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd236907zd2_5901)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236889zd2_5897))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg4890z00_5909;
																																																																																			BgL_arg4890z00_5909
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd236895zd2_5898));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21540;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_21544;
																																																																																					obj_t
																																																																																						BgL_proc2z00_21543;
																																																																																					obj_t
																																																																																						BgL_proc1z00_21542;
																																																																																					obj_t
																																																																																						BgL_testz00_21541;
																																																																																					BgL_testz00_21541
																																																																																						=
																																																																																						BgL_arg4890z00_5909;
																																																																																					BgL_proc1z00_21542
																																																																																						=
																																																																																						BgL_carzd236906zd2_5900;
																																																																																					BgL_proc2z00_21543
																																																																																						=
																																																																																						BgL_carzd236912zd2_5904;
																																																																																					BgL_argsz00_21544
																																																																																						=
																																																																																						BgL_cdrzd236889zd2_5897;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_21544;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_21543;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_21542;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_21541;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21540);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21548;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21548);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21552;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21552);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21556;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21556);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21560;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21560);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21564;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21564);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21568;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21568);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21572;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21572);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21576;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21576);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd234437zd2_5799 == CNST_TABLE_REF(((long) 18))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_21581;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_21581);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234437zd2_5799)))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21586;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21586);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd234437zd2_5799 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_21591;
																																																	goto
																																																		BgL_tagzd2382zd2_1720;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21591);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21598;
																																																			goto
																																																				BgL_tagzd2383zd2_1721;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21598);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd237474zd2_6069;
																																																			BgL_carzd237474zd2_6069
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd237474zd2_6069 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21605;
																																																					goto
																																																						BgL_tagzd2384zd2_1722;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21605);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237474zd2_6069)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_21610;
																																																							goto
																																																								BgL_tagzd2384zd2_1722;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21610);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21617;
																																																									goto
																																																										BgL_tagzd2389zd2_1741;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21617);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21624;
																																																											goto
																																																												BgL_tagzd2390zd2_1742;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21624);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd237554zd2_6076;
																																																											BgL_cdrzd237554zd2_6076
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg5012z00_6079;
																																																													obj_t
																																																														BgL_arg5013z00_6080;
																																																													BgL_arg5012z00_6079
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd237554zd2_6076));
																																																													BgL_arg5013z00_6080
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd237554zd2_6076));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21637;
																																																														{
																																																															obj_t
																																																																BgL_restz00_21639;
																																																															obj_t
																																																																BgL_effectz00_21638;
																																																															BgL_effectz00_21638
																																																																=
																																																																BgL_arg5012z00_6079;
																																																															BgL_restz00_21639
																																																																=
																																																																BgL_arg5013z00_6080;
																																																															BgL_restz00_1744
																																																																=
																																																																BgL_restz00_21639;
																																																															BgL_effectz00_1743
																																																																=
																																																																BgL_effectz00_21638;
																																																															goto
																																																																BgL_tagzd2391zd2_1745;
																																																														}
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21637);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21646;
																																																															goto
																																																																BgL_tagzd2392zd2_1746;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21646);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21653;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1747;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21653);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg5020z00_6088;
																																																																			obj_t
																																																																				BgL_arg5021z00_6089;
																																																																			BgL_arg5020z00_6088
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd237554zd2_6076));
																																																																			BgL_arg5021z00_6089
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd237554zd2_6076));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21664;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_21666;
																																																																					obj_t
																																																																						BgL_effectz00_21665;
																																																																					BgL_effectz00_21665
																																																																						=
																																																																						BgL_arg5020z00_6088;
																																																																					BgL_restz00_21666
																																																																						=
																																																																						BgL_arg5021z00_6089;
																																																																					BgL_restz00_1749
																																																																						=
																																																																						BgL_restz00_21666;
																																																																					BgL_effectz00_1748
																																																																						=
																																																																						BgL_effectz00_21665;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1750;
																																																																				}
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21664);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21673;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1751;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21673);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21680;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1752;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21680);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_21687;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1753;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21687);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_21694;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1754;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21694);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd237631zd2_6098;
																																																																											BgL_cdrzd237631zd2_6098
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5032z00_6101;
																																																																													obj_t
																																																																														BgL_arg5033z00_6102;
																																																																													BgL_arg5032z00_6101
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd237631zd2_6098));
																																																																													BgL_arg5033z00_6102
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd237631zd2_6098));
																																																																													{	/* Ast/sexp.scm 548 */
																																																																														obj_t
																																																																															BgL_arg6427z00_11031;
																																																																														BgL_arg6427z00_11031
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5032z00_6101,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5033z00_6102, BgL_stackz00_22, BgL_arg6427z00_11031, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21713;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21713);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd237654zd2_6119;
																															BgL_carzd237654zd2_6119
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd237654zd2_6119
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_21720;
																																	goto
																																		BgL_tagzd2377zd2_1711;
																																	BgL_auxz00_19531
																																		=
																																		((obj_t)
																																		BgL_auxz00_21720);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(BgL_carzd237654zd2_6119
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_21724;
																																			goto
																																				BgL_tagzd2377zd2_1711;
																																			BgL_auxz00_19531
																																				=
																																				((obj_t)
																																				BgL_auxz00_21724);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_cdrzd237674zd2_6122;
																																			BgL_cdrzd237674zd2_6122
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd237677zd2_6125;
																																					obj_t
																																						BgL_cdrzd237678zd2_6126;
																																					BgL_carzd237677zd2_6125
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd237674zd2_6122));
																																					BgL_cdrzd237678zd2_6126
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd237674zd2_6122));
																																					if (PAIRP(BgL_carzd237677zd2_6125))
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_carzd237677zd2_6125) == CNST_TABLE_REF(((long) 15))))
																																								{	/* Ast/sexp.scm 118 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd237678zd2_6126))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg5059z00_6132;
																																											obj_t
																																												BgL_arg5060z00_6133;
																																											BgL_arg5059z00_6132
																																												=
																																												CDR
																																												(BgL_carzd237677zd2_6125);
																																											BgL_arg5060z00_6133
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd237678zd2_6126));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_21750;
																																												{
																																													obj_t
																																														BgL_valz00_21752;
																																													obj_t
																																														BgL_lz00_21751;
																																													BgL_lz00_21751
																																														=
																																														BgL_arg5059z00_6132;
																																													BgL_valz00_21752
																																														=
																																														BgL_arg5060z00_6133;
																																													BgL_valz00_1713
																																														=
																																														BgL_valz00_21752;
																																													BgL_lz00_1712
																																														=
																																														BgL_lz00_21751;
																																													goto
																																														BgL_tagzd2378zd2_1714;
																																												}
																																												BgL_auxz00_19531
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_21750);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_21754;
																																											goto
																																												BgL_tagzd2379zd2_1715;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_21754);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_21756;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21756);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_21758;
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_21758);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_21765;
																																							goto
																																								BgL_tagzd2380zd2_1716;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_21765);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd237763zd2_6138;
																																							BgL_carzd237763zd2_6138
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd237763zd2_6138))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd237766zd2_6140;
																																									obj_t
																																										BgL_cdrzd237767zd2_6141;
																																									BgL_carzd237766zd2_6140
																																										=
																																										CAR
																																										(BgL_carzd237763zd2_6138);
																																									BgL_cdrzd237767zd2_6141
																																										=
																																										CDR
																																										(BgL_carzd237763zd2_6138);
																																									{

																																										if ((BgL_carzd237766zd2_6140 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 118 */
																																											BgL_kapzd237768zd2_6142:
																																												if (PAIRP(BgL_cdrzd237767zd2_6141))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd237771zd2_6264;
																																														BgL_cdrzd237771zd2_6264
																																															=
																																															CDR
																																															(BgL_cdrzd237767zd2_6141);
																																														if (PAIRP(BgL_cdrzd237771zd2_6264))
																																															{	/* Ast/sexp.scm 118 */
																																																if (NULLP(CDR(BgL_cdrzd237771zd2_6264)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5148z00_6268;
																																																		obj_t
																																																			BgL_arg5149z00_6269;
																																																		BgL_arg5148z00_6268
																																																			=
																																																			CAR
																																																			(BgL_cdrzd237771zd2_6264);
																																																		BgL_arg5149z00_6269
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21787;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_21789;
																																																				obj_t
																																																					BgL_bodyz00_21788;
																																																				BgL_bodyz00_21788
																																																					=
																																																					BgL_arg5148z00_6268;
																																																				BgL_argsz00_21789
																																																					=
																																																					BgL_arg5149z00_6269;
																																																				BgL_argsz00_1718
																																																					=
																																																					BgL_argsz00_21789;
																																																				BgL_bodyz00_1717
																																																					=
																																																					BgL_bodyz00_21788;
																																																				goto
																																																					BgL_tagzd2381zd2_1719;
																																																			}
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21787);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_21791;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5216z00_6378;
																																																			BgL_arg5216z00_6378
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_21791
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg5216z00_6378));
																																																		}
																																																		if (BgL_testz00_21791)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21796;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21796);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_21798;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5215z00_6377;
																																																					BgL_arg5215z00_6377
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_21798
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5215z00_6377));
																																																				}
																																																				if (BgL_testz00_21798)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_21803;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21803);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd237849zd2_6274;
																																																						BgL_carzd237849zd2_6274
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd237854zd2_6275;
																																																							BgL_cdrzd237854zd2_6275
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd237849zd2_6274));
																																																							if ((CAR(((obj_t) BgL_carzd237849zd2_6274)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg5156z00_6278;
																																																									obj_t
																																																										BgL_arg5157z00_6279;
																																																									obj_t
																																																										BgL_arg5158z00_6280;
																																																									BgL_arg5156z00_6278
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd237854zd2_6275));
																																																									BgL_arg5157z00_6279
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd237854zd2_6275));
																																																									BgL_arg5158z00_6280
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21820;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_21823;
																																																											obj_t
																																																												BgL_bodyz00_21822;
																																																											obj_t
																																																												BgL_varsz00_21821;
																																																											BgL_varsz00_21821
																																																												=
																																																												BgL_arg5156z00_6278;
																																																											BgL_bodyz00_21822
																																																												=
																																																												BgL_arg5157z00_6279;
																																																											BgL_argsz00_21823
																																																												=
																																																												BgL_arg5158z00_6280;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_21823;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_21822;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_21821;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21820);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd237877zd2_6282;
																																																									BgL_cdrzd237877zd2_6282
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd237883zd2_6283;
																																																										BgL_cdrzd237883zd2_6283
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd237849zd2_6274));
																																																										if ((CAR(((obj_t) BgL_carzd237849zd2_6274)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd237889zd2_6286;
																																																												BgL_cdrzd237889zd2_6286
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd237883zd2_6283));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd237894zd2_6287;
																																																													obj_t
																																																														BgL_cdrzd237895zd2_6288;
																																																													BgL_carzd237894zd2_6287
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd237889zd2_6286));
																																																													BgL_cdrzd237895zd2_6288
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd237889zd2_6286));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237894zd2_6287))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd237895zd2_6288))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd237902zd2_6291;
																																																																	BgL_carzd237902zd2_6291
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd237895zd2_6288);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237902zd2_6291))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd237895zd2_6288)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_21850;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1431z00_6324;
																																																																						BgL_l1431z00_6324
																																																																							=
																																																																							BgL_cdrzd237877zd2_6282;
																																																																					BgL_zc3anonymousza35181ze3z83_6325:
																																																																						if (NULLP(BgL_l1431z00_6324))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_21850
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_21853;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_21854;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_21855;
																																																																										BgL_tmpz00_21855
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1431z00_6324));
																																																																										BgL_testz00_21854
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_21855);
																																																																									}
																																																																									if (BgL_testz00_21854)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_21853
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_21853
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_21853)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1431z00_21859;
																																																																										BgL_l1431z00_21859
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1431z00_6324));
																																																																										BgL_l1431z00_6324
																																																																											=
																																																																											BgL_l1431z00_21859;
																																																																										goto
																																																																											BgL_zc3anonymousza35181ze3z83_6325;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_21850
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_21850)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg5171z00_6307;
																																																																							BgL_arg5171z00_6307
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd237883zd2_6283));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21864;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_21868;
																																																																									obj_t
																																																																										BgL_proc2z00_21867;
																																																																									obj_t
																																																																										BgL_proc1z00_21866;
																																																																									obj_t
																																																																										BgL_testz00_21865;
																																																																									BgL_testz00_21865
																																																																										=
																																																																										BgL_arg5171z00_6307;
																																																																									BgL_proc1z00_21866
																																																																										=
																																																																										BgL_carzd237894zd2_6287;
																																																																									BgL_proc2z00_21867
																																																																										=
																																																																										BgL_carzd237902zd2_6291;
																																																																									BgL_argsz00_21868
																																																																										=
																																																																										BgL_cdrzd237877zd2_6282;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_21868;
																																																																									BgL_proc2z00_1733
																																																																										=
																																																																										BgL_proc2z00_21867;
																																																																									BgL_proc1z00_1732
																																																																										=
																																																																										BgL_proc1z00_21866;
																																																																									BgL_testz00_1731
																																																																										=
																																																																										BgL_testz00_21865;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1735;
																																																																								}
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21864);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd237926zd2_6308;
																																																																							BgL_cdrzd237926zd2_6308
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd237933zd2_6309;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11081;
																																																																									BgL_pairz00_11081
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd237933zd2_6309
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_11081);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd237940zd2_6310;
																																																																									BgL_cdrzd237940zd2_6310
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd237933zd2_6309));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd237946zd2_6311;
																																																																										BgL_carzd237946zd2_6311
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd237940zd2_6310));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237946zd2_6311))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd237953zd2_6313;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11085;
																																																																													BgL_pairz00_11085
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd237940zd2_6310));
																																																																													BgL_carzd237953zd2_6313
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_11085);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237953zd2_6313))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237926zd2_6308))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg5175z00_6316;
																																																																																BgL_arg5175z00_6316
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd237933zd2_6309));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21890;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_21894;
																																																																																		obj_t
																																																																																			BgL_proc2z00_21893;
																																																																																		obj_t
																																																																																			BgL_proc1z00_21892;
																																																																																		obj_t
																																																																																			BgL_testz00_21891;
																																																																																		BgL_testz00_21891
																																																																																			=
																																																																																			BgL_arg5175z00_6316;
																																																																																		BgL_proc1z00_21892
																																																																																			=
																																																																																			BgL_carzd237946zd2_6311;
																																																																																		BgL_proc2z00_21893
																																																																																			=
																																																																																			BgL_carzd237953zd2_6313;
																																																																																		BgL_argsz00_21894
																																																																																			=
																																																																																			BgL_cdrzd237926zd2_6308;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_21894;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_21893;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_21892;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_21891;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21890);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21898;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21898);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21902;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21902);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21906;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21906);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21910;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21910);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd238229zd2_6335;
																																																																			BgL_cdrzd238229zd2_6335
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd238235zd2_6336;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_11089;
																																																																					BgL_pairz00_11089
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd238235zd2_6336
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_11089);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd238241zd2_6337;
																																																																					BgL_cdrzd238241zd2_6337
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238235zd2_6336));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd238246zd2_6338;
																																																																						obj_t
																																																																							BgL_cdrzd238247zd2_6339;
																																																																						BgL_carzd238246zd2_6338
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238241zd2_6337));
																																																																						BgL_cdrzd238247zd2_6339
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238241zd2_6337));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238246zd2_6338))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd238252zd2_6341;
																																																																								BgL_carzd238252zd2_6341
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd238247zd2_6339));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238252zd2_6341))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd238247zd2_6339))))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238229zd2_6335))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg5190z00_6346;
																																																																														BgL_arg5190z00_6346
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd238235zd2_6336));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21937;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_21941;
																																																																																obj_t
																																																																																	BgL_proc2z00_21940;
																																																																																obj_t
																																																																																	BgL_proc1z00_21939;
																																																																																obj_t
																																																																																	BgL_testz00_21938;
																																																																																BgL_testz00_21938
																																																																																	=
																																																																																	BgL_arg5190z00_6346;
																																																																																BgL_proc1z00_21939
																																																																																	=
																																																																																	BgL_carzd238246zd2_6338;
																																																																																BgL_proc2z00_21940
																																																																																	=
																																																																																	BgL_carzd238252zd2_6341;
																																																																																BgL_argsz00_21941
																																																																																	=
																																																																																	BgL_cdrzd238229zd2_6335;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_21941;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_21940;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_21939;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_21938;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21937);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21945;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21945);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21949;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21949);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21953;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21953);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21957;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21957);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21961;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21961);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd238585zd2_6354;
																																																															BgL_cdrzd238585zd2_6354
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd238592zd2_6355;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_11099;
																																																																	BgL_pairz00_11099
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd238592zd2_6355
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11099);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd238599zd2_6356;
																																																																	BgL_cdrzd238599zd2_6356
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd238592zd2_6355));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd238605zd2_6357;
																																																																		obj_t
																																																																			BgL_cdrzd238606zd2_6358;
																																																																		BgL_carzd238605zd2_6357
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238599zd2_6356));
																																																																		BgL_cdrzd238606zd2_6358
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238599zd2_6356));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238605zd2_6357))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd238606zd2_6358))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd238613zd2_6361;
																																																																						BgL_carzd238613zd2_6361
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd238606zd2_6358);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238613zd2_6361))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd238606zd2_6358)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238585zd2_6354))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5204z00_6366;
																																																																												BgL_arg5204z00_6366
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd238592zd2_6355));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21988;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21992;
																																																																														obj_t
																																																																															BgL_proc2z00_21991;
																																																																														obj_t
																																																																															BgL_proc1z00_21990;
																																																																														obj_t
																																																																															BgL_testz00_21989;
																																																																														BgL_testz00_21989
																																																																															=
																																																																															BgL_arg5204z00_6366;
																																																																														BgL_proc1z00_21990
																																																																															=
																																																																															BgL_carzd238605zd2_6357;
																																																																														BgL_proc2z00_21991
																																																																															=
																																																																															BgL_carzd238613zd2_6361;
																																																																														BgL_argsz00_21992
																																																																															=
																																																																															BgL_cdrzd238585zd2_6354;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_21992;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_21991;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_21990;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_21989;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21988);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21996;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21996);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22000;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22000);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22004;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22004);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22008;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22008);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22012;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22012);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22016;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22016);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_22018;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5230z00_6394;
																																																	BgL_arg5230z00_6394
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_22018
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5230z00_6394));
																																																}
																																																if (BgL_testz00_22018)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22023;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22023);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_22025;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5229z00_6393;
																																																			BgL_arg5229z00_6393
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_22025
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5229z00_6393));
																																																		}
																																																		if (BgL_testz00_22025)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_22030;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22030);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd239059zd2_6384;
																																																				BgL_carzd239059zd2_6384
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd239064zd2_6385;
																																																					BgL_cdrzd239064zd2_6385
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd239059zd2_6384));
																																																					if ((CAR(((obj_t) BgL_carzd239059zd2_6384)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5224z00_6388;
																																																							obj_t
																																																								BgL_arg5225z00_6389;
																																																							obj_t
																																																								BgL_arg5226z00_6390;
																																																							BgL_arg5224z00_6388
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd239064zd2_6385));
																																																							BgL_arg5225z00_6389
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd239064zd2_6385));
																																																							BgL_arg5226z00_6390
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22047;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_22050;
																																																									obj_t
																																																										BgL_bodyz00_22049;
																																																									obj_t
																																																										BgL_varsz00_22048;
																																																									BgL_varsz00_22048
																																																										=
																																																										BgL_arg5224z00_6388;
																																																									BgL_bodyz00_22049
																																																										=
																																																										BgL_arg5225z00_6389;
																																																									BgL_argsz00_22050
																																																										=
																																																										BgL_arg5226z00_6390;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_22050;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_22049;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_22048;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22047);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22054;
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22054);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_22056;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5237z00_6401;
																																															BgL_arg5237z00_6401
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_22056
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5237z00_6401));
																																														}
																																														if (BgL_testz00_22056)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22061;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22061);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_22063;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5236z00_6400;
																																																	BgL_arg5236z00_6400
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_22063
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5236z00_6400));
																																																}
																																																if (BgL_testz00_22063)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22068;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22068);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd2403zd2_1764;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22072;
																																																				goto
																																																					BgL_tagzd2404zd2_1765;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22072);
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd237766zd2_6140)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd237768zd2_6142;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd237766zd2_6140 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd237768zd2_6142;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd237766zd2_6140 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd237768zd2_6142;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237766zd2_6140)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd237768zd2_6142;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_22086;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5143z00_6262;
																																																					BgL_arg5143z00_6262
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_22086
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg5143z00_6262));
																																																				}
																																																				if (BgL_testz00_22086)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_22091;
																																																						goto
																																																							BgL_tagzd2382zd2_1720;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_22091);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						bool_t
																																																							BgL_testz00_22093;
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5142z00_6261;
																																																							BgL_arg5142z00_6261
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_testz00_22093
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg5142z00_6261));
																																																						}
																																																						if (BgL_testz00_22093)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_22098;
																																																								goto
																																																									BgL_tagzd2384zd2_1722;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22098);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_carzd239387zd2_6152;
																																																								BgL_carzd239387zd2_6152
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd239392zd2_6153;
																																																									BgL_cdrzd239392zd2_6153
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd239387zd2_6152));
																																																									if ((CAR(((obj_t) BgL_carzd239387zd2_6152)) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd239392zd2_6153))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg5078z00_6157;
																																																													obj_t
																																																														BgL_arg5079z00_6158;
																																																													obj_t
																																																														BgL_arg5080z00_6159;
																																																													BgL_arg5078z00_6157
																																																														=
																																																														CAR
																																																														(BgL_cdrzd239392zd2_6153);
																																																													BgL_arg5079z00_6158
																																																														=
																																																														CDR
																																																														(BgL_cdrzd239392zd2_6153);
																																																													BgL_arg5080z00_6159
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22115;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_22118;
																																																															obj_t
																																																																BgL_bodyz00_22117;
																																																															obj_t
																																																																BgL_varsz00_22116;
																																																															BgL_varsz00_22116
																																																																=
																																																																BgL_arg5078z00_6157;
																																																															BgL_bodyz00_22117
																																																																=
																																																																BgL_arg5079z00_6158;
																																																															BgL_argsz00_22118
																																																																=
																																																																BgL_arg5080z00_6159;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_22118;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_22117;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_22116;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22115);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22122;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22122);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd239499zd2_6162;
																																																											BgL_cdrzd239499zd2_6162
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd239504zd2_6163;
																																																												BgL_cdrzd239504zd2_6163
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd239387zd2_6152));
																																																												if ((CAR(((obj_t) BgL_carzd239387zd2_6152)) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd239504zd2_6163))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd239509zd2_6167;
																																																																BgL_cdrzd239509zd2_6167
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd239504zd2_6163);
																																																																if (PAIRP(BgL_cdrzd239509zd2_6167))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd239513zd2_6169;
																																																																		obj_t
																																																																			BgL_cdrzd239514zd2_6170;
																																																																		BgL_carzd239513zd2_6169
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd239509zd2_6167);
																																																																		BgL_cdrzd239514zd2_6170
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd239509zd2_6167);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239513zd2_6169))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd239514zd2_6170))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd239519zd2_6173;
																																																																						BgL_carzd239519zd2_6173
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd239514zd2_6170);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239519zd2_6173))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd239514zd2_6170)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_22150;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1434z00_6206;
																																																																											BgL_l1434z00_6206
																																																																												=
																																																																												BgL_cdrzd239499zd2_6162;
																																																																										BgL_zc3anonymousza35106ze3z83_6207:
																																																																											if (NULLP(BgL_l1434z00_6206))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_22150
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_22153;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_22154;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_tmpz00_22155;
																																																																															BgL_tmpz00_22155
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1434z00_6206));
																																																																															BgL_testz00_22154
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_22155);
																																																																														}
																																																																														if (BgL_testz00_22154)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_22153
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_22153
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_22153)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1434z00_22159;
																																																																															BgL_l1434z00_22159
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1434z00_6206));
																																																																															BgL_l1434z00_6206
																																																																																=
																																																																																BgL_l1434z00_22159;
																																																																															goto
																																																																																BgL_zc3anonymousza35106ze3z83_6207;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_22150
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_22150)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5096z00_6189;
																																																																												BgL_arg5096z00_6189
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd239504zd2_6163);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22163;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22167;
																																																																														obj_t
																																																																															BgL_proc2z00_22166;
																																																																														obj_t
																																																																															BgL_proc1z00_22165;
																																																																														obj_t
																																																																															BgL_testz00_22164;
																																																																														BgL_testz00_22164
																																																																															=
																																																																															BgL_arg5096z00_6189;
																																																																														BgL_proc1z00_22165
																																																																															=
																																																																															BgL_carzd239513zd2_6169;
																																																																														BgL_proc2z00_22166
																																																																															=
																																																																															BgL_carzd239519zd2_6173;
																																																																														BgL_argsz00_22167
																																																																															=
																																																																															BgL_cdrzd239499zd2_6162;
																																																																														BgL_argsz00_1734
																																																																															=
																																																																															BgL_argsz00_22167;
																																																																														BgL_proc2z00_1733
																																																																															=
																																																																															BgL_proc2z00_22166;
																																																																														BgL_proc1z00_1732
																																																																															=
																																																																															BgL_proc1z00_22165;
																																																																														BgL_testz00_1731
																																																																															=
																																																																															BgL_testz00_22164;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1735;
																																																																													}
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22163);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd239544zd2_6190;
																																																																												BgL_cdrzd239544zd2_6190
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd239552zd2_6191;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_11147;
																																																																														BgL_pairz00_11147
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd239552zd2_6191
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11147);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd239560zd2_6192;
																																																																														BgL_cdrzd239560zd2_6192
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd239552zd2_6191));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd239567zd2_6193;
																																																																															BgL_carzd239567zd2_6193
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd239560zd2_6192));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239567zd2_6193))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd239576zd2_6195;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11151;
																																																																																		BgL_pairz00_11151
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd239560zd2_6192));
																																																																																		BgL_carzd239576zd2_6195
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_11151);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239576zd2_6195))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239544zd2_6190))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg5100z00_6198;
																																																																																					BgL_arg5100z00_6198
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd239552zd2_6191));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22189;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_22193;
																																																																																							obj_t
																																																																																								BgL_proc2z00_22192;
																																																																																							obj_t
																																																																																								BgL_proc1z00_22191;
																																																																																							obj_t
																																																																																								BgL_testz00_22190;
																																																																																							BgL_testz00_22190
																																																																																								=
																																																																																								BgL_arg5100z00_6198;
																																																																																							BgL_proc1z00_22191
																																																																																								=
																																																																																								BgL_carzd239567zd2_6193;
																																																																																							BgL_proc2z00_22192
																																																																																								=
																																																																																								BgL_carzd239576zd2_6195;
																																																																																							BgL_argsz00_22193
																																																																																								=
																																																																																								BgL_cdrzd239544zd2_6190;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_22193;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_22192;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_22191;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_22190;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_19531
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22189);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1764;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22197;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1765;
																																																																																							BgL_auxz00_19531
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22197);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22201;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22201);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22205;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22205);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22209;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22209);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd239854zd2_6217;
																																																																								BgL_cdrzd239854zd2_6217
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd239861zd2_6218;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_11155;
																																																																										BgL_pairz00_11155
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd239861zd2_6218
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11155);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd239868zd2_6219;
																																																																										BgL_cdrzd239868zd2_6219
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd239861zd2_6218));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd239874zd2_6220;
																																																																											obj_t
																																																																												BgL_cdrzd239875zd2_6221;
																																																																											BgL_carzd239874zd2_6220
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd239868zd2_6219));
																																																																											BgL_cdrzd239875zd2_6221
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd239868zd2_6219));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239874zd2_6220))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd239882zd2_6223;
																																																																													BgL_carzd239882zd2_6223
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd239875zd2_6221));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239882zd2_6223))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd239875zd2_6221))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239854zd2_6217))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg5115z00_6228;
																																																																																			BgL_arg5115z00_6228
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd239861zd2_6218));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22236;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22240;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22239;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22238;
																																																																																					obj_t
																																																																																						BgL_testz00_22237;
																																																																																					BgL_testz00_22237
																																																																																						=
																																																																																						BgL_arg5115z00_6228;
																																																																																					BgL_proc1z00_22238
																																																																																						=
																																																																																						BgL_carzd239874zd2_6220;
																																																																																					BgL_proc2z00_22239
																																																																																						=
																																																																																						BgL_carzd239882zd2_6223;
																																																																																					BgL_argsz00_22240
																																																																																						=
																																																																																						BgL_cdrzd239854zd2_6217;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_22240;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_22239;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_22238;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_22237;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22236);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22244;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22244);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22248;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22248);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22252;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22252);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22256;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22256);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22260;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22260);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd240215zd2_6236;
																																																																				BgL_cdrzd240215zd2_6236
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd240221zd2_6237;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_11165;
																																																																						BgL_pairz00_11165
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd240221zd2_6237
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_11165);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd240227zd2_6238;
																																																																						BgL_cdrzd240227zd2_6238
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd240221zd2_6237));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd240232zd2_6239;
																																																																							obj_t
																																																																								BgL_cdrzd240233zd2_6240;
																																																																							BgL_carzd240232zd2_6239
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd240227zd2_6238));
																																																																							BgL_cdrzd240233zd2_6240
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd240227zd2_6238));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240232zd2_6239))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd240233zd2_6240))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd240238zd2_6243;
																																																																											BgL_carzd240238zd2_6243
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd240233zd2_6240);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240238zd2_6243))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd240233zd2_6240)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240215zd2_6236))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5129z00_6248;
																																																																																	BgL_arg5129z00_6248
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd240221zd2_6237));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_22287;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_22291;
																																																																																			obj_t
																																																																																				BgL_proc2z00_22290;
																																																																																			obj_t
																																																																																				BgL_proc1z00_22289;
																																																																																			obj_t
																																																																																				BgL_testz00_22288;
																																																																																			BgL_testz00_22288
																																																																																				=
																																																																																				BgL_arg5129z00_6248;
																																																																																			BgL_proc1z00_22289
																																																																																				=
																																																																																				BgL_carzd240232zd2_6239;
																																																																																			BgL_proc2z00_22290
																																																																																				=
																																																																																				BgL_carzd240238zd2_6243;
																																																																																			BgL_argsz00_22291
																																																																																				=
																																																																																				BgL_cdrzd240215zd2_6236;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_22291;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_22290;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_22289;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_22288;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_22287);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22295;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22295);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22299;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22299);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22303;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22303);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22307;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22307);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22311;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22311);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22315;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22315);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22319;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22319);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22323;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22323);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd237763zd2_6138 == CNST_TABLE_REF(((long) 18))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22328;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22328);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd237763zd2_6138)))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22333;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22333);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd237763zd2_6138 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_22338;
																																															goto
																																																BgL_tagzd2382zd2_1720;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22338);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22345;
																																																	goto
																																																		BgL_tagzd2383zd2_1721;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22345);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd240800zd2_6408;
																																																	BgL_carzd240800zd2_6408
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd240800zd2_6408 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_22352;
																																																			goto
																																																				BgL_tagzd2384zd2_1722;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22352);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd240800zd2_6408)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_22357;
																																																					goto
																																																						BgL_tagzd2384zd2_1722;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22357);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22364;
																																																							goto
																																																								BgL_tagzd2389zd2_1741;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22364);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22371;
																																																									goto
																																																										BgL_tagzd2390zd2_1742;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22371);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd240880zd2_6415;
																																																									BgL_cdrzd240880zd2_6415
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg5251z00_6418;
																																																											obj_t
																																																												BgL_arg5252z00_6419;
																																																											BgL_arg5251z00_6418
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd240880zd2_6415));
																																																											BgL_arg5252z00_6419
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd240880zd2_6415));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22384;
																																																												{
																																																													obj_t
																																																														BgL_restz00_22386;
																																																													obj_t
																																																														BgL_effectz00_22385;
																																																													BgL_effectz00_22385
																																																														=
																																																														BgL_arg5251z00_6418;
																																																													BgL_restz00_22386
																																																														=
																																																														BgL_arg5252z00_6419;
																																																													BgL_restz00_1744
																																																														=
																																																														BgL_restz00_22386;
																																																													BgL_effectz00_1743
																																																														=
																																																														BgL_effectz00_22385;
																																																													goto
																																																														BgL_tagzd2391zd2_1745;
																																																												}
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22384);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22393;
																																																													goto
																																																														BgL_tagzd2392zd2_1746;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22393);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22400;
																																																															goto
																																																																BgL_tagzd2393zd2_1747;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22400);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg5259z00_6427;
																																																																	obj_t
																																																																		BgL_arg5260z00_6428;
																																																																	BgL_arg5259z00_6427
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd240880zd2_6415));
																																																																	BgL_arg5260z00_6428
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd240880zd2_6415));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22411;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_22413;
																																																																			obj_t
																																																																				BgL_effectz00_22412;
																																																																			BgL_effectz00_22412
																																																																				=
																																																																				BgL_arg5259z00_6427;
																																																																			BgL_restz00_22413
																																																																				=
																																																																				BgL_arg5260z00_6428;
																																																																			BgL_restz00_1749
																																																																				=
																																																																				BgL_restz00_22413;
																																																																			BgL_effectz00_1748
																																																																				=
																																																																				BgL_effectz00_22412;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1750;
																																																																		}
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22411);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22420;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1751;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22420);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22427;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1752;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22427);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_22434;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1753;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22434);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_22441;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1754;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22441);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_22448;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_22449;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11196;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_11195;
																																																																														BgL_pairz00_11195
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_11196
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11195);
																																																																													}
																																																																													BgL_tmpz00_22449
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11196);
																																																																												}
																																																																												BgL_testz00_22448
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_22449);
																																																																											}
																																																																											if (BgL_testz00_22448)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22455;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1755;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22455);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22459;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22459);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd240973zd2_6447;
																																																																											BgL_cdrzd240973zd2_6447
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5281z00_6450;
																																																																													obj_t
																																																																														BgL_arg5282z00_6451;
																																																																													BgL_arg5281z00_6450
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd240973zd2_6447));
																																																																													BgL_arg5282z00_6451
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd240973zd2_6447));
																																																																													{	/* Ast/sexp.scm 548 */
																																																																														obj_t
																																																																															BgL_arg6427z00_11202;
																																																																														BgL_arg6427z00_11202
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5281z00_6450,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5282z00_6451, BgL_stackz00_22, BgL_arg6427z00_11202, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22478;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22478);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_carzd240996zd2_6468;
																													BgL_carzd240996zd2_6468
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd240996zd2_6468
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_22485;
																															goto
																																BgL_tagzd2377zd2_1711;
																															BgL_auxz00_19531 =
																																((obj_t)
																																BgL_auxz00_22485);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(BgL_carzd240996zd2_6468
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_22489;
																																	goto
																																		BgL_tagzd2377zd2_1711;
																																	BgL_auxz00_19531
																																		=
																																		((obj_t)
																																		BgL_auxz00_22489);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_cdrzd241016zd2_6471;
																																	BgL_cdrzd241016zd2_6471
																																		=
																																		CDR(((obj_t)
																																			BgL_expz00_21));
																																	if ((CAR((
																																					(obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd241019zd2_6474;
																																			obj_t
																																				BgL_cdrzd241020zd2_6475;
																																			BgL_carzd241019zd2_6474
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd241016zd2_6471));
																																			BgL_cdrzd241020zd2_6475
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd241016zd2_6471));
																																			if (PAIRP
																																				(BgL_carzd241019zd2_6474))
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(BgL_carzd241019zd2_6474)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 15))))
																																						{	/* Ast/sexp.scm 118 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd241020zd2_6475))))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg5308z00_6481;
																																									obj_t
																																										BgL_arg5309z00_6482;
																																									BgL_arg5308z00_6481
																																										=
																																										CDR
																																										(BgL_carzd241019zd2_6474);
																																									BgL_arg5309z00_6482
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd241020zd2_6475));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_22515;
																																										{
																																											obj_t
																																												BgL_valz00_22517;
																																											obj_t
																																												BgL_lz00_22516;
																																											BgL_lz00_22516
																																												=
																																												BgL_arg5308z00_6481;
																																											BgL_valz00_22517
																																												=
																																												BgL_arg5309z00_6482;
																																											BgL_valz00_1713
																																												=
																																												BgL_valz00_22517;
																																											BgL_lz00_1712
																																												=
																																												BgL_lz00_22516;
																																											goto
																																												BgL_tagzd2378zd2_1714;
																																										}
																																										BgL_auxz00_19531
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_22515);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22519;
																																									goto
																																										BgL_tagzd2379zd2_1715;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22519);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22521;
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22521);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_22523;
																																					goto
																																						BgL_tagzd2379zd2_1715;
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_22523);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 17))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_22530;
																																					goto
																																						BgL_tagzd2380zd2_1716;
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_22530);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd241105zd2_6487;
																																					BgL_carzd241105zd2_6487
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd241105zd2_6487))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd241108zd2_6489;
																																							obj_t
																																								BgL_cdrzd241109zd2_6490;
																																							BgL_carzd241108zd2_6489
																																								=
																																								CAR
																																								(BgL_carzd241105zd2_6487);
																																							BgL_cdrzd241109zd2_6490
																																								=
																																								CDR
																																								(BgL_carzd241105zd2_6487);
																																							{

																																								if ((BgL_carzd241108zd2_6489 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 118 */
																																									BgL_kapzd241110zd2_6491:
																																										if (PAIRP(BgL_cdrzd241109zd2_6490))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd241113zd2_6613;
																																												BgL_cdrzd241113zd2_6613
																																													=
																																													CDR
																																													(BgL_cdrzd241109zd2_6490);
																																												if (PAIRP(BgL_cdrzd241113zd2_6613))
																																													{	/* Ast/sexp.scm 118 */
																																														if (NULLP(CDR(BgL_cdrzd241113zd2_6613)))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg5397z00_6617;
																																																obj_t
																																																	BgL_arg5398z00_6618;
																																																BgL_arg5397z00_6617
																																																	=
																																																	CAR
																																																	(BgL_cdrzd241113zd2_6613);
																																																BgL_arg5398z00_6618
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22552;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_22554;
																																																		obj_t
																																																			BgL_bodyz00_22553;
																																																		BgL_bodyz00_22553
																																																			=
																																																			BgL_arg5397z00_6617;
																																																		BgL_argsz00_22554
																																																			=
																																																			BgL_arg5398z00_6618;
																																																		BgL_argsz00_1718
																																																			=
																																																			BgL_argsz00_22554;
																																																		BgL_bodyz00_1717
																																																			=
																																																			BgL_bodyz00_22553;
																																																		goto
																																																			BgL_tagzd2381zd2_1719;
																																																	}
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22552);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_22556;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5465z00_6727;
																																																	BgL_arg5465z00_6727
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_22556
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5465z00_6727));
																																																}
																																																if (BgL_testz00_22556)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22561;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22561);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_22563;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5464z00_6726;
																																																			BgL_arg5464z00_6726
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_22563
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5464z00_6726));
																																																		}
																																																		if (BgL_testz00_22563)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_22568;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22568);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd241191zd2_6623;
																																																				BgL_carzd241191zd2_6623
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd241196zd2_6624;
																																																					BgL_cdrzd241196zd2_6624
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd241191zd2_6623));
																																																					if ((CAR(((obj_t) BgL_carzd241191zd2_6623)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5405z00_6627;
																																																							obj_t
																																																								BgL_arg5406z00_6628;
																																																							obj_t
																																																								BgL_arg5407z00_6629;
																																																							BgL_arg5405z00_6627
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd241196zd2_6624));
																																																							BgL_arg5406z00_6628
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd241196zd2_6624));
																																																							BgL_arg5407z00_6629
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22585;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_22588;
																																																									obj_t
																																																										BgL_bodyz00_22587;
																																																									obj_t
																																																										BgL_varsz00_22586;
																																																									BgL_varsz00_22586
																																																										=
																																																										BgL_arg5405z00_6627;
																																																									BgL_bodyz00_22587
																																																										=
																																																										BgL_arg5406z00_6628;
																																																									BgL_argsz00_22588
																																																										=
																																																										BgL_arg5407z00_6629;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_22588;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_22587;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_22586;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22585);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd241219zd2_6631;
																																																							BgL_cdrzd241219zd2_6631
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd241225zd2_6632;
																																																								BgL_cdrzd241225zd2_6632
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd241191zd2_6623));
																																																								if ((CAR(((obj_t) BgL_carzd241191zd2_6623)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd241231zd2_6635;
																																																										BgL_cdrzd241231zd2_6635
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd241225zd2_6632));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd241236zd2_6636;
																																																											obj_t
																																																												BgL_cdrzd241237zd2_6637;
																																																											BgL_carzd241236zd2_6636
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd241231zd2_6635));
																																																											BgL_cdrzd241237zd2_6637
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd241231zd2_6635));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241236zd2_6636))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd241237zd2_6637))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd241244zd2_6640;
																																																															BgL_carzd241244zd2_6640
																																																																=
																																																																CAR
																																																																(BgL_cdrzd241237zd2_6637);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241244zd2_6640))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd241237zd2_6637)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_22615;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1437z00_6673;
																																																																				BgL_l1437z00_6673
																																																																					=
																																																																					BgL_cdrzd241219zd2_6631;
																																																																			BgL_zc3anonymousza35430ze3z83_6674:
																																																																				if (NULLP(BgL_l1437z00_6673))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_22615
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_22618;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_22619;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_tmpz00_22620;
																																																																								BgL_tmpz00_22620
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1437z00_6673));
																																																																								BgL_testz00_22619
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_22620);
																																																																							}
																																																																							if (BgL_testz00_22619)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_22618
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_22618
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_22618)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1437z00_22624;
																																																																								BgL_l1437z00_22624
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1437z00_6673));
																																																																								BgL_l1437z00_6673
																																																																									=
																																																																									BgL_l1437z00_22624;
																																																																								goto
																																																																									BgL_zc3anonymousza35430ze3z83_6674;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_22615
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_22615)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg5420z00_6656;
																																																																					BgL_arg5420z00_6656
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd241225zd2_6632));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22629;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_22633;
																																																																							obj_t
																																																																								BgL_proc2z00_22632;
																																																																							obj_t
																																																																								BgL_proc1z00_22631;
																																																																							obj_t
																																																																								BgL_testz00_22630;
																																																																							BgL_testz00_22630
																																																																								=
																																																																								BgL_arg5420z00_6656;
																																																																							BgL_proc1z00_22631
																																																																								=
																																																																								BgL_carzd241236zd2_6636;
																																																																							BgL_proc2z00_22632
																																																																								=
																																																																								BgL_carzd241244zd2_6640;
																																																																							BgL_argsz00_22633
																																																																								=
																																																																								BgL_cdrzd241219zd2_6631;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_22633;
																																																																							BgL_proc2z00_1733
																																																																								=
																																																																								BgL_proc2z00_22632;
																																																																							BgL_proc1z00_1732
																																																																								=
																																																																								BgL_proc1z00_22631;
																																																																							BgL_testz00_1731
																																																																								=
																																																																								BgL_testz00_22630;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1735;
																																																																						}
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22629);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd241268zd2_6657;
																																																																					BgL_cdrzd241268zd2_6657
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd241275zd2_6658;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_11252;
																																																																							BgL_pairz00_11252
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd241275zd2_6658
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11252);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd241282zd2_6659;
																																																																							BgL_cdrzd241282zd2_6659
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd241275zd2_6658));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd241288zd2_6660;
																																																																								BgL_carzd241288zd2_6660
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd241282zd2_6659));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241288zd2_6660))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd241295zd2_6662;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_11256;
																																																																											BgL_pairz00_11256
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd241282zd2_6659));
																																																																											BgL_carzd241295zd2_6662
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_11256);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241295zd2_6662))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241268zd2_6657))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg5424z00_6665;
																																																																														BgL_arg5424z00_6665
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd241275zd2_6658));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22655;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_22659;
																																																																																obj_t
																																																																																	BgL_proc2z00_22658;
																																																																																obj_t
																																																																																	BgL_proc1z00_22657;
																																																																																obj_t
																																																																																	BgL_testz00_22656;
																																																																																BgL_testz00_22656
																																																																																	=
																																																																																	BgL_arg5424z00_6665;
																																																																																BgL_proc1z00_22657
																																																																																	=
																																																																																	BgL_carzd241288zd2_6660;
																																																																																BgL_proc2z00_22658
																																																																																	=
																																																																																	BgL_carzd241295zd2_6662;
																																																																																BgL_argsz00_22659
																																																																																	=
																																																																																	BgL_cdrzd241268zd2_6657;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_22659;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_22658;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_22657;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_22656;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22655);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22663;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22663);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22667;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22667);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22671;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22671);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22675;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22675);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd241571zd2_6684;
																																																																	BgL_cdrzd241571zd2_6684
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd241577zd2_6685;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_11260;
																																																																			BgL_pairz00_11260
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd241577zd2_6685
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11260);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd241583zd2_6686;
																																																																			BgL_cdrzd241583zd2_6686
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241577zd2_6685));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd241588zd2_6687;
																																																																				obj_t
																																																																					BgL_cdrzd241589zd2_6688;
																																																																				BgL_carzd241588zd2_6687
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241583zd2_6686));
																																																																				BgL_cdrzd241589zd2_6688
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241583zd2_6686));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241588zd2_6687))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd241594zd2_6690;
																																																																						BgL_carzd241594zd2_6690
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd241589zd2_6688));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241594zd2_6690))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd241589zd2_6688))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241571zd2_6684))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5439z00_6695;
																																																																												BgL_arg5439z00_6695
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd241577zd2_6685));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22702;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22706;
																																																																														obj_t
																																																																															BgL_proc2z00_22705;
																																																																														obj_t
																																																																															BgL_proc1z00_22704;
																																																																														obj_t
																																																																															BgL_testz00_22703;
																																																																														BgL_testz00_22703
																																																																															=
																																																																															BgL_arg5439z00_6695;
																																																																														BgL_proc1z00_22704
																																																																															=
																																																																															BgL_carzd241588zd2_6687;
																																																																														BgL_proc2z00_22705
																																																																															=
																																																																															BgL_carzd241594zd2_6690;
																																																																														BgL_argsz00_22706
																																																																															=
																																																																															BgL_cdrzd241571zd2_6684;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_22706;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_22705;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_22704;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_22703;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22702);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22710;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22710);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22714;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22714);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22718;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22718);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22722;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22722);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22726;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22726);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd241927zd2_6703;
																																																													BgL_cdrzd241927zd2_6703
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd241934zd2_6704;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_11270;
																																																															BgL_pairz00_11270
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd241934zd2_6704
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11270);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd241941zd2_6705;
																																																															BgL_cdrzd241941zd2_6705
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd241934zd2_6704));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd241947zd2_6706;
																																																																obj_t
																																																																	BgL_cdrzd241948zd2_6707;
																																																																BgL_carzd241947zd2_6706
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241941zd2_6705));
																																																																BgL_cdrzd241948zd2_6707
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241941zd2_6705));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241947zd2_6706))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd241948zd2_6707))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd241955zd2_6710;
																																																																				BgL_carzd241955zd2_6710
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd241948zd2_6707);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241955zd2_6710))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd241948zd2_6707)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241927zd2_6703))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5453z00_6715;
																																																																										BgL_arg5453z00_6715
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd241934zd2_6704));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22753;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22757;
																																																																												obj_t
																																																																													BgL_proc2z00_22756;
																																																																												obj_t
																																																																													BgL_proc1z00_22755;
																																																																												obj_t
																																																																													BgL_testz00_22754;
																																																																												BgL_testz00_22754
																																																																													=
																																																																													BgL_arg5453z00_6715;
																																																																												BgL_proc1z00_22755
																																																																													=
																																																																													BgL_carzd241947zd2_6706;
																																																																												BgL_proc2z00_22756
																																																																													=
																																																																													BgL_carzd241955zd2_6710;
																																																																												BgL_argsz00_22757
																																																																													=
																																																																													BgL_cdrzd241927zd2_6703;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_22757;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_22756;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_22755;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_22754;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22753);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22761;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22761);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22765;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22765);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22769;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22769);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22773;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22773);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22777;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22777);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1764;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22781;
																																																												goto
																																																													BgL_tagzd2404zd2_1765;
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22781);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_22783;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5479z00_6743;
																																															BgL_arg5479z00_6743
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_22783
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5479z00_6743));
																																														}
																																														if (BgL_testz00_22783)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22788;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22788);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_22790;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5478z00_6742;
																																																	BgL_arg5478z00_6742
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_22790
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5478z00_6742));
																																																}
																																																if (BgL_testz00_22790)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22795;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22795);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd242401zd2_6733;
																																																		BgL_carzd242401zd2_6733
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd242406zd2_6734;
																																																			BgL_cdrzd242406zd2_6734
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd242401zd2_6733));
																																																			if ((CAR(((obj_t) BgL_carzd242401zd2_6733)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5473z00_6737;
																																																					obj_t
																																																						BgL_arg5474z00_6738;
																																																					obj_t
																																																						BgL_arg5475z00_6739;
																																																					BgL_arg5473z00_6737
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd242406zd2_6734));
																																																					BgL_arg5474z00_6738
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd242406zd2_6734));
																																																					BgL_arg5475z00_6739
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_22812;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_22815;
																																																							obj_t
																																																								BgL_bodyz00_22814;
																																																							obj_t
																																																								BgL_varsz00_22813;
																																																							BgL_varsz00_22813
																																																								=
																																																								BgL_arg5473z00_6737;
																																																							BgL_bodyz00_22814
																																																								=
																																																								BgL_arg5474z00_6738;
																																																							BgL_argsz00_22815
																																																								=
																																																								BgL_arg5475z00_6739;
																																																							BgL_argsz00_1729
																																																								=
																																																								BgL_argsz00_22815;
																																																							BgL_bodyz00_1728
																																																								=
																																																								BgL_bodyz00_22814;
																																																							BgL_varsz00_1727
																																																								=
																																																								BgL_varsz00_22813;
																																																							goto
																																																								BgL_tagzd2386zd2_1730;
																																																						}
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_22812);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1764;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22819;
																																																							goto
																																																								BgL_tagzd2404zd2_1765;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22819);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_22821;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5486z00_6750;
																																													BgL_arg5486z00_6750
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_22821
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5486z00_6750));
																																												}
																																												if (BgL_testz00_22821)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22826;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22826);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_22828;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5485z00_6749;
																																															BgL_arg5485z00_6749
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_22828
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5485z00_6749));
																																														}
																																														if (BgL_testz00_22828)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_22833;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22833);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd2403zd2_1764;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22837;
																																																		goto
																																																			BgL_tagzd2404zd2_1765;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22837);
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241108zd2_6489)))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd241110zd2_6491;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd241108zd2_6489 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd241110zd2_6491;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd241108zd2_6489 == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd241110zd2_6491;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241108zd2_6489)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd241110zd2_6491;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_22851;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5392z00_6611;
																																																			BgL_arg5392z00_6611
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_22851
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg5392z00_6611));
																																																		}
																																																		if (BgL_testz00_22851)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22856;
																																																				goto
																																																					BgL_tagzd2382zd2_1720;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22856);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_22858;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5391z00_6610;
																																																					BgL_arg5391z00_6610
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_22858
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5391z00_6610));
																																																				}
																																																				if (BgL_testz00_22858)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_22863;
																																																						goto
																																																							BgL_tagzd2384zd2_1722;
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_22863);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd242729zd2_6501;
																																																						BgL_carzd242729zd2_6501
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd242734zd2_6502;
																																																							BgL_cdrzd242734zd2_6502
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd242729zd2_6501));
																																																							if ((CAR(((obj_t) BgL_carzd242729zd2_6501)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd242734zd2_6502))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg5327z00_6506;
																																																											obj_t
																																																												BgL_arg5328z00_6507;
																																																											obj_t
																																																												BgL_arg5329z00_6508;
																																																											BgL_arg5327z00_6506
																																																												=
																																																												CAR
																																																												(BgL_cdrzd242734zd2_6502);
																																																											BgL_arg5328z00_6507
																																																												=
																																																												CDR
																																																												(BgL_cdrzd242734zd2_6502);
																																																											BgL_arg5329z00_6508
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22880;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_22883;
																																																													obj_t
																																																														BgL_bodyz00_22882;
																																																													obj_t
																																																														BgL_varsz00_22881;
																																																													BgL_varsz00_22881
																																																														=
																																																														BgL_arg5327z00_6506;
																																																													BgL_bodyz00_22882
																																																														=
																																																														BgL_arg5328z00_6507;
																																																													BgL_argsz00_22883
																																																														=
																																																														BgL_arg5329z00_6508;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_22883;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_22882;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_22881;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22880);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22887;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22887);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd242841zd2_6511;
																																																									BgL_cdrzd242841zd2_6511
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd242846zd2_6512;
																																																										BgL_cdrzd242846zd2_6512
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd242729zd2_6501));
																																																										if ((CAR(((obj_t) BgL_carzd242729zd2_6501)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd242846zd2_6512))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd242851zd2_6516;
																																																														BgL_cdrzd242851zd2_6516
																																																															=
																																																															CDR
																																																															(BgL_cdrzd242846zd2_6512);
																																																														if (PAIRP(BgL_cdrzd242851zd2_6516))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd242855zd2_6518;
																																																																obj_t
																																																																	BgL_cdrzd242856zd2_6519;
																																																																BgL_carzd242855zd2_6518
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd242851zd2_6516);
																																																																BgL_cdrzd242856zd2_6519
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd242851zd2_6516);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242855zd2_6518))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd242856zd2_6519))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd242861zd2_6522;
																																																																				BgL_carzd242861zd2_6522
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd242856zd2_6519);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242861zd2_6522))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd242856zd2_6519)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_22915;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1440z00_6555;
																																																																									BgL_l1440z00_6555
																																																																										=
																																																																										BgL_cdrzd242841zd2_6511;
																																																																								BgL_zc3anonymousza35355ze3z83_6556:
																																																																									if (NULLP(BgL_l1440z00_6555))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_22915
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_22918;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_22919;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_tmpz00_22920;
																																																																													BgL_tmpz00_22920
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1440z00_6555));
																																																																													BgL_testz00_22919
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_22920);
																																																																												}
																																																																												if (BgL_testz00_22919)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_22918
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_22918
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_22918)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1440z00_22924;
																																																																													BgL_l1440z00_22924
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1440z00_6555));
																																																																													BgL_l1440z00_6555
																																																																														=
																																																																														BgL_l1440z00_22924;
																																																																													goto
																																																																														BgL_zc3anonymousza35355ze3z83_6556;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_22915
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_22915)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5345z00_6538;
																																																																										BgL_arg5345z00_6538
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd242846zd2_6512);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22928;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22932;
																																																																												obj_t
																																																																													BgL_proc2z00_22931;
																																																																												obj_t
																																																																													BgL_proc1z00_22930;
																																																																												obj_t
																																																																													BgL_testz00_22929;
																																																																												BgL_testz00_22929
																																																																													=
																																																																													BgL_arg5345z00_6538;
																																																																												BgL_proc1z00_22930
																																																																													=
																																																																													BgL_carzd242855zd2_6518;
																																																																												BgL_proc2z00_22931
																																																																													=
																																																																													BgL_carzd242861zd2_6522;
																																																																												BgL_argsz00_22932
																																																																													=
																																																																													BgL_cdrzd242841zd2_6511;
																																																																												BgL_argsz00_1734
																																																																													=
																																																																													BgL_argsz00_22932;
																																																																												BgL_proc2z00_1733
																																																																													=
																																																																													BgL_proc2z00_22931;
																																																																												BgL_proc1z00_1732
																																																																													=
																																																																													BgL_proc1z00_22930;
																																																																												BgL_testz00_1731
																																																																													=
																																																																													BgL_testz00_22929;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1735;
																																																																											}
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22928);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd242886zd2_6539;
																																																																										BgL_cdrzd242886zd2_6539
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd242894zd2_6540;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11318;
																																																																												BgL_pairz00_11318
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd242894zd2_6540
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11318);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd242902zd2_6541;
																																																																												BgL_cdrzd242902zd2_6541
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd242894zd2_6540));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd242909zd2_6542;
																																																																													BgL_carzd242909zd2_6542
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd242902zd2_6541));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242909zd2_6542))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd242918zd2_6544;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_11322;
																																																																																BgL_pairz00_11322
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd242902zd2_6541));
																																																																																BgL_carzd242918zd2_6544
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11322);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242918zd2_6544))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242886zd2_6539))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg5349z00_6547;
																																																																																			BgL_arg5349z00_6547
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd242894zd2_6540));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22954;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22958;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22957;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22956;
																																																																																					obj_t
																																																																																						BgL_testz00_22955;
																																																																																					BgL_testz00_22955
																																																																																						=
																																																																																						BgL_arg5349z00_6547;
																																																																																					BgL_proc1z00_22956
																																																																																						=
																																																																																						BgL_carzd242909zd2_6542;
																																																																																					BgL_proc2z00_22957
																																																																																						=
																																																																																						BgL_carzd242918zd2_6544;
																																																																																					BgL_argsz00_22958
																																																																																						=
																																																																																						BgL_cdrzd242886zd2_6539;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_22958;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_22957;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_22956;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_22955;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_19531
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22954);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1764;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22962;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1765;
																																																																																					BgL_auxz00_19531
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22962);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22966;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22966);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22970;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22970);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22974;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22974);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd243196zd2_6566;
																																																																						BgL_cdrzd243196zd2_6566
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd243203zd2_6567;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11326;
																																																																								BgL_pairz00_11326
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd243203zd2_6567
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11326);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd243210zd2_6568;
																																																																								BgL_cdrzd243210zd2_6568
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd243203zd2_6567));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd243216zd2_6569;
																																																																									obj_t
																																																																										BgL_cdrzd243217zd2_6570;
																																																																									BgL_carzd243216zd2_6569
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd243210zd2_6568));
																																																																									BgL_cdrzd243217zd2_6570
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd243210zd2_6568));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243216zd2_6569))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd243224zd2_6572;
																																																																											BgL_carzd243224zd2_6572
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd243217zd2_6570));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243224zd2_6572))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd243217zd2_6570))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243196zd2_6566))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5364z00_6577;
																																																																																	BgL_arg5364z00_6577
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd243203zd2_6567));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23001;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23005;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23004;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23003;
																																																																																			obj_t
																																																																																				BgL_testz00_23002;
																																																																																			BgL_testz00_23002
																																																																																				=
																																																																																				BgL_arg5364z00_6577;
																																																																																			BgL_proc1z00_23003
																																																																																				=
																																																																																				BgL_carzd243216zd2_6569;
																																																																																			BgL_proc2z00_23004
																																																																																				=
																																																																																				BgL_carzd243224zd2_6572;
																																																																																			BgL_argsz00_23005
																																																																																				=
																																																																																				BgL_cdrzd243196zd2_6566;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_23005;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_23004;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_23003;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_23002;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23001);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1764;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23009;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1765;
																																																																																			BgL_auxz00_19531
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23009);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23013;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23013);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23017;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23017);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23021;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23021);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23025;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23025);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd243557zd2_6585;
																																																																		BgL_cdrzd243557zd2_6585
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd243563zd2_6586;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11336;
																																																																				BgL_pairz00_11336
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd243563zd2_6586
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11336);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd243569zd2_6587;
																																																																				BgL_cdrzd243569zd2_6587
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd243563zd2_6586));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd243574zd2_6588;
																																																																					obj_t
																																																																						BgL_cdrzd243575zd2_6589;
																																																																					BgL_carzd243574zd2_6588
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd243569zd2_6587));
																																																																					BgL_cdrzd243575zd2_6589
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd243569zd2_6587));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243574zd2_6588))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd243575zd2_6589))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd243580zd2_6592;
																																																																									BgL_carzd243580zd2_6592
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd243575zd2_6589);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243580zd2_6592))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd243575zd2_6589)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243557zd2_6585))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5378z00_6597;
																																																																															BgL_arg5378z00_6597
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd243563zd2_6586));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23052;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_23056;
																																																																																	obj_t
																																																																																		BgL_proc2z00_23055;
																																																																																	obj_t
																																																																																		BgL_proc1z00_23054;
																																																																																	obj_t
																																																																																		BgL_testz00_23053;
																																																																																	BgL_testz00_23053
																																																																																		=
																																																																																		BgL_arg5378z00_6597;
																																																																																	BgL_proc1z00_23054
																																																																																		=
																																																																																		BgL_carzd243574zd2_6588;
																																																																																	BgL_proc2z00_23055
																																																																																		=
																																																																																		BgL_carzd243580zd2_6592;
																																																																																	BgL_argsz00_23056
																																																																																		=
																																																																																		BgL_cdrzd243557zd2_6585;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_argsz00_23056;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_proc2z00_23055;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_proc1z00_23054;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_testz00_23053;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1740;
																																																																																}
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23052);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23060;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23060);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23064;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23064);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23068;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23068);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23072;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23072);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23076;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23076);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23080;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23080);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23084;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23084);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23088;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23088);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd241105zd2_6487 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_23093;
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_23093);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241105zd2_6487)))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_23098;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_23098);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd241105zd2_6487 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_23103;
																																													goto
																																														BgL_tagzd2382zd2_1720;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_23103);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_23110;
																																															goto
																																																BgL_tagzd2383zd2_1721;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_23110);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd244142zd2_6757;
																																															BgL_carzd244142zd2_6757
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd244142zd2_6757 == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_23117;
																																																	goto
																																																		BgL_tagzd2384zd2_1722;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_23117);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244142zd2_6757)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_23122;
																																																			goto
																																																				BgL_tagzd2384zd2_1722;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_23122);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23129;
																																																					goto
																																																						BgL_tagzd2389zd2_1741;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23129);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23136;
																																																							goto
																																																								BgL_tagzd2390zd2_1742;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23136);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd244222zd2_6764;
																																																							BgL_cdrzd244222zd2_6764
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg5500z00_6767;
																																																									obj_t
																																																										BgL_arg5501z00_6768;
																																																									BgL_arg5500z00_6767
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd244222zd2_6764));
																																																									BgL_arg5501z00_6768
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd244222zd2_6764));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23149;
																																																										{
																																																											obj_t
																																																												BgL_restz00_23151;
																																																											obj_t
																																																												BgL_effectz00_23150;
																																																											BgL_effectz00_23150
																																																												=
																																																												BgL_arg5500z00_6767;
																																																											BgL_restz00_23151
																																																												=
																																																												BgL_arg5501z00_6768;
																																																											BgL_restz00_1744
																																																												=
																																																												BgL_restz00_23151;
																																																											BgL_effectz00_1743
																																																												=
																																																												BgL_effectz00_23150;
																																																											goto
																																																												BgL_tagzd2391zd2_1745;
																																																										}
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23149);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23158;
																																																											goto
																																																												BgL_tagzd2392zd2_1746;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23158);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23165;
																																																													goto
																																																														BgL_tagzd2393zd2_1747;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23165);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg5508z00_6776;
																																																															obj_t
																																																																BgL_arg5509z00_6777;
																																																															BgL_arg5508z00_6776
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd244222zd2_6764));
																																																															BgL_arg5509z00_6777
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd244222zd2_6764));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23176;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_23178;
																																																																	obj_t
																																																																		BgL_effectz00_23177;
																																																																	BgL_effectz00_23177
																																																																		=
																																																																		BgL_arg5508z00_6776;
																																																																	BgL_restz00_23178
																																																																		=
																																																																		BgL_arg5509z00_6777;
																																																																	BgL_restz00_1749
																																																																		=
																																																																		BgL_restz00_23178;
																																																																	BgL_effectz00_1748
																																																																		=
																																																																		BgL_effectz00_23177;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1750;
																																																																}
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23176);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23185;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1751;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23185);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23192;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1752;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23192);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_23199;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1753;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23199);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_23206;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1754;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23206);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 31))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_23213;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_23214;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_11367;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11366;
																																																																												BgL_pairz00_11366
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_pairz00_11367
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11366);
																																																																											}
																																																																											BgL_tmpz00_23214
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_11367);
																																																																										}
																																																																										BgL_testz00_23213
																																																																											=
																																																																											NULLP
																																																																											(BgL_tmpz00_23214);
																																																																									}
																																																																									if (BgL_testz00_23213)
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23220;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1755;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23220);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23224;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23224);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd244310zd2_6796;
																																																																									BgL_cdrzd244310zd2_6796
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd244316zd2_6799;
																																																																											BgL_cdrzd244316zd2_6799
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd244310zd2_6796));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd244322zd2_6800;
																																																																												BgL_cdrzd244322zd2_6800
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd244316zd2_6799));
																																																																												if ((CAR(((obj_t) BgL_cdrzd244316zd2_6799)) == CNST_TABLE_REF(((long) 32))))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (PAIRP(BgL_cdrzd244322zd2_6800))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg5533z00_6804;
																																																																																obj_t
																																																																																	BgL_arg5534z00_6805;
																																																																																obj_t
																																																																																	BgL_arg5535z00_6806;
																																																																																BgL_arg5533z00_6804
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd244310zd2_6796));
																																																																																BgL_arg5534z00_6805
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd244322zd2_6800);
																																																																																BgL_arg5535z00_6806
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd244322zd2_6800);
																																																																																{	/* Ast/sexp.scm 546 */
																																																																																	obj_t
																																																																																		BgL_arg6426z00_11378;
																																																																																	BgL_arg6426z00_11378
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg5533z00_6804,
																																																																																			BgL_arg5534z00_6805,
																																																																																			BgL_arg5535z00_6806,
																																																																																			BgL_stackz00_22,
																																																																																			BgL_arg6426z00_11378,
																																																																																			BgL_sitez00_24));
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg5536z00_6808;
																																																																																obj_t
																																																																																	BgL_arg5537z00_6809;
																																																																																BgL_arg5536z00_6808
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd244310zd2_6796));
																																																																																BgL_arg5537z00_6809
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd244310zd2_6796));
																																																																																{	/* Ast/sexp.scm 548 */
																																																																																	obj_t
																																																																																		BgL_arg6427z00_11382;
																																																																																	BgL_arg6427z00_11382
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg5536z00_6808,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg5537z00_6809, BgL_stackz00_22, BgL_arg6427z00_11382, BgL_sitez00_24));
																																																																													}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg5538z00_6811;
																																																																														obj_t
																																																																															BgL_arg5539z00_6812;
																																																																														BgL_arg5538z00_6811
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd244310zd2_6796));
																																																																														BgL_arg5539z00_6812
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd244310zd2_6796));
																																																																														{	/* Ast/sexp.scm 548 */
																																																																															obj_t
																																																																																BgL_arg6427z00_11386;
																																																																															BgL_arg6427z00_11386
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_arg5538z00_6811,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg5539z00_6812, BgL_stackz00_22, BgL_arg6427z00_11386, BgL_sitez00_24));
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23269;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23269);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_carzd244371zd2_6831;
																											BgL_carzd244371zd2_6831 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd244371zd2_6831
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_23276;
																													goto
																														BgL_tagzd2377zd2_1711;
																													BgL_auxz00_19531 =
																														((obj_t)
																														BgL_auxz00_23276);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(BgL_carzd244371zd2_6831
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_23280;
																															goto
																																BgL_tagzd2377zd2_1711;
																															BgL_auxz00_19531 =
																																((obj_t)
																																BgL_auxz00_23280);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_23287;
																																	goto
																																		BgL_tagzd2379zd2_1715;
																																	BgL_auxz00_19531
																																		=
																																		((obj_t)
																																		BgL_auxz00_23287);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_23294;
																																			goto
																																				BgL_tagzd2380zd2_1716;
																																			BgL_auxz00_19531
																																				=
																																				((obj_t)
																																				BgL_auxz00_23294);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd244432zd2_6838;
																																			BgL_carzd244432zd2_6838
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd244432zd2_6838))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd244435zd2_6840;
																																					obj_t
																																						BgL_cdrzd244436zd2_6841;
																																					BgL_carzd244435zd2_6840
																																						=
																																						CAR
																																						(BgL_carzd244432zd2_6838);
																																					BgL_cdrzd244436zd2_6841
																																						=
																																						CDR
																																						(BgL_carzd244432zd2_6838);
																																					{

																																						if (
																																							(BgL_carzd244435zd2_6840
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 118 */
																																							BgL_kapzd244437zd2_6842:
																																								if (PAIRP(BgL_cdrzd244436zd2_6841))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd244440zd2_7021;
																																										BgL_cdrzd244440zd2_7021
																																											=
																																											CDR
																																											(BgL_cdrzd244436zd2_6841);
																																										if (PAIRP(BgL_cdrzd244440zd2_7021))
																																											{	/* Ast/sexp.scm 118 */
																																												if (NULLP(CDR(BgL_cdrzd244440zd2_7021)))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg5691z00_7025;
																																														obj_t
																																															BgL_arg5692z00_7026;
																																														BgL_arg5691z00_7025
																																															=
																																															CAR
																																															(BgL_cdrzd244440zd2_7021);
																																														BgL_arg5692z00_7026
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_23316;
																																															{
																																																obj_t
																																																	BgL_argsz00_23318;
																																																obj_t
																																																	BgL_bodyz00_23317;
																																																BgL_bodyz00_23317
																																																	=
																																																	BgL_arg5691z00_7025;
																																																BgL_argsz00_23318
																																																	=
																																																	BgL_arg5692z00_7026;
																																																BgL_argsz00_1718
																																																	=
																																																	BgL_argsz00_23318;
																																																BgL_bodyz00_1717
																																																	=
																																																	BgL_bodyz00_23317;
																																																goto
																																																	BgL_tagzd2381zd2_1719;
																																															}
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_23316);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_23320;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5759z00_7135;
																																															BgL_arg5759z00_7135
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_23320
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5759z00_7135));
																																														}
																																														if (BgL_testz00_23320)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23325;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23325);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_23327;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5758z00_7134;
																																																	BgL_arg5758z00_7134
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_23327
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5758z00_7134));
																																																}
																																																if (BgL_testz00_23327)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_23332;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23332);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd244518zd2_7031;
																																																		BgL_carzd244518zd2_7031
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd244523zd2_7032;
																																																			BgL_cdrzd244523zd2_7032
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd244518zd2_7031));
																																																			if ((CAR(((obj_t) BgL_carzd244518zd2_7031)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5699z00_7035;
																																																					obj_t
																																																						BgL_arg5700z00_7036;
																																																					obj_t
																																																						BgL_arg5701z00_7037;
																																																					BgL_arg5699z00_7035
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd244523zd2_7032));
																																																					BgL_arg5700z00_7036
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd244523zd2_7032));
																																																					BgL_arg5701z00_7037
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23349;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_23352;
																																																							obj_t
																																																								BgL_bodyz00_23351;
																																																							obj_t
																																																								BgL_varsz00_23350;
																																																							BgL_varsz00_23350
																																																								=
																																																								BgL_arg5699z00_7035;
																																																							BgL_bodyz00_23351
																																																								=
																																																								BgL_arg5700z00_7036;
																																																							BgL_argsz00_23352
																																																								=
																																																								BgL_arg5701z00_7037;
																																																							BgL_argsz00_1729
																																																								=
																																																								BgL_argsz00_23352;
																																																							BgL_bodyz00_1728
																																																								=
																																																								BgL_bodyz00_23351;
																																																							BgL_varsz00_1727
																																																								=
																																																								BgL_varsz00_23350;
																																																							goto
																																																								BgL_tagzd2386zd2_1730;
																																																						}
																																																						BgL_auxz00_19531
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23349);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd244546zd2_7039;
																																																					BgL_cdrzd244546zd2_7039
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd244552zd2_7040;
																																																						BgL_cdrzd244552zd2_7040
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd244518zd2_7031));
																																																						if ((CAR(((obj_t) BgL_carzd244518zd2_7031)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd244558zd2_7043;
																																																								BgL_cdrzd244558zd2_7043
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd244552zd2_7040));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd244563zd2_7044;
																																																									obj_t
																																																										BgL_cdrzd244564zd2_7045;
																																																									BgL_carzd244563zd2_7044
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd244558zd2_7043));
																																																									BgL_cdrzd244564zd2_7045
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd244558zd2_7043));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244563zd2_7044))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd244564zd2_7045))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd244571zd2_7048;
																																																													BgL_carzd244571zd2_7048
																																																														=
																																																														CAR
																																																														(BgL_cdrzd244564zd2_7045);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244571zd2_7048))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd244564zd2_7045)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_23379;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1443z00_7081;
																																																																		BgL_l1443z00_7081
																																																																			=
																																																																			BgL_cdrzd244546zd2_7039;
																																																																	BgL_zc3anonymousza35724ze3z83_7082:
																																																																		if (NULLP(BgL_l1443z00_7081))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_23379
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_23382;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_23383;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_tmpz00_23384;
																																																																						BgL_tmpz00_23384
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1443z00_7081));
																																																																						BgL_testz00_23383
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_23384);
																																																																					}
																																																																					if (BgL_testz00_23383)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_23382
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_23382
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_23382)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1443z00_23388;
																																																																						BgL_l1443z00_23388
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1443z00_7081));
																																																																						BgL_l1443z00_7081
																																																																							=
																																																																							BgL_l1443z00_23388;
																																																																						goto
																																																																							BgL_zc3anonymousza35724ze3z83_7082;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_23379
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_23379)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg5714z00_7064;
																																																																			BgL_arg5714z00_7064
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd244552zd2_7040));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23393;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_23397;
																																																																					obj_t
																																																																						BgL_proc2z00_23396;
																																																																					obj_t
																																																																						BgL_proc1z00_23395;
																																																																					obj_t
																																																																						BgL_testz00_23394;
																																																																					BgL_testz00_23394
																																																																						=
																																																																						BgL_arg5714z00_7064;
																																																																					BgL_proc1z00_23395
																																																																						=
																																																																						BgL_carzd244563zd2_7044;
																																																																					BgL_proc2z00_23396
																																																																						=
																																																																						BgL_carzd244571zd2_7048;
																																																																					BgL_argsz00_23397
																																																																						=
																																																																						BgL_cdrzd244546zd2_7039;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_23397;
																																																																					BgL_proc2z00_1733
																																																																						=
																																																																						BgL_proc2z00_23396;
																																																																					BgL_proc1z00_1732
																																																																						=
																																																																						BgL_proc1z00_23395;
																																																																					BgL_testz00_1731
																																																																						=
																																																																						BgL_testz00_23394;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1735;
																																																																				}
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23393);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd244595zd2_7065;
																																																																			BgL_cdrzd244595zd2_7065
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd244602zd2_7066;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_11427;
																																																																					BgL_pairz00_11427
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd244602zd2_7066
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_11427);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd244609zd2_7067;
																																																																					BgL_cdrzd244609zd2_7067
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd244602zd2_7066));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd244615zd2_7068;
																																																																						BgL_carzd244615zd2_7068
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd244609zd2_7067));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244615zd2_7068))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd244622zd2_7070;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11431;
																																																																									BgL_pairz00_11431
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd244609zd2_7067));
																																																																									BgL_carzd244622zd2_7070
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_11431);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244622zd2_7070))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244595zd2_7065))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5718z00_7073;
																																																																												BgL_arg5718z00_7073
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd244602zd2_7066));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23419;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23423;
																																																																														obj_t
																																																																															BgL_proc2z00_23422;
																																																																														obj_t
																																																																															BgL_proc1z00_23421;
																																																																														obj_t
																																																																															BgL_testz00_23420;
																																																																														BgL_testz00_23420
																																																																															=
																																																																															BgL_arg5718z00_7073;
																																																																														BgL_proc1z00_23421
																																																																															=
																																																																															BgL_carzd244615zd2_7068;
																																																																														BgL_proc2z00_23422
																																																																															=
																																																																															BgL_carzd244622zd2_7070;
																																																																														BgL_argsz00_23423
																																																																															=
																																																																															BgL_cdrzd244595zd2_7065;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_23423;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_23422;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_23421;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_23420;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23419);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23427;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23427);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23431;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23431);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23435;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23435);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23439;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23439);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd244898zd2_7092;
																																																															BgL_cdrzd244898zd2_7092
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd244904zd2_7093;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_11435;
																																																																	BgL_pairz00_11435
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd244904zd2_7093
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11435);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd244910zd2_7094;
																																																																	BgL_cdrzd244910zd2_7094
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244904zd2_7093));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd244915zd2_7095;
																																																																		obj_t
																																																																			BgL_cdrzd244916zd2_7096;
																																																																		BgL_carzd244915zd2_7095
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244910zd2_7094));
																																																																		BgL_cdrzd244916zd2_7096
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244910zd2_7094));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244915zd2_7095))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd244921zd2_7098;
																																																																				BgL_carzd244921zd2_7098
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd244916zd2_7096));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244921zd2_7098))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd244916zd2_7096))))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244898zd2_7092))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5733z00_7103;
																																																																										BgL_arg5733z00_7103
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd244904zd2_7093));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23466;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23470;
																																																																												obj_t
																																																																													BgL_proc2z00_23469;
																																																																												obj_t
																																																																													BgL_proc1z00_23468;
																																																																												obj_t
																																																																													BgL_testz00_23467;
																																																																												BgL_testz00_23467
																																																																													=
																																																																													BgL_arg5733z00_7103;
																																																																												BgL_proc1z00_23468
																																																																													=
																																																																													BgL_carzd244915zd2_7095;
																																																																												BgL_proc2z00_23469
																																																																													=
																																																																													BgL_carzd244921zd2_7098;
																																																																												BgL_argsz00_23470
																																																																													=
																																																																													BgL_cdrzd244898zd2_7092;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_23470;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_23469;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_23468;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_23467;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23466);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23474;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23474);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23478;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23478);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23482;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23482);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23486;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23486);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23490;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23490);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd245254zd2_7111;
																																																											BgL_cdrzd245254zd2_7111
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd245261zd2_7112;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_11445;
																																																													BgL_pairz00_11445
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd245261zd2_7112
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11445);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd245268zd2_7113;
																																																													BgL_cdrzd245268zd2_7113
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd245261zd2_7112));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd245274zd2_7114;
																																																														obj_t
																																																															BgL_cdrzd245275zd2_7115;
																																																														BgL_carzd245274zd2_7114
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd245268zd2_7113));
																																																														BgL_cdrzd245275zd2_7115
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd245268zd2_7113));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245274zd2_7114))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd245275zd2_7115))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd245282zd2_7118;
																																																																		BgL_carzd245282zd2_7118
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd245275zd2_7115);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245282zd2_7118))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd245275zd2_7115)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245254zd2_7111))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg5747z00_7123;
																																																																								BgL_arg5747z00_7123
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd245261zd2_7112));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23517;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23521;
																																																																										obj_t
																																																																											BgL_proc2z00_23520;
																																																																										obj_t
																																																																											BgL_proc1z00_23519;
																																																																										obj_t
																																																																											BgL_testz00_23518;
																																																																										BgL_testz00_23518
																																																																											=
																																																																											BgL_arg5747z00_7123;
																																																																										BgL_proc1z00_23519
																																																																											=
																																																																											BgL_carzd245274zd2_7114;
																																																																										BgL_proc2z00_23520
																																																																											=
																																																																											BgL_carzd245282zd2_7118;
																																																																										BgL_argsz00_23521
																																																																											=
																																																																											BgL_cdrzd245254zd2_7111;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_23521;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_23520;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_23519;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_23518;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1740;
																																																																									}
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23517);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23525;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23525);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23529;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23529);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23533;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23533);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23537;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23537);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23541;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23541);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1764;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23545;
																																																										goto
																																																											BgL_tagzd2404zd2_1765;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23545);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_23547;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5773z00_7151;
																																													BgL_arg5773z00_7151
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_23547
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5773z00_7151));
																																												}
																																												if (BgL_testz00_23547)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_23552;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_23552);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_23554;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5772z00_7150;
																																															BgL_arg5772z00_7150
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_23554
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5772z00_7150));
																																														}
																																														if (BgL_testz00_23554)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_23559;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23559);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd245728zd2_7141;
																																																BgL_carzd245728zd2_7141
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd245733zd2_7142;
																																																	BgL_cdrzd245733zd2_7142
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd245728zd2_7141));
																																																	if ((CAR(((obj_t) BgL_carzd245728zd2_7141)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5767z00_7145;
																																																			obj_t
																																																				BgL_arg5768z00_7146;
																																																			obj_t
																																																				BgL_arg5769z00_7147;
																																																			BgL_arg5767z00_7145
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd245733zd2_7142));
																																																			BgL_arg5768z00_7146
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd245733zd2_7142));
																																																			BgL_arg5769z00_7147
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23576;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_23579;
																																																					obj_t
																																																						BgL_bodyz00_23578;
																																																					obj_t
																																																						BgL_varsz00_23577;
																																																					BgL_varsz00_23577
																																																						=
																																																						BgL_arg5767z00_7145;
																																																					BgL_bodyz00_23578
																																																						=
																																																						BgL_arg5768z00_7146;
																																																					BgL_argsz00_23579
																																																						=
																																																						BgL_arg5769z00_7147;
																																																					BgL_argsz00_1729
																																																						=
																																																						BgL_argsz00_23579;
																																																					BgL_bodyz00_1728
																																																						=
																																																						BgL_bodyz00_23578;
																																																					BgL_varsz00_1727
																																																						=
																																																						BgL_varsz00_23577;
																																																					goto
																																																						BgL_tagzd2386zd2_1730;
																																																				}
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23576);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1764;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23583;
																																																					goto
																																																						BgL_tagzd2404zd2_1765;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23583);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_23585;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg5780z00_7158;
																																											BgL_arg5780z00_7158
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_23585
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg5780z00_7158));
																																										}
																																										if (BgL_testz00_23585)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_23590;
																																												goto
																																													BgL_tagzd2382zd2_1720;
																																												BgL_auxz00_19531
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_23590);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_23592;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5779z00_7157;
																																													BgL_arg5779z00_7157
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_23592
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg5779z00_7157));
																																												}
																																												if (BgL_testz00_23592)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_23597;
																																														goto
																																															BgL_tagzd2384zd2_1722;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_23597);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd2403zd2_1764;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23601;
																																																goto
																																																	BgL_tagzd2404zd2_1765;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23601);
																																															}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244435zd2_6840)))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd244437zd2_6842;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd244435zd2_6840 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd244437zd2_6842;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd244435zd2_6840 == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd244437zd2_6842;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244435zd2_6840)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd244437zd2_6842;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_23615;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5686z00_7019;
																																																	BgL_arg5686z00_7019
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_23615
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5686z00_7019));
																																																}
																																																if (BgL_testz00_23615)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_23620;
																																																		goto
																																																			BgL_tagzd2382zd2_1720;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23620);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_23622;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5685z00_7018;
																																																			BgL_arg5685z00_7018
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_23622
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5685z00_7018));
																																																		}
																																																		if (BgL_testz00_23622)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_23627;
																																																				goto
																																																					BgL_tagzd2384zd2_1722;
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23627);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd246043zd2_6852;
																																																				obj_t
																																																					BgL_cdrzd246044zd2_6853;
																																																				BgL_carzd246043zd2_6852
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_cdrzd246044zd2_6853
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd246048zd2_6854;
																																																					BgL_cdrzd246048zd2_6854
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd246043zd2_6852));
																																																					if ((CAR(((obj_t) BgL_carzd246043zd2_6852)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd246048zd2_6854))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd246051zd2_6858;
																																																									obj_t
																																																										BgL_cdrzd246052zd2_6859;
																																																									BgL_carzd246051zd2_6858
																																																										=
																																																										CAR
																																																										(BgL_cdrzd246048zd2_6854);
																																																									BgL_cdrzd246052zd2_6859
																																																										=
																																																										CDR
																																																										(BgL_cdrzd246048zd2_6854);
																																																									if (PAIRP(BgL_carzd246051zd2_6858))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (NULLP(CDR(BgL_carzd246051zd2_6858)))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd246052zd2_6859))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd246058zd2_6864;
																																																															BgL_carzd246058zd2_6864
																																																																=
																																																																CAR
																																																																(BgL_cdrzd246052zd2_6859);
																																																															if (PAIRP(BgL_carzd246058zd2_6864))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd246058zd2_6864))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd246052zd2_6859)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd246065zd2_6869;
																																																																					BgL_carzd246065zd2_6869
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd246044zd2_6853));
																																																																					if (PAIRP(BgL_carzd246065zd2_6869))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd246090zd2_6871;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11484;
																																																																								BgL_pairz00_11484
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd246090zd2_6871
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11484);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg5586z00_6872;
																																																																								obj_t
																																																																									BgL_arg5587z00_6873;
																																																																								obj_t
																																																																									BgL_arg5588z00_6874;
																																																																								BgL_arg5586z00_6872
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd246090zd2_6871));
																																																																								BgL_arg5587z00_6873
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd246090zd2_6871));
																																																																								BgL_arg5588z00_6874
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23672;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23675;
																																																																										obj_t
																																																																											BgL_bodyz00_23674;
																																																																										obj_t
																																																																											BgL_varsz00_23673;
																																																																										BgL_varsz00_23673
																																																																											=
																																																																											BgL_arg5586z00_6872;
																																																																										BgL_bodyz00_23674
																																																																											=
																																																																											BgL_arg5587z00_6873;
																																																																										BgL_argsz00_23675
																																																																											=
																																																																											BgL_arg5588z00_6874;
																																																																										BgL_argsz00_1729
																																																																											=
																																																																											BgL_argsz00_23675;
																																																																										BgL_bodyz00_1728
																																																																											=
																																																																											BgL_bodyz00_23674;
																																																																										BgL_varsz00_1727
																																																																											=
																																																																											BgL_varsz00_23673;
																																																																										goto
																																																																											BgL_tagzd2386zd2_1730;
																																																																									}
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23672);
																																																																								}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd246044zd2_6853))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg5592z00_6878;
																																																																									BgL_arg5592z00_6878
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd246051zd2_6858);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_23682;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_23685;
																																																																											obj_t
																																																																												BgL_bodyz00_23684;
																																																																											obj_t
																																																																												BgL_varz00_23683;
																																																																											BgL_varz00_23683
																																																																												=
																																																																												BgL_arg5592z00_6878;
																																																																											BgL_bodyz00_23684
																																																																												=
																																																																												BgL_carzd246058zd2_6864;
																																																																											BgL_argz00_23685
																																																																												=
																																																																												BgL_carzd246065zd2_6869;
																																																																											BgL_argz00_1725
																																																																												=
																																																																												BgL_argz00_23685;
																																																																											BgL_bodyz00_1724
																																																																												=
																																																																												BgL_bodyz00_23684;
																																																																											BgL_varz00_1723
																																																																												=
																																																																												BgL_varz00_23683;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1726;
																																																																										}
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23682);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd246118zd2_6879;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_11492;
																																																																										BgL_pairz00_11492
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd246118zd2_6879
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11492);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5593z00_6880;
																																																																										obj_t
																																																																											BgL_arg5594z00_6881;
																																																																										obj_t
																																																																											BgL_arg5595z00_6882;
																																																																										BgL_arg5593z00_6880
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd246118zd2_6879));
																																																																										BgL_arg5594z00_6881
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd246118zd2_6879));
																																																																										BgL_arg5595z00_6882
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23696;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23699;
																																																																												obj_t
																																																																													BgL_bodyz00_23698;
																																																																												obj_t
																																																																													BgL_varsz00_23697;
																																																																												BgL_varsz00_23697
																																																																													=
																																																																													BgL_arg5593z00_6880;
																																																																												BgL_bodyz00_23698
																																																																													=
																																																																													BgL_arg5594z00_6881;
																																																																												BgL_argsz00_23699
																																																																													=
																																																																													BgL_arg5595z00_6882;
																																																																												BgL_argsz00_1729
																																																																													=
																																																																													BgL_argsz00_23699;
																																																																												BgL_bodyz00_1728
																																																																													=
																																																																													BgL_bodyz00_23698;
																																																																												BgL_varsz00_1727
																																																																													=
																																																																													BgL_varsz00_23697;
																																																																												goto
																																																																													BgL_tagzd2386zd2_1730;
																																																																											}
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23696);
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd246144zd2_6885;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_11497;
																																																																						BgL_pairz00_11497
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd246144zd2_6885
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_11497);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg5598z00_6886;
																																																																						obj_t
																																																																							BgL_arg5599z00_6887;
																																																																						obj_t
																																																																							BgL_arg5600z00_6888;
																																																																						BgL_arg5598z00_6886
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd246144zd2_6885));
																																																																						BgL_arg5599z00_6887
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd246144zd2_6885));
																																																																						BgL_arg5600z00_6888
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23710;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23713;
																																																																								obj_t
																																																																									BgL_bodyz00_23712;
																																																																								obj_t
																																																																									BgL_varsz00_23711;
																																																																								BgL_varsz00_23711
																																																																									=
																																																																									BgL_arg5598z00_6886;
																																																																								BgL_bodyz00_23712
																																																																									=
																																																																									BgL_arg5599z00_6887;
																																																																								BgL_argsz00_23713
																																																																									=
																																																																									BgL_arg5600z00_6888;
																																																																								BgL_argsz00_1729
																																																																									=
																																																																									BgL_argsz00_23713;
																																																																								BgL_bodyz00_1728
																																																																									=
																																																																									BgL_bodyz00_23712;
																																																																								BgL_varsz00_1727
																																																																									=
																																																																									BgL_varsz00_23711;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1730;
																																																																							}
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23710);
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd246170zd2_6891;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11502;
																																																																				BgL_pairz00_11502
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd246170zd2_6891
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11502);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg5603z00_6892;
																																																																				obj_t
																																																																					BgL_arg5604z00_6893;
																																																																				obj_t
																																																																					BgL_arg5605z00_6894;
																																																																				BgL_arg5603z00_6892
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd246170zd2_6891));
																																																																				BgL_arg5604z00_6893
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd246170zd2_6891));
																																																																				BgL_arg5605z00_6894
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23724;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23727;
																																																																						obj_t
																																																																							BgL_bodyz00_23726;
																																																																						obj_t
																																																																							BgL_varsz00_23725;
																																																																						BgL_varsz00_23725
																																																																							=
																																																																							BgL_arg5603z00_6892;
																																																																						BgL_bodyz00_23726
																																																																							=
																																																																							BgL_arg5604z00_6893;
																																																																						BgL_argsz00_23727
																																																																							=
																																																																							BgL_arg5605z00_6894;
																																																																						BgL_argsz00_1729
																																																																							=
																																																																							BgL_argsz00_23727;
																																																																						BgL_bodyz00_1728
																																																																							=
																																																																							BgL_bodyz00_23726;
																																																																						BgL_varsz00_1727
																																																																							=
																																																																							BgL_varsz00_23725;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1730;
																																																																					}
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23724);
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd246196zd2_6896;
																																																																	BgL_cdrzd246196zd2_6896
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd246043zd2_6852));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg5607z00_6897;
																																																																		obj_t
																																																																			BgL_arg5608z00_6898;
																																																																		obj_t
																																																																			BgL_arg5609z00_6899;
																																																																		BgL_arg5607z00_6897
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd246196zd2_6896));
																																																																		BgL_arg5608z00_6898
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd246196zd2_6896));
																																																																		BgL_arg5609z00_6899
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23737;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23740;
																																																																				obj_t
																																																																					BgL_bodyz00_23739;
																																																																				obj_t
																																																																					BgL_varsz00_23738;
																																																																				BgL_varsz00_23738
																																																																					=
																																																																					BgL_arg5607z00_6897;
																																																																				BgL_bodyz00_23739
																																																																					=
																																																																					BgL_arg5608z00_6898;
																																																																				BgL_argsz00_23740
																																																																					=
																																																																					BgL_arg5609z00_6899;
																																																																				BgL_argsz00_1729
																																																																					=
																																																																					BgL_argsz00_23740;
																																																																				BgL_bodyz00_1728
																																																																					=
																																																																					BgL_bodyz00_23739;
																																																																				BgL_varsz00_1727
																																																																					=
																																																																					BgL_varsz00_23738;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1730;
																																																																			}
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23737);
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd246222zd2_6901;
																																																															BgL_cdrzd246222zd2_6901
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd246043zd2_6852));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg5611z00_6902;
																																																																obj_t
																																																																	BgL_arg5612z00_6903;
																																																																obj_t
																																																																	BgL_arg5613z00_6904;
																																																																BgL_arg5611z00_6902
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd246222zd2_6901));
																																																																BgL_arg5612z00_6903
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd246222zd2_6901));
																																																																BgL_arg5613z00_6904
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23750;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_23753;
																																																																		obj_t
																																																																			BgL_bodyz00_23752;
																																																																		obj_t
																																																																			BgL_varsz00_23751;
																																																																		BgL_varsz00_23751
																																																																			=
																																																																			BgL_arg5611z00_6902;
																																																																		BgL_bodyz00_23752
																																																																			=
																																																																			BgL_arg5612z00_6903;
																																																																		BgL_argsz00_23753
																																																																			=
																																																																			BgL_arg5613z00_6904;
																																																																		BgL_argsz00_1729
																																																																			=
																																																																			BgL_argsz00_23753;
																																																																		BgL_bodyz00_1728
																																																																			=
																																																																			BgL_bodyz00_23752;
																																																																		BgL_varsz00_1727
																																																																			=
																																																																			BgL_varsz00_23751;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1730;
																																																																	}
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23750);
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd246248zd2_6906;
																																																													BgL_cdrzd246248zd2_6906
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd246043zd2_6852));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg5615z00_6907;
																																																														obj_t
																																																															BgL_arg5616z00_6908;
																																																														obj_t
																																																															BgL_arg5617z00_6909;
																																																														BgL_arg5615z00_6907
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd246248zd2_6906));
																																																														BgL_arg5616z00_6908
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd246248zd2_6906));
																																																														BgL_arg5617z00_6909
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23763;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_23766;
																																																																obj_t
																																																																	BgL_bodyz00_23765;
																																																																obj_t
																																																																	BgL_varsz00_23764;
																																																																BgL_varsz00_23764
																																																																	=
																																																																	BgL_arg5615z00_6907;
																																																																BgL_bodyz00_23765
																																																																	=
																																																																	BgL_arg5616z00_6908;
																																																																BgL_argsz00_23766
																																																																	=
																																																																	BgL_arg5617z00_6909;
																																																																BgL_argsz00_1729
																																																																	=
																																																																	BgL_argsz00_23766;
																																																																BgL_bodyz00_1728
																																																																	=
																																																																	BgL_bodyz00_23765;
																																																																BgL_varsz00_1727
																																																																	=
																																																																	BgL_varsz00_23764;
																																																																goto
																																																																	BgL_tagzd2386zd2_1730;
																																																															}
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23763);
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd246274zd2_6912;
																																																											BgL_cdrzd246274zd2_6912
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd246043zd2_6852));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg5620z00_6913;
																																																												obj_t
																																																													BgL_arg5621z00_6914;
																																																												obj_t
																																																													BgL_arg5622z00_6915;
																																																												BgL_arg5620z00_6913
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd246274zd2_6912));
																																																												BgL_arg5621z00_6914
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd246274zd2_6912));
																																																												BgL_arg5622z00_6915
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23776;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23779;
																																																														obj_t
																																																															BgL_bodyz00_23778;
																																																														obj_t
																																																															BgL_varsz00_23777;
																																																														BgL_varsz00_23777
																																																															=
																																																															BgL_arg5620z00_6913;
																																																														BgL_bodyz00_23778
																																																															=
																																																															BgL_arg5621z00_6914;
																																																														BgL_argsz00_23779
																																																															=
																																																															BgL_arg5622z00_6915;
																																																														BgL_argsz00_1729
																																																															=
																																																															BgL_argsz00_23779;
																																																														BgL_bodyz00_1728
																																																															=
																																																															BgL_bodyz00_23778;
																																																														BgL_varsz00_1727
																																																															=
																																																															BgL_varsz00_23777;
																																																														goto
																																																															BgL_tagzd2386zd2_1730;
																																																													}
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23776);
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23783;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23783);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd246412zd2_6920;
																																																							BgL_cdrzd246412zd2_6920
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd246043zd2_6852));
																																																							if ((CAR(((obj_t) BgL_carzd246043zd2_6852)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd246412zd2_6920))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd246417zd2_6924;
																																																											BgL_cdrzd246417zd2_6924
																																																												=
																																																												CDR
																																																												(BgL_cdrzd246412zd2_6920);
																																																											if (PAIRP(BgL_cdrzd246417zd2_6924))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd246421zd2_6926;
																																																													obj_t
																																																														BgL_cdrzd246422zd2_6927;
																																																													BgL_carzd246421zd2_6926
																																																														=
																																																														CAR
																																																														(BgL_cdrzd246417zd2_6924);
																																																													BgL_cdrzd246422zd2_6927
																																																														=
																																																														CDR
																																																														(BgL_cdrzd246417zd2_6924);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246421zd2_6926))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd246422zd2_6927))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd246427zd2_6930;
																																																																	BgL_carzd246427zd2_6930
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd246422zd2_6927);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246427zd2_6930))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd246422zd2_6927)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_23809;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1446z00_6963;
																																																																						BgL_l1446z00_6963
																																																																							=
																																																																							BgL_cdrzd246044zd2_6853;
																																																																					BgL_zc3anonymousza35649ze3z83_6964:
																																																																						if (NULLP(BgL_l1446z00_6963))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_23809
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_23812;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_23813;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_23814;
																																																																										BgL_tmpz00_23814
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1446z00_6963));
																																																																										BgL_testz00_23813
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_23814);
																																																																									}
																																																																									if (BgL_testz00_23813)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_23812
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_23812
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_23812)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1446z00_23818;
																																																																										BgL_l1446z00_23818
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1446z00_6963));
																																																																										BgL_l1446z00_6963
																																																																											=
																																																																											BgL_l1446z00_23818;
																																																																										goto
																																																																											BgL_zc3anonymousza35649ze3z83_6964;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_23809
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_23809)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg5639z00_6946;
																																																																							BgL_arg5639z00_6946
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd246412zd2_6920);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23822;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_23826;
																																																																									obj_t
																																																																										BgL_proc2z00_23825;
																																																																									obj_t
																																																																										BgL_proc1z00_23824;
																																																																									obj_t
																																																																										BgL_testz00_23823;
																																																																									BgL_testz00_23823
																																																																										=
																																																																										BgL_arg5639z00_6946;
																																																																									BgL_proc1z00_23824
																																																																										=
																																																																										BgL_carzd246421zd2_6926;
																																																																									BgL_proc2z00_23825
																																																																										=
																																																																										BgL_carzd246427zd2_6930;
																																																																									BgL_argsz00_23826
																																																																										=
																																																																										BgL_cdrzd246044zd2_6853;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_23826;
																																																																									BgL_proc2z00_1733
																																																																										=
																																																																										BgL_proc2z00_23825;
																																																																									BgL_proc1z00_1732
																																																																										=
																																																																										BgL_proc1z00_23824;
																																																																									BgL_testz00_1731
																																																																										=
																																																																										BgL_testz00_23823;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1735;
																																																																								}
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23822);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd246452zd2_6947;
																																																																							BgL_cdrzd246452zd2_6947
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd246460zd2_6948;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11546;
																																																																									BgL_pairz00_11546
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd246460zd2_6948
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_11546);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd246468zd2_6949;
																																																																									BgL_cdrzd246468zd2_6949
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd246460zd2_6948));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd246475zd2_6950;
																																																																										BgL_carzd246475zd2_6950
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd246468zd2_6949));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246475zd2_6950))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd246484zd2_6952;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11550;
																																																																													BgL_pairz00_11550
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd246468zd2_6949));
																																																																													BgL_carzd246484zd2_6952
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_11550);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246484zd2_6952))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246452zd2_6947))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg5643z00_6955;
																																																																																BgL_arg5643z00_6955
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd246460zd2_6948));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23848;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_23852;
																																																																																		obj_t
																																																																																			BgL_proc2z00_23851;
																																																																																		obj_t
																																																																																			BgL_proc1z00_23850;
																																																																																		obj_t
																																																																																			BgL_testz00_23849;
																																																																																		BgL_testz00_23849
																																																																																			=
																																																																																			BgL_arg5643z00_6955;
																																																																																		BgL_proc1z00_23850
																																																																																			=
																																																																																			BgL_carzd246475zd2_6950;
																																																																																		BgL_proc2z00_23851
																																																																																			=
																																																																																			BgL_carzd246484zd2_6952;
																																																																																		BgL_argsz00_23852
																																																																																			=
																																																																																			BgL_cdrzd246452zd2_6947;
																																																																																		BgL_argsz00_1739
																																																																																			=
																																																																																			BgL_argsz00_23852;
																																																																																		BgL_proc2z00_1738
																																																																																			=
																																																																																			BgL_proc2z00_23851;
																																																																																		BgL_proc1z00_1737
																																																																																			=
																																																																																			BgL_proc1z00_23850;
																																																																																		BgL_testz00_1736
																																																																																			=
																																																																																			BgL_testz00_23849;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1740;
																																																																																	}
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23848);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1764;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23856;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1765;
																																																																																		BgL_auxz00_19531
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23856);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23860;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23860);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23864;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23864);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23868;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23868);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd246762zd2_6974;
																																																																			BgL_cdrzd246762zd2_6974
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd246769zd2_6975;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_11554;
																																																																					BgL_pairz00_11554
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd246769zd2_6975
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_11554);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd246776zd2_6976;
																																																																					BgL_cdrzd246776zd2_6976
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd246769zd2_6975));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd246782zd2_6977;
																																																																						obj_t
																																																																							BgL_cdrzd246783zd2_6978;
																																																																						BgL_carzd246782zd2_6977
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd246776zd2_6976));
																																																																						BgL_cdrzd246783zd2_6978
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd246776zd2_6976));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246782zd2_6977))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd246790zd2_6980;
																																																																								BgL_carzd246790zd2_6980
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd246783zd2_6978));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246790zd2_6980))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd246783zd2_6978))))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246762zd2_6974))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg5658z00_6985;
																																																																														BgL_arg5658z00_6985
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd246769zd2_6975));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23895;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_23899;
																																																																																obj_t
																																																																																	BgL_proc2z00_23898;
																																																																																obj_t
																																																																																	BgL_proc1z00_23897;
																																																																																obj_t
																																																																																	BgL_testz00_23896;
																																																																																BgL_testz00_23896
																																																																																	=
																																																																																	BgL_arg5658z00_6985;
																																																																																BgL_proc1z00_23897
																																																																																	=
																																																																																	BgL_carzd246782zd2_6977;
																																																																																BgL_proc2z00_23898
																																																																																	=
																																																																																	BgL_carzd246790zd2_6980;
																																																																																BgL_argsz00_23899
																																																																																	=
																																																																																	BgL_cdrzd246762zd2_6974;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_23899;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_23898;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_23897;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_23896;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1740;
																																																																															}
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23895);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1764;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23903;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1765;
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23903);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23907;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23907);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23911;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23911);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23915;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23915);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23919;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23919);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd247123zd2_6993;
																																																															BgL_cdrzd247123zd2_6993
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd247129zd2_6994;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_11564;
																																																																	BgL_pairz00_11564
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd247129zd2_6994
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11564);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd247135zd2_6995;
																																																																	BgL_cdrzd247135zd2_6995
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd247129zd2_6994));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd247140zd2_6996;
																																																																		obj_t
																																																																			BgL_cdrzd247141zd2_6997;
																																																																		BgL_carzd247140zd2_6996
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd247135zd2_6995));
																																																																		BgL_cdrzd247141zd2_6997
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd247135zd2_6995));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247140zd2_6996))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd247141zd2_6997))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd247146zd2_7000;
																																																																						BgL_carzd247146zd2_7000
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd247141zd2_6997);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247146zd2_7000))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd247141zd2_6997)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247123zd2_6993))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5672z00_7005;
																																																																												BgL_arg5672z00_7005
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247129zd2_6994));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23946;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23950;
																																																																														obj_t
																																																																															BgL_proc2z00_23949;
																																																																														obj_t
																																																																															BgL_proc1z00_23948;
																																																																														obj_t
																																																																															BgL_testz00_23947;
																																																																														BgL_testz00_23947
																																																																															=
																																																																															BgL_arg5672z00_7005;
																																																																														BgL_proc1z00_23948
																																																																															=
																																																																															BgL_carzd247140zd2_6996;
																																																																														BgL_proc2z00_23949
																																																																															=
																																																																															BgL_carzd247146zd2_7000;
																																																																														BgL_argsz00_23950
																																																																															=
																																																																															BgL_cdrzd247123zd2_6993;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_23950;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_23949;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_23948;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_23947;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1740;
																																																																													}
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23946);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23954;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23954);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23958;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23958);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23962;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23962);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23966;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23966);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23970;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23970);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23974;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23974);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23978;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23978);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23982;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23982);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd244432zd2_6838
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_23987;
																																							goto
																																								BgL_tagzd2382zd2_1720;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_23987);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244432zd2_6838)))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_23992;
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_23992);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd244432zd2_6838 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_23997;
																																											goto
																																												BgL_tagzd2382zd2_1720;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_23997);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_24004;
																																													goto
																																														BgL_tagzd2383zd2_1721;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_24004);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd247708zd2_7165;
																																													BgL_carzd247708zd2_7165
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd247708zd2_7165 == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_24011;
																																															goto
																																																BgL_tagzd2384zd2_1722;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_24011);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247708zd2_7165)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_24016;
																																																	goto
																																																		BgL_tagzd2384zd2_1722;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_24016);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24023;
																																																			goto
																																																				BgL_tagzd2389zd2_1741;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24023);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24030;
																																																					goto
																																																						BgL_tagzd2390zd2_1742;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24030);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd247788zd2_7172;
																																																					BgL_cdrzd247788zd2_7172
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5794z00_7175;
																																																							obj_t
																																																								BgL_arg5795z00_7176;
																																																							BgL_arg5794z00_7175
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd247788zd2_7172));
																																																							BgL_arg5795z00_7176
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd247788zd2_7172));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24043;
																																																								{
																																																									obj_t
																																																										BgL_restz00_24045;
																																																									obj_t
																																																										BgL_effectz00_24044;
																																																									BgL_effectz00_24044
																																																										=
																																																										BgL_arg5794z00_7175;
																																																									BgL_restz00_24045
																																																										=
																																																										BgL_arg5795z00_7176;
																																																									BgL_restz00_1744
																																																										=
																																																										BgL_restz00_24045;
																																																									BgL_effectz00_1743
																																																										=
																																																										BgL_effectz00_24044;
																																																									goto
																																																										BgL_tagzd2391zd2_1745;
																																																								}
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24043);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24052;
																																																									goto
																																																										BgL_tagzd2392zd2_1746;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24052);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24059;
																																																											goto
																																																												BgL_tagzd2393zd2_1747;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24059);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg5802z00_7184;
																																																													obj_t
																																																														BgL_arg5803z00_7185;
																																																													BgL_arg5802z00_7184
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd247788zd2_7172));
																																																													BgL_arg5803z00_7185
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd247788zd2_7172));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24070;
																																																														{
																																																															obj_t
																																																																BgL_restz00_24072;
																																																															obj_t
																																																																BgL_effectz00_24071;
																																																															BgL_effectz00_24071
																																																																=
																																																																BgL_arg5802z00_7184;
																																																															BgL_restz00_24072
																																																																=
																																																																BgL_arg5803z00_7185;
																																																															BgL_restz00_1749
																																																																=
																																																																BgL_restz00_24072;
																																																															BgL_effectz00_1748
																																																																=
																																																																BgL_effectz00_24071;
																																																															goto
																																																																BgL_tagzd2394zd2_1750;
																																																														}
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24070);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24079;
																																																															goto
																																																																BgL_tagzd2395zd2_1751;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24079);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24086;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1752;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24086);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_24093;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1753;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24093);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																				{
																																																																					BgL_jumpzd2exzd2itz00_bglt
																																																																						BgL_auxz00_24100;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1754;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24100);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd247865zd2_7194;
																																																																					BgL_cdrzd247865zd2_7194
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg5814z00_7197;
																																																																							obj_t
																																																																								BgL_arg5815z00_7198;
																																																																							BgL_arg5814z00_7197
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd247865zd2_7194));
																																																																							BgL_arg5815z00_7198
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd247865zd2_7194));
																																																																							{	/* Ast/sexp.scm 548 */
																																																																								obj_t
																																																																									BgL_arg6427z00_11596;
																																																																								BgL_arg6427z00_11596
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																										BgL_arg5814z00_7197,
																																																																										CNST_TABLE_REF
																																																																										(((long) 4)), BgL_arg5815z00_7198, BgL_stackz00_22, BgL_arg6427z00_11596, BgL_sitez00_24));
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24119;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24119);
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									obj_t BgL_carzd247888zd2_7214;

																									BgL_carzd247888zd2_7214 =
																										CAR(
																										((obj_t) BgL_expz00_21));
																									if (
																										(BgL_carzd247888zd2_7214 ==
																											CNST_TABLE_REF(((long)
																													1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_24126;
																											goto
																												BgL_tagzd2377zd2_1711;
																											BgL_auxz00_19531 =
																												((obj_t)
																												BgL_auxz00_24126);
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											if (
																												(BgL_carzd247888zd2_7214
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_24130;
																													goto
																														BgL_tagzd2377zd2_1711;
																													BgL_auxz00_19531 =
																														((obj_t)
																														BgL_auxz00_24130);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_24137;
																															goto
																																BgL_tagzd2379zd2_1715;
																															BgL_auxz00_19531 =
																																((obj_t)
																																BgL_auxz00_24137);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_24144;
																																	goto
																																		BgL_tagzd2380zd2_1716;
																																	BgL_auxz00_19531
																																		=
																																		((obj_t)
																																		BgL_auxz00_24144);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd247949zd2_7221;
																																	BgL_carzd247949zd2_7221
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd247949zd2_7221))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd247952zd2_7223;
																																			obj_t
																																				BgL_cdrzd247953zd2_7224;
																																			BgL_carzd247952zd2_7223
																																				=
																																				CAR
																																				(BgL_carzd247949zd2_7221);
																																			BgL_cdrzd247953zd2_7224
																																				=
																																				CDR
																																				(BgL_carzd247949zd2_7221);
																																			{

																																				if (
																																					(BgL_carzd247952zd2_7223
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{	/* Ast/sexp.scm 118 */
																																					BgL_kapzd247954zd2_7225:
																																						if (PAIRP(BgL_cdrzd247953zd2_7224))
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd247957zd2_7347;
																																								BgL_cdrzd247957zd2_7347
																																									=
																																									CDR
																																									(BgL_cdrzd247953zd2_7224);
																																								if (PAIRP(BgL_cdrzd247957zd2_7347))
																																									{	/* Ast/sexp.scm 118 */
																																										if (NULLP(CDR(BgL_cdrzd247957zd2_7347)))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg5920z00_7351;
																																												obj_t
																																													BgL_arg5921z00_7352;
																																												BgL_arg5920z00_7351
																																													=
																																													CAR
																																													(BgL_cdrzd247957zd2_7347);
																																												BgL_arg5921z00_7352
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_24166;
																																													{
																																														obj_t
																																															BgL_argsz00_24168;
																																														obj_t
																																															BgL_bodyz00_24167;
																																														BgL_bodyz00_24167
																																															=
																																															BgL_arg5920z00_7351;
																																														BgL_argsz00_24168
																																															=
																																															BgL_arg5921z00_7352;
																																														BgL_argsz00_1718
																																															=
																																															BgL_argsz00_24168;
																																														BgL_bodyz00_1717
																																															=
																																															BgL_bodyz00_24167;
																																														goto
																																															BgL_tagzd2381zd2_1719;
																																													}
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_24166);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_24170;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5988z00_7461;
																																													BgL_arg5988z00_7461
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_24170
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5988z00_7461));
																																												}
																																												if (BgL_testz00_24170)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_24175;
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24175);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_24177;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5987z00_7460;
																																															BgL_arg5987z00_7460
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_24177
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5987z00_7460));
																																														}
																																														if (BgL_testz00_24177)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_24182;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24182);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd248035zd2_7357;
																																																BgL_carzd248035zd2_7357
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd248040zd2_7358;
																																																	BgL_cdrzd248040zd2_7358
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd248035zd2_7357));
																																																	if ((CAR(((obj_t) BgL_carzd248035zd2_7357)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5928z00_7361;
																																																			obj_t
																																																				BgL_arg5929z00_7362;
																																																			obj_t
																																																				BgL_arg5930z00_7363;
																																																			BgL_arg5928z00_7361
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd248040zd2_7358));
																																																			BgL_arg5929z00_7362
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd248040zd2_7358));
																																																			BgL_arg5930z00_7363
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24199;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_24202;
																																																					obj_t
																																																						BgL_bodyz00_24201;
																																																					obj_t
																																																						BgL_varsz00_24200;
																																																					BgL_varsz00_24200
																																																						=
																																																						BgL_arg5928z00_7361;
																																																					BgL_bodyz00_24201
																																																						=
																																																						BgL_arg5929z00_7362;
																																																					BgL_argsz00_24202
																																																						=
																																																						BgL_arg5930z00_7363;
																																																					BgL_argsz00_1729
																																																						=
																																																						BgL_argsz00_24202;
																																																					BgL_bodyz00_1728
																																																						=
																																																						BgL_bodyz00_24201;
																																																					BgL_varsz00_1727
																																																						=
																																																						BgL_varsz00_24200;
																																																					goto
																																																						BgL_tagzd2386zd2_1730;
																																																				}
																																																				BgL_auxz00_19531
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24199);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd248063zd2_7365;
																																																			BgL_cdrzd248063zd2_7365
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd248069zd2_7366;
																																																				BgL_cdrzd248069zd2_7366
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd248035zd2_7357));
																																																				if ((CAR(((obj_t) BgL_carzd248035zd2_7357)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd248075zd2_7369;
																																																						BgL_cdrzd248075zd2_7369
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd248069zd2_7366));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd248080zd2_7370;
																																																							obj_t
																																																								BgL_cdrzd248081zd2_7371;
																																																							BgL_carzd248080zd2_7370
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd248075zd2_7369));
																																																							BgL_cdrzd248081zd2_7371
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd248075zd2_7369));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248080zd2_7370))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd248081zd2_7371))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd248088zd2_7374;
																																																											BgL_carzd248088zd2_7374
																																																												=
																																																												CAR
																																																												(BgL_cdrzd248081zd2_7371);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248088zd2_7374))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_cdrzd248081zd2_7371)))
																																																														{	/* Ast/sexp.scm 118 */
																																																															bool_t
																																																																BgL_testz00_24229;
																																																															{
																																																																obj_t
																																																																	BgL_l1449z00_7407;
																																																																BgL_l1449z00_7407
																																																																	=
																																																																	BgL_cdrzd248063zd2_7365;
																																																															BgL_zc3anonymousza35953ze3z83_7408:
																																																																if (NULLP(BgL_l1449z00_7407))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_24229
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_24232;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_24233;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_tmpz00_24234;
																																																																				BgL_tmpz00_24234
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1449z00_7407));
																																																																				BgL_testz00_24233
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_24234);
																																																																			}
																																																																			if (BgL_testz00_24233)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_24232
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_24232
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_24232)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1449z00_24238;
																																																																				BgL_l1449z00_24238
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1449z00_7407));
																																																																				BgL_l1449z00_7407
																																																																					=
																																																																					BgL_l1449z00_24238;
																																																																				goto
																																																																					BgL_zc3anonymousza35953ze3z83_7408;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_24229
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_24229)
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg5943z00_7390;
																																																																	BgL_arg5943z00_7390
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd248069zd2_7366));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24243;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_24247;
																																																																			obj_t
																																																																				BgL_proc2z00_24246;
																																																																			obj_t
																																																																				BgL_proc1z00_24245;
																																																																			obj_t
																																																																				BgL_testz00_24244;
																																																																			BgL_testz00_24244
																																																																				=
																																																																				BgL_arg5943z00_7390;
																																																																			BgL_proc1z00_24245
																																																																				=
																																																																				BgL_carzd248080zd2_7370;
																																																																			BgL_proc2z00_24246
																																																																				=
																																																																				BgL_carzd248088zd2_7374;
																																																																			BgL_argsz00_24247
																																																																				=
																																																																				BgL_cdrzd248063zd2_7365;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_24247;
																																																																			BgL_proc2z00_1733
																																																																				=
																																																																				BgL_proc2z00_24246;
																																																																			BgL_proc1z00_1732
																																																																				=
																																																																				BgL_proc1z00_24245;
																																																																			BgL_testz00_1731
																																																																				=
																																																																				BgL_testz00_24244;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1735;
																																																																		}
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24243);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd248112zd2_7391;
																																																																	BgL_cdrzd248112zd2_7391
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd248119zd2_7392;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_11637;
																																																																			BgL_pairz00_11637
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd248119zd2_7392
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11637);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd248126zd2_7393;
																																																																			BgL_cdrzd248126zd2_7393
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd248119zd2_7392));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd248132zd2_7394;
																																																																				BgL_carzd248132zd2_7394
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd248126zd2_7393));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248132zd2_7394))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd248139zd2_7396;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_11641;
																																																																							BgL_pairz00_11641
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd248126zd2_7393));
																																																																							BgL_carzd248139zd2_7396
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_11641);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248139zd2_7396))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248112zd2_7391))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5947z00_7399;
																																																																										BgL_arg5947z00_7399
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd248119zd2_7392));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24269;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_24273;
																																																																												obj_t
																																																																													BgL_proc2z00_24272;
																																																																												obj_t
																																																																													BgL_proc1z00_24271;
																																																																												obj_t
																																																																													BgL_testz00_24270;
																																																																												BgL_testz00_24270
																																																																													=
																																																																													BgL_arg5947z00_7399;
																																																																												BgL_proc1z00_24271
																																																																													=
																																																																													BgL_carzd248132zd2_7394;
																																																																												BgL_proc2z00_24272
																																																																													=
																																																																													BgL_carzd248139zd2_7396;
																																																																												BgL_argsz00_24273
																																																																													=
																																																																													BgL_cdrzd248112zd2_7391;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_24273;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_24272;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_24271;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_24270;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1740;
																																																																											}
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24269);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24277;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24277);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24281;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24281);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24285;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24285);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1764;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24289;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1765;
																																																																	BgL_auxz00_19531
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24289);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd248415zd2_7418;
																																																													BgL_cdrzd248415zd2_7418
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd248421zd2_7419;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_11645;
																																																															BgL_pairz00_11645
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd248421zd2_7419
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11645);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd248427zd2_7420;
																																																															BgL_cdrzd248427zd2_7420
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248421zd2_7419));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd248432zd2_7421;
																																																																obj_t
																																																																	BgL_cdrzd248433zd2_7422;
																																																																BgL_carzd248432zd2_7421
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248427zd2_7420));
																																																																BgL_cdrzd248433zd2_7422
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248427zd2_7420));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248432zd2_7421))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd248438zd2_7424;
																																																																		BgL_carzd248438zd2_7424
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd248433zd2_7422));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248438zd2_7424))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd248433zd2_7422))))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248415zd2_7418))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg5962z00_7429;
																																																																								BgL_arg5962z00_7429
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd248421zd2_7419));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24316;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_24320;
																																																																										obj_t
																																																																											BgL_proc2z00_24319;
																																																																										obj_t
																																																																											BgL_proc1z00_24318;
																																																																										obj_t
																																																																											BgL_testz00_24317;
																																																																										BgL_testz00_24317
																																																																											=
																																																																											BgL_arg5962z00_7429;
																																																																										BgL_proc1z00_24318
																																																																											=
																																																																											BgL_carzd248432zd2_7421;
																																																																										BgL_proc2z00_24319
																																																																											=
																																																																											BgL_carzd248438zd2_7424;
																																																																										BgL_argsz00_24320
																																																																											=
																																																																											BgL_cdrzd248415zd2_7418;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_24320;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_24319;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_24318;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_24317;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1740;
																																																																									}
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24316);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24324;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_19531
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24324);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24328;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24328);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24332;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24332);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24336;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24336);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_24340;
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_24340);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd248771zd2_7437;
																																																									BgL_cdrzd248771zd2_7437
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd248778zd2_7438;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_pairz00_11655;
																																																											BgL_pairz00_11655
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd248778zd2_7438
																																																												=
																																																												CDR
																																																												(BgL_pairz00_11655);
																																																										}
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd248785zd2_7439;
																																																											BgL_cdrzd248785zd2_7439
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd248778zd2_7438));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd248791zd2_7440;
																																																												obj_t
																																																													BgL_cdrzd248792zd2_7441;
																																																												BgL_carzd248791zd2_7440
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd248785zd2_7439));
																																																												BgL_cdrzd248792zd2_7441
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd248785zd2_7439));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248791zd2_7440))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd248792zd2_7441))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd248799zd2_7444;
																																																																BgL_carzd248799zd2_7444
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd248792zd2_7441);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248799zd2_7444))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd248792zd2_7441)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248771zd2_7437))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg5976z00_7449;
																																																																						BgL_arg5976z00_7449
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd248778zd2_7438));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24367;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_24371;
																																																																								obj_t
																																																																									BgL_proc2z00_24370;
																																																																								obj_t
																																																																									BgL_proc1z00_24369;
																																																																								obj_t
																																																																									BgL_testz00_24368;
																																																																								BgL_testz00_24368
																																																																									=
																																																																									BgL_arg5976z00_7449;
																																																																								BgL_proc1z00_24369
																																																																									=
																																																																									BgL_carzd248791zd2_7440;
																																																																								BgL_proc2z00_24370
																																																																									=
																																																																									BgL_carzd248799zd2_7444;
																																																																								BgL_argsz00_24371
																																																																									=
																																																																									BgL_cdrzd248771zd2_7437;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_24371;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_24370;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_24369;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_24368;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1740;
																																																																							}
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24367);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24375;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_19531
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24375);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24379;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24379);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24383;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_19531
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24383);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24387;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24387);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24391;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_19531
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24391);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1764;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24395;
																																																								goto
																																																									BgL_tagzd2404zd2_1765;
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24395);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_24397;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg6002z00_7477;
																																											BgL_arg6002z00_7477
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_24397
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg6002z00_7477));
																																										}
																																										if (BgL_testz00_24397)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_24402;
																																												goto
																																													BgL_tagzd2382zd2_1720;
																																												BgL_auxz00_19531
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24402);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_24404;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg6001z00_7476;
																																													BgL_arg6001z00_7476
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_24404
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg6001z00_7476));
																																												}
																																												if (BgL_testz00_24404)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_24409;
																																														goto
																																															BgL_tagzd2384zd2_1722;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24409);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd249245zd2_7467;
																																														BgL_carzd249245zd2_7467
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd249250zd2_7468;
																																															BgL_cdrzd249250zd2_7468
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd249245zd2_7467));
																																															if ((CAR(((obj_t) BgL_carzd249245zd2_7467)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5996z00_7471;
																																																	obj_t
																																																		BgL_arg5997z00_7472;
																																																	obj_t
																																																		BgL_arg5998z00_7473;
																																																	BgL_arg5996z00_7471
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd249250zd2_7468));
																																																	BgL_arg5997z00_7472
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd249250zd2_7468));
																																																	BgL_arg5998z00_7473
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24426;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_24429;
																																																			obj_t
																																																				BgL_bodyz00_24428;
																																																			obj_t
																																																				BgL_varsz00_24427;
																																																			BgL_varsz00_24427
																																																				=
																																																				BgL_arg5996z00_7471;
																																																			BgL_bodyz00_24428
																																																				=
																																																				BgL_arg5997z00_7472;
																																																			BgL_argsz00_24429
																																																				=
																																																				BgL_arg5998z00_7473;
																																																			BgL_argsz00_1729
																																																				=
																																																				BgL_argsz00_24429;
																																																			BgL_bodyz00_1728
																																																				=
																																																				BgL_bodyz00_24428;
																																																			BgL_varsz00_1727
																																																				=
																																																				BgL_varsz00_24427;
																																																			goto
																																																				BgL_tagzd2386zd2_1730;
																																																		}
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24426);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1764;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24433;
																																																			goto
																																																				BgL_tagzd2404zd2_1765;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24433);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_24435;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg6009z00_7484;
																																									BgL_arg6009z00_7484
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_24435
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg6009z00_7484));
																																								}
																																								if (BgL_testz00_24435)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_24440;
																																										goto
																																											BgL_tagzd2382zd2_1720;
																																										BgL_auxz00_19531
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_24440);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_24442;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg6008z00_7483;
																																											BgL_arg6008z00_7483
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_24442
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg6008z00_7483));
																																										}
																																										if (BgL_testz00_24442)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_24447;
																																												goto
																																													BgL_tagzd2384zd2_1722;
																																												BgL_auxz00_19531
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24447);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd2403zd2_1764;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_24451;
																																														goto
																																															BgL_tagzd2404zd2_1765;
																																														BgL_auxz00_19531
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24451);
																																													}
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd247952zd2_7223)))
																																							{	/* Ast/sexp.scm 118 */
																																								goto
																																									BgL_kapzd247954zd2_7225;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd247952zd2_7223 == CNST_TABLE_REF(((long) 19))))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd247954zd2_7225;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd247952zd2_7223 == CNST_TABLE_REF(((long) 20))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd247954zd2_7225;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247952zd2_7223)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd247954zd2_7225;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_24465;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5915z00_7345;
																																															BgL_arg5915z00_7345
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_24465
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5915z00_7345));
																																														}
																																														if (BgL_testz00_24465)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_24470;
																																																goto
																																																	BgL_tagzd2382zd2_1720;
																																																BgL_auxz00_19531
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24470);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_24472;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5914z00_7344;
																																																	BgL_arg5914z00_7344
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_24472
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5914z00_7344));
																																																}
																																																if (BgL_testz00_24472)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24477;
																																																		goto
																																																			BgL_tagzd2384zd2_1722;
																																																		BgL_auxz00_19531
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24477);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd249573zd2_7235;
																																																		BgL_carzd249573zd2_7235
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd249578zd2_7236;
																																																			BgL_cdrzd249578zd2_7236
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd249573zd2_7235));
																																																			if ((CAR(((obj_t) BgL_carzd249573zd2_7235)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd249578zd2_7236))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5850z00_7240;
																																																							obj_t
																																																								BgL_arg5851z00_7241;
																																																							obj_t
																																																								BgL_arg5852z00_7242;
																																																							BgL_arg5850z00_7240
																																																								=
																																																								CAR
																																																								(BgL_cdrzd249578zd2_7236);
																																																							BgL_arg5851z00_7241
																																																								=
																																																								CDR
																																																								(BgL_cdrzd249578zd2_7236);
																																																							BgL_arg5852z00_7242
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24494;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_24497;
																																																									obj_t
																																																										BgL_bodyz00_24496;
																																																									obj_t
																																																										BgL_varsz00_24495;
																																																									BgL_varsz00_24495
																																																										=
																																																										BgL_arg5850z00_7240;
																																																									BgL_bodyz00_24496
																																																										=
																																																										BgL_arg5851z00_7241;
																																																									BgL_argsz00_24497
																																																										=
																																																										BgL_arg5852z00_7242;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_24497;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_24496;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_24495;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																								BgL_auxz00_19531
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24494);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24501;
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24501);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd249685zd2_7245;
																																																					BgL_cdrzd249685zd2_7245
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd249690zd2_7246;
																																																						BgL_cdrzd249690zd2_7246
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd249573zd2_7235));
																																																						if ((CAR(((obj_t) BgL_carzd249573zd2_7235)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (PAIRP(BgL_cdrzd249690zd2_7246))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd249695zd2_7250;
																																																										BgL_cdrzd249695zd2_7250
																																																											=
																																																											CDR
																																																											(BgL_cdrzd249690zd2_7246);
																																																										if (PAIRP(BgL_cdrzd249695zd2_7250))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd249699zd2_7252;
																																																												obj_t
																																																													BgL_cdrzd249700zd2_7253;
																																																												BgL_carzd249699zd2_7252
																																																													=
																																																													CAR
																																																													(BgL_cdrzd249695zd2_7250);
																																																												BgL_cdrzd249700zd2_7253
																																																													=
																																																													CDR
																																																													(BgL_cdrzd249695zd2_7250);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249699zd2_7252))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd249700zd2_7253))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd249705zd2_7256;
																																																																BgL_carzd249705zd2_7256
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd249700zd2_7253);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249705zd2_7256))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd249700zd2_7253)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_24529;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1452z00_7289;
																																																																					BgL_l1452z00_7289
																																																																						=
																																																																						BgL_cdrzd249685zd2_7245;
																																																																				BgL_zc3anonymousza35878ze3z83_7290:
																																																																					if (NULLP(BgL_l1452z00_7289))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_24529
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_24532;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_24533;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_tmpz00_24534;
																																																																									BgL_tmpz00_24534
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1452z00_7289));
																																																																									BgL_testz00_24533
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_24534);
																																																																								}
																																																																								if (BgL_testz00_24533)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_24532
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_24532
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_24532)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1452z00_24538;
																																																																									BgL_l1452z00_24538
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1452z00_7289));
																																																																									BgL_l1452z00_7289
																																																																										=
																																																																										BgL_l1452z00_24538;
																																																																									goto
																																																																										BgL_zc3anonymousza35878ze3z83_7290;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_24529
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_24529)
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg5868z00_7272;
																																																																						BgL_arg5868z00_7272
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd249690zd2_7246);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24542;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_24546;
																																																																								obj_t
																																																																									BgL_proc2z00_24545;
																																																																								obj_t
																																																																									BgL_proc1z00_24544;
																																																																								obj_t
																																																																									BgL_testz00_24543;
																																																																								BgL_testz00_24543
																																																																									=
																																																																									BgL_arg5868z00_7272;
																																																																								BgL_proc1z00_24544
																																																																									=
																																																																									BgL_carzd249699zd2_7252;
																																																																								BgL_proc2z00_24545
																																																																									=
																																																																									BgL_carzd249705zd2_7256;
																																																																								BgL_argsz00_24546
																																																																									=
																																																																									BgL_cdrzd249685zd2_7245;
																																																																								BgL_argsz00_1734
																																																																									=
																																																																									BgL_argsz00_24546;
																																																																								BgL_proc2z00_1733
																																																																									=
																																																																									BgL_proc2z00_24545;
																																																																								BgL_proc1z00_1732
																																																																									=
																																																																									BgL_proc1z00_24544;
																																																																								BgL_testz00_1731
																																																																									=
																																																																									BgL_testz00_24543;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1735;
																																																																							}
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24542);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd249730zd2_7273;
																																																																						BgL_cdrzd249730zd2_7273
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd249738zd2_7274;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11703;
																																																																								BgL_pairz00_11703
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd249738zd2_7274
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11703);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd249746zd2_7275;
																																																																								BgL_cdrzd249746zd2_7275
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd249738zd2_7274));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd249753zd2_7276;
																																																																									BgL_carzd249753zd2_7276
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd249746zd2_7275));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249753zd2_7276))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd249762zd2_7278;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11707;
																																																																												BgL_pairz00_11707
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd249746zd2_7275));
																																																																												BgL_carzd249762zd2_7278
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_11707);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249762zd2_7278))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249730zd2_7273))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5872z00_7281;
																																																																															BgL_arg5872z00_7281
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd249738zd2_7274));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24568;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24572;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24571;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24570;
																																																																																	obj_t
																																																																																		BgL_testz00_24569;
																																																																																	BgL_testz00_24569
																																																																																		=
																																																																																		BgL_arg5872z00_7281;
																																																																																	BgL_proc1z00_24570
																																																																																		=
																																																																																		BgL_carzd249753zd2_7276;
																																																																																	BgL_proc2z00_24571
																																																																																		=
																																																																																		BgL_carzd249762zd2_7278;
																																																																																	BgL_argsz00_24572
																																																																																		=
																																																																																		BgL_cdrzd249730zd2_7273;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_argsz00_24572;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_proc2z00_24571;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_proc1z00_24570;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_testz00_24569;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1740;
																																																																																}
																																																																																BgL_auxz00_19531
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24568);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1764;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24576;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1765;
																																																																																	BgL_auxz00_19531
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24576);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24580;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24580);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24584;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24584);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24588;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_19531
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24588);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd250040zd2_7300;
																																																																		BgL_cdrzd250040zd2_7300
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd250047zd2_7301;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11711;
																																																																				BgL_pairz00_11711
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd250047zd2_7301
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11711);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd250054zd2_7302;
																																																																				BgL_cdrzd250054zd2_7302
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd250047zd2_7301));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd250060zd2_7303;
																																																																					obj_t
																																																																						BgL_cdrzd250061zd2_7304;
																																																																					BgL_carzd250060zd2_7303
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250054zd2_7302));
																																																																					BgL_cdrzd250061zd2_7304
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250054zd2_7302));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250060zd2_7303))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd250068zd2_7306;
																																																																							BgL_carzd250068zd2_7306
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250061zd2_7304));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250068zd2_7306))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd250061zd2_7304))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250040zd2_7300))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5887z00_7311;
																																																																													BgL_arg5887z00_7311
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd250047zd2_7301));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24615;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24619;
																																																																															obj_t
																																																																																BgL_proc2z00_24618;
																																																																															obj_t
																																																																																BgL_proc1z00_24617;
																																																																															obj_t
																																																																																BgL_testz00_24616;
																																																																															BgL_testz00_24616
																																																																																=
																																																																																BgL_arg5887z00_7311;
																																																																															BgL_proc1z00_24617
																																																																																=
																																																																																BgL_carzd250060zd2_7303;
																																																																															BgL_proc2z00_24618
																																																																																=
																																																																																BgL_carzd250068zd2_7306;
																																																																															BgL_argsz00_24619
																																																																																=
																																																																																BgL_cdrzd250040zd2_7300;
																																																																															BgL_argsz00_1739
																																																																																=
																																																																																BgL_argsz00_24619;
																																																																															BgL_proc2z00_1738
																																																																																=
																																																																																BgL_proc2z00_24618;
																																																																															BgL_proc1z00_1737
																																																																																=
																																																																																BgL_proc1z00_24617;
																																																																															BgL_testz00_1736
																																																																																=
																																																																																BgL_testz00_24616;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1740;
																																																																														}
																																																																														BgL_auxz00_19531
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24615);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1764;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24623;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1765;
																																																																															BgL_auxz00_19531
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24623);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24627;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24627);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24631;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24631);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24635;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24635);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24639;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_19531
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24639);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd250401zd2_7319;
																																																														BgL_cdrzd250401zd2_7319
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd250407zd2_7320;
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_pairz00_11721;
																																																																BgL_pairz00_11721
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd250407zd2_7320
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_11721);
																																																															}
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd250413zd2_7321;
																																																																BgL_cdrzd250413zd2_7321
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd250407zd2_7320));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd250418zd2_7322;
																																																																	obj_t
																																																																		BgL_cdrzd250419zd2_7323;
																																																																	BgL_carzd250418zd2_7322
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250413zd2_7321));
																																																																	BgL_cdrzd250419zd2_7323
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250413zd2_7321));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250418zd2_7322))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd250419zd2_7323))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd250424zd2_7326;
																																																																					BgL_carzd250424zd2_7326
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd250419zd2_7323);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250424zd2_7326))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd250419zd2_7323)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250401zd2_7319))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg5901z00_7331;
																																																																											BgL_arg5901z00_7331
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250407zd2_7320));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24666;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_24670;
																																																																													obj_t
																																																																														BgL_proc2z00_24669;
																																																																													obj_t
																																																																														BgL_proc1z00_24668;
																																																																													obj_t
																																																																														BgL_testz00_24667;
																																																																													BgL_testz00_24667
																																																																														=
																																																																														BgL_arg5901z00_7331;
																																																																													BgL_proc1z00_24668
																																																																														=
																																																																														BgL_carzd250418zd2_7322;
																																																																													BgL_proc2z00_24669
																																																																														=
																																																																														BgL_carzd250424zd2_7326;
																																																																													BgL_argsz00_24670
																																																																														=
																																																																														BgL_cdrzd250401zd2_7319;
																																																																													BgL_argsz00_1739
																																																																														=
																																																																														BgL_argsz00_24670;
																																																																													BgL_proc2z00_1738
																																																																														=
																																																																														BgL_proc2z00_24669;
																																																																													BgL_proc1z00_1737
																																																																														=
																																																																														BgL_proc1z00_24668;
																																																																													BgL_testz00_1736
																																																																														=
																																																																														BgL_testz00_24667;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1740;
																																																																												}
																																																																												BgL_auxz00_19531
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24666);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1764;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24674;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1765;
																																																																													BgL_auxz00_19531
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24674);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24678;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																											BgL_auxz00_19531
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24678);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24682;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																									BgL_auxz00_19531
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24682);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24686;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																							BgL_auxz00_19531
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24686);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24690;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24690);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24694;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_19531
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24694);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1764;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_24698;
																																																												goto
																																																													BgL_tagzd2404zd2_1765;
																																																												BgL_auxz00_19531
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_24698);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1764;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_24702;
																																																										goto
																																																											BgL_tagzd2404zd2_1765;
																																																										BgL_auxz00_19531
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_24702);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd247949zd2_7221
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_24707;
																																					goto
																																						BgL_tagzd2382zd2_1720;
																																					BgL_auxz00_19531
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_24707);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd247949zd2_7221)))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_24712;
																																							goto
																																								BgL_tagzd2382zd2_1720;
																																							BgL_auxz00_19531
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_24712);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd247949zd2_7221 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_24717;
																																									goto
																																										BgL_tagzd2382zd2_1720;
																																									BgL_auxz00_19531
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_24717);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_24724;
																																											goto
																																												BgL_tagzd2383zd2_1721;
																																											BgL_auxz00_19531
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_24724);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd250986zd2_7491;
																																											BgL_carzd250986zd2_7491
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd250986zd2_7491 == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_24731;
																																													goto
																																														BgL_tagzd2384zd2_1722;
																																													BgL_auxz00_19531
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_24731);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd250986zd2_7491)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_24736;
																																															goto
																																																BgL_tagzd2384zd2_1722;
																																															BgL_auxz00_19531
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_24736);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_24743;
																																																	goto
																																																		BgL_tagzd2389zd2_1741;
																																																	BgL_auxz00_19531
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_24743);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24750;
																																																			goto
																																																				BgL_tagzd2390zd2_1742;
																																																			BgL_auxz00_19531
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24750);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24757;
																																																					goto
																																																						BgL_tagzd2392zd2_1746;
																																																					BgL_auxz00_19531
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24757);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24764;
																																																							goto
																																																								BgL_tagzd2393zd2_1747;
																																																							BgL_auxz00_19531
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24764);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24771;
																																																									goto
																																																										BgL_tagzd2395zd2_1751;
																																																									BgL_auxz00_19531
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24771);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24778;
																																																											goto
																																																												BgL_tagzd2396zd2_1752;
																																																											BgL_auxz00_19531
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24778);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_24785;
																																																													goto
																																																														BgL_tagzd2397zd2_1753;
																																																													BgL_auxz00_19531
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_24785);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																														{
																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																BgL_auxz00_24792;
																																																															goto
																																																																BgL_tagzd2398zd2_1754;
																																																															BgL_auxz00_19531
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24792);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24802;
																																																																			goto
																																																																				BgL_tagzd2402zd2_1763;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24802);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1764;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24806;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1765;
																																																																					BgL_auxz00_19531
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24806);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24810;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																			BgL_auxz00_19531
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24810);
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_19531);
																						}
																					else
																						{	/* Ast/sexp.scm 118 */
																							if (
																								(BgL_carzd227795zd2_4673 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_24815;

																									goto BgL_kapzd227797zd2_4675;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_24815);
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									bool_t BgL_testz00_24817;

																									{	/* Ast/sexp.scm 118 */
																										obj_t BgL_arg4349z00_5123;

																										BgL_arg4349z00_5123 =
																											CAR(BgL_expz00_21);
																										BgL_testz00_24817 =
																											(BgL_arg4349z00_5123 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_testz00_24817)
																										{	/* Ast/sexp.scm 118 */
																											goto
																												BgL_tagzd2377zd2_1711;
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd251154zd2_4680;
																											BgL_cdrzd251154zd2_4680 =
																												CDR(BgL_expz00_21);
																											if ((CAR(BgL_expz00_21) ==
																													CNST_TABLE_REF(((long)
																															7))))
																												{	/* Ast/sexp.scm 118 */
																													if (PAIRP
																														(BgL_cdrzd251154zd2_4680))
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd251157zd2_4684;
																															obj_t
																																BgL_cdrzd251158zd2_4685;
																															BgL_carzd251157zd2_4684
																																=
																																CAR
																																(BgL_cdrzd251154zd2_4680);
																															BgL_cdrzd251158zd2_4685
																																=
																																CDR
																																(BgL_cdrzd251154zd2_4680);
																															if (PAIRP
																																(BgL_carzd251157zd2_4684))
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR
																																			(BgL_carzd251157zd2_4684)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					15))))
																																		{	/* Ast/sexp.scm 118 */
																																			if (PAIRP
																																				(BgL_cdrzd251158zd2_4685))
																																				{	/* Ast/sexp.scm 118 */
																																					if (NULLP(CDR(BgL_cdrzd251158zd2_4685)))
																																						{
																																							obj_t
																																								BgL_valz00_24842;
																																							obj_t
																																								BgL_lz00_24840;
																																							BgL_lz00_24840
																																								=
																																								CDR
																																								(BgL_carzd251157zd2_4684);
																																							BgL_valz00_24842
																																								=
																																								CAR
																																								(BgL_cdrzd251158zd2_4685);
																																							BgL_valz00_1713
																																								=
																																								BgL_valz00_24842;
																																							BgL_lz00_1712
																																								=
																																								BgL_lz00_24840;
																																							goto
																																								BgL_tagzd2378zd2_1714;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2379zd2_1715;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2379zd2_1715;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			goto
																																				BgL_tagzd2379zd2_1715;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2379zd2_1715;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															goto
																																BgL_tagzd2379zd2_1715;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(CAR(BgL_expz00_21)
																															==
																															CNST_TABLE_REF((
																																	(long) 17))))
																														{	/* Ast/sexp.scm 118 */
																															goto
																																BgL_tagzd2380zd2_1716;
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd251267zd2_4698;
																															BgL_carzd251267zd2_4698
																																=
																																CAR
																																(BgL_expz00_21);
																															if (PAIRP
																																(BgL_carzd251267zd2_4698))
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd251270zd2_4700;
																																	obj_t
																																		BgL_cdrzd251271zd2_4701;
																																	BgL_carzd251270zd2_4700
																																		=
																																		CAR
																																		(BgL_carzd251267zd2_4698);
																																	BgL_cdrzd251271zd2_4701
																																		=
																																		CDR
																																		(BgL_carzd251267zd2_4698);
																																	{

																																		if (
																																			(BgL_carzd251270zd2_4700
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						18))))
																																			{
																																				obj_t
																																					BgL_auxz00_24856;
																																			BgL_kapzd251272zd2_4702:
																																				if (PAIRP(BgL_cdrzd251271zd2_4701))
																																					{	/* Ast/sexp.scm 118 */
																																						obj_t
																																							BgL_cdrzd251275zd2_4887;
																																						BgL_cdrzd251275zd2_4887
																																							=
																																							CDR
																																							(BgL_cdrzd251271zd2_4701);
																																						if (PAIRP(BgL_cdrzd251275zd2_4887))
																																							{	/* Ast/sexp.scm 118 */
																																								if (NULLP(CDR(BgL_cdrzd251275zd2_4887)))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_arg4173z00_4891;
																																										obj_t
																																											BgL_arg4174z00_4892;
																																										BgL_arg4173z00_4891
																																											=
																																											CAR
																																											(BgL_cdrzd251275zd2_4887);
																																										BgL_arg4174z00_4892
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_24868;
																																											{
																																												obj_t
																																													BgL_argsz00_24870;
																																												obj_t
																																													BgL_bodyz00_24869;
																																												BgL_bodyz00_24869
																																													=
																																													BgL_arg4173z00_4891;
																																												BgL_argsz00_24870
																																													=
																																													BgL_arg4174z00_4892;
																																												BgL_argsz00_1718
																																													=
																																													BgL_argsz00_24870;
																																												BgL_bodyz00_1717
																																													=
																																													BgL_bodyz00_24869;
																																												goto
																																													BgL_tagzd2381zd2_1719;
																																											}
																																											BgL_auxz00_24856
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_24868);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_24872;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4241z00_5001;
																																											BgL_arg4241z00_5001
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_24872
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg4241z00_5001));
																																										}
																																										if (BgL_testz00_24872)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_24877;
																																												goto
																																													BgL_tagzd2382zd2_1720;
																																												BgL_auxz00_24856
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24877);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_24879;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4240z00_5000;
																																													BgL_arg4240z00_5000
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_24879
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4240z00_5000));
																																												}
																																												if (BgL_testz00_24879)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_24884;
																																														goto
																																															BgL_tagzd2384zd2_1722;
																																														BgL_auxz00_24856
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24884);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd251353zd2_4897;
																																														BgL_carzd251353zd2_4897
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd251358zd2_4898;
																																															BgL_cdrzd251358zd2_4898
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd251353zd2_4897));
																																															if ((CAR(((obj_t) BgL_carzd251353zd2_4897)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4181z00_4901;
																																																	obj_t
																																																		BgL_arg4182z00_4902;
																																																	obj_t
																																																		BgL_arg4183z00_4903;
																																																	BgL_arg4181z00_4901
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd251358zd2_4898));
																																																	BgL_arg4182z00_4902
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd251358zd2_4898));
																																																	BgL_arg4183z00_4903
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24901;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_24904;
																																																			obj_t
																																																				BgL_bodyz00_24903;
																																																			obj_t
																																																				BgL_varsz00_24902;
																																																			BgL_varsz00_24902
																																																				=
																																																				BgL_arg4181z00_4901;
																																																			BgL_bodyz00_24903
																																																				=
																																																				BgL_arg4182z00_4902;
																																																			BgL_argsz00_24904
																																																				=
																																																				BgL_arg4183z00_4903;
																																																			BgL_argsz00_1729
																																																				=
																																																				BgL_argsz00_24904;
																																																			BgL_bodyz00_1728
																																																				=
																																																				BgL_bodyz00_24903;
																																																			BgL_varsz00_1727
																																																				=
																																																				BgL_varsz00_24902;
																																																			goto
																																																				BgL_tagzd2386zd2_1730;
																																																		}
																																																		BgL_auxz00_24856
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24901);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd251381zd2_4905;
																																																	BgL_cdrzd251381zd2_4905
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd251387zd2_4906;
																																																		BgL_cdrzd251387zd2_4906
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd251353zd2_4897));
																																																		if ((CAR(((obj_t) BgL_carzd251353zd2_4897)) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd251393zd2_4909;
																																																				BgL_cdrzd251393zd2_4909
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd251387zd2_4906));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd251398zd2_4910;
																																																					obj_t
																																																						BgL_cdrzd251399zd2_4911;
																																																					BgL_carzd251398zd2_4910
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd251393zd2_4909));
																																																					BgL_cdrzd251399zd2_4911
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd251393zd2_4909));
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251398zd2_4910))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd251399zd2_4911))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd251406zd2_4914;
																																																									BgL_carzd251406zd2_4914
																																																										=
																																																										CAR
																																																										(BgL_cdrzd251399zd2_4911);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251406zd2_4914))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (NULLP(CDR(BgL_cdrzd251399zd2_4911)))
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_24931;
																																																													{
																																																														obj_t
																																																															BgL_l1455z00_4947;
																																																														BgL_l1455z00_4947
																																																															=
																																																															BgL_cdrzd251381zd2_4905;
																																																													BgL_zc3anonymousza34206ze3z83_4948:
																																																														if (NULLP(BgL_l1455z00_4947))
																																																															{	/* Ast/sexp.scm 118 */
																																																																BgL_testz00_24931
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																bool_t
																																																																	BgL_testz00_24934;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_24935;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_tmpz00_24936;
																																																																		BgL_tmpz00_24936
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_l1455z00_4947));
																																																																		BgL_testz00_24935
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_24936);
																																																																	}
																																																																	if (BgL_testz00_24935)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			BgL_testz00_24934
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			BgL_testz00_24934
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_testz00_24934)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1455z00_24940;
																																																																		BgL_l1455z00_24940
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_l1455z00_4947));
																																																																		BgL_l1455z00_4947
																																																																			=
																																																																			BgL_l1455z00_24940;
																																																																		goto
																																																																			BgL_zc3anonymousza34206ze3z83_4948;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_24931
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_testz00_24931)
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg4196z00_4930;
																																																															BgL_arg4196z00_4930
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd251387zd2_4906));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24945;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_24949;
																																																																	obj_t
																																																																		BgL_proc2z00_24948;
																																																																	obj_t
																																																																		BgL_proc1z00_24947;
																																																																	obj_t
																																																																		BgL_testz00_24946;
																																																																	BgL_testz00_24946
																																																																		=
																																																																		BgL_arg4196z00_4930;
																																																																	BgL_proc1z00_24947
																																																																		=
																																																																		BgL_carzd251398zd2_4910;
																																																																	BgL_proc2z00_24948
																																																																		=
																																																																		BgL_carzd251406zd2_4914;
																																																																	BgL_argsz00_24949
																																																																		=
																																																																		BgL_cdrzd251381zd2_4905;
																																																																	BgL_argsz00_1734
																																																																		=
																																																																		BgL_argsz00_24949;
																																																																	BgL_proc2z00_1733
																																																																		=
																																																																		BgL_proc2z00_24948;
																																																																	BgL_proc1z00_1732
																																																																		=
																																																																		BgL_proc1z00_24947;
																																																																	BgL_testz00_1731
																																																																		=
																																																																		BgL_testz00_24946;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1735;
																																																																}
																																																																BgL_auxz00_24856
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24945);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd251430zd2_4931;
																																																															BgL_cdrzd251430zd2_4931
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd251437zd2_4932;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_11795;
																																																																	BgL_pairz00_11795
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd251437zd2_4932
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11795);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd251444zd2_4933;
																																																																	BgL_cdrzd251444zd2_4933
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd251437zd2_4932));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd251450zd2_4934;
																																																																		BgL_carzd251450zd2_4934
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd251444zd2_4933));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251450zd2_4934))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd251457zd2_4936;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_11799;
																																																																					BgL_pairz00_11799
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd251444zd2_4933));
																																																																					BgL_carzd251457zd2_4936
																																																																						=
																																																																						CAR
																																																																						(BgL_pairz00_11799);
																																																																				}
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251457zd2_4936))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251430zd2_4931))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4200z00_4939;
																																																																								BgL_arg4200z00_4939
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd251437zd2_4932));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24971;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_24975;
																																																																										obj_t
																																																																											BgL_proc2z00_24974;
																																																																										obj_t
																																																																											BgL_proc1z00_24973;
																																																																										obj_t
																																																																											BgL_testz00_24972;
																																																																										BgL_testz00_24972
																																																																											=
																																																																											BgL_arg4200z00_4939;
																																																																										BgL_proc1z00_24973
																																																																											=
																																																																											BgL_carzd251450zd2_4934;
																																																																										BgL_proc2z00_24974
																																																																											=
																																																																											BgL_carzd251457zd2_4936;
																																																																										BgL_argsz00_24975
																																																																											=
																																																																											BgL_cdrzd251430zd2_4931;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_24975;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_24974;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_24973;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_24972;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1740;
																																																																									}
																																																																									BgL_auxz00_24856
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24971);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24979;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																										BgL_auxz00_24856
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24979);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24983;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_24856
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24983);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24987;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_24856
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24987);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24991;
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																															BgL_auxz00_24856
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24991);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd251733zd2_4958;
																																																											BgL_cdrzd251733zd2_4958
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd251739zd2_4959;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_11803;
																																																													BgL_pairz00_11803
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd251739zd2_4959
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11803);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd251745zd2_4960;
																																																													BgL_cdrzd251745zd2_4960
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251739zd2_4959));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd251750zd2_4961;
																																																														obj_t
																																																															BgL_cdrzd251751zd2_4962;
																																																														BgL_carzd251750zd2_4961
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd251745zd2_4960));
																																																														BgL_cdrzd251751zd2_4962
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd251745zd2_4960));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251750zd2_4961))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd251756zd2_4964;
																																																																BgL_carzd251756zd2_4964
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd251751zd2_4962));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251756zd2_4964))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd251751zd2_4962))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251733zd2_4958))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4215z00_4969;
																																																																						BgL_arg4215z00_4969
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd251739zd2_4959));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25018;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_25022;
																																																																								obj_t
																																																																									BgL_proc2z00_25021;
																																																																								obj_t
																																																																									BgL_proc1z00_25020;
																																																																								obj_t
																																																																									BgL_testz00_25019;
																																																																								BgL_testz00_25019
																																																																									=
																																																																									BgL_arg4215z00_4969;
																																																																								BgL_proc1z00_25020
																																																																									=
																																																																									BgL_carzd251750zd2_4961;
																																																																								BgL_proc2z00_25021
																																																																									=
																																																																									BgL_carzd251756zd2_4964;
																																																																								BgL_argsz00_25022
																																																																									=
																																																																									BgL_cdrzd251733zd2_4958;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_25022;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_25021;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_25020;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_25019;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1740;
																																																																							}
																																																																							BgL_auxz00_24856
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25018);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_25026;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																								BgL_auxz00_24856
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_25026);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_25030;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_24856
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_25030);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25034;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_24856
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25034);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25038;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_24856
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25038);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_25042;
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																											BgL_auxz00_24856
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25042);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd252089zd2_4977;
																																																							BgL_cdrzd252089zd2_4977
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd252096zd2_4978;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_pairz00_11813;
																																																									BgL_pairz00_11813
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd252096zd2_4978
																																																										=
																																																										CDR
																																																										(BgL_pairz00_11813);
																																																								}
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd252103zd2_4979;
																																																									BgL_cdrzd252103zd2_4979
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd252096zd2_4978));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd252109zd2_4980;
																																																										obj_t
																																																											BgL_cdrzd252110zd2_4981;
																																																										BgL_carzd252109zd2_4980
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd252103zd2_4979));
																																																										BgL_cdrzd252110zd2_4981
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd252103zd2_4979));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252109zd2_4980))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd252110zd2_4981))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd252117zd2_4984;
																																																														BgL_carzd252117zd2_4984
																																																															=
																																																															CAR
																																																															(BgL_cdrzd252110zd2_4981);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252117zd2_4984))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (NULLP(CDR(BgL_cdrzd252110zd2_4981)))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252089zd2_4977))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg4229z00_4989;
																																																																				BgL_arg4229z00_4989
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd252096zd2_4978));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25069;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_25073;
																																																																						obj_t
																																																																							BgL_proc2z00_25072;
																																																																						obj_t
																																																																							BgL_proc1z00_25071;
																																																																						obj_t
																																																																							BgL_testz00_25070;
																																																																						BgL_testz00_25070
																																																																							=
																																																																							BgL_arg4229z00_4989;
																																																																						BgL_proc1z00_25071
																																																																							=
																																																																							BgL_carzd252109zd2_4980;
																																																																						BgL_proc2z00_25072
																																																																							=
																																																																							BgL_carzd252117zd2_4984;
																																																																						BgL_argsz00_25073
																																																																							=
																																																																							BgL_cdrzd252089zd2_4977;
																																																																						BgL_argsz00_1739
																																																																							=
																																																																							BgL_argsz00_25073;
																																																																						BgL_proc2z00_1738
																																																																							=
																																																																							BgL_proc2z00_25072;
																																																																						BgL_proc1z00_1737
																																																																							=
																																																																							BgL_proc1z00_25071;
																																																																						BgL_testz00_1736
																																																																							=
																																																																							BgL_testz00_25070;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1740;
																																																																					}
																																																																					BgL_auxz00_24856
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25069);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_25077;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																						BgL_auxz00_24856
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_25077);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25081;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																				BgL_auxz00_24856
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25081);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25085;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																		BgL_auxz00_24856
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25085);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1764;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_25089;
																																																																goto
																																																																	BgL_tagzd2404zd2_1765;
																																																																BgL_auxz00_24856
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_25089);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1764;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_25093;
																																																														goto
																																																															BgL_tagzd2404zd2_1765;
																																																														BgL_auxz00_24856
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_25093);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd2403zd2_1764;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_25097;
																																																						goto
																																																							BgL_tagzd2404zd2_1765;
																																																						BgL_auxz00_24856
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_25097);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_25099;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg4255z00_5017;
																																									BgL_arg4255z00_5017
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_25099
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg4255z00_5017));
																																								}
																																								if (BgL_testz00_25099)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_25104;
																																										goto
																																											BgL_tagzd2382zd2_1720;
																																										BgL_auxz00_24856
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_25104);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_25106;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4254z00_5016;
																																											BgL_arg4254z00_5016
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_25106
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4254z00_5016));
																																										}
																																										if (BgL_testz00_25106)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_25111;
																																												goto
																																													BgL_tagzd2384zd2_1722;
																																												BgL_auxz00_24856
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25111);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_carzd252563zd2_5007;
																																												BgL_carzd252563zd2_5007
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_cdrzd252568zd2_5008;
																																													BgL_cdrzd252568zd2_5008
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_carzd252563zd2_5007));
																																													if ((CAR(((obj_t) BgL_carzd252563zd2_5007)) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4249z00_5011;
																																															obj_t
																																																BgL_arg4250z00_5012;
																																															obj_t
																																																BgL_arg4251z00_5013;
																																															BgL_arg4249z00_5011
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd252568zd2_5008));
																																															BgL_arg4250z00_5012
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd252568zd2_5008));
																																															BgL_arg4251z00_5013
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25128;
																																																{
																																																	obj_t
																																																		BgL_argsz00_25131;
																																																	obj_t
																																																		BgL_bodyz00_25130;
																																																	obj_t
																																																		BgL_varsz00_25129;
																																																	BgL_varsz00_25129
																																																		=
																																																		BgL_arg4249z00_5011;
																																																	BgL_bodyz00_25130
																																																		=
																																																		BgL_arg4250z00_5012;
																																																	BgL_argsz00_25131
																																																		=
																																																		BgL_arg4251z00_5013;
																																																	BgL_argsz00_1729
																																																		=
																																																		BgL_argsz00_25131;
																																																	BgL_bodyz00_1728
																																																		=
																																																		BgL_bodyz00_25130;
																																																	BgL_varsz00_1727
																																																		=
																																																		BgL_varsz00_25129;
																																																	goto
																																																		BgL_tagzd2386zd2_1730;
																																																}
																																																BgL_auxz00_24856
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25128);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2403zd2_1764;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_25135;
																																																	goto
																																																		BgL_tagzd2404zd2_1765;
																																																	BgL_auxz00_24856
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25135);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						bool_t
																																							BgL_testz00_25137;
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_arg4262z00_5024;
																																							BgL_arg4262z00_5024
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							BgL_testz00_25137
																																								=
																																								CBOOL
																																								(BGl_letzd2symzf3z21zzast_letz00
																																								(BgL_arg4262z00_5024));
																																						}
																																						if (BgL_testz00_25137)
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_25142;
																																								goto
																																									BgL_tagzd2382zd2_1720;
																																								BgL_auxz00_24856
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_25142);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_25144;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg4261z00_5023;
																																									BgL_arg4261z00_5023
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_25144
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg4261z00_5023));
																																								}
																																								if (BgL_testz00_25144)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_25149;
																																										goto
																																											BgL_tagzd2384zd2_1722;
																																										BgL_auxz00_24856
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_25149);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_tagzd2403zd2_1764;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_25153;
																																												goto
																																													BgL_tagzd2404zd2_1765;
																																												BgL_auxz00_24856
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25153);
																																											}
																																									}
																																							}
																																					}
																																				return
																																					(
																																					(BgL_nodez00_bglt)
																																					BgL_auxz00_24856);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 118 */
																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251270zd2_4700)))
																																					{
																																						obj_t
																																							BgL_auxz00_25159;
																																						goto
																																							BgL_kapzd251272zd2_4702;
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_25159);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (
																																							(BgL_carzd251270zd2_4700
																																								==
																																								CNST_TABLE_REF
																																								(((long) 19))))
																																							{
																																								obj_t
																																									BgL_auxz00_25164;
																																								goto
																																									BgL_kapzd251272zd2_4702;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_25164);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd251270zd2_4700 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										obj_t
																																											BgL_auxz00_25169;
																																										goto
																																											BgL_kapzd251272zd2_4702;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_25169);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251270zd2_4700)))
																																											{
																																												obj_t
																																													BgL_auxz00_25174;
																																												goto
																																													BgL_kapzd251272zd2_4702;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_25174);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_25176;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4168z00_4885;
																																													BgL_arg4168z00_4885
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_25176
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg4168z00_4885));
																																												}
																																												if (BgL_testz00_25176)
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd2382zd2_1720;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_25180;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4167z00_4884;
																																															BgL_arg4167z00_4884
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_25180
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4167z00_4884));
																																														}
																																														if (BgL_testz00_25180)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_25184;
																																																goto
																																																	BgL_tagzd2384zd2_1722;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_25184);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd252878zd2_4712;
																																																obj_t
																																																	BgL_cdrzd252879zd2_4713;
																																																BgL_carzd252878zd2_4712
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																BgL_cdrzd252879zd2_4713
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd252883zd2_4714;
																																																	BgL_cdrzd252883zd2_4714
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd252878zd2_4712));
																																																	if ((CAR(((obj_t) BgL_carzd252878zd2_4712)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (PAIRP(BgL_cdrzd252883zd2_4714))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd252886zd2_4718;
																																																					obj_t
																																																						BgL_cdrzd252887zd2_4719;
																																																					BgL_carzd252886zd2_4718
																																																						=
																																																						CAR
																																																						(BgL_cdrzd252883zd2_4714);
																																																					BgL_cdrzd252887zd2_4719
																																																						=
																																																						CDR
																																																						(BgL_cdrzd252883zd2_4714);
																																																					if (PAIRP(BgL_carzd252886zd2_4718))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (NULLP(CDR(BgL_carzd252886zd2_4718)))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd252887zd2_4719))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd252893zd2_4724;
																																																											BgL_carzd252893zd2_4724
																																																												=
																																																												CAR
																																																												(BgL_cdrzd252887zd2_4719);
																																																											if (PAIRP(BgL_carzd252893zd2_4724))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd252893zd2_4724))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd252887zd2_4719)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd252879zd2_4713))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd252900zd2_4730;
																																																																			BgL_carzd252900zd2_4730
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd252879zd2_4713);
																																																																			if (PAIRP(BgL_carzd252900zd2_4730))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd252924zd2_4732;
																																																																					BgL_cdrzd252924zd2_4732
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4064z00_4733;
																																																																						obj_t
																																																																							BgL_arg4065z00_4734;
																																																																						obj_t
																																																																							BgL_arg4066z00_4735;
																																																																						BgL_arg4064z00_4733
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252924zd2_4732));
																																																																						BgL_arg4065z00_4734
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252924zd2_4732));
																																																																						BgL_arg4066z00_4735
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_25228;
																																																																							obj_t
																																																																								BgL_bodyz00_25227;
																																																																							obj_t
																																																																								BgL_varsz00_25226;
																																																																							BgL_varsz00_25226
																																																																								=
																																																																								BgL_arg4064z00_4733;
																																																																							BgL_bodyz00_25227
																																																																								=
																																																																								BgL_arg4065z00_4734;
																																																																							BgL_argsz00_25228
																																																																								=
																																																																								BgL_arg4066z00_4735;
																																																																							BgL_argsz00_1729
																																																																								=
																																																																								BgL_argsz00_25228;
																																																																							BgL_bodyz00_1728
																																																																								=
																																																																								BgL_bodyz00_25227;
																																																																							BgL_varsz00_1727
																																																																								=
																																																																								BgL_varsz00_25226;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1730;
																																																																						}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd252879zd2_4713)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg4070z00_4739;
																																																																							BgL_arg4070z00_4739
																																																																								=
																																																																								CAR
																																																																								(BgL_carzd252886zd2_4718);
																																																																							{
																																																																								BgL_castz00_bglt
																																																																									BgL_auxz00_25233;
																																																																								{
																																																																									obj_t
																																																																										BgL_argz00_25236;
																																																																									obj_t
																																																																										BgL_bodyz00_25235;
																																																																									obj_t
																																																																										BgL_varz00_25234;
																																																																									BgL_varz00_25234
																																																																										=
																																																																										BgL_arg4070z00_4739;
																																																																									BgL_bodyz00_25235
																																																																										=
																																																																										BgL_carzd252893zd2_4724;
																																																																									BgL_argz00_25236
																																																																										=
																																																																										BgL_carzd252900zd2_4730;
																																																																									BgL_argz00_1725
																																																																										=
																																																																										BgL_argz00_25236;
																																																																									BgL_bodyz00_1724
																																																																										=
																																																																										BgL_bodyz00_25235;
																																																																									BgL_varz00_1723
																																																																										=
																																																																										BgL_varz00_25234;
																																																																									goto
																																																																										BgL_tagzd2385zd2_1726;
																																																																								}
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_25233);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd252951zd2_4740;
																																																																							BgL_cdrzd252951zd2_4740
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4071z00_4741;
																																																																								obj_t
																																																																									BgL_arg4072z00_4742;
																																																																								obj_t
																																																																									BgL_arg4073z00_4743;
																																																																								BgL_arg4071z00_4741
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd252951zd2_4740));
																																																																								BgL_arg4072z00_4742
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd252951zd2_4740));
																																																																								BgL_arg4073z00_4743
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_25247;
																																																																									obj_t
																																																																										BgL_bodyz00_25246;
																																																																									obj_t
																																																																										BgL_varsz00_25245;
																																																																									BgL_varsz00_25245
																																																																										=
																																																																										BgL_arg4071z00_4741;
																																																																									BgL_bodyz00_25246
																																																																										=
																																																																										BgL_arg4072z00_4742;
																																																																									BgL_argsz00_25247
																																																																										=
																																																																										BgL_arg4073z00_4743;
																																																																									BgL_argsz00_1729
																																																																										=
																																																																										BgL_argsz00_25247;
																																																																									BgL_bodyz00_1728
																																																																										=
																																																																										BgL_bodyz00_25246;
																																																																									BgL_varsz00_1727
																																																																										=
																																																																										BgL_varsz00_25245;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1730;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd252977zd2_4746;
																																																																			BgL_cdrzd252977zd2_4746
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg4076z00_4747;
																																																																				obj_t
																																																																					BgL_arg4077z00_4748;
																																																																				obj_t
																																																																					BgL_arg4078z00_4749;
																																																																				BgL_arg4076z00_4747
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd252977zd2_4746));
																																																																				BgL_arg4077z00_4748
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd252977zd2_4746));
																																																																				BgL_arg4078z00_4749
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_25257;
																																																																					obj_t
																																																																						BgL_bodyz00_25256;
																																																																					obj_t
																																																																						BgL_varsz00_25255;
																																																																					BgL_varsz00_25255
																																																																						=
																																																																						BgL_arg4076z00_4747;
																																																																					BgL_bodyz00_25256
																																																																						=
																																																																						BgL_arg4077z00_4748;
																																																																					BgL_argsz00_25257
																																																																						=
																																																																						BgL_arg4078z00_4749;
																																																																					BgL_argsz00_1729
																																																																						=
																																																																						BgL_argsz00_25257;
																																																																					BgL_bodyz00_1728
																																																																						=
																																																																						BgL_bodyz00_25256;
																																																																					BgL_varsz00_1727
																																																																						=
																																																																						BgL_varsz00_25255;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1730;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd253003zd2_4751;
																																																																	BgL_cdrzd253003zd2_4751
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg4080z00_4752;
																																																																		obj_t
																																																																			BgL_arg4081z00_4753;
																																																																		obj_t
																																																																			BgL_arg4082z00_4754;
																																																																		BgL_arg4080z00_4752
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd253003zd2_4751));
																																																																		BgL_arg4081z00_4753
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd253003zd2_4751));
																																																																		BgL_arg4082z00_4754
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_25267;
																																																																			obj_t
																																																																				BgL_bodyz00_25266;
																																																																			obj_t
																																																																				BgL_varsz00_25265;
																																																																			BgL_varsz00_25265
																																																																				=
																																																																				BgL_arg4080z00_4752;
																																																																			BgL_bodyz00_25266
																																																																				=
																																																																				BgL_arg4081z00_4753;
																																																																			BgL_argsz00_25267
																																																																				=
																																																																				BgL_arg4082z00_4754;
																																																																			BgL_argsz00_1729
																																																																				=
																																																																				BgL_argsz00_25267;
																																																																			BgL_bodyz00_1728
																																																																				=
																																																																				BgL_bodyz00_25266;
																																																																			BgL_varsz00_1727
																																																																				=
																																																																				BgL_varsz00_25265;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1730;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd253029zd2_4757;
																																																															BgL_cdrzd253029zd2_4757
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg4085z00_4758;
																																																																obj_t
																																																																	BgL_arg4086z00_4759;
																																																																obj_t
																																																																	BgL_arg4087z00_4760;
																																																																BgL_arg4085z00_4758
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd253029zd2_4757));
																																																																BgL_arg4086z00_4759
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd253029zd2_4757));
																																																																BgL_arg4087z00_4760
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_25277;
																																																																	obj_t
																																																																		BgL_bodyz00_25276;
																																																																	obj_t
																																																																		BgL_varsz00_25275;
																																																																	BgL_varsz00_25275
																																																																		=
																																																																		BgL_arg4085z00_4758;
																																																																	BgL_bodyz00_25276
																																																																		=
																																																																		BgL_arg4086z00_4759;
																																																																	BgL_argsz00_25277
																																																																		=
																																																																		BgL_arg4087z00_4760;
																																																																	BgL_argsz00_1729
																																																																		=
																																																																		BgL_argsz00_25277;
																																																																	BgL_bodyz00_1728
																																																																		=
																																																																		BgL_bodyz00_25276;
																																																																	BgL_varsz00_1727
																																																																		=
																																																																		BgL_varsz00_25275;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1730;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd253055zd2_4762;
																																																													BgL_cdrzd253055zd2_4762
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd252878zd2_4712));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg4089z00_4763;
																																																														obj_t
																																																															BgL_arg4090z00_4764;
																																																														obj_t
																																																															BgL_arg4091z00_4765;
																																																														BgL_arg4089z00_4763
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd253055zd2_4762));
																																																														BgL_arg4090z00_4764
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd253055zd2_4762));
																																																														BgL_arg4091z00_4765
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_25287;
																																																															obj_t
																																																																BgL_bodyz00_25286;
																																																															obj_t
																																																																BgL_varsz00_25285;
																																																															BgL_varsz00_25285
																																																																=
																																																																BgL_arg4089z00_4763;
																																																															BgL_bodyz00_25286
																																																																=
																																																																BgL_arg4090z00_4764;
																																																															BgL_argsz00_25287
																																																																=
																																																																BgL_arg4091z00_4765;
																																																															BgL_argsz00_1729
																																																																=
																																																																BgL_argsz00_25287;
																																																															BgL_bodyz00_1728
																																																																=
																																																																BgL_bodyz00_25286;
																																																															BgL_varsz00_1727
																																																																=
																																																																BgL_varsz00_25285;
																																																															goto
																																																																BgL_tagzd2386zd2_1730;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd253081zd2_4767;
																																																											BgL_cdrzd253081zd2_4767
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd252878zd2_4712));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg4093z00_4768;
																																																												obj_t
																																																													BgL_arg4094z00_4769;
																																																												obj_t
																																																													BgL_arg4095z00_4770;
																																																												BgL_arg4093z00_4768
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd253081zd2_4767));
																																																												BgL_arg4094z00_4769
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd253081zd2_4767));
																																																												BgL_arg4095z00_4770
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_25297;
																																																													obj_t
																																																														BgL_bodyz00_25296;
																																																													obj_t
																																																														BgL_varsz00_25295;
																																																													BgL_varsz00_25295
																																																														=
																																																														BgL_arg4093z00_4768;
																																																													BgL_bodyz00_25296
																																																														=
																																																														BgL_arg4094z00_4769;
																																																													BgL_argsz00_25297
																																																														=
																																																														BgL_arg4095z00_4770;
																																																													BgL_argsz00_1729
																																																														=
																																																														BgL_argsz00_25297;
																																																													BgL_bodyz00_1728
																																																														=
																																																														BgL_bodyz00_25296;
																																																													BgL_varsz00_1727
																																																														=
																																																														BgL_varsz00_25295;
																																																													goto
																																																														BgL_tagzd2386zd2_1730;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd253107zd2_4772;
																																																									BgL_cdrzd253107zd2_4772
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd252878zd2_4712));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg4097z00_4773;
																																																										obj_t
																																																											BgL_arg4098z00_4774;
																																																										obj_t
																																																											BgL_arg4099z00_4775;
																																																										BgL_arg4097z00_4773
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd253107zd2_4772));
																																																										BgL_arg4098z00_4774
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd253107zd2_4772));
																																																										BgL_arg4099z00_4775
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_25307;
																																																											obj_t
																																																												BgL_bodyz00_25306;
																																																											obj_t
																																																												BgL_varsz00_25305;
																																																											BgL_varsz00_25305
																																																												=
																																																												BgL_arg4097z00_4773;
																																																											BgL_bodyz00_25306
																																																												=
																																																												BgL_arg4098z00_4774;
																																																											BgL_argsz00_25307
																																																												=
																																																												BgL_arg4099z00_4775;
																																																											BgL_argsz00_1729
																																																												=
																																																												BgL_argsz00_25307;
																																																											BgL_bodyz00_1728
																																																												=
																																																												BgL_bodyz00_25306;
																																																											BgL_varsz00_1727
																																																												=
																																																												BgL_varsz00_25305;
																																																											goto
																																																												BgL_tagzd2386zd2_1730;
																																																										}
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd253133zd2_4778;
																																																							BgL_cdrzd253133zd2_4778
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd252878zd2_4712));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg4102z00_4779;
																																																								obj_t
																																																									BgL_arg4103z00_4780;
																																																								obj_t
																																																									BgL_arg4104z00_4781;
																																																								BgL_arg4102z00_4779
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd253133zd2_4778));
																																																								BgL_arg4103z00_4780
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd253133zd2_4778));
																																																								BgL_arg4104z00_4781
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_25317;
																																																									obj_t
																																																										BgL_bodyz00_25316;
																																																									obj_t
																																																										BgL_varsz00_25315;
																																																									BgL_varsz00_25315
																																																										=
																																																										BgL_arg4102z00_4779;
																																																									BgL_bodyz00_25316
																																																										=
																																																										BgL_arg4103z00_4780;
																																																									BgL_argsz00_25317
																																																										=
																																																										BgL_arg4104z00_4781;
																																																									BgL_argsz00_1729
																																																										=
																																																										BgL_argsz00_25317;
																																																									BgL_bodyz00_1728
																																																										=
																																																										BgL_bodyz00_25316;
																																																									BgL_varsz00_1727
																																																										=
																																																										BgL_varsz00_25315;
																																																									goto
																																																										BgL_tagzd2386zd2_1730;
																																																								}
																																																							}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_25320;
																																																							goto
																																																								BgL_tagzd2403zd2_1764;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_25320);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2404zd2_1765;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd253271zd2_4786;
																																																			BgL_cdrzd253271zd2_4786
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd252878zd2_4712));
																																																			if ((CAR(((obj_t) BgL_carzd252878zd2_4712)) == CNST_TABLE_REF(((long) 1))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd253271zd2_4786))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd253276zd2_4790;
																																																							BgL_cdrzd253276zd2_4790
																																																								=
																																																								CDR
																																																								(BgL_cdrzd253271zd2_4786);
																																																							if (PAIRP(BgL_cdrzd253276zd2_4790))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd253280zd2_4792;
																																																									obj_t
																																																										BgL_cdrzd253281zd2_4793;
																																																									BgL_carzd253280zd2_4792
																																																										=
																																																										CAR
																																																										(BgL_cdrzd253276zd2_4790);
																																																									BgL_cdrzd253281zd2_4793
																																																										=
																																																										CDR
																																																										(BgL_cdrzd253276zd2_4790);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253280zd2_4792))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd253281zd2_4793))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd253286zd2_4796;
																																																													BgL_carzd253286zd2_4796
																																																														=
																																																														CAR
																																																														(BgL_cdrzd253281zd2_4793);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253286zd2_4796))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd253281zd2_4793)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_25346;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1458z00_4829;
																																																																		BgL_l1458z00_4829
																																																																			=
																																																																			BgL_cdrzd252879zd2_4713;
																																																																	BgL_zc3anonymousza34131ze3z83_4830:
																																																																		if (NULLP(BgL_l1458z00_4829))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_25346
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_25349;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_25350;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_tmpz00_25351;
																																																																						BgL_tmpz00_25351
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1458z00_4829));
																																																																						BgL_testz00_25350
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_25351);
																																																																					}
																																																																					if (BgL_testz00_25350)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_25349
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_25349
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_25349)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1458z00_25355;
																																																																						BgL_l1458z00_25355
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1458z00_4829));
																																																																						BgL_l1458z00_4829
																																																																							=
																																																																							BgL_l1458z00_25355;
																																																																						goto
																																																																							BgL_zc3anonymousza34131ze3z83_4830;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_25346
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_25346)
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_25362;
																																																																			obj_t
																																																																				BgL_proc2z00_25361;
																																																																			obj_t
																																																																				BgL_proc1z00_25360;
																																																																			obj_t
																																																																				BgL_testz00_25358;
																																																																			BgL_testz00_25358
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd253271zd2_4786);
																																																																			BgL_proc1z00_25360
																																																																				=
																																																																				BgL_carzd253280zd2_4792;
																																																																			BgL_proc2z00_25361
																																																																				=
																																																																				BgL_carzd253286zd2_4796;
																																																																			BgL_argsz00_25362
																																																																				=
																																																																				BgL_cdrzd252879zd2_4713;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_25362;
																																																																			BgL_proc2z00_1733
																																																																				=
																																																																				BgL_proc2z00_25361;
																																																																			BgL_proc1z00_1732
																																																																				=
																																																																				BgL_proc1z00_25360;
																																																																			BgL_testz00_1731
																																																																				=
																																																																				BgL_testz00_25358;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1735;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd253311zd2_4813;
																																																																			BgL_cdrzd253311zd2_4813
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd253319zd2_4814;
																																																																				BgL_cdrzd253319zd2_4814
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd253327zd2_4815;
																																																																					BgL_cdrzd253327zd2_4815
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd253319zd2_4814));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd253334zd2_4816;
																																																																						BgL_carzd253334zd2_4816
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd253327zd2_4815));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253334zd2_4816))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd253343zd2_4818;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11924;
																																																																									BgL_pairz00_11924
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd253327zd2_4815));
																																																																									BgL_carzd253343zd2_4818
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_11924);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253343zd2_4818))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253311zd2_4813))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg4125z00_4821;
																																																																												BgL_arg4125z00_4821
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd253319zd2_4814));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_25384;
																																																																													obj_t
																																																																														BgL_proc2z00_25383;
																																																																													obj_t
																																																																														BgL_proc1z00_25382;
																																																																													obj_t
																																																																														BgL_testz00_25381;
																																																																													BgL_testz00_25381
																																																																														=
																																																																														BgL_arg4125z00_4821;
																																																																													BgL_proc1z00_25382
																																																																														=
																																																																														BgL_carzd253334zd2_4816;
																																																																													BgL_proc2z00_25383
																																																																														=
																																																																														BgL_carzd253343zd2_4818;
																																																																													BgL_argsz00_25384
																																																																														=
																																																																														BgL_cdrzd253311zd2_4813;
																																																																													BgL_argsz00_1739
																																																																														=
																																																																														BgL_argsz00_25384;
																																																																													BgL_proc2z00_1738
																																																																														=
																																																																														BgL_proc2z00_25383;
																																																																													BgL_proc1z00_1737
																																																																														=
																																																																														BgL_proc1z00_25382;
																																																																													BgL_testz00_1736
																																																																														=
																																																																														BgL_testz00_25381;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1740;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25387;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1764;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25387);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1765;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25391;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25391);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_25395;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_25395);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_25399;
																																																																			goto
																																																																				BgL_tagzd2403zd2_1764;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_25399);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1765;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd253621zd2_4840;
																																																															BgL_cdrzd253621zd2_4840
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd253628zd2_4841;
																																																																BgL_cdrzd253628zd2_4841
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd253635zd2_4842;
																																																																	BgL_cdrzd253635zd2_4842
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd253628zd2_4841));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd253641zd2_4843;
																																																																		obj_t
																																																																			BgL_cdrzd253642zd2_4844;
																																																																		BgL_carzd253641zd2_4843
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd253635zd2_4842));
																																																																		BgL_cdrzd253642zd2_4844
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd253635zd2_4842));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253641zd2_4843))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd253649zd2_4846;
																																																																				BgL_carzd253649zd2_4846
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd253642zd2_4844));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253649zd2_4846))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd253642zd2_4844))))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253621zd2_4840))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4140z00_4851;
																																																																										BgL_arg4140z00_4851
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd253628zd2_4841));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_25427;
																																																																											obj_t
																																																																												BgL_proc2z00_25426;
																																																																											obj_t
																																																																												BgL_proc1z00_25425;
																																																																											obj_t
																																																																												BgL_testz00_25424;
																																																																											BgL_testz00_25424
																																																																												=
																																																																												BgL_arg4140z00_4851;
																																																																											BgL_proc1z00_25425
																																																																												=
																																																																												BgL_carzd253641zd2_4843;
																																																																											BgL_proc2z00_25426
																																																																												=
																																																																												BgL_carzd253649zd2_4846;
																																																																											BgL_argsz00_25427
																																																																												=
																																																																												BgL_cdrzd253621zd2_4840;
																																																																											BgL_argsz00_1739
																																																																												=
																																																																												BgL_argsz00_25427;
																																																																											BgL_proc2z00_1738
																																																																												=
																																																																												BgL_proc2z00_25426;
																																																																											BgL_proc1z00_1737
																																																																												=
																																																																												BgL_proc1z00_25425;
																																																																											BgL_testz00_1736
																																																																												=
																																																																												BgL_testz00_25424;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1740;
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25430;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1764;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25430);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1765;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_25434;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_25434);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_25438;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_25438);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_25442;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_25442);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_25446;
																																																															goto
																																																																BgL_tagzd2403zd2_1764;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_25446);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2404zd2_1765;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd253982zd2_4859;
																																																											BgL_cdrzd253982zd2_4859
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd253988zd2_4860;
																																																												BgL_cdrzd253988zd2_4860
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd253994zd2_4861;
																																																													BgL_cdrzd253994zd2_4861
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd253988zd2_4860));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd253999zd2_4862;
																																																														obj_t
																																																															BgL_cdrzd254000zd2_4863;
																																																														BgL_carzd253999zd2_4862
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd253994zd2_4861));
																																																														BgL_cdrzd254000zd2_4863
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd253994zd2_4861));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253999zd2_4862))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd254000zd2_4863))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd254005zd2_4866;
																																																																		BgL_carzd254005zd2_4866
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd254000zd2_4863);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254005zd2_4866))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd254000zd2_4863)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253982zd2_4859))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4154z00_4871;
																																																																								BgL_arg4154z00_4871
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd253988zd2_4860));
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_25474;
																																																																									obj_t
																																																																										BgL_proc2z00_25473;
																																																																									obj_t
																																																																										BgL_proc1z00_25472;
																																																																									obj_t
																																																																										BgL_testz00_25471;
																																																																									BgL_testz00_25471
																																																																										=
																																																																										BgL_arg4154z00_4871;
																																																																									BgL_proc1z00_25472
																																																																										=
																																																																										BgL_carzd253999zd2_4862;
																																																																									BgL_proc2z00_25473
																																																																										=
																																																																										BgL_carzd254005zd2_4866;
																																																																									BgL_argsz00_25474
																																																																										=
																																																																										BgL_cdrzd253982zd2_4859;
																																																																									BgL_argsz00_1739
																																																																										=
																																																																										BgL_argsz00_25474;
																																																																									BgL_proc2z00_1738
																																																																										=
																																																																										BgL_proc2z00_25473;
																																																																									BgL_proc1z00_1737
																																																																										=
																																																																										BgL_proc1z00_25472;
																																																																									BgL_testz00_1736
																																																																										=
																																																																										BgL_testz00_25471;
																																																																									goto
																																																																										BgL_tagzd2388zd2_1740;
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_25477;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1764;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_25477);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1765;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_25481;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1764;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_25481);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1765;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_25485;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1764;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_25485);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1765;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_25489;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1764;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_25489);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1765;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_25493;
																																																																		goto
																																																																			BgL_tagzd2403zd2_1764;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_25493);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1765;
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_25497;
																																																											goto
																																																												BgL_tagzd2403zd2_1764;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_25497);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2404zd2_1765;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_25501;
																																																									goto
																																																										BgL_tagzd2403zd2_1764;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_25501);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1765;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_25505;
																																																							goto
																																																								BgL_tagzd2403zd2_1764;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_25505);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2404zd2_1765;
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(BgL_carzd251267zd2_4698
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{	/* Ast/sexp.scm 118 */
																																			goto
																																				BgL_tagzd2382zd2_1720;
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd251267zd2_4698)))
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2382zd2_1720;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd251267zd2_4698
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2382zd2_1720;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																								{	/* Ast/sexp.scm 118 */
																																									goto
																																										BgL_tagzd2383zd2_1721;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd254567zd2_5031;
																																									BgL_carzd254567zd2_5031
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if ((BgL_carzd254567zd2_5031 == CNST_TABLE_REF(((long) 20))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_25524;
																																											goto
																																												BgL_tagzd2384zd2_1722;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_25524);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd254567zd2_5031)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_25529;
																																													goto
																																														BgL_tagzd2384zd2_1722;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_25529);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 118 */
																																															goto
																																																BgL_tagzd2389zd2_1741;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2390zd2_1742;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd254646zd2_5038;
																																																	BgL_cdrzd254646zd2_5038
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (PAIRP(BgL_cdrzd254646zd2_5038))
																																																				{
																																																					obj_t
																																																						BgL_restz00_25548;
																																																					obj_t
																																																						BgL_effectz00_25546;
																																																					BgL_effectz00_25546
																																																						=
																																																						CAR
																																																						(BgL_cdrzd254646zd2_5038);
																																																					BgL_restz00_25548
																																																						=
																																																						CDR
																																																						(BgL_cdrzd254646zd2_5038);
																																																					BgL_restz00_1744
																																																						=
																																																						BgL_restz00_25548;
																																																					BgL_effectz00_1743
																																																						=
																																																						BgL_effectz00_25546;
																																																					goto
																																																						BgL_tagzd2391zd2_1745;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_25552;
																																																							goto
																																																								BgL_tagzd2403zd2_1764;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_25552);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2404zd2_1765;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2392zd2_1746;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2393zd2_1747;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd254646zd2_5038))
																																																										{
																																																											obj_t
																																																												BgL_restz00_25570;
																																																											obj_t
																																																												BgL_effectz00_25568;
																																																											BgL_effectz00_25568
																																																												=
																																																												CAR
																																																												(BgL_cdrzd254646zd2_5038);
																																																											BgL_restz00_25570
																																																												=
																																																												CDR
																																																												(BgL_cdrzd254646zd2_5038);
																																																											BgL_restz00_1749
																																																												=
																																																												BgL_restz00_25570;
																																																											BgL_effectz00_1748
																																																												=
																																																												BgL_effectz00_25568;
																																																											goto
																																																												BgL_tagzd2394zd2_1750;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_25574;
																																																													goto
																																																														BgL_tagzd2403zd2_1764;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_25574);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2404zd2_1765;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2395zd2_1751;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2396zd2_1752;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_25588;
																																																															goto
																																																																BgL_tagzd2397zd2_1753;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_25588);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_25594;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1754;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_25594);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd254773zd2_5064;
																																																																	BgL_cdrzd254773zd2_5064
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd254773zd2_5064))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd254775zd2_5068;
																																																																					BgL_cdrzd254775zd2_5068
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd254773zd2_5064);
																																																																					if (PAIRP(BgL_cdrzd254775zd2_5068))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd254775zd2_5068)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1755;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_25611;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_25611);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_25615;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_25615);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_25619;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1764;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_25619);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1765;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd254773zd2_5064))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd254820zd2_5080;
																																																																							BgL_cdrzd254820zd2_5080
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd254773zd2_5064);
																																																																							if (PAIRP(BgL_cdrzd254820zd2_5080))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd254825zd2_5082;
																																																																									BgL_cdrzd254825zd2_5082
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd254820zd2_5080);
																																																																									if ((CAR(BgL_cdrzd254820zd2_5080) == CNST_TABLE_REF(((long) 32))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd254825zd2_5082))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg4315z00_5086;
																																																																													obj_t
																																																																														BgL_arg4316z00_5087;
																																																																													obj_t
																																																																														BgL_arg4317z00_5088;
																																																																													BgL_arg4315z00_5086
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd254773zd2_5064);
																																																																													BgL_arg4316z00_5087
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd254825zd2_5082);
																																																																													BgL_arg4317z00_5088
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd254825zd2_5082);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4315z00_5086,
																																																																														BgL_arg4316z00_5087,
																																																																														BgL_arg4317z00_5088,
																																																																														BgL_stackz00_22,
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																															BgL_locz00_23),
																																																																														BgL_sitez00_24);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd254838zd2_5089;
																																																																													BgL_cdrzd254838zd2_5089
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4318z00_5090;
																																																																														obj_t
																																																																															BgL_arg4319z00_5091;
																																																																														BgL_arg4318z00_5090
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd254838zd2_5089));
																																																																														BgL_arg4319z00_5091
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd254838zd2_5089));
																																																																														{	/* Ast/sexp.scm 548 */
																																																																															obj_t
																																																																																BgL_arg6427z00_11990;
																																																																															BgL_arg6427z00_11990
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg4318z00_5090,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg4319z00_5091, BgL_stackz00_22, BgL_arg6427z00_11990, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd254853zd2_5092;
																																																																											BgL_cdrzd254853zd2_5092
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg4320z00_5093;
																																																																												obj_t
																																																																													BgL_arg4321z00_5094;
																																																																												BgL_arg4320z00_5093
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd254853zd2_5092));
																																																																												BgL_arg4321z00_5094
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd254853zd2_5092));
																																																																												{	/* Ast/sexp.scm 548 */
																																																																													obj_t
																																																																														BgL_arg6427z00_11994;
																																																																													BgL_arg6427z00_11994
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4320z00_5093,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg4321z00_5094, BgL_stackz00_22, BgL_arg6427z00_11994, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd254868zd2_5096;
																																																																									BgL_cdrzd254868zd2_5096
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4323z00_5097;
																																																																										obj_t
																																																																											BgL_arg4324z00_5098;
																																																																										BgL_arg4323z00_5097
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd254868zd2_5096));
																																																																										BgL_arg4324z00_5098
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd254868zd2_5096));
																																																																										{	/* Ast/sexp.scm 548 */
																																																																											obj_t
																																																																												BgL_arg6427z00_11998;
																																																																											BgL_arg6427z00_11998
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_expz00_21,
																																																																												BgL_locz00_23);
																																																																											return
																																																																												BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																												(BgL_expz00_21,
																																																																												BgL_arg4323z00_5097,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4324z00_5098, BgL_stackz00_22, BgL_arg6427z00_11998, BgL_sitez00_24);
																																																																						}}}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_25668;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_25668);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_expz00_21)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2402zd2_1763;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_25678;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1764;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_25678);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1765;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_25682;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1764;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_25682);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1765;
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 118 */
										BgL_atomz00_1698 = BgL_expz00_21;
										{	/* Ast/sexp.scm 134 */
											bool_t BgL_testz00_25684;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1698,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 134 */
													BgL_testz00_25684 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 134 */
													BgL_testz00_25684 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1698,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_25684)
												{	/* Ast/sexp.scm 134 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1698, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 136 */
													bool_t BgL_testz00_25689;

													if (STRUCTP(BgL_atomz00_1698))
														{	/* Ast/sexp.scm 136 */
															BgL_testz00_25689 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 136 */
															if (VECTORP(BgL_atomz00_1698))
																{	/* Ast/sexp.scm 136 */
																	BgL_testz00_25689 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 136 */
																	if (BGL_OBJECTP(BgL_atomz00_1698))
																		{	/* Ast/sexp.scm 136 */
																			BgL_testz00_25689 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 136 */
																			BgL_testz00_25689 =
																				PROCEDUREP(BgL_atomz00_1698);
																		}
																}
														}
													if (BgL_testz00_25689)
														{	/* Ast/sexp.scm 137 */
															BgL_nodez00_bglt BgL_res6681z00_8668;

															{	/* Ast/sexp.scm 702 */
																obj_t BgL_arg6527z00_8664;
																BgL_nodez00_bglt BgL_arg6528z00_8665;

																BgL_arg6527z00_8664 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg6528z00_8665 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 701 */
																	obj_t BgL_list6529z00_8667;

																	BgL_list6529z00_8667 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg6528z00_8665), BNIL);
																	BgL_res6681z00_8668 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg6527z00_8664,
																			BGl_string7293z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list6529z00_8667));
															}}
															return BgL_res6681z00_8668;
														}
													else
														{	/* Ast/sexp.scm 136 */
															if (SYMBOLP(BgL_atomz00_1698))
																{	/* Ast/sexp.scm 143 */
																	obj_t BgL_g1119z00_7564;

																	BgL_g1119z00_7564 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1698, BgL_stackz00_22);
																	if (CBOOL(BgL_g1119z00_7564))
																		{	/* Ast/sexp.scm 143 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1119z00_7564, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 147 */
																			obj_t BgL_globalz00_7567;

																			BgL_globalz00_7567 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1698, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_7567,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 149 */
																					if (
																						((((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_7567)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/sexp.scm 152 */
																							obj_t BgL_arg6078z00_7571;

																							{	/* Ast/sexp.scm 152 */
																								obj_t BgL_arg6079z00_7572;

																								{	/* Ast/sexp.scm 152 */
																									obj_t BgL_arg6080z00_7573;

																									{	/* Ast/sexp.scm 152 */
																										obj_t BgL_arg6081z00_7574;

																										BgL_arg6081z00_7574 =
																											MAKE_YOUNG_PAIR
																											(BgL_atomz00_1698, BNIL);
																										BgL_arg6080z00_7573 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													13)),
																											BgL_arg6081z00_7574);
																									}
																									BgL_arg6079z00_7572 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg6080z00_7573, BNIL);
																								}
																								BgL_arg6078z00_7571 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 11)),
																									BgL_arg6079z00_7572);
																							}
																							{
																								obj_t BgL_expz00_25726;

																								BgL_expz00_25726 =
																									BgL_arg6078z00_7571;
																								BgL_expz00_21 =
																									BgL_expz00_25726;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 151 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_7567,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 150 */
																					BgL_nodez00_bglt BgL_res6684z00_8677;

																					{	/* Ast/sexp.scm 702 */
																						obj_t BgL_arg6527z00_8673;
																						BgL_nodez00_bglt
																							BgL_arg6528z00_8674;
																						BgL_arg6527z00_8673 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg6528z00_8674 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 701 */
																							obj_t BgL_list6529z00_8676;

																							BgL_list6529z00_8676 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg6528z00_8674),
																								BNIL);
																							BgL_res6684z00_8677 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg6527z00_8673,
																									BGl_string7292z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list6529z00_8676));
																					}}
																					return BgL_res6684z00_8677;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 139 */
																	BgL_literalz00_bglt BgL_new1118z00_7577;

																	{	/* Ast/sexp.scm 140 */
																		BgL_literalz00_bglt BgL_new1117z00_7578;

																		BgL_new1117z00_7578 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Ast/sexp.scm 140 */
																			long BgL_arg6084z00_7579;

																			{	/* Ast/sexp.scm 140 */
																				long BgL_res6685z00_8679;

																				BgL_res6685z00_8679 =
																					BGL_CLASS_INDEX
																					(BGl_literalz00zzast_nodez00);
																				BgL_arg6084z00_7579 =
																					BgL_res6685z00_8679;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1117z00_7578),
																				BgL_arg6084z00_7579);
																		}
																		{	/* Ast/sexp.scm 140 */
																			BgL_objectz00_bglt BgL_tmpz00_25741;

																			BgL_tmpz00_25741 =
																				((BgL_objectz00_bglt)
																				BgL_new1117z00_7578);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_25741,
																				BFALSE);
																		}
																		BgL_new1118z00_7577 = BgL_new1117z00_7578;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1118z00_7577)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1118z00_7577)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1698)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1118z00_7577)))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1698), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1118z00_7577);
																}
														}
												}
										}
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_7942)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 381 */
			if (NULLP(BgL_argsz00_7942))
				{	/* Ast/sexp.scm 382 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 384 */
					obj_t BgL_arg6303z00_7945;

					{	/* Ast/sexp.scm 384 */
						obj_t BgL_arg6304z00_7946;
						obj_t BgL_arg6305z00_7947;

						BgL_arg6304z00_7946 = CAR(((obj_t) BgL_argsz00_7942));
						{	/* Ast/sexp.scm 385 */
							obj_t BgL_arg6306z00_7948;

							{	/* Ast/sexp.scm 385 */
								obj_t BgL_arg6307z00_7949;

								BgL_arg6307z00_7949 = CDR(((obj_t) BgL_argsz00_7942));
								BgL_arg6306z00_7948 =
									BGl_liipze70ze7zzast_sexpz00(BgL_arg6307z00_7949);
							}
							BgL_arg6305z00_7947 = MAKE_YOUNG_PAIR(BgL_arg6306z00_7948, BNIL);
						}
						BgL_arg6303z00_7945 =
							MAKE_YOUNG_PAIR(BgL_arg6304z00_7946, BgL_arg6305z00_7947);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)), BgL_arg6303z00_7945);
		}}
		BGL_FUNCTION_END;
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_12235,
		obj_t BgL_locz00_12234, obj_t BgL_varsz00_7904, obj_t BgL_argsz00_7905)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 366 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_7904))
				{	/* Ast/sexp.scm 369 */
					if (NULLP(BgL_argsz00_7905))
						{	/* Ast/sexp.scm 370 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 370 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_12234,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string7295z00zzast_sexpz00, BgL_expz00_12235, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 369 */
					if (PAIRP(BgL_varsz00_7904))
						{	/* Ast/sexp.scm 377 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_7904)))
								{	/* Ast/sexp.scm 387 */
									obj_t BgL_argz00_7915;

									BgL_argz00_7915 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_7904));
									if (CBOOL(BgL_argz00_7915))
										{
											obj_t BgL_varsz00_25780;

											BgL_varsz00_25780 = BgL_argz00_7915;
											BgL_varsz00_7904 = BgL_varsz00_25780;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_25781;

											BgL_varsz00_25781 = BNIL;
											BgL_varsz00_7904 = BgL_varsz00_25781;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 392 */
									bool_t BgL_testz00_25782;

									{	/* Ast/sexp.scm 392 */
										obj_t BgL_tmpz00_25783;

										BgL_tmpz00_25783 = CAR(BgL_varsz00_7904);
										BgL_testz00_25782 = SYMBOLP(BgL_tmpz00_25783);
									}
									if (BgL_testz00_25782)
										{	/* Ast/sexp.scm 392 */
											if (NULLP(BgL_argsz00_7905))
												{	/* Ast/sexp.scm 398 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_12234,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string7295z00zzast_sexpz00, BgL_expz00_12235,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 405 */
													obj_t BgL_arg6283z00_7923;
													obj_t BgL_arg6284z00_7924;

													{	/* Ast/sexp.scm 405 */
														obj_t BgL_arg6285z00_7925;
														obj_t BgL_arg6286z00_7926;

														BgL_arg6285z00_7925 = CAR(BgL_varsz00_7904);
														BgL_arg6286z00_7926 =
															CAR(((obj_t) BgL_argsz00_7905));
														{	/* Ast/sexp.scm 405 */
															obj_t BgL_list6287z00_7927;

															{	/* Ast/sexp.scm 405 */
																obj_t BgL_arg6288z00_7928;

																BgL_arg6288z00_7928 =
																	MAKE_YOUNG_PAIR(BgL_arg6286z00_7926, BNIL);
																BgL_list6287z00_7927 =
																	MAKE_YOUNG_PAIR(BgL_arg6285z00_7925,
																	BgL_arg6288z00_7928);
															}
															BgL_arg6283z00_7923 = BgL_list6287z00_7927;
														}
													}
													{	/* Ast/sexp.scm 406 */
														obj_t BgL_arg6289z00_7929;
														obj_t BgL_arg6290z00_7930;

														BgL_arg6289z00_7929 = CDR(BgL_varsz00_7904);
														BgL_arg6290z00_7930 =
															CDR(((obj_t) BgL_argsz00_7905));
														BgL_arg6284z00_7924 =
															BGl_loopze70ze7zzast_sexpz00(BgL_expz00_12235,
															BgL_locz00_12234, BgL_arg6289z00_7929,
															BgL_arg6290z00_7930);
													}
													return
														MAKE_YOUNG_PAIR(BgL_arg6283z00_7923,
														BgL_arg6284z00_7924);
												}
										}
									else
										{	/* Ast/sexp.scm 392 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_12234,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string7296z00zzast_sexpz00, BgL_expz00_12235, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 382 */
							obj_t BgL_arg6296z00_7936;

							{	/* Ast/sexp.scm 382 */
								obj_t BgL_arg6298z00_7938;

								BgL_arg6298z00_7938 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_7905);
								{	/* Ast/sexp.scm 379 */
									obj_t BgL_list6299z00_7939;

									{	/* Ast/sexp.scm 379 */
										obj_t BgL_arg6300z00_7940;

										BgL_arg6300z00_7940 =
											MAKE_YOUNG_PAIR(BgL_arg6298z00_7938, BNIL);
										BgL_list6299z00_7939 =
											MAKE_YOUNG_PAIR(BgL_varsz00_7904, BgL_arg6300z00_7940);
									}
									BgL_arg6296z00_7936 = BgL_list6299z00_7939;
								}
							}
							{	/* Ast/sexp.scm 378 */
								obj_t BgL_list6297z00_7937;

								BgL_list6297z00_7937 =
									MAKE_YOUNG_PAIR(BgL_arg6296z00_7936, BNIL);
								return BgL_list6297z00_7937;
							}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_12196,
		obj_t BgL_expz00_12197, obj_t BgL_stackz00_12198, obj_t BgL_locz00_12199,
		obj_t BgL_sitez00_12200)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 113 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12197, BgL_stackz00_12198,
				BgL_locz00_12199, BgL_sitez00_12200);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:6313> */
	obj_t BGl_z62zc3anonymousza36313ze3ze1zzast_sexpz00(obj_t BgL_envz00_12201,
		obj_t BgL_objz00_12203, obj_t BgL_procz00_12204, obj_t BgL_msgz00_12205)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 411 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_12201, (int) (((long) 0))), BgL_objz00_12203,
				BgL_procz00_12204, BgL_msgz00_12205, BNIL);
		}
		BGL_FUNCTION_END;
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 567 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 569 */
				bool_t BgL_testz00_25814;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 34))))
					{	/* Ast/sexp.scm 569 */
						BgL_testz00_25814 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 569 */
						BgL_valuez00_bglt BgL_arg6451z00_8184;

						BgL_arg6451z00_8184 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 569 */
							bool_t BgL_res7223z00_12003;

							BgL_res7223z00_12003 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg6451z00_8184), BGl_funz00zzast_varz00);
							BgL_testz00_25814 = BgL_res7223z00_12003;
						}
					}
				if (BgL_testz00_25814)
					{	/* Ast/sexp.scm 570 */
						bool_t BgL_testz00_25822;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 571 */
								bool_t BgL_testz00_25825;

								{	/* Ast/sexp.scm 571 */
									BgL_valuez00_bglt BgL_arg6448z00_8178;

									BgL_arg6448z00_8178 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 571 */
										bool_t BgL_res7225z00_12006;

										BgL_res7225z00_12006 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg6448z00_8178), BGl_cfunz00zzast_varz00);
										BgL_testz00_25825 = BgL_res7225z00_12006;
									}
								}
								if (BgL_testz00_25825)
									{	/* Ast/sexp.scm 572 */
										bool_t BgL_testz00_25831;

										{	/* Ast/sexp.scm 572 */
											obj_t BgL_arg6447z00_8177;

											BgL_arg6447z00_8177 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_25831 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg6447z00_8177)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_25831)
											{	/* Ast/sexp.scm 572 */
												BgL_testz00_25822 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 572 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 31))))
													{	/* Ast/sexp.scm 573 */
														BgL_testz00_25822 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 573 */
														BgL_testz00_25822 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 571 */
										BgL_testz00_25822 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 570 */
								BgL_testz00_25822 = ((bool_t) 0);
							}
						if (BgL_testz00_25822)
							{	/* Ast/sexp.scm 575 */
								obj_t BgL_arg6441z00_8165;

								{	/* Ast/sexp.scm 575 */
									obj_t BgL_arg6442z00_8166;

									{	/* Ast/sexp.scm 575 */
										obj_t BgL_arg6444z00_8168;

										BgL_arg6444z00_8168 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg6442z00_8166 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg6444z00_8168)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 575 */
										obj_t BgL_list6443z00_8167;

										BgL_list6443z00_8167 =
											MAKE_YOUNG_PAIR(BgL_arg6442z00_8166, BNIL);
										BgL_arg6441z00_8165 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string7297z00zzast_sexpz00, BgL_list6443z00_8167);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg6441z00_8165, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 576 */
								BgL_closurez00_bglt BgL_new1148z00_8169;

								{	/* Ast/sexp.scm 577 */
									BgL_closurez00_bglt BgL_new1147z00_8171;

									BgL_new1147z00_8171 =
										((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 577 */
										long BgL_arg6446z00_8172;

										{	/* Ast/sexp.scm 577 */
											long BgL_res7228z00_12014;

											BgL_res7228z00_12014 =
												BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
											BgL_arg6446z00_8172 = BgL_res7228z00_12014;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1147z00_8171),
											BgL_arg6446z00_8172);
									}
									BgL_new1148z00_8169 = BgL_new1147z00_8171;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1148z00_8169)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_25850;

									{	/* Ast/sexp.scm 578 */
										BgL_typez00_bglt BgL_arg6445z00_8170;

										BgL_arg6445z00_8170 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_25850 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg6445z00_8170);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1148z00_8169)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_25850), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1148z00_8169)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1148z00_8169);
							}
					}
				else
					{	/* Ast/sexp.scm 580 */
						BgL_varz00_bglt BgL_new1150z00_8179;

						{	/* Ast/sexp.scm 581 */
							BgL_varz00_bglt BgL_new1149z00_8181;

							BgL_new1149z00_8181 =
								((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 581 */
								long BgL_arg6450z00_8182;

								{	/* Ast/sexp.scm 581 */
									long BgL_res7229z00_12019;

									BgL_res7229z00_12019 =
										BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
									BgL_arg6450z00_8182 = BgL_res7229z00_12019;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1149z00_8181),
									BgL_arg6450z00_8182);
							}
							BgL_new1150z00_8179 = BgL_new1149z00_8181;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1150z00_8179)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_25867;

							{	/* Ast/sexp.scm 582 */
								BgL_typez00_bglt BgL_arg6449z00_8180;

								BgL_arg6449z00_8180 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_25867 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg6449z00_8180);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1150z00_8179)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_25867), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(BgL_new1150z00_8179))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1150z00_8179);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 588 */
			{	/* Ast/sexp.scm 589 */
				obj_t BgL_callerz00_8185;
				obj_t BgL_locz00_8186;

				BgL_callerz00_8185 = CAR(((obj_t) BgL_expz00_28));
				BgL_locz00_8186 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_8185))
					{	/* Ast/sexp.scm 593 */
						obj_t BgL_pidz00_8188;

						BgL_pidz00_8188 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_8185,
							BgL_locz00_8186);
						{	/* Ast/sexp.scm 593 */
							obj_t BgL_idz00_8189;

							BgL_idz00_8189 = CAR(BgL_pidz00_8188);
							{	/* Ast/sexp.scm 594 */
								obj_t BgL_typez00_8190;

								BgL_typez00_8190 = CDR(BgL_pidz00_8188);
								{	/* Ast/sexp.scm 595 */

									if ((BgL_idz00_8189 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 596 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_8190),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_8186,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 596 */
											if ((BgL_idz00_8189 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 600 */
													bool_t BgL_testz00_25893;

													{	/* Ast/sexp.scm 600 */
														obj_t BgL_tmpz00_25894;

														BgL_tmpz00_25894 = CDR(((obj_t) BgL_expz00_28));
														BgL_testz00_25893 = PAIRP(BgL_tmpz00_25894);
													}
													if (BgL_testz00_25893)
														{	/* Ast/sexp.scm 604 */
															BgL_feffectz00_bglt BgL_arg6457z00_8196;
															obj_t BgL_arg6458z00_8197;

															{	/* Ast/sexp.scm 604 */
																obj_t BgL_arg6459z00_8198;

																{	/* Ast/sexp.scm 604 */
																	obj_t BgL_pairz00_12036;

																	BgL_pairz00_12036 =
																		CDR(((obj_t) BgL_expz00_28));
																	BgL_arg6459z00_8198 = CAR(BgL_pairz00_12036);
																}
																BgL_arg6457z00_8196 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg6459z00_8198);
															}
															{	/* Ast/sexp.scm 605 */
																obj_t BgL_arg6460z00_8199;
																obj_t BgL_arg6461z00_8200;

																{	/* Ast/sexp.scm 605 */
																	obj_t BgL_arg6462z00_8201;

																	BgL_arg6462z00_8201 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
																		BNIL);
																	BgL_arg6460z00_8199 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 36)),
																		BgL_arg6462z00_8201);
																}
																{	/* Ast/sexp.scm 605 */
																	obj_t BgL_auxz00_25906;

																	{	/* Ast/sexp.scm 605 */
																		obj_t BgL_pairz00_12040;

																		BgL_pairz00_12040 =
																			CDR(((obj_t) BgL_expz00_28));
																		BgL_auxz00_25906 = CDR(BgL_pairz00_12040);
																	}
																	BgL_arg6461z00_8200 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_25906, BNIL);
																}
																BgL_arg6458z00_8197 =
																	MAKE_YOUNG_PAIR(BgL_arg6460z00_8199,
																	BgL_arg6461z00_8200);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg6457z00_8196),
																((BgL_typez00_bglt) BgL_typez00_8190),
																BgL_arg6458z00_8197, BgL_stackz00_29,
																BgL_locz00_8186, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 603 */
															obj_t BgL_arg6464z00_8203;

															BgL_arg6464z00_8203 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_8186);
															{	/* Ast/sexp.scm 601 */
																BgL_nodez00_bglt BgL_res7234z00_12046;

																{	/* Ast/sexp.scm 702 */
																	obj_t BgL_arg6527z00_12042;
																	BgL_nodez00_bglt BgL_arg6528z00_12043;

																	BgL_arg6527z00_12042 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg6528z00_12043 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg6464z00_8203,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 701 */
																		obj_t BgL_list6529z00_12045;

																		BgL_list6529z00_12045 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg6528z00_12043), BNIL);
																		BgL_res7234z00_12046 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg6464z00_8203,
																				BgL_arg6527z00_12042,
																				BGl_string7298z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list6529z00_12045));
																}}
																return BgL_res7234z00_12046;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 596 */
													if ((BgL_idz00_8189 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 596 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_8190),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_8186,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 596 */
															if (
																(BgL_idz00_8189 == CNST_TABLE_REF(((long) 25))))
																{	/* Ast/sexp.scm 610 */
																	bool_t BgL_testz00_25933;

																	{	/* Ast/sexp.scm 610 */
																		obj_t BgL_tmpz00_25934;

																		BgL_tmpz00_25934 =
																			CDR(((obj_t) BgL_expz00_28));
																		BgL_testz00_25933 = PAIRP(BgL_tmpz00_25934);
																	}
																	if (BgL_testz00_25933)
																		{	/* Ast/sexp.scm 614 */
																			BgL_feffectz00_bglt BgL_arg6470z00_8209;
																			obj_t BgL_arg6471z00_8210;

																			{	/* Ast/sexp.scm 614 */
																				obj_t BgL_arg6472z00_8211;

																				{	/* Ast/sexp.scm 614 */
																					obj_t BgL_pairz00_12056;

																					BgL_pairz00_12056 =
																						CDR(((obj_t) BgL_expz00_28));
																					BgL_arg6472z00_8211 =
																						CAR(BgL_pairz00_12056);
																				}
																				BgL_arg6470z00_8209 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg6472z00_8211);
																			}
																			{	/* Ast/sexp.scm 615 */
																				obj_t BgL_arg6473z00_8212;
																				obj_t BgL_arg6474z00_8213;

																				{	/* Ast/sexp.scm 615 */
																					obj_t BgL_arg6475z00_8214;

																					BgL_arg6475z00_8214 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 35)), BNIL);
																					BgL_arg6473z00_8212 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 36)),
																						BgL_arg6475z00_8214);
																				}
																				{	/* Ast/sexp.scm 615 */
																					obj_t BgL_auxz00_25946;

																					{	/* Ast/sexp.scm 615 */
																						obj_t BgL_pairz00_12060;

																						BgL_pairz00_12060 =
																							CDR(((obj_t) BgL_expz00_28));
																						BgL_auxz00_25946 =
																							CDR(BgL_pairz00_12060);
																					}
																					BgL_arg6474z00_8213 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_25946, BNIL);
																				}
																				BgL_arg6471z00_8210 =
																					MAKE_YOUNG_PAIR(BgL_arg6473z00_8212,
																					BgL_arg6474z00_8213);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg6470z00_8209),
																				((BgL_typez00_bglt) BgL_typez00_8190),
																				BgL_arg6471z00_8210, BgL_stackz00_29,
																				BgL_locz00_8186, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 613 */
																			obj_t BgL_arg6477z00_8216;

																			BgL_arg6477z00_8216 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_8186);
																			{	/* Ast/sexp.scm 611 */
																				BgL_nodez00_bglt BgL_res7238z00_12066;

																				{	/* Ast/sexp.scm 702 */
																					obj_t BgL_arg6527z00_12062;
																					BgL_nodez00_bglt BgL_arg6528z00_12063;

																					BgL_arg6527z00_12062 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg6528z00_12063 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg6477z00_8216,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 701 */
																						obj_t BgL_list6529z00_12065;

																						BgL_list6529z00_12065 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg6528z00_12063),
																							BNIL);
																						BgL_res7238z00_12066 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg6477z00_8216,
																								BgL_arg6527z00_12062,
																								BGl_string7299z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list6529z00_12065));
																				}}
																				return BgL_res7238z00_12066;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 596 */
																	if (
																		(BgL_idz00_8189 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_8219;
																			obj_t BgL_bodyz00_8220;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 618 */
																					obj_t BgL_cdrzd255120zd2_8225;

																					BgL_cdrzd255120zd2_8225 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd255120zd2_8225))
																						{	/* Ast/sexp.scm 618 */
																							BgL_argsz00_8219 =
																								CAR(BgL_cdrzd255120zd2_8225);
																							BgL_bodyz00_8220 =
																								CDR(BgL_cdrzd255120zd2_8225);
																							{	/* Ast/sexp.scm 620 */
																								obj_t BgL_locz00_8229;

																								BgL_locz00_8229 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_8186);
																								{	/* Ast/sexp.scm 620 */
																									obj_t BgL_funz00_8230;

																									BgL_funz00_8230 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 621 */
																										obj_t BgL_tfunz00_8231;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_8190)))
																											{	/* Ast/sexp.scm 623 */
																												obj_t
																													BgL_arg6494z00_8242;
																												BgL_arg6494z00_8242 =
																													(((BgL_typez00_bglt)
																														COBJECT((
																																(BgL_typez00_bglt)
																																BgL_typez00_8190)))->
																													BgL_idz00);
																												BgL_tfunz00_8231 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_8230,
																													BgL_arg6494z00_8242);
																											}
																										else
																											{	/* Ast/sexp.scm 622 */
																												BgL_tfunz00_8231 =
																													BgL_funz00_8230;
																											}
																										{	/* Ast/sexp.scm 622 */

																											{	/* Ast/sexp.scm 626 */
																												obj_t
																													BgL_arg6484z00_8232;
																												{	/* Ast/sexp.scm 626 */
																													obj_t
																														BgL_arg6485z00_8233;
																													obj_t
																														BgL_arg6486z00_8234;
																													BgL_arg6485z00_8233 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 626 */
																														obj_t
																															BgL_arg6487z00_8235;
																														obj_t
																															BgL_arg6488z00_8236;
																														{	/* Ast/sexp.scm 626 */
																															obj_t
																																BgL_arg6489z00_8237;
																															{	/* Ast/sexp.scm 626 */
																																obj_t
																																	BgL_arg6490z00_8238;
																																{	/* Ast/sexp.scm 626 */
																																	obj_t
																																		BgL_arg6491z00_8239;
																																	BgL_arg6491z00_8239
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_8220),
																																		BNIL);
																																	BgL_arg6490z00_8238
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_8219,
																																		BgL_arg6491z00_8239);
																																}
																																BgL_arg6489z00_8237
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_8231,
																																	BgL_arg6490z00_8238);
																															}
																															BgL_arg6487z00_8235
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg6489z00_8237,
																																BNIL);
																														}
																														BgL_arg6488z00_8236
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_8230,
																															BNIL);
																														BgL_arg6486z00_8234
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg6487z00_8235,
																															BgL_arg6488z00_8236);
																													}
																													BgL_arg6484z00_8232 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg6485z00_8233,
																														BgL_arg6486z00_8234);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg6484z00_8232,
																													BgL_stackz00_29,
																													BgL_locz00_8229,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 618 */
																						BgL_tagzd255113zd2_8222:
																							{	/* Ast/sexp.scm 632 */
																								BgL_nodez00_bglt
																									BgL_res7240z00_12075;
																								{	/* Ast/sexp.scm 702 */
																									obj_t BgL_arg6527z00_12071;
																									BgL_nodez00_bglt
																										BgL_arg6528z00_12072;
																									BgL_arg6527z00_12071 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg6528z00_12072 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_8186,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 701 */
																										obj_t BgL_list6529z00_12074;

																										BgL_list6529z00_12074 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg6528z00_12072),
																											BNIL);
																										BgL_res7240z00_12075 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_8186,
																												BgL_arg6527z00_12071,
																												BGl_string7300z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list6529z00_12074));
																								}}
																								return BgL_res7240z00_12075;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 618 */
																					goto BgL_tagzd255113zd2_8222;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 596 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_8186, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 591 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_8186, BgL_sitez00_31);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 640 */
			{
				obj_t BgL_expsz00_8246;
				obj_t BgL_resz00_8247;
				obj_t BgL_locz00_8248;

				BgL_expsz00_8246 = BgL_expza2za2_32;
				BgL_resz00_8247 = BNIL;
				BgL_locz00_8248 = BgL_locz00_34;
			BgL_zc3anonymousza36496ze3z83_8249:
				if (NULLP(BgL_expsz00_8246))
					{	/* Ast/sexp.scm 646 */
						BgL_nodez00_bglt BgL_res7244z00_12087;

						{	/* Ast/sexp.scm 702 */
							obj_t BgL_arg6527z00_12083;
							BgL_nodez00_bglt BgL_arg6528z00_12084;

							BgL_arg6527z00_12083 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg6528z00_12084 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_8248, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 701 */
								obj_t BgL_list6529z00_12086;

								BgL_list6529z00_12086 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg6528z00_12084), BNIL);
								BgL_res7244z00_12087 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_8248, BgL_arg6527z00_12083,
										BGl_string7301z00zzast_sexpz00, BgL_expsz00_8246,
										BgL_list6529z00_12086));
						}}
						return ((obj_t) BgL_res7244z00_12087);
					}
				else
					{	/* Ast/sexp.scm 645 */
						if (NULLP(CDR(((obj_t) BgL_expsz00_8246))))
							{	/* Ast/sexp.scm 648 */
								obj_t BgL_locz00_8253;
								obj_t BgL_nsitez00_8254;

								{	/* Ast/sexp.scm 648 */
									obj_t BgL_arg6503z00_8258;
									obj_t BgL_arg6504z00_8259;

									BgL_arg6503z00_8258 = CAR(((obj_t) BgL_expsz00_8246));
									BgL_arg6504z00_8259 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_8246, BgL_locz00_8248);
									BgL_locz00_8253 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg6503z00_8258, BgL_arg6504z00_8259);
								}
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 34))))
									{	/* Ast/sexp.scm 650 */
										BgL_nsitez00_8254 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 650 */
										BgL_nsitez00_8254 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 651 */
									obj_t BgL_arg6500z00_8255;

									{	/* Ast/sexp.scm 651 */
										BgL_nodez00_bglt BgL_arg6501z00_8256;

										{	/* Ast/sexp.scm 651 */
											obj_t BgL_arg6502z00_8257;

											BgL_arg6502z00_8257 = CAR(((obj_t) BgL_expsz00_8246));
											BgL_arg6501z00_8256 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6502z00_8257,
												BgL_stackz00_33, BgL_locz00_8253, BgL_nsitez00_8254);
										}
										BgL_arg6500z00_8255 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg6501z00_8256), BgL_resz00_8247);
									}
									return bgl_reverse_bang(BgL_arg6500z00_8255);
								}
							}
						else
							{	/* Ast/sexp.scm 653 */
								obj_t BgL_locz00_8261;

								{	/* Ast/sexp.scm 653 */
									obj_t BgL_arg6510z00_8266;
									obj_t BgL_arg6511z00_8267;

									BgL_arg6510z00_8266 = CAR(((obj_t) BgL_expsz00_8246));
									BgL_arg6511z00_8267 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_8246, BgL_locz00_8248);
									BgL_locz00_8261 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg6510z00_8266, BgL_arg6511z00_8267);
								}
								{	/* Ast/sexp.scm 655 */
									obj_t BgL_arg6506z00_8262;
									obj_t BgL_arg6507z00_8263;

									BgL_arg6506z00_8262 = CDR(((obj_t) BgL_expsz00_8246));
									{	/* Ast/sexp.scm 656 */
										BgL_nodez00_bglt BgL_arg6508z00_8264;

										{	/* Ast/sexp.scm 656 */
											obj_t BgL_arg6509z00_8265;

											BgL_arg6509z00_8265 = CAR(((obj_t) BgL_expsz00_8246));
											BgL_arg6508z00_8264 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6509z00_8265,
												BgL_stackz00_33, BgL_locz00_8261,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg6507z00_8263 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg6508z00_8264), BgL_resz00_8247);
									}
									{
										obj_t BgL_locz00_26050;
										obj_t BgL_resz00_26049;
										obj_t BgL_expsz00_26048;

										BgL_expsz00_26048 = BgL_arg6506z00_8262;
										BgL_resz00_26049 = BgL_arg6507z00_8263;
										BgL_locz00_26050 = BgL_locz00_8261;
										BgL_locz00_8248 = BgL_locz00_26050;
										BgL_resz00_8247 = BgL_resz00_26049;
										BgL_expsz00_8246 = BgL_expsz00_26048;
										goto BgL_zc3anonymousza36496ze3z83_8249;
									}
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_12208,
		obj_t BgL_expza2za2_12209, obj_t BgL_stackz00_12210, obj_t BgL_locz00_12211,
		obj_t BgL_sitez00_12212)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 640 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_12209,
				BgL_stackz00_12210, BgL_locz00_12211, BgL_sitez00_12212);
		}
		BGL_FUNCTION_END;
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 669 */
			{	/* Ast/sexp.scm 670 */
				bool_t BgL_testz00_26052;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 670 */
						BgL_testz00_26052 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 670 */
						BgL_testz00_26052 = ((bool_t) 0);
					}
				if (BgL_testz00_26052)
					{	/* Ast/sexp.scm 670 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 670 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_8273;

							BgL_stackz00_8273 = BgL_stackz00_37;
						BgL_zc3anonymousza36515ze3z83_8274:
							if (NULLP(BgL_stackz00_8273))
								{	/* Ast/sexp.scm 677 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 677 */
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_stackz00_8273))))))->
												BgL_idz00) == BgL_namez00_36))
										{	/* Ast/sexp.scm 680 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(((obj_t) BgL_stackz00_8273));
											return CAR(((obj_t) BgL_stackz00_8273));
										}
									else
										{	/* Ast/sexp.scm 684 */
											obj_t BgL_arg6520z00_8279;

											BgL_arg6520z00_8279 = CDR(((obj_t) BgL_stackz00_8273));
											{
												obj_t BgL_stackz00_26071;

												BgL_stackz00_26071 = BgL_arg6520z00_8279;
												BgL_stackz00_8273 = BgL_stackz00_26071;
												goto BgL_zc3anonymousza36515ze3z83_8274;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_12213,
		obj_t BgL_namez00_12214, obj_t BgL_stackz00_12215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 669 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_12214, BgL_stackz00_12215);
		}
		BGL_FUNCTION_END;
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 689 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 692 */
					obj_t BgL_vz00_12102;

					BgL_vz00_12102 = CNST_TABLE_REF(((long) 37));
					((((BgL_variablez00_bglt) COBJECT(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_12102), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 691 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 693 */
				BgL_valuez00_bglt BgL_valz00_8285;

				BgL_valz00_8285 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 694 */
					bool_t BgL_testz00_26079;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 694 */
							bool_t BgL_res7247z00_12104;

							BgL_res7247z00_12104 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valz00_8285), BGl_funz00zzast_varz00);
							BgL_testz00_26079 = BgL_res7247z00_12104;
						}
					else
						{	/* Ast/sexp.scm 694 */
							BgL_testz00_26079 = ((bool_t) 0);
						}
					if (BgL_testz00_26079)
						{	/* Ast/sexp.scm 695 */
							obj_t BgL_arg6526z00_8288;

							BgL_arg6526z00_8288 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 695 */
								BgL_nodez00_bglt BgL_res7248z00_12110;

								{	/* Ast/sexp.scm 702 */
									obj_t BgL_arg6527z00_12106;
									BgL_nodez00_bglt BgL_arg6528z00_12107;

									BgL_arg6527z00_12106 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg6528z00_12107 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 701 */
										obj_t BgL_list6529z00_12109;

										BgL_list6529z00_12109 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg6528z00_12107), BNIL);
										BgL_res7248z00_12110 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg6527z00_12106,
												BGl_string7302z00zzast_sexpz00, BgL_arg6526z00_8288,
												BgL_list6529z00_12109));
								}}
								return ((obj_t) BgL_res7248z00_12110);
							}
						}
					else
						{	/* Ast/sexp.scm 694 */
							return BFALSE;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_12216,
		obj_t BgL_varz00_12217, obj_t BgL_locz00_12218, obj_t BgL_sitez00_12219)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 689 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_12217), BgL_locz00_12218,
				BgL_sitez00_12219);
		}
		BGL_FUNCTION_END;
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 700 */
			{	/* Ast/sexp.scm 702 */
				obj_t BgL_arg6527z00_8290;
				BgL_nodez00_bglt BgL_arg6528z00_8291;

				BgL_arg6527z00_8290 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg6528z00_8291 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 701 */
					obj_t BgL_list6529z00_8292;

					BgL_list6529z00_8292 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg6528z00_8291), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg6527z00_8290, BgL_msgz00_41, BgL_expz00_42,
							BgL_list6529z00_8292));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_12220, obj_t BgL_msgz00_12221, obj_t BgL_expz00_12222,
		obj_t BgL_locz00_12223)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 700 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_12221,
				BgL_expz00_12222, BgL_locz00_12223);
		}
		BGL_FUNCTION_END;
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 710 */
			{	/* Ast/sexp.scm 711 */
				BgL_nodez00_bglt BgL_funz00_8294;

				BgL_funz00_8294 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 712 */
					bool_t BgL_testz00_26112;

					{	/* Ast/sexp.scm 712 */
						bool_t BgL_res7249z00_12111;

						BgL_res7249z00_12111 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8294), BGl_varz00zzast_nodez00);
						BgL_testz00_26112 = BgL_res7249z00_12111;
					}
					if (BgL_testz00_26112)
						{	/* Ast/sexp.scm 713 */
							BgL_appz00_bglt BgL_new1153z00_8296;

							{	/* Ast/sexp.scm 713 */
								BgL_appz00_bglt BgL_new1152z00_8303;

								BgL_new1152z00_8303 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 713 */
									long BgL_arg6538z00_8304;

									{	/* Ast/sexp.scm 713 */
										long BgL_res7250z00_12113;

										BgL_res7250z00_12113 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg6538z00_8304 = BgL_res7250z00_12113;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1152z00_8303),
										BgL_arg6538z00_8304);
								}
								{	/* Ast/sexp.scm 713 */
									BgL_objectz00_bglt BgL_tmpz00_26119;

									BgL_tmpz00_26119 = ((BgL_objectz00_bglt) BgL_new1152z00_8303);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_26119, BFALSE);
								}
								BgL_new1153z00_8296 = BgL_new1152z00_8303;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1153z00_8296)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1153z00_8296)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1153z00_8296)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1153z00_8296)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1153z00_8296))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8294)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_26134;

								{	/* Ast/sexp.scm 716 */
									BgL_nodez00_bglt BgL_arg6532z00_8297;

									{	/* Ast/sexp.scm 716 */
										obj_t BgL_arg6535z00_8300;

										{	/* Ast/sexp.scm 716 */
											obj_t BgL_arg6536z00_8301;

											{	/* Ast/sexp.scm 716 */
												obj_t BgL_arg6537z00_8302;

												BgL_arg6537z00_8302 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg6536z00_8301 =
													MAKE_YOUNG_PAIR(BgL_arg6537z00_8302, BNIL);
											}
											BgL_arg6535z00_8300 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg6536z00_8301);
										}
										BgL_arg6532z00_8297 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6535z00_8300,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 716 */
										obj_t BgL_list6533z00_8298;

										{	/* Ast/sexp.scm 716 */
											obj_t BgL_arg6534z00_8299;

											BgL_arg6534z00_8299 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list6533z00_8298 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg6532z00_8297), BgL_arg6534z00_8299);
										}
										BgL_auxz00_26134 = BgL_list6533z00_8298;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1153z00_8296))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_26134), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1153z00_8296);
						}
					else
						{	/* Ast/sexp.scm 712 */
							return BgL_funz00_8294;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12224, obj_t BgL_globalz00_12225, obj_t BgL_refz00_12226)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 710 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12225),
				((BgL_nodez00_bglt) BgL_refz00_12226));
		}
		BGL_FUNCTION_END;
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 722 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 724 */
				BgL_nodez00_bglt BgL_funz00_8305;

				BgL_funz00_8305 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 39)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 725 */
					bool_t BgL_testz00_26157;

					{	/* Ast/sexp.scm 725 */
						bool_t BgL_res7252z00_12118;

						BgL_res7252z00_12118 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8305), BGl_varz00zzast_nodez00);
						BgL_testz00_26157 = BgL_res7252z00_12118;
					}
					if (BgL_testz00_26157)
						{	/* Ast/sexp.scm 726 */
							BgL_appz00_bglt BgL_new1156z00_8307;

							{	/* Ast/sexp.scm 726 */
								BgL_appz00_bglt BgL_new1154z00_8315;

								BgL_new1154z00_8315 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 726 */
									long BgL_arg6547z00_8316;

									{	/* Ast/sexp.scm 726 */
										long BgL_res7253z00_12120;

										BgL_res7253z00_12120 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg6547z00_8316 = BgL_res7253z00_12120;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1154z00_8315),
										BgL_arg6547z00_8316);
								}
								{	/* Ast/sexp.scm 726 */
									BgL_objectz00_bglt BgL_tmpz00_26164;

									BgL_tmpz00_26164 = ((BgL_objectz00_bglt) BgL_new1154z00_8315);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_26164, BFALSE);
								}
								BgL_new1156z00_8307 = BgL_new1154z00_8315;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1156z00_8307)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1156z00_8307)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1156z00_8307)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1156z00_8307)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_8307))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8305)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_26179;

								{	/* Ast/sexp.scm 729 */
									BgL_nodez00_bglt BgL_arg6540z00_8308;
									BgL_nodez00_bglt BgL_arg6541z00_8309;

									{	/* Ast/sexp.scm 729 */
										obj_t BgL_arg6544z00_8312;

										{	/* Ast/sexp.scm 729 */
											obj_t BgL_arg6545z00_8313;

											{	/* Ast/sexp.scm 729 */
												obj_t BgL_arg6546z00_8314;

												BgL_arg6546z00_8314 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg6545z00_8313 =
													MAKE_YOUNG_PAIR(BgL_arg6546z00_8314, BNIL);
											}
											BgL_arg6544z00_8312 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg6545z00_8313);
										}
										BgL_arg6540z00_8308 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6544z00_8312,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg6541z00_8309 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 729 */
										obj_t BgL_list6542z00_8310;

										{	/* Ast/sexp.scm 729 */
											obj_t BgL_arg6543z00_8311;

											BgL_arg6543z00_8311 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg6541z00_8309), BNIL);
											BgL_list6542z00_8310 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg6540z00_8308), BgL_arg6543z00_8311);
										}
										BgL_auxz00_26179 = BgL_list6542z00_8310;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_8307))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_26179), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1156z00_8307);
						}
					else
						{	/* Ast/sexp.scm 725 */
							return BgL_funz00_8305;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_12227, obj_t BgL_globalz00_12228)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 722 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12228));
		}
		BGL_FUNCTION_END;
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 736 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 738 */
				BgL_nodez00_bglt BgL_funz00_8317;

				BgL_funz00_8317 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 40)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 739 */
					bool_t BgL_testz00_26204;

					{	/* Ast/sexp.scm 739 */
						bool_t BgL_res7255z00_12125;

						BgL_res7255z00_12125 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8317), BGl_varz00zzast_nodez00);
						BgL_testz00_26204 = BgL_res7255z00_12125;
					}
					if (BgL_testz00_26204)
						{	/* Ast/sexp.scm 740 */
							obj_t BgL_exprz00_8319;

							{	/* Ast/sexp.scm 740 */
								bool_t BgL_testz00_26207;

								{	/* Ast/sexp.scm 740 */
									obj_t BgL_arg6556z00_8329;

									BgL_arg6556z00_8329 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_26207 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg6556z00_8329)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_26207)
									{	/* Ast/sexp.scm 741 */
										obj_t BgL_arg6554z00_8327;

										{	/* Ast/sexp.scm 741 */
											obj_t BgL_arg6555z00_8328;

											BgL_arg6555z00_8328 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg6554z00_8327 =
												MAKE_YOUNG_PAIR(BGl_string7303z00zzast_sexpz00,
												BgL_arg6555z00_8328);
										}
										BgL_exprz00_8319 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
											BgL_arg6554z00_8327);
									}
								else
									{	/* Ast/sexp.scm 740 */
										BgL_exprz00_8319 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 743 */
								BgL_appz00_bglt BgL_new1158z00_8320;

								{	/* Ast/sexp.scm 743 */
									BgL_appz00_bglt BgL_new1157z00_8323;

									BgL_new1157z00_8323 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 743 */
										long BgL_arg6551z00_8324;

										{	/* Ast/sexp.scm 743 */
											long BgL_res7257z00_12130;

											BgL_res7257z00_12130 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg6551z00_8324 = BgL_res7257z00_12130;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1157z00_8323),
											BgL_arg6551z00_8324);
									}
									{	/* Ast/sexp.scm 743 */
										BgL_objectz00_bglt BgL_tmpz00_26221;

										BgL_tmpz00_26221 =
											((BgL_objectz00_bglt) BgL_new1157z00_8323);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_26221, BFALSE);
									}
									BgL_new1158z00_8320 = BgL_new1157z00_8323;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1158z00_8320)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1158z00_8320)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1158z00_8320)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1158z00_8320)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_8320))->
										BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8317)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_26238;

									{	/* Ast/sexp.scm 746 */
										BgL_nodez00_bglt BgL_arg6549z00_8321;

										BgL_arg6549z00_8321 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_8319, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 746 */
											obj_t BgL_list6550z00_8322;

											BgL_list6550z00_8322 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg6549z00_8321), BNIL);
											BgL_auxz00_26238 = BgL_list6550z00_8322;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_8320))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_26238), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1158z00_8320);
							}
						}
					else
						{	/* Ast/sexp.scm 739 */
							return BgL_funz00_8317;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12229, obj_t BgL_globalz00_12230)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 736 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12230));
		}
		BGL_FUNCTION_END;
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 752 */
			{	/* Ast/sexp.scm 753 */
				obj_t BgL_prefz00_8330;

				{	/* Ast/sexp.scm 753 */
					bool_t BgL_testz00_26247;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 753 */
							obj_t BgL_tmpz00_26250;

							BgL_tmpz00_26250 = CAR(BgL_prefz00_49);
							BgL_testz00_26247 = STRINGP(BgL_tmpz00_26250);
						}
					else
						{	/* Ast/sexp.scm 753 */
							BgL_testz00_26247 = ((bool_t) 0);
						}
					if (BgL_testz00_26247)
						{	/* Ast/sexp.scm 753 */
							BgL_prefz00_8330 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 753 */
							BgL_prefz00_8330 = BGl_string7304z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 756 */
					bool_t BgL_testz00_26254;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 756 */
							BgL_testz00_26254 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 42)));
						}
					else
						{	/* Ast/sexp.scm 756 */
							BgL_testz00_26254 = ((bool_t) 0);
						}
					if (BgL_testz00_26254)
						{	/* Ast/sexp.scm 757 */
							obj_t BgL_filez00_8332;
							obj_t BgL_linez00_8333;
							obj_t BgL_basez00_8334;

							BgL_filez00_8332 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_8333 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 759 */
								obj_t BgL_arg6580z00_8363;

								BgL_arg6580z00_8363 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string7305z00zzast_sexpz00, BgL_prefz00_8330,
										BGl_string7306z00zzast_sexpz00));
								{	/* Ast/sexp.scm 759 */
									obj_t BgL_res7263z00_12146;

									{	/* Ast/sexp.scm 759 */
										obj_t BgL_arg1395z00_12145;

										BgL_arg1395z00_12145 =
											SYMBOL_TO_STRING(BgL_arg6580z00_8363);
										BgL_res7263z00_12146 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1395z00_12145);
									}
									BgL_basez00_8334 = BgL_res7263z00_12146;
							}}
							{	/* Ast/sexp.scm 761 */
								bool_t BgL_testz00_26267;

								{	/* Ast/sexp.scm 761 */
									bool_t BgL_testz00_26268;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 762 */
											obj_t BgL_arg6578z00_8361;

											{	/* Ast/sexp.scm 762 */
												obj_t BgL_arg6579z00_8362;

												BgL_arg6579z00_8362 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg6578z00_8361 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg6579z00_8362)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_26268 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 43)), BgL_arg6578z00_8361));
										}
									else
										{	/* Ast/sexp.scm 761 */
											BgL_testz00_26268 = ((bool_t) 0);
										}
									if (BgL_testz00_26268)
										{	/* Ast/sexp.scm 761 */
											BgL_testz00_26267 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 761 */
											BgL_testz00_26267 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_26267)
									{	/* Ast/sexp.scm 764 */
										obj_t BgL_filez00_8343;

										if (bigloo_strncmp(BgL_filez00_8332,
												BGl_string7307z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 764 */
												BgL_filez00_8343 =
													c_substring(BgL_filez00_8332, ((long) 2),
													STRING_LENGTH(BgL_filez00_8332));
											}
										else
											{	/* Ast/sexp.scm 764 */
												BgL_filez00_8343 = BgL_filez00_8332;
											}
										{	/* Ast/sexp.scm 769 */
											obj_t BgL_arg6565z00_8344;

											{	/* Ast/sexp.scm 769 */
												obj_t BgL_arg6566z00_8345;
												obj_t BgL_arg6567z00_8346;

												BgL_arg6566z00_8345 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_8343, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 770 */

													BgL_arg6567z00_8346 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_8333, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 768 */
													obj_t BgL_list6568z00_8347;

													{	/* Ast/sexp.scm 768 */
														obj_t BgL_arg6569z00_8348;

														{	/* Ast/sexp.scm 768 */
															obj_t BgL_arg6570z00_8349;

															{	/* Ast/sexp.scm 768 */
																obj_t BgL_arg6571z00_8350;

																{	/* Ast/sexp.scm 768 */
																	obj_t BgL_arg6572z00_8351;

																	{	/* Ast/sexp.scm 768 */
																		obj_t BgL_arg6573z00_8352;

																		BgL_arg6573z00_8352 =
																			MAKE_YOUNG_PAIR
																			(BGl_string7308z00zzast_sexpz00, BNIL);
																		BgL_arg6572z00_8351 =
																			MAKE_YOUNG_PAIR(BgL_arg6567z00_8346,
																			BgL_arg6573z00_8352);
																	}
																	BgL_arg6571z00_8350 =
																		MAKE_YOUNG_PAIR
																		(BGl_string7306z00zzast_sexpz00,
																		BgL_arg6572z00_8351);
																}
																BgL_arg6570z00_8349 =
																	MAKE_YOUNG_PAIR(BgL_arg6566z00_8345,
																	BgL_arg6571z00_8350);
															}
															BgL_arg6569z00_8348 =
																MAKE_YOUNG_PAIR(BGl_string7306z00zzast_sexpz00,
																BgL_arg6570z00_8349);
														}
														BgL_list6568z00_8347 =
															MAKE_YOUNG_PAIR(BgL_basez00_8334,
															BgL_arg6569z00_8348);
													}
													BgL_arg6565z00_8344 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list6568z00_8347);
											}}
											return bstring_to_symbol(BgL_arg6565z00_8344);
										}
									}
								else
									{	/* Ast/sexp.scm 773 */
										obj_t BgL_arg6576z00_8357;

										BgL_arg6576z00_8357 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_8334, BGl_string7308z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 773 */
											obj_t BgL_res7271z00_12165;

											BgL_res7271z00_12165 =
												bstring_to_symbol(((obj_t) BgL_arg6576z00_8357));
											return BgL_res7271z00_12165;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 774 */
							obj_t BgL_arg6582z00_8365;

							{	/* Ast/sexp.scm 774 */
								obj_t BgL_arg6583z00_8366;
								obj_t BgL_arg6584z00_8367;

								{	/* Ast/sexp.scm 774 */
									obj_t BgL_arg6585z00_8368;

									BgL_arg6585z00_8368 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string7305z00zzast_sexpz00, BgL_prefz00_8330,
											BGl_string7309z00zzast_sexpz00));
									{	/* Ast/sexp.scm 774 */
										obj_t BgL_res7272z00_12168;

										{	/* Ast/sexp.scm 774 */
											obj_t BgL_arg1395z00_12167;

											BgL_arg1395z00_12167 =
												SYMBOL_TO_STRING(BgL_arg6585z00_8368);
											BgL_res7272z00_12168 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1395z00_12167);
										}
										BgL_arg6583z00_8366 = BgL_res7272z00_12168;
									}
								}
								{	/* Ast/sexp.scm 774 */
									obj_t BgL_res7273z00_12171;

									{	/* Ast/sexp.scm 774 */
										obj_t BgL_symbolz00_12169;

										BgL_symbolz00_12169 = CNST_TABLE_REF(((long) 44));
										{	/* Ast/sexp.scm 774 */
											obj_t BgL_arg1395z00_12170;

											BgL_arg1395z00_12170 =
												SYMBOL_TO_STRING(BgL_symbolz00_12169);
											BgL_res7273z00_12171 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1395z00_12170);
									}}
									BgL_arg6584z00_8367 = BgL_res7273z00_12171;
								}
								BgL_arg6582z00_8365 =
									string_append(BgL_arg6583z00_8366, BgL_arg6584z00_8367);
							}
							return bstring_to_symbol(BgL_arg6582z00_8365);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_12231,
		obj_t BgL_locz00_12232, obj_t BgL_prefz00_12233)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 752 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_12232,
				BgL_prefz00_12233);
		}
		BGL_FUNCTION_END;
	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_50, obj_t BgL_mutexz00_51, obj_t BgL_prelockz00_52,
		obj_t BgL_bodyz00_53, obj_t BgL_stackz00_54, obj_t BgL_locz00_55,
		obj_t BgL_sitez00_56)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 779 */
			if (SYMBOLP(BgL_mutexz00_51))
				{	/* Ast/sexp.scm 781 */
					BgL_syncz00_bglt BgL_new1160z00_8376;

					{	/* Ast/sexp.scm 782 */
						BgL_syncz00_bglt BgL_new1159z00_8378;

						BgL_new1159z00_8378 =
							((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 782 */
							long BgL_arg6593z00_8379;

							{	/* Ast/sexp.scm 782 */
								long BgL_res7276z00_12176;

								BgL_res7276z00_12176 =
									BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg6593z00_8379 = BgL_res7276z00_12176;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1159z00_8378),
								BgL_arg6593z00_8379);
						}
						{	/* Ast/sexp.scm 782 */
							BgL_objectz00_bglt BgL_tmpz00_26319;

							BgL_tmpz00_26319 = ((BgL_objectz00_bglt) BgL_new1159z00_8378);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_26319, BFALSE);
						}
						BgL_new1160z00_8376 = BgL_new1159z00_8378;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1160z00_8376)))->BgL_locz00) =
						((obj_t) BgL_locz00_55), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1160z00_8376)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1160z00_8376))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_51,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1160z00_8376))->BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_52,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_26333;

						{	/* Ast/sexp.scm 786 */
							obj_t BgL_arg6592z00_8377;

							BgL_arg6592z00_8377 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_53);
							BgL_auxz00_26333 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6592z00_8377,
								BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_new1160z00_8376))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_26333), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1160z00_8376);
				}
			else
				{	/* Ast/sexp.scm 787 */
					obj_t BgL_vz00_8380;

					BgL_vz00_8380 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 45))));
					{	/* Ast/sexp.scm 787 */
						obj_t BgL_varz00_8381;

						BgL_varz00_8381 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_8380,
							CNST_TABLE_REF(((long) 45)));
						{	/* Ast/sexp.scm 788 */
							obj_t BgL_nexpz00_8382;

							{	/* Ast/sexp.scm 789 */
								obj_t BgL_arg6601z00_8390;

								{	/* Ast/sexp.scm 789 */
									obj_t BgL_arg6602z00_8391;

									BgL_arg6602z00_8391 =
										MAKE_YOUNG_PAIR(BgL_vz00_8380,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_53, BNIL));
									BgL_arg6601z00_8390 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 30)),
										BgL_arg6602z00_8391);
								}
								BgL_nexpz00_8382 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg6601z00_8390,
									BgL_expz00_50);
							}
							{	/* Ast/sexp.scm 789 */

								{	/* Ast/sexp.scm 790 */
									obj_t BgL_arg6594z00_8383;

									{	/* Ast/sexp.scm 790 */
										obj_t BgL_arg6595z00_8384;
										obj_t BgL_arg6596z00_8385;

										BgL_arg6595z00_8384 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 790 */
											obj_t BgL_arg6597z00_8386;
											obj_t BgL_arg6598z00_8387;

											{	/* Ast/sexp.scm 790 */
												obj_t BgL_arg6599z00_8388;

												{	/* Ast/sexp.scm 790 */
													obj_t BgL_arg6600z00_8389;

													BgL_arg6600z00_8389 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_51, BNIL);
													BgL_arg6599z00_8388 =
														MAKE_YOUNG_PAIR(BgL_varz00_8381,
														BgL_arg6600z00_8389);
												}
												BgL_arg6597z00_8386 =
													MAKE_YOUNG_PAIR(BgL_arg6599z00_8388, BNIL);
											}
											BgL_arg6598z00_8387 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_8382, BNIL);
											BgL_arg6596z00_8385 =
												MAKE_YOUNG_PAIR(BgL_arg6597z00_8386,
												BgL_arg6598z00_8387);
										}
										BgL_arg6594z00_8383 =
											MAKE_YOUNG_PAIR(BgL_arg6595z00_8384, BgL_arg6596z00_8385);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_50,
										BgL_arg6594z00_8383);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_50,
									BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121772),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string7310z00zzast_sexpz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
