/*===========================================================================*/
/*   (Ast/walk.scm)                                                          */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2retblock1964z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2cast1821za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2app1729za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2ref2028z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2letzd2fun2126z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2138z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2funcall1757zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2setz122058zd2zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1779za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2switch2118za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2retblock1954zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2setq1851za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32216ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1zd2letzd2var2148z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2setq1845za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2conditional1863z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62walk0zd2node1658zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32234ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2za2zd2switch2110z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2conditional1873za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_zc3anonymousza33289ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk2zd2sequence1687zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2funcall1765z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2conditional1853zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_walkz00();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2fail1881zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62walk0zd2sync2074zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1706za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33495ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2fun2134zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2extern1799za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sequence1693z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2makezd2box2015zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2var2156zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2app1720z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2return1995za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2makezd2box2017z70zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2jumpzd2exzd2it1950za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32461ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za21637zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2cast1805zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2node1673z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2jumpzd2exzd2it1934zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33416ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_walkz00();
	static BgL_nodez00_bglt BGl_z62walk3z12zd2app1731za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2extern1791z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32183ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk0za2zd2node1666z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2return1987z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1972za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2sync2088z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2setz122064zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32257ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2letzd2fun2128z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2setq1829zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2boxzd2setz122066z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sync2082z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2ref2030z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2funcall1759zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2042z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2fail1889z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33426ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2cast1819z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1938z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za21639zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2node1660zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2switch2120za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2node1679za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32187ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2140z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33516ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2extern1783zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2retblock1956zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2fail1883zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2makezd2box2001z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2return1978zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2cast1813z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2letzd2var2150z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2162z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sync2076zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2switch2112z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sync2094za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2retblock1962z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2app1722z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2sequence1689zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setq1843z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2cast1807zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62walk1za2zd2funcall1767z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33526ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2fail1895za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setq1837z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2switch2104zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2cast1825za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2makezd2box2024z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2boxzd2setz122050z70zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32349ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za21641zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2conditional1865z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2fun2136zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2return1997za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk01627z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2var2158zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk1zd2conditional1855zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2conditional1875za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2extern1793z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2return1989z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setq1831zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2setq1849za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2node1662zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32250ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2jumpzd2exzd2it1944za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32573ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2boxzd2setz122072z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32340ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk11629z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1704za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za21643zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2sync2078zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2app1708zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sequence1691z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2boxzd2ref2032z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2makezd2box2013zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2funcall1761zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1773za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setzd2exzd2it1916z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2044z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32332ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2cast1809zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2142z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2var2152z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32557ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk3zd2retblock1958zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2makezd2box2003z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32324ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1970za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2164z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32203ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk21631z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4za21645zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32220ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2setz122062zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1940z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33394ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2node1671z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2funcall1769z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62walk2zd2setq1833zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2node1664zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2return1999za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2setz122052z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2sync2086z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32207ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk31633z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2app1710zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2conditional1869za2zzast_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2extern1795z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32224ze3ze1zzast_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza33405ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2sync2080zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2retblock1960z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2var2160zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk3za2zd2sequence1697z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2fail1887z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2return1991z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2extern1781zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2cast1817z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1699za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2return1976zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2node1677za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk3zd2extern1787zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2conditional1867z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2cast1811zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2makezd2box2022z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32272ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk41635z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z121647z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2conditional1857zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33298ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2return1982zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2funcall1763zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sync2092za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1775za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2fail1899za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32229ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2046z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33505ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32452ze3ze70z64zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2jumpzd2exzd2it1946za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32264ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setq1841z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2switch2102zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2letzd2fun2122z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2144z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setq1835zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2fail1893za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2cast1823za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2switch2114za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2makezd2box2005z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32470ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33309ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2166z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2app1712zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2boxzd2setz122070z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32191ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32175ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1701za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1z121649z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2sequence1683zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setzd2exzd2it1914z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2extern1801za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2makezd2box2011zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2switch2106z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2fun2130zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2setq1847za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2retblock1966z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2funcall1771z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_zc3anonymousza32480ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33319ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1968za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2app1724za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2setz122054z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32195ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32179ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1942z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2setz122060zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2z121651z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62walk0za2zd2conditional1861z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62walk3zd2app1714zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32199ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_zc3anonymousza32580ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2fail1877zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2conditional1871za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62walk0zd2boxzd2ref2026z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1777za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2048z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2fun2124z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2node1668z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2retblock1952zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk2za2zd2sequence1695z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2app1716z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2switch2116za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z121653z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2conditional1859zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62walk3zd2makezd2box2007z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2makezd2box2019z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2letzd2var2146z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2168z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2app1727za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sync2084z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2extern1803za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2switch2108z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2jumpzd2exzd2it1948za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sequence1685zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2fail1891z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2ref2034zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1974za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2node1681za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2fail1885z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2cast1815z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2switch2098zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2extern1785zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2fun2132zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2node1675za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62walk4z121655z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2extern1797za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2var2154zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sync2096za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2setz122056z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2return1980zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2boxzd2setz122068z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2fail1879zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2return1993za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2makezd2box2009zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sync2090za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32566ze3ze70z64zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2switch2100zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32211ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2fail1897za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2extern1789z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2setq1839z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2cast1827za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1936z12zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2app1718z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2return1984z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2co4234za7,
		BGl_z62walk3za2zd2conditional1867z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2co4235za7,
		BGl_z62walk0z12zd2conditional1869za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2co4236za7,
		BGl_z62walk1z12zd2conditional1871za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2co4237za7,
		BGl_z62walk2z12zd2conditional1873za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2co4238za7,
		BGl_z62walk3z12zd2conditional1875za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2fail14239z00,
		BGl_z62walk0zd2fail1877zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2fail14240z00,
		BGl_z62walk1zd2fail1879zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2fail14241z00,
		BGl_z62walk2zd2fail1881zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2fail14242z00,
		BGl_z62walk3zd2fail1883zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fa4243za7,
		BGl_z62walk0za2zd2fail1885z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fa4244za7,
		BGl_z62walk1za2zd2fail1887z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fa4245za7,
		BGl_z62walk2za2zd2fail1889z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fa4246za7,
		BGl_z62walk3za2zd2fail1891z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fa4247za7,
		BGl_z62walk0z12zd2fail1893za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fa4248za7,
		BGl_z62walk1z12zd2fail1895za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fa4249za7,
		BGl_z62walk2z12zd2fail1897za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fa4250za7,
		BGl_z62walk3z12zd2fail1899za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setza7d4251za7,
		BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setza7d4252za7,
		BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7c0za7za74253za7, BGl_z62walk2za2zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setza7d4254za7,
		BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setza7d4255za7,
		BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4256za7,
		BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4257za7,
		BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4258za7,
		BGl_z62walk2za2zd2setzd2exzd2it1914z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4259za7,
		BGl_z62walk3za2zd2setzd2exzd2it1916z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4260za7,
		BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4261za7,
		BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4262za7,
		BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4263za7,
		BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2jumpza74264za7,
		BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2jumpza74265za7,
		BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2jumpza74266za7,
		BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2jumpza74267za7,
		BGl_z62walk3zd2jumpzd2exzd2it1934zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ju4268za7,
		BGl_z62walk0za2zd2jumpzd2exzd2it1936z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ju4269za7,
		BGl_z62walk1za2zd2jumpzd2exzd2it1938z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ju4270za7,
		BGl_z62walk2za2zd2jumpzd2exzd2it1940z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ju4271za7,
		BGl_z62walk3za2zd2jumpzd2exzd2it1942z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ju4272za7,
		BGl_z62walk0z12zd2jumpzd2exzd2it1944za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ju4273za7,
		BGl_z62walk1z12zd2jumpzd2exzd2it1946za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ju4274za7,
		BGl_z62walk2z12zd2jumpzd2exzd2it1948za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ju4275za7,
		BGl_z62walk3z12zd2jumpzd2exzd2it1950za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retbl4276z00,
		BGl_z62walk0zd2retblock1952zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retbl4277z00,
		BGl_z62walk1zd2retblock1954zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retbl4278z00,
		BGl_z62walk2zd2retblock1956zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retbl4279z00,
		BGl_z62walk3zd2retblock1958zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4280za7,
		BGl_z62walk0za2zd2retblock1960z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4281za7,
		BGl_z62walk1za2zd2retblock1962z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4282za7,
		BGl_z62walk2za2zd2retblock1964z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4283za7,
		BGl_z62walk3za2zd2retblock1966z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4284za7,
		BGl_z62walk0z12zd2retblock1968za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4285za7,
		BGl_z62walk1z12zd2retblock1970za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4286za7,
		BGl_z62walk2z12zd2retblock1972za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4287za7,
		BGl_z62walk3z12zd2retblock1974za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retur4288z00,
		BGl_z62walk0zd2return1976zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retur4289z00,
		BGl_z62walk1zd2return1978zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retur4290z00,
		BGl_z62walk2zd2return1980zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retur4291z00,
		BGl_z62walk3zd2return1982zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4292za7,
		BGl_z62walk0za2zd2return1984z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4293za7,
		BGl_z62walk1za2zd2return1987z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4294za7,
		BGl_z62walk2za2zd2return1989z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4149z00zzast_walkz00,
		BgL_bgl_string4149za700za7za7a4295za7, "ast_walk", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4296za7,
		BGl_z62walk3za2zd2return1991z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4297za7,
		BGl_z62walk0z12zd2return1993za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4298za7,
		BGl_z62walk1z12zd2return1995za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4299za7,
		BGl_z62walk2z12zd2return1997za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4300za7,
		BGl_z62walk3z12zd2return1999za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7c0za7za74301za7, BGl_z62walk3za2zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2makeza74302za7,
		BGl_z62walk0zd2makezd2box2001z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2makeza74303za7,
		BGl_z62walk1zd2makezd2box2003z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2makeza74304za7,
		BGl_z62walk2zd2makezd2box2005z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2makeza74305za7,
		BGl_z62walk3zd2makezd2box2007z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ma4306za7,
		BGl_z62walk0za2zd2makezd2box2009zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ma4307za7,
		BGl_z62walk1za2zd2makezd2box2011zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ma4308za7,
		BGl_z62walk2za2zd2makezd2box2013zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ma4309za7,
		BGl_z62walk3za2zd2makezd2box2015zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ma4310za7,
		BGl_z62walk0z12zd2makezd2box2017z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4074z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ma4311za7,
		BGl_z62walk1z12zd2makezd2box2019z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4075z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ma4312za7,
		BGl_z62walk2z12zd2makezd2box2022z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4076z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ma4313za7,
		BGl_z62walk3z12zd2makezd2box2024z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4077z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4314za7,
		BGl_z62walk0zd2boxzd2ref2026z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4078z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4315za7,
		BGl_z62walk1zd2boxzd2ref2028z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4079z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4316za7,
		BGl_z62walk2zd2boxzd2ref2030z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4080z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4317za7,
		BGl_z62walk3zd2boxzd2ref2032z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4081z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4318za7,
		BGl_z62walk0za2zd2boxzd2ref2034zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4082z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4319za7,
		BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4083z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4320za7,
		BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4084z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4321za7,
		BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4085z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4322za7,
		BGl_z62walk0z12zd2boxzd2ref2042z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4086z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4323za7,
		BGl_z62walk1z12zd2boxzd2ref2044z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4087z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4324za7,
		BGl_z62walk2z12zd2boxzd2ref2046z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4088z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4325za7,
		BGl_z62walk3z12zd2boxzd2ref2048z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4089z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4326za7,
		BGl_z62walk0zd2boxzd2setz122050z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4090z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4327za7,
		BGl_z62walk1zd2boxzd2setz122052z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4091z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4328za7,
		BGl_z62walk2zd2boxzd2setz122054z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4092z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4329za7,
		BGl_z62walk3zd2boxzd2setz122056z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4093z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4330za7,
		BGl_z62walk0za2zd2boxzd2setz122058zd2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4094z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4331za7,
		BGl_z62walk1za2zd2boxzd2setz122060zd2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4095z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4332za7,
		BGl_z62walk2za2zd2boxzd2setz122062zd2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4096z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4333za7,
		BGl_z62walk3za2zd2boxzd2setz122064zd2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4097z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4334za7,
		BGl_z62walk0z12zd2boxzd2setz122066z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4098z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4335za7,
		BGl_z62walk1z12zd2boxzd2setz122068z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4099z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4336za7,
		BGl_z62walk2z12zd2boxzd2setz122070z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk0za762za7za7ast4337z00, BGl_z62walk0z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk4za7a2za7c0za7za74338za7, BGl_z62walk4za2zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk1za762za7za7ast4339z00, BGl_z62walk1z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3900z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2node14340z00,
		BGl_z62walk3zd2node1664zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3901z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2no4341za7,
		BGl_z62walk0za2zd2node1666z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3902z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2no4342za7,
		BGl_z62walk1za2zd2node1668z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3903z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2no4343za7,
		BGl_z62walk2za2zd2node1671z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3904z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2no4344za7,
		BGl_z62walk3za2zd2node1673z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3905z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2no4345za7,
		BGl_z62walk0z12zd2node1675za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3906z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2no4346za7,
		BGl_z62walk1z12zd2node1677za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3907z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2no4347za7,
		BGl_z62walk2z12zd2node1679za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3908z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2no4348za7,
		BGl_z62walk3z12zd2node1681za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3909z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2seque4349z00,
		BGl_z62walk0zd2sequence1683zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3910z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2seque4350z00,
		BGl_z62walk1zd2sequence1685zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3911z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2seque4351z00,
		BGl_z62walk2zd2sequence1687zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3912z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2seque4352z00,
		BGl_z62walk3zd2sequence1689zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3913z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4353za7,
		BGl_z62walk0za2zd2sequence1691z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3914z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4354za7,
		BGl_z62walk1za2zd2sequence1693z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3915z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4355za7,
		BGl_z62walk2za2zd2sequence1695z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3916z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4356za7,
		BGl_z62walk3za2zd2sequence1697z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3917z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4357za7,
		BGl_z62walk0z12zd2sequence1699za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3918z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4358za7,
		BGl_z62walk1z12zd2sequence1701za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3919z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4359za7,
		BGl_z62walk2z12zd2sequence1704za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3920z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4360za7,
		BGl_z62walk3z12zd2sequence1706za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3921z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2app174361z00, BGl_z62walk0zd2app1708zb0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3922z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2app174362z00, BGl_z62walk1zd2app1710zb0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3923z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2app174363z00, BGl_z62walk2zd2app1712zb0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3924z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2app174364z00, BGl_z62walk3zd2app1714zb0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3925z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4365za7,
		BGl_z62walk0za2zd2app1716z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3926z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4366za7,
		BGl_z62walk1za2zd2app1718z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3927z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4367za7,
		BGl_z62walk2za2zd2app1720z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3928z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4368za7,
		BGl_z62walk3za2zd2app1722z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3853z00zzast_walkz00,
		BgL_bgl_string3853za700za7za7a4369za7, "walk01627", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3929z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4370za7,
		BGl_z62walk0z12zd2app1724za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3855z00zzast_walkz00,
		BgL_bgl_string3855za700za7za7a4371za7, "walk11629", 9);
	      DEFINE_STRING(BGl_string3857z00zzast_walkz00,
		BgL_bgl_string3857za700za7za7a4372za7, "walk21631", 9);
	      DEFINE_STRING(BGl_string3859z00zzast_walkz00,
		BgL_bgl_string3859za700za7za7a4373za7, "walk31633", 9);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk2za762za7za7ast4374z00, BGl_z62walk2z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3930z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4375za7,
		BGl_z62walk1z12zd2app1727za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3931z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4376za7,
		BGl_z62walk2z12zd2app1729za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3932z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4377za7,
		BGl_z62walk3z12zd2app1731za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3933z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2appza7d4378za7,
		BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3934z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2appza7d4379za7,
		BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3935z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2appza7d4380za7,
		BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3936z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2appza7d4381za7,
		BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3861z00zzast_walkz00,
		BgL_bgl_string3861za700za7za7a4382za7, "walk41635", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3937z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4383za7,
		BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3938z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4384za7,
		BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3863z00zzast_walkz00,
		BgL_bgl_string3863za700za7za7a4385za7, "walk0*1637", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3939z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4386za7,
		BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3865z00zzast_walkz00,
		BgL_bgl_string3865za700za7za7a4387za7, "walk1*1639", 10);
	      DEFINE_STRING(BGl_string3867z00zzast_walkz00,
		BgL_bgl_string3867za700za7za7a4388za7, "walk2*1641", 10);
	      DEFINE_STRING(BGl_string3869z00zzast_walkz00,
		BgL_bgl_string3869za700za7za7a4389za7, "walk3*1643", 10);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk0za712za770za7za74390za7, BGl_z62walk0z12z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3940z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4391za7,
		BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3941z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4392za7,
		BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3942z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4393za7,
		BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3943z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4394za7,
		BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3944z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4395za7,
		BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3945z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2funca4396z00,
		BGl_z62walk0zd2funcall1757zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3946z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2funca4397z00,
		BGl_z62walk1zd2funcall1759zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3871z00zzast_walkz00,
		BgL_bgl_string3871za700za7za7a4398za7, "walk4*1645", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3947z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2funca4399z00,
		BGl_z62walk2zd2funcall1761zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3948z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2funca4400z00,
		BGl_z62walk3zd2funcall1763zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3873z00zzast_walkz00,
		BgL_bgl_string3873za700za7za7a4401za7, "walk0!1647", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3949z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fu4402za7,
		BGl_z62walk0za2zd2funcall1765z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3875z00zzast_walkz00,
		BgL_bgl_string3875za700za7za7a4403za7, "walk1!1649", 10);
	      DEFINE_STRING(BGl_string3877z00zzast_walkz00,
		BgL_bgl_string3877za700za7za7a4404za7, "walk2!1651", 10);
	      DEFINE_STRING(BGl_string3879z00zzast_walkz00,
		BgL_bgl_string3879za700za7za7a4405za7, "walk3!1653", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3950z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fu4406za7,
		BGl_z62walk1za2zd2funcall1767z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3951z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fu4407za7,
		BGl_z62walk2za2zd2funcall1769z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3952z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fu4408za7,
		BGl_z62walk3za2zd2funcall1771z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3953z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fu4409za7,
		BGl_z62walk0z12zd2funcall1773za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3954z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fu4410za7,
		BGl_z62walk1z12zd2funcall1775za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3955z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fu4411za7,
		BGl_z62walk2z12zd2funcall1777za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3956z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fu4412za7,
		BGl_z62walk3z12zd2funcall1779za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3881z00zzast_walkz00,
		BgL_bgl_string3881za700za7za7a4413za7, "walk4!1655", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3957z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2exter4414z00,
		BGl_z62walk0zd2extern1781zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3882z00zzast_walkz00,
		BgL_bgl_string3882za700za7za7a4415za7, "walk4!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3958z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2exter4416z00,
		BGl_z62walk1zd2extern1783zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3883z00zzast_walkz00,
		BgL_bgl_string3883za700za7za7a4417za7, "Internal Error: forgot Node type",
		32);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3959z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2exter4418z00,
		BGl_z62walk2zd2extern1785zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3884z00zzast_walkz00,
		BgL_bgl_string3884za700za7za7a4419za7, "walk3!", 6);
	      DEFINE_STRING(BGl_string3885z00zzast_walkz00,
		BgL_bgl_string3885za700za7za7a4420za7, "walk2!", 6);
	      DEFINE_STRING(BGl_string3886z00zzast_walkz00,
		BgL_bgl_string3886za700za7za7a4421za7, "walk1!", 6);
	      DEFINE_STRING(BGl_string3887z00zzast_walkz00,
		BgL_bgl_string3887za700za7za7a4422za7, "walk0!", 6);
	      DEFINE_STRING(BGl_string3888z00zzast_walkz00,
		BgL_bgl_string3888za700za7za7a4423za7, "walk3*", 6);
	      DEFINE_STRING(BGl_string3889z00zzast_walkz00,
		BgL_bgl_string3889za700za7za7a4424za7, "walk2*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3960z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2exter4425z00,
		BGl_z62walk3zd2extern1787zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3961z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ex4426za7,
		BGl_z62walk0za2zd2extern1789z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3962z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ex4427za7,
		BGl_z62walk1za2zd2extern1791z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3963z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ex4428za7,
		BGl_z62walk2za2zd2extern1793z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3964z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ex4429za7,
		BGl_z62walk3za2zd2extern1795z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ex4430za7,
		BGl_z62walk0z12zd2extern1797za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3890z00zzast_walkz00,
		BgL_bgl_string3890za700za7za7a4431za7, "walk1*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ex4432za7,
		BGl_z62walk1z12zd2extern1799za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3891z00zzast_walkz00,
		BgL_bgl_string3891za700za7za7a4433za7, "walk0*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ex4434za7,
		BGl_z62walk2z12zd2extern1801za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3892z00zzast_walkz00,
		BgL_bgl_string3892za700za7za7a4435za7, "walk4", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ex4436za7,
		BGl_z62walk3z12zd2extern1803za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3893z00zzast_walkz00,
		BgL_bgl_string3893za700za7za7a4437za7, "walk3", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2cast14438z00,
		BGl_z62walk0zd2cast1805zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3894z00zzast_walkz00,
		BgL_bgl_string3894za700za7za7a4439za7, "walk2", 5);
	      DEFINE_STRING(BGl_string3895z00zzast_walkz00,
		BgL_bgl_string3895za700za7za7a4440za7, "walk1", 5);
	      DEFINE_STRING(BGl_string3896z00zzast_walkz00,
		BgL_bgl_string3896za700za7za7a4441za7, "walk0", 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk3za762za7za7ast4442z00, BGl_z62walk3z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2cast14443z00,
		BGl_z62walk1zd2cast1807zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2cast14444z00,
		BGl_z62walk2zd2cast1809zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2cast14445z00,
		BGl_z62walk3zd2cast1811zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ca4446za7,
		BGl_z62walk0za2zd2cast1813z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ca4447za7,
		BGl_z62walk1za2zd2cast1815z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ca4448za7,
		BGl_z62walk2za2zd2cast1817z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ca4449za7,
		BGl_z62walk3za2zd2cast1819z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ca4450za7,
		BGl_z62walk0z12zd2cast1821za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ca4451za7,
		BGl_z62walk1z12zd2cast1823za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ca4452za7,
		BGl_z62walk2z12zd2cast1825za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ca4453za7,
		BGl_z62walk3z12zd2cast1827za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setq14454z00,
		BGl_z62walk0zd2setq1829zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setq14455z00,
		BGl_z62walk1zd2setq1831zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setq14456z00,
		BGl_z62walk2zd2setq1833zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setq14457z00,
		BGl_z62walk3zd2setq1835zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4458za7,
		BGl_z62walk0za2zd2setq1837z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4459za7,
		BGl_z62walk1za2zd2setq1839z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4460za7,
		BGl_z62walk2za2zd2setq1841z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4461za7,
		BGl_z62walk3za2zd2setq1843z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4462za7,
		BGl_z62walk0z12zd2setq1845za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk1za712za770za7za74463za7, BGl_z62walk1z12z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4464za7,
		BGl_z62walk1z12zd2setq1847za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4465za7,
		BGl_z62walk2z12zd2setq1849za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4466za7,
		BGl_z62walk3z12zd2setq1851za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2condi4467z00,
		BGl_z62walk0zd2conditional1853zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2condi4468z00,
		BGl_z62walk1zd2conditional1855zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2condi4469z00,
		BGl_z62walk2zd2conditional1857zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2condi4470z00,
		BGl_z62walk3zd2conditional1859zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2co4471za7,
		BGl_z62walk0za2zd2conditional1861z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2co4472za7,
		BGl_z62walk1za2zd2conditional1863z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2co4473za7,
		BGl_z62walk2za2zd2conditional1865z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk4za762za7za7ast4474z00, BGl_z62walk4z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk2za712za770za7za74475za7, BGl_z62walk2z12z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4100z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4476za7,
		BGl_z62walk3z12zd2boxzd2setz122072z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk3za712za770za7za74477za7, BGl_z62walk3z12z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2sync24478z00,
		BGl_z62walk0zd2sync2074zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4102z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2sync24479z00,
		BGl_z62walk1zd2sync2076zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4103z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2sync24480z00,
		BGl_z62walk2zd2sync2078zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2sync24481z00,
		BGl_z62walk3zd2sync2080zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4105z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sy4482za7,
		BGl_z62walk0za2zd2sync2082z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sy4483za7,
		BGl_z62walk1za2zd2sync2084z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sy4484za7,
		BGl_z62walk2za2zd2sync2086z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sy4485za7,
		BGl_z62walk3za2zd2sync2088z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sy4486za7,
		BGl_z62walk0z12zd2sync2090za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sy4487za7,
		BGl_z62walk1z12zd2sync2092za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sy4488za7,
		BGl_z62walk2z12zd2sync2094za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sy4489za7,
		BGl_z62walk3z12zd2sync2096za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2switc4490z00,
		BGl_z62walk0zd2switch2098zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2switc4491z00,
		BGl_z62walk1zd2switch2100zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2switc4492z00,
		BGl_z62walk2zd2switch2102zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2switc4493z00,
		BGl_z62walk3zd2switch2104zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sw4494za7,
		BGl_z62walk0za2zd2switch2106z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sw4495za7,
		BGl_z62walk1za2zd2switch2108z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sw4496za7,
		BGl_z62walk2za2zd2switch2110z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sw4497za7,
		BGl_z62walk3za2zd2switch2112z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sw4498za7,
		BGl_z62walk0z12zd2switch2114za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sw4499za7,
		BGl_z62walk1z12zd2switch2116za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sw4500za7,
		BGl_z62walk2z12zd2switch2118za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sw4501za7,
		BGl_z62walk3z12zd2switch2120za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4125z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4502za7,
		BGl_z62walk0zd2letzd2fun2122z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4503za7,
		BGl_z62walk1zd2letzd2fun2124z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4504za7,
		BGl_z62walk2zd2letzd2fun2126z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4505za7,
		BGl_z62walk3zd2letzd2fun2128z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4506za7,
		BGl_z62walk0za2zd2letzd2fun2130zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4507za7,
		BGl_z62walk1za2zd2letzd2fun2132zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4508za7,
		BGl_z62walk2za2zd2letzd2fun2134zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4509za7,
		BGl_z62walk3za2zd2letzd2fun2136zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4510za7,
		BGl_z62walk0z12zd2letzd2fun2138z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4511za7,
		BGl_z62walk1z12zd2letzd2fun2140z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4512za7,
		BGl_z62walk2z12zd2letzd2fun2142z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4513za7,
		BGl_z62walk3z12zd2letzd2fun2144z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4514za7,
		BGl_z62walk0zd2letzd2var2146z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4515za7,
		BGl_z62walk1zd2letzd2var2148z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4516za7,
		BGl_z62walk2zd2letzd2var2150z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4517za7,
		BGl_z62walk3zd2letzd2var2152z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4518za7,
		BGl_z62walk0za2zd2letzd2var2154zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4519za7,
		BGl_z62walk1za2zd2letzd2var2156zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4520za7,
		BGl_z62walk2za2zd2letzd2var2158zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4521za7,
		BGl_z62walk3za2zd2letzd2var2160zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4522za7,
		BGl_z62walk0z12zd2letzd2var2162z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4523za7,
		BGl_z62walk1z12zd2letzd2var2164z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4524za7,
		BGl_z62walk2z12zd2letzd2var2166z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4525za7,
		BGl_z62walk3z12zd2letzd2var2168z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk4za712za770za7za74526za7, BGl_z62walk4z12z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3852z00zzast_walkz00,
		BgL_bgl_za762walk01627za762za74527za7, BGl_z62walk01627z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3854z00zzast_walkz00,
		BgL_bgl_za762walk11629za762za74528za7, BGl_z62walk11629z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3856z00zzast_walkz00,
		BgL_bgl_za762walk21631za762za74529za7, BGl_z62walk21631z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3858z00zzast_walkz00,
		BgL_bgl_za762walk31633za762za74530za7, BGl_z62walk31633z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3860z00zzast_walkz00,
		BgL_bgl_za762walk41635za762za74531za7, BGl_z62walk41635z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3862z00zzast_walkz00,
		BgL_bgl_za762walk0za7a21637za74532za7, BGl_z62walk0za21637zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3864z00zzast_walkz00,
		BgL_bgl_za762walk1za7a21639za74533za7, BGl_z62walk1za21639zc0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3866z00zzast_walkz00,
		BgL_bgl_za762walk2za7a21641za74534za7, BGl_z62walk2za21641zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3868z00zzast_walkz00,
		BgL_bgl_za762walk3za7a21643za74535za7, BGl_z62walk3za21643zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3870z00zzast_walkz00,
		BgL_bgl_za762walk4za7a21645za74536za7, BGl_z62walk4za21645zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3872z00zzast_walkz00,
		BgL_bgl_za762walk0za7121647za74537za7, BGl_z62walk0z121647z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzast_walkz00,
		BgL_bgl_za762walk1za7121649za74538za7, BGl_z62walk1z121649z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3876z00zzast_walkz00,
		BgL_bgl_za762walk2za7121651za74539za7, BGl_z62walk2z121651z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzast_walkz00,
		BgL_bgl_za762walk3za7121653za74540za7, BGl_z62walk3z121653z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3880z00zzast_walkz00,
		BgL_bgl_za762walk4za7121655za74541za7, BGl_z62walk4z121655z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3897z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2node14542z00,
		BGl_z62walk0zd2node1658zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2node14543z00,
		BGl_z62walk1zd2node1660zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3899z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2node14544z00,
		BGl_z62walk2zd2node1662zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7c0za7za74545za7, BGl_z62walk0za2zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7c0za7za74546za7, BGl_z62walk1za2zc0zzast_walkz00,
		0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long
		BgL_checksumz00_9935, char *BgL_fromz00_9936)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzast_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_walkz00();
					BGl_libraryzd2moduleszd2initz00zzast_walkz00();
					BGl_importedzd2moduleszd2initz00zzast_walkz00();
					BGl_genericzd2initzd2zzast_walkz00();
					BGl_methodzd2initzd2zzast_walkz00();
					return BGl_toplevelzd2initzd2zzast_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_2230;

				BgL_headz00_2230 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2231;
					obj_t BgL_tailz00_2232;

					BgL_prevz00_2231 = BgL_headz00_2230;
					BgL_tailz00_2232 = BgL_l1z00_1;
				BgL_loopz00_2233:
					if (PAIRP(BgL_tailz00_2232))
						{
							obj_t BgL_newzd2prevzd2_2235;

							BgL_newzd2prevzd2_2235 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2232), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2231, BgL_newzd2prevzd2_2235);
							{
								obj_t BgL_tailz00_9962;
								obj_t BgL_prevz00_9961;

								BgL_prevz00_9961 = BgL_newzd2prevzd2_2235;
								BgL_tailz00_9962 = CDR(BgL_tailz00_2232);
								BgL_tailz00_2232 = BgL_tailz00_9962;
								BgL_prevz00_2231 = BgL_prevz00_9961;
								goto BgL_loopz00_2233;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2230);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk0zd2envzd2zzast_walkz00,
				BGl_proc3852z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3853z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk1zd2envzd2zzast_walkz00,
				BGl_proc3854z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3855z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk2zd2envzd2zzast_walkz00,
				BGl_proc3856z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3857z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk3zd2envzd2zzast_walkz00,
				BGl_proc3858z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3859z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk4zd2envzd2zzast_walkz00,
				BGl_proc3860z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3861z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_proc3862z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3863z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_proc3864z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3865z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_proc3866z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3867z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_proc3868z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3869z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4za2zd2envz70zzast_walkz00, BGl_proc3870z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3871z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_proc3872z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3873z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_proc3874z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3875z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_proc3876z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3877z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_proc3878z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3879z00zzast_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4z12zd2envzc0zzast_walkz00, BGl_proc3880z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3881z00zzast_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &walk4!1655 */
	obj_t BGl_z62walk4z121655z70zzast_walkz00(obj_t BgL_envz00_7041,
		obj_t BgL_nz00_7042, obj_t BgL_pz00_7043, obj_t BgL_arg0z00_7044,
		obj_t BgL_arg1z00_7045, obj_t BgL_arg2z00_7046, obj_t BgL_arg3z00_7047)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 162 */
				obj_t BgL_arg2231z00_8679;

				{	/* Ast/walk.scm 162 */
					obj_t BgL_zc3anonymousza32234ze3z83_8680;

					BgL_zc3anonymousza32234ze3z83_8680 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32234ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32234ze3z83_8680,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7042)));
					BgL_arg2231z00_8679 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32234ze3z83_8680);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3882z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2231z00_8679);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2234> */
	obj_t BGl_z62zc3anonymousza32234ze3ze1zzast_walkz00(obj_t BgL_envz00_7048)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 162 */
			{	/* Ast/walk.scm 162 */
				BgL_nodez00_bglt BgL_nz00_7049;

				BgL_nz00_7049 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7048, (int) (((long) 0))));
				{	/* Ast/walk.scm 162 */
					obj_t BgL_portz00_8681;

					{	/* Ast/walk.scm 162 */
						obj_t BgL_res3662z00_8682;

						{	/* Ast/walk.scm 162 */
							obj_t BgL_tmpz00_9992;

							BgL_tmpz00_9992 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3662z00_8682 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_9992);
						}
						BgL_portz00_8681 = BgL_res3662z00_8682;
					}
					{	/* Ast/walk.scm 162 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7049), BgL_portz00_8681);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!1653 */
	obj_t BGl_z62walk3z121653z70zzast_walkz00(obj_t BgL_envz00_7050,
		obj_t BgL_nz00_7051, obj_t BgL_pz00_7052, obj_t BgL_arg0z00_7053,
		obj_t BgL_arg1z00_7054, obj_t BgL_arg2z00_7055)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 159 */
				obj_t BgL_arg2226z00_8685;

				{	/* Ast/walk.scm 159 */
					obj_t BgL_zc3anonymousza32229ze3z83_8686;

					BgL_zc3anonymousza32229ze3z83_8686 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32229ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32229ze3z83_8686,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7051)));
					BgL_arg2226z00_8685 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32229ze3z83_8686);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3884z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2226z00_8685);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2229> */
	obj_t BGl_z62zc3anonymousza32229ze3ze1zzast_walkz00(obj_t BgL_envz00_7056)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 159 */
			{	/* Ast/walk.scm 159 */
				BgL_nodez00_bglt BgL_nz00_7057;

				BgL_nz00_7057 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7056, (int) (((long) 0))));
				{	/* Ast/walk.scm 159 */
					obj_t BgL_portz00_8687;

					{	/* Ast/walk.scm 159 */
						obj_t BgL_res3661z00_8688;

						{	/* Ast/walk.scm 159 */
							obj_t BgL_tmpz00_10009;

							BgL_tmpz00_10009 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3661z00_8688 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10009);
						}
						BgL_portz00_8687 = BgL_res3661z00_8688;
					}
					{	/* Ast/walk.scm 159 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7057), BgL_portz00_8687);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2!1651 */
	obj_t BGl_z62walk2z121651z70zzast_walkz00(obj_t BgL_envz00_7058,
		obj_t BgL_nz00_7059, obj_t BgL_pz00_7060, obj_t BgL_arg0z00_7061,
		obj_t BgL_arg1z00_7062)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 156 */
				obj_t BgL_arg2222z00_8691;

				{	/* Ast/walk.scm 156 */
					obj_t BgL_zc3anonymousza32224ze3z83_8692;

					BgL_zc3anonymousza32224ze3z83_8692 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32224ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32224ze3z83_8692,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7059)));
					BgL_arg2222z00_8691 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32224ze3z83_8692);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3885z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2222z00_8691);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2224> */
	obj_t BGl_z62zc3anonymousza32224ze3ze1zzast_walkz00(obj_t BgL_envz00_7063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 156 */
			{	/* Ast/walk.scm 156 */
				BgL_nodez00_bglt BgL_nz00_7064;

				BgL_nz00_7064 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7063, (int) (((long) 0))));
				{	/* Ast/walk.scm 156 */
					obj_t BgL_portz00_8693;

					{	/* Ast/walk.scm 156 */
						obj_t BgL_res3660z00_8694;

						{	/* Ast/walk.scm 156 */
							obj_t BgL_tmpz00_10026;

							BgL_tmpz00_10026 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3660z00_8694 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10026);
						}
						BgL_portz00_8693 = BgL_res3660z00_8694;
					}
					{	/* Ast/walk.scm 156 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7064), BgL_portz00_8693);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1!1649 */
	obj_t BGl_z62walk1z121649z70zzast_walkz00(obj_t BgL_envz00_7065,
		obj_t BgL_nz00_7066, obj_t BgL_pz00_7067, obj_t BgL_arg0z00_7068)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 153 */
				obj_t BgL_arg2218z00_8697;

				{	/* Ast/walk.scm 153 */
					obj_t BgL_zc3anonymousza32220ze3z83_8698;

					BgL_zc3anonymousza32220ze3z83_8698 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32220ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32220ze3z83_8698,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7066)));
					BgL_arg2218z00_8697 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32220ze3z83_8698);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3886z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2218z00_8697);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2220> */
	obj_t BGl_z62zc3anonymousza32220ze3ze1zzast_walkz00(obj_t BgL_envz00_7069)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 153 */
			{	/* Ast/walk.scm 153 */
				BgL_nodez00_bglt BgL_nz00_7070;

				BgL_nz00_7070 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7069, (int) (((long) 0))));
				{	/* Ast/walk.scm 153 */
					obj_t BgL_portz00_8699;

					{	/* Ast/walk.scm 153 */
						obj_t BgL_res3659z00_8700;

						{	/* Ast/walk.scm 153 */
							obj_t BgL_tmpz00_10043;

							BgL_tmpz00_10043 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3659z00_8700 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10043);
						}
						BgL_portz00_8699 = BgL_res3659z00_8700;
					}
					{	/* Ast/walk.scm 153 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7070), BgL_portz00_8699);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0!1647 */
	obj_t BGl_z62walk0z121647z70zzast_walkz00(obj_t BgL_envz00_7071,
		obj_t BgL_nz00_7072, obj_t BgL_pz00_7073)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 150 */
				obj_t BgL_arg2214z00_8703;

				{	/* Ast/walk.scm 150 */
					obj_t BgL_zc3anonymousza32216ze3z83_8704;

					BgL_zc3anonymousza32216ze3z83_8704 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32216ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32216ze3z83_8704,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7072)));
					BgL_arg2214z00_8703 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32216ze3z83_8704);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3887z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2214z00_8703);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2216> */
	obj_t BGl_z62zc3anonymousza32216ze3ze1zzast_walkz00(obj_t BgL_envz00_7074)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 150 */
			{	/* Ast/walk.scm 150 */
				BgL_nodez00_bglt BgL_nz00_7075;

				BgL_nz00_7075 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7074, (int) (((long) 0))));
				{	/* Ast/walk.scm 150 */
					obj_t BgL_portz00_8705;

					{	/* Ast/walk.scm 150 */
						obj_t BgL_res3658z00_8706;

						{	/* Ast/walk.scm 150 */
							obj_t BgL_tmpz00_10060;

							BgL_tmpz00_10060 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3658z00_8706 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10060);
						}
						BgL_portz00_8705 = BgL_res3658z00_8706;
					}
					{	/* Ast/walk.scm 150 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7075), BgL_portz00_8705);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk4*1645 */
	obj_t BGl_z62walk4za21645zc0zzast_walkz00(obj_t BgL_envz00_7076,
		obj_t BgL_nz00_7077, obj_t BgL_pz00_7078, obj_t BgL_arg0z00_7079,
		obj_t BgL_arg1z00_7080, obj_t BgL_arg2z00_7081, obj_t BgL_arg3z00_7082)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 146 */
				obj_t BgL_arg2209z00_8709;

				{	/* Ast/walk.scm 146 */
					obj_t BgL_zc3anonymousza32211ze3z83_8710;

					BgL_zc3anonymousza32211ze3z83_8710 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32211ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32211ze3z83_8710,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7077)));
					BgL_arg2209z00_8709 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32211ze3z83_8710);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3882z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2209z00_8709);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2211> */
	obj_t BGl_z62zc3anonymousza32211ze3ze1zzast_walkz00(obj_t BgL_envz00_7083)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 146 */
			{	/* Ast/walk.scm 146 */
				BgL_nodez00_bglt BgL_nz00_7084;

				BgL_nz00_7084 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7083, (int) (((long) 0))));
				{	/* Ast/walk.scm 146 */
					obj_t BgL_portz00_8711;

					{	/* Ast/walk.scm 146 */
						obj_t BgL_res3657z00_8712;

						{	/* Ast/walk.scm 146 */
							obj_t BgL_tmpz00_10077;

							BgL_tmpz00_10077 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3657z00_8712 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10077);
						}
						BgL_portz00_8711 = BgL_res3657z00_8712;
					}
					{	/* Ast/walk.scm 146 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7084), BgL_portz00_8711);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3*1643 */
	obj_t BGl_z62walk3za21643zc0zzast_walkz00(obj_t BgL_envz00_7085,
		obj_t BgL_nz00_7086, obj_t BgL_pz00_7087, obj_t BgL_arg0z00_7088,
		obj_t BgL_arg1z00_7089, obj_t BgL_arg2z00_7090)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 143 */
				obj_t BgL_arg2205z00_8715;

				{	/* Ast/walk.scm 143 */
					obj_t BgL_zc3anonymousza32207ze3z83_8716;

					BgL_zc3anonymousza32207ze3z83_8716 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32207ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32207ze3z83_8716,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7086)));
					BgL_arg2205z00_8715 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32207ze3z83_8716);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3888z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2205z00_8715);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2207> */
	obj_t BGl_z62zc3anonymousza32207ze3ze1zzast_walkz00(obj_t BgL_envz00_7091)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 143 */
			{	/* Ast/walk.scm 143 */
				BgL_nodez00_bglt BgL_nz00_7092;

				BgL_nz00_7092 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7091, (int) (((long) 0))));
				{	/* Ast/walk.scm 143 */
					obj_t BgL_portz00_8717;

					{	/* Ast/walk.scm 143 */
						obj_t BgL_res3656z00_8718;

						{	/* Ast/walk.scm 143 */
							obj_t BgL_tmpz00_10094;

							BgL_tmpz00_10094 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3656z00_8718 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10094);
						}
						BgL_portz00_8717 = BgL_res3656z00_8718;
					}
					{	/* Ast/walk.scm 143 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7092), BgL_portz00_8717);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*1641 */
	obj_t BGl_z62walk2za21641zc0zzast_walkz00(obj_t BgL_envz00_7093,
		obj_t BgL_nz00_7094, obj_t BgL_pz00_7095, obj_t BgL_arg0z00_7096,
		obj_t BgL_arg1z00_7097)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 140 */
				obj_t BgL_arg2201z00_8721;

				{	/* Ast/walk.scm 140 */
					obj_t BgL_zc3anonymousza32203ze3z83_8722;

					BgL_zc3anonymousza32203ze3z83_8722 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32203ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_8722,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7094)));
					BgL_arg2201z00_8721 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32203ze3z83_8722);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3889z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2201z00_8721);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2203> */
	obj_t BGl_z62zc3anonymousza32203ze3ze1zzast_walkz00(obj_t BgL_envz00_7098)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 140 */
			{	/* Ast/walk.scm 140 */
				BgL_nodez00_bglt BgL_nz00_7099;

				BgL_nz00_7099 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7098, (int) (((long) 0))));
				{	/* Ast/walk.scm 140 */
					obj_t BgL_portz00_8723;

					{	/* Ast/walk.scm 140 */
						obj_t BgL_res3655z00_8724;

						{	/* Ast/walk.scm 140 */
							obj_t BgL_tmpz00_10111;

							BgL_tmpz00_10111 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3655z00_8724 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10111);
						}
						BgL_portz00_8723 = BgL_res3655z00_8724;
					}
					{	/* Ast/walk.scm 140 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7099), BgL_portz00_8723);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*1639 */
	obj_t BGl_z62walk1za21639zc0zzast_walkz00(obj_t BgL_envz00_7100,
		obj_t BgL_nz00_7101, obj_t BgL_pz00_7102, obj_t BgL_arg0z00_7103)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 137 */
				obj_t BgL_arg2197z00_8727;

				{	/* Ast/walk.scm 137 */
					obj_t BgL_zc3anonymousza32199ze3z83_8728;

					BgL_zc3anonymousza32199ze3z83_8728 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32199ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32199ze3z83_8728,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7101)));
					BgL_arg2197z00_8727 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32199ze3z83_8728);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3890z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2197z00_8727);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2199> */
	obj_t BGl_z62zc3anonymousza32199ze3ze1zzast_walkz00(obj_t BgL_envz00_7104)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 137 */
			{	/* Ast/walk.scm 137 */
				BgL_nodez00_bglt BgL_nz00_7105;

				BgL_nz00_7105 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7104, (int) (((long) 0))));
				{	/* Ast/walk.scm 137 */
					obj_t BgL_portz00_8729;

					{	/* Ast/walk.scm 137 */
						obj_t BgL_res3654z00_8730;

						{	/* Ast/walk.scm 137 */
							obj_t BgL_tmpz00_10128;

							BgL_tmpz00_10128 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3654z00_8730 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10128);
						}
						BgL_portz00_8729 = BgL_res3654z00_8730;
					}
					{	/* Ast/walk.scm 137 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7105), BgL_portz00_8729);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*1637 */
	obj_t BGl_z62walk0za21637zc0zzast_walkz00(obj_t BgL_envz00_7106,
		obj_t BgL_nz00_7107, obj_t BgL_pz00_7108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 134 */
				obj_t BgL_arg2193z00_8733;

				{	/* Ast/walk.scm 134 */
					obj_t BgL_zc3anonymousza32195ze3z83_8734;

					BgL_zc3anonymousza32195ze3z83_8734 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32195ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_8734,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7107)));
					BgL_arg2193z00_8733 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32195ze3z83_8734);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3891z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2193z00_8733);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2195> */
	obj_t BGl_z62zc3anonymousza32195ze3ze1zzast_walkz00(obj_t BgL_envz00_7109)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 134 */
			{	/* Ast/walk.scm 134 */
				BgL_nodez00_bglt BgL_nz00_7110;

				BgL_nz00_7110 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7109, (int) (((long) 0))));
				{	/* Ast/walk.scm 134 */
					obj_t BgL_portz00_8735;

					{	/* Ast/walk.scm 134 */
						obj_t BgL_res3653z00_8736;

						{	/* Ast/walk.scm 134 */
							obj_t BgL_tmpz00_10145;

							BgL_tmpz00_10145 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3653z00_8736 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10145);
						}
						BgL_portz00_8735 = BgL_res3653z00_8736;
					}
					{	/* Ast/walk.scm 134 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7110), BgL_portz00_8735);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk41635 */
	obj_t BGl_z62walk41635z62zzast_walkz00(obj_t BgL_envz00_7111,
		obj_t BgL_nz00_7112, obj_t BgL_pz00_7113, obj_t BgL_arg0z00_7114,
		obj_t BgL_arg1z00_7115, obj_t BgL_arg2z00_7116, obj_t BgL_arg3z00_7117)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 130 */
				obj_t BgL_arg2189z00_8739;

				{	/* Ast/walk.scm 130 */
					obj_t BgL_zc3anonymousza32191ze3z83_8740;

					BgL_zc3anonymousza32191ze3z83_8740 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32191ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_8740,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7112)));
					BgL_arg2189z00_8739 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32191ze3z83_8740);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3892z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2189z00_8739);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2191> */
	obj_t BGl_z62zc3anonymousza32191ze3ze1zzast_walkz00(obj_t BgL_envz00_7118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 130 */
			{	/* Ast/walk.scm 130 */
				BgL_nodez00_bglt BgL_nz00_7119;

				BgL_nz00_7119 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7118, (int) (((long) 0))));
				{	/* Ast/walk.scm 130 */
					obj_t BgL_portz00_8741;

					{	/* Ast/walk.scm 130 */
						obj_t BgL_res3652z00_8742;

						{	/* Ast/walk.scm 130 */
							obj_t BgL_tmpz00_10162;

							BgL_tmpz00_10162 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3652z00_8742 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10162);
						}
						BgL_portz00_8741 = BgL_res3652z00_8742;
					}
					{	/* Ast/walk.scm 130 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7119), BgL_portz00_8741);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk31633 */
	obj_t BGl_z62walk31633z62zzast_walkz00(obj_t BgL_envz00_7120,
		obj_t BgL_nz00_7121, obj_t BgL_pz00_7122, obj_t BgL_arg0z00_7123,
		obj_t BgL_arg1z00_7124, obj_t BgL_arg2z00_7125)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 127 */
				obj_t BgL_arg2185z00_8745;

				{	/* Ast/walk.scm 127 */
					obj_t BgL_zc3anonymousza32187ze3z83_8746;

					BgL_zc3anonymousza32187ze3z83_8746 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32187ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32187ze3z83_8746,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7121)));
					BgL_arg2185z00_8745 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32187ze3z83_8746);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3893z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2185z00_8745);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2187> */
	obj_t BGl_z62zc3anonymousza32187ze3ze1zzast_walkz00(obj_t BgL_envz00_7126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 127 */
			{	/* Ast/walk.scm 127 */
				BgL_nodez00_bglt BgL_nz00_7127;

				BgL_nz00_7127 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7126, (int) (((long) 0))));
				{	/* Ast/walk.scm 127 */
					obj_t BgL_portz00_8747;

					{	/* Ast/walk.scm 127 */
						obj_t BgL_res3651z00_8748;

						{	/* Ast/walk.scm 127 */
							obj_t BgL_tmpz00_10179;

							BgL_tmpz00_10179 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3651z00_8748 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10179);
						}
						BgL_portz00_8747 = BgL_res3651z00_8748;
					}
					{	/* Ast/walk.scm 127 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7127), BgL_portz00_8747);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk21631 */
	obj_t BGl_z62walk21631z62zzast_walkz00(obj_t BgL_envz00_7128,
		obj_t BgL_nz00_7129, obj_t BgL_pz00_7130, obj_t BgL_arg0z00_7131,
		obj_t BgL_arg1z00_7132)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 124 */
				obj_t BgL_arg2181z00_8751;

				{	/* Ast/walk.scm 124 */
					obj_t BgL_zc3anonymousza32183ze3z83_8752;

					BgL_zc3anonymousza32183ze3z83_8752 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32183ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32183ze3z83_8752,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7129)));
					BgL_arg2181z00_8751 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32183ze3z83_8752);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3894z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2181z00_8751);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2183> */
	obj_t BGl_z62zc3anonymousza32183ze3ze1zzast_walkz00(obj_t BgL_envz00_7133)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 124 */
			{	/* Ast/walk.scm 124 */
				BgL_nodez00_bglt BgL_nz00_7134;

				BgL_nz00_7134 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7133, (int) (((long) 0))));
				{	/* Ast/walk.scm 124 */
					obj_t BgL_portz00_8753;

					{	/* Ast/walk.scm 124 */
						obj_t BgL_res3650z00_8754;

						{	/* Ast/walk.scm 124 */
							obj_t BgL_tmpz00_10196;

							BgL_tmpz00_10196 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3650z00_8754 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10196);
						}
						BgL_portz00_8753 = BgL_res3650z00_8754;
					}
					{	/* Ast/walk.scm 124 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7134), BgL_portz00_8753);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk11629 */
	obj_t BGl_z62walk11629z62zzast_walkz00(obj_t BgL_envz00_7135,
		obj_t BgL_nz00_7136, obj_t BgL_pz00_7137, obj_t BgL_arg0z00_7138)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 121 */
				obj_t BgL_arg2177z00_8757;

				{	/* Ast/walk.scm 121 */
					obj_t BgL_zc3anonymousza32179ze3z83_8758;

					BgL_zc3anonymousza32179ze3z83_8758 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32179ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32179ze3z83_8758,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7136)));
					BgL_arg2177z00_8757 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32179ze3z83_8758);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3895z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2177z00_8757);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2179> */
	obj_t BGl_z62zc3anonymousza32179ze3ze1zzast_walkz00(obj_t BgL_envz00_7139)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 121 */
			{	/* Ast/walk.scm 121 */
				BgL_nodez00_bglt BgL_nz00_7140;

				BgL_nz00_7140 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7139, (int) (((long) 0))));
				{	/* Ast/walk.scm 121 */
					obj_t BgL_portz00_8759;

					{	/* Ast/walk.scm 121 */
						obj_t BgL_res3649z00_8760;

						{	/* Ast/walk.scm 121 */
							obj_t BgL_tmpz00_10213;

							BgL_tmpz00_10213 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3649z00_8760 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10213);
						}
						BgL_portz00_8759 = BgL_res3649z00_8760;
					}
					{	/* Ast/walk.scm 121 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7140), BgL_portz00_8759);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk01627 */
	obj_t BGl_z62walk01627z62zzast_walkz00(obj_t BgL_envz00_7141,
		obj_t BgL_nz00_7142, obj_t BgL_pz00_7143)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 118 */
				obj_t BgL_arg2173z00_8763;

				{	/* Ast/walk.scm 118 */
					obj_t BgL_zc3anonymousza32175ze3z83_8764;

					BgL_zc3anonymousza32175ze3z83_8764 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32175ze3ze1zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32175ze3z83_8764,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7142)));
					BgL_arg2173z00_8763 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3anonymousza32175ze3z83_8764);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3896z00zzast_walkz00,
					BGl_string3883z00zzast_walkz00, BgL_arg2173z00_8763);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2175> */
	obj_t BGl_z62zc3anonymousza32175ze3ze1zzast_walkz00(obj_t BgL_envz00_7144)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 118 */
			{	/* Ast/walk.scm 118 */
				BgL_nodez00_bglt BgL_nz00_7145;

				BgL_nz00_7145 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7144, (int) (((long) 0))));
				{	/* Ast/walk.scm 118 */
					obj_t BgL_portz00_8765;

					{	/* Ast/walk.scm 118 */
						obj_t BgL_res3648z00_8766;

						{	/* Ast/walk.scm 118 */
							obj_t BgL_tmpz00_10230;

							BgL_tmpz00_10230 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3648z00_8766 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10230);
						}
						BgL_portz00_8765 = BgL_res3648z00_8766;
					}
					{	/* Ast/walk.scm 118 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7145), BgL_portz00_8765);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* walk0 */
	BGL_EXPORTED_DEF obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_3,
		obj_t BgL_pz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 116 */
				obj_t BgL_method1628z00_2433;

				{	/* Ast/walk.scm 116 */
					obj_t BgL_res3669z00_5968;

					{	/* Ast/walk.scm 116 */
						long BgL_objzd2classzd2numz00_5941;

						{	/* Ast/walk.scm 116 */
							long BgL_res3663z00_5944;

							BgL_res3663z00_5944 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_3));
							BgL_objzd2classzd2numz00_5941 = BgL_res3663z00_5944;
						}
						{	/* Ast/walk.scm 116 */
							obj_t BgL_arg1725z00_5942;

							BgL_arg1725z00_5942 =
								PROCEDURE_REF(BGl_walk0zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 116 */
								int BgL_offsetz00_5946;

								BgL_offsetz00_5946 = (int) (BgL_objzd2classzd2numz00_5941);
								{	/* Ast/walk.scm 116 */
									long BgL_offsetz00_5947;

									BgL_offsetz00_5947 =
										((long) (BgL_offsetz00_5946) - OBJECT_TYPE);
									{	/* Ast/walk.scm 116 */
										long BgL_modz00_5948;

										{	/* Ast/walk.scm 116 */
											int BgL_arg1727z00_5949;

											BgL_arg1727z00_5949 = (int) (((long) 16));
											{	/* Ast/walk.scm 116 */
												long BgL_res3666z00_5959;

												{	/* Ast/walk.scm 116 */
													long BgL_tmpz00_10243;

													BgL_tmpz00_10243 = (long) (BgL_arg1727z00_5949);
													BgL_res3666z00_5959 =
														(BgL_offsetz00_5947 / BgL_tmpz00_10243);
												}
												BgL_modz00_5948 = BgL_res3666z00_5959;
										}}
										{	/* Ast/walk.scm 116 */
											long BgL_restz00_5950;

											{	/* Ast/walk.scm 116 */
												int BgL_arg1726z00_5951;

												BgL_arg1726z00_5951 = (int) (((long) 16));
												{	/* Ast/walk.scm 116 */
													long BgL_res3668z00_5963;

													{	/* Ast/walk.scm 116 */
														long BgL_tmpz00_10247;

														BgL_tmpz00_10247 = (long) (BgL_arg1726z00_5951);
														BgL_res3668z00_5963 =
															(BgL_offsetz00_5947 % BgL_tmpz00_10247);
													}
													BgL_restz00_5950 = BgL_res3668z00_5963;
											}}
											{	/* Ast/walk.scm 116 */

												{	/* Ast/walk.scm 116 */
													obj_t BgL_bucketz00_5952;

													BgL_bucketz00_5952 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_5942), BgL_modz00_5948);
													BgL_res3669z00_5968 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5952), BgL_restz00_5950);
					}}}}}}}}
					BgL_method1628z00_2433 = BgL_res3669z00_5968;
				}
				return
					PROCEDURE_ENTRY(BgL_method1628z00_2433) (BgL_method1628z00_2433,
					((obj_t) BgL_nz00_3), BgL_pz00_4, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0 */
	obj_t BGl_z62walk0z62zzast_walkz00(obj_t BgL_envz00_7146, obj_t BgL_nz00_7147,
		obj_t BgL_pz00_7148)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 116 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7147), BgL_pz00_7148);
		}
		BGL_FUNCTION_END;
	}



/* walk1 */
	BGL_EXPORTED_DEF obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_5,
		obj_t BgL_pz00_6, obj_t BgL_arg0z00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 119 */
				obj_t BgL_method1630z00_2434;

				{	/* Ast/walk.scm 119 */
					obj_t BgL_res3676z00_5997;

					{	/* Ast/walk.scm 119 */
						long BgL_objzd2classzd2numz00_5970;

						{	/* Ast/walk.scm 119 */
							long BgL_res3670z00_5973;

							BgL_res3670z00_5973 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_5));
							BgL_objzd2classzd2numz00_5970 = BgL_res3670z00_5973;
						}
						{	/* Ast/walk.scm 119 */
							obj_t BgL_arg1725z00_5971;

							BgL_arg1725z00_5971 =
								PROCEDURE_REF(BGl_walk1zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 119 */
								int BgL_offsetz00_5975;

								BgL_offsetz00_5975 = (int) (BgL_objzd2classzd2numz00_5970);
								{	/* Ast/walk.scm 119 */
									long BgL_offsetz00_5976;

									BgL_offsetz00_5976 =
										((long) (BgL_offsetz00_5975) - OBJECT_TYPE);
									{	/* Ast/walk.scm 119 */
										long BgL_modz00_5977;

										{	/* Ast/walk.scm 119 */
											int BgL_arg1727z00_5978;

											BgL_arg1727z00_5978 = (int) (((long) 16));
											{	/* Ast/walk.scm 119 */
												long BgL_res3673z00_5988;

												{	/* Ast/walk.scm 119 */
													long BgL_tmpz00_10270;

													BgL_tmpz00_10270 = (long) (BgL_arg1727z00_5978);
													BgL_res3673z00_5988 =
														(BgL_offsetz00_5976 / BgL_tmpz00_10270);
												}
												BgL_modz00_5977 = BgL_res3673z00_5988;
										}}
										{	/* Ast/walk.scm 119 */
											long BgL_restz00_5979;

											{	/* Ast/walk.scm 119 */
												int BgL_arg1726z00_5980;

												BgL_arg1726z00_5980 = (int) (((long) 16));
												{	/* Ast/walk.scm 119 */
													long BgL_res3675z00_5992;

													{	/* Ast/walk.scm 119 */
														long BgL_tmpz00_10274;

														BgL_tmpz00_10274 = (long) (BgL_arg1726z00_5980);
														BgL_res3675z00_5992 =
															(BgL_offsetz00_5976 % BgL_tmpz00_10274);
													}
													BgL_restz00_5979 = BgL_res3675z00_5992;
											}}
											{	/* Ast/walk.scm 119 */

												{	/* Ast/walk.scm 119 */
													obj_t BgL_bucketz00_5981;

													BgL_bucketz00_5981 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_5971), BgL_modz00_5977);
													BgL_res3676z00_5997 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5981), BgL_restz00_5979);
					}}}}}}}}
					BgL_method1630z00_2434 = BgL_res3676z00_5997;
				}
				return
					PROCEDURE_ENTRY(BgL_method1630z00_2434) (BgL_method1630z00_2434,
					((obj_t) BgL_nz00_5), BgL_pz00_6, BgL_arg0z00_7, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1 */
	obj_t BGl_z62walk1z62zzast_walkz00(obj_t BgL_envz00_7149, obj_t BgL_nz00_7150,
		obj_t BgL_pz00_7151, obj_t BgL_arg0z00_7152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 119 */
			return
				BGl_walk1z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7150), BgL_pz00_7151, BgL_arg0z00_7152);
		}
		BGL_FUNCTION_END;
	}



/* walk2 */
	BGL_EXPORTED_DEF obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_8,
		obj_t BgL_pz00_9, obj_t BgL_arg0z00_10, obj_t BgL_arg1z00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 122 */
				obj_t BgL_method1632z00_2435;

				{	/* Ast/walk.scm 122 */
					obj_t BgL_res3683z00_6026;

					{	/* Ast/walk.scm 122 */
						long BgL_objzd2classzd2numz00_5999;

						{	/* Ast/walk.scm 122 */
							long BgL_res3677z00_6002;

							BgL_res3677z00_6002 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_8));
							BgL_objzd2classzd2numz00_5999 = BgL_res3677z00_6002;
						}
						{	/* Ast/walk.scm 122 */
							obj_t BgL_arg1725z00_6000;

							BgL_arg1725z00_6000 =
								PROCEDURE_REF(BGl_walk2zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 122 */
								int BgL_offsetz00_6004;

								BgL_offsetz00_6004 = (int) (BgL_objzd2classzd2numz00_5999);
								{	/* Ast/walk.scm 122 */
									long BgL_offsetz00_6005;

									BgL_offsetz00_6005 =
										((long) (BgL_offsetz00_6004) - OBJECT_TYPE);
									{	/* Ast/walk.scm 122 */
										long BgL_modz00_6006;

										{	/* Ast/walk.scm 122 */
											int BgL_arg1727z00_6007;

											BgL_arg1727z00_6007 = (int) (((long) 16));
											{	/* Ast/walk.scm 122 */
												long BgL_res3680z00_6017;

												{	/* Ast/walk.scm 122 */
													long BgL_tmpz00_10298;

													BgL_tmpz00_10298 = (long) (BgL_arg1727z00_6007);
													BgL_res3680z00_6017 =
														(BgL_offsetz00_6005 / BgL_tmpz00_10298);
												}
												BgL_modz00_6006 = BgL_res3680z00_6017;
										}}
										{	/* Ast/walk.scm 122 */
											long BgL_restz00_6008;

											{	/* Ast/walk.scm 122 */
												int BgL_arg1726z00_6009;

												BgL_arg1726z00_6009 = (int) (((long) 16));
												{	/* Ast/walk.scm 122 */
													long BgL_res3682z00_6021;

													{	/* Ast/walk.scm 122 */
														long BgL_tmpz00_10302;

														BgL_tmpz00_10302 = (long) (BgL_arg1726z00_6009);
														BgL_res3682z00_6021 =
															(BgL_offsetz00_6005 % BgL_tmpz00_10302);
													}
													BgL_restz00_6008 = BgL_res3682z00_6021;
											}}
											{	/* Ast/walk.scm 122 */

												{	/* Ast/walk.scm 122 */
													obj_t BgL_bucketz00_6010;

													BgL_bucketz00_6010 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6000), BgL_modz00_6006);
													BgL_res3683z00_6026 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6010), BgL_restz00_6008);
					}}}}}}}}
					BgL_method1632z00_2435 = BgL_res3683z00_6026;
				}
				return
					PROCEDURE_ENTRY(BgL_method1632z00_2435) (BgL_method1632z00_2435,
					((obj_t) BgL_nz00_8), BgL_pz00_9, BgL_arg0z00_10, BgL_arg1z00_11,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2 */
	obj_t BGl_z62walk2z62zzast_walkz00(obj_t BgL_envz00_7153, obj_t BgL_nz00_7154,
		obj_t BgL_pz00_7155, obj_t BgL_arg0z00_7156, obj_t BgL_arg1z00_7157)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 122 */
			return
				BGl_walk2z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7154), BgL_pz00_7155, BgL_arg0z00_7156,
				BgL_arg1z00_7157);
		}
		BGL_FUNCTION_END;
	}



/* walk3 */
	BGL_EXPORTED_DEF obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_12,
		obj_t BgL_pz00_13, obj_t BgL_arg0z00_14, obj_t BgL_arg1z00_15,
		obj_t BgL_arg2z00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 125 */
				obj_t BgL_method1634z00_2436;

				{	/* Ast/walk.scm 125 */
					obj_t BgL_res3690z00_6055;

					{	/* Ast/walk.scm 125 */
						long BgL_objzd2classzd2numz00_6028;

						{	/* Ast/walk.scm 125 */
							long BgL_res3684z00_6031;

							BgL_res3684z00_6031 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
							BgL_objzd2classzd2numz00_6028 = BgL_res3684z00_6031;
						}
						{	/* Ast/walk.scm 125 */
							obj_t BgL_arg1725z00_6029;

							BgL_arg1725z00_6029 =
								PROCEDURE_REF(BGl_walk3zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 125 */
								int BgL_offsetz00_6033;

								BgL_offsetz00_6033 = (int) (BgL_objzd2classzd2numz00_6028);
								{	/* Ast/walk.scm 125 */
									long BgL_offsetz00_6034;

									BgL_offsetz00_6034 =
										((long) (BgL_offsetz00_6033) - OBJECT_TYPE);
									{	/* Ast/walk.scm 125 */
										long BgL_modz00_6035;

										{	/* Ast/walk.scm 125 */
											int BgL_arg1727z00_6036;

											BgL_arg1727z00_6036 = (int) (((long) 16));
											{	/* Ast/walk.scm 125 */
												long BgL_res3687z00_6046;

												{	/* Ast/walk.scm 125 */
													long BgL_tmpz00_10327;

													BgL_tmpz00_10327 = (long) (BgL_arg1727z00_6036);
													BgL_res3687z00_6046 =
														(BgL_offsetz00_6034 / BgL_tmpz00_10327);
												}
												BgL_modz00_6035 = BgL_res3687z00_6046;
										}}
										{	/* Ast/walk.scm 125 */
											long BgL_restz00_6037;

											{	/* Ast/walk.scm 125 */
												int BgL_arg1726z00_6038;

												BgL_arg1726z00_6038 = (int) (((long) 16));
												{	/* Ast/walk.scm 125 */
													long BgL_res3689z00_6050;

													{	/* Ast/walk.scm 125 */
														long BgL_tmpz00_10331;

														BgL_tmpz00_10331 = (long) (BgL_arg1726z00_6038);
														BgL_res3689z00_6050 =
															(BgL_offsetz00_6034 % BgL_tmpz00_10331);
													}
													BgL_restz00_6037 = BgL_res3689z00_6050;
											}}
											{	/* Ast/walk.scm 125 */

												{	/* Ast/walk.scm 125 */
													obj_t BgL_bucketz00_6039;

													BgL_bucketz00_6039 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6029), BgL_modz00_6035);
													BgL_res3690z00_6055 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6039), BgL_restz00_6037);
					}}}}}}}}
					BgL_method1634z00_2436 = BgL_res3690z00_6055;
				}
				return
					PROCEDURE_ENTRY(BgL_method1634z00_2436) (BgL_method1634z00_2436,
					((obj_t) BgL_nz00_12), BgL_pz00_13, BgL_arg0z00_14, BgL_arg1z00_15,
					BgL_arg2z00_16, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3 */
	obj_t BGl_z62walk3z62zzast_walkz00(obj_t BgL_envz00_7158, obj_t BgL_nz00_7159,
		obj_t BgL_pz00_7160, obj_t BgL_arg0z00_7161, obj_t BgL_arg1z00_7162,
		obj_t BgL_arg2z00_7163)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 125 */
			return
				BGl_walk3z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7159), BgL_pz00_7160, BgL_arg0z00_7161,
				BgL_arg1z00_7162, BgL_arg2z00_7163);
		}
		BGL_FUNCTION_END;
	}



/* walk4 */
	BGL_EXPORTED_DEF obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_17,
		obj_t BgL_pz00_18, obj_t BgL_arg0z00_19, obj_t BgL_arg1z00_20,
		obj_t BgL_arg2z00_21, obj_t BgL_arg3z00_22)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 128 */
				obj_t BgL_method1636z00_2437;

				{	/* Ast/walk.scm 128 */
					obj_t BgL_res3697z00_6084;

					{	/* Ast/walk.scm 128 */
						long BgL_objzd2classzd2numz00_6057;

						{	/* Ast/walk.scm 128 */
							long BgL_res3691z00_6060;

							BgL_res3691z00_6060 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_17));
							BgL_objzd2classzd2numz00_6057 = BgL_res3691z00_6060;
						}
						{	/* Ast/walk.scm 128 */
							obj_t BgL_arg1725z00_6058;

							BgL_arg1725z00_6058 =
								PROCEDURE_REF(BGl_walk4zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 128 */
								int BgL_offsetz00_6062;

								BgL_offsetz00_6062 = (int) (BgL_objzd2classzd2numz00_6057);
								{	/* Ast/walk.scm 128 */
									long BgL_offsetz00_6063;

									BgL_offsetz00_6063 =
										((long) (BgL_offsetz00_6062) - OBJECT_TYPE);
									{	/* Ast/walk.scm 128 */
										long BgL_modz00_6064;

										{	/* Ast/walk.scm 128 */
											int BgL_arg1727z00_6065;

											BgL_arg1727z00_6065 = (int) (((long) 16));
											{	/* Ast/walk.scm 128 */
												long BgL_res3694z00_6075;

												{	/* Ast/walk.scm 128 */
													long BgL_tmpz00_10357;

													BgL_tmpz00_10357 = (long) (BgL_arg1727z00_6065);
													BgL_res3694z00_6075 =
														(BgL_offsetz00_6063 / BgL_tmpz00_10357);
												}
												BgL_modz00_6064 = BgL_res3694z00_6075;
										}}
										{	/* Ast/walk.scm 128 */
											long BgL_restz00_6066;

											{	/* Ast/walk.scm 128 */
												int BgL_arg1726z00_6067;

												BgL_arg1726z00_6067 = (int) (((long) 16));
												{	/* Ast/walk.scm 128 */
													long BgL_res3696z00_6079;

													{	/* Ast/walk.scm 128 */
														long BgL_tmpz00_10361;

														BgL_tmpz00_10361 = (long) (BgL_arg1726z00_6067);
														BgL_res3696z00_6079 =
															(BgL_offsetz00_6063 % BgL_tmpz00_10361);
													}
													BgL_restz00_6066 = BgL_res3696z00_6079;
											}}
											{	/* Ast/walk.scm 128 */

												{	/* Ast/walk.scm 128 */
													obj_t BgL_bucketz00_6068;

													BgL_bucketz00_6068 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6058), BgL_modz00_6064);
													BgL_res3697z00_6084 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6068), BgL_restz00_6066);
					}}}}}}}}
					BgL_method1636z00_2437 = BgL_res3697z00_6084;
				}
				return
					PROCEDURE_ENTRY(BgL_method1636z00_2437) (BgL_method1636z00_2437,
					((obj_t) BgL_nz00_17), BgL_pz00_18, BgL_arg0z00_19, BgL_arg1z00_20,
					BgL_arg2z00_21, BgL_arg3z00_22, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk4 */
	obj_t BGl_z62walk4z62zzast_walkz00(obj_t BgL_envz00_7164, obj_t BgL_nz00_7165,
		obj_t BgL_pz00_7166, obj_t BgL_arg0z00_7167, obj_t BgL_arg1z00_7168,
		obj_t BgL_arg2z00_7169, obj_t BgL_arg3z00_7170)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 128 */
			return
				BGl_walk4z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7165), BgL_pz00_7166, BgL_arg0z00_7167,
				BgL_arg1z00_7168, BgL_arg2z00_7169, BgL_arg3z00_7170);
		}
		BGL_FUNCTION_END;
	}



/* walk0* */
	BGL_EXPORTED_DEF obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_23, obj_t BgL_pz00_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 132 */
				obj_t BgL_method1638z00_2438;

				{	/* Ast/walk.scm 132 */
					obj_t BgL_res3704z00_6113;

					{	/* Ast/walk.scm 132 */
						long BgL_objzd2classzd2numz00_6086;

						{	/* Ast/walk.scm 132 */
							long BgL_res3698z00_6089;

							BgL_res3698z00_6089 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_23));
							BgL_objzd2classzd2numz00_6086 = BgL_res3698z00_6089;
						}
						{	/* Ast/walk.scm 132 */
							obj_t BgL_arg1725z00_6087;

							BgL_arg1725z00_6087 =
								PROCEDURE_REF(BGl_walk0za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 132 */
								int BgL_offsetz00_6091;

								BgL_offsetz00_6091 = (int) (BgL_objzd2classzd2numz00_6086);
								{	/* Ast/walk.scm 132 */
									long BgL_offsetz00_6092;

									BgL_offsetz00_6092 =
										((long) (BgL_offsetz00_6091) - OBJECT_TYPE);
									{	/* Ast/walk.scm 132 */
										long BgL_modz00_6093;

										{	/* Ast/walk.scm 132 */
											int BgL_arg1727z00_6094;

											BgL_arg1727z00_6094 = (int) (((long) 16));
											{	/* Ast/walk.scm 132 */
												long BgL_res3701z00_6104;

												{	/* Ast/walk.scm 132 */
													long BgL_tmpz00_10388;

													BgL_tmpz00_10388 = (long) (BgL_arg1727z00_6094);
													BgL_res3701z00_6104 =
														(BgL_offsetz00_6092 / BgL_tmpz00_10388);
												}
												BgL_modz00_6093 = BgL_res3701z00_6104;
										}}
										{	/* Ast/walk.scm 132 */
											long BgL_restz00_6095;

											{	/* Ast/walk.scm 132 */
												int BgL_arg1726z00_6096;

												BgL_arg1726z00_6096 = (int) (((long) 16));
												{	/* Ast/walk.scm 132 */
													long BgL_res3703z00_6108;

													{	/* Ast/walk.scm 132 */
														long BgL_tmpz00_10392;

														BgL_tmpz00_10392 = (long) (BgL_arg1726z00_6096);
														BgL_res3703z00_6108 =
															(BgL_offsetz00_6092 % BgL_tmpz00_10392);
													}
													BgL_restz00_6095 = BgL_res3703z00_6108;
											}}
											{	/* Ast/walk.scm 132 */

												{	/* Ast/walk.scm 132 */
													obj_t BgL_bucketz00_6097;

													BgL_bucketz00_6097 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6087), BgL_modz00_6093);
													BgL_res3704z00_6113 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6097), BgL_restz00_6095);
					}}}}}}}}
					BgL_method1638z00_2438 = BgL_res3704z00_6113;
				}
				return
					PROCEDURE_ENTRY(BgL_method1638z00_2438) (BgL_method1638z00_2438,
					((obj_t) BgL_nz00_23), BgL_pz00_24, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0* */
	obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t BgL_envz00_7171,
		obj_t BgL_nz00_7172, obj_t BgL_pz00_7173)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 132 */
			return
				BGl_walk0za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7172), BgL_pz00_7173);
		}
		BGL_FUNCTION_END;
	}



/* walk1* */
	BGL_EXPORTED_DEF obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_25, obj_t BgL_pz00_26, obj_t BgL_arg0z00_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 135 */
				obj_t BgL_method1640z00_2439;

				{	/* Ast/walk.scm 135 */
					obj_t BgL_res3711z00_6142;

					{	/* Ast/walk.scm 135 */
						long BgL_objzd2classzd2numz00_6115;

						{	/* Ast/walk.scm 135 */
							long BgL_res3705z00_6118;

							BgL_res3705z00_6118 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_25));
							BgL_objzd2classzd2numz00_6115 = BgL_res3705z00_6118;
						}
						{	/* Ast/walk.scm 135 */
							obj_t BgL_arg1725z00_6116;

							BgL_arg1725z00_6116 =
								PROCEDURE_REF(BGl_walk1za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 135 */
								int BgL_offsetz00_6120;

								BgL_offsetz00_6120 = (int) (BgL_objzd2classzd2numz00_6115);
								{	/* Ast/walk.scm 135 */
									long BgL_offsetz00_6121;

									BgL_offsetz00_6121 =
										((long) (BgL_offsetz00_6120) - OBJECT_TYPE);
									{	/* Ast/walk.scm 135 */
										long BgL_modz00_6122;

										{	/* Ast/walk.scm 135 */
											int BgL_arg1727z00_6123;

											BgL_arg1727z00_6123 = (int) (((long) 16));
											{	/* Ast/walk.scm 135 */
												long BgL_res3708z00_6133;

												{	/* Ast/walk.scm 135 */
													long BgL_tmpz00_10415;

													BgL_tmpz00_10415 = (long) (BgL_arg1727z00_6123);
													BgL_res3708z00_6133 =
														(BgL_offsetz00_6121 / BgL_tmpz00_10415);
												}
												BgL_modz00_6122 = BgL_res3708z00_6133;
										}}
										{	/* Ast/walk.scm 135 */
											long BgL_restz00_6124;

											{	/* Ast/walk.scm 135 */
												int BgL_arg1726z00_6125;

												BgL_arg1726z00_6125 = (int) (((long) 16));
												{	/* Ast/walk.scm 135 */
													long BgL_res3710z00_6137;

													{	/* Ast/walk.scm 135 */
														long BgL_tmpz00_10419;

														BgL_tmpz00_10419 = (long) (BgL_arg1726z00_6125);
														BgL_res3710z00_6137 =
															(BgL_offsetz00_6121 % BgL_tmpz00_10419);
													}
													BgL_restz00_6124 = BgL_res3710z00_6137;
											}}
											{	/* Ast/walk.scm 135 */

												{	/* Ast/walk.scm 135 */
													obj_t BgL_bucketz00_6126;

													BgL_bucketz00_6126 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6116), BgL_modz00_6122);
													BgL_res3711z00_6142 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6126), BgL_restz00_6124);
					}}}}}}}}
					BgL_method1640z00_2439 = BgL_res3711z00_6142;
				}
				return
					PROCEDURE_ENTRY(BgL_method1640z00_2439) (BgL_method1640z00_2439,
					((obj_t) BgL_nz00_25), BgL_pz00_26, BgL_arg0z00_27, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1* */
	obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t BgL_envz00_7174,
		obj_t BgL_nz00_7175, obj_t BgL_pz00_7176, obj_t BgL_arg0z00_7177)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 135 */
			return
				BGl_walk1za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7175), BgL_pz00_7176, BgL_arg0z00_7177);
		}
		BGL_FUNCTION_END;
	}



/* walk2* */
	BGL_EXPORTED_DEF obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_28, obj_t BgL_pz00_29, obj_t BgL_arg0z00_30, obj_t BgL_arg1z00_31)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 138 */
				obj_t BgL_method1642z00_2440;

				{	/* Ast/walk.scm 138 */
					obj_t BgL_res3718z00_6171;

					{	/* Ast/walk.scm 138 */
						long BgL_objzd2classzd2numz00_6144;

						{	/* Ast/walk.scm 138 */
							long BgL_res3712z00_6147;

							BgL_res3712z00_6147 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_28));
							BgL_objzd2classzd2numz00_6144 = BgL_res3712z00_6147;
						}
						{	/* Ast/walk.scm 138 */
							obj_t BgL_arg1725z00_6145;

							BgL_arg1725z00_6145 =
								PROCEDURE_REF(BGl_walk2za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 138 */
								int BgL_offsetz00_6149;

								BgL_offsetz00_6149 = (int) (BgL_objzd2classzd2numz00_6144);
								{	/* Ast/walk.scm 138 */
									long BgL_offsetz00_6150;

									BgL_offsetz00_6150 =
										((long) (BgL_offsetz00_6149) - OBJECT_TYPE);
									{	/* Ast/walk.scm 138 */
										long BgL_modz00_6151;

										{	/* Ast/walk.scm 138 */
											int BgL_arg1727z00_6152;

											BgL_arg1727z00_6152 = (int) (((long) 16));
											{	/* Ast/walk.scm 138 */
												long BgL_res3715z00_6162;

												{	/* Ast/walk.scm 138 */
													long BgL_tmpz00_10443;

													BgL_tmpz00_10443 = (long) (BgL_arg1727z00_6152);
													BgL_res3715z00_6162 =
														(BgL_offsetz00_6150 / BgL_tmpz00_10443);
												}
												BgL_modz00_6151 = BgL_res3715z00_6162;
										}}
										{	/* Ast/walk.scm 138 */
											long BgL_restz00_6153;

											{	/* Ast/walk.scm 138 */
												int BgL_arg1726z00_6154;

												BgL_arg1726z00_6154 = (int) (((long) 16));
												{	/* Ast/walk.scm 138 */
													long BgL_res3717z00_6166;

													{	/* Ast/walk.scm 138 */
														long BgL_tmpz00_10447;

														BgL_tmpz00_10447 = (long) (BgL_arg1726z00_6154);
														BgL_res3717z00_6166 =
															(BgL_offsetz00_6150 % BgL_tmpz00_10447);
													}
													BgL_restz00_6153 = BgL_res3717z00_6166;
											}}
											{	/* Ast/walk.scm 138 */

												{	/* Ast/walk.scm 138 */
													obj_t BgL_bucketz00_6155;

													BgL_bucketz00_6155 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6145), BgL_modz00_6151);
													BgL_res3718z00_6171 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6155), BgL_restz00_6153);
					}}}}}}}}
					BgL_method1642z00_2440 = BgL_res3718z00_6171;
				}
				return
					PROCEDURE_ENTRY(BgL_method1642z00_2440) (BgL_method1642z00_2440,
					((obj_t) BgL_nz00_28), BgL_pz00_29, BgL_arg0z00_30, BgL_arg1z00_31,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2* */
	obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t BgL_envz00_7178,
		obj_t BgL_nz00_7179, obj_t BgL_pz00_7180, obj_t BgL_arg0z00_7181,
		obj_t BgL_arg1z00_7182)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 138 */
			return
				BGl_walk2za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7179), BgL_pz00_7180, BgL_arg0z00_7181,
				BgL_arg1z00_7182);
		}
		BGL_FUNCTION_END;
	}



/* walk3* */
	BGL_EXPORTED_DEF obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_32, obj_t BgL_pz00_33, obj_t BgL_arg0z00_34, obj_t BgL_arg1z00_35,
		obj_t BgL_arg2z00_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 141 */
				obj_t BgL_method1644z00_2441;

				{	/* Ast/walk.scm 141 */
					obj_t BgL_res3725z00_6200;

					{	/* Ast/walk.scm 141 */
						long BgL_objzd2classzd2numz00_6173;

						{	/* Ast/walk.scm 141 */
							long BgL_res3719z00_6176;

							BgL_res3719z00_6176 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_32));
							BgL_objzd2classzd2numz00_6173 = BgL_res3719z00_6176;
						}
						{	/* Ast/walk.scm 141 */
							obj_t BgL_arg1725z00_6174;

							BgL_arg1725z00_6174 =
								PROCEDURE_REF(BGl_walk3za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 141 */
								int BgL_offsetz00_6178;

								BgL_offsetz00_6178 = (int) (BgL_objzd2classzd2numz00_6173);
								{	/* Ast/walk.scm 141 */
									long BgL_offsetz00_6179;

									BgL_offsetz00_6179 =
										((long) (BgL_offsetz00_6178) - OBJECT_TYPE);
									{	/* Ast/walk.scm 141 */
										long BgL_modz00_6180;

										{	/* Ast/walk.scm 141 */
											int BgL_arg1727z00_6181;

											BgL_arg1727z00_6181 = (int) (((long) 16));
											{	/* Ast/walk.scm 141 */
												long BgL_res3722z00_6191;

												{	/* Ast/walk.scm 141 */
													long BgL_tmpz00_10472;

													BgL_tmpz00_10472 = (long) (BgL_arg1727z00_6181);
													BgL_res3722z00_6191 =
														(BgL_offsetz00_6179 / BgL_tmpz00_10472);
												}
												BgL_modz00_6180 = BgL_res3722z00_6191;
										}}
										{	/* Ast/walk.scm 141 */
											long BgL_restz00_6182;

											{	/* Ast/walk.scm 141 */
												int BgL_arg1726z00_6183;

												BgL_arg1726z00_6183 = (int) (((long) 16));
												{	/* Ast/walk.scm 141 */
													long BgL_res3724z00_6195;

													{	/* Ast/walk.scm 141 */
														long BgL_tmpz00_10476;

														BgL_tmpz00_10476 = (long) (BgL_arg1726z00_6183);
														BgL_res3724z00_6195 =
															(BgL_offsetz00_6179 % BgL_tmpz00_10476);
													}
													BgL_restz00_6182 = BgL_res3724z00_6195;
											}}
											{	/* Ast/walk.scm 141 */

												{	/* Ast/walk.scm 141 */
													obj_t BgL_bucketz00_6184;

													BgL_bucketz00_6184 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6174), BgL_modz00_6180);
													BgL_res3725z00_6200 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6184), BgL_restz00_6182);
					}}}}}}}}
					BgL_method1644z00_2441 = BgL_res3725z00_6200;
				}
				return
					PROCEDURE_ENTRY(BgL_method1644z00_2441) (BgL_method1644z00_2441,
					((obj_t) BgL_nz00_32), BgL_pz00_33, BgL_arg0z00_34, BgL_arg1z00_35,
					BgL_arg2z00_36, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3* */
	obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t BgL_envz00_7183,
		obj_t BgL_nz00_7184, obj_t BgL_pz00_7185, obj_t BgL_arg0z00_7186,
		obj_t BgL_arg1z00_7187, obj_t BgL_arg2z00_7188)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 141 */
			return
				BGl_walk3za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7184), BgL_pz00_7185, BgL_arg0z00_7186,
				BgL_arg1z00_7187, BgL_arg2z00_7188);
		}
		BGL_FUNCTION_END;
	}



/* walk4* */
	BGL_EXPORTED_DEF obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_37, obj_t BgL_pz00_38, obj_t BgL_arg0z00_39, obj_t BgL_arg1z00_40,
		obj_t BgL_arg2z00_41, obj_t BgL_arg3z00_42)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 144 */
				obj_t BgL_method1646z00_2442;

				{	/* Ast/walk.scm 144 */
					obj_t BgL_res3732z00_6229;

					{	/* Ast/walk.scm 144 */
						long BgL_objzd2classzd2numz00_6202;

						{	/* Ast/walk.scm 144 */
							long BgL_res3726z00_6205;

							BgL_res3726z00_6205 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_37));
							BgL_objzd2classzd2numz00_6202 = BgL_res3726z00_6205;
						}
						{	/* Ast/walk.scm 144 */
							obj_t BgL_arg1725z00_6203;

							BgL_arg1725z00_6203 =
								PROCEDURE_REF(BGl_walk4za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 144 */
								int BgL_offsetz00_6207;

								BgL_offsetz00_6207 = (int) (BgL_objzd2classzd2numz00_6202);
								{	/* Ast/walk.scm 144 */
									long BgL_offsetz00_6208;

									BgL_offsetz00_6208 =
										((long) (BgL_offsetz00_6207) - OBJECT_TYPE);
									{	/* Ast/walk.scm 144 */
										long BgL_modz00_6209;

										{	/* Ast/walk.scm 144 */
											int BgL_arg1727z00_6210;

											BgL_arg1727z00_6210 = (int) (((long) 16));
											{	/* Ast/walk.scm 144 */
												long BgL_res3729z00_6220;

												{	/* Ast/walk.scm 144 */
													long BgL_tmpz00_10502;

													BgL_tmpz00_10502 = (long) (BgL_arg1727z00_6210);
													BgL_res3729z00_6220 =
														(BgL_offsetz00_6208 / BgL_tmpz00_10502);
												}
												BgL_modz00_6209 = BgL_res3729z00_6220;
										}}
										{	/* Ast/walk.scm 144 */
											long BgL_restz00_6211;

											{	/* Ast/walk.scm 144 */
												int BgL_arg1726z00_6212;

												BgL_arg1726z00_6212 = (int) (((long) 16));
												{	/* Ast/walk.scm 144 */
													long BgL_res3731z00_6224;

													{	/* Ast/walk.scm 144 */
														long BgL_tmpz00_10506;

														BgL_tmpz00_10506 = (long) (BgL_arg1726z00_6212);
														BgL_res3731z00_6224 =
															(BgL_offsetz00_6208 % BgL_tmpz00_10506);
													}
													BgL_restz00_6211 = BgL_res3731z00_6224;
											}}
											{	/* Ast/walk.scm 144 */

												{	/* Ast/walk.scm 144 */
													obj_t BgL_bucketz00_6213;

													BgL_bucketz00_6213 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6203), BgL_modz00_6209);
													BgL_res3732z00_6229 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6213), BgL_restz00_6211);
					}}}}}}}}
					BgL_method1646z00_2442 = BgL_res3732z00_6229;
				}
				return
					PROCEDURE_ENTRY(BgL_method1646z00_2442) (BgL_method1646z00_2442,
					((obj_t) BgL_nz00_37), BgL_pz00_38, BgL_arg0z00_39, BgL_arg1z00_40,
					BgL_arg2z00_41, BgL_arg3z00_42, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk4* */
	obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t BgL_envz00_7189,
		obj_t BgL_nz00_7190, obj_t BgL_pz00_7191, obj_t BgL_arg0z00_7192,
		obj_t BgL_arg1z00_7193, obj_t BgL_arg2z00_7194, obj_t BgL_arg3z00_7195)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 144 */
			return
				BGl_walk4za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7190), BgL_pz00_7191, BgL_arg0z00_7192,
				BgL_arg1z00_7193, BgL_arg2z00_7194, BgL_arg3z00_7195);
		}
		BGL_FUNCTION_END;
	}



/* walk0! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_43,
		obj_t BgL_pz00_44)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 148 */
				obj_t BgL_method1648z00_2443;

				{	/* Ast/walk.scm 148 */
					obj_t BgL_res3739z00_6258;

					{	/* Ast/walk.scm 148 */
						long BgL_objzd2classzd2numz00_6231;

						{	/* Ast/walk.scm 148 */
							long BgL_res3733z00_6234;

							BgL_res3733z00_6234 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_43));
							BgL_objzd2classzd2numz00_6231 = BgL_res3733z00_6234;
						}
						{	/* Ast/walk.scm 148 */
							obj_t BgL_arg1725z00_6232;

							BgL_arg1725z00_6232 =
								PROCEDURE_REF(BGl_walk0z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 148 */
								int BgL_offsetz00_6236;

								BgL_offsetz00_6236 = (int) (BgL_objzd2classzd2numz00_6231);
								{	/* Ast/walk.scm 148 */
									long BgL_offsetz00_6237;

									BgL_offsetz00_6237 =
										((long) (BgL_offsetz00_6236) - OBJECT_TYPE);
									{	/* Ast/walk.scm 148 */
										long BgL_modz00_6238;

										{	/* Ast/walk.scm 148 */
											int BgL_arg1727z00_6239;

											BgL_arg1727z00_6239 = (int) (((long) 16));
											{	/* Ast/walk.scm 148 */
												long BgL_res3736z00_6249;

												{	/* Ast/walk.scm 148 */
													long BgL_tmpz00_10533;

													BgL_tmpz00_10533 = (long) (BgL_arg1727z00_6239);
													BgL_res3736z00_6249 =
														(BgL_offsetz00_6237 / BgL_tmpz00_10533);
												}
												BgL_modz00_6238 = BgL_res3736z00_6249;
										}}
										{	/* Ast/walk.scm 148 */
											long BgL_restz00_6240;

											{	/* Ast/walk.scm 148 */
												int BgL_arg1726z00_6241;

												BgL_arg1726z00_6241 = (int) (((long) 16));
												{	/* Ast/walk.scm 148 */
													long BgL_res3738z00_6253;

													{	/* Ast/walk.scm 148 */
														long BgL_tmpz00_10537;

														BgL_tmpz00_10537 = (long) (BgL_arg1726z00_6241);
														BgL_res3738z00_6253 =
															(BgL_offsetz00_6237 % BgL_tmpz00_10537);
													}
													BgL_restz00_6240 = BgL_res3738z00_6253;
											}}
											{	/* Ast/walk.scm 148 */

												{	/* Ast/walk.scm 148 */
													obj_t BgL_bucketz00_6242;

													BgL_bucketz00_6242 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6232), BgL_modz00_6238);
													BgL_res3739z00_6258 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6242), BgL_restz00_6240);
					}}}}}}}}
					BgL_method1648z00_2443 = BgL_res3739z00_6258;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1648z00_2443) (BgL_method1648z00_2443,
						((obj_t) BgL_nz00_43), BgL_pz00_44, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0! */
	BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t BgL_envz00_7196,
		obj_t BgL_nz00_7197, obj_t BgL_pz00_7198)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 148 */
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7197), BgL_pz00_7198);
		}
		BGL_FUNCTION_END;
	}



/* walk1! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_45,
		obj_t BgL_pz00_46, obj_t BgL_arg0z00_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 151 */
				obj_t BgL_method1650z00_2444;

				{	/* Ast/walk.scm 151 */
					obj_t BgL_res3746z00_6287;

					{	/* Ast/walk.scm 151 */
						long BgL_objzd2classzd2numz00_6260;

						{	/* Ast/walk.scm 151 */
							long BgL_res3740z00_6263;

							BgL_res3740z00_6263 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_45));
							BgL_objzd2classzd2numz00_6260 = BgL_res3740z00_6263;
						}
						{	/* Ast/walk.scm 151 */
							obj_t BgL_arg1725z00_6261;

							BgL_arg1725z00_6261 =
								PROCEDURE_REF(BGl_walk1z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 151 */
								int BgL_offsetz00_6265;

								BgL_offsetz00_6265 = (int) (BgL_objzd2classzd2numz00_6260);
								{	/* Ast/walk.scm 151 */
									long BgL_offsetz00_6266;

									BgL_offsetz00_6266 =
										((long) (BgL_offsetz00_6265) - OBJECT_TYPE);
									{	/* Ast/walk.scm 151 */
										long BgL_modz00_6267;

										{	/* Ast/walk.scm 151 */
											int BgL_arg1727z00_6268;

											BgL_arg1727z00_6268 = (int) (((long) 16));
											{	/* Ast/walk.scm 151 */
												long BgL_res3743z00_6278;

												{	/* Ast/walk.scm 151 */
													long BgL_tmpz00_10561;

													BgL_tmpz00_10561 = (long) (BgL_arg1727z00_6268);
													BgL_res3743z00_6278 =
														(BgL_offsetz00_6266 / BgL_tmpz00_10561);
												}
												BgL_modz00_6267 = BgL_res3743z00_6278;
										}}
										{	/* Ast/walk.scm 151 */
											long BgL_restz00_6269;

											{	/* Ast/walk.scm 151 */
												int BgL_arg1726z00_6270;

												BgL_arg1726z00_6270 = (int) (((long) 16));
												{	/* Ast/walk.scm 151 */
													long BgL_res3745z00_6282;

													{	/* Ast/walk.scm 151 */
														long BgL_tmpz00_10565;

														BgL_tmpz00_10565 = (long) (BgL_arg1726z00_6270);
														BgL_res3745z00_6282 =
															(BgL_offsetz00_6266 % BgL_tmpz00_10565);
													}
													BgL_restz00_6269 = BgL_res3745z00_6282;
											}}
											{	/* Ast/walk.scm 151 */

												{	/* Ast/walk.scm 151 */
													obj_t BgL_bucketz00_6271;

													BgL_bucketz00_6271 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6261), BgL_modz00_6267);
													BgL_res3746z00_6287 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6271), BgL_restz00_6269);
					}}}}}}}}
					BgL_method1650z00_2444 = BgL_res3746z00_6287;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1650z00_2444) (BgL_method1650z00_2444,
						((obj_t) BgL_nz00_45), BgL_pz00_46, BgL_arg0z00_47, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1! */
	BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t BgL_envz00_7199,
		obj_t BgL_nz00_7200, obj_t BgL_pz00_7201, obj_t BgL_arg0z00_7202)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 151 */
			return
				BGl_walk1z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7200), BgL_pz00_7201, BgL_arg0z00_7202);
		}
		BGL_FUNCTION_END;
	}



/* walk2! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_48,
		obj_t BgL_pz00_49, obj_t BgL_arg0z00_50, obj_t BgL_arg1z00_51)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 154 */
				obj_t BgL_method1652z00_2445;

				{	/* Ast/walk.scm 154 */
					obj_t BgL_res3753z00_6316;

					{	/* Ast/walk.scm 154 */
						long BgL_objzd2classzd2numz00_6289;

						{	/* Ast/walk.scm 154 */
							long BgL_res3747z00_6292;

							BgL_res3747z00_6292 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_48));
							BgL_objzd2classzd2numz00_6289 = BgL_res3747z00_6292;
						}
						{	/* Ast/walk.scm 154 */
							obj_t BgL_arg1725z00_6290;

							BgL_arg1725z00_6290 =
								PROCEDURE_REF(BGl_walk2z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 154 */
								int BgL_offsetz00_6294;

								BgL_offsetz00_6294 = (int) (BgL_objzd2classzd2numz00_6289);
								{	/* Ast/walk.scm 154 */
									long BgL_offsetz00_6295;

									BgL_offsetz00_6295 =
										((long) (BgL_offsetz00_6294) - OBJECT_TYPE);
									{	/* Ast/walk.scm 154 */
										long BgL_modz00_6296;

										{	/* Ast/walk.scm 154 */
											int BgL_arg1727z00_6297;

											BgL_arg1727z00_6297 = (int) (((long) 16));
											{	/* Ast/walk.scm 154 */
												long BgL_res3750z00_6307;

												{	/* Ast/walk.scm 154 */
													long BgL_tmpz00_10590;

													BgL_tmpz00_10590 = (long) (BgL_arg1727z00_6297);
													BgL_res3750z00_6307 =
														(BgL_offsetz00_6295 / BgL_tmpz00_10590);
												}
												BgL_modz00_6296 = BgL_res3750z00_6307;
										}}
										{	/* Ast/walk.scm 154 */
											long BgL_restz00_6298;

											{	/* Ast/walk.scm 154 */
												int BgL_arg1726z00_6299;

												BgL_arg1726z00_6299 = (int) (((long) 16));
												{	/* Ast/walk.scm 154 */
													long BgL_res3752z00_6311;

													{	/* Ast/walk.scm 154 */
														long BgL_tmpz00_10594;

														BgL_tmpz00_10594 = (long) (BgL_arg1726z00_6299);
														BgL_res3752z00_6311 =
															(BgL_offsetz00_6295 % BgL_tmpz00_10594);
													}
													BgL_restz00_6298 = BgL_res3752z00_6311;
											}}
											{	/* Ast/walk.scm 154 */

												{	/* Ast/walk.scm 154 */
													obj_t BgL_bucketz00_6300;

													BgL_bucketz00_6300 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6290), BgL_modz00_6296);
													BgL_res3753z00_6316 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6300), BgL_restz00_6298);
					}}}}}}}}
					BgL_method1652z00_2445 = BgL_res3753z00_6316;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1652z00_2445) (BgL_method1652z00_2445,
						((obj_t) BgL_nz00_48), BgL_pz00_49, BgL_arg0z00_50, BgL_arg1z00_51,
						BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2! */
	BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t BgL_envz00_7203,
		obj_t BgL_nz00_7204, obj_t BgL_pz00_7205, obj_t BgL_arg0z00_7206,
		obj_t BgL_arg1z00_7207)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 154 */
			return
				BGl_walk2z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7204), BgL_pz00_7205, BgL_arg0z00_7206,
				BgL_arg1z00_7207);
		}
		BGL_FUNCTION_END;
	}



/* walk3! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		obj_t BgL_pz00_53, obj_t BgL_arg0z00_54, obj_t BgL_arg1z00_55,
		obj_t BgL_arg2z00_56)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 157 */
				obj_t BgL_method1654z00_2446;

				{	/* Ast/walk.scm 157 */
					obj_t BgL_res3760z00_6345;

					{	/* Ast/walk.scm 157 */
						long BgL_objzd2classzd2numz00_6318;

						{	/* Ast/walk.scm 157 */
							long BgL_res3754z00_6321;

							BgL_res3754z00_6321 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
							BgL_objzd2classzd2numz00_6318 = BgL_res3754z00_6321;
						}
						{	/* Ast/walk.scm 157 */
							obj_t BgL_arg1725z00_6319;

							BgL_arg1725z00_6319 =
								PROCEDURE_REF(BGl_walk3z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 157 */
								int BgL_offsetz00_6323;

								BgL_offsetz00_6323 = (int) (BgL_objzd2classzd2numz00_6318);
								{	/* Ast/walk.scm 157 */
									long BgL_offsetz00_6324;

									BgL_offsetz00_6324 =
										((long) (BgL_offsetz00_6323) - OBJECT_TYPE);
									{	/* Ast/walk.scm 157 */
										long BgL_modz00_6325;

										{	/* Ast/walk.scm 157 */
											int BgL_arg1727z00_6326;

											BgL_arg1727z00_6326 = (int) (((long) 16));
											{	/* Ast/walk.scm 157 */
												long BgL_res3757z00_6336;

												{	/* Ast/walk.scm 157 */
													long BgL_tmpz00_10620;

													BgL_tmpz00_10620 = (long) (BgL_arg1727z00_6326);
													BgL_res3757z00_6336 =
														(BgL_offsetz00_6324 / BgL_tmpz00_10620);
												}
												BgL_modz00_6325 = BgL_res3757z00_6336;
										}}
										{	/* Ast/walk.scm 157 */
											long BgL_restz00_6327;

											{	/* Ast/walk.scm 157 */
												int BgL_arg1726z00_6328;

												BgL_arg1726z00_6328 = (int) (((long) 16));
												{	/* Ast/walk.scm 157 */
													long BgL_res3759z00_6340;

													{	/* Ast/walk.scm 157 */
														long BgL_tmpz00_10624;

														BgL_tmpz00_10624 = (long) (BgL_arg1726z00_6328);
														BgL_res3759z00_6340 =
															(BgL_offsetz00_6324 % BgL_tmpz00_10624);
													}
													BgL_restz00_6327 = BgL_res3759z00_6340;
											}}
											{	/* Ast/walk.scm 157 */

												{	/* Ast/walk.scm 157 */
													obj_t BgL_bucketz00_6329;

													BgL_bucketz00_6329 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6319), BgL_modz00_6325);
													BgL_res3760z00_6345 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6329), BgL_restz00_6327);
					}}}}}}}}
					BgL_method1654z00_2446 = BgL_res3760z00_6345;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1654z00_2446) (BgL_method1654z00_2446,
						((obj_t) BgL_nz00_52), BgL_pz00_53, BgL_arg0z00_54, BgL_arg1z00_55,
						BgL_arg2z00_56, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3! */
	BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t BgL_envz00_7208,
		obj_t BgL_nz00_7209, obj_t BgL_pz00_7210, obj_t BgL_arg0z00_7211,
		obj_t BgL_arg1z00_7212, obj_t BgL_arg2z00_7213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 157 */
			return
				BGl_walk3z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7209), BgL_pz00_7210, BgL_arg0z00_7211,
				BgL_arg1z00_7212, BgL_arg2z00_7213);
		}
		BGL_FUNCTION_END;
	}



/* walk4! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_57,
		obj_t BgL_pz00_58, obj_t BgL_arg0z00_59, obj_t BgL_arg1z00_60,
		obj_t BgL_arg2z00_61, obj_t BgL_arg3z00_62)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 160 */
				obj_t BgL_method1656z00_2447;

				{	/* Ast/walk.scm 160 */
					obj_t BgL_res3767z00_6374;

					{	/* Ast/walk.scm 160 */
						long BgL_objzd2classzd2numz00_6347;

						{	/* Ast/walk.scm 160 */
							long BgL_res3761z00_6350;

							BgL_res3761z00_6350 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_57));
							BgL_objzd2classzd2numz00_6347 = BgL_res3761z00_6350;
						}
						{	/* Ast/walk.scm 160 */
							obj_t BgL_arg1725z00_6348;

							BgL_arg1725z00_6348 =
								PROCEDURE_REF(BGl_walk4z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 160 */
								int BgL_offsetz00_6352;

								BgL_offsetz00_6352 = (int) (BgL_objzd2classzd2numz00_6347);
								{	/* Ast/walk.scm 160 */
									long BgL_offsetz00_6353;

									BgL_offsetz00_6353 =
										((long) (BgL_offsetz00_6352) - OBJECT_TYPE);
									{	/* Ast/walk.scm 160 */
										long BgL_modz00_6354;

										{	/* Ast/walk.scm 160 */
											int BgL_arg1727z00_6355;

											BgL_arg1727z00_6355 = (int) (((long) 16));
											{	/* Ast/walk.scm 160 */
												long BgL_res3764z00_6365;

												{	/* Ast/walk.scm 160 */
													long BgL_tmpz00_10651;

													BgL_tmpz00_10651 = (long) (BgL_arg1727z00_6355);
													BgL_res3764z00_6365 =
														(BgL_offsetz00_6353 / BgL_tmpz00_10651);
												}
												BgL_modz00_6354 = BgL_res3764z00_6365;
										}}
										{	/* Ast/walk.scm 160 */
											long BgL_restz00_6356;

											{	/* Ast/walk.scm 160 */
												int BgL_arg1726z00_6357;

												BgL_arg1726z00_6357 = (int) (((long) 16));
												{	/* Ast/walk.scm 160 */
													long BgL_res3766z00_6369;

													{	/* Ast/walk.scm 160 */
														long BgL_tmpz00_10655;

														BgL_tmpz00_10655 = (long) (BgL_arg1726z00_6357);
														BgL_res3766z00_6369 =
															(BgL_offsetz00_6353 % BgL_tmpz00_10655);
													}
													BgL_restz00_6356 = BgL_res3766z00_6369;
											}}
											{	/* Ast/walk.scm 160 */

												{	/* Ast/walk.scm 160 */
													obj_t BgL_bucketz00_6358;

													BgL_bucketz00_6358 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_6348), BgL_modz00_6354);
													BgL_res3767z00_6374 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6358), BgL_restz00_6356);
					}}}}}}}}
					BgL_method1656z00_2447 = BgL_res3767z00_6374;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1656z00_2447) (BgL_method1656z00_2447,
						((obj_t) BgL_nz00_57), BgL_pz00_58, BgL_arg0z00_59, BgL_arg1z00_60,
						BgL_arg2z00_61, BgL_arg3z00_62, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk4! */
	BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t BgL_envz00_7214,
		obj_t BgL_nz00_7215, obj_t BgL_pz00_7216, obj_t BgL_arg0z00_7217,
		obj_t BgL_arg1z00_7218, obj_t BgL_arg2z00_7219, obj_t BgL_arg3z00_7220)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 160 */
			return
				BGl_walk4z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7215), BgL_pz00_7216, BgL_arg0z00_7217,
				BgL_arg1z00_7218, BgL_arg2z00_7219, BgL_arg3z00_7220);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3897z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3898z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3899z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3900z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3901z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3902z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3903z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3904z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3905z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3906z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3907z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3908z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3909z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3910z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3911z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3912z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3913z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3914z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3915z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3916z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3917z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3918z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3919z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3920z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3921z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3922z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3923z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3924z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3925z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3926z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3927z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3928z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3929z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3930z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3931z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3932z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3933z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3934z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3935z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3936z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3937z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3938z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3939z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3940z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3941z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3942z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3943z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3944z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3945z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3946z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3947z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3948z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3949z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3950z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3951z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3952z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3953z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3954z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3955z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3956z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3957z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3958z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3959z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3960z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3961z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3962z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3963z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3964z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3965z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3966z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3967z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3968z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3969z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3970z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3971z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3972z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3973z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3974z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3975z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3976z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3977z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3978z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3979z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3980z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3981z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3982z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3983z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3984z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3985z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3986z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3987z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3988z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3989z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3990z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3991z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3992z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3993z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3994z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3995z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3996z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3997z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3998z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3999z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4000z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4001z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4002z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4003z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4004z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4005z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4006z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4007z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4008z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4009z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4010z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4011z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4012z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4013z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4014z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4015z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4016z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4017z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4018z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4019z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4020z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4021z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4022z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4023z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4024z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4025z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4026z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4027z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4028z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4029z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4030z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4031z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4032z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4033z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4034z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4035z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4036z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4037z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4038z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4039z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4040z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4041z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4042z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4043z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4044z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4045z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4046z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4047z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4048z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4049z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4050z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4051z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4052z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4053z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4054z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4055z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4056z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4057z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4058z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4059z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4060z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4061z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4062z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4063z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4064z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4065z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4066z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4067z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4068z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4069z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4070z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4071z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4072z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4073z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4074z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4075z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4076z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4077z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4078z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4079z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4080z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4081z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4082z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4083z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4084z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4085z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4086z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4087z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4088z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4089z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4090z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4091z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4092z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4093z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4094z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4095z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4096z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4097z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4098z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4099z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4100z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4101z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4102z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4103z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4104z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4105z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4106z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4107z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4108z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4109z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4110z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4111z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4112z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4113z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4114z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4115z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4116z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4117z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4118z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4119z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4120z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4121z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4122z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4123z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4124z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4125z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4126z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4127z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4128z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4129z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4130z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4131z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4132z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4133z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4134z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4135z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4136z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4137z00zzast_walkz00, BGl_string3896z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4138z00zzast_walkz00, BGl_string3895z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4139z00zzast_walkz00, BGl_string3894z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4140z00zzast_walkz00, BGl_string3893z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4141z00zzast_walkz00, BGl_string3891z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4142z00zzast_walkz00, BGl_string3890z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4143z00zzast_walkz00, BGl_string3889z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4144z00zzast_walkz00, BGl_string3888z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4145z00zzast_walkz00, BGl_string3887z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4146z00zzast_walkz00, BGl_string3886z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4147z00zzast_walkz00, BGl_string3885z00zzast_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4148z00zzast_walkz00, BGl_string3884z00zzast_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-let-var2168 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2168z70zzast_walkz00(obj_t
		BgL_envz00_7473, obj_t BgL_nz00_7474, obj_t BgL_pz00_7475,
		obj_t BgL_arg0z00_7476, obj_t BgL_arg1z00_7477, obj_t BgL_arg2z00_7478)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8769;

				BgL_fieldsz00_8769 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7474)))->BgL_bindingsz00);
			BgL_loopz00_8768:
				if (NULLP(BgL_fieldsz00_8769))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3571z00_8770;
							obj_t BgL_arg3572z00_8771;

							BgL_arg3571z00_8770 = CAR(((obj_t) BgL_fieldsz00_8769));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3574z00_8772;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8773;

									BgL_pairz00_8773 = CAR(((obj_t) BgL_fieldsz00_8769));
									BgL_arg3574z00_8772 = CDR(BgL_pairz00_8773);
								}
								BgL_arg3572z00_8771 =
									PROCEDURE_ENTRY(BgL_pz00_7475) (BgL_pz00_7475,
									BgL_arg3574z00_8772, BgL_arg0z00_7476, BgL_arg1z00_7477,
									BgL_arg2z00_7478, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_10941;

								BgL_tmpz00_10941 = ((obj_t) BgL_arg3571z00_8770);
								SET_CDR(BgL_tmpz00_10941, BgL_arg3572z00_8771);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3577z00_8774;

							BgL_arg3577z00_8774 = CDR(((obj_t) BgL_fieldsz00_8769));
							{
								obj_t BgL_fieldsz00_10946;

								BgL_fieldsz00_10946 = BgL_arg3577z00_8774;
								BgL_fieldsz00_8769 = BgL_fieldsz00_10946;
								goto BgL_loopz00_8768;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_10949;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3578z00_8775;

					BgL_arg3578z00_8775 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7474)))->BgL_bodyz00);
					BgL_auxz00_10949 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7475) (BgL_pz00_7475,
							((obj_t) BgL_arg3578z00_8775), BgL_arg0z00_7476, BgL_arg1z00_7477,
							BgL_arg2z00_7478, BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7474)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_10949), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7474));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-let-var2166 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2166z70zzast_walkz00(obj_t
		BgL_envz00_7479, obj_t BgL_nz00_7480, obj_t BgL_pz00_7481,
		obj_t BgL_arg0z00_7482, obj_t BgL_arg1z00_7483)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8778;

				BgL_fieldsz00_8778 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7480)))->BgL_bindingsz00);
			BgL_loopz00_8777:
				if (NULLP(BgL_fieldsz00_8778))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3561z00_8779;
							obj_t BgL_arg3562z00_8780;

							BgL_arg3561z00_8779 = CAR(((obj_t) BgL_fieldsz00_8778));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3563z00_8781;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8782;

									BgL_pairz00_8782 = CAR(((obj_t) BgL_fieldsz00_8778));
									BgL_arg3563z00_8781 = CDR(BgL_pairz00_8782);
								}
								BgL_arg3562z00_8780 =
									PROCEDURE_ENTRY(BgL_pz00_7481) (BgL_pz00_7481,
									BgL_arg3563z00_8781, BgL_arg0z00_7482, BgL_arg1z00_7483,
									BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_10978;

								BgL_tmpz00_10978 = ((obj_t) BgL_arg3561z00_8779);
								SET_CDR(BgL_tmpz00_10978, BgL_arg3562z00_8780);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3566z00_8783;

							BgL_arg3566z00_8783 = CDR(((obj_t) BgL_fieldsz00_8778));
							{
								obj_t BgL_fieldsz00_10983;

								BgL_fieldsz00_10983 = BgL_arg3566z00_8783;
								BgL_fieldsz00_8778 = BgL_fieldsz00_10983;
								goto BgL_loopz00_8777;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_10986;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3567z00_8784;

					BgL_arg3567z00_8784 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7480)))->BgL_bodyz00);
					BgL_auxz00_10986 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7481) (BgL_pz00_7481,
							((obj_t) BgL_arg3567z00_8784), BgL_arg0z00_7482, BgL_arg1z00_7483,
							BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7480)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_10986), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7480));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-let-var2164 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2164z70zzast_walkz00(obj_t
		BgL_envz00_7484, obj_t BgL_nz00_7485, obj_t BgL_pz00_7486,
		obj_t BgL_arg0z00_7487)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8787;

				BgL_fieldsz00_8787 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bindingsz00);
			BgL_loopz00_8786:
				if (NULLP(BgL_fieldsz00_8787))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3549z00_8788;
							obj_t BgL_arg3550z00_8789;

							BgL_arg3549z00_8788 = CAR(((obj_t) BgL_fieldsz00_8787));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3551z00_8790;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8791;

									BgL_pairz00_8791 = CAR(((obj_t) BgL_fieldsz00_8787));
									BgL_arg3551z00_8790 = CDR(BgL_pairz00_8791);
								}
								BgL_arg3550z00_8789 =
									PROCEDURE_ENTRY(BgL_pz00_7486) (BgL_pz00_7486,
									BgL_arg3551z00_8790, BgL_arg0z00_7487, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11013;

								BgL_tmpz00_11013 = ((obj_t) BgL_arg3549z00_8788);
								SET_CDR(BgL_tmpz00_11013, BgL_arg3550z00_8789);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3554z00_8792;

							BgL_arg3554z00_8792 = CDR(((obj_t) BgL_fieldsz00_8787));
							{
								obj_t BgL_fieldsz00_11018;

								BgL_fieldsz00_11018 = BgL_arg3554z00_8792;
								BgL_fieldsz00_8787 = BgL_fieldsz00_11018;
								goto BgL_loopz00_8786;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11021;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3556z00_8793;

					BgL_arg3556z00_8793 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bodyz00);
					BgL_auxz00_11021 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7486) (BgL_pz00_7486,
							((obj_t) BgL_arg3556z00_8793), BgL_arg0z00_7487, BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11021), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7485));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-let-var2162 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2162z70zzast_walkz00(obj_t
		BgL_envz00_7488, obj_t BgL_nz00_7489, obj_t BgL_pz00_7490)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8796;

				BgL_fieldsz00_8796 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7489)))->BgL_bindingsz00);
			BgL_loopz00_8795:
				if (NULLP(BgL_fieldsz00_8796))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3538z00_8797;
							obj_t BgL_arg3539z00_8798;

							BgL_arg3538z00_8797 = CAR(((obj_t) BgL_fieldsz00_8796));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3540z00_8799;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8800;

									BgL_pairz00_8800 = CAR(((obj_t) BgL_fieldsz00_8796));
									BgL_arg3540z00_8799 = CDR(BgL_pairz00_8800);
								}
								BgL_arg3539z00_8798 =
									PROCEDURE_ENTRY(BgL_pz00_7490) (BgL_pz00_7490,
									BgL_arg3540z00_8799, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11046;

								BgL_tmpz00_11046 = ((obj_t) BgL_arg3538z00_8797);
								SET_CDR(BgL_tmpz00_11046, BgL_arg3539z00_8798);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3543z00_8801;

							BgL_arg3543z00_8801 = CDR(((obj_t) BgL_fieldsz00_8796));
							{
								obj_t BgL_fieldsz00_11051;

								BgL_fieldsz00_11051 = BgL_arg3543z00_8801;
								BgL_fieldsz00_8796 = BgL_fieldsz00_11051;
								goto BgL_loopz00_8795;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11054;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3544z00_8802;

					BgL_arg3544z00_8802 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7489)))->BgL_bodyz00);
					BgL_auxz00_11054 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7490) (BgL_pz00_7490,
							((obj_t) BgL_arg3544z00_8802), BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7489)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11054), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7489));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-let-var2160 */
	obj_t BGl_z62walk3za2zd2letzd2var2160zc0zzast_walkz00(obj_t BgL_envz00_7491,
		obj_t BgL_nz00_7492, obj_t BgL_pz00_7493, obj_t BgL_arg0z00_7494,
		obj_t BgL_arg1z00_7495, obj_t BgL_arg2z00_7496)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4150z00_8807;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3524z00_8804;
					obj_t BgL_arg3525z00_8805;

					BgL_arg3524z00_8804 =
						BGl_zc3anonymousza33526ze3ze70z64zzast_walkz00(BgL_arg2z00_7496,
						BgL_arg1z00_7495, BgL_arg0z00_7494, BgL_pz00_7493,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7492)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3532z00_8806;

						BgL_arg3532z00_8806 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7492)))->BgL_bodyz00);
						BgL_arg3525z00_8805 =
							PROCEDURE_ENTRY(BgL_pz00_7493) (BgL_pz00_7493,
							((obj_t) BgL_arg3532z00_8806), BgL_arg0z00_7494, BgL_arg1z00_7495,
							BgL_arg2z00_7496, BEOA);
					}
					BgL_res4150z00_8807 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3524z00_8804,
						BgL_arg3525z00_8805);
				}
				return BgL_res4150z00_8807;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3526>~0 */
	obj_t BGl_zc3anonymousza33526ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8676,
		obj_t BgL_arg1z00_8675, obj_t BgL_arg0z00_8674, obj_t BgL_pz00_8673,
		obj_t BgL_l1625z00_5609)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1625z00_5609))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3528z00_5612;
					obj_t BgL_arg3529z00_5613;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5614;

						BgL_fz00_5614 = CAR(((obj_t) BgL_l1625z00_5609));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3530z00_5615;

							BgL_arg3530z00_5615 = CDR(((obj_t) BgL_fz00_5614));
							BgL_arg3528z00_5612 =
								PROCEDURE_ENTRY(BgL_pz00_8673) (BgL_pz00_8673,
								BgL_arg3530z00_5615, BgL_arg0z00_8674, BgL_arg1z00_8675,
								BgL_arg2z00_8676, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3531z00_5616;

						BgL_arg3531z00_5616 = CDR(((obj_t) BgL_l1625z00_5609));
						BgL_arg3529z00_5613 =
							BGl_zc3anonymousza33526ze3ze70z64zzast_walkz00(BgL_arg2z00_8676,
							BgL_arg1z00_8675, BgL_arg0z00_8674, BgL_pz00_8673,
							BgL_arg3531z00_5616);
					}
					return bgl_append2(BgL_arg3528z00_5612, BgL_arg3529z00_5613);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-let-var2158 */
	obj_t BGl_z62walk2za2zd2letzd2var2158zc0zzast_walkz00(obj_t BgL_envz00_7497,
		obj_t BgL_nz00_7498, obj_t BgL_pz00_7499, obj_t BgL_arg0z00_7500,
		obj_t BgL_arg1z00_7501)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4151z00_8812;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3514z00_8809;
					obj_t BgL_arg3515z00_8810;

					BgL_arg3514z00_8809 =
						BGl_zc3anonymousza33516ze3ze70z64zzast_walkz00(BgL_arg1z00_7501,
						BgL_arg0z00_7500, BgL_pz00_7499,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7498)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3523z00_8811;

						BgL_arg3523z00_8811 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7498)))->BgL_bodyz00);
						BgL_arg3515z00_8810 =
							PROCEDURE_ENTRY(BgL_pz00_7499) (BgL_pz00_7499,
							((obj_t) BgL_arg3523z00_8811), BgL_arg0z00_7500, BgL_arg1z00_7501,
							BEOA);
					}
					BgL_res4151z00_8812 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3514z00_8809,
						BgL_arg3515z00_8810);
				}
				return BgL_res4151z00_8812;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3516>~0 */
	obj_t BGl_zc3anonymousza33516ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8672,
		obj_t BgL_arg0z00_8671, obj_t BgL_pz00_8670, obj_t BgL_l1622z00_5586)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1622z00_5586))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3518z00_5589;
					obj_t BgL_arg3519z00_5590;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5591;

						BgL_fz00_5591 = CAR(((obj_t) BgL_l1622z00_5586));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3520z00_5592;

							BgL_arg3520z00_5592 = CDR(((obj_t) BgL_fz00_5591));
							BgL_arg3518z00_5589 =
								PROCEDURE_ENTRY(BgL_pz00_8670) (BgL_pz00_8670,
								BgL_arg3520z00_5592, BgL_arg0z00_8671, BgL_arg1z00_8672, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3521z00_5593;

						BgL_arg3521z00_5593 = CDR(((obj_t) BgL_l1622z00_5586));
						BgL_arg3519z00_5590 =
							BGl_zc3anonymousza33516ze3ze70z64zzast_walkz00(BgL_arg1z00_8672,
							BgL_arg0z00_8671, BgL_pz00_8670, BgL_arg3521z00_5593);
					}
					return bgl_append2(BgL_arg3518z00_5589, BgL_arg3519z00_5590);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-let-var2156 */
	obj_t BGl_z62walk1za2zd2letzd2var2156zc0zzast_walkz00(obj_t BgL_envz00_7502,
		obj_t BgL_nz00_7503, obj_t BgL_pz00_7504, obj_t BgL_arg0z00_7505)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4152z00_8817;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3503z00_8814;
					obj_t BgL_arg3504z00_8815;

					BgL_arg3503z00_8814 =
						BGl_zc3anonymousza33505ze3ze70z64zzast_walkz00(BgL_arg0z00_7505,
						BgL_pz00_7504,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7503)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3512z00_8816;

						BgL_arg3512z00_8816 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7503)))->BgL_bodyz00);
						BgL_arg3504z00_8815 =
							PROCEDURE_ENTRY(BgL_pz00_7504) (BgL_pz00_7504,
							((obj_t) BgL_arg3512z00_8816), BgL_arg0z00_7505, BEOA);
					}
					BgL_res4152z00_8817 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3503z00_8814,
						BgL_arg3504z00_8815);
				}
				return BgL_res4152z00_8817;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3505>~0 */
	obj_t BGl_zc3anonymousza33505ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8669,
		obj_t BgL_pz00_8668, obj_t BgL_l1619z00_5564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1619z00_5564))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3507z00_5567;
					obj_t BgL_arg3508z00_5568;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5569;

						BgL_fz00_5569 = CAR(((obj_t) BgL_l1619z00_5564));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3510z00_5570;

							BgL_arg3510z00_5570 = CDR(((obj_t) BgL_fz00_5569));
							BgL_arg3507z00_5567 =
								PROCEDURE_ENTRY(BgL_pz00_8668) (BgL_pz00_8668,
								BgL_arg3510z00_5570, BgL_arg0z00_8669, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3511z00_5571;

						BgL_arg3511z00_5571 = CDR(((obj_t) BgL_l1619z00_5564));
						BgL_arg3508z00_5568 =
							BGl_zc3anonymousza33505ze3ze70z64zzast_walkz00(BgL_arg0z00_8669,
							BgL_pz00_8668, BgL_arg3511z00_5571);
					}
					return bgl_append2(BgL_arg3507z00_5567, BgL_arg3508z00_5568);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-let-var2154 */
	obj_t BGl_z62walk0za2zd2letzd2var2154zc0zzast_walkz00(obj_t BgL_envz00_7506,
		obj_t BgL_nz00_7507, obj_t BgL_pz00_7508)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4153z00_8822;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3493z00_8819;
					obj_t BgL_arg3494z00_8820;

					BgL_arg3493z00_8819 =
						BGl_zc3anonymousza33495ze3ze70z64zzast_walkz00(BgL_pz00_7508,
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7507)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3502z00_8821;

						BgL_arg3502z00_8821 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7507)))->BgL_bodyz00);
						BgL_arg3494z00_8820 =
							PROCEDURE_ENTRY(BgL_pz00_7508) (BgL_pz00_7508,
							((obj_t) BgL_arg3502z00_8821), BEOA);
					}
					BgL_res4153z00_8822 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3493z00_8819,
						BgL_arg3494z00_8820);
				}
				return BgL_res4153z00_8822;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3495>~0 */
	obj_t BGl_zc3anonymousza33495ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8667,
		obj_t BgL_l1616z00_5543)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1616z00_5543))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3497z00_5546;
					obj_t BgL_arg3498z00_5547;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5548;

						BgL_fz00_5548 = CAR(((obj_t) BgL_l1616z00_5543));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3499z00_5549;

							BgL_arg3499z00_5549 = CDR(((obj_t) BgL_fz00_5548));
							BgL_arg3497z00_5546 =
								PROCEDURE_ENTRY(BgL_pz00_8667) (BgL_pz00_8667,
								BgL_arg3499z00_5549, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3501z00_5550;

						BgL_arg3501z00_5550 = CDR(((obj_t) BgL_l1616z00_5543));
						BgL_arg3498z00_5547 =
							BGl_zc3anonymousza33495ze3ze70z64zzast_walkz00(BgL_pz00_8667,
							BgL_arg3501z00_5550);
					}
					return bgl_append2(BgL_arg3497z00_5546, BgL_arg3498z00_5547);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-let-var2152 */
	obj_t BGl_z62walk3zd2letzd2var2152z62zzast_walkz00(obj_t BgL_envz00_7509,
		obj_t BgL_nz00_7510, obj_t BgL_pz00_7511, obj_t BgL_arg0z00_7512,
		obj_t BgL_arg1z00_7513, obj_t BgL_arg2z00_7514)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1614z00_8824;

				BgL_g1614z00_8824 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7510)))->BgL_bindingsz00);
				{
					obj_t BgL_l1612z00_8826;

					BgL_l1612z00_8826 = BgL_g1614z00_8824;
				BgL_zc3anonymousza33487ze3z83_8825:
					if (PAIRP(BgL_l1612z00_8826))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8827;

								BgL_fz00_8827 = CAR(BgL_l1612z00_8826);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3489z00_8828;

									BgL_arg3489z00_8828 = CDR(((obj_t) BgL_fz00_8827));
									PROCEDURE_ENTRY(BgL_pz00_7511) (BgL_pz00_7511,
										BgL_arg3489z00_8828, BgL_arg0z00_7512, BgL_arg1z00_7513,
										BgL_arg2z00_7514, BEOA);
								}
							}
							{
								obj_t BgL_l1612z00_11193;

								BgL_l1612z00_11193 = CDR(BgL_l1612z00_8826);
								BgL_l1612z00_8826 = BgL_l1612z00_11193;
								goto BgL_zc3anonymousza33487ze3z83_8825;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3492z00_8829;

				BgL_arg3492z00_8829 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7510)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7511) (BgL_pz00_7511,
					((obj_t) BgL_arg3492z00_8829), BgL_arg0z00_7512, BgL_arg1z00_7513,
					BgL_arg2z00_7514, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-let-var2150 */
	obj_t BGl_z62walk2zd2letzd2var2150z62zzast_walkz00(obj_t BgL_envz00_7515,
		obj_t BgL_nz00_7516, obj_t BgL_pz00_7517, obj_t BgL_arg0z00_7518,
		obj_t BgL_arg1z00_7519)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1611z00_8831;

				BgL_g1611z00_8831 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7516)))->BgL_bindingsz00);
				{
					obj_t BgL_l1609z00_8833;

					BgL_l1609z00_8833 = BgL_g1611z00_8831;
				BgL_zc3anonymousza33482ze3z83_8832:
					if (PAIRP(BgL_l1609z00_8833))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8834;

								BgL_fz00_8834 = CAR(BgL_l1609z00_8833);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3484z00_8835;

									BgL_arg3484z00_8835 = CDR(((obj_t) BgL_fz00_8834));
									PROCEDURE_ENTRY(BgL_pz00_7517) (BgL_pz00_7517,
										BgL_arg3484z00_8835, BgL_arg0z00_7518, BgL_arg1z00_7519,
										BEOA);
								}
							}
							{
								obj_t BgL_l1609z00_11218;

								BgL_l1609z00_11218 = CDR(BgL_l1609z00_8833);
								BgL_l1609z00_8833 = BgL_l1609z00_11218;
								goto BgL_zc3anonymousza33482ze3z83_8832;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3486z00_8836;

				BgL_arg3486z00_8836 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7516)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7517) (BgL_pz00_7517,
					((obj_t) BgL_arg3486z00_8836), BgL_arg0z00_7518, BgL_arg1z00_7519,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-let-var2148 */
	obj_t BGl_z62walk1zd2letzd2var2148z62zzast_walkz00(obj_t BgL_envz00_7520,
		obj_t BgL_nz00_7521, obj_t BgL_pz00_7522, obj_t BgL_arg0z00_7523)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1608z00_8838;

				BgL_g1608z00_8838 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7521)))->BgL_bindingsz00);
				{
					obj_t BgL_l1606z00_8840;

					BgL_l1606z00_8840 = BgL_g1608z00_8838;
				BgL_zc3anonymousza33477ze3z83_8839:
					if (PAIRP(BgL_l1606z00_8840))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8841;

								BgL_fz00_8841 = CAR(BgL_l1606z00_8840);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3479z00_8842;

									BgL_arg3479z00_8842 = CDR(((obj_t) BgL_fz00_8841));
									PROCEDURE_ENTRY(BgL_pz00_7522) (BgL_pz00_7522,
										BgL_arg3479z00_8842, BgL_arg0z00_7523, BEOA);
								}
							}
							{
								obj_t BgL_l1606z00_11241;

								BgL_l1606z00_11241 = CDR(BgL_l1606z00_8840);
								BgL_l1606z00_8840 = BgL_l1606z00_11241;
								goto BgL_zc3anonymousza33477ze3z83_8839;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3481z00_8843;

				BgL_arg3481z00_8843 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7521)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7522) (BgL_pz00_7522,
					((obj_t) BgL_arg3481z00_8843), BgL_arg0z00_7523, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-let-var2146 */
	obj_t BGl_z62walk0zd2letzd2var2146z62zzast_walkz00(obj_t BgL_envz00_7524,
		obj_t BgL_nz00_7525, obj_t BgL_pz00_7526)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1605z00_8845;

				BgL_g1605z00_8845 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7525)))->BgL_bindingsz00);
				{
					obj_t BgL_l1603z00_8847;

					BgL_l1603z00_8847 = BgL_g1605z00_8845;
				BgL_zc3anonymousza33471ze3z83_8846:
					if (PAIRP(BgL_l1603z00_8847))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8848;

								BgL_fz00_8848 = CAR(BgL_l1603z00_8847);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3473z00_8849;

									BgL_arg3473z00_8849 = CDR(((obj_t) BgL_fz00_8848));
									PROCEDURE_ENTRY(BgL_pz00_7526) (BgL_pz00_7526,
										BgL_arg3473z00_8849, BEOA);
								}
							}
							{
								obj_t BgL_l1603z00_11262;

								BgL_l1603z00_11262 = CDR(BgL_l1603z00_8847);
								BgL_l1603z00_8847 = BgL_l1603z00_11262;
								goto BgL_zc3anonymousza33471ze3z83_8846;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3476z00_8850;

				BgL_arg3476z00_8850 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7525)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7526) (BgL_pz00_7526,
					((obj_t) BgL_arg3476z00_8850), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-let-fun2144 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2144z70zzast_walkz00(obj_t
		BgL_envz00_7527, obj_t BgL_nz00_7528, obj_t BgL_pz00_7529,
		obj_t BgL_arg0z00_7530, obj_t BgL_arg1z00_7531, obj_t BgL_arg2z00_7532)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8853;

				BgL_fieldsz00_8853 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7528)))->BgL_localsz00);
			BgL_loopz00_8852:
				if (NULLP(BgL_fieldsz00_8853))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8854;
							obj_t BgL_bz00_8855;

							BgL_vz00_8854 = CAR(((obj_t) BgL_fieldsz00_8853));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3466z00_8856;

								BgL_arg3466z00_8856 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8853)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8855 =
									PROCEDURE_ENTRY(BgL_pz00_7529) (BgL_pz00_7529,
									BgL_arg3466z00_8856, BgL_arg0z00_7530, BgL_arg1z00_7531,
									BgL_arg2z00_7532, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3465z00_8857;

								BgL_arg3465z00_8857 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8854)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3465z00_8857)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8855), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3469z00_8858;

							BgL_arg3469z00_8858 = CDR(((obj_t) BgL_fieldsz00_8853));
							{
								obj_t BgL_fieldsz00_11294;

								BgL_fieldsz00_11294 = BgL_arg3469z00_8858;
								BgL_fieldsz00_8853 = BgL_fieldsz00_11294;
								goto BgL_loopz00_8852;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11297;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3470z00_8859;

					BgL_arg3470z00_8859 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7528)))->BgL_bodyz00);
					BgL_auxz00_11297 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7529) (BgL_pz00_7529,
							((obj_t) BgL_arg3470z00_8859), BgL_arg0z00_7530, BgL_arg1z00_7531,
							BgL_arg2z00_7532, BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7528)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11297), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7528));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-let-fun2142 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2142z70zzast_walkz00(obj_t
		BgL_envz00_7533, obj_t BgL_nz00_7534, obj_t BgL_pz00_7535,
		obj_t BgL_arg0z00_7536, obj_t BgL_arg1z00_7537)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8862;

				BgL_fieldsz00_8862 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7534)))->BgL_localsz00);
			BgL_loopz00_8861:
				if (NULLP(BgL_fieldsz00_8862))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8863;
							obj_t BgL_bz00_8864;

							BgL_vz00_8863 = CAR(((obj_t) BgL_fieldsz00_8862));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3456z00_8865;

								BgL_arg3456z00_8865 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8862)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8864 =
									PROCEDURE_ENTRY(BgL_pz00_7535) (BgL_pz00_7535,
									BgL_arg3456z00_8865, BgL_arg0z00_7536, BgL_arg1z00_7537,
									BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3455z00_8866;

								BgL_arg3455z00_8866 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8863)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3455z00_8866)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8864), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3459z00_8867;

							BgL_arg3459z00_8867 = CDR(((obj_t) BgL_fieldsz00_8862));
							{
								obj_t BgL_fieldsz00_11335;

								BgL_fieldsz00_11335 = BgL_arg3459z00_8867;
								BgL_fieldsz00_8862 = BgL_fieldsz00_11335;
								goto BgL_loopz00_8861;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11338;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3460z00_8868;

					BgL_arg3460z00_8868 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7534)))->BgL_bodyz00);
					BgL_auxz00_11338 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7535) (BgL_pz00_7535,
							((obj_t) BgL_arg3460z00_8868), BgL_arg0z00_7536, BgL_arg1z00_7537,
							BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7534)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11338), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7534));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-let-fun2140 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2140z70zzast_walkz00(obj_t
		BgL_envz00_7538, obj_t BgL_nz00_7539, obj_t BgL_pz00_7540,
		obj_t BgL_arg0z00_7541)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8871;

				BgL_fieldsz00_8871 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_localsz00);
			BgL_loopz00_8870:
				if (NULLP(BgL_fieldsz00_8871))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8872;
							obj_t BgL_bz00_8873;

							BgL_vz00_8872 = CAR(((obj_t) BgL_fieldsz00_8871));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3447z00_8874;

								BgL_arg3447z00_8874 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8871)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8873 =
									PROCEDURE_ENTRY(BgL_pz00_7540) (BgL_pz00_7540,
									BgL_arg3447z00_8874, BgL_arg0z00_7541, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3446z00_8875;

								BgL_arg3446z00_8875 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8872)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3446z00_8875)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8873), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3450z00_8876;

							BgL_arg3450z00_8876 = CDR(((obj_t) BgL_fieldsz00_8871));
							{
								obj_t BgL_fieldsz00_11374;

								BgL_fieldsz00_11374 = BgL_arg3450z00_8876;
								BgL_fieldsz00_8871 = BgL_fieldsz00_11374;
								goto BgL_loopz00_8870;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11377;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3451z00_8877;

					BgL_arg3451z00_8877 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_bodyz00);
					BgL_auxz00_11377 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7540) (BgL_pz00_7540,
							((obj_t) BgL_arg3451z00_8877), BgL_arg0z00_7541, BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11377), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7539));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-let-fun2138 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2138z70zzast_walkz00(obj_t
		BgL_envz00_7542, obj_t BgL_nz00_7543, obj_t BgL_pz00_7544)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8880;

				BgL_fieldsz00_8880 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7543)))->BgL_localsz00);
			BgL_loopz00_8879:
				if (NULLP(BgL_fieldsz00_8880))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8881;
							obj_t BgL_bz00_8882;

							BgL_vz00_8881 = CAR(((obj_t) BgL_fieldsz00_8880));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3438z00_8883;

								BgL_arg3438z00_8883 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8880)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8882 =
									PROCEDURE_ENTRY(BgL_pz00_7544) (BgL_pz00_7544,
									BgL_arg3438z00_8883, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3437z00_8884;

								BgL_arg3437z00_8884 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8881)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3437z00_8884)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8882), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3441z00_8885;

							BgL_arg3441z00_8885 = CDR(((obj_t) BgL_fieldsz00_8880));
							{
								obj_t BgL_fieldsz00_11411;

								BgL_fieldsz00_11411 = BgL_arg3441z00_8885;
								BgL_fieldsz00_8880 = BgL_fieldsz00_11411;
								goto BgL_loopz00_8879;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11414;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3442z00_8886;

					BgL_arg3442z00_8886 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7543)))->BgL_bodyz00);
					BgL_auxz00_11414 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7544) (BgL_pz00_7544,
							((obj_t) BgL_arg3442z00_8886), BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7543)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11414), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7543));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-let-fun2136 */
	obj_t BGl_z62walk3za2zd2letzd2fun2136zc0zzast_walkz00(obj_t BgL_envz00_7545,
		obj_t BgL_nz00_7546, obj_t BgL_pz00_7547, obj_t BgL_arg0z00_7548,
		obj_t BgL_arg1z00_7549, obj_t BgL_arg2z00_7550)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4154z00_8891;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3424z00_8888;
					obj_t BgL_arg3425z00_8889;

					BgL_arg3424z00_8888 =
						BGl_zc3anonymousza33426ze3ze70z64zzast_walkz00(BgL_arg2z00_7550,
						BgL_arg1z00_7549, BgL_arg0z00_7548, BgL_pz00_7547,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7546)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3433z00_8890;

						BgL_arg3433z00_8890 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7546)))->BgL_bodyz00);
						BgL_arg3425z00_8889 =
							PROCEDURE_ENTRY(BgL_pz00_7547) (BgL_pz00_7547,
							((obj_t) BgL_arg3433z00_8890), BgL_arg0z00_7548, BgL_arg1z00_7549,
							BgL_arg2z00_7550, BEOA);
					}
					BgL_res4154z00_8891 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3424z00_8888,
						BgL_arg3425z00_8889);
				}
				return BgL_res4154z00_8891;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3426>~0 */
	obj_t BGl_zc3anonymousza33426ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8666,
		obj_t BgL_arg1z00_8665, obj_t BgL_arg0z00_8664, obj_t BgL_pz00_8663,
		obj_t BgL_l1601z00_5365)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1601z00_5365))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3428z00_5368;
					obj_t BgL_arg3429z00_5369;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5370;

						BgL_fz00_5370 = CAR(((obj_t) BgL_l1601z00_5365));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3430z00_5371;

							BgL_arg3430z00_5371 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5370)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3428z00_5368 =
								PROCEDURE_ENTRY(BgL_pz00_8663) (BgL_pz00_8663,
								BgL_arg3430z00_5371, BgL_arg0z00_8664, BgL_arg1z00_8665,
								BgL_arg2z00_8666, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3432z00_5374;

						BgL_arg3432z00_5374 = CDR(((obj_t) BgL_l1601z00_5365));
						BgL_arg3429z00_5369 =
							BGl_zc3anonymousza33426ze3ze70z64zzast_walkz00(BgL_arg2z00_8666,
							BgL_arg1z00_8665, BgL_arg0z00_8664, BgL_pz00_8663,
							BgL_arg3432z00_5374);
					}
					return bgl_append2(BgL_arg3428z00_5368, BgL_arg3429z00_5369);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-let-fun2134 */
	obj_t BGl_z62walk2za2zd2letzd2fun2134zc0zzast_walkz00(obj_t BgL_envz00_7551,
		obj_t BgL_nz00_7552, obj_t BgL_pz00_7553, obj_t BgL_arg0z00_7554,
		obj_t BgL_arg1z00_7555)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4155z00_8896;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3414z00_8893;
					obj_t BgL_arg3415z00_8894;

					BgL_arg3414z00_8893 =
						BGl_zc3anonymousza33416ze3ze70z64zzast_walkz00(BgL_arg1z00_7555,
						BgL_arg0z00_7554, BgL_pz00_7553,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7552)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3423z00_8895;

						BgL_arg3423z00_8895 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7552)))->BgL_bodyz00);
						BgL_arg3415z00_8894 =
							PROCEDURE_ENTRY(BgL_pz00_7553) (BgL_pz00_7553,
							((obj_t) BgL_arg3423z00_8895), BgL_arg0z00_7554, BgL_arg1z00_7555,
							BEOA);
					}
					BgL_res4155z00_8896 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3414z00_8893,
						BgL_arg3415z00_8894);
				}
				return BgL_res4155z00_8896;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3416>~0 */
	obj_t BGl_zc3anonymousza33416ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8662,
		obj_t BgL_arg0z00_8661, obj_t BgL_pz00_8660, obj_t BgL_l1598z00_5340)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1598z00_5340))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3418z00_5343;
					obj_t BgL_arg3419z00_5344;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5345;

						BgL_fz00_5345 = CAR(((obj_t) BgL_l1598z00_5340));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3420z00_5346;

							BgL_arg3420z00_5346 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5345)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3418z00_5343 =
								PROCEDURE_ENTRY(BgL_pz00_8660) (BgL_pz00_8660,
								BgL_arg3420z00_5346, BgL_arg0z00_8661, BgL_arg1z00_8662, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3422z00_5349;

						BgL_arg3422z00_5349 = CDR(((obj_t) BgL_l1598z00_5340));
						BgL_arg3419z00_5344 =
							BGl_zc3anonymousza33416ze3ze70z64zzast_walkz00(BgL_arg1z00_8662,
							BgL_arg0z00_8661, BgL_pz00_8660, BgL_arg3422z00_5349);
					}
					return bgl_append2(BgL_arg3418z00_5343, BgL_arg3419z00_5344);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-let-fun2132 */
	obj_t BGl_z62walk1za2zd2letzd2fun2132zc0zzast_walkz00(obj_t BgL_envz00_7556,
		obj_t BgL_nz00_7557, obj_t BgL_pz00_7558, obj_t BgL_arg0z00_7559)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4156z00_8901;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3403z00_8898;
					obj_t BgL_arg3404z00_8899;

					BgL_arg3403z00_8898 =
						BGl_zc3anonymousza33405ze3ze70z64zzast_walkz00(BgL_arg0z00_7559,
						BgL_pz00_7558,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7557)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3413z00_8900;

						BgL_arg3413z00_8900 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7557)))->BgL_bodyz00);
						BgL_arg3404z00_8899 =
							PROCEDURE_ENTRY(BgL_pz00_7558) (BgL_pz00_7558,
							((obj_t) BgL_arg3413z00_8900), BgL_arg0z00_7559, BEOA);
					}
					BgL_res4156z00_8901 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3403z00_8898,
						BgL_arg3404z00_8899);
				}
				return BgL_res4156z00_8901;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3405>~0 */
	obj_t BGl_zc3anonymousza33405ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8659,
		obj_t BgL_pz00_8658, obj_t BgL_l1595z00_5316)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1595z00_5316))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3407z00_5319;
					obj_t BgL_arg3408z00_5320;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5321;

						BgL_fz00_5321 = CAR(((obj_t) BgL_l1595z00_5316));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3409z00_5322;

							BgL_arg3409z00_5322 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5321)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3407z00_5319 =
								PROCEDURE_ENTRY(BgL_pz00_8658) (BgL_pz00_8658,
								BgL_arg3409z00_5322, BgL_arg0z00_8659, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3412z00_5325;

						BgL_arg3412z00_5325 = CDR(((obj_t) BgL_l1595z00_5316));
						BgL_arg3408z00_5320 =
							BGl_zc3anonymousza33405ze3ze70z64zzast_walkz00(BgL_arg0z00_8659,
							BgL_pz00_8658, BgL_arg3412z00_5325);
					}
					return bgl_append2(BgL_arg3407z00_5319, BgL_arg3408z00_5320);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-let-fun2130 */
	obj_t BGl_z62walk0za2zd2letzd2fun2130zc0zzast_walkz00(obj_t BgL_envz00_7560,
		obj_t BgL_nz00_7561, obj_t BgL_pz00_7562)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4157z00_8906;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3392z00_8903;
					obj_t BgL_arg3393z00_8904;

					BgL_arg3392z00_8903 =
						BGl_zc3anonymousza33394ze3ze70z64zzast_walkz00(BgL_pz00_7562,
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7561)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3402z00_8905;

						BgL_arg3402z00_8905 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7561)))->BgL_bodyz00);
						BgL_arg3393z00_8904 =
							PROCEDURE_ENTRY(BgL_pz00_7562) (BgL_pz00_7562,
							((obj_t) BgL_arg3402z00_8905), BEOA);
					}
					BgL_res4157z00_8906 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3392z00_8903,
						BgL_arg3393z00_8904);
				}
				return BgL_res4157z00_8906;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3394>~0 */
	obj_t BGl_zc3anonymousza33394ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8657,
		obj_t BgL_l1592z00_5293)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1592z00_5293))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3397z00_5296;
					obj_t BgL_arg3398z00_5297;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5298;

						BgL_fz00_5298 = CAR(((obj_t) BgL_l1592z00_5293));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3399z00_5299;

							BgL_arg3399z00_5299 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5298)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3397z00_5296 =
								PROCEDURE_ENTRY(BgL_pz00_8657) (BgL_pz00_8657,
								BgL_arg3399z00_5299, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3401z00_5302;

						BgL_arg3401z00_5302 = CDR(((obj_t) BgL_l1592z00_5293));
						BgL_arg3398z00_5297 =
							BGl_zc3anonymousza33394ze3ze70z64zzast_walkz00(BgL_pz00_8657,
							BgL_arg3401z00_5302);
					}
					return bgl_append2(BgL_arg3397z00_5296, BgL_arg3398z00_5297);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-let-fun2128 */
	obj_t BGl_z62walk3zd2letzd2fun2128z62zzast_walkz00(obj_t BgL_envz00_7563,
		obj_t BgL_nz00_7564, obj_t BgL_pz00_7565, obj_t BgL_arg0z00_7566,
		obj_t BgL_arg1z00_7567, obj_t BgL_arg2z00_7568)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1590z00_8908;

				BgL_g1590z00_8908 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7564)))->BgL_localsz00);
				{
					obj_t BgL_l1588z00_8910;

					BgL_l1588z00_8910 = BgL_g1590z00_8908;
				BgL_zc3anonymousza33386ze3z83_8909:
					if (PAIRP(BgL_l1588z00_8910))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8911;

								BgL_fz00_8911 = CAR(BgL_l1588z00_8910);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3388z00_8912;

									BgL_arg3388z00_8912 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8911)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7565) (BgL_pz00_7565,
										BgL_arg3388z00_8912, BgL_arg0z00_7566, BgL_arg1z00_7567,
										BgL_arg2z00_7568, BEOA);
								}
							}
							{
								obj_t BgL_l1588z00_11563;

								BgL_l1588z00_11563 = CDR(BgL_l1588z00_8910);
								BgL_l1588z00_8910 = BgL_l1588z00_11563;
								goto BgL_zc3anonymousza33386ze3z83_8909;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3391z00_8913;

				BgL_arg3391z00_8913 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7564)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7565) (BgL_pz00_7565,
					((obj_t) BgL_arg3391z00_8913), BgL_arg0z00_7566, BgL_arg1z00_7567,
					BgL_arg2z00_7568, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-let-fun2126 */
	obj_t BGl_z62walk2zd2letzd2fun2126z62zzast_walkz00(obj_t BgL_envz00_7569,
		obj_t BgL_nz00_7570, obj_t BgL_pz00_7571, obj_t BgL_arg0z00_7572,
		obj_t BgL_arg1z00_7573)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1587z00_8915;

				BgL_g1587z00_8915 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7570)))->BgL_localsz00);
				{
					obj_t BgL_l1585z00_8917;

					BgL_l1585z00_8917 = BgL_g1587z00_8915;
				BgL_zc3anonymousza33380ze3z83_8916:
					if (PAIRP(BgL_l1585z00_8917))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8918;

								BgL_fz00_8918 = CAR(BgL_l1585z00_8917);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3382z00_8919;

									BgL_arg3382z00_8919 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8918)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7571) (BgL_pz00_7571,
										BgL_arg3382z00_8919, BgL_arg0z00_7572, BgL_arg1z00_7573,
										BEOA);
								}
							}
							{
								obj_t BgL_l1585z00_11590;

								BgL_l1585z00_11590 = CDR(BgL_l1585z00_8917);
								BgL_l1585z00_8917 = BgL_l1585z00_11590;
								goto BgL_zc3anonymousza33380ze3z83_8916;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3385z00_8920;

				BgL_arg3385z00_8920 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7570)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7571) (BgL_pz00_7571,
					((obj_t) BgL_arg3385z00_8920), BgL_arg0z00_7572, BgL_arg1z00_7573,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-let-fun2124 */
	obj_t BGl_z62walk1zd2letzd2fun2124z62zzast_walkz00(obj_t BgL_envz00_7574,
		obj_t BgL_nz00_7575, obj_t BgL_pz00_7576, obj_t BgL_arg0z00_7577)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1584z00_8922;

				BgL_g1584z00_8922 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7575)))->BgL_localsz00);
				{
					obj_t BgL_l1582z00_8924;

					BgL_l1582z00_8924 = BgL_g1584z00_8922;
				BgL_zc3anonymousza33373ze3z83_8923:
					if (PAIRP(BgL_l1582z00_8924))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8925;

								BgL_fz00_8925 = CAR(BgL_l1582z00_8924);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3376z00_8926;

									BgL_arg3376z00_8926 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8925)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7576) (BgL_pz00_7576,
										BgL_arg3376z00_8926, BgL_arg0z00_7577, BEOA);
								}
							}
							{
								obj_t BgL_l1582z00_11615;

								BgL_l1582z00_11615 = CDR(BgL_l1582z00_8924);
								BgL_l1582z00_8924 = BgL_l1582z00_11615;
								goto BgL_zc3anonymousza33373ze3z83_8923;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3379z00_8927;

				BgL_arg3379z00_8927 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7575)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7576) (BgL_pz00_7576,
					((obj_t) BgL_arg3379z00_8927), BgL_arg0z00_7577, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-let-fun2122 */
	obj_t BGl_z62walk0zd2letzd2fun2122z62zzast_walkz00(obj_t BgL_envz00_7578,
		obj_t BgL_nz00_7579, obj_t BgL_pz00_7580)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1581z00_8929;

				BgL_g1581z00_8929 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7579)))->BgL_localsz00);
				{
					obj_t BgL_l1579z00_8931;

					BgL_l1579z00_8931 = BgL_g1581z00_8929;
				BgL_zc3anonymousza33366ze3z83_8930:
					if (PAIRP(BgL_l1579z00_8931))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8932;

								BgL_fz00_8932 = CAR(BgL_l1579z00_8931);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3368z00_8933;

									BgL_arg3368z00_8933 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8932)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7580) (BgL_pz00_7580,
										BgL_arg3368z00_8933, BEOA);
								}
							}
							{
								obj_t BgL_l1579z00_11638;

								BgL_l1579z00_11638 = CDR(BgL_l1579z00_8931);
								BgL_l1579z00_8931 = BgL_l1579z00_11638;
								goto BgL_zc3anonymousza33366ze3z83_8930;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3372z00_8934;

				BgL_arg3372z00_8934 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7579)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7580) (BgL_pz00_7580,
					((obj_t) BgL_arg3372z00_8934), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-switch2120 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2switch2120za2zzast_walkz00(obj_t
		BgL_envz00_7581, obj_t BgL_nz00_7582, obj_t BgL_pz00_7583,
		obj_t BgL_arg0z00_7584, obj_t BgL_arg1z00_7585, obj_t BgL_arg2z00_7586)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11647;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3356z00_8936;

					BgL_arg3356z00_8936 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7582)))->BgL_testz00);
					BgL_auxz00_11647 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7583) (BgL_pz00_7583,
							((obj_t) BgL_arg3356z00_8936), BgL_arg0z00_7584, BgL_arg1z00_7585,
							BgL_arg2z00_7586, BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7582)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11647), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8938;

				BgL_fieldsz00_8938 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7582)))->BgL_clausesz00);
			BgL_loopz00_8937:
				if (NULLP(BgL_fieldsz00_8938))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3361z00_8939;
							obj_t BgL_arg3362z00_8940;

							BgL_arg3361z00_8939 = CAR(((obj_t) BgL_fieldsz00_8938));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3363z00_8941;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8942;

									BgL_pairz00_8942 = CAR(((obj_t) BgL_fieldsz00_8938));
									BgL_arg3363z00_8941 = CDR(BgL_pairz00_8942);
								}
								BgL_arg3362z00_8940 =
									PROCEDURE_ENTRY(BgL_pz00_7583) (BgL_pz00_7583,
									BgL_arg3363z00_8941, BgL_arg0z00_7584, BgL_arg1z00_7585,
									BgL_arg2z00_7586, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11675;

								BgL_tmpz00_11675 = ((obj_t) BgL_arg3361z00_8939);
								SET_CDR(BgL_tmpz00_11675, BgL_arg3362z00_8940);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3365z00_8943;

							BgL_arg3365z00_8943 = CDR(((obj_t) BgL_fieldsz00_8938));
							{
								obj_t BgL_fieldsz00_11680;

								BgL_fieldsz00_11680 = BgL_arg3365z00_8943;
								BgL_fieldsz00_8938 = BgL_fieldsz00_11680;
								goto BgL_loopz00_8937;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7582));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-switch2118 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2switch2118za2zzast_walkz00(obj_t
		BgL_envz00_7587, obj_t BgL_nz00_7588, obj_t BgL_pz00_7589,
		obj_t BgL_arg0z00_7590, obj_t BgL_arg1z00_7591)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11685;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3346z00_8945;

					BgL_arg3346z00_8945 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7588)))->BgL_testz00);
					BgL_auxz00_11685 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7589) (BgL_pz00_7589,
							((obj_t) BgL_arg3346z00_8945), BgL_arg0z00_7590, BgL_arg1z00_7591,
							BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7588)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11685), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8947;

				BgL_fieldsz00_8947 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7588)))->BgL_clausesz00);
			BgL_loopz00_8946:
				if (NULLP(BgL_fieldsz00_8947))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3350z00_8948;
							obj_t BgL_arg3351z00_8949;

							BgL_arg3350z00_8948 = CAR(((obj_t) BgL_fieldsz00_8947));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3352z00_8950;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8951;

									BgL_pairz00_8951 = CAR(((obj_t) BgL_fieldsz00_8947));
									BgL_arg3352z00_8950 = CDR(BgL_pairz00_8951);
								}
								BgL_arg3351z00_8949 =
									PROCEDURE_ENTRY(BgL_pz00_7589) (BgL_pz00_7589,
									BgL_arg3352z00_8950, BgL_arg0z00_7590, BgL_arg1z00_7591,
									BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11711;

								BgL_tmpz00_11711 = ((obj_t) BgL_arg3350z00_8948);
								SET_CDR(BgL_tmpz00_11711, BgL_arg3351z00_8949);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3355z00_8952;

							BgL_arg3355z00_8952 = CDR(((obj_t) BgL_fieldsz00_8947));
							{
								obj_t BgL_fieldsz00_11716;

								BgL_fieldsz00_11716 = BgL_arg3355z00_8952;
								BgL_fieldsz00_8947 = BgL_fieldsz00_11716;
								goto BgL_loopz00_8946;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7588));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-switch2116 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2switch2116za2zzast_walkz00(obj_t
		BgL_envz00_7592, obj_t BgL_nz00_7593, obj_t BgL_pz00_7594,
		obj_t BgL_arg0z00_7595)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11721;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3335z00_8954;

					BgL_arg3335z00_8954 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_testz00);
					BgL_auxz00_11721 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7594) (BgL_pz00_7594,
							((obj_t) BgL_arg3335z00_8954), BgL_arg0z00_7595, BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11721), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8956;

				BgL_fieldsz00_8956 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_clausesz00);
			BgL_loopz00_8955:
				if (NULLP(BgL_fieldsz00_8956))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3340z00_8957;
							obj_t BgL_arg3341z00_8958;

							BgL_arg3340z00_8957 = CAR(((obj_t) BgL_fieldsz00_8956));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3342z00_8959;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8960;

									BgL_pairz00_8960 = CAR(((obj_t) BgL_fieldsz00_8956));
									BgL_arg3342z00_8959 = CDR(BgL_pairz00_8960);
								}
								BgL_arg3341z00_8958 =
									PROCEDURE_ENTRY(BgL_pz00_7594) (BgL_pz00_7594,
									BgL_arg3342z00_8959, BgL_arg0z00_7595, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11745;

								BgL_tmpz00_11745 = ((obj_t) BgL_arg3340z00_8957);
								SET_CDR(BgL_tmpz00_11745, BgL_arg3341z00_8958);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3345z00_8961;

							BgL_arg3345z00_8961 = CDR(((obj_t) BgL_fieldsz00_8956));
							{
								obj_t BgL_fieldsz00_11750;

								BgL_fieldsz00_11750 = BgL_arg3345z00_8961;
								BgL_fieldsz00_8956 = BgL_fieldsz00_11750;
								goto BgL_loopz00_8955;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7593));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-switch2114 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2switch2114za2zzast_walkz00(obj_t
		BgL_envz00_7596, obj_t BgL_nz00_7597, obj_t BgL_pz00_7598)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11755;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3325z00_8963;

					BgL_arg3325z00_8963 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7597)))->BgL_testz00);
					BgL_auxz00_11755 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7598) (BgL_pz00_7598,
							((obj_t) BgL_arg3325z00_8963), BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7597)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11755), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8965;

				BgL_fieldsz00_8965 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7597)))->BgL_clausesz00);
			BgL_loopz00_8964:
				if (NULLP(BgL_fieldsz00_8965))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3329z00_8966;
							obj_t BgL_arg3330z00_8967;

							BgL_arg3329z00_8966 = CAR(((obj_t) BgL_fieldsz00_8965));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3331z00_8968;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8969;

									BgL_pairz00_8969 = CAR(((obj_t) BgL_fieldsz00_8965));
									BgL_arg3331z00_8968 = CDR(BgL_pairz00_8969);
								}
								BgL_arg3330z00_8967 =
									PROCEDURE_ENTRY(BgL_pz00_7598) (BgL_pz00_7598,
									BgL_arg3331z00_8968, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11777;

								BgL_tmpz00_11777 = ((obj_t) BgL_arg3329z00_8966);
								SET_CDR(BgL_tmpz00_11777, BgL_arg3330z00_8967);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3333z00_8970;

							BgL_arg3333z00_8970 = CDR(((obj_t) BgL_fieldsz00_8965));
							{
								obj_t BgL_fieldsz00_11782;

								BgL_fieldsz00_11782 = BgL_arg3333z00_8970;
								BgL_fieldsz00_8965 = BgL_fieldsz00_11782;
								goto BgL_loopz00_8964;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7597));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-switch2112 */
	obj_t BGl_z62walk3za2zd2switch2112z12zzast_walkz00(obj_t BgL_envz00_7599,
		obj_t BgL_nz00_7600, obj_t BgL_pz00_7601, obj_t BgL_arg0z00_7602,
		obj_t BgL_arg1z00_7603, obj_t BgL_arg2z00_7604)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4158z00_8975;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3316z00_8972;
					obj_t BgL_arg3317z00_8973;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3318z00_8974;

						BgL_arg3318z00_8974 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7600)))->BgL_testz00);
						BgL_arg3316z00_8972 =
							PROCEDURE_ENTRY(BgL_pz00_7601) (BgL_pz00_7601,
							((obj_t) BgL_arg3318z00_8974), BgL_arg0z00_7602, BgL_arg1z00_7603,
							BgL_arg2z00_7604, BEOA);
					}
					BgL_arg3317z00_8973 =
						BGl_zc3anonymousza33319ze3ze70z64zzast_walkz00(BgL_arg2z00_7604,
						BgL_arg1z00_7603, BgL_arg0z00_7602, BgL_pz00_7601,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7600)))->BgL_clausesz00));
					BgL_res4158z00_8975 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3316z00_8972,
						BgL_arg3317z00_8973);
				}
				return BgL_res4158z00_8975;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3319>~0 */
	obj_t BGl_zc3anonymousza33319ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8656,
		obj_t BgL_arg1z00_8655, obj_t BgL_arg0z00_8654, obj_t BgL_pz00_8653,
		obj_t BgL_l1576z00_5118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1576z00_5118))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3321z00_5121;
					obj_t BgL_arg3322z00_5122;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5123;

						BgL_fz00_5123 = CAR(((obj_t) BgL_l1576z00_5118));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3323z00_5124;

							BgL_arg3323z00_5124 = CDR(((obj_t) BgL_fz00_5123));
							BgL_arg3321z00_5121 =
								PROCEDURE_ENTRY(BgL_pz00_8653) (BgL_pz00_8653,
								BgL_arg3323z00_5124, BgL_arg0z00_8654, BgL_arg1z00_8655,
								BgL_arg2z00_8656, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3324z00_5125;

						BgL_arg3324z00_5125 = CDR(((obj_t) BgL_l1576z00_5118));
						BgL_arg3322z00_5122 =
							BGl_zc3anonymousza33319ze3ze70z64zzast_walkz00(BgL_arg2z00_8656,
							BgL_arg1z00_8655, BgL_arg0z00_8654, BgL_pz00_8653,
							BgL_arg3324z00_5125);
					}
					return bgl_append2(BgL_arg3321z00_5121, BgL_arg3322z00_5122);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-switch2110 */
	obj_t BGl_z62walk2za2zd2switch2110z12zzast_walkz00(obj_t BgL_envz00_7605,
		obj_t BgL_nz00_7606, obj_t BgL_pz00_7607, obj_t BgL_arg0z00_7608,
		obj_t BgL_arg1z00_7609)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4159z00_8980;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3306z00_8977;
					obj_t BgL_arg3307z00_8978;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3308z00_8979;

						BgL_arg3308z00_8979 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7606)))->BgL_testz00);
						BgL_arg3306z00_8977 =
							PROCEDURE_ENTRY(BgL_pz00_7607) (BgL_pz00_7607,
							((obj_t) BgL_arg3308z00_8979), BgL_arg0z00_7608, BgL_arg1z00_7609,
							BEOA);
					}
					BgL_arg3307z00_8978 =
						BGl_zc3anonymousza33309ze3ze70z64zzast_walkz00(BgL_arg1z00_7609,
						BgL_arg0z00_7608, BgL_pz00_7607,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7606)))->BgL_clausesz00));
					BgL_res4159z00_8980 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3306z00_8977,
						BgL_arg3307z00_8978);
				}
				return BgL_res4159z00_8980;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3309>~0 */
	obj_t BGl_zc3anonymousza33309ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8652,
		obj_t BgL_arg0z00_8651, obj_t BgL_pz00_8650, obj_t BgL_l1573z00_5095)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1573z00_5095))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3311z00_5098;
					obj_t BgL_arg3312z00_5099;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5100;

						BgL_fz00_5100 = CAR(((obj_t) BgL_l1573z00_5095));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3313z00_5101;

							BgL_arg3313z00_5101 = CDR(((obj_t) BgL_fz00_5100));
							BgL_arg3311z00_5098 =
								PROCEDURE_ENTRY(BgL_pz00_8650) (BgL_pz00_8650,
								BgL_arg3313z00_5101, BgL_arg0z00_8651, BgL_arg1z00_8652, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3314z00_5102;

						BgL_arg3314z00_5102 = CDR(((obj_t) BgL_l1573z00_5095));
						BgL_arg3312z00_5099 =
							BGl_zc3anonymousza33309ze3ze70z64zzast_walkz00(BgL_arg1z00_8652,
							BgL_arg0z00_8651, BgL_pz00_8650, BgL_arg3314z00_5102);
					}
					return bgl_append2(BgL_arg3311z00_5098, BgL_arg3312z00_5099);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-switch2108 */
	obj_t BGl_z62walk1za2zd2switch2108z12zzast_walkz00(obj_t BgL_envz00_7610,
		obj_t BgL_nz00_7611, obj_t BgL_pz00_7612, obj_t BgL_arg0z00_7613)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4160z00_8985;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3295z00_8982;
					obj_t BgL_arg3296z00_8983;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3297z00_8984;

						BgL_arg3297z00_8984 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7611)))->BgL_testz00);
						BgL_arg3295z00_8982 =
							PROCEDURE_ENTRY(BgL_pz00_7612) (BgL_pz00_7612,
							((obj_t) BgL_arg3297z00_8984), BgL_arg0z00_7613, BEOA);
					}
					BgL_arg3296z00_8983 =
						BGl_zc3anonymousza33298ze3ze70z64zzast_walkz00(BgL_arg0z00_7613,
						BgL_pz00_7612,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7611)))->BgL_clausesz00));
					BgL_res4160z00_8985 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3295z00_8982,
						BgL_arg3296z00_8983);
				}
				return BgL_res4160z00_8985;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3298>~0 */
	obj_t BGl_zc3anonymousza33298ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8649,
		obj_t BgL_pz00_8648, obj_t BgL_l1570z00_5073)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1570z00_5073))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3301z00_5076;
					obj_t BgL_arg3302z00_5077;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5078;

						BgL_fz00_5078 = CAR(((obj_t) BgL_l1570z00_5073));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3304z00_5079;

							BgL_arg3304z00_5079 = CDR(((obj_t) BgL_fz00_5078));
							BgL_arg3301z00_5076 =
								PROCEDURE_ENTRY(BgL_pz00_8648) (BgL_pz00_8648,
								BgL_arg3304z00_5079, BgL_arg0z00_8649, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3305z00_5080;

						BgL_arg3305z00_5080 = CDR(((obj_t) BgL_l1570z00_5073));
						BgL_arg3302z00_5077 =
							BGl_zc3anonymousza33298ze3ze70z64zzast_walkz00(BgL_arg0z00_8649,
							BgL_pz00_8648, BgL_arg3305z00_5080);
					}
					return bgl_append2(BgL_arg3301z00_5076, BgL_arg3302z00_5077);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-switch2106 */
	obj_t BGl_z62walk0za2zd2switch2106z12zzast_walkz00(obj_t BgL_envz00_7614,
		obj_t BgL_nz00_7615, obj_t BgL_pz00_7616)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4161z00_8990;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3285z00_8987;
					obj_t BgL_arg3287z00_8988;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3288z00_8989;

						BgL_arg3288z00_8989 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7615)))->BgL_testz00);
						BgL_arg3285z00_8987 =
							PROCEDURE_ENTRY(BgL_pz00_7616) (BgL_pz00_7616,
							((obj_t) BgL_arg3288z00_8989), BEOA);
					}
					BgL_arg3287z00_8988 =
						BGl_zc3anonymousza33289ze3ze70z64zzast_walkz00(BgL_pz00_7616,
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7615)))->BgL_clausesz00));
					BgL_res4161z00_8990 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3285z00_8987,
						BgL_arg3287z00_8988);
				}
				return BgL_res4161z00_8990;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:3289>~0 */
	obj_t BGl_zc3anonymousza33289ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8647,
		obj_t BgL_l1567z00_5052)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1567z00_5052))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3291z00_5055;
					obj_t BgL_arg3292z00_5056;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5057;

						BgL_fz00_5057 = CAR(((obj_t) BgL_l1567z00_5052));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3293z00_5058;

							BgL_arg3293z00_5058 = CDR(((obj_t) BgL_fz00_5057));
							BgL_arg3291z00_5055 =
								PROCEDURE_ENTRY(BgL_pz00_8647) (BgL_pz00_8647,
								BgL_arg3293z00_5058, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3294z00_5059;

						BgL_arg3294z00_5059 = CDR(((obj_t) BgL_l1567z00_5052));
						BgL_arg3292z00_5056 =
							BGl_zc3anonymousza33289ze3ze70z64zzast_walkz00(BgL_pz00_8647,
							BgL_arg3294z00_5059);
					}
					return bgl_append2(BgL_arg3291z00_5055, BgL_arg3292z00_5056);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-switch2104 */
	obj_t BGl_z62walk3zd2switch2104zb0zzast_walkz00(obj_t BgL_envz00_7617,
		obj_t BgL_nz00_7618, obj_t BgL_pz00_7619, obj_t BgL_arg0z00_7620,
		obj_t BgL_arg1z00_7621, obj_t BgL_arg2z00_7622)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3279z00_8992;

				BgL_arg3279z00_8992 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7618)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7619) (BgL_pz00_7619,
					((obj_t) BgL_arg3279z00_8992), BgL_arg0z00_7620, BgL_arg1z00_7621,
					BgL_arg2z00_7622, BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1565z00_8993;

				BgL_g1565z00_8993 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7618)))->BgL_clausesz00);
				{
					obj_t BgL_l1563z00_8995;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_11911;

						BgL_l1563z00_8995 = BgL_g1565z00_8993;
					BgL_zc3anonymousza33280ze3z83_8994:
						if (PAIRP(BgL_l1563z00_8995))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_8996;

									BgL_fz00_8996 = CAR(BgL_l1563z00_8995);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3282z00_8997;

										BgL_arg3282z00_8997 = CDR(((obj_t) BgL_fz00_8996));
										PROCEDURE_ENTRY(BgL_pz00_7619) (BgL_pz00_7619,
											BgL_arg3282z00_8997, BgL_arg0z00_7620, BgL_arg1z00_7621,
											BgL_arg2z00_7622, BEOA);
									}
								}
								{
									obj_t BgL_l1563z00_11924;

									BgL_l1563z00_11924 = CDR(BgL_l1563z00_8995);
									BgL_l1563z00_8995 = BgL_l1563z00_11924;
									goto BgL_zc3anonymousza33280ze3z83_8994;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_11911 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_11911);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-switch2102 */
	obj_t BGl_z62walk2zd2switch2102zb0zzast_walkz00(obj_t BgL_envz00_7623,
		obj_t BgL_nz00_7624, obj_t BgL_pz00_7625, obj_t BgL_arg0z00_7626,
		obj_t BgL_arg1z00_7627)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3274z00_8999;

				BgL_arg3274z00_8999 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7624)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7625) (BgL_pz00_7625,
					((obj_t) BgL_arg3274z00_8999), BgL_arg0z00_7626, BgL_arg1z00_7627,
					BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1562z00_9000;

				BgL_g1562z00_9000 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7624)))->BgL_clausesz00);
				{
					obj_t BgL_l1560z00_9002;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_11938;

						BgL_l1560z00_9002 = BgL_g1562z00_9000;
					BgL_zc3anonymousza33275ze3z83_9001:
						if (PAIRP(BgL_l1560z00_9002))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9003;

									BgL_fz00_9003 = CAR(BgL_l1560z00_9002);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3277z00_9004;

										BgL_arg3277z00_9004 = CDR(((obj_t) BgL_fz00_9003));
										PROCEDURE_ENTRY(BgL_pz00_7625) (BgL_pz00_7625,
											BgL_arg3277z00_9004, BgL_arg0z00_7626, BgL_arg1z00_7627,
											BEOA);
									}
								}
								{
									obj_t BgL_l1560z00_11950;

									BgL_l1560z00_11950 = CDR(BgL_l1560z00_9002);
									BgL_l1560z00_9002 = BgL_l1560z00_11950;
									goto BgL_zc3anonymousza33275ze3z83_9001;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_11938 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_11938);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-switch2100 */
	obj_t BGl_z62walk1zd2switch2100zb0zzast_walkz00(obj_t BgL_envz00_7628,
		obj_t BgL_nz00_7629, obj_t BgL_pz00_7630, obj_t BgL_arg0z00_7631)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3262z00_9006;

				BgL_arg3262z00_9006 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7629)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7630) (BgL_pz00_7630,
					((obj_t) BgL_arg3262z00_9006), BgL_arg0z00_7631, BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1559z00_9007;

				BgL_g1559z00_9007 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7629)))->BgL_clausesz00);
				{
					obj_t BgL_l1557z00_9009;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_11963;

						BgL_l1557z00_9009 = BgL_g1559z00_9007;
					BgL_zc3anonymousza33263ze3z83_9008:
						if (PAIRP(BgL_l1557z00_9009))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9010;

									BgL_fz00_9010 = CAR(BgL_l1557z00_9009);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3265z00_9011;

										BgL_arg3265z00_9011 = CDR(((obj_t) BgL_fz00_9010));
										PROCEDURE_ENTRY(BgL_pz00_7630) (BgL_pz00_7630,
											BgL_arg3265z00_9011, BgL_arg0z00_7631, BEOA);
									}
								}
								{
									obj_t BgL_l1557z00_11974;

									BgL_l1557z00_11974 = CDR(BgL_l1557z00_9009);
									BgL_l1557z00_9009 = BgL_l1557z00_11974;
									goto BgL_zc3anonymousza33263ze3z83_9008;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_11963 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_11963);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-switch2098 */
	obj_t BGl_z62walk0zd2switch2098zb0zzast_walkz00(obj_t BgL_envz00_7632,
		obj_t BgL_nz00_7633, obj_t BgL_pz00_7634)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3249z00_9013;

				BgL_arg3249z00_9013 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7633)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7634) (BgL_pz00_7634,
					((obj_t) BgL_arg3249z00_9013), BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1556z00_9014;

				BgL_g1556z00_9014 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7633)))->BgL_clausesz00);
				{
					obj_t BgL_l1554z00_9016;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_11986;

						BgL_l1554z00_9016 = BgL_g1556z00_9014;
					BgL_zc3anonymousza33250ze3z83_9015:
						if (PAIRP(BgL_l1554z00_9016))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9017;

									BgL_fz00_9017 = CAR(BgL_l1554z00_9016);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3253z00_9018;

										BgL_arg3253z00_9018 = CDR(((obj_t) BgL_fz00_9017));
										PROCEDURE_ENTRY(BgL_pz00_7634) (BgL_pz00_7634,
											BgL_arg3253z00_9018, BEOA);
									}
								}
								{
									obj_t BgL_l1554z00_11996;

									BgL_l1554z00_11996 = CDR(BgL_l1554z00_9016);
									BgL_l1554z00_9016 = BgL_l1554z00_11996;
									goto BgL_zc3anonymousza33250ze3z83_9015;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_11986 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_11986);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-sync2096 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sync2096za2zzast_walkz00(obj_t
		BgL_envz00_7635, obj_t BgL_nz00_7636, obj_t BgL_pz00_7637,
		obj_t BgL_arg0z00_7638, obj_t BgL_arg1z00_7639, obj_t BgL_arg2z00_7640)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_11999;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3246z00_9020;

					BgL_arg3246z00_9020 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_mutexz00);
					BgL_auxz00_11999 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7637) (BgL_pz00_7637,
							((obj_t) BgL_arg3246z00_9020), BgL_arg0z00_7638, BgL_arg1z00_7639,
							BgL_arg2z00_7640, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11999), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12013;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3247z00_9021;

					BgL_arg3247z00_9021 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_prelockz00);
					BgL_auxz00_12013 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7637) (BgL_pz00_7637,
							((obj_t) BgL_arg3247z00_9021), BgL_arg0z00_7638, BgL_arg1z00_7639,
							BgL_arg2z00_7640, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12013), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12027;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3248z00_9022;

					BgL_arg3248z00_9022 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_bodyz00);
					BgL_auxz00_12027 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7637) (BgL_pz00_7637,
							((obj_t) BgL_arg3248z00_9022), BgL_arg0z00_7638, BgL_arg1z00_7639,
							BgL_arg2z00_7640, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7636)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12027), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7636));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-sync2094 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sync2094za2zzast_walkz00(obj_t
		BgL_envz00_7641, obj_t BgL_nz00_7642, obj_t BgL_pz00_7643,
		obj_t BgL_arg0z00_7644, obj_t BgL_arg1z00_7645)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12043;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3243z00_9024;

					BgL_arg3243z00_9024 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_mutexz00);
					BgL_auxz00_12043 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7643) (BgL_pz00_7643,
							((obj_t) BgL_arg3243z00_9024), BgL_arg0z00_7644, BgL_arg1z00_7645,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12043), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12056;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3244z00_9025;

					BgL_arg3244z00_9025 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_prelockz00);
					BgL_auxz00_12056 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7643) (BgL_pz00_7643,
							((obj_t) BgL_arg3244z00_9025), BgL_arg0z00_7644, BgL_arg1z00_7645,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12056), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12069;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3245z00_9026;

					BgL_arg3245z00_9026 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_bodyz00);
					BgL_auxz00_12069 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7643) (BgL_pz00_7643,
							((obj_t) BgL_arg3245z00_9026), BgL_arg0z00_7644, BgL_arg1z00_7645,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7642)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12069), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7642));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-sync2092 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sync2092za2zzast_walkz00(obj_t
		BgL_envz00_7646, obj_t BgL_nz00_7647, obj_t BgL_pz00_7648,
		obj_t BgL_arg0z00_7649)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12084;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3240z00_9028;

					BgL_arg3240z00_9028 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_mutexz00);
					BgL_auxz00_12084 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7648) (BgL_pz00_7648,
							((obj_t) BgL_arg3240z00_9028), BgL_arg0z00_7649, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12084), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12096;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3241z00_9029;

					BgL_arg3241z00_9029 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_prelockz00);
					BgL_auxz00_12096 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7648) (BgL_pz00_7648,
							((obj_t) BgL_arg3241z00_9029), BgL_arg0z00_7649, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12096), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12108;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3242z00_9030;

					BgL_arg3242z00_9030 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_bodyz00);
					BgL_auxz00_12108 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7648) (BgL_pz00_7648,
							((obj_t) BgL_arg3242z00_9030), BgL_arg0z00_7649, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12108), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7647));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-sync2090 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sync2090za2zzast_walkz00(obj_t
		BgL_envz00_7650, obj_t BgL_nz00_7651, obj_t BgL_pz00_7652)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12122;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3234z00_9032;

					BgL_arg3234z00_9032 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_mutexz00);
					BgL_auxz00_12122 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7652) (BgL_pz00_7652,
							((obj_t) BgL_arg3234z00_9032), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12122), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12133;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3236z00_9033;

					BgL_arg3236z00_9033 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_prelockz00);
					BgL_auxz00_12133 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7652) (BgL_pz00_7652,
							((obj_t) BgL_arg3236z00_9033), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12133), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12144;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3237z00_9034;

					BgL_arg3237z00_9034 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_bodyz00);
					BgL_auxz00_12144 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7652) (BgL_pz00_7652,
							((obj_t) BgL_arg3237z00_9034), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7651)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12144), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7651));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-sync2088 */
	obj_t BGl_z62walk3za2zd2sync2088z12zzast_walkz00(obj_t BgL_envz00_7653,
		obj_t BgL_nz00_7654, obj_t BgL_pz00_7655, obj_t BgL_arg0z00_7656,
		obj_t BgL_arg1z00_7657, obj_t BgL_arg2z00_7658)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4162z00_9045;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3225z00_9036;
					obj_t BgL_arg3226z00_9037;
					obj_t BgL_arg3227z00_9038;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3231z00_9039;

						BgL_arg3231z00_9039 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7654)))->BgL_mutexz00);
						BgL_arg3225z00_9036 =
							PROCEDURE_ENTRY(BgL_pz00_7655) (BgL_pz00_7655,
							((obj_t) BgL_arg3231z00_9039), BgL_arg0z00_7656, BgL_arg1z00_7657,
							BgL_arg2z00_7658, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3232z00_9040;

						BgL_arg3232z00_9040 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7654)))->BgL_prelockz00);
						BgL_arg3226z00_9037 =
							PROCEDURE_ENTRY(BgL_pz00_7655) (BgL_pz00_7655,
							((obj_t) BgL_arg3232z00_9040), BgL_arg0z00_7656, BgL_arg1z00_7657,
							BgL_arg2z00_7658, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3233z00_9041;

						BgL_arg3233z00_9041 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7654)))->BgL_bodyz00);
						BgL_arg3227z00_9038 =
							PROCEDURE_ENTRY(BgL_pz00_7655) (BgL_pz00_7655,
							((obj_t) BgL_arg3233z00_9041), BgL_arg0z00_7656, BgL_arg1z00_7657,
							BgL_arg2z00_7658, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3228z00_9042;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3229z00_9043;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3230z00_9044;

								BgL_arg3230z00_9044 =
									MAKE_YOUNG_PAIR(BgL_arg3227z00_9038, BNIL);
								BgL_arg3229z00_9043 =
									MAKE_YOUNG_PAIR(BgL_arg3226z00_9037, BgL_arg3230z00_9044);
							}
							BgL_list3228z00_9042 =
								MAKE_YOUNG_PAIR(BgL_arg3225z00_9036, BgL_arg3229z00_9043);
						}
						BgL_res4162z00_9045 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3228z00_9042);
					}
				}
				return BgL_res4162z00_9045;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-sync2086 */
	obj_t BGl_z62walk2za2zd2sync2086z12zzast_walkz00(obj_t BgL_envz00_7659,
		obj_t BgL_nz00_7660, obj_t BgL_pz00_7661, obj_t BgL_arg0z00_7662,
		obj_t BgL_arg1z00_7663)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4163z00_9056;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3214z00_9047;
					obj_t BgL_arg3215z00_9048;
					obj_t BgL_arg3216z00_9049;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3221z00_9050;

						BgL_arg3221z00_9050 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7660)))->BgL_mutexz00);
						BgL_arg3214z00_9047 =
							PROCEDURE_ENTRY(BgL_pz00_7661) (BgL_pz00_7661,
							((obj_t) BgL_arg3221z00_9050), BgL_arg0z00_7662, BgL_arg1z00_7663,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3222z00_9051;

						BgL_arg3222z00_9051 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7660)))->BgL_prelockz00);
						BgL_arg3215z00_9048 =
							PROCEDURE_ENTRY(BgL_pz00_7661) (BgL_pz00_7661,
							((obj_t) BgL_arg3222z00_9051), BgL_arg0z00_7662, BgL_arg1z00_7663,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3223z00_9052;

						BgL_arg3223z00_9052 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7660)))->BgL_bodyz00);
						BgL_arg3216z00_9049 =
							PROCEDURE_ENTRY(BgL_pz00_7661) (BgL_pz00_7661,
							((obj_t) BgL_arg3223z00_9052), BgL_arg0z00_7662, BgL_arg1z00_7663,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3217z00_9053;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3218z00_9054;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3220z00_9055;

								BgL_arg3220z00_9055 =
									MAKE_YOUNG_PAIR(BgL_arg3216z00_9049, BNIL);
								BgL_arg3218z00_9054 =
									MAKE_YOUNG_PAIR(BgL_arg3215z00_9048, BgL_arg3220z00_9055);
							}
							BgL_list3217z00_9053 =
								MAKE_YOUNG_PAIR(BgL_arg3214z00_9047, BgL_arg3218z00_9054);
						}
						BgL_res4163z00_9056 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3217z00_9053);
					}
				}
				return BgL_res4163z00_9056;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-sync2084 */
	obj_t BGl_z62walk1za2zd2sync2084z12zzast_walkz00(obj_t BgL_envz00_7664,
		obj_t BgL_nz00_7665, obj_t BgL_pz00_7666, obj_t BgL_arg0z00_7667)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4164z00_9067;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3202z00_9058;
					obj_t BgL_arg3203z00_9059;
					obj_t BgL_arg3204z00_9060;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3211z00_9061;

						BgL_arg3211z00_9061 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_mutexz00);
						BgL_arg3202z00_9058 =
							PROCEDURE_ENTRY(BgL_pz00_7666) (BgL_pz00_7666,
							((obj_t) BgL_arg3211z00_9061), BgL_arg0z00_7667, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3212z00_9062;

						BgL_arg3212z00_9062 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_prelockz00);
						BgL_arg3203z00_9059 =
							PROCEDURE_ENTRY(BgL_pz00_7666) (BgL_pz00_7666,
							((obj_t) BgL_arg3212z00_9062), BgL_arg0z00_7667, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3213z00_9063;

						BgL_arg3213z00_9063 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_bodyz00);
						BgL_arg3204z00_9060 =
							PROCEDURE_ENTRY(BgL_pz00_7666) (BgL_pz00_7666,
							((obj_t) BgL_arg3213z00_9063), BgL_arg0z00_7667, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3205z00_9064;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3206z00_9065;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3208z00_9066;

								BgL_arg3208z00_9066 =
									MAKE_YOUNG_PAIR(BgL_arg3204z00_9060, BNIL);
								BgL_arg3206z00_9065 =
									MAKE_YOUNG_PAIR(BgL_arg3203z00_9059, BgL_arg3208z00_9066);
							}
							BgL_list3205z00_9064 =
								MAKE_YOUNG_PAIR(BgL_arg3202z00_9058, BgL_arg3206z00_9065);
						}
						BgL_res4164z00_9067 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3205z00_9064);
					}
				}
				return BgL_res4164z00_9067;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-sync2082 */
	obj_t BGl_z62walk0za2zd2sync2082z12zzast_walkz00(obj_t BgL_envz00_7668,
		obj_t BgL_nz00_7669, obj_t BgL_pz00_7670)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4165z00_9078;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3188z00_9069;
					obj_t BgL_arg3192z00_9070;
					obj_t BgL_arg3195z00_9071;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3199z00_9072;

						BgL_arg3199z00_9072 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7669)))->BgL_mutexz00);
						BgL_arg3188z00_9069 =
							PROCEDURE_ENTRY(BgL_pz00_7670) (BgL_pz00_7670,
							((obj_t) BgL_arg3199z00_9072), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3200z00_9073;

						BgL_arg3200z00_9073 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7669)))->BgL_prelockz00);
						BgL_arg3192z00_9070 =
							PROCEDURE_ENTRY(BgL_pz00_7670) (BgL_pz00_7670,
							((obj_t) BgL_arg3200z00_9073), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3201z00_9074;

						BgL_arg3201z00_9074 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7669)))->BgL_bodyz00);
						BgL_arg3195z00_9071 =
							PROCEDURE_ENTRY(BgL_pz00_7670) (BgL_pz00_7670,
							((obj_t) BgL_arg3201z00_9074), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3196z00_9075;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3197z00_9076;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3198z00_9077;

								BgL_arg3198z00_9077 =
									MAKE_YOUNG_PAIR(BgL_arg3195z00_9071, BNIL);
								BgL_arg3197z00_9076 =
									MAKE_YOUNG_PAIR(BgL_arg3192z00_9070, BgL_arg3198z00_9077);
							}
							BgL_list3196z00_9075 =
								MAKE_YOUNG_PAIR(BgL_arg3188z00_9069, BgL_arg3197z00_9076);
						}
						BgL_res4165z00_9078 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3196z00_9075);
					}
				}
				return BgL_res4165z00_9078;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-sync2080 */
	obj_t BGl_z62walk3zd2sync2080zb0zzast_walkz00(obj_t BgL_envz00_7671,
		obj_t BgL_nz00_7672, obj_t BgL_pz00_7673, obj_t BgL_arg0z00_7674,
		obj_t BgL_arg1z00_7675, obj_t BgL_arg2z00_7676)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3172z00_9080;

				BgL_arg3172z00_9080 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7672)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7673) (BgL_pz00_7673,
					((obj_t) BgL_arg3172z00_9080), BgL_arg0z00_7674, BgL_arg1z00_7675,
					BgL_arg2z00_7676, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3173z00_9081;

				BgL_arg3173z00_9081 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7672)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7673) (BgL_pz00_7673,
					((obj_t) BgL_arg3173z00_9081), BgL_arg0z00_7674, BgL_arg1z00_7675,
					BgL_arg2z00_7676, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3182z00_9082;

				BgL_arg3182z00_9082 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7672)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7673) (BgL_pz00_7673,
					((obj_t) BgL_arg3182z00_9082), BgL_arg0z00_7674, BgL_arg1z00_7675,
					BgL_arg2z00_7676, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-sync2078 */
	obj_t BGl_z62walk2zd2sync2078zb0zzast_walkz00(obj_t BgL_envz00_7677,
		obj_t BgL_nz00_7678, obj_t BgL_pz00_7679, obj_t BgL_arg0z00_7680,
		obj_t BgL_arg1z00_7681)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3168z00_9084;

				BgL_arg3168z00_9084 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7678)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7679) (BgL_pz00_7679,
					((obj_t) BgL_arg3168z00_9084), BgL_arg0z00_7680, BgL_arg1z00_7681,
					BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3169z00_9085;

				BgL_arg3169z00_9085 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7678)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7679) (BgL_pz00_7679,
					((obj_t) BgL_arg3169z00_9085), BgL_arg0z00_7680, BgL_arg1z00_7681,
					BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3170z00_9086;

				BgL_arg3170z00_9086 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7678)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7679) (BgL_pz00_7679,
					((obj_t) BgL_arg3170z00_9086), BgL_arg0z00_7680, BgL_arg1z00_7681,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-sync2076 */
	obj_t BGl_z62walk1zd2sync2076zb0zzast_walkz00(obj_t BgL_envz00_7682,
		obj_t BgL_nz00_7683, obj_t BgL_pz00_7684, obj_t BgL_arg0z00_7685)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3164z00_9088;

				BgL_arg3164z00_9088 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7684) (BgL_pz00_7684,
					((obj_t) BgL_arg3164z00_9088), BgL_arg0z00_7685, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3165z00_9089;

				BgL_arg3165z00_9089 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7684) (BgL_pz00_7684,
					((obj_t) BgL_arg3165z00_9089), BgL_arg0z00_7685, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3167z00_9090;

				BgL_arg3167z00_9090 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7684) (BgL_pz00_7684,
					((obj_t) BgL_arg3167z00_9090), BgL_arg0z00_7685, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-sync2074 */
	obj_t BGl_z62walk0zd2sync2074zb0zzast_walkz00(obj_t BgL_envz00_7686,
		obj_t BgL_nz00_7687, obj_t BgL_pz00_7688)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3161z00_9092;

				BgL_arg3161z00_9092 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7687)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7688) (BgL_pz00_7688,
					((obj_t) BgL_arg3161z00_9092), BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3162z00_9093;

				BgL_arg3162z00_9093 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7687)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7688) (BgL_pz00_7688,
					((obj_t) BgL_arg3162z00_9093), BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3163z00_9094;

				BgL_arg3163z00_9094 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7687)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7688) (BgL_pz00_7688,
					((obj_t) BgL_arg3163z00_9094), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-box-set!2072 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2setz122072z62zzast_walkz00(obj_t
		BgL_envz00_7689, obj_t BgL_nz00_7690, obj_t BgL_pz00_7691,
		obj_t BgL_arg0z00_7692, obj_t BgL_arg1z00_7693, obj_t BgL_arg2z00_7694)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12377;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3158z00_9096;

					BgL_arg3158z00_9096 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7690)))->BgL_varz00);
					BgL_auxz00_12377 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7691) (BgL_pz00_7691,
							((obj_t) BgL_arg3158z00_9096), BgL_arg0z00_7692, BgL_arg1z00_7693,
							BgL_arg2z00_7694, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7690)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12377), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12391;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3160z00_9097;

					BgL_arg3160z00_9097 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7690)))->BgL_valuez00);
					BgL_auxz00_12391 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7691) (BgL_pz00_7691,
							((obj_t) BgL_arg3160z00_9097), BgL_arg0z00_7692, BgL_arg1z00_7693,
							BgL_arg2z00_7694, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7690)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12391), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7690));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-box-set!2070 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2setz122070z62zzast_walkz00(obj_t
		BgL_envz00_7695, obj_t BgL_nz00_7696, obj_t BgL_pz00_7697,
		obj_t BgL_arg0z00_7698, obj_t BgL_arg1z00_7699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12407;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3156z00_9099;

					BgL_arg3156z00_9099 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7696)))->BgL_varz00);
					BgL_auxz00_12407 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7697) (BgL_pz00_7697,
							((obj_t) BgL_arg3156z00_9099), BgL_arg0z00_7698, BgL_arg1z00_7699,
							BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7696)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12407), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12420;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3157z00_9100;

					BgL_arg3157z00_9100 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7696)))->BgL_valuez00);
					BgL_auxz00_12420 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7697) (BgL_pz00_7697,
							((obj_t) BgL_arg3157z00_9100), BgL_arg0z00_7698, BgL_arg1z00_7699,
							BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7696)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12420), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7696));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-box-set!2068 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2setz122068z62zzast_walkz00(obj_t
		BgL_envz00_7700, obj_t BgL_nz00_7701, obj_t BgL_pz00_7702,
		obj_t BgL_arg0z00_7703)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12435;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3153z00_9102;

					BgL_arg3153z00_9102 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_varz00);
					BgL_auxz00_12435 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7702) (BgL_pz00_7702,
							((obj_t) BgL_arg3153z00_9102), BgL_arg0z00_7703, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12435), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12447;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3154z00_9103;

					BgL_arg3154z00_9103 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_valuez00);
					BgL_auxz00_12447 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7702) (BgL_pz00_7702,
							((obj_t) BgL_arg3154z00_9103), BgL_arg0z00_7703, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12447), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-box-set!2066 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2setz122066z62zzast_walkz00(obj_t
		BgL_envz00_7704, obj_t BgL_nz00_7705, obj_t BgL_pz00_7706)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12461;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3149z00_9105;

					BgL_arg3149z00_9105 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7705)))->BgL_varz00);
					BgL_auxz00_12461 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7706) (BgL_pz00_7706,
							((obj_t) BgL_arg3149z00_9105), BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7705)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12461), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12472;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3151z00_9106;

					BgL_arg3151z00_9106 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7705)))->BgL_valuez00);
					BgL_auxz00_12472 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7706) (BgL_pz00_7706,
							((obj_t) BgL_arg3151z00_9106), BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7705)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12472), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7705));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-box-set!2064 */
	obj_t BGl_z62walk3za2zd2boxzd2setz122064zd2zzast_walkz00(obj_t
		BgL_envz00_7707, obj_t BgL_nz00_7708, obj_t BgL_pz00_7709,
		obj_t BgL_arg0z00_7710, obj_t BgL_arg1z00_7711, obj_t BgL_arg2z00_7712)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4166z00_9112;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3143z00_9108;
					obj_t BgL_arg3146z00_9109;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3147z00_9110;

						BgL_arg3147z00_9110 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7708)))->BgL_varz00);
						BgL_arg3143z00_9108 =
							PROCEDURE_ENTRY(BgL_pz00_7709) (BgL_pz00_7709,
							((obj_t) BgL_arg3147z00_9110), BgL_arg0z00_7710, BgL_arg1z00_7711,
							BgL_arg2z00_7712, BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3148z00_9111;

						BgL_arg3148z00_9111 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7708)))->BgL_valuez00);
						BgL_arg3146z00_9109 =
							PROCEDURE_ENTRY(BgL_pz00_7709) (BgL_pz00_7709,
							((obj_t) BgL_arg3148z00_9111), BgL_arg0z00_7710, BgL_arg1z00_7711,
							BgL_arg2z00_7712, BEOA);
					}
					BgL_res4166z00_9112 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3143z00_9108,
						BgL_arg3146z00_9109);
				}
				return BgL_res4166z00_9112;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-box-set!2062 */
	obj_t BGl_z62walk2za2zd2boxzd2setz122062zd2zzast_walkz00(obj_t
		BgL_envz00_7713, obj_t BgL_nz00_7714, obj_t BgL_pz00_7715,
		obj_t BgL_arg0z00_7716, obj_t BgL_arg1z00_7717)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4167z00_9118;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3137z00_9114;
					obj_t BgL_arg3138z00_9115;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3141z00_9116;

						BgL_arg3141z00_9116 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7714)))->BgL_varz00);
						BgL_arg3137z00_9114 =
							PROCEDURE_ENTRY(BgL_pz00_7715) (BgL_pz00_7715,
							((obj_t) BgL_arg3141z00_9116), BgL_arg0z00_7716, BgL_arg1z00_7717,
							BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3142z00_9117;

						BgL_arg3142z00_9117 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7714)))->BgL_valuez00);
						BgL_arg3138z00_9115 =
							PROCEDURE_ENTRY(BgL_pz00_7715) (BgL_pz00_7715,
							((obj_t) BgL_arg3142z00_9117), BgL_arg0z00_7716, BgL_arg1z00_7717,
							BEOA);
					}
					BgL_res4167z00_9118 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3137z00_9114,
						BgL_arg3138z00_9115);
				}
				return BgL_res4167z00_9118;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-box-set!2060 */
	obj_t BGl_z62walk1za2zd2boxzd2setz122060zd2zzast_walkz00(obj_t
		BgL_envz00_7718, obj_t BgL_nz00_7719, obj_t BgL_pz00_7720,
		obj_t BgL_arg0z00_7721)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4168z00_9124;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3120z00_9120;
					obj_t BgL_arg3131z00_9121;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3133z00_9122;

						BgL_arg3133z00_9122 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7719)))->BgL_varz00);
						BgL_arg3120z00_9120 =
							PROCEDURE_ENTRY(BgL_pz00_7720) (BgL_pz00_7720,
							((obj_t) BgL_arg3133z00_9122), BgL_arg0z00_7721, BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3134z00_9123;

						BgL_arg3134z00_9123 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7719)))->BgL_valuez00);
						BgL_arg3131z00_9121 =
							PROCEDURE_ENTRY(BgL_pz00_7720) (BgL_pz00_7720,
							((obj_t) BgL_arg3134z00_9123), BgL_arg0z00_7721, BEOA);
					}
					BgL_res4168z00_9124 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3120z00_9120,
						BgL_arg3131z00_9121);
				}
				return BgL_res4168z00_9124;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-box-set!2058 */
	obj_t BGl_z62walk0za2zd2boxzd2setz122058zd2zzast_walkz00(obj_t
		BgL_envz00_7722, obj_t BgL_nz00_7723, obj_t BgL_pz00_7724)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4169z00_9130;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3114z00_9126;
					obj_t BgL_arg3116z00_9127;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3117z00_9128;

						BgL_arg3117z00_9128 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7723)))->BgL_varz00);
						BgL_arg3114z00_9126 =
							PROCEDURE_ENTRY(BgL_pz00_7724) (BgL_pz00_7724,
							((obj_t) BgL_arg3117z00_9128), BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3119z00_9129;

						BgL_arg3119z00_9129 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7723)))->BgL_valuez00);
						BgL_arg3116z00_9127 =
							PROCEDURE_ENTRY(BgL_pz00_7724) (BgL_pz00_7724,
							((obj_t) BgL_arg3119z00_9129), BEOA);
					}
					BgL_res4169z00_9130 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3114z00_9126,
						BgL_arg3116z00_9127);
				}
				return BgL_res4169z00_9130;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-box-set!2056 */
	obj_t BGl_z62walk3zd2boxzd2setz122056z70zzast_walkz00(obj_t BgL_envz00_7725,
		obj_t BgL_nz00_7726, obj_t BgL_pz00_7727, obj_t BgL_arg0z00_7728,
		obj_t BgL_arg1z00_7729, obj_t BgL_arg2z00_7730)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3112z00_9132;

				BgL_arg3112z00_9132 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7726)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7727) (BgL_pz00_7727,
					((obj_t) BgL_arg3112z00_9132), BgL_arg0z00_7728, BgL_arg1z00_7729,
					BgL_arg2z00_7730, BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3113z00_9133;

				BgL_arg3113z00_9133 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7726)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7727) (BgL_pz00_7727,
					((obj_t) BgL_arg3113z00_9133), BgL_arg0z00_7728, BgL_arg1z00_7729,
					BgL_arg2z00_7730, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-box-set!2054 */
	obj_t BGl_z62walk2zd2boxzd2setz122054z70zzast_walkz00(obj_t BgL_envz00_7731,
		obj_t BgL_nz00_7732, obj_t BgL_pz00_7733, obj_t BgL_arg0z00_7734,
		obj_t BgL_arg1z00_7735)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3109z00_9135;

				BgL_arg3109z00_9135 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7732)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7733) (BgL_pz00_7733,
					((obj_t) BgL_arg3109z00_9135), BgL_arg0z00_7734, BgL_arg1z00_7735,
					BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3110z00_9136;

				BgL_arg3110z00_9136 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7732)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7733) (BgL_pz00_7733,
					((obj_t) BgL_arg3110z00_9136), BgL_arg0z00_7734, BgL_arg1z00_7735,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-box-set!2052 */
	obj_t BGl_z62walk1zd2boxzd2setz122052z70zzast_walkz00(obj_t BgL_envz00_7736,
		obj_t BgL_nz00_7737, obj_t BgL_pz00_7738, obj_t BgL_arg0z00_7739)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3103z00_9138;

				BgL_arg3103z00_9138 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7737)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7738) (BgL_pz00_7738,
					((obj_t) BgL_arg3103z00_9138), BgL_arg0z00_7739, BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3104z00_9139;

				BgL_arg3104z00_9139 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7737)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7738) (BgL_pz00_7738,
					((obj_t) BgL_arg3104z00_9139), BgL_arg0z00_7739, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-box-set!2050 */
	obj_t BGl_z62walk0zd2boxzd2setz122050z70zzast_walkz00(obj_t BgL_envz00_7740,
		obj_t BgL_nz00_7741, obj_t BgL_pz00_7742)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3097z00_9141;

				BgL_arg3097z00_9141 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7741)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7742) (BgL_pz00_7742,
					((obj_t) BgL_arg3097z00_9141), BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3102z00_9142;

				BgL_arg3102z00_9142 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7741)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7742) (BgL_pz00_7742,
					((obj_t) BgL_arg3102z00_9142), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-box-ref2048 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2048z70zzast_walkz00(obj_t
		BgL_envz00_7743, obj_t BgL_nz00_7744, obj_t BgL_pz00_7745,
		obj_t BgL_arg0z00_7746, obj_t BgL_arg1z00_7747, obj_t BgL_arg2z00_7748)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12625;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3095z00_9144;

					BgL_arg3095z00_9144 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7744)))->BgL_varz00);
					BgL_auxz00_12625 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7745) (BgL_pz00_7745,
							((obj_t) BgL_arg3095z00_9144), BgL_arg0z00_7746, BgL_arg1z00_7747,
							BgL_arg2z00_7748, BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7744)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12625), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7744));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-box-ref2046 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2046z70zzast_walkz00(obj_t
		BgL_envz00_7749, obj_t BgL_nz00_7750, obj_t BgL_pz00_7751,
		obj_t BgL_arg0z00_7752, obj_t BgL_arg1z00_7753)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12641;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3092z00_9146;

					BgL_arg3092z00_9146 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7750)))->BgL_varz00);
					BgL_auxz00_12641 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7751) (BgL_pz00_7751,
							((obj_t) BgL_arg3092z00_9146), BgL_arg0z00_7752, BgL_arg1z00_7753,
							BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7750)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12641), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7750));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-box-ref2044 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2044z70zzast_walkz00(obj_t
		BgL_envz00_7754, obj_t BgL_nz00_7755, obj_t BgL_pz00_7756,
		obj_t BgL_arg0z00_7757)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12656;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3091z00_9148;

					BgL_arg3091z00_9148 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7755)))->BgL_varz00);
					BgL_auxz00_12656 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7756) (BgL_pz00_7756,
							((obj_t) BgL_arg3091z00_9148), BgL_arg0z00_7757, BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7755)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12656), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7755));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-box-ref2042 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2042z70zzast_walkz00(obj_t
		BgL_envz00_7758, obj_t BgL_nz00_7759, obj_t BgL_pz00_7760)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12670;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3089z00_9150;

					BgL_arg3089z00_9150 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7759)))->BgL_varz00);
					BgL_auxz00_12670 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7760) (BgL_pz00_7760,
							((obj_t) BgL_arg3089z00_9150), BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7759)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12670), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7759));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-box-ref2040 */
	obj_t BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00(obj_t BgL_envz00_7761,
		obj_t BgL_nz00_7762, obj_t BgL_pz00_7763, obj_t BgL_arg0z00_7764,
		obj_t BgL_arg1z00_7765, obj_t BgL_arg2z00_7766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4170z00_9155;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3085z00_9152;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3088z00_9153;

						BgL_arg3088z00_9153 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7762)))->BgL_varz00);
						BgL_arg3085z00_9152 =
							PROCEDURE_ENTRY(BgL_pz00_7763) (BgL_pz00_7763,
							((obj_t) BgL_arg3088z00_9153), BgL_arg0z00_7764, BgL_arg1z00_7765,
							BgL_arg2z00_7766, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3086z00_9154;

						BgL_list3086z00_9154 = MAKE_YOUNG_PAIR(BgL_arg3085z00_9152, BNIL);
						BgL_res4170z00_9155 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3086z00_9154);
					}
				}
				return BgL_res4170z00_9155;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-box-ref2038 */
	obj_t BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00(obj_t BgL_envz00_7767,
		obj_t BgL_nz00_7768, obj_t BgL_pz00_7769, obj_t BgL_arg0z00_7770,
		obj_t BgL_arg1z00_7771)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4171z00_9160;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3082z00_9157;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3084z00_9158;

						BgL_arg3084z00_9158 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7768)))->BgL_varz00);
						BgL_arg3082z00_9157 =
							PROCEDURE_ENTRY(BgL_pz00_7769) (BgL_pz00_7769,
							((obj_t) BgL_arg3084z00_9158), BgL_arg0z00_7770, BgL_arg1z00_7771,
							BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3083z00_9159;

						BgL_list3083z00_9159 = MAKE_YOUNG_PAIR(BgL_arg3082z00_9157, BNIL);
						BgL_res4171z00_9160 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3083z00_9159);
					}
				}
				return BgL_res4171z00_9160;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-box-ref2036 */
	obj_t BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00(obj_t BgL_envz00_7772,
		obj_t BgL_nz00_7773, obj_t BgL_pz00_7774, obj_t BgL_arg0z00_7775)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4172z00_9165;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3076z00_9162;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3081z00_9163;

						BgL_arg3081z00_9163 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7773)))->BgL_varz00);
						BgL_arg3076z00_9162 =
							PROCEDURE_ENTRY(BgL_pz00_7774) (BgL_pz00_7774,
							((obj_t) BgL_arg3081z00_9163), BgL_arg0z00_7775, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3077z00_9164;

						BgL_list3077z00_9164 = MAKE_YOUNG_PAIR(BgL_arg3076z00_9162, BNIL);
						BgL_res4172z00_9165 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3077z00_9164);
					}
				}
				return BgL_res4172z00_9165;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-box-ref2034 */
	obj_t BGl_z62walk0za2zd2boxzd2ref2034zc0zzast_walkz00(obj_t BgL_envz00_7776,
		obj_t BgL_nz00_7777, obj_t BgL_pz00_7778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4173z00_9170;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3073z00_9167;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3075z00_9168;

						BgL_arg3075z00_9168 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7777)))->BgL_varz00);
						BgL_arg3073z00_9167 =
							PROCEDURE_ENTRY(BgL_pz00_7778) (BgL_pz00_7778,
							((obj_t) BgL_arg3075z00_9168), BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3074z00_9169;

						BgL_list3074z00_9169 = MAKE_YOUNG_PAIR(BgL_arg3073z00_9167, BNIL);
						BgL_res4173z00_9170 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3074z00_9169);
					}
				}
				return BgL_res4173z00_9170;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-box-ref2032 */
	obj_t BGl_z62walk3zd2boxzd2ref2032z62zzast_walkz00(obj_t BgL_envz00_7779,
		obj_t BgL_nz00_7780, obj_t BgL_pz00_7781, obj_t BgL_arg0z00_7782,
		obj_t BgL_arg1z00_7783, obj_t BgL_arg2z00_7784)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3070z00_9172;

				BgL_arg3070z00_9172 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7780)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7781) (BgL_pz00_7781,
					((obj_t) BgL_arg3070z00_9172), BgL_arg0z00_7782, BgL_arg1z00_7783,
					BgL_arg2z00_7784, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-box-ref2030 */
	obj_t BGl_z62walk2zd2boxzd2ref2030z62zzast_walkz00(obj_t BgL_envz00_7785,
		obj_t BgL_nz00_7786, obj_t BgL_pz00_7787, obj_t BgL_arg0z00_7788,
		obj_t BgL_arg1z00_7789)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3069z00_9174;

				BgL_arg3069z00_9174 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7786)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7787) (BgL_pz00_7787,
					((obj_t) BgL_arg3069z00_9174), BgL_arg0z00_7788, BgL_arg1z00_7789,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-box-ref2028 */
	obj_t BGl_z62walk1zd2boxzd2ref2028z62zzast_walkz00(obj_t BgL_envz00_7790,
		obj_t BgL_nz00_7791, obj_t BgL_pz00_7792, obj_t BgL_arg0z00_7793)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3068z00_9176;

				BgL_arg3068z00_9176 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7791)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7792) (BgL_pz00_7792,
					((obj_t) BgL_arg3068z00_9176), BgL_arg0z00_7793, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-box-ref2026 */
	obj_t BGl_z62walk0zd2boxzd2ref2026z62zzast_walkz00(obj_t BgL_envz00_7794,
		obj_t BgL_nz00_7795, obj_t BgL_pz00_7796)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3065z00_9178;

				BgL_arg3065z00_9178 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7795)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7796) (BgL_pz00_7796,
					((obj_t) BgL_arg3065z00_9178), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-make-box2024 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2makezd2box2024z70zzast_walkz00(obj_t
		BgL_envz00_7797, obj_t BgL_nz00_7798, obj_t BgL_pz00_7799,
		obj_t BgL_arg0z00_7800, obj_t BgL_arg1z00_7801, obj_t BgL_arg2z00_7802)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12759;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3064z00_9180;

					BgL_arg3064z00_9180 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7798)))->BgL_valuez00);
					BgL_auxz00_12759 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7799) (BgL_pz00_7799,
							((obj_t) BgL_arg3064z00_9180), BgL_arg0z00_7800, BgL_arg1z00_7801,
							BgL_arg2z00_7802, BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7798)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12759), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7798));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-make-box2022 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2makezd2box2022z70zzast_walkz00(obj_t
		BgL_envz00_7803, obj_t BgL_nz00_7804, obj_t BgL_pz00_7805,
		obj_t BgL_arg0z00_7806, obj_t BgL_arg1z00_7807)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12775;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3063z00_9182;

					BgL_arg3063z00_9182 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7804)))->BgL_valuez00);
					BgL_auxz00_12775 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7805) (BgL_pz00_7805,
							((obj_t) BgL_arg3063z00_9182), BgL_arg0z00_7806, BgL_arg1z00_7807,
							BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7804)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12775), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7804));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-make-box2019 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2makezd2box2019z70zzast_walkz00(obj_t
		BgL_envz00_7808, obj_t BgL_nz00_7809, obj_t BgL_pz00_7810,
		obj_t BgL_arg0z00_7811)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12790;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3061z00_9184;

					BgL_arg3061z00_9184 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7809)))->BgL_valuez00);
					BgL_auxz00_12790 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7810) (BgL_pz00_7810,
							((obj_t) BgL_arg3061z00_9184), BgL_arg0z00_7811, BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7809)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12790), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7809));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-make-box2017 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2makezd2box2017z70zzast_walkz00(obj_t
		BgL_envz00_7812, obj_t BgL_nz00_7813, obj_t BgL_pz00_7814)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12804;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3060z00_9186;

					BgL_arg3060z00_9186 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7813)))->BgL_valuez00);
					BgL_auxz00_12804 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7814) (BgL_pz00_7814,
							((obj_t) BgL_arg3060z00_9186), BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7813)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12804), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7813));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-make-box2015 */
	obj_t BGl_z62walk3za2zd2makezd2box2015zc0zzast_walkz00(obj_t BgL_envz00_7815,
		obj_t BgL_nz00_7816, obj_t BgL_pz00_7817, obj_t BgL_arg0z00_7818,
		obj_t BgL_arg1z00_7819, obj_t BgL_arg2z00_7820)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4174z00_9191;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3057z00_9188;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3059z00_9189;

						BgL_arg3059z00_9189 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7816)))->BgL_valuez00);
						BgL_arg3057z00_9188 =
							PROCEDURE_ENTRY(BgL_pz00_7817) (BgL_pz00_7817,
							((obj_t) BgL_arg3059z00_9189), BgL_arg0z00_7818, BgL_arg1z00_7819,
							BgL_arg2z00_7820, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3058z00_9190;

						BgL_list3058z00_9190 = MAKE_YOUNG_PAIR(BgL_arg3057z00_9188, BNIL);
						BgL_res4174z00_9191 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3058z00_9190);
					}
				}
				return BgL_res4174z00_9191;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-make-box2013 */
	obj_t BGl_z62walk2za2zd2makezd2box2013zc0zzast_walkz00(obj_t BgL_envz00_7821,
		obj_t BgL_nz00_7822, obj_t BgL_pz00_7823, obj_t BgL_arg0z00_7824,
		obj_t BgL_arg1z00_7825)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4175z00_9196;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3053z00_9193;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3055z00_9194;

						BgL_arg3055z00_9194 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7822)))->BgL_valuez00);
						BgL_arg3053z00_9193 =
							PROCEDURE_ENTRY(BgL_pz00_7823) (BgL_pz00_7823,
							((obj_t) BgL_arg3055z00_9194), BgL_arg0z00_7824, BgL_arg1z00_7825,
							BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3054z00_9195;

						BgL_list3054z00_9195 = MAKE_YOUNG_PAIR(BgL_arg3053z00_9193, BNIL);
						BgL_res4175z00_9196 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3054z00_9195);
					}
				}
				return BgL_res4175z00_9196;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-make-box2011 */
	obj_t BGl_z62walk1za2zd2makezd2box2011zc0zzast_walkz00(obj_t BgL_envz00_7826,
		obj_t BgL_nz00_7827, obj_t BgL_pz00_7828, obj_t BgL_arg0z00_7829)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4176z00_9201;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3050z00_9198;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3052z00_9199;

						BgL_arg3052z00_9199 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7827)))->BgL_valuez00);
						BgL_arg3050z00_9198 =
							PROCEDURE_ENTRY(BgL_pz00_7828) (BgL_pz00_7828,
							((obj_t) BgL_arg3052z00_9199), BgL_arg0z00_7829, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3051z00_9200;

						BgL_list3051z00_9200 = MAKE_YOUNG_PAIR(BgL_arg3050z00_9198, BNIL);
						BgL_res4176z00_9201 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3051z00_9200);
					}
				}
				return BgL_res4176z00_9201;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-make-box2009 */
	obj_t BGl_z62walk0za2zd2makezd2box2009zc0zzast_walkz00(obj_t BgL_envz00_7830,
		obj_t BgL_nz00_7831, obj_t BgL_pz00_7832)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4177z00_9206;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3047z00_9203;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3049z00_9204;

						BgL_arg3049z00_9204 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7831)))->BgL_valuez00);
						BgL_arg3047z00_9203 =
							PROCEDURE_ENTRY(BgL_pz00_7832) (BgL_pz00_7832,
							((obj_t) BgL_arg3049z00_9204), BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3048z00_9205;

						BgL_list3048z00_9205 = MAKE_YOUNG_PAIR(BgL_arg3047z00_9203, BNIL);
						BgL_res4177z00_9206 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3048z00_9205);
					}
				}
				return BgL_res4177z00_9206;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-make-box2007 */
	obj_t BGl_z62walk3zd2makezd2box2007z62zzast_walkz00(obj_t BgL_envz00_7833,
		obj_t BgL_nz00_7834, obj_t BgL_pz00_7835, obj_t BgL_arg0z00_7836,
		obj_t BgL_arg1z00_7837, obj_t BgL_arg2z00_7838)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3046z00_9208;

				BgL_arg3046z00_9208 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7834)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7835) (BgL_pz00_7835,
					((obj_t) BgL_arg3046z00_9208), BgL_arg0z00_7836, BgL_arg1z00_7837,
					BgL_arg2z00_7838, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-make-box2005 */
	obj_t BGl_z62walk2zd2makezd2box2005z62zzast_walkz00(obj_t BgL_envz00_7839,
		obj_t BgL_nz00_7840, obj_t BgL_pz00_7841, obj_t BgL_arg0z00_7842,
		obj_t BgL_arg1z00_7843)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3044z00_9210;

				BgL_arg3044z00_9210 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7840)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7841) (BgL_pz00_7841,
					((obj_t) BgL_arg3044z00_9210), BgL_arg0z00_7842, BgL_arg1z00_7843,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-make-box2003 */
	obj_t BGl_z62walk1zd2makezd2box2003z62zzast_walkz00(obj_t BgL_envz00_7844,
		obj_t BgL_nz00_7845, obj_t BgL_pz00_7846, obj_t BgL_arg0z00_7847)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3043z00_9212;

				BgL_arg3043z00_9212 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7845)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7846) (BgL_pz00_7846,
					((obj_t) BgL_arg3043z00_9212), BgL_arg0z00_7847, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-make-box2001 */
	obj_t BGl_z62walk0zd2makezd2box2001z62zzast_walkz00(obj_t BgL_envz00_7848,
		obj_t BgL_nz00_7849, obj_t BgL_pz00_7850)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3041z00_9214;

				BgL_arg3041z00_9214 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7849)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7850) (BgL_pz00_7850,
					((obj_t) BgL_arg3041z00_9214), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-return1999 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2return1999za2zzast_walkz00(obj_t
		BgL_envz00_7851, obj_t BgL_nz00_7852, obj_t BgL_pz00_7853,
		obj_t BgL_arg0z00_7854, obj_t BgL_arg1z00_7855, obj_t BgL_arg2z00_7856)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12893;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3040z00_9216;

					BgL_arg3040z00_9216 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7852)))->BgL_valuez00);
					BgL_auxz00_12893 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7853) (BgL_pz00_7853,
							((obj_t) BgL_arg3040z00_9216), BgL_arg0z00_7854, BgL_arg1z00_7855,
							BgL_arg2z00_7856, BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7852)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12893), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7852));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-return1997 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2return1997za2zzast_walkz00(obj_t
		BgL_envz00_7857, obj_t BgL_nz00_7858, obj_t BgL_pz00_7859,
		obj_t BgL_arg0z00_7860, obj_t BgL_arg1z00_7861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12909;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3039z00_9218;

					BgL_arg3039z00_9218 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7858)))->BgL_valuez00);
					BgL_auxz00_12909 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7859) (BgL_pz00_7859,
							((obj_t) BgL_arg3039z00_9218), BgL_arg0z00_7860, BgL_arg1z00_7861,
							BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7858)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12909), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7858));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-return1995 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2return1995za2zzast_walkz00(obj_t
		BgL_envz00_7862, obj_t BgL_nz00_7863, obj_t BgL_pz00_7864,
		obj_t BgL_arg0z00_7865)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12924;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3030z00_9220;

					BgL_arg3030z00_9220 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7863)))->BgL_valuez00);
					BgL_auxz00_12924 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7864) (BgL_pz00_7864,
							((obj_t) BgL_arg3030z00_9220), BgL_arg0z00_7865, BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7863)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12924), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7863));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-return1993 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2return1993za2zzast_walkz00(obj_t
		BgL_envz00_7866, obj_t BgL_nz00_7867, obj_t BgL_pz00_7868)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12938;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3028z00_9222;

					BgL_arg3028z00_9222 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7867)))->BgL_valuez00);
					BgL_auxz00_12938 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7868) (BgL_pz00_7868,
							((obj_t) BgL_arg3028z00_9222), BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7867)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12938), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7867));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-return1991 */
	obj_t BGl_z62walk3za2zd2return1991z12zzast_walkz00(obj_t BgL_envz00_7869,
		obj_t BgL_nz00_7870, obj_t BgL_pz00_7871, obj_t BgL_arg0z00_7872,
		obj_t BgL_arg1z00_7873, obj_t BgL_arg2z00_7874)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4178z00_9227;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3024z00_9224;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3027z00_9225;

						BgL_arg3027z00_9225 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7870)))->BgL_valuez00);
						BgL_arg3024z00_9224 =
							PROCEDURE_ENTRY(BgL_pz00_7871) (BgL_pz00_7871,
							((obj_t) BgL_arg3027z00_9225), BgL_arg0z00_7872, BgL_arg1z00_7873,
							BgL_arg2z00_7874, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3025z00_9226;

						BgL_list3025z00_9226 = MAKE_YOUNG_PAIR(BgL_arg3024z00_9224, BNIL);
						BgL_res4178z00_9227 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3025z00_9226);
					}
				}
				return BgL_res4178z00_9227;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-return1989 */
	obj_t BGl_z62walk2za2zd2return1989z12zzast_walkz00(obj_t BgL_envz00_7875,
		obj_t BgL_nz00_7876, obj_t BgL_pz00_7877, obj_t BgL_arg0z00_7878,
		obj_t BgL_arg1z00_7879)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4179z00_9232;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3020z00_9229;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3022z00_9230;

						BgL_arg3022z00_9230 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7876)))->BgL_valuez00);
						BgL_arg3020z00_9229 =
							PROCEDURE_ENTRY(BgL_pz00_7877) (BgL_pz00_7877,
							((obj_t) BgL_arg3022z00_9230), BgL_arg0z00_7878, BgL_arg1z00_7879,
							BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3021z00_9231;

						BgL_list3021z00_9231 = MAKE_YOUNG_PAIR(BgL_arg3020z00_9229, BNIL);
						BgL_res4179z00_9232 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3021z00_9231);
					}
				}
				return BgL_res4179z00_9232;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-return1987 */
	obj_t BGl_z62walk1za2zd2return1987z12zzast_walkz00(obj_t BgL_envz00_7880,
		obj_t BgL_nz00_7881, obj_t BgL_pz00_7882, obj_t BgL_arg0z00_7883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4180z00_9237;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3017z00_9234;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3019z00_9235;

						BgL_arg3019z00_9235 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7881)))->BgL_valuez00);
						BgL_arg3017z00_9234 =
							PROCEDURE_ENTRY(BgL_pz00_7882) (BgL_pz00_7882,
							((obj_t) BgL_arg3019z00_9235), BgL_arg0z00_7883, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3018z00_9236;

						BgL_list3018z00_9236 = MAKE_YOUNG_PAIR(BgL_arg3017z00_9234, BNIL);
						BgL_res4180z00_9237 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3018z00_9236);
					}
				}
				return BgL_res4180z00_9237;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-return1984 */
	obj_t BGl_z62walk0za2zd2return1984z12zzast_walkz00(obj_t BgL_envz00_7884,
		obj_t BgL_nz00_7885, obj_t BgL_pz00_7886)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4181z00_9242;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3013z00_9239;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3015z00_9240;

						BgL_arg3015z00_9240 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7885)))->BgL_valuez00);
						BgL_arg3013z00_9239 =
							PROCEDURE_ENTRY(BgL_pz00_7886) (BgL_pz00_7886,
							((obj_t) BgL_arg3015z00_9240), BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3014z00_9241;

						BgL_list3014z00_9241 = MAKE_YOUNG_PAIR(BgL_arg3013z00_9239, BNIL);
						BgL_res4181z00_9242 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3014z00_9241);
					}
				}
				return BgL_res4181z00_9242;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-return1982 */
	obj_t BGl_z62walk3zd2return1982zb0zzast_walkz00(obj_t BgL_envz00_7887,
		obj_t BgL_nz00_7888, obj_t BgL_pz00_7889, obj_t BgL_arg0z00_7890,
		obj_t BgL_arg1z00_7891, obj_t BgL_arg2z00_7892)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3004z00_9244;

				BgL_arg3004z00_9244 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7888)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7889) (BgL_pz00_7889,
					((obj_t) BgL_arg3004z00_9244), BgL_arg0z00_7890, BgL_arg1z00_7891,
					BgL_arg2z00_7892, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-return1980 */
	obj_t BGl_z62walk2zd2return1980zb0zzast_walkz00(obj_t BgL_envz00_7893,
		obj_t BgL_nz00_7894, obj_t BgL_pz00_7895, obj_t BgL_arg0z00_7896,
		obj_t BgL_arg1z00_7897)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3000z00_9246;

				BgL_arg3000z00_9246 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7894)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7895) (BgL_pz00_7895,
					((obj_t) BgL_arg3000z00_9246), BgL_arg0z00_7896, BgL_arg1z00_7897,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-return1978 */
	obj_t BGl_z62walk1zd2return1978zb0zzast_walkz00(obj_t BgL_envz00_7898,
		obj_t BgL_nz00_7899, obj_t BgL_pz00_7900, obj_t BgL_arg0z00_7901)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2997z00_9248;

				BgL_arg2997z00_9248 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7899)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7900) (BgL_pz00_7900,
					((obj_t) BgL_arg2997z00_9248), BgL_arg0z00_7901, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-return1976 */
	obj_t BGl_z62walk0zd2return1976zb0zzast_walkz00(obj_t BgL_envz00_7902,
		obj_t BgL_nz00_7903, obj_t BgL_pz00_7904)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2995z00_9250;

				BgL_arg2995z00_9250 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7903)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7904) (BgL_pz00_7904,
					((obj_t) BgL_arg2995z00_9250), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-retblock1974 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1974za2zzast_walkz00(obj_t
		BgL_envz00_7905, obj_t BgL_nz00_7906, obj_t BgL_pz00_7907,
		obj_t BgL_arg0z00_7908, obj_t BgL_arg1z00_7909, obj_t BgL_arg2z00_7910)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13027;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2994z00_9252;

					BgL_arg2994z00_9252 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7906)))->BgL_bodyz00);
					BgL_auxz00_13027 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7907) (BgL_pz00_7907,
							((obj_t) BgL_arg2994z00_9252), BgL_arg0z00_7908, BgL_arg1z00_7909,
							BgL_arg2z00_7910, BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7906)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13027), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7906));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-retblock1972 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1972za2zzast_walkz00(obj_t
		BgL_envz00_7911, obj_t BgL_nz00_7912, obj_t BgL_pz00_7913,
		obj_t BgL_arg0z00_7914, obj_t BgL_arg1z00_7915)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13043;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2991z00_9254;

					BgL_arg2991z00_9254 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7912)))->BgL_bodyz00);
					BgL_auxz00_13043 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7913) (BgL_pz00_7913,
							((obj_t) BgL_arg2991z00_9254), BgL_arg0z00_7914, BgL_arg1z00_7915,
							BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7912)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13043), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7912));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-retblock1970 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1970za2zzast_walkz00(obj_t
		BgL_envz00_7916, obj_t BgL_nz00_7917, obj_t BgL_pz00_7918,
		obj_t BgL_arg0z00_7919)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13058;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2990z00_9256;

					BgL_arg2990z00_9256 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7917)))->BgL_bodyz00);
					BgL_auxz00_13058 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7918) (BgL_pz00_7918,
							((obj_t) BgL_arg2990z00_9256), BgL_arg0z00_7919, BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7917)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13058), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7917));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-retblock1968 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1968za2zzast_walkz00(obj_t
		BgL_envz00_7920, obj_t BgL_nz00_7921, obj_t BgL_pz00_7922)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13072;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2988z00_9258;

					BgL_arg2988z00_9258 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7921)))->BgL_bodyz00);
					BgL_auxz00_13072 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7922) (BgL_pz00_7922,
							((obj_t) BgL_arg2988z00_9258), BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7921)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13072), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7921));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-retblock1966 */
	obj_t BGl_z62walk3za2zd2retblock1966z12zzast_walkz00(obj_t BgL_envz00_7923,
		obj_t BgL_nz00_7924, obj_t BgL_pz00_7925, obj_t BgL_arg0z00_7926,
		obj_t BgL_arg1z00_7927, obj_t BgL_arg2z00_7928)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4182z00_9263;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2985z00_9260;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2987z00_9261;

						BgL_arg2987z00_9261 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7924)))->BgL_bodyz00);
						BgL_arg2985z00_9260 =
							PROCEDURE_ENTRY(BgL_pz00_7925) (BgL_pz00_7925,
							((obj_t) BgL_arg2987z00_9261), BgL_arg0z00_7926, BgL_arg1z00_7927,
							BgL_arg2z00_7928, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2986z00_9262;

						BgL_list2986z00_9262 = MAKE_YOUNG_PAIR(BgL_arg2985z00_9260, BNIL);
						BgL_res4182z00_9263 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2986z00_9262);
					}
				}
				return BgL_res4182z00_9263;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-retblock1964 */
	obj_t BGl_z62walk2za2zd2retblock1964z12zzast_walkz00(obj_t BgL_envz00_7929,
		obj_t BgL_nz00_7930, obj_t BgL_pz00_7931, obj_t BgL_arg0z00_7932,
		obj_t BgL_arg1z00_7933)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4183z00_9268;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2980z00_9265;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2984z00_9266;

						BgL_arg2984z00_9266 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7930)))->BgL_bodyz00);
						BgL_arg2980z00_9265 =
							PROCEDURE_ENTRY(BgL_pz00_7931) (BgL_pz00_7931,
							((obj_t) BgL_arg2984z00_9266), BgL_arg0z00_7932, BgL_arg1z00_7933,
							BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2981z00_9267;

						BgL_list2981z00_9267 = MAKE_YOUNG_PAIR(BgL_arg2980z00_9265, BNIL);
						BgL_res4183z00_9268 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2981z00_9267);
					}
				}
				return BgL_res4183z00_9268;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-retblock1962 */
	obj_t BGl_z62walk1za2zd2retblock1962z12zzast_walkz00(obj_t BgL_envz00_7934,
		obj_t BgL_nz00_7935, obj_t BgL_pz00_7936, obj_t BgL_arg0z00_7937)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4184z00_9273;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2977z00_9270;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2979z00_9271;

						BgL_arg2979z00_9271 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7935)))->BgL_bodyz00);
						BgL_arg2977z00_9270 =
							PROCEDURE_ENTRY(BgL_pz00_7936) (BgL_pz00_7936,
							((obj_t) BgL_arg2979z00_9271), BgL_arg0z00_7937, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2978z00_9272;

						BgL_list2978z00_9272 = MAKE_YOUNG_PAIR(BgL_arg2977z00_9270, BNIL);
						BgL_res4184z00_9273 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2978z00_9272);
					}
				}
				return BgL_res4184z00_9273;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-retblock1960 */
	obj_t BGl_z62walk0za2zd2retblock1960z12zzast_walkz00(obj_t BgL_envz00_7938,
		obj_t BgL_nz00_7939, obj_t BgL_pz00_7940)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4185z00_9278;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2974z00_9275;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2976z00_9276;

						BgL_arg2976z00_9276 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7939)))->BgL_bodyz00);
						BgL_arg2974z00_9275 =
							PROCEDURE_ENTRY(BgL_pz00_7940) (BgL_pz00_7940,
							((obj_t) BgL_arg2976z00_9276), BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2975z00_9277;

						BgL_list2975z00_9277 = MAKE_YOUNG_PAIR(BgL_arg2974z00_9275, BNIL);
						BgL_res4185z00_9278 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2975z00_9277);
					}
				}
				return BgL_res4185z00_9278;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-retblock1958 */
	obj_t BGl_z62walk3zd2retblock1958zb0zzast_walkz00(obj_t BgL_envz00_7941,
		obj_t BgL_nz00_7942, obj_t BgL_pz00_7943, obj_t BgL_arg0z00_7944,
		obj_t BgL_arg1z00_7945, obj_t BgL_arg2z00_7946)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2973z00_9280;

				BgL_arg2973z00_9280 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7942)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7943) (BgL_pz00_7943,
					((obj_t) BgL_arg2973z00_9280), BgL_arg0z00_7944, BgL_arg1z00_7945,
					BgL_arg2z00_7946, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-retblock1956 */
	obj_t BGl_z62walk2zd2retblock1956zb0zzast_walkz00(obj_t BgL_envz00_7947,
		obj_t BgL_nz00_7948, obj_t BgL_pz00_7949, obj_t BgL_arg0z00_7950,
		obj_t BgL_arg1z00_7951)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2972z00_9282;

				BgL_arg2972z00_9282 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7948)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7949) (BgL_pz00_7949,
					((obj_t) BgL_arg2972z00_9282), BgL_arg0z00_7950, BgL_arg1z00_7951,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-retblock1954 */
	obj_t BGl_z62walk1zd2retblock1954zb0zzast_walkz00(obj_t BgL_envz00_7952,
		obj_t BgL_nz00_7953, obj_t BgL_pz00_7954, obj_t BgL_arg0z00_7955)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2969z00_9284;

				BgL_arg2969z00_9284 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7953)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7954) (BgL_pz00_7954,
					((obj_t) BgL_arg2969z00_9284), BgL_arg0z00_7955, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-retblock1952 */
	obj_t BGl_z62walk0zd2retblock1952zb0zzast_walkz00(obj_t BgL_envz00_7956,
		obj_t BgL_nz00_7957, obj_t BgL_pz00_7958)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2968z00_9286;

				BgL_arg2968z00_9286 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7957)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7958) (BgL_pz00_7958,
					((obj_t) BgL_arg2968z00_9286), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-jump-ex-it1950 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2jumpzd2exzd2it1950za2zzast_walkz00(obj_t
		BgL_envz00_7959, obj_t BgL_nz00_7960, obj_t BgL_pz00_7961,
		obj_t BgL_arg0z00_7962, obj_t BgL_arg1z00_7963, obj_t BgL_arg2z00_7964)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13161;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2966z00_9288;

					BgL_arg2966z00_9288 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7960)))->BgL_exitz00);
					BgL_auxz00_13161 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7961) (BgL_pz00_7961,
							((obj_t) BgL_arg2966z00_9288), BgL_arg0z00_7962, BgL_arg1z00_7963,
							BgL_arg2z00_7964, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7960)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13161), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13175;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2967z00_9289;

					BgL_arg2967z00_9289 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7960)))->BgL_valuez00);
					BgL_auxz00_13175 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7961) (BgL_pz00_7961,
							((obj_t) BgL_arg2967z00_9289), BgL_arg0z00_7962, BgL_arg1z00_7963,
							BgL_arg2z00_7964, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7960)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13175), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7960));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-jump-ex-it1948 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2jumpzd2exzd2it1948za2zzast_walkz00(obj_t
		BgL_envz00_7965, obj_t BgL_nz00_7966, obj_t BgL_pz00_7967,
		obj_t BgL_arg0z00_7968, obj_t BgL_arg1z00_7969)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13191;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2963z00_9291;

					BgL_arg2963z00_9291 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7966)))->BgL_exitz00);
					BgL_auxz00_13191 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7967) (BgL_pz00_7967,
							((obj_t) BgL_arg2963z00_9291), BgL_arg0z00_7968, BgL_arg1z00_7969,
							BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7966)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13191), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13204;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2964z00_9292;

					BgL_arg2964z00_9292 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7966)))->BgL_valuez00);
					BgL_auxz00_13204 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7967) (BgL_pz00_7967,
							((obj_t) BgL_arg2964z00_9292), BgL_arg0z00_7968, BgL_arg1z00_7969,
							BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7966)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13204), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7966));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-jump-ex-it1946 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2jumpzd2exzd2it1946za2zzast_walkz00(obj_t
		BgL_envz00_7970, obj_t BgL_nz00_7971, obj_t BgL_pz00_7972,
		obj_t BgL_arg0z00_7973)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13219;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2961z00_9294;

					BgL_arg2961z00_9294 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_exitz00);
					BgL_auxz00_13219 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7972) (BgL_pz00_7972,
							((obj_t) BgL_arg2961z00_9294), BgL_arg0z00_7973, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13219), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13231;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2962z00_9295;

					BgL_arg2962z00_9295 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_valuez00);
					BgL_auxz00_13231 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7972) (BgL_pz00_7972,
							((obj_t) BgL_arg2962z00_9295), BgL_arg0z00_7973, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13231), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-jump-ex-it1944 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2jumpzd2exzd2it1944za2zzast_walkz00(obj_t
		BgL_envz00_7974, obj_t BgL_nz00_7975, obj_t BgL_pz00_7976)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13245;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2956z00_9297;

					BgL_arg2956z00_9297 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7975)))->BgL_exitz00);
					BgL_auxz00_13245 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7976) (BgL_pz00_7976,
							((obj_t) BgL_arg2956z00_9297), BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7975)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13245), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13256;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2957z00_9298;

					BgL_arg2957z00_9298 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7975)))->BgL_valuez00);
					BgL_auxz00_13256 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7976) (BgL_pz00_7976,
							((obj_t) BgL_arg2957z00_9298), BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7975)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13256), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7975));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-jump-ex-it1942 */
	obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1942z12zzast_walkz00(obj_t
		BgL_envz00_7977, obj_t BgL_nz00_7978, obj_t BgL_pz00_7979,
		obj_t BgL_arg0z00_7980, obj_t BgL_arg1z00_7981, obj_t BgL_arg2z00_7982)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4186z00_9304;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2950z00_9300;
					obj_t BgL_arg2951z00_9301;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2954z00_9302;

						BgL_arg2954z00_9302 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7978)))->BgL_exitz00);
						BgL_arg2950z00_9300 =
							PROCEDURE_ENTRY(BgL_pz00_7979) (BgL_pz00_7979,
							((obj_t) BgL_arg2954z00_9302), BgL_arg0z00_7980, BgL_arg1z00_7981,
							BgL_arg2z00_7982, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2955z00_9303;

						BgL_arg2955z00_9303 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7978)))->BgL_valuez00);
						BgL_arg2951z00_9301 =
							PROCEDURE_ENTRY(BgL_pz00_7979) (BgL_pz00_7979,
							((obj_t) BgL_arg2955z00_9303), BgL_arg0z00_7980, BgL_arg1z00_7981,
							BgL_arg2z00_7982, BEOA);
					}
					BgL_res4186z00_9304 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2950z00_9300,
						BgL_arg2951z00_9301);
				}
				return BgL_res4186z00_9304;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-jump-ex-it1940 */
	obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1940z12zzast_walkz00(obj_t
		BgL_envz00_7983, obj_t BgL_nz00_7984, obj_t BgL_pz00_7985,
		obj_t BgL_arg0z00_7986, obj_t BgL_arg1z00_7987)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4187z00_9310;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2940z00_9306;
					obj_t BgL_arg2942z00_9307;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2943z00_9308;

						BgL_arg2943z00_9308 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7984)))->BgL_exitz00);
						BgL_arg2940z00_9306 =
							PROCEDURE_ENTRY(BgL_pz00_7985) (BgL_pz00_7985,
							((obj_t) BgL_arg2943z00_9308), BgL_arg0z00_7986, BgL_arg1z00_7987,
							BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2944z00_9309;

						BgL_arg2944z00_9309 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7984)))->BgL_valuez00);
						BgL_arg2942z00_9307 =
							PROCEDURE_ENTRY(BgL_pz00_7985) (BgL_pz00_7985,
							((obj_t) BgL_arg2944z00_9309), BgL_arg0z00_7986, BgL_arg1z00_7987,
							BEOA);
					}
					BgL_res4187z00_9310 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2940z00_9306,
						BgL_arg2942z00_9307);
				}
				return BgL_res4187z00_9310;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-jump-ex-it1938 */
	obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1938z12zzast_walkz00(obj_t
		BgL_envz00_7988, obj_t BgL_nz00_7989, obj_t BgL_pz00_7990,
		obj_t BgL_arg0z00_7991)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4188z00_9316;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2935z00_9312;
					obj_t BgL_arg2937z00_9313;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2938z00_9314;

						BgL_arg2938z00_9314 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7989)))->BgL_exitz00);
						BgL_arg2935z00_9312 =
							PROCEDURE_ENTRY(BgL_pz00_7990) (BgL_pz00_7990,
							((obj_t) BgL_arg2938z00_9314), BgL_arg0z00_7991, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2939z00_9315;

						BgL_arg2939z00_9315 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7989)))->BgL_valuez00);
						BgL_arg2937z00_9313 =
							PROCEDURE_ENTRY(BgL_pz00_7990) (BgL_pz00_7990,
							((obj_t) BgL_arg2939z00_9315), BgL_arg0z00_7991, BEOA);
					}
					BgL_res4188z00_9316 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2935z00_9312,
						BgL_arg2937z00_9313);
				}
				return BgL_res4188z00_9316;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-jump-ex-it1936 */
	obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1936z12zzast_walkz00(obj_t
		BgL_envz00_7992, obj_t BgL_nz00_7993, obj_t BgL_pz00_7994)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4189z00_9322;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2931z00_9318;
					obj_t BgL_arg2932z00_9319;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2933z00_9320;

						BgL_arg2933z00_9320 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7993)))->BgL_exitz00);
						BgL_arg2931z00_9318 =
							PROCEDURE_ENTRY(BgL_pz00_7994) (BgL_pz00_7994,
							((obj_t) BgL_arg2933z00_9320), BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2934z00_9321;

						BgL_arg2934z00_9321 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7993)))->BgL_valuez00);
						BgL_arg2932z00_9319 =
							PROCEDURE_ENTRY(BgL_pz00_7994) (BgL_pz00_7994,
							((obj_t) BgL_arg2934z00_9321), BEOA);
					}
					BgL_res4189z00_9322 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2931z00_9318,
						BgL_arg2932z00_9319);
				}
				return BgL_res4189z00_9322;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-jump-ex-it1934 */
	obj_t BGl_z62walk3zd2jumpzd2exzd2it1934zb0zzast_walkz00(obj_t BgL_envz00_7995,
		obj_t BgL_nz00_7996, obj_t BgL_pz00_7997, obj_t BgL_arg0z00_7998,
		obj_t BgL_arg1z00_7999, obj_t BgL_arg2z00_8000)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2928z00_9324;

				BgL_arg2928z00_9324 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7996)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_7997) (BgL_pz00_7997,
					((obj_t) BgL_arg2928z00_9324), BgL_arg0z00_7998, BgL_arg1z00_7999,
					BgL_arg2z00_8000, BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2929z00_9325;

				BgL_arg2929z00_9325 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7996)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7997) (BgL_pz00_7997,
					((obj_t) BgL_arg2929z00_9325), BgL_arg0z00_7998, BgL_arg1z00_7999,
					BgL_arg2z00_8000, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-jump-ex-it1931 */
	obj_t BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00(obj_t BgL_envz00_8001,
		obj_t BgL_nz00_8002, obj_t BgL_pz00_8003, obj_t BgL_arg0z00_8004,
		obj_t BgL_arg1z00_8005)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2926z00_9327;

				BgL_arg2926z00_9327 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8002)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8003) (BgL_pz00_8003,
					((obj_t) BgL_arg2926z00_9327), BgL_arg0z00_8004, BgL_arg1z00_8005,
					BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2927z00_9328;

				BgL_arg2927z00_9328 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8002)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8003) (BgL_pz00_8003,
					((obj_t) BgL_arg2927z00_9328), BgL_arg0z00_8004, BgL_arg1z00_8005,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-jump-ex-it1929 */
	obj_t BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00(obj_t BgL_envz00_8006,
		obj_t BgL_nz00_8007, obj_t BgL_pz00_8008, obj_t BgL_arg0z00_8009)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2924z00_9330;

				BgL_arg2924z00_9330 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8007)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8008) (BgL_pz00_8008,
					((obj_t) BgL_arg2924z00_9330), BgL_arg0z00_8009, BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2925z00_9331;

				BgL_arg2925z00_9331 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8007)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8008) (BgL_pz00_8008,
					((obj_t) BgL_arg2925z00_9331), BgL_arg0z00_8009, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-jump-ex-it1927 */
	obj_t BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t BgL_envz00_8010,
		obj_t BgL_nz00_8011, obj_t BgL_pz00_8012)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2913z00_9333;

				BgL_arg2913z00_9333 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8011)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8012) (BgL_pz00_8012,
					((obj_t) BgL_arg2913z00_9333), BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2923z00_9334;

				BgL_arg2923z00_9334 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8011)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8012) (BgL_pz00_8012,
					((obj_t) BgL_arg2923z00_9334), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-set-ex-it1925 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00(obj_t
		BgL_envz00_8013, obj_t BgL_nz00_8014, obj_t BgL_pz00_8015,
		obj_t BgL_arg0z00_8016, obj_t BgL_arg1z00_8017, obj_t BgL_arg2z00_8018)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13409;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2909z00_9336;

					BgL_arg2909z00_9336 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8014)))->BgL_bodyz00);
					BgL_auxz00_13409 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8015) (BgL_pz00_8015,
							((obj_t) BgL_arg2909z00_9336), BgL_arg0z00_8016, BgL_arg1z00_8017,
							BgL_arg2z00_8018, BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8014)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13409), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8014));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-set-ex-it1923 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t
		BgL_envz00_8019, obj_t BgL_nz00_8020, obj_t BgL_pz00_8021,
		obj_t BgL_arg0z00_8022, obj_t BgL_arg1z00_8023)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13425;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2908z00_9338;

					BgL_arg2908z00_9338 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8020)))->BgL_bodyz00);
					BgL_auxz00_13425 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8021) (BgL_pz00_8021,
							((obj_t) BgL_arg2908z00_9338), BgL_arg0z00_8022, BgL_arg1z00_8023,
							BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8020)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13425), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8020));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-set-ex-it1921 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t
		BgL_envz00_8024, obj_t BgL_nz00_8025, obj_t BgL_pz00_8026,
		obj_t BgL_arg0z00_8027)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13440;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2907z00_9340;

					BgL_arg2907z00_9340 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_bodyz00);
					BgL_auxz00_13440 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8026) (BgL_pz00_8026,
							((obj_t) BgL_arg2907z00_9340), BgL_arg0z00_8027, BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13440), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-set-ex-it1919 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t
		BgL_envz00_8028, obj_t BgL_nz00_8029, obj_t BgL_pz00_8030)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13454;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2904z00_9342;

					BgL_arg2904z00_9342 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8029)))->BgL_bodyz00);
					BgL_auxz00_13454 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8030) (BgL_pz00_8030,
							((obj_t) BgL_arg2904z00_9342), BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8029)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13454), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8029));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-set-ex-it1916 */
	obj_t BGl_z62walk3za2zd2setzd2exzd2it1916z12zzast_walkz00(obj_t
		BgL_envz00_8031, obj_t BgL_nz00_8032, obj_t BgL_pz00_8033,
		obj_t BgL_arg0z00_8034, obj_t BgL_arg1z00_8035, obj_t BgL_arg2z00_8036)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4190z00_9347;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2896z00_9344;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2899z00_9345;

						BgL_arg2899z00_9345 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8032)))->BgL_bodyz00);
						BgL_arg2896z00_9344 =
							PROCEDURE_ENTRY(BgL_pz00_8033) (BgL_pz00_8033,
							((obj_t) BgL_arg2899z00_9345), BgL_arg0z00_8034, BgL_arg1z00_8035,
							BgL_arg2z00_8036, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2897z00_9346;

						BgL_list2897z00_9346 = MAKE_YOUNG_PAIR(BgL_arg2896z00_9344, BNIL);
						BgL_res4190z00_9347 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2897z00_9346);
					}
				}
				return BgL_res4190z00_9347;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-set-ex-it1914 */
	obj_t BGl_z62walk2za2zd2setzd2exzd2it1914z12zzast_walkz00(obj_t
		BgL_envz00_8037, obj_t BgL_nz00_8038, obj_t BgL_pz00_8039,
		obj_t BgL_arg0z00_8040, obj_t BgL_arg1z00_8041)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4191z00_9352;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2893z00_9349;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2895z00_9350;

						BgL_arg2895z00_9350 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8038)))->BgL_bodyz00);
						BgL_arg2893z00_9349 =
							PROCEDURE_ENTRY(BgL_pz00_8039) (BgL_pz00_8039,
							((obj_t) BgL_arg2895z00_9350), BgL_arg0z00_8040, BgL_arg1z00_8041,
							BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2894z00_9351;

						BgL_list2894z00_9351 = MAKE_YOUNG_PAIR(BgL_arg2893z00_9349, BNIL);
						BgL_res4191z00_9352 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2894z00_9351);
					}
				}
				return BgL_res4191z00_9352;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-set-ex-it1911 */
	obj_t BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t
		BgL_envz00_8042, obj_t BgL_nz00_8043, obj_t BgL_pz00_8044,
		obj_t BgL_arg0z00_8045)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4192z00_9357;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2890z00_9354;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2892z00_9355;

						BgL_arg2892z00_9355 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8043)))->BgL_bodyz00);
						BgL_arg2890z00_9354 =
							PROCEDURE_ENTRY(BgL_pz00_8044) (BgL_pz00_8044,
							((obj_t) BgL_arg2892z00_9355), BgL_arg0z00_8045, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2891z00_9356;

						BgL_list2891z00_9356 = MAKE_YOUNG_PAIR(BgL_arg2890z00_9354, BNIL);
						BgL_res4192z00_9357 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2891z00_9356);
					}
				}
				return BgL_res4192z00_9357;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-set-ex-it1909 */
	obj_t BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00(obj_t
		BgL_envz00_8046, obj_t BgL_nz00_8047, obj_t BgL_pz00_8048)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4193z00_9362;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2885z00_9359;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2889z00_9360;

						BgL_arg2889z00_9360 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8047)))->BgL_bodyz00);
						BgL_arg2885z00_9359 =
							PROCEDURE_ENTRY(BgL_pz00_8048) (BgL_pz00_8048,
							((obj_t) BgL_arg2889z00_9360), BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2886z00_9361;

						BgL_list2886z00_9361 = MAKE_YOUNG_PAIR(BgL_arg2885z00_9359, BNIL);
						BgL_res4193z00_9362 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2886z00_9361);
					}
				}
				return BgL_res4193z00_9362;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-set-ex-it1907 */
	obj_t BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t BgL_envz00_8049,
		obj_t BgL_nz00_8050, obj_t BgL_pz00_8051, obj_t BgL_arg0z00_8052,
		obj_t BgL_arg1z00_8053, obj_t BgL_arg2z00_8054)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2884z00_9364;

				BgL_arg2884z00_9364 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8050)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8051) (BgL_pz00_8051,
					((obj_t) BgL_arg2884z00_9364), BgL_arg0z00_8052, BgL_arg1z00_8053,
					BgL_arg2z00_8054, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-set-ex-it1905 */
	obj_t BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t BgL_envz00_8055,
		obj_t BgL_nz00_8056, obj_t BgL_pz00_8057, obj_t BgL_arg0z00_8058,
		obj_t BgL_arg1z00_8059)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2883z00_9366;

				BgL_arg2883z00_9366 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8056)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8057) (BgL_pz00_8057,
					((obj_t) BgL_arg2883z00_9366), BgL_arg0z00_8058, BgL_arg1z00_8059,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-set-ex-it1903 */
	obj_t BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t BgL_envz00_8060,
		obj_t BgL_nz00_8061, obj_t BgL_pz00_8062, obj_t BgL_arg0z00_8063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2882z00_9368;

				BgL_arg2882z00_9368 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8061)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8062) (BgL_pz00_8062,
					((obj_t) BgL_arg2882z00_9368), BgL_arg0z00_8063, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-set-ex-it1901 */
	obj_t BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00(obj_t BgL_envz00_8064,
		obj_t BgL_nz00_8065, obj_t BgL_pz00_8066)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2881z00_9370;

				BgL_arg2881z00_9370 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8065)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8066) (BgL_pz00_8066,
					((obj_t) BgL_arg2881z00_9370), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-fail1899 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2fail1899za2zzast_walkz00(obj_t
		BgL_envz00_8067, obj_t BgL_nz00_8068, obj_t BgL_pz00_8069,
		obj_t BgL_arg0z00_8070, obj_t BgL_arg1z00_8071, obj_t BgL_arg2z00_8072)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13543;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2878z00_9372;

					BgL_arg2878z00_9372 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_procz00);
					BgL_auxz00_13543 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8069) (BgL_pz00_8069,
							((obj_t) BgL_arg2878z00_9372), BgL_arg0z00_8070, BgL_arg1z00_8071,
							BgL_arg2z00_8072, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13543), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13557;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2879z00_9373;

					BgL_arg2879z00_9373 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_msgz00);
					BgL_auxz00_13557 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8069) (BgL_pz00_8069,
							((obj_t) BgL_arg2879z00_9373), BgL_arg0z00_8070, BgL_arg1z00_8071,
							BgL_arg2z00_8072, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13557), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13571;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2880z00_9374;

					BgL_arg2880z00_9374 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_objz00);
					BgL_auxz00_13571 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8069) (BgL_pz00_8069,
							((obj_t) BgL_arg2880z00_9374), BgL_arg0z00_8070, BgL_arg1z00_8071,
							BgL_arg2z00_8072, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8068)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13571), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8068));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-fail1897 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2fail1897za2zzast_walkz00(obj_t
		BgL_envz00_8073, obj_t BgL_nz00_8074, obj_t BgL_pz00_8075,
		obj_t BgL_arg0z00_8076, obj_t BgL_arg1z00_8077)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13587;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2872z00_9376;

					BgL_arg2872z00_9376 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_procz00);
					BgL_auxz00_13587 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8075) (BgL_pz00_8075,
							((obj_t) BgL_arg2872z00_9376), BgL_arg0z00_8076, BgL_arg1z00_8077,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13587), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13600;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2873z00_9377;

					BgL_arg2873z00_9377 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_msgz00);
					BgL_auxz00_13600 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8075) (BgL_pz00_8075,
							((obj_t) BgL_arg2873z00_9377), BgL_arg0z00_8076, BgL_arg1z00_8077,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13600), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13613;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2877z00_9378;

					BgL_arg2877z00_9378 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_objz00);
					BgL_auxz00_13613 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8075) (BgL_pz00_8075,
							((obj_t) BgL_arg2877z00_9378), BgL_arg0z00_8076, BgL_arg1z00_8077,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8074)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13613), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8074));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-fail1895 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2fail1895za2zzast_walkz00(obj_t
		BgL_envz00_8078, obj_t BgL_nz00_8079, obj_t BgL_pz00_8080,
		obj_t BgL_arg0z00_8081)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13628;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2869z00_9380;

					BgL_arg2869z00_9380 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_procz00);
					BgL_auxz00_13628 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8080) (BgL_pz00_8080,
							((obj_t) BgL_arg2869z00_9380), BgL_arg0z00_8081, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13628), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13640;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2870z00_9381;

					BgL_arg2870z00_9381 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_msgz00);
					BgL_auxz00_13640 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8080) (BgL_pz00_8080,
							((obj_t) BgL_arg2870z00_9381), BgL_arg0z00_8081, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13640), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13652;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2871z00_9382;

					BgL_arg2871z00_9382 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_objz00);
					BgL_auxz00_13652 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8080) (BgL_pz00_8080,
							((obj_t) BgL_arg2871z00_9382), BgL_arg0z00_8081, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13652), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8079));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-fail1893 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2fail1893za2zzast_walkz00(obj_t
		BgL_envz00_8082, obj_t BgL_nz00_8083, obj_t BgL_pz00_8084)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13666;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2866z00_9384;

					BgL_arg2866z00_9384 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_procz00);
					BgL_auxz00_13666 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8084) (BgL_pz00_8084,
							((obj_t) BgL_arg2866z00_9384), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13666), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13677;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2867z00_9385;

					BgL_arg2867z00_9385 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_msgz00);
					BgL_auxz00_13677 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8084) (BgL_pz00_8084,
							((obj_t) BgL_arg2867z00_9385), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13677), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13688;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2868z00_9386;

					BgL_arg2868z00_9386 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_objz00);
					BgL_auxz00_13688 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8084) (BgL_pz00_8084,
							((obj_t) BgL_arg2868z00_9386), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8083)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13688), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8083));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-fail1891 */
	obj_t BGl_z62walk3za2zd2fail1891z12zzast_walkz00(obj_t BgL_envz00_8085,
		obj_t BgL_nz00_8086, obj_t BgL_pz00_8087, obj_t BgL_arg0z00_8088,
		obj_t BgL_arg1z00_8089, obj_t BgL_arg2z00_8090)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4194z00_9397;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2854z00_9388;
					obj_t BgL_arg2855z00_9389;
					obj_t BgL_arg2856z00_9390;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2860z00_9391;

						BgL_arg2860z00_9391 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8086)))->BgL_procz00);
						BgL_arg2854z00_9388 =
							PROCEDURE_ENTRY(BgL_pz00_8087) (BgL_pz00_8087,
							((obj_t) BgL_arg2860z00_9391), BgL_arg0z00_8088, BgL_arg1z00_8089,
							BgL_arg2z00_8090, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2864z00_9392;

						BgL_arg2864z00_9392 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8086)))->BgL_msgz00);
						BgL_arg2855z00_9389 =
							PROCEDURE_ENTRY(BgL_pz00_8087) (BgL_pz00_8087,
							((obj_t) BgL_arg2864z00_9392), BgL_arg0z00_8088, BgL_arg1z00_8089,
							BgL_arg2z00_8090, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2865z00_9393;

						BgL_arg2865z00_9393 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8086)))->BgL_objz00);
						BgL_arg2856z00_9390 =
							PROCEDURE_ENTRY(BgL_pz00_8087) (BgL_pz00_8087,
							((obj_t) BgL_arg2865z00_9393), BgL_arg0z00_8088, BgL_arg1z00_8089,
							BgL_arg2z00_8090, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2857z00_9394;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2858z00_9395;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2859z00_9396;

								BgL_arg2859z00_9396 =
									MAKE_YOUNG_PAIR(BgL_arg2856z00_9390, BNIL);
								BgL_arg2858z00_9395 =
									MAKE_YOUNG_PAIR(BgL_arg2855z00_9389, BgL_arg2859z00_9396);
							}
							BgL_list2857z00_9394 =
								MAKE_YOUNG_PAIR(BgL_arg2854z00_9388, BgL_arg2858z00_9395);
						}
						BgL_res4194z00_9397 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2857z00_9394);
					}
				}
				return BgL_res4194z00_9397;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-fail1889 */
	obj_t BGl_z62walk2za2zd2fail1889z12zzast_walkz00(obj_t BgL_envz00_8091,
		obj_t BgL_nz00_8092, obj_t BgL_pz00_8093, obj_t BgL_arg0z00_8094,
		obj_t BgL_arg1z00_8095)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4195z00_9408;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2815z00_9399;
					obj_t BgL_arg2819z00_9400;
					obj_t BgL_arg2820z00_9401;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2824z00_9402;

						BgL_arg2824z00_9402 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8092)))->BgL_procz00);
						BgL_arg2815z00_9399 =
							PROCEDURE_ENTRY(BgL_pz00_8093) (BgL_pz00_8093,
							((obj_t) BgL_arg2824z00_9402), BgL_arg0z00_8094, BgL_arg1z00_8095,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2827z00_9403;

						BgL_arg2827z00_9403 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8092)))->BgL_msgz00);
						BgL_arg2819z00_9400 =
							PROCEDURE_ENTRY(BgL_pz00_8093) (BgL_pz00_8093,
							((obj_t) BgL_arg2827z00_9403), BgL_arg0z00_8094, BgL_arg1z00_8095,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2829z00_9404;

						BgL_arg2829z00_9404 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8092)))->BgL_objz00);
						BgL_arg2820z00_9401 =
							PROCEDURE_ENTRY(BgL_pz00_8093) (BgL_pz00_8093,
							((obj_t) BgL_arg2829z00_9404), BgL_arg0z00_8094, BgL_arg1z00_8095,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2821z00_9405;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2822z00_9406;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2823z00_9407;

								BgL_arg2823z00_9407 =
									MAKE_YOUNG_PAIR(BgL_arg2820z00_9401, BNIL);
								BgL_arg2822z00_9406 =
									MAKE_YOUNG_PAIR(BgL_arg2819z00_9400, BgL_arg2823z00_9407);
							}
							BgL_list2821z00_9405 =
								MAKE_YOUNG_PAIR(BgL_arg2815z00_9399, BgL_arg2822z00_9406);
						}
						BgL_res4195z00_9408 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2821z00_9405);
					}
				}
				return BgL_res4195z00_9408;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-fail1887 */
	obj_t BGl_z62walk1za2zd2fail1887z12zzast_walkz00(obj_t BgL_envz00_8096,
		obj_t BgL_nz00_8097, obj_t BgL_pz00_8098, obj_t BgL_arg0z00_8099)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4196z00_9419;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2803z00_9410;
					obj_t BgL_arg2804z00_9411;
					obj_t BgL_arg2805z00_9412;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2812z00_9413;

						BgL_arg2812z00_9413 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_procz00);
						BgL_arg2803z00_9410 =
							PROCEDURE_ENTRY(BgL_pz00_8098) (BgL_pz00_8098,
							((obj_t) BgL_arg2812z00_9413), BgL_arg0z00_8099, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2813z00_9414;

						BgL_arg2813z00_9414 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_msgz00);
						BgL_arg2804z00_9411 =
							PROCEDURE_ENTRY(BgL_pz00_8098) (BgL_pz00_8098,
							((obj_t) BgL_arg2813z00_9414), BgL_arg0z00_8099, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2814z00_9415;

						BgL_arg2814z00_9415 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_objz00);
						BgL_arg2805z00_9412 =
							PROCEDURE_ENTRY(BgL_pz00_8098) (BgL_pz00_8098,
							((obj_t) BgL_arg2814z00_9415), BgL_arg0z00_8099, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2806z00_9416;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2810z00_9417;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2811z00_9418;

								BgL_arg2811z00_9418 =
									MAKE_YOUNG_PAIR(BgL_arg2805z00_9412, BNIL);
								BgL_arg2810z00_9417 =
									MAKE_YOUNG_PAIR(BgL_arg2804z00_9411, BgL_arg2811z00_9418);
							}
							BgL_list2806z00_9416 =
								MAKE_YOUNG_PAIR(BgL_arg2803z00_9410, BgL_arg2810z00_9417);
						}
						BgL_res4196z00_9419 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2806z00_9416);
					}
				}
				return BgL_res4196z00_9419;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-fail1885 */
	obj_t BGl_z62walk0za2zd2fail1885z12zzast_walkz00(obj_t BgL_envz00_8100,
		obj_t BgL_nz00_8101, obj_t BgL_pz00_8102)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4197z00_9430;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2791z00_9421;
					obj_t BgL_arg2792z00_9422;
					obj_t BgL_arg2793z00_9423;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2800z00_9424;

						BgL_arg2800z00_9424 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8101)))->BgL_procz00);
						BgL_arg2791z00_9421 =
							PROCEDURE_ENTRY(BgL_pz00_8102) (BgL_pz00_8102,
							((obj_t) BgL_arg2800z00_9424), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2801z00_9425;

						BgL_arg2801z00_9425 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8101)))->BgL_msgz00);
						BgL_arg2792z00_9422 =
							PROCEDURE_ENTRY(BgL_pz00_8102) (BgL_pz00_8102,
							((obj_t) BgL_arg2801z00_9425), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2802z00_9426;

						BgL_arg2802z00_9426 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8101)))->BgL_objz00);
						BgL_arg2793z00_9423 =
							PROCEDURE_ENTRY(BgL_pz00_8102) (BgL_pz00_8102,
							((obj_t) BgL_arg2802z00_9426), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2794z00_9427;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2795z00_9428;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2796z00_9429;

								BgL_arg2796z00_9429 =
									MAKE_YOUNG_PAIR(BgL_arg2793z00_9423, BNIL);
								BgL_arg2795z00_9428 =
									MAKE_YOUNG_PAIR(BgL_arg2792z00_9422, BgL_arg2796z00_9429);
							}
							BgL_list2794z00_9427 =
								MAKE_YOUNG_PAIR(BgL_arg2791z00_9421, BgL_arg2795z00_9428);
						}
						BgL_res4197z00_9430 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2794z00_9427);
					}
				}
				return BgL_res4197z00_9430;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-fail1883 */
	obj_t BGl_z62walk3zd2fail1883zb0zzast_walkz00(obj_t BgL_envz00_8103,
		obj_t BgL_nz00_8104, obj_t BgL_pz00_8105, obj_t BgL_arg0z00_8106,
		obj_t BgL_arg1z00_8107, obj_t BgL_arg2z00_8108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2786z00_9432;

				BgL_arg2786z00_9432 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8104)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8105) (BgL_pz00_8105,
					((obj_t) BgL_arg2786z00_9432), BgL_arg0z00_8106, BgL_arg1z00_8107,
					BgL_arg2z00_8108, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2789z00_9433;

				BgL_arg2789z00_9433 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8104)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8105) (BgL_pz00_8105,
					((obj_t) BgL_arg2789z00_9433), BgL_arg0z00_8106, BgL_arg1z00_8107,
					BgL_arg2z00_8108, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2790z00_9434;

				BgL_arg2790z00_9434 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8104)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8105) (BgL_pz00_8105,
					((obj_t) BgL_arg2790z00_9434), BgL_arg0z00_8106, BgL_arg1z00_8107,
					BgL_arg2z00_8108, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-fail1881 */
	obj_t BGl_z62walk2zd2fail1881zb0zzast_walkz00(obj_t BgL_envz00_8109,
		obj_t BgL_nz00_8110, obj_t BgL_pz00_8111, obj_t BgL_arg0z00_8112,
		obj_t BgL_arg1z00_8113)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2773z00_9436;

				BgL_arg2773z00_9436 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8110)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8111) (BgL_pz00_8111,
					((obj_t) BgL_arg2773z00_9436), BgL_arg0z00_8112, BgL_arg1z00_8113,
					BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2776z00_9437;

				BgL_arg2776z00_9437 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8110)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8111) (BgL_pz00_8111,
					((obj_t) BgL_arg2776z00_9437), BgL_arg0z00_8112, BgL_arg1z00_8113,
					BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2783z00_9438;

				BgL_arg2783z00_9438 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8110)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8111) (BgL_pz00_8111,
					((obj_t) BgL_arg2783z00_9438), BgL_arg0z00_8112, BgL_arg1z00_8113,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-fail1879 */
	obj_t BGl_z62walk1zd2fail1879zb0zzast_walkz00(obj_t BgL_envz00_8114,
		obj_t BgL_nz00_8115, obj_t BgL_pz00_8116, obj_t BgL_arg0z00_8117)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2760z00_9440;

				BgL_arg2760z00_9440 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8116) (BgL_pz00_8116,
					((obj_t) BgL_arg2760z00_9440), BgL_arg0z00_8117, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2765z00_9441;

				BgL_arg2765z00_9441 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8116) (BgL_pz00_8116,
					((obj_t) BgL_arg2765z00_9441), BgL_arg0z00_8117, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2768z00_9442;

				BgL_arg2768z00_9442 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8116) (BgL_pz00_8116,
					((obj_t) BgL_arg2768z00_9442), BgL_arg0z00_8117, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-fail1877 */
	obj_t BGl_z62walk0zd2fail1877zb0zzast_walkz00(obj_t BgL_envz00_8118,
		obj_t BgL_nz00_8119, obj_t BgL_pz00_8120)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2755z00_9444;

				BgL_arg2755z00_9444 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8119)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8120) (BgL_pz00_8120,
					((obj_t) BgL_arg2755z00_9444), BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2757z00_9445;

				BgL_arg2757z00_9445 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8119)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8120) (BgL_pz00_8120,
					((obj_t) BgL_arg2757z00_9445), BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2759z00_9446;

				BgL_arg2759z00_9446 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8119)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8120) (BgL_pz00_8120,
					((obj_t) BgL_arg2759z00_9446), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-conditional1875 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2conditional1875za2zzast_walkz00(obj_t
		BgL_envz00_8121, obj_t BgL_nz00_8122, obj_t BgL_pz00_8123,
		obj_t BgL_arg0z00_8124, obj_t BgL_arg1z00_8125, obj_t BgL_arg2z00_8126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_13921;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2750z00_9448;

					BgL_arg2750z00_9448 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_testz00);
					BgL_auxz00_13921 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8123) (BgL_pz00_8123,
							((obj_t) BgL_arg2750z00_9448), BgL_arg0z00_8124, BgL_arg1z00_8125,
							BgL_arg2z00_8126, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13921), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13935;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2751z00_9449;

					BgL_arg2751z00_9449 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_truez00);
					BgL_auxz00_13935 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8123) (BgL_pz00_8123,
							((obj_t) BgL_arg2751z00_9449), BgL_arg0z00_8124, BgL_arg1z00_8125,
							BgL_arg2z00_8126, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13935), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13949;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2754z00_9450;

					BgL_arg2754z00_9450 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_falsez00);
					BgL_auxz00_13949 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8123) (BgL_pz00_8123,
							((obj_t) BgL_arg2754z00_9450), BgL_arg0z00_8124, BgL_arg1z00_8125,
							BgL_arg2z00_8126, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8122)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13949), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8122));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-conditional1873 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2conditional1873za2zzast_walkz00(obj_t
		BgL_envz00_8127, obj_t BgL_nz00_8128, obj_t BgL_pz00_8129,
		obj_t BgL_arg0z00_8130, obj_t BgL_arg1z00_8131)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_13965;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2745z00_9452;

					BgL_arg2745z00_9452 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_testz00);
					BgL_auxz00_13965 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8129) (BgL_pz00_8129,
							((obj_t) BgL_arg2745z00_9452), BgL_arg0z00_8130, BgL_arg1z00_8131,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13965), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13978;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2746z00_9453;

					BgL_arg2746z00_9453 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_truez00);
					BgL_auxz00_13978 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8129) (BgL_pz00_8129,
							((obj_t) BgL_arg2746z00_9453), BgL_arg0z00_8130, BgL_arg1z00_8131,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13978), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13991;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2749z00_9454;

					BgL_arg2749z00_9454 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_falsez00);
					BgL_auxz00_13991 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8129) (BgL_pz00_8129,
							((obj_t) BgL_arg2749z00_9454), BgL_arg0z00_8130, BgL_arg1z00_8131,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8128)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13991), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8128));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-conditional1871 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2conditional1871za2zzast_walkz00(obj_t
		BgL_envz00_8132, obj_t BgL_nz00_8133, obj_t BgL_pz00_8134,
		obj_t BgL_arg0z00_8135)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14006;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2729z00_9456;

					BgL_arg2729z00_9456 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_testz00);
					BgL_auxz00_14006 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8134) (BgL_pz00_8134,
							((obj_t) BgL_arg2729z00_9456), BgL_arg0z00_8135, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14006), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14018;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2735z00_9457;

					BgL_arg2735z00_9457 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_truez00);
					BgL_auxz00_14018 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8134) (BgL_pz00_8134,
							((obj_t) BgL_arg2735z00_9457), BgL_arg0z00_8135, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14018), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14030;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2744z00_9458;

					BgL_arg2744z00_9458 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_falsez00);
					BgL_auxz00_14030 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8134) (BgL_pz00_8134,
							((obj_t) BgL_arg2744z00_9458), BgL_arg0z00_8135, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14030), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8133));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-conditional1869 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2conditional1869za2zzast_walkz00(obj_t
		BgL_envz00_8136, obj_t BgL_nz00_8137, obj_t BgL_pz00_8138)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14044;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2725z00_9460;

					BgL_arg2725z00_9460 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_testz00);
					BgL_auxz00_14044 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8138) (BgL_pz00_8138,
							((obj_t) BgL_arg2725z00_9460), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14044), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14055;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2726z00_9461;

					BgL_arg2726z00_9461 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_truez00);
					BgL_auxz00_14055 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8138) (BgL_pz00_8138,
							((obj_t) BgL_arg2726z00_9461), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14055), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14066;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2728z00_9462;

					BgL_arg2728z00_9462 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_falsez00);
					BgL_auxz00_14066 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8138) (BgL_pz00_8138,
							((obj_t) BgL_arg2728z00_9462), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8137)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14066), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8137));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-conditional1867 */
	obj_t BGl_z62walk3za2zd2conditional1867z12zzast_walkz00(obj_t BgL_envz00_8139,
		obj_t BgL_nz00_8140, obj_t BgL_pz00_8141, obj_t BgL_arg0z00_8142,
		obj_t BgL_arg1z00_8143, obj_t BgL_arg2z00_8144)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4198z00_9473;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2710z00_9464;
					obj_t BgL_arg2712z00_9465;
					obj_t BgL_arg2713z00_9466;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2721z00_9467;

						BgL_arg2721z00_9467 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8140)))->BgL_testz00);
						BgL_arg2710z00_9464 =
							PROCEDURE_ENTRY(BgL_pz00_8141) (BgL_pz00_8141,
							((obj_t) BgL_arg2721z00_9467), BgL_arg0z00_8142, BgL_arg1z00_8143,
							BgL_arg2z00_8144, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2722z00_9468;

						BgL_arg2722z00_9468 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8140)))->BgL_truez00);
						BgL_arg2712z00_9465 =
							PROCEDURE_ENTRY(BgL_pz00_8141) (BgL_pz00_8141,
							((obj_t) BgL_arg2722z00_9468), BgL_arg0z00_8142, BgL_arg1z00_8143,
							BgL_arg2z00_8144, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2724z00_9469;

						BgL_arg2724z00_9469 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8140)))->BgL_falsez00);
						BgL_arg2713z00_9466 =
							PROCEDURE_ENTRY(BgL_pz00_8141) (BgL_pz00_8141,
							((obj_t) BgL_arg2724z00_9469), BgL_arg0z00_8142, BgL_arg1z00_8143,
							BgL_arg2z00_8144, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2714z00_9470;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2718z00_9471;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2719z00_9472;

								BgL_arg2719z00_9472 =
									MAKE_YOUNG_PAIR(BgL_arg2713z00_9466, BNIL);
								BgL_arg2718z00_9471 =
									MAKE_YOUNG_PAIR(BgL_arg2712z00_9465, BgL_arg2719z00_9472);
							}
							BgL_list2714z00_9470 =
								MAKE_YOUNG_PAIR(BgL_arg2710z00_9464, BgL_arg2718z00_9471);
						}
						BgL_res4198z00_9473 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2714z00_9470);
					}
				}
				return BgL_res4198z00_9473;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-conditional1865 */
	obj_t BGl_z62walk2za2zd2conditional1865z12zzast_walkz00(obj_t BgL_envz00_8145,
		obj_t BgL_nz00_8146, obj_t BgL_pz00_8147, obj_t BgL_arg0z00_8148,
		obj_t BgL_arg1z00_8149)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4199z00_9484;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2700z00_9475;
					obj_t BgL_arg2701z00_9476;
					obj_t BgL_arg2702z00_9477;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2707z00_9478;

						BgL_arg2707z00_9478 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8146)))->BgL_testz00);
						BgL_arg2700z00_9475 =
							PROCEDURE_ENTRY(BgL_pz00_8147) (BgL_pz00_8147,
							((obj_t) BgL_arg2707z00_9478), BgL_arg0z00_8148, BgL_arg1z00_8149,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2708z00_9479;

						BgL_arg2708z00_9479 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8146)))->BgL_truez00);
						BgL_arg2701z00_9476 =
							PROCEDURE_ENTRY(BgL_pz00_8147) (BgL_pz00_8147,
							((obj_t) BgL_arg2708z00_9479), BgL_arg0z00_8148, BgL_arg1z00_8149,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2709z00_9480;

						BgL_arg2709z00_9480 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8146)))->BgL_falsez00);
						BgL_arg2702z00_9477 =
							PROCEDURE_ENTRY(BgL_pz00_8147) (BgL_pz00_8147,
							((obj_t) BgL_arg2709z00_9480), BgL_arg0z00_8148, BgL_arg1z00_8149,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2703z00_9481;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2705z00_9482;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2706z00_9483;

								BgL_arg2706z00_9483 =
									MAKE_YOUNG_PAIR(BgL_arg2702z00_9477, BNIL);
								BgL_arg2705z00_9482 =
									MAKE_YOUNG_PAIR(BgL_arg2701z00_9476, BgL_arg2706z00_9483);
							}
							BgL_list2703z00_9481 =
								MAKE_YOUNG_PAIR(BgL_arg2700z00_9475, BgL_arg2705z00_9482);
						}
						BgL_res4199z00_9484 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2703z00_9481);
					}
				}
				return BgL_res4199z00_9484;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-conditional1863 */
	obj_t BGl_z62walk1za2zd2conditional1863z12zzast_walkz00(obj_t BgL_envz00_8150,
		obj_t BgL_nz00_8151, obj_t BgL_pz00_8152, obj_t BgL_arg0z00_8153)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4200z00_9495;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2689z00_9486;
					obj_t BgL_arg2690z00_9487;
					obj_t BgL_arg2691z00_9488;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2696z00_9489;

						BgL_arg2696z00_9489 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_testz00);
						BgL_arg2689z00_9486 =
							PROCEDURE_ENTRY(BgL_pz00_8152) (BgL_pz00_8152,
							((obj_t) BgL_arg2696z00_9489), BgL_arg0z00_8153, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2697z00_9490;

						BgL_arg2697z00_9490 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_truez00);
						BgL_arg2690z00_9487 =
							PROCEDURE_ENTRY(BgL_pz00_8152) (BgL_pz00_8152,
							((obj_t) BgL_arg2697z00_9490), BgL_arg0z00_8153, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2699z00_9491;

						BgL_arg2699z00_9491 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_falsez00);
						BgL_arg2691z00_9488 =
							PROCEDURE_ENTRY(BgL_pz00_8152) (BgL_pz00_8152,
							((obj_t) BgL_arg2699z00_9491), BgL_arg0z00_8153, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2692z00_9492;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2693z00_9493;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2694z00_9494;

								BgL_arg2694z00_9494 =
									MAKE_YOUNG_PAIR(BgL_arg2691z00_9488, BNIL);
								BgL_arg2693z00_9493 =
									MAKE_YOUNG_PAIR(BgL_arg2690z00_9487, BgL_arg2694z00_9494);
							}
							BgL_list2692z00_9492 =
								MAKE_YOUNG_PAIR(BgL_arg2689z00_9486, BgL_arg2693z00_9493);
						}
						BgL_res4200z00_9495 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2692z00_9492);
					}
				}
				return BgL_res4200z00_9495;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-conditional1861 */
	obj_t BGl_z62walk0za2zd2conditional1861z12zzast_walkz00(obj_t BgL_envz00_8154,
		obj_t BgL_nz00_8155, obj_t BgL_pz00_8156)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4201z00_9506;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2680z00_9497;
					obj_t BgL_arg2681z00_9498;
					obj_t BgL_arg2682z00_9499;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2686z00_9500;

						BgL_arg2686z00_9500 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8155)))->BgL_testz00);
						BgL_arg2680z00_9497 =
							PROCEDURE_ENTRY(BgL_pz00_8156) (BgL_pz00_8156,
							((obj_t) BgL_arg2686z00_9500), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2687z00_9501;

						BgL_arg2687z00_9501 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8155)))->BgL_truez00);
						BgL_arg2681z00_9498 =
							PROCEDURE_ENTRY(BgL_pz00_8156) (BgL_pz00_8156,
							((obj_t) BgL_arg2687z00_9501), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2688z00_9502;

						BgL_arg2688z00_9502 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8155)))->BgL_falsez00);
						BgL_arg2682z00_9499 =
							PROCEDURE_ENTRY(BgL_pz00_8156) (BgL_pz00_8156,
							((obj_t) BgL_arg2688z00_9502), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2683z00_9503;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2684z00_9504;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2685z00_9505;

								BgL_arg2685z00_9505 =
									MAKE_YOUNG_PAIR(BgL_arg2682z00_9499, BNIL);
								BgL_arg2684z00_9504 =
									MAKE_YOUNG_PAIR(BgL_arg2681z00_9498, BgL_arg2685z00_9505);
							}
							BgL_list2683z00_9503 =
								MAKE_YOUNG_PAIR(BgL_arg2680z00_9497, BgL_arg2684z00_9504);
						}
						BgL_res4201z00_9506 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2683z00_9503);
					}
				}
				return BgL_res4201z00_9506;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-conditional1859 */
	obj_t BGl_z62walk3zd2conditional1859zb0zzast_walkz00(obj_t BgL_envz00_8157,
		obj_t BgL_nz00_8158, obj_t BgL_pz00_8159, obj_t BgL_arg0z00_8160,
		obj_t BgL_arg1z00_8161, obj_t BgL_arg2z00_8162)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2677z00_9508;

				BgL_arg2677z00_9508 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8158)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8159) (BgL_pz00_8159,
					((obj_t) BgL_arg2677z00_9508), BgL_arg0z00_8160, BgL_arg1z00_8161,
					BgL_arg2z00_8162, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2678z00_9509;

				BgL_arg2678z00_9509 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8158)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8159) (BgL_pz00_8159,
					((obj_t) BgL_arg2678z00_9509), BgL_arg0z00_8160, BgL_arg1z00_8161,
					BgL_arg2z00_8162, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2679z00_9510;

				BgL_arg2679z00_9510 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8158)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8159) (BgL_pz00_8159,
					((obj_t) BgL_arg2679z00_9510), BgL_arg0z00_8160, BgL_arg1z00_8161,
					BgL_arg2z00_8162, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-conditional1857 */
	obj_t BGl_z62walk2zd2conditional1857zb0zzast_walkz00(obj_t BgL_envz00_8163,
		obj_t BgL_nz00_8164, obj_t BgL_pz00_8165, obj_t BgL_arg0z00_8166,
		obj_t BgL_arg1z00_8167)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2674z00_9512;

				BgL_arg2674z00_9512 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8164)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8165) (BgL_pz00_8165,
					((obj_t) BgL_arg2674z00_9512), BgL_arg0z00_8166, BgL_arg1z00_8167,
					BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2675z00_9513;

				BgL_arg2675z00_9513 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8164)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8165) (BgL_pz00_8165,
					((obj_t) BgL_arg2675z00_9513), BgL_arg0z00_8166, BgL_arg1z00_8167,
					BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2676z00_9514;

				BgL_arg2676z00_9514 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8164)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8165) (BgL_pz00_8165,
					((obj_t) BgL_arg2676z00_9514), BgL_arg0z00_8166, BgL_arg1z00_8167,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-conditional1855 */
	obj_t BGl_z62walk1zd2conditional1855zb0zzast_walkz00(obj_t BgL_envz00_8168,
		obj_t BgL_nz00_8169, obj_t BgL_pz00_8170, obj_t BgL_arg0z00_8171)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2671z00_9516;

				BgL_arg2671z00_9516 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8170) (BgL_pz00_8170,
					((obj_t) BgL_arg2671z00_9516), BgL_arg0z00_8171, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2672z00_9517;

				BgL_arg2672z00_9517 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8170) (BgL_pz00_8170,
					((obj_t) BgL_arg2672z00_9517), BgL_arg0z00_8171, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2673z00_9518;

				BgL_arg2673z00_9518 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8170) (BgL_pz00_8170,
					((obj_t) BgL_arg2673z00_9518), BgL_arg0z00_8171, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-conditional1853 */
	obj_t BGl_z62walk0zd2conditional1853zb0zzast_walkz00(obj_t BgL_envz00_8172,
		obj_t BgL_nz00_8173, obj_t BgL_pz00_8174)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2668z00_9520;

				BgL_arg2668z00_9520 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8173)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8174) (BgL_pz00_8174,
					((obj_t) BgL_arg2668z00_9520), BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2669z00_9521;

				BgL_arg2669z00_9521 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8173)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8174) (BgL_pz00_8174,
					((obj_t) BgL_arg2669z00_9521), BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2670z00_9522;

				BgL_arg2670z00_9522 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8173)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8174) (BgL_pz00_8174,
					((obj_t) BgL_arg2670z00_9522), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-setq1851 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setq1851za2zzast_walkz00(obj_t
		BgL_envz00_8175, obj_t BgL_nz00_8176, obj_t BgL_pz00_8177,
		obj_t BgL_arg0z00_8178, obj_t BgL_arg1z00_8179, obj_t BgL_arg2z00_8180)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14299;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2666z00_9524;

					BgL_arg2666z00_9524 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8176)))->BgL_varz00);
					BgL_auxz00_14299 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8177) (BgL_pz00_8177,
							((obj_t) BgL_arg2666z00_9524), BgL_arg0z00_8178, BgL_arg1z00_8179,
							BgL_arg2z00_8180, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8176)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14299), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14313;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2667z00_9525;

					BgL_arg2667z00_9525 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8176)))->BgL_valuez00);
					BgL_auxz00_14313 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8177) (BgL_pz00_8177,
							((obj_t) BgL_arg2667z00_9525), BgL_arg0z00_8178, BgL_arg1z00_8179,
							BgL_arg2z00_8180, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8176)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14313), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8176));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-setq1849 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setq1849za2zzast_walkz00(obj_t
		BgL_envz00_8181, obj_t BgL_nz00_8182, obj_t BgL_pz00_8183,
		obj_t BgL_arg0z00_8184, obj_t BgL_arg1z00_8185)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14329;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2664z00_9527;

					BgL_arg2664z00_9527 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8182)))->BgL_varz00);
					BgL_auxz00_14329 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8183) (BgL_pz00_8183,
							((obj_t) BgL_arg2664z00_9527), BgL_arg0z00_8184, BgL_arg1z00_8185,
							BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8182)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14329), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14342;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2665z00_9528;

					BgL_arg2665z00_9528 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8182)))->BgL_valuez00);
					BgL_auxz00_14342 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8183) (BgL_pz00_8183,
							((obj_t) BgL_arg2665z00_9528), BgL_arg0z00_8184, BgL_arg1z00_8185,
							BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8182)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14342), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8182));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-setq1847 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setq1847za2zzast_walkz00(obj_t
		BgL_envz00_8186, obj_t BgL_nz00_8187, obj_t BgL_pz00_8188,
		obj_t BgL_arg0z00_8189)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14357;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2662z00_9530;

					BgL_arg2662z00_9530 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_varz00);
					BgL_auxz00_14357 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8188) (BgL_pz00_8188,
							((obj_t) BgL_arg2662z00_9530), BgL_arg0z00_8189, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14357), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14369;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2663z00_9531;

					BgL_arg2663z00_9531 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_valuez00);
					BgL_auxz00_14369 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8188) (BgL_pz00_8188,
							((obj_t) BgL_arg2663z00_9531), BgL_arg0z00_8189, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14369), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8187));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-setq1845 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setq1845za2zzast_walkz00(obj_t
		BgL_envz00_8190, obj_t BgL_nz00_8191, obj_t BgL_pz00_8192)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14383;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2660z00_9533;

					BgL_arg2660z00_9533 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8191)))->BgL_varz00);
					BgL_auxz00_14383 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8192) (BgL_pz00_8192,
							((obj_t) BgL_arg2660z00_9533), BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8191)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14383), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14394;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2661z00_9534;

					BgL_arg2661z00_9534 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8191)))->BgL_valuez00);
					BgL_auxz00_14394 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8192) (BgL_pz00_8192,
							((obj_t) BgL_arg2661z00_9534), BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8191)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14394), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8191));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-setq1843 */
	obj_t BGl_z62walk3za2zd2setq1843z12zzast_walkz00(obj_t BgL_envz00_8193,
		obj_t BgL_nz00_8194, obj_t BgL_pz00_8195, obj_t BgL_arg0z00_8196,
		obj_t BgL_arg1z00_8197, obj_t BgL_arg2z00_8198)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4202z00_9540;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2656z00_9536;
					obj_t BgL_arg2657z00_9537;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2658z00_9538;

						BgL_arg2658z00_9538 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8194)))->BgL_varz00);
						BgL_arg2656z00_9536 =
							PROCEDURE_ENTRY(BgL_pz00_8195) (BgL_pz00_8195,
							((obj_t) BgL_arg2658z00_9538), BgL_arg0z00_8196, BgL_arg1z00_8197,
							BgL_arg2z00_8198, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2659z00_9539;

						BgL_arg2659z00_9539 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8194)))->BgL_valuez00);
						BgL_arg2657z00_9537 =
							PROCEDURE_ENTRY(BgL_pz00_8195) (BgL_pz00_8195,
							((obj_t) BgL_arg2659z00_9539), BgL_arg0z00_8196, BgL_arg1z00_8197,
							BgL_arg2z00_8198, BEOA);
					}
					BgL_res4202z00_9540 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2656z00_9536,
						BgL_arg2657z00_9537);
				}
				return BgL_res4202z00_9540;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-setq1841 */
	obj_t BGl_z62walk2za2zd2setq1841z12zzast_walkz00(obj_t BgL_envz00_8199,
		obj_t BgL_nz00_8200, obj_t BgL_pz00_8201, obj_t BgL_arg0z00_8202,
		obj_t BgL_arg1z00_8203)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4203z00_9546;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2652z00_9542;
					obj_t BgL_arg2653z00_9543;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2654z00_9544;

						BgL_arg2654z00_9544 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8200)))->BgL_varz00);
						BgL_arg2652z00_9542 =
							PROCEDURE_ENTRY(BgL_pz00_8201) (BgL_pz00_8201,
							((obj_t) BgL_arg2654z00_9544), BgL_arg0z00_8202, BgL_arg1z00_8203,
							BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2655z00_9545;

						BgL_arg2655z00_9545 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8200)))->BgL_valuez00);
						BgL_arg2653z00_9543 =
							PROCEDURE_ENTRY(BgL_pz00_8201) (BgL_pz00_8201,
							((obj_t) BgL_arg2655z00_9545), BgL_arg0z00_8202, BgL_arg1z00_8203,
							BEOA);
					}
					BgL_res4203z00_9546 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2652z00_9542,
						BgL_arg2653z00_9543);
				}
				return BgL_res4203z00_9546;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-setq1839 */
	obj_t BGl_z62walk1za2zd2setq1839z12zzast_walkz00(obj_t BgL_envz00_8204,
		obj_t BgL_nz00_8205, obj_t BgL_pz00_8206, obj_t BgL_arg0z00_8207)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4204z00_9552;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2648z00_9548;
					obj_t BgL_arg2649z00_9549;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2650z00_9550;

						BgL_arg2650z00_9550 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8205)))->BgL_varz00);
						BgL_arg2648z00_9548 =
							PROCEDURE_ENTRY(BgL_pz00_8206) (BgL_pz00_8206,
							((obj_t) BgL_arg2650z00_9550), BgL_arg0z00_8207, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2651z00_9551;

						BgL_arg2651z00_9551 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8205)))->BgL_valuez00);
						BgL_arg2649z00_9549 =
							PROCEDURE_ENTRY(BgL_pz00_8206) (BgL_pz00_8206,
							((obj_t) BgL_arg2651z00_9551), BgL_arg0z00_8207, BEOA);
					}
					BgL_res4204z00_9552 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2648z00_9548,
						BgL_arg2649z00_9549);
				}
				return BgL_res4204z00_9552;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-setq1837 */
	obj_t BGl_z62walk0za2zd2setq1837z12zzast_walkz00(obj_t BgL_envz00_8208,
		obj_t BgL_nz00_8209, obj_t BgL_pz00_8210)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4205z00_9558;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2644z00_9554;
					obj_t BgL_arg2645z00_9555;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2646z00_9556;

						BgL_arg2646z00_9556 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8209)))->BgL_varz00);
						BgL_arg2644z00_9554 =
							PROCEDURE_ENTRY(BgL_pz00_8210) (BgL_pz00_8210,
							((obj_t) BgL_arg2646z00_9556), BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2647z00_9557;

						BgL_arg2647z00_9557 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8209)))->BgL_valuez00);
						BgL_arg2645z00_9555 =
							PROCEDURE_ENTRY(BgL_pz00_8210) (BgL_pz00_8210,
							((obj_t) BgL_arg2647z00_9557), BEOA);
					}
					BgL_res4205z00_9558 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2644z00_9554,
						BgL_arg2645z00_9555);
				}
				return BgL_res4205z00_9558;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-setq1835 */
	obj_t BGl_z62walk3zd2setq1835zb0zzast_walkz00(obj_t BgL_envz00_8211,
		obj_t BgL_nz00_8212, obj_t BgL_pz00_8213, obj_t BgL_arg0z00_8214,
		obj_t BgL_arg1z00_8215, obj_t BgL_arg2z00_8216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2642z00_9560;

				BgL_arg2642z00_9560 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8212)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8213) (BgL_pz00_8213,
					((obj_t) BgL_arg2642z00_9560), BgL_arg0z00_8214, BgL_arg1z00_8215,
					BgL_arg2z00_8216, BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2643z00_9561;

				BgL_arg2643z00_9561 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8212)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8213) (BgL_pz00_8213,
					((obj_t) BgL_arg2643z00_9561), BgL_arg0z00_8214, BgL_arg1z00_8215,
					BgL_arg2z00_8216, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-setq1833 */
	obj_t BGl_z62walk2zd2setq1833zb0zzast_walkz00(obj_t BgL_envz00_8217,
		obj_t BgL_nz00_8218, obj_t BgL_pz00_8219, obj_t BgL_arg0z00_8220,
		obj_t BgL_arg1z00_8221)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2640z00_9563;

				BgL_arg2640z00_9563 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8218)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8219) (BgL_pz00_8219,
					((obj_t) BgL_arg2640z00_9563), BgL_arg0z00_8220, BgL_arg1z00_8221,
					BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2641z00_9564;

				BgL_arg2641z00_9564 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8218)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8219) (BgL_pz00_8219,
					((obj_t) BgL_arg2641z00_9564), BgL_arg0z00_8220, BgL_arg1z00_8221,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-setq1831 */
	obj_t BGl_z62walk1zd2setq1831zb0zzast_walkz00(obj_t BgL_envz00_8222,
		obj_t BgL_nz00_8223, obj_t BgL_pz00_8224, obj_t BgL_arg0z00_8225)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2638z00_9566;

				BgL_arg2638z00_9566 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8223)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8224) (BgL_pz00_8224,
					((obj_t) BgL_arg2638z00_9566), BgL_arg0z00_8225, BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2639z00_9567;

				BgL_arg2639z00_9567 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8223)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8224) (BgL_pz00_8224,
					((obj_t) BgL_arg2639z00_9567), BgL_arg0z00_8225, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-setq1829 */
	obj_t BGl_z62walk0zd2setq1829zb0zzast_walkz00(obj_t BgL_envz00_8226,
		obj_t BgL_nz00_8227, obj_t BgL_pz00_8228)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2636z00_9569;

				BgL_arg2636z00_9569 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8227)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8228) (BgL_pz00_8228,
					((obj_t) BgL_arg2636z00_9569), BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2637z00_9570;

				BgL_arg2637z00_9570 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8227)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8228) (BgL_pz00_8228,
					((obj_t) BgL_arg2637z00_9570), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-cast1827 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2cast1827za2zzast_walkz00(obj_t
		BgL_envz00_8229, obj_t BgL_nz00_8230, obj_t BgL_pz00_8231,
		obj_t BgL_arg0z00_8232, obj_t BgL_arg1z00_8233, obj_t BgL_arg2z00_8234)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14547;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2635z00_9572;

					BgL_arg2635z00_9572 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8230)))->BgL_argz00);
					BgL_auxz00_14547 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8231) (BgL_pz00_8231,
							((obj_t) BgL_arg2635z00_9572), BgL_arg0z00_8232, BgL_arg1z00_8233,
							BgL_arg2z00_8234, BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8230)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14547), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8230));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-cast1825 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2cast1825za2zzast_walkz00(obj_t
		BgL_envz00_8235, obj_t BgL_nz00_8236, obj_t BgL_pz00_8237,
		obj_t BgL_arg0z00_8238, obj_t BgL_arg1z00_8239)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14563;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2634z00_9574;

					BgL_arg2634z00_9574 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8236)))->BgL_argz00);
					BgL_auxz00_14563 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8237) (BgL_pz00_8237,
							((obj_t) BgL_arg2634z00_9574), BgL_arg0z00_8238, BgL_arg1z00_8239,
							BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8236)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14563), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8236));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-cast1823 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2cast1823za2zzast_walkz00(obj_t
		BgL_envz00_8240, obj_t BgL_nz00_8241, obj_t BgL_pz00_8242,
		obj_t BgL_arg0z00_8243)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14578;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2633z00_9576;

					BgL_arg2633z00_9576 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8241)))->BgL_argz00);
					BgL_auxz00_14578 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8242) (BgL_pz00_8242,
							((obj_t) BgL_arg2633z00_9576), BgL_arg0z00_8243, BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8241)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14578), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8241));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-cast1821 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2cast1821za2zzast_walkz00(obj_t
		BgL_envz00_8244, obj_t BgL_nz00_8245, obj_t BgL_pz00_8246)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14592;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2632z00_9578;

					BgL_arg2632z00_9578 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8245)))->BgL_argz00);
					BgL_auxz00_14592 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8246) (BgL_pz00_8246,
							((obj_t) BgL_arg2632z00_9578), BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8245)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14592), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8245));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-cast1819 */
	obj_t BGl_z62walk3za2zd2cast1819z12zzast_walkz00(obj_t BgL_envz00_8247,
		obj_t BgL_nz00_8248, obj_t BgL_pz00_8249, obj_t BgL_arg0z00_8250,
		obj_t BgL_arg1z00_8251, obj_t BgL_arg2z00_8252)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4206z00_9583;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2629z00_9580;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2631z00_9581;

						BgL_arg2631z00_9581 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8248)))->BgL_argz00);
						BgL_arg2629z00_9580 =
							PROCEDURE_ENTRY(BgL_pz00_8249) (BgL_pz00_8249,
							((obj_t) BgL_arg2631z00_9581), BgL_arg0z00_8250, BgL_arg1z00_8251,
							BgL_arg2z00_8252, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2630z00_9582;

						BgL_list2630z00_9582 = MAKE_YOUNG_PAIR(BgL_arg2629z00_9580, BNIL);
						BgL_res4206z00_9583 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2630z00_9582);
					}
				}
				return BgL_res4206z00_9583;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-cast1817 */
	obj_t BGl_z62walk2za2zd2cast1817z12zzast_walkz00(obj_t BgL_envz00_8253,
		obj_t BgL_nz00_8254, obj_t BgL_pz00_8255, obj_t BgL_arg0z00_8256,
		obj_t BgL_arg1z00_8257)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4207z00_9588;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2626z00_9585;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2628z00_9586;

						BgL_arg2628z00_9586 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8254)))->BgL_argz00);
						BgL_arg2626z00_9585 =
							PROCEDURE_ENTRY(BgL_pz00_8255) (BgL_pz00_8255,
							((obj_t) BgL_arg2628z00_9586), BgL_arg0z00_8256, BgL_arg1z00_8257,
							BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2627z00_9587;

						BgL_list2627z00_9587 = MAKE_YOUNG_PAIR(BgL_arg2626z00_9585, BNIL);
						BgL_res4207z00_9588 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2627z00_9587);
					}
				}
				return BgL_res4207z00_9588;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-cast1815 */
	obj_t BGl_z62walk1za2zd2cast1815z12zzast_walkz00(obj_t BgL_envz00_8258,
		obj_t BgL_nz00_8259, obj_t BgL_pz00_8260, obj_t BgL_arg0z00_8261)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4208z00_9593;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2623z00_9590;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2625z00_9591;

						BgL_arg2625z00_9591 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8259)))->BgL_argz00);
						BgL_arg2623z00_9590 =
							PROCEDURE_ENTRY(BgL_pz00_8260) (BgL_pz00_8260,
							((obj_t) BgL_arg2625z00_9591), BgL_arg0z00_8261, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2624z00_9592;

						BgL_list2624z00_9592 = MAKE_YOUNG_PAIR(BgL_arg2623z00_9590, BNIL);
						BgL_res4208z00_9593 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2624z00_9592);
					}
				}
				return BgL_res4208z00_9593;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-cast1813 */
	obj_t BGl_z62walk0za2zd2cast1813z12zzast_walkz00(obj_t BgL_envz00_8262,
		obj_t BgL_nz00_8263, obj_t BgL_pz00_8264)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4209z00_9598;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2620z00_9595;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2622z00_9596;

						BgL_arg2622z00_9596 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8263)))->BgL_argz00);
						BgL_arg2620z00_9595 =
							PROCEDURE_ENTRY(BgL_pz00_8264) (BgL_pz00_8264,
							((obj_t) BgL_arg2622z00_9596), BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2621z00_9597;

						BgL_list2621z00_9597 = MAKE_YOUNG_PAIR(BgL_arg2620z00_9595, BNIL);
						BgL_res4209z00_9598 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2621z00_9597);
					}
				}
				return BgL_res4209z00_9598;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-cast1811 */
	obj_t BGl_z62walk3zd2cast1811zb0zzast_walkz00(obj_t BgL_envz00_8265,
		obj_t BgL_nz00_8266, obj_t BgL_pz00_8267, obj_t BgL_arg0z00_8268,
		obj_t BgL_arg1z00_8269, obj_t BgL_arg2z00_8270)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2619z00_9600;

				BgL_arg2619z00_9600 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8266)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8267) (BgL_pz00_8267,
					((obj_t) BgL_arg2619z00_9600), BgL_arg0z00_8268, BgL_arg1z00_8269,
					BgL_arg2z00_8270, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-cast1809 */
	obj_t BGl_z62walk2zd2cast1809zb0zzast_walkz00(obj_t BgL_envz00_8271,
		obj_t BgL_nz00_8272, obj_t BgL_pz00_8273, obj_t BgL_arg0z00_8274,
		obj_t BgL_arg1z00_8275)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2617z00_9602;

				BgL_arg2617z00_9602 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8272)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8273) (BgL_pz00_8273,
					((obj_t) BgL_arg2617z00_9602), BgL_arg0z00_8274, BgL_arg1z00_8275,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-cast1807 */
	obj_t BGl_z62walk1zd2cast1807zb0zzast_walkz00(obj_t BgL_envz00_8276,
		obj_t BgL_nz00_8277, obj_t BgL_pz00_8278, obj_t BgL_arg0z00_8279)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2616z00_9604;

				BgL_arg2616z00_9604 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8277)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8278) (BgL_pz00_8278,
					((obj_t) BgL_arg2616z00_9604), BgL_arg0z00_8279, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-cast1805 */
	obj_t BGl_z62walk0zd2cast1805zb0zzast_walkz00(obj_t BgL_envz00_8280,
		obj_t BgL_nz00_8281, obj_t BgL_pz00_8282)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2615z00_9606;

				BgL_arg2615z00_9606 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8281)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8282) (BgL_pz00_8282,
					((obj_t) BgL_arg2615z00_9606), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-extern1803 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2extern1803za2zzast_walkz00(obj_t
		BgL_envz00_8283, obj_t BgL_nz00_8284, obj_t BgL_pz00_8285,
		obj_t BgL_arg0z00_8286, obj_t BgL_arg1z00_8287, obj_t BgL_arg2z00_8288)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9609;

				BgL_fieldsz00_9609 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8284)))->BgL_exprza2za2);
			BgL_loopz00_9608:
				if (NULLP(BgL_fieldsz00_9609))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2611z00_9610;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2613z00_9611;

								BgL_arg2613z00_9611 = CAR(((obj_t) BgL_fieldsz00_9609));
								BgL_arg2611z00_9610 =
									PROCEDURE_ENTRY(BgL_pz00_8285) (BgL_pz00_8285,
									BgL_arg2613z00_9611, BgL_arg0z00_8286, BgL_arg1z00_8287,
									BgL_arg2z00_8288, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14692;

								BgL_tmpz00_14692 = ((obj_t) BgL_fieldsz00_9609);
								SET_CAR(BgL_tmpz00_14692, BgL_arg2611z00_9610);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2614z00_9612;

							BgL_arg2614z00_9612 = CDR(((obj_t) BgL_fieldsz00_9609));
							{
								obj_t BgL_fieldsz00_14697;

								BgL_fieldsz00_14697 = BgL_arg2614z00_9612;
								BgL_fieldsz00_9609 = BgL_fieldsz00_14697;
								goto BgL_loopz00_9608;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8284));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-extern1801 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2extern1801za2zzast_walkz00(obj_t
		BgL_envz00_8289, obj_t BgL_nz00_8290, obj_t BgL_pz00_8291,
		obj_t BgL_arg0z00_8292, obj_t BgL_arg1z00_8293)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9615;

				BgL_fieldsz00_9615 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8290)))->BgL_exprza2za2);
			BgL_loopz00_9614:
				if (NULLP(BgL_fieldsz00_9615))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2604z00_9616;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2606z00_9617;

								BgL_arg2606z00_9617 = CAR(((obj_t) BgL_fieldsz00_9615));
								BgL_arg2604z00_9616 =
									PROCEDURE_ENTRY(BgL_pz00_8291) (BgL_pz00_8291,
									BgL_arg2606z00_9617, BgL_arg0z00_8292, BgL_arg1z00_8293,
									BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14712;

								BgL_tmpz00_14712 = ((obj_t) BgL_fieldsz00_9615);
								SET_CAR(BgL_tmpz00_14712, BgL_arg2604z00_9616);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2607z00_9618;

							BgL_arg2607z00_9618 = CDR(((obj_t) BgL_fieldsz00_9615));
							{
								obj_t BgL_fieldsz00_14717;

								BgL_fieldsz00_14717 = BgL_arg2607z00_9618;
								BgL_fieldsz00_9615 = BgL_fieldsz00_14717;
								goto BgL_loopz00_9614;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8290));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-extern1799 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2extern1799za2zzast_walkz00(obj_t
		BgL_envz00_8294, obj_t BgL_nz00_8295, obj_t BgL_pz00_8296,
		obj_t BgL_arg0z00_8297)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9621;

				BgL_fieldsz00_9621 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8295)))->BgL_exprza2za2);
			BgL_loopz00_9620:
				if (NULLP(BgL_fieldsz00_9621))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2597z00_9622;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2599z00_9623;

								BgL_arg2599z00_9623 = CAR(((obj_t) BgL_fieldsz00_9621));
								BgL_arg2597z00_9622 =
									PROCEDURE_ENTRY(BgL_pz00_8296) (BgL_pz00_8296,
									BgL_arg2599z00_9623, BgL_arg0z00_8297, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14731;

								BgL_tmpz00_14731 = ((obj_t) BgL_fieldsz00_9621);
								SET_CAR(BgL_tmpz00_14731, BgL_arg2597z00_9622);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2600z00_9624;

							BgL_arg2600z00_9624 = CDR(((obj_t) BgL_fieldsz00_9621));
							{
								obj_t BgL_fieldsz00_14736;

								BgL_fieldsz00_14736 = BgL_arg2600z00_9624;
								BgL_fieldsz00_9621 = BgL_fieldsz00_14736;
								goto BgL_loopz00_9620;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8295));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-extern1797 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2extern1797za2zzast_walkz00(obj_t
		BgL_envz00_8298, obj_t BgL_nz00_8299, obj_t BgL_pz00_8300)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9627;

				BgL_fieldsz00_9627 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8299)))->BgL_exprza2za2);
			BgL_loopz00_9626:
				if (NULLP(BgL_fieldsz00_9627))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2591z00_9628;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2592z00_9629;

								BgL_arg2592z00_9629 = CAR(((obj_t) BgL_fieldsz00_9627));
								BgL_arg2591z00_9628 =
									PROCEDURE_ENTRY(BgL_pz00_8300) (BgL_pz00_8300,
									BgL_arg2592z00_9629, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14749;

								BgL_tmpz00_14749 = ((obj_t) BgL_fieldsz00_9627);
								SET_CAR(BgL_tmpz00_14749, BgL_arg2591z00_9628);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2593z00_9630;

							BgL_arg2593z00_9630 = CDR(((obj_t) BgL_fieldsz00_9627));
							{
								obj_t BgL_fieldsz00_14754;

								BgL_fieldsz00_14754 = BgL_arg2593z00_9630;
								BgL_fieldsz00_9627 = BgL_fieldsz00_14754;
								goto BgL_loopz00_9626;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8299));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-extern1795 */
	obj_t BGl_z62walk3za2zd2extern1795z12zzast_walkz00(obj_t BgL_envz00_8301,
		obj_t BgL_nz00_8302, obj_t BgL_pz00_8303, obj_t BgL_arg0z00_8304,
		obj_t BgL_arg1z00_8305, obj_t BgL_arg2z00_8306)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4210z00_9634;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2578z00_9632;

					BgL_arg2578z00_9632 =
						BGl_zc3anonymousza32580ze3ze70z64zzast_walkz00(BgL_arg2z00_8306,
						BgL_arg1z00_8305, BgL_arg0z00_8304, BgL_pz00_8303,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8302)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2579z00_9633;

						BgL_list2579z00_9633 = MAKE_YOUNG_PAIR(BgL_arg2578z00_9632, BNIL);
						BgL_res4210z00_9634 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2579z00_9633);
					}
				}
				return BgL_res4210z00_9634;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2580>~0 */
	obj_t BGl_zc3anonymousza32580ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8646,
		obj_t BgL_arg1z00_8645, obj_t BgL_arg0z00_8644, obj_t BgL_pz00_8643,
		obj_t BgL_l1552z00_3421)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1552z00_3421))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2582z00_3424;
					obj_t BgL_arg2583z00_3425;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3426;

						BgL_fz00_3426 = CAR(((obj_t) BgL_l1552z00_3421));
						BgL_arg2582z00_3424 =
							PROCEDURE_ENTRY(BgL_pz00_8643) (BgL_pz00_8643, BgL_fz00_3426,
							BgL_arg0z00_8644, BgL_arg1z00_8645, BgL_arg2z00_8646, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2585z00_3427;

						BgL_arg2585z00_3427 = CDR(((obj_t) BgL_l1552z00_3421));
						BgL_arg2583z00_3425 =
							BGl_zc3anonymousza32580ze3ze70z64zzast_walkz00(BgL_arg2z00_8646,
							BgL_arg1z00_8645, BgL_arg0z00_8644, BgL_pz00_8643,
							BgL_arg2585z00_3427);
					}
					return bgl_append2(BgL_arg2582z00_3424, BgL_arg2583z00_3425);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-extern1793 */
	obj_t BGl_z62walk2za2zd2extern1793z12zzast_walkz00(obj_t BgL_envz00_8307,
		obj_t BgL_nz00_8308, obj_t BgL_pz00_8309, obj_t BgL_arg0z00_8310,
		obj_t BgL_arg1z00_8311)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4211z00_9638;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2571z00_9636;

					BgL_arg2571z00_9636 =
						BGl_zc3anonymousza32573ze3ze70z64zzast_walkz00(BgL_arg1z00_8311,
						BgL_arg0z00_8310, BgL_pz00_8309,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8308)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2572z00_9637;

						BgL_list2572z00_9637 = MAKE_YOUNG_PAIR(BgL_arg2571z00_9636, BNIL);
						BgL_res4211z00_9638 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2572z00_9637);
					}
				}
				return BgL_res4211z00_9638;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2573>~0 */
	obj_t BGl_zc3anonymousza32573ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8642,
		obj_t BgL_arg0z00_8641, obj_t BgL_pz00_8640, obj_t BgL_l1549z00_3400)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1549z00_3400))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2575z00_3403;
					obj_t BgL_arg2576z00_3404;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3405;

						BgL_fz00_3405 = CAR(((obj_t) BgL_l1549z00_3400));
						BgL_arg2575z00_3403 =
							PROCEDURE_ENTRY(BgL_pz00_8640) (BgL_pz00_8640, BgL_fz00_3405,
							BgL_arg0z00_8641, BgL_arg1z00_8642, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2577z00_3406;

						BgL_arg2577z00_3406 = CDR(((obj_t) BgL_l1549z00_3400));
						BgL_arg2576z00_3404 =
							BGl_zc3anonymousza32573ze3ze70z64zzast_walkz00(BgL_arg1z00_8642,
							BgL_arg0z00_8641, BgL_pz00_8640, BgL_arg2577z00_3406);
					}
					return bgl_append2(BgL_arg2575z00_3403, BgL_arg2576z00_3404);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-extern1791 */
	obj_t BGl_z62walk1za2zd2extern1791z12zzast_walkz00(obj_t BgL_envz00_8312,
		obj_t BgL_nz00_8313, obj_t BgL_pz00_8314, obj_t BgL_arg0z00_8315)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4212z00_9642;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2564z00_9640;

					BgL_arg2564z00_9640 =
						BGl_zc3anonymousza32566ze3ze70z64zzast_walkz00(BgL_arg0z00_8315,
						BgL_pz00_8314,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8313)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2565z00_9641;

						BgL_list2565z00_9641 = MAKE_YOUNG_PAIR(BgL_arg2564z00_9640, BNIL);
						BgL_res4212z00_9642 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2565z00_9641);
					}
				}
				return BgL_res4212z00_9642;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2566>~0 */
	obj_t BGl_zc3anonymousza32566ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8639,
		obj_t BgL_pz00_8638, obj_t BgL_l1546z00_3380)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1546z00_3380))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2568z00_3383;
					obj_t BgL_arg2569z00_3384;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3385;

						BgL_fz00_3385 = CAR(((obj_t) BgL_l1546z00_3380));
						BgL_arg2568z00_3383 =
							PROCEDURE_ENTRY(BgL_pz00_8638) (BgL_pz00_8638, BgL_fz00_3385,
							BgL_arg0z00_8639, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2570z00_3386;

						BgL_arg2570z00_3386 = CDR(((obj_t) BgL_l1546z00_3380));
						BgL_arg2569z00_3384 =
							BGl_zc3anonymousza32566ze3ze70z64zzast_walkz00(BgL_arg0z00_8639,
							BgL_pz00_8638, BgL_arg2570z00_3386);
					}
					return bgl_append2(BgL_arg2568z00_3383, BgL_arg2569z00_3384);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-extern1789 */
	obj_t BGl_z62walk0za2zd2extern1789z12zzast_walkz00(obj_t BgL_envz00_8316,
		obj_t BgL_nz00_8317, obj_t BgL_pz00_8318)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4213z00_9646;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2555z00_9644;

					BgL_arg2555z00_9644 =
						BGl_zc3anonymousza32557ze3ze70z64zzast_walkz00(BgL_pz00_8318,
						(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nz00_8317)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2556z00_9645;

						BgL_list2556z00_9645 = MAKE_YOUNG_PAIR(BgL_arg2555z00_9644, BNIL);
						BgL_res4213z00_9646 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2556z00_9645);
					}
				}
				return BgL_res4213z00_9646;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2557>~0 */
	obj_t BGl_zc3anonymousza32557ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8637,
		obj_t BgL_l1543z00_3361)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1543z00_3361))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2560z00_3364;
					obj_t BgL_arg2561z00_3365;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3366;

						BgL_fz00_3366 = CAR(((obj_t) BgL_l1543z00_3361));
						BgL_arg2560z00_3364 =
							PROCEDURE_ENTRY(BgL_pz00_8637) (BgL_pz00_8637, BgL_fz00_3366,
							BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2563z00_3367;

						BgL_arg2563z00_3367 = CDR(((obj_t) BgL_l1543z00_3361));
						BgL_arg2561z00_3365 =
							BGl_zc3anonymousza32557ze3ze70z64zzast_walkz00(BgL_pz00_8637,
							BgL_arg2563z00_3367);
					}
					return bgl_append2(BgL_arg2560z00_3364, BgL_arg2561z00_3365);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-extern1787 */
	obj_t BGl_z62walk3zd2extern1787zb0zzast_walkz00(obj_t BgL_envz00_8319,
		obj_t BgL_nz00_8320, obj_t BgL_pz00_8321, obj_t BgL_arg0z00_8322,
		obj_t BgL_arg1z00_8323, obj_t BgL_arg2z00_8324)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1541z00_9648;

				BgL_g1541z00_9648 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8320)))->BgL_exprza2za2);
				{
					obj_t BgL_l1539z00_9650;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_14835;

						BgL_l1539z00_9650 = BgL_g1541z00_9648;
					BgL_zc3anonymousza32550ze3z83_9649:
						if (PAIRP(BgL_l1539z00_9650))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9651;

									BgL_fz00_9651 = CAR(BgL_l1539z00_9650);
									PROCEDURE_ENTRY(BgL_pz00_8321) (BgL_pz00_8321, BgL_fz00_9651,
										BgL_arg0z00_8322, BgL_arg1z00_8323, BgL_arg2z00_8324, BEOA);
								}
								{
									obj_t BgL_l1539z00_14846;

									BgL_l1539z00_14846 = CDR(BgL_l1539z00_9650);
									BgL_l1539z00_9650 = BgL_l1539z00_14846;
									goto BgL_zc3anonymousza32550ze3z83_9649;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_14835 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_14835);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-extern1785 */
	obj_t BGl_z62walk2zd2extern1785zb0zzast_walkz00(obj_t BgL_envz00_8325,
		obj_t BgL_nz00_8326, obj_t BgL_pz00_8327, obj_t BgL_arg0z00_8328,
		obj_t BgL_arg1z00_8329)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1538z00_9653;

				BgL_g1538z00_9653 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8326)))->BgL_exprza2za2);
				{
					obj_t BgL_l1536z00_9655;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_14851;

						BgL_l1536z00_9655 = BgL_g1538z00_9653;
					BgL_zc3anonymousza32547ze3z83_9654:
						if (PAIRP(BgL_l1536z00_9655))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9656;

									BgL_fz00_9656 = CAR(BgL_l1536z00_9655);
									PROCEDURE_ENTRY(BgL_pz00_8327) (BgL_pz00_8327, BgL_fz00_9656,
										BgL_arg0z00_8328, BgL_arg1z00_8329, BEOA);
								}
								{
									obj_t BgL_l1536z00_14861;

									BgL_l1536z00_14861 = CDR(BgL_l1536z00_9655);
									BgL_l1536z00_9655 = BgL_l1536z00_14861;
									goto BgL_zc3anonymousza32547ze3z83_9654;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_14851 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_14851);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-extern1783 */
	obj_t BGl_z62walk1zd2extern1783zb0zzast_walkz00(obj_t BgL_envz00_8330,
		obj_t BgL_nz00_8331, obj_t BgL_pz00_8332, obj_t BgL_arg0z00_8333)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1535z00_9658;

				BgL_g1535z00_9658 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8331)))->BgL_exprza2za2);
				{
					obj_t BgL_l1533z00_9660;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_14866;

						BgL_l1533z00_9660 = BgL_g1535z00_9658;
					BgL_zc3anonymousza32543ze3z83_9659:
						if (PAIRP(BgL_l1533z00_9660))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9661;

									BgL_fz00_9661 = CAR(BgL_l1533z00_9660);
									PROCEDURE_ENTRY(BgL_pz00_8332) (BgL_pz00_8332, BgL_fz00_9661,
										BgL_arg0z00_8333, BEOA);
								}
								{
									obj_t BgL_l1533z00_14875;

									BgL_l1533z00_14875 = CDR(BgL_l1533z00_9660);
									BgL_l1533z00_9660 = BgL_l1533z00_14875;
									goto BgL_zc3anonymousza32543ze3z83_9659;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_14866 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_14866);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-extern1781 */
	obj_t BGl_z62walk0zd2extern1781zb0zzast_walkz00(obj_t BgL_envz00_8334,
		obj_t BgL_nz00_8335, obj_t BgL_pz00_8336)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1532z00_9663;

				BgL_g1532z00_9663 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8335)))->BgL_exprza2za2);
				{
					obj_t BgL_l1530z00_9665;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_14880;

						BgL_l1530z00_9665 = BgL_g1532z00_9663;
					BgL_zc3anonymousza32540ze3z83_9664:
						if (PAIRP(BgL_l1530z00_9665))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9666;

									BgL_fz00_9666 = CAR(BgL_l1530z00_9665);
									PROCEDURE_ENTRY(BgL_pz00_8336) (BgL_pz00_8336, BgL_fz00_9666,
										BEOA);
								}
								{
									obj_t BgL_l1530z00_14888;

									BgL_l1530z00_14888 = CDR(BgL_l1530z00_9665);
									BgL_l1530z00_9665 = BgL_l1530z00_14888;
									goto BgL_zc3anonymousza32540ze3z83_9664;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_14880 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_14880);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-funcall1779 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1779za2zzast_walkz00(obj_t
		BgL_envz00_8337, obj_t BgL_nz00_8338, obj_t BgL_pz00_8339,
		obj_t BgL_arg0z00_8340, obj_t BgL_arg1z00_8341, obj_t BgL_arg2z00_8342)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_14891;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2533z00_9668;

					BgL_arg2533z00_9668 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8338)))->BgL_funz00);
					BgL_auxz00_14891 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8339) (BgL_pz00_8339,
							((obj_t) BgL_arg2533z00_9668), BgL_arg0z00_8340, BgL_arg1z00_8341,
							BgL_arg2z00_8342, BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8338)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14891), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9670;

				BgL_fieldsz00_9670 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8338)))->BgL_argsz00);
			BgL_loopz00_9669:
				if (NULLP(BgL_fieldsz00_9670))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2537z00_9671;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2538z00_9672;

								BgL_arg2538z00_9672 = CAR(((obj_t) BgL_fieldsz00_9670));
								BgL_arg2537z00_9671 =
									PROCEDURE_ENTRY(BgL_pz00_8339) (BgL_pz00_8339,
									BgL_arg2538z00_9672, BgL_arg0z00_8340, BgL_arg1z00_8341,
									BgL_arg2z00_8342, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_14916;

								BgL_tmpz00_14916 = ((obj_t) BgL_fieldsz00_9670);
								SET_CAR(BgL_tmpz00_14916, BgL_arg2537z00_9671);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2539z00_9673;

							BgL_arg2539z00_9673 = CDR(((obj_t) BgL_fieldsz00_9670));
							{
								obj_t BgL_fieldsz00_14921;

								BgL_fieldsz00_14921 = BgL_arg2539z00_9673;
								BgL_fieldsz00_9670 = BgL_fieldsz00_14921;
								goto BgL_loopz00_9669;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8338));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-funcall1777 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1777za2zzast_walkz00(obj_t
		BgL_envz00_8343, obj_t BgL_nz00_8344, obj_t BgL_pz00_8345,
		obj_t BgL_arg0z00_8346, obj_t BgL_arg1z00_8347)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_14926;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2516z00_9675;

					BgL_arg2516z00_9675 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8344)))->BgL_funz00);
					BgL_auxz00_14926 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8345) (BgL_pz00_8345,
							((obj_t) BgL_arg2516z00_9675), BgL_arg0z00_8346, BgL_arg1z00_8347,
							BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8344)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14926), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9677;

				BgL_fieldsz00_9677 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8344)))->BgL_argsz00);
			BgL_loopz00_9676:
				if (NULLP(BgL_fieldsz00_9677))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2522z00_9678;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2531z00_9679;

								BgL_arg2531z00_9679 = CAR(((obj_t) BgL_fieldsz00_9677));
								BgL_arg2522z00_9678 =
									PROCEDURE_ENTRY(BgL_pz00_8345) (BgL_pz00_8345,
									BgL_arg2531z00_9679, BgL_arg0z00_8346, BgL_arg1z00_8347,
									BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_14949;

								BgL_tmpz00_14949 = ((obj_t) BgL_fieldsz00_9677);
								SET_CAR(BgL_tmpz00_14949, BgL_arg2522z00_9678);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2532z00_9680;

							BgL_arg2532z00_9680 = CDR(((obj_t) BgL_fieldsz00_9677));
							{
								obj_t BgL_fieldsz00_14954;

								BgL_fieldsz00_14954 = BgL_arg2532z00_9680;
								BgL_fieldsz00_9677 = BgL_fieldsz00_14954;
								goto BgL_loopz00_9676;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8344));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-funcall1775 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1775za2zzast_walkz00(obj_t
		BgL_envz00_8348, obj_t BgL_nz00_8349, obj_t BgL_pz00_8350,
		obj_t BgL_arg0z00_8351)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_14959;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2504z00_9682;

					BgL_arg2504z00_9682 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_funz00);
					BgL_auxz00_14959 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8350) (BgL_pz00_8350,
							((obj_t) BgL_arg2504z00_9682), BgL_arg0z00_8351, BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14959), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9684;

				BgL_fieldsz00_9684 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_argsz00);
			BgL_loopz00_9683:
				if (NULLP(BgL_fieldsz00_9684))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2511z00_9685;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2512z00_9686;

								BgL_arg2512z00_9686 = CAR(((obj_t) BgL_fieldsz00_9684));
								BgL_arg2511z00_9685 =
									PROCEDURE_ENTRY(BgL_pz00_8350) (BgL_pz00_8350,
									BgL_arg2512z00_9686, BgL_arg0z00_8351, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_14980;

								BgL_tmpz00_14980 = ((obj_t) BgL_fieldsz00_9684);
								SET_CAR(BgL_tmpz00_14980, BgL_arg2511z00_9685);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2515z00_9687;

							BgL_arg2515z00_9687 = CDR(((obj_t) BgL_fieldsz00_9684));
							{
								obj_t BgL_fieldsz00_14985;

								BgL_fieldsz00_14985 = BgL_arg2515z00_9687;
								BgL_fieldsz00_9684 = BgL_fieldsz00_14985;
								goto BgL_loopz00_9683;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8349));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-funcall1773 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1773za2zzast_walkz00(obj_t
		BgL_envz00_8352, obj_t BgL_nz00_8353, obj_t BgL_pz00_8354)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_14990;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2486z00_9689;

					BgL_arg2486z00_9689 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8353)))->BgL_funz00);
					BgL_auxz00_14990 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8354) (BgL_pz00_8354,
							((obj_t) BgL_arg2486z00_9689), BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8353)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14990), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9691;

				BgL_fieldsz00_9691 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8353)))->BgL_argsz00);
			BgL_loopz00_9690:
				if (NULLP(BgL_fieldsz00_9691))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2490z00_9692;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2492z00_9693;

								BgL_arg2492z00_9693 = CAR(((obj_t) BgL_fieldsz00_9691));
								BgL_arg2490z00_9692 =
									PROCEDURE_ENTRY(BgL_pz00_8354) (BgL_pz00_8354,
									BgL_arg2492z00_9693, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15009;

								BgL_tmpz00_15009 = ((obj_t) BgL_fieldsz00_9691);
								SET_CAR(BgL_tmpz00_15009, BgL_arg2490z00_9692);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2503z00_9694;

							BgL_arg2503z00_9694 = CDR(((obj_t) BgL_fieldsz00_9691));
							{
								obj_t BgL_fieldsz00_15014;

								BgL_fieldsz00_15014 = BgL_arg2503z00_9694;
								BgL_fieldsz00_9691 = BgL_fieldsz00_15014;
								goto BgL_loopz00_9690;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8353));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-funcall1771 */
	obj_t BGl_z62walk3za2zd2funcall1771z12zzast_walkz00(obj_t BgL_envz00_8355,
		obj_t BgL_nz00_8356, obj_t BgL_pz00_8357, obj_t BgL_arg0z00_8358,
		obj_t BgL_arg1z00_8359, obj_t BgL_arg2z00_8360)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4214z00_9699;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2476z00_9696;
					obj_t BgL_arg2477z00_9697;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2479z00_9698;

						BgL_arg2479z00_9698 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8356)))->BgL_funz00);
						BgL_arg2476z00_9696 =
							PROCEDURE_ENTRY(BgL_pz00_8357) (BgL_pz00_8357,
							((obj_t) BgL_arg2479z00_9698), BgL_arg0z00_8358, BgL_arg1z00_8359,
							BgL_arg2z00_8360, BEOA);
					}
					BgL_arg2477z00_9697 =
						BGl_zc3anonymousza32480ze3ze70z64zzast_walkz00(BgL_arg2z00_8360,
						BgL_arg1z00_8359, BgL_arg0z00_8358, BgL_pz00_8357,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8356)))->BgL_argsz00));
					BgL_res4214z00_9699 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2476z00_9696,
						BgL_arg2477z00_9697);
				}
				return BgL_res4214z00_9699;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2480>~0 */
	obj_t BGl_zc3anonymousza32480ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8636,
		obj_t BgL_arg1z00_8635, obj_t BgL_arg0z00_8634, obj_t BgL_pz00_8633,
		obj_t BgL_l1528z00_3211)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1528z00_3211))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2482z00_3214;
					obj_t BgL_arg2483z00_3215;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3216;

						BgL_fz00_3216 = CAR(((obj_t) BgL_l1528z00_3211));
						BgL_arg2482z00_3214 =
							PROCEDURE_ENTRY(BgL_pz00_8633) (BgL_pz00_8633, BgL_fz00_3216,
							BgL_arg0z00_8634, BgL_arg1z00_8635, BgL_arg2z00_8636, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2484z00_3217;

						BgL_arg2484z00_3217 = CDR(((obj_t) BgL_l1528z00_3211));
						BgL_arg2483z00_3215 =
							BGl_zc3anonymousza32480ze3ze70z64zzast_walkz00(BgL_arg2z00_8636,
							BgL_arg1z00_8635, BgL_arg0z00_8634, BgL_pz00_8633,
							BgL_arg2484z00_3217);
					}
					return bgl_append2(BgL_arg2482z00_3214, BgL_arg2483z00_3215);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-funcall1769 */
	obj_t BGl_z62walk2za2zd2funcall1769z12zzast_walkz00(obj_t BgL_envz00_8361,
		obj_t BgL_nz00_8362, obj_t BgL_pz00_8363, obj_t BgL_arg0z00_8364,
		obj_t BgL_arg1z00_8365)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4215z00_9704;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2467z00_9701;
					obj_t BgL_arg2468z00_9702;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2469z00_9703;

						BgL_arg2469z00_9703 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8362)))->BgL_funz00);
						BgL_arg2467z00_9701 =
							PROCEDURE_ENTRY(BgL_pz00_8363) (BgL_pz00_8363,
							((obj_t) BgL_arg2469z00_9703), BgL_arg0z00_8364, BgL_arg1z00_8365,
							BEOA);
					}
					BgL_arg2468z00_9702 =
						BGl_zc3anonymousza32470ze3ze70z64zzast_walkz00(BgL_arg1z00_8365,
						BgL_arg0z00_8364, BgL_pz00_8363,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8362)))->BgL_argsz00));
					BgL_res4215z00_9704 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2467z00_9701,
						BgL_arg2468z00_9702);
				}
				return BgL_res4215z00_9704;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2470>~0 */
	obj_t BGl_zc3anonymousza32470ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8632,
		obj_t BgL_arg0z00_8631, obj_t BgL_pz00_8630, obj_t BgL_l1525z00_3189)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1525z00_3189))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2472z00_3192;
					obj_t BgL_arg2474z00_3193;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3194;

						BgL_fz00_3194 = CAR(((obj_t) BgL_l1525z00_3189));
						BgL_arg2472z00_3192 =
							PROCEDURE_ENTRY(BgL_pz00_8630) (BgL_pz00_8630, BgL_fz00_3194,
							BgL_arg0z00_8631, BgL_arg1z00_8632, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2475z00_3195;

						BgL_arg2475z00_3195 = CDR(((obj_t) BgL_l1525z00_3189));
						BgL_arg2474z00_3193 =
							BGl_zc3anonymousza32470ze3ze70z64zzast_walkz00(BgL_arg1z00_8632,
							BgL_arg0z00_8631, BgL_pz00_8630, BgL_arg2475z00_3195);
					}
					return bgl_append2(BgL_arg2472z00_3192, BgL_arg2474z00_3193);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-funcall1767 */
	obj_t BGl_z62walk1za2zd2funcall1767z12zzast_walkz00(obj_t BgL_envz00_8366,
		obj_t BgL_nz00_8367, obj_t BgL_pz00_8368, obj_t BgL_arg0z00_8369)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4216z00_9709;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2457z00_9706;
					obj_t BgL_arg2459z00_9707;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2460z00_9708;

						BgL_arg2460z00_9708 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8367)))->BgL_funz00);
						BgL_arg2457z00_9706 =
							PROCEDURE_ENTRY(BgL_pz00_8368) (BgL_pz00_8368,
							((obj_t) BgL_arg2460z00_9708), BgL_arg0z00_8369, BEOA);
					}
					BgL_arg2459z00_9707 =
						BGl_zc3anonymousza32461ze3ze70z64zzast_walkz00(BgL_arg0z00_8369,
						BgL_pz00_8368,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8367)))->BgL_argsz00));
					BgL_res4216z00_9709 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2457z00_9706,
						BgL_arg2459z00_9707);
				}
				return BgL_res4216z00_9709;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2461>~0 */
	obj_t BGl_zc3anonymousza32461ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8629,
		obj_t BgL_pz00_8628, obj_t BgL_l1522z00_3168)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1522z00_3168))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2463z00_3171;
					obj_t BgL_arg2464z00_3172;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3173;

						BgL_fz00_3173 = CAR(((obj_t) BgL_l1522z00_3168));
						BgL_arg2463z00_3171 =
							PROCEDURE_ENTRY(BgL_pz00_8628) (BgL_pz00_8628, BgL_fz00_3173,
							BgL_arg0z00_8629, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2465z00_3174;

						BgL_arg2465z00_3174 = CDR(((obj_t) BgL_l1522z00_3168));
						BgL_arg2464z00_3172 =
							BGl_zc3anonymousza32461ze3ze70z64zzast_walkz00(BgL_arg0z00_8629,
							BgL_pz00_8628, BgL_arg2465z00_3174);
					}
					return bgl_append2(BgL_arg2463z00_3171, BgL_arg2464z00_3172);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-funcall1765 */
	obj_t BGl_z62walk0za2zd2funcall1765z12zzast_walkz00(obj_t BgL_envz00_8370,
		obj_t BgL_nz00_8371, obj_t BgL_pz00_8372)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4217z00_9714;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2448z00_9711;
					obj_t BgL_arg2449z00_9712;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2451z00_9713;

						BgL_arg2451z00_9713 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8371)))->BgL_funz00);
						BgL_arg2448z00_9711 =
							PROCEDURE_ENTRY(BgL_pz00_8372) (BgL_pz00_8372,
							((obj_t) BgL_arg2451z00_9713), BEOA);
					}
					BgL_arg2449z00_9712 =
						BGl_zc3anonymousza32452ze3ze70z64zzast_walkz00(BgL_pz00_8372,
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8371)))->BgL_argsz00));
					BgL_res4217z00_9714 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2448z00_9711,
						BgL_arg2449z00_9712);
				}
				return BgL_res4217z00_9714;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2452>~0 */
	obj_t BGl_zc3anonymousza32452ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8627,
		obj_t BgL_l1519z00_3148)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1519z00_3148))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2454z00_3151;
					obj_t BgL_arg2455z00_3152;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3153;

						BgL_fz00_3153 = CAR(((obj_t) BgL_l1519z00_3148));
						BgL_arg2454z00_3151 =
							PROCEDURE_ENTRY(BgL_pz00_8627) (BgL_pz00_8627, BgL_fz00_3153,
							BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2456z00_3154;

						BgL_arg2456z00_3154 = CDR(((obj_t) BgL_l1519z00_3148));
						BgL_arg2455z00_3152 =
							BGl_zc3anonymousza32452ze3ze70z64zzast_walkz00(BgL_pz00_8627,
							BgL_arg2456z00_3154);
					}
					return bgl_append2(BgL_arg2454z00_3151, BgL_arg2455z00_3152);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-funcall1763 */
	obj_t BGl_z62walk3zd2funcall1763zb0zzast_walkz00(obj_t BgL_envz00_8373,
		obj_t BgL_nz00_8374, obj_t BgL_pz00_8375, obj_t BgL_arg0z00_8376,
		obj_t BgL_arg1z00_8377, obj_t BgL_arg2z00_8378)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2444z00_9716;

				BgL_arg2444z00_9716 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8374)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8375) (BgL_pz00_8375,
					((obj_t) BgL_arg2444z00_9716), BgL_arg0z00_8376, BgL_arg1z00_8377,
					BgL_arg2z00_8378, BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1517z00_9717;

				BgL_g1517z00_9717 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8374)))->BgL_argsz00);
				{
					obj_t BgL_l1515z00_9719;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15135;

						BgL_l1515z00_9719 = BgL_g1517z00_9717;
					BgL_zc3anonymousza32445ze3z83_9718:
						if (PAIRP(BgL_l1515z00_9719))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9720;

									BgL_fz00_9720 = CAR(BgL_l1515z00_9719);
									PROCEDURE_ENTRY(BgL_pz00_8375) (BgL_pz00_8375, BgL_fz00_9720,
										BgL_arg0z00_8376, BgL_arg1z00_8377, BgL_arg2z00_8378, BEOA);
								}
								{
									obj_t BgL_l1515z00_15146;

									BgL_l1515z00_15146 = CDR(BgL_l1515z00_9719);
									BgL_l1515z00_9719 = BgL_l1515z00_15146;
									goto BgL_zc3anonymousza32445ze3z83_9718;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15135 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15135);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-funcall1761 */
	obj_t BGl_z62walk2zd2funcall1761zb0zzast_walkz00(obj_t BgL_envz00_8379,
		obj_t BgL_nz00_8380, obj_t BgL_pz00_8381, obj_t BgL_arg0z00_8382,
		obj_t BgL_arg1z00_8383)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2440z00_9722;

				BgL_arg2440z00_9722 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8380)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8381) (BgL_pz00_8381,
					((obj_t) BgL_arg2440z00_9722), BgL_arg0z00_8382, BgL_arg1z00_8383,
					BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1514z00_9723;

				BgL_g1514z00_9723 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8380)))->BgL_argsz00);
				{
					obj_t BgL_l1512z00_9725;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15160;

						BgL_l1512z00_9725 = BgL_g1514z00_9723;
					BgL_zc3anonymousza32441ze3z83_9724:
						if (PAIRP(BgL_l1512z00_9725))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9726;

									BgL_fz00_9726 = CAR(BgL_l1512z00_9725);
									PROCEDURE_ENTRY(BgL_pz00_8381) (BgL_pz00_8381, BgL_fz00_9726,
										BgL_arg0z00_8382, BgL_arg1z00_8383, BEOA);
								}
								{
									obj_t BgL_l1512z00_15170;

									BgL_l1512z00_15170 = CDR(BgL_l1512z00_9725);
									BgL_l1512z00_9725 = BgL_l1512z00_15170;
									goto BgL_zc3anonymousza32441ze3z83_9724;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15160 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15160);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-funcall1759 */
	obj_t BGl_z62walk1zd2funcall1759zb0zzast_walkz00(obj_t BgL_envz00_8384,
		obj_t BgL_nz00_8385, obj_t BgL_pz00_8386, obj_t BgL_arg0z00_8387)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2435z00_9728;

				BgL_arg2435z00_9728 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8385)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8386) (BgL_pz00_8386,
					((obj_t) BgL_arg2435z00_9728), BgL_arg0z00_8387, BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1511z00_9729;

				BgL_g1511z00_9729 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8385)))->BgL_argsz00);
				{
					obj_t BgL_l1509z00_9731;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15183;

						BgL_l1509z00_9731 = BgL_g1511z00_9729;
					BgL_zc3anonymousza32436ze3z83_9730:
						if (PAIRP(BgL_l1509z00_9731))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9732;

									BgL_fz00_9732 = CAR(BgL_l1509z00_9731);
									PROCEDURE_ENTRY(BgL_pz00_8386) (BgL_pz00_8386, BgL_fz00_9732,
										BgL_arg0z00_8387, BEOA);
								}
								{
									obj_t BgL_l1509z00_15192;

									BgL_l1509z00_15192 = CDR(BgL_l1509z00_9731);
									BgL_l1509z00_9731 = BgL_l1509z00_15192;
									goto BgL_zc3anonymousza32436ze3z83_9730;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15183 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15183);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-funcall1757 */
	obj_t BGl_z62walk0zd2funcall1757zb0zzast_walkz00(obj_t BgL_envz00_8388,
		obj_t BgL_nz00_8389, obj_t BgL_pz00_8390)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2430z00_9734;

				BgL_arg2430z00_9734 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8389)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8390) (BgL_pz00_8390,
					((obj_t) BgL_arg2430z00_9734), BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1508z00_9735;

				BgL_g1508z00_9735 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8389)))->BgL_argsz00);
				{
					obj_t BgL_l1506z00_9737;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15204;

						BgL_l1506z00_9737 = BgL_g1508z00_9735;
					BgL_zc3anonymousza32431ze3z83_9736:
						if (PAIRP(BgL_l1506z00_9737))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9738;

									BgL_fz00_9738 = CAR(BgL_l1506z00_9737);
									PROCEDURE_ENTRY(BgL_pz00_8390) (BgL_pz00_8390, BgL_fz00_9738,
										BEOA);
								}
								{
									obj_t BgL_l1506z00_15212;

									BgL_l1506z00_15212 = CDR(BgL_l1506z00_9737);
									BgL_l1506z00_9737 = BgL_l1506z00_15212;
									goto BgL_zc3anonymousza32431ze3z83_9736;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15204 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15204);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-app-ly1755 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00(obj_t
		BgL_envz00_8391, obj_t BgL_nz00_8392, obj_t BgL_pz00_8393,
		obj_t BgL_arg0z00_8394, obj_t BgL_arg1z00_8395, obj_t BgL_arg2z00_8396)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15215;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2428z00_9740;

					BgL_arg2428z00_9740 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8392)))->BgL_funz00);
					BgL_auxz00_15215 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8393) (BgL_pz00_8393,
							((obj_t) BgL_arg2428z00_9740), BgL_arg0z00_8394, BgL_arg1z00_8395,
							BgL_arg2z00_8396, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8392)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15215), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15229;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2429z00_9741;

					BgL_arg2429z00_9741 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8392)))->BgL_argz00);
					BgL_auxz00_15229 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8393) (BgL_pz00_8393,
							((obj_t) BgL_arg2429z00_9741), BgL_arg0z00_8394, BgL_arg1z00_8395,
							BgL_arg2z00_8396, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8392)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15229), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8392));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-app-ly1753 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00(obj_t
		BgL_envz00_8397, obj_t BgL_nz00_8398, obj_t BgL_pz00_8399,
		obj_t BgL_arg0z00_8400, obj_t BgL_arg1z00_8401)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15245;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2426z00_9743;

					BgL_arg2426z00_9743 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8398)))->BgL_funz00);
					BgL_auxz00_15245 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8399) (BgL_pz00_8399,
							((obj_t) BgL_arg2426z00_9743), BgL_arg0z00_8400, BgL_arg1z00_8401,
							BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8398)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15245), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15258;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2427z00_9744;

					BgL_arg2427z00_9744 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8398)))->BgL_argz00);
					BgL_auxz00_15258 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8399) (BgL_pz00_8399,
							((obj_t) BgL_arg2427z00_9744), BgL_arg0z00_8400, BgL_arg1z00_8401,
							BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8398)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15258), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8398));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-app-ly1751 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00(obj_t
		BgL_envz00_8402, obj_t BgL_nz00_8403, obj_t BgL_pz00_8404,
		obj_t BgL_arg0z00_8405)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15273;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2423z00_9746;

					BgL_arg2423z00_9746 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_funz00);
					BgL_auxz00_15273 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8404) (BgL_pz00_8404,
							((obj_t) BgL_arg2423z00_9746), BgL_arg0z00_8405, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15273), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15285;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2425z00_9747;

					BgL_arg2425z00_9747 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_argz00);
					BgL_auxz00_15285 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8404) (BgL_pz00_8404,
							((obj_t) BgL_arg2425z00_9747), BgL_arg0z00_8405, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15285), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8403));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-app-ly1749 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00(obj_t
		BgL_envz00_8406, obj_t BgL_nz00_8407, obj_t BgL_pz00_8408)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15299;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2421z00_9749;

					BgL_arg2421z00_9749 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8407)))->BgL_funz00);
					BgL_auxz00_15299 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8408) (BgL_pz00_8408,
							((obj_t) BgL_arg2421z00_9749), BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8407)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15299), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15310;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2422z00_9750;

					BgL_arg2422z00_9750 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8407)))->BgL_argz00);
					BgL_auxz00_15310 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8408) (BgL_pz00_8408,
							((obj_t) BgL_arg2422z00_9750), BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8407)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15310), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8407));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-app-ly1747 */
	obj_t BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00(obj_t BgL_envz00_8409,
		obj_t BgL_nz00_8410, obj_t BgL_pz00_8411, obj_t BgL_arg0z00_8412,
		obj_t BgL_arg1z00_8413, obj_t BgL_arg2z00_8414)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4218z00_9756;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2416z00_9752;
					obj_t BgL_arg2417z00_9753;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2419z00_9754;

						BgL_arg2419z00_9754 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8410)))->BgL_funz00);
						BgL_arg2416z00_9752 =
							PROCEDURE_ENTRY(BgL_pz00_8411) (BgL_pz00_8411,
							((obj_t) BgL_arg2419z00_9754), BgL_arg0z00_8412, BgL_arg1z00_8413,
							BgL_arg2z00_8414, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2420z00_9755;

						BgL_arg2420z00_9755 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8410)))->BgL_argz00);
						BgL_arg2417z00_9753 =
							PROCEDURE_ENTRY(BgL_pz00_8411) (BgL_pz00_8411,
							((obj_t) BgL_arg2420z00_9755), BgL_arg0z00_8412, BgL_arg1z00_8413,
							BgL_arg2z00_8414, BEOA);
					}
					BgL_res4218z00_9756 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2416z00_9752,
						BgL_arg2417z00_9753);
				}
				return BgL_res4218z00_9756;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-app-ly1745 */
	obj_t BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00(obj_t BgL_envz00_8415,
		obj_t BgL_nz00_8416, obj_t BgL_pz00_8417, obj_t BgL_arg0z00_8418,
		obj_t BgL_arg1z00_8419)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4219z00_9762;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2411z00_9758;
					obj_t BgL_arg2412z00_9759;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2414z00_9760;

						BgL_arg2414z00_9760 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8416)))->BgL_funz00);
						BgL_arg2411z00_9758 =
							PROCEDURE_ENTRY(BgL_pz00_8417) (BgL_pz00_8417,
							((obj_t) BgL_arg2414z00_9760), BgL_arg0z00_8418, BgL_arg1z00_8419,
							BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2415z00_9761;

						BgL_arg2415z00_9761 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8416)))->BgL_argz00);
						BgL_arg2412z00_9759 =
							PROCEDURE_ENTRY(BgL_pz00_8417) (BgL_pz00_8417,
							((obj_t) BgL_arg2415z00_9761), BgL_arg0z00_8418, BgL_arg1z00_8419,
							BEOA);
					}
					BgL_res4219z00_9762 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2411z00_9758,
						BgL_arg2412z00_9759);
				}
				return BgL_res4219z00_9762;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-app-ly1743 */
	obj_t BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00(obj_t BgL_envz00_8420,
		obj_t BgL_nz00_8421, obj_t BgL_pz00_8422, obj_t BgL_arg0z00_8423)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4220z00_9768;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2404z00_9764;
					obj_t BgL_arg2405z00_9765;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2407z00_9766;

						BgL_arg2407z00_9766 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8421)))->BgL_funz00);
						BgL_arg2404z00_9764 =
							PROCEDURE_ENTRY(BgL_pz00_8422) (BgL_pz00_8422,
							((obj_t) BgL_arg2407z00_9766), BgL_arg0z00_8423, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2409z00_9767;

						BgL_arg2409z00_9767 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8421)))->BgL_argz00);
						BgL_arg2405z00_9765 =
							PROCEDURE_ENTRY(BgL_pz00_8422) (BgL_pz00_8422,
							((obj_t) BgL_arg2409z00_9767), BgL_arg0z00_8423, BEOA);
					}
					BgL_res4220z00_9768 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2404z00_9764,
						BgL_arg2405z00_9765);
				}
				return BgL_res4220z00_9768;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-app-ly1741 */
	obj_t BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00(obj_t BgL_envz00_8424,
		obj_t BgL_nz00_8425, obj_t BgL_pz00_8426)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4221z00_9774;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2397z00_9770;
					obj_t BgL_arg2398z00_9771;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2399z00_9772;

						BgL_arg2399z00_9772 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8425)))->BgL_funz00);
						BgL_arg2397z00_9770 =
							PROCEDURE_ENTRY(BgL_pz00_8426) (BgL_pz00_8426,
							((obj_t) BgL_arg2399z00_9772), BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2402z00_9773;

						BgL_arg2402z00_9773 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8425)))->BgL_argz00);
						BgL_arg2398z00_9771 =
							PROCEDURE_ENTRY(BgL_pz00_8426) (BgL_pz00_8426,
							((obj_t) BgL_arg2402z00_9773), BEOA);
					}
					BgL_res4221z00_9774 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2397z00_9770,
						BgL_arg2398z00_9771);
				}
				return BgL_res4221z00_9774;
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-app-ly1739 */
	obj_t BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00(obj_t BgL_envz00_8427,
		obj_t BgL_nz00_8428, obj_t BgL_pz00_8429, obj_t BgL_arg0z00_8430,
		obj_t BgL_arg1z00_8431, obj_t BgL_arg2z00_8432)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2395z00_9776;

				BgL_arg2395z00_9776 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8428)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8429) (BgL_pz00_8429,
					((obj_t) BgL_arg2395z00_9776), BgL_arg0z00_8430, BgL_arg1z00_8431,
					BgL_arg2z00_8432, BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2396z00_9777;

				BgL_arg2396z00_9777 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8428)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8429) (BgL_pz00_8429,
					((obj_t) BgL_arg2396z00_9777), BgL_arg0z00_8430, BgL_arg1z00_8431,
					BgL_arg2z00_8432, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-app-ly1737 */
	obj_t BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00(obj_t BgL_envz00_8433,
		obj_t BgL_nz00_8434, obj_t BgL_pz00_8435, obj_t BgL_arg0z00_8436,
		obj_t BgL_arg1z00_8437)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2392z00_9779;

				BgL_arg2392z00_9779 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8434)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8435) (BgL_pz00_8435,
					((obj_t) BgL_arg2392z00_9779), BgL_arg0z00_8436, BgL_arg1z00_8437,
					BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2394z00_9780;

				BgL_arg2394z00_9780 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8434)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8435) (BgL_pz00_8435,
					((obj_t) BgL_arg2394z00_9780), BgL_arg0z00_8436, BgL_arg1z00_8437,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-app-ly1735 */
	obj_t BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00(obj_t BgL_envz00_8438,
		obj_t BgL_nz00_8439, obj_t BgL_pz00_8440, obj_t BgL_arg0z00_8441)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2390z00_9782;

				BgL_arg2390z00_9782 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8439)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8440) (BgL_pz00_8440,
					((obj_t) BgL_arg2390z00_9782), BgL_arg0z00_8441, BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2391z00_9783;

				BgL_arg2391z00_9783 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8439)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8440) (BgL_pz00_8440,
					((obj_t) BgL_arg2391z00_9783), BgL_arg0z00_8441, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-app-ly1733 */
	obj_t BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00(obj_t BgL_envz00_8442,
		obj_t BgL_nz00_8443, obj_t BgL_pz00_8444)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2388z00_9785;

				BgL_arg2388z00_9785 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8443)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8444) (BgL_pz00_8444,
					((obj_t) BgL_arg2388z00_9785), BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2389z00_9786;

				BgL_arg2389z00_9786 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8443)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8444) (BgL_pz00_8444,
					((obj_t) BgL_arg2389z00_9786), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-app1731 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2app1731za2zzast_walkz00(obj_t
		BgL_envz00_8445, obj_t BgL_nz00_8446, obj_t BgL_pz00_8447,
		obj_t BgL_arg0z00_8448, obj_t BgL_arg1z00_8449, obj_t BgL_arg2z00_8450)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15463;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2379z00_9788;

					BgL_arg2379z00_9788 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8446)))->BgL_funz00);
					BgL_auxz00_15463 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8447) (BgL_pz00_8447,
							((obj_t) BgL_arg2379z00_9788), BgL_arg0z00_8448, BgL_arg1z00_8449,
							BgL_arg2z00_8450, BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8446)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15463), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9790;

				BgL_fieldsz00_9790 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8446)))->BgL_argsz00);
			BgL_loopz00_9789:
				if (NULLP(BgL_fieldsz00_9790))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2383z00_9791;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2385z00_9792;

								BgL_arg2385z00_9792 = CAR(((obj_t) BgL_fieldsz00_9790));
								BgL_arg2383z00_9791 =
									PROCEDURE_ENTRY(BgL_pz00_8447) (BgL_pz00_8447,
									BgL_arg2385z00_9792, BgL_arg0z00_8448, BgL_arg1z00_8449,
									BgL_arg2z00_8450, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15488;

								BgL_tmpz00_15488 = ((obj_t) BgL_fieldsz00_9790);
								SET_CAR(BgL_tmpz00_15488, BgL_arg2383z00_9791);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2387z00_9793;

							BgL_arg2387z00_9793 = CDR(((obj_t) BgL_fieldsz00_9790));
							{
								obj_t BgL_fieldsz00_15493;

								BgL_fieldsz00_15493 = BgL_arg2387z00_9793;
								BgL_fieldsz00_9790 = BgL_fieldsz00_15493;
								goto BgL_loopz00_9789;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8446));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-app1729 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2app1729za2zzast_walkz00(obj_t
		BgL_envz00_8451, obj_t BgL_nz00_8452, obj_t BgL_pz00_8453,
		obj_t BgL_arg0z00_8454, obj_t BgL_arg1z00_8455)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15498;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2370z00_9795;

					BgL_arg2370z00_9795 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8452)))->BgL_funz00);
					BgL_auxz00_15498 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8453) (BgL_pz00_8453,
							((obj_t) BgL_arg2370z00_9795), BgL_arg0z00_8454, BgL_arg1z00_8455,
							BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8452)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15498), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9797;

				BgL_fieldsz00_9797 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8452)))->BgL_argsz00);
			BgL_loopz00_9796:
				if (NULLP(BgL_fieldsz00_9797))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2374z00_9798;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2376z00_9799;

								BgL_arg2376z00_9799 = CAR(((obj_t) BgL_fieldsz00_9797));
								BgL_arg2374z00_9798 =
									PROCEDURE_ENTRY(BgL_pz00_8453) (BgL_pz00_8453,
									BgL_arg2376z00_9799, BgL_arg0z00_8454, BgL_arg1z00_8455,
									BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15521;

								BgL_tmpz00_15521 = ((obj_t) BgL_fieldsz00_9797);
								SET_CAR(BgL_tmpz00_15521, BgL_arg2374z00_9798);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2377z00_9800;

							BgL_arg2377z00_9800 = CDR(((obj_t) BgL_fieldsz00_9797));
							{
								obj_t BgL_fieldsz00_15526;

								BgL_fieldsz00_15526 = BgL_arg2377z00_9800;
								BgL_fieldsz00_9797 = BgL_fieldsz00_15526;
								goto BgL_loopz00_9796;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8452));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-app1727 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2app1727za2zzast_walkz00(obj_t
		BgL_envz00_8456, obj_t BgL_nz00_8457, obj_t BgL_pz00_8458,
		obj_t BgL_arg0z00_8459)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15531;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2362z00_9802;

					BgL_arg2362z00_9802 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_funz00);
					BgL_auxz00_15531 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8458) (BgL_pz00_8458,
							((obj_t) BgL_arg2362z00_9802), BgL_arg0z00_8459, BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15531), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9804;

				BgL_fieldsz00_9804 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_argsz00);
			BgL_loopz00_9803:
				if (NULLP(BgL_fieldsz00_9804))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2366z00_9805;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2367z00_9806;

								BgL_arg2367z00_9806 = CAR(((obj_t) BgL_fieldsz00_9804));
								BgL_arg2366z00_9805 =
									PROCEDURE_ENTRY(BgL_pz00_8458) (BgL_pz00_8458,
									BgL_arg2367z00_9806, BgL_arg0z00_8459, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15552;

								BgL_tmpz00_15552 = ((obj_t) BgL_fieldsz00_9804);
								SET_CAR(BgL_tmpz00_15552, BgL_arg2366z00_9805);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2368z00_9807;

							BgL_arg2368z00_9807 = CDR(((obj_t) BgL_fieldsz00_9804));
							{
								obj_t BgL_fieldsz00_15557;

								BgL_fieldsz00_15557 = BgL_arg2368z00_9807;
								BgL_fieldsz00_9804 = BgL_fieldsz00_15557;
								goto BgL_loopz00_9803;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8457));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-app1724 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2app1724za2zzast_walkz00(obj_t
		BgL_envz00_8460, obj_t BgL_nz00_8461, obj_t BgL_pz00_8462)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15562;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2355z00_9809;

					BgL_arg2355z00_9809 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8461)))->BgL_funz00);
					BgL_auxz00_15562 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8462) (BgL_pz00_8462,
							((obj_t) BgL_arg2355z00_9809), BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8461)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15562), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9811;

				BgL_fieldsz00_9811 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8461)))->BgL_argsz00);
			BgL_loopz00_9810:
				if (NULLP(BgL_fieldsz00_9811))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2359z00_9812;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2360z00_9813;

								BgL_arg2360z00_9813 = CAR(((obj_t) BgL_fieldsz00_9811));
								BgL_arg2359z00_9812 =
									PROCEDURE_ENTRY(BgL_pz00_8462) (BgL_pz00_8462,
									BgL_arg2360z00_9813, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15581;

								BgL_tmpz00_15581 = ((obj_t) BgL_fieldsz00_9811);
								SET_CAR(BgL_tmpz00_15581, BgL_arg2359z00_9812);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2361z00_9814;

							BgL_arg2361z00_9814 = CDR(((obj_t) BgL_fieldsz00_9811));
							{
								obj_t BgL_fieldsz00_15586;

								BgL_fieldsz00_15586 = BgL_arg2361z00_9814;
								BgL_fieldsz00_9811 = BgL_fieldsz00_15586;
								goto BgL_loopz00_9810;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8461));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-app1722 */
	obj_t BGl_z62walk3za2zd2app1722z12zzast_walkz00(obj_t BgL_envz00_8463,
		obj_t BgL_nz00_8464, obj_t BgL_pz00_8465, obj_t BgL_arg0z00_8466,
		obj_t BgL_arg1z00_8467, obj_t BgL_arg2z00_8468)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4222z00_9819;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2346z00_9816;
					obj_t BgL_arg2347z00_9817;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2348z00_9818;

						BgL_arg2348z00_9818 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8464)))->BgL_funz00);
						BgL_arg2346z00_9816 =
							PROCEDURE_ENTRY(BgL_pz00_8465) (BgL_pz00_8465,
							((obj_t) BgL_arg2348z00_9818), BgL_arg0z00_8466, BgL_arg1z00_8467,
							BgL_arg2z00_8468, BEOA);
					}
					BgL_arg2347z00_9817 =
						BGl_zc3anonymousza32349ze3ze70z64zzast_walkz00(BgL_arg2z00_8468,
						BgL_arg1z00_8467, BgL_arg0z00_8466, BgL_pz00_8465,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8464)))->
							BgL_argsz00));
					BgL_res4222z00_9819 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2346z00_9816,
						BgL_arg2347z00_9817);
				}
				return BgL_res4222z00_9819;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2349>~0 */
	obj_t BGl_zc3anonymousza32349ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8626,
		obj_t BgL_arg1z00_8625, obj_t BgL_arg0z00_8624, obj_t BgL_pz00_8623,
		obj_t BgL_l1504z00_2871)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1504z00_2871))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2351z00_2874;
					obj_t BgL_arg2352z00_2875;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2876;

						BgL_fz00_2876 = CAR(((obj_t) BgL_l1504z00_2871));
						BgL_arg2351z00_2874 =
							PROCEDURE_ENTRY(BgL_pz00_8623) (BgL_pz00_8623, BgL_fz00_2876,
							BgL_arg0z00_8624, BgL_arg1z00_8625, BgL_arg2z00_8626, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2354z00_2877;

						BgL_arg2354z00_2877 = CDR(((obj_t) BgL_l1504z00_2871));
						BgL_arg2352z00_2875 =
							BGl_zc3anonymousza32349ze3ze70z64zzast_walkz00(BgL_arg2z00_8626,
							BgL_arg1z00_8625, BgL_arg0z00_8624, BgL_pz00_8623,
							BgL_arg2354z00_2877);
					}
					return bgl_append2(BgL_arg2351z00_2874, BgL_arg2352z00_2875);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-app1720 */
	obj_t BGl_z62walk2za2zd2app1720z12zzast_walkz00(obj_t BgL_envz00_8469,
		obj_t BgL_nz00_8470, obj_t BgL_pz00_8471, obj_t BgL_arg0z00_8472,
		obj_t BgL_arg1z00_8473)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4223z00_9824;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2337z00_9821;
					obj_t BgL_arg2338z00_9822;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2339z00_9823;

						BgL_arg2339z00_9823 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8470)))->BgL_funz00);
						BgL_arg2337z00_9821 =
							PROCEDURE_ENTRY(BgL_pz00_8471) (BgL_pz00_8471,
							((obj_t) BgL_arg2339z00_9823), BgL_arg0z00_8472, BgL_arg1z00_8473,
							BEOA);
					}
					BgL_arg2338z00_9822 =
						BGl_zc3anonymousza32340ze3ze70z64zzast_walkz00(BgL_arg1z00_8473,
						BgL_arg0z00_8472, BgL_pz00_8471,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8470)))->
							BgL_argsz00));
					BgL_res4223z00_9824 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2337z00_9821,
						BgL_arg2338z00_9822);
				}
				return BgL_res4223z00_9824;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2340>~0 */
	obj_t BGl_zc3anonymousza32340ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8622,
		obj_t BgL_arg0z00_8621, obj_t BgL_pz00_8620, obj_t BgL_l1501z00_2849)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1501z00_2849))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2342z00_2852;
					obj_t BgL_arg2343z00_2853;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2854;

						BgL_fz00_2854 = CAR(((obj_t) BgL_l1501z00_2849));
						BgL_arg2342z00_2852 =
							PROCEDURE_ENTRY(BgL_pz00_8620) (BgL_pz00_8620, BgL_fz00_2854,
							BgL_arg0z00_8621, BgL_arg1z00_8622, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2344z00_2855;

						BgL_arg2344z00_2855 = CDR(((obj_t) BgL_l1501z00_2849));
						BgL_arg2343z00_2853 =
							BGl_zc3anonymousza32340ze3ze70z64zzast_walkz00(BgL_arg1z00_8622,
							BgL_arg0z00_8621, BgL_pz00_8620, BgL_arg2344z00_2855);
					}
					return bgl_append2(BgL_arg2342z00_2852, BgL_arg2343z00_2853);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-app1718 */
	obj_t BGl_z62walk1za2zd2app1718z12zzast_walkz00(obj_t BgL_envz00_8474,
		obj_t BgL_nz00_8475, obj_t BgL_pz00_8476, obj_t BgL_arg0z00_8477)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4224z00_9829;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2329z00_9826;
					obj_t BgL_arg2330z00_9827;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2331z00_9828;

						BgL_arg2331z00_9828 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8475)))->BgL_funz00);
						BgL_arg2329z00_9826 =
							PROCEDURE_ENTRY(BgL_pz00_8476) (BgL_pz00_8476,
							((obj_t) BgL_arg2331z00_9828), BgL_arg0z00_8477, BEOA);
					}
					BgL_arg2330z00_9827 =
						BGl_zc3anonymousza32332ze3ze70z64zzast_walkz00(BgL_arg0z00_8477,
						BgL_pz00_8476,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8475)))->
							BgL_argsz00));
					BgL_res4224z00_9829 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2329z00_9826,
						BgL_arg2330z00_9827);
				}
				return BgL_res4224z00_9829;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2332>~0 */
	obj_t BGl_zc3anonymousza32332ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8619,
		obj_t BgL_pz00_8618, obj_t BgL_l1498z00_2828)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1498z00_2828))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2334z00_2831;
					obj_t BgL_arg2335z00_2832;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2833;

						BgL_fz00_2833 = CAR(((obj_t) BgL_l1498z00_2828));
						BgL_arg2334z00_2831 =
							PROCEDURE_ENTRY(BgL_pz00_8618) (BgL_pz00_8618, BgL_fz00_2833,
							BgL_arg0z00_8619, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2336z00_2834;

						BgL_arg2336z00_2834 = CDR(((obj_t) BgL_l1498z00_2828));
						BgL_arg2335z00_2832 =
							BGl_zc3anonymousza32332ze3ze70z64zzast_walkz00(BgL_arg0z00_8619,
							BgL_pz00_8618, BgL_arg2336z00_2834);
					}
					return bgl_append2(BgL_arg2334z00_2831, BgL_arg2335z00_2832);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-app1716 */
	obj_t BGl_z62walk0za2zd2app1716z12zzast_walkz00(obj_t BgL_envz00_8478,
		obj_t BgL_nz00_8479, obj_t BgL_pz00_8480)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4225z00_9834;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2320z00_9831;
					obj_t BgL_arg2322z00_9832;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2323z00_9833;

						BgL_arg2323z00_9833 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8479)))->BgL_funz00);
						BgL_arg2320z00_9831 =
							PROCEDURE_ENTRY(BgL_pz00_8480) (BgL_pz00_8480,
							((obj_t) BgL_arg2323z00_9833), BEOA);
					}
					BgL_arg2322z00_9832 =
						BGl_zc3anonymousza32324ze3ze70z64zzast_walkz00(BgL_pz00_8480,
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8479)))->BgL_argsz00));
					BgL_res4225z00_9834 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2320z00_9831,
						BgL_arg2322z00_9832);
				}
				return BgL_res4225z00_9834;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2324>~0 */
	obj_t BGl_zc3anonymousza32324ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8617,
		obj_t BgL_l1495z00_2808)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1495z00_2808))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2326z00_2811;
					obj_t BgL_arg2327z00_2812;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2813;

						BgL_fz00_2813 = CAR(((obj_t) BgL_l1495z00_2808));
						BgL_arg2326z00_2811 =
							PROCEDURE_ENTRY(BgL_pz00_8617) (BgL_pz00_8617, BgL_fz00_2813,
							BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2328z00_2814;

						BgL_arg2328z00_2814 = CDR(((obj_t) BgL_l1495z00_2808));
						BgL_arg2327z00_2812 =
							BGl_zc3anonymousza32324ze3ze70z64zzast_walkz00(BgL_pz00_8617,
							BgL_arg2328z00_2814);
					}
					return bgl_append2(BgL_arg2326z00_2811, BgL_arg2327z00_2812);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-app1714 */
	obj_t BGl_z62walk3zd2app1714zb0zzast_walkz00(obj_t BgL_envz00_8481,
		obj_t BgL_nz00_8482, obj_t BgL_pz00_8483, obj_t BgL_arg0z00_8484,
		obj_t BgL_arg1z00_8485, obj_t BgL_arg2z00_8486)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2316z00_9836;

				BgL_arg2316z00_9836 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8482)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8483) (BgL_pz00_8483,
					((obj_t) BgL_arg2316z00_9836), BgL_arg0z00_8484, BgL_arg1z00_8485,
					BgL_arg2z00_8486, BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1493z00_9837;

				BgL_g1493z00_9837 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8482)))->BgL_argsz00);
				{
					obj_t BgL_l1491z00_9839;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15707;

						BgL_l1491z00_9839 = BgL_g1493z00_9837;
					BgL_zc3anonymousza32317ze3z83_9838:
						if (PAIRP(BgL_l1491z00_9839))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9840;

									BgL_fz00_9840 = CAR(BgL_l1491z00_9839);
									PROCEDURE_ENTRY(BgL_pz00_8483) (BgL_pz00_8483, BgL_fz00_9840,
										BgL_arg0z00_8484, BgL_arg1z00_8485, BgL_arg2z00_8486, BEOA);
								}
								{
									obj_t BgL_l1491z00_15718;

									BgL_l1491z00_15718 = CDR(BgL_l1491z00_9839);
									BgL_l1491z00_9839 = BgL_l1491z00_15718;
									goto BgL_zc3anonymousza32317ze3z83_9838;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15707 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15707);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-app1712 */
	obj_t BGl_z62walk2zd2app1712zb0zzast_walkz00(obj_t BgL_envz00_8487,
		obj_t BgL_nz00_8488, obj_t BgL_pz00_8489, obj_t BgL_arg0z00_8490,
		obj_t BgL_arg1z00_8491)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2312z00_9842;

				BgL_arg2312z00_9842 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8488)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8489) (BgL_pz00_8489,
					((obj_t) BgL_arg2312z00_9842), BgL_arg0z00_8490, BgL_arg1z00_8491,
					BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1490z00_9843;

				BgL_g1490z00_9843 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8488)))->BgL_argsz00);
				{
					obj_t BgL_l1488z00_9845;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15732;

						BgL_l1488z00_9845 = BgL_g1490z00_9843;
					BgL_zc3anonymousza32313ze3z83_9844:
						if (PAIRP(BgL_l1488z00_9845))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9846;

									BgL_fz00_9846 = CAR(BgL_l1488z00_9845);
									PROCEDURE_ENTRY(BgL_pz00_8489) (BgL_pz00_8489, BgL_fz00_9846,
										BgL_arg0z00_8490, BgL_arg1z00_8491, BEOA);
								}
								{
									obj_t BgL_l1488z00_15742;

									BgL_l1488z00_15742 = CDR(BgL_l1488z00_9845);
									BgL_l1488z00_9845 = BgL_l1488z00_15742;
									goto BgL_zc3anonymousza32313ze3z83_9844;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15732 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15732);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-app1710 */
	obj_t BGl_z62walk1zd2app1710zb0zzast_walkz00(obj_t BgL_envz00_8492,
		obj_t BgL_nz00_8493, obj_t BgL_pz00_8494, obj_t BgL_arg0z00_8495)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2308z00_9848;

				BgL_arg2308z00_9848 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8493)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8494) (BgL_pz00_8494,
					((obj_t) BgL_arg2308z00_9848), BgL_arg0z00_8495, BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1487z00_9849;

				BgL_g1487z00_9849 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8493)))->BgL_argsz00);
				{
					obj_t BgL_l1485z00_9851;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15755;

						BgL_l1485z00_9851 = BgL_g1487z00_9849;
					BgL_zc3anonymousza32309ze3z83_9850:
						if (PAIRP(BgL_l1485z00_9851))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9852;

									BgL_fz00_9852 = CAR(BgL_l1485z00_9851);
									PROCEDURE_ENTRY(BgL_pz00_8494) (BgL_pz00_8494, BgL_fz00_9852,
										BgL_arg0z00_8495, BEOA);
								}
								{
									obj_t BgL_l1485z00_15764;

									BgL_l1485z00_15764 = CDR(BgL_l1485z00_9851);
									BgL_l1485z00_9851 = BgL_l1485z00_15764;
									goto BgL_zc3anonymousza32309ze3z83_9850;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15755 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15755);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-app1708 */
	obj_t BGl_z62walk0zd2app1708zb0zzast_walkz00(obj_t BgL_envz00_8496,
		obj_t BgL_nz00_8497, obj_t BgL_pz00_8498)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2304z00_9854;

				BgL_arg2304z00_9854 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8497)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8498) (BgL_pz00_8498,
					((obj_t) BgL_arg2304z00_9854), BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1484z00_9855;

				BgL_g1484z00_9855 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8497)))->BgL_argsz00);
				{
					obj_t BgL_l1482z00_9857;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15776;

						BgL_l1482z00_9857 = BgL_g1484z00_9855;
					BgL_zc3anonymousza32305ze3z83_9856:
						if (PAIRP(BgL_l1482z00_9857))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9858;

									BgL_fz00_9858 = CAR(BgL_l1482z00_9857);
									PROCEDURE_ENTRY(BgL_pz00_8498) (BgL_pz00_8498, BgL_fz00_9858,
										BEOA);
								}
								{
									obj_t BgL_l1482z00_15784;

									BgL_l1482z00_15784 = CDR(BgL_l1482z00_9857);
									BgL_l1482z00_9857 = BgL_l1482z00_15784;
									goto BgL_zc3anonymousza32305ze3z83_9856;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15776 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15776);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-sequence1706 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1706za2zzast_walkz00(obj_t
		BgL_envz00_8499, obj_t BgL_nz00_8500, obj_t BgL_pz00_8501,
		obj_t BgL_arg0z00_8502, obj_t BgL_arg1z00_8503, obj_t BgL_arg2z00_8504)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9861;

				BgL_fieldsz00_9861 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8500)))->BgL_nodesz00);
			BgL_loopz00_9860:
				if (NULLP(BgL_fieldsz00_9861))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2301z00_9862;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2302z00_9863;

								BgL_arg2302z00_9863 = CAR(((obj_t) BgL_fieldsz00_9861));
								BgL_arg2301z00_9862 =
									PROCEDURE_ENTRY(BgL_pz00_8501) (BgL_pz00_8501,
									BgL_arg2302z00_9863, BgL_arg0z00_8502, BgL_arg1z00_8503,
									BgL_arg2z00_8504, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_15798;

								BgL_tmpz00_15798 = ((obj_t) BgL_fieldsz00_9861);
								SET_CAR(BgL_tmpz00_15798, BgL_arg2301z00_9862);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2303z00_9864;

							BgL_arg2303z00_9864 = CDR(((obj_t) BgL_fieldsz00_9861));
							{
								obj_t BgL_fieldsz00_15803;

								BgL_fieldsz00_15803 = BgL_arg2303z00_9864;
								BgL_fieldsz00_9861 = BgL_fieldsz00_15803;
								goto BgL_loopz00_9860;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8500));
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-sequence1704 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1704za2zzast_walkz00(obj_t
		BgL_envz00_8505, obj_t BgL_nz00_8506, obj_t BgL_pz00_8507,
		obj_t BgL_arg0z00_8508, obj_t BgL_arg1z00_8509)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9867;

				BgL_fieldsz00_9867 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8506)))->BgL_nodesz00);
			BgL_loopz00_9866:
				if (NULLP(BgL_fieldsz00_9867))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2294z00_9868;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2295z00_9869;

								BgL_arg2295z00_9869 = CAR(((obj_t) BgL_fieldsz00_9867));
								BgL_arg2294z00_9868 =
									PROCEDURE_ENTRY(BgL_pz00_8507) (BgL_pz00_8507,
									BgL_arg2295z00_9869, BgL_arg0z00_8508, BgL_arg1z00_8509,
									BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_15818;

								BgL_tmpz00_15818 = ((obj_t) BgL_fieldsz00_9867);
								SET_CAR(BgL_tmpz00_15818, BgL_arg2294z00_9868);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2297z00_9870;

							BgL_arg2297z00_9870 = CDR(((obj_t) BgL_fieldsz00_9867));
							{
								obj_t BgL_fieldsz00_15823;

								BgL_fieldsz00_15823 = BgL_arg2297z00_9870;
								BgL_fieldsz00_9867 = BgL_fieldsz00_15823;
								goto BgL_loopz00_9866;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8506));
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-sequence1701 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1701za2zzast_walkz00(obj_t
		BgL_envz00_8510, obj_t BgL_nz00_8511, obj_t BgL_pz00_8512,
		obj_t BgL_arg0z00_8513)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9873;

				BgL_fieldsz00_9873 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8511)))->BgL_nodesz00);
			BgL_loopz00_9872:
				if (NULLP(BgL_fieldsz00_9873))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2287z00_9874;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2288z00_9875;

								BgL_arg2288z00_9875 = CAR(((obj_t) BgL_fieldsz00_9873));
								BgL_arg2287z00_9874 =
									PROCEDURE_ENTRY(BgL_pz00_8512) (BgL_pz00_8512,
									BgL_arg2288z00_9875, BgL_arg0z00_8513, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_15837;

								BgL_tmpz00_15837 = ((obj_t) BgL_fieldsz00_9873);
								SET_CAR(BgL_tmpz00_15837, BgL_arg2287z00_9874);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2289z00_9876;

							BgL_arg2289z00_9876 = CDR(((obj_t) BgL_fieldsz00_9873));
							{
								obj_t BgL_fieldsz00_15842;

								BgL_fieldsz00_15842 = BgL_arg2289z00_9876;
								BgL_fieldsz00_9873 = BgL_fieldsz00_15842;
								goto BgL_loopz00_9872;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8511));
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-sequence1699 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1699za2zzast_walkz00(obj_t
		BgL_envz00_8514, obj_t BgL_nz00_8515, obj_t BgL_pz00_8516)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9879;

				BgL_fieldsz00_9879 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8515)))->BgL_nodesz00);
			BgL_loopz00_9878:
				if (NULLP(BgL_fieldsz00_9879))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2281z00_9880;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2282z00_9881;

								BgL_arg2282z00_9881 = CAR(((obj_t) BgL_fieldsz00_9879));
								BgL_arg2281z00_9880 =
									PROCEDURE_ENTRY(BgL_pz00_8516) (BgL_pz00_8516,
									BgL_arg2282z00_9881, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_15855;

								BgL_tmpz00_15855 = ((obj_t) BgL_fieldsz00_9879);
								SET_CAR(BgL_tmpz00_15855, BgL_arg2281z00_9880);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2283z00_9882;

							BgL_arg2283z00_9882 = CDR(((obj_t) BgL_fieldsz00_9879));
							{
								obj_t BgL_fieldsz00_15860;

								BgL_fieldsz00_15860 = BgL_arg2283z00_9882;
								BgL_fieldsz00_9879 = BgL_fieldsz00_15860;
								goto BgL_loopz00_9878;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8515));
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-sequence1697 */
	obj_t BGl_z62walk3za2zd2sequence1697z12zzast_walkz00(obj_t BgL_envz00_8517,
		obj_t BgL_nz00_8518, obj_t BgL_pz00_8519, obj_t BgL_arg0z00_8520,
		obj_t BgL_arg1z00_8521, obj_t BgL_arg2z00_8522)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4226z00_9886;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2270z00_9884;

					BgL_arg2270z00_9884 =
						BGl_zc3anonymousza32272ze3ze70z64zzast_walkz00(BgL_arg2z00_8522,
						BgL_arg1z00_8521, BgL_arg0z00_8520, BgL_pz00_8519,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8518)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2271z00_9885;

						BgL_list2271z00_9885 = MAKE_YOUNG_PAIR(BgL_arg2270z00_9884, BNIL);
						BgL_res4226z00_9886 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2271z00_9885);
					}
				}
				return BgL_res4226z00_9886;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2272>~0 */
	obj_t BGl_zc3anonymousza32272ze3ze70z64zzast_walkz00(obj_t BgL_arg2z00_8616,
		obj_t BgL_arg1z00_8615, obj_t BgL_arg0z00_8614, obj_t BgL_pz00_8613,
		obj_t BgL_l1480z00_2657)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1480z00_2657))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2274z00_2660;
					obj_t BgL_arg2275z00_2661;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2662;

						BgL_fz00_2662 = CAR(((obj_t) BgL_l1480z00_2657));
						BgL_arg2274z00_2660 =
							PROCEDURE_ENTRY(BgL_pz00_8613) (BgL_pz00_8613, BgL_fz00_2662,
							BgL_arg0z00_8614, BgL_arg1z00_8615, BgL_arg2z00_8616, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2277z00_2663;

						BgL_arg2277z00_2663 = CDR(((obj_t) BgL_l1480z00_2657));
						BgL_arg2275z00_2661 =
							BGl_zc3anonymousza32272ze3ze70z64zzast_walkz00(BgL_arg2z00_8616,
							BgL_arg1z00_8615, BgL_arg0z00_8614, BgL_pz00_8613,
							BgL_arg2277z00_2663);
					}
					return bgl_append2(BgL_arg2274z00_2660, BgL_arg2275z00_2661);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-sequence1695 */
	obj_t BGl_z62walk2za2zd2sequence1695z12zzast_walkz00(obj_t BgL_envz00_8523,
		obj_t BgL_nz00_8524, obj_t BgL_pz00_8525, obj_t BgL_arg0z00_8526,
		obj_t BgL_arg1z00_8527)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4227z00_9890;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2262z00_9888;

					BgL_arg2262z00_9888 =
						BGl_zc3anonymousza32264ze3ze70z64zzast_walkz00(BgL_arg1z00_8527,
						BgL_arg0z00_8526, BgL_pz00_8525,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8524)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2263z00_9889;

						BgL_list2263z00_9889 = MAKE_YOUNG_PAIR(BgL_arg2262z00_9888, BNIL);
						BgL_res4227z00_9890 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2263z00_9889);
					}
				}
				return BgL_res4227z00_9890;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2264>~0 */
	obj_t BGl_zc3anonymousza32264ze3ze70z64zzast_walkz00(obj_t BgL_arg1z00_8612,
		obj_t BgL_arg0z00_8611, obj_t BgL_pz00_8610, obj_t BgL_l1477z00_2636)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1477z00_2636))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2267z00_2639;
					obj_t BgL_arg2268z00_2640;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2641;

						BgL_fz00_2641 = CAR(((obj_t) BgL_l1477z00_2636));
						BgL_arg2267z00_2639 =
							PROCEDURE_ENTRY(BgL_pz00_8610) (BgL_pz00_8610, BgL_fz00_2641,
							BgL_arg0z00_8611, BgL_arg1z00_8612, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2269z00_2642;

						BgL_arg2269z00_2642 = CDR(((obj_t) BgL_l1477z00_2636));
						BgL_arg2268z00_2640 =
							BGl_zc3anonymousza32264ze3ze70z64zzast_walkz00(BgL_arg1z00_8612,
							BgL_arg0z00_8611, BgL_pz00_8610, BgL_arg2269z00_2642);
					}
					return bgl_append2(BgL_arg2267z00_2639, BgL_arg2268z00_2640);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-sequence1693 */
	obj_t BGl_z62walk1za2zd2sequence1693z12zzast_walkz00(obj_t BgL_envz00_8528,
		obj_t BgL_nz00_8529, obj_t BgL_pz00_8530, obj_t BgL_arg0z00_8531)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4228z00_9894;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2255z00_9892;

					BgL_arg2255z00_9892 =
						BGl_zc3anonymousza32257ze3ze70z64zzast_walkz00(BgL_arg0z00_8531,
						BgL_pz00_8530,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8529)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2256z00_9893;

						BgL_list2256z00_9893 = MAKE_YOUNG_PAIR(BgL_arg2255z00_9892, BNIL);
						BgL_res4228z00_9894 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2256z00_9893);
					}
				}
				return BgL_res4228z00_9894;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2257>~0 */
	obj_t BGl_zc3anonymousza32257ze3ze70z64zzast_walkz00(obj_t BgL_arg0z00_8609,
		obj_t BgL_pz00_8608, obj_t BgL_l1474z00_2616)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1474z00_2616))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2259z00_2619;
					obj_t BgL_arg2260z00_2620;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2621;

						BgL_fz00_2621 = CAR(((obj_t) BgL_l1474z00_2616));
						BgL_arg2259z00_2619 =
							PROCEDURE_ENTRY(BgL_pz00_8608) (BgL_pz00_8608, BgL_fz00_2621,
							BgL_arg0z00_8609, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2261z00_2622;

						BgL_arg2261z00_2622 = CDR(((obj_t) BgL_l1474z00_2616));
						BgL_arg2260z00_2620 =
							BGl_zc3anonymousza32257ze3ze70z64zzast_walkz00(BgL_arg0z00_8609,
							BgL_pz00_8608, BgL_arg2261z00_2622);
					}
					return bgl_append2(BgL_arg2259z00_2619, BgL_arg2260z00_2620);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-sequence1691 */
	obj_t BGl_z62walk0za2zd2sequence1691z12zzast_walkz00(obj_t BgL_envz00_8532,
		obj_t BgL_nz00_8533, obj_t BgL_pz00_8534)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4229z00_9898;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2248z00_9896;

					BgL_arg2248z00_9896 =
						BGl_zc3anonymousza32250ze3ze70z64zzast_walkz00(BgL_pz00_8534,
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nz00_8533)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2249z00_9897;

						BgL_list2249z00_9897 = MAKE_YOUNG_PAIR(BgL_arg2248z00_9896, BNIL);
						BgL_res4229z00_9898 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2249z00_9897);
					}
				}
				return BgL_res4229z00_9898;
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:2250>~0 */
	obj_t BGl_zc3anonymousza32250ze3ze70z64zzast_walkz00(obj_t BgL_pz00_8607,
		obj_t BgL_l1471z00_2597)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1471z00_2597))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2252z00_2600;
					obj_t BgL_arg2253z00_2601;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2602;

						BgL_fz00_2602 = CAR(((obj_t) BgL_l1471z00_2597));
						BgL_arg2252z00_2600 =
							PROCEDURE_ENTRY(BgL_pz00_8607) (BgL_pz00_8607, BgL_fz00_2602,
							BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2254z00_2603;

						BgL_arg2254z00_2603 = CDR(((obj_t) BgL_l1471z00_2597));
						BgL_arg2253z00_2601 =
							BGl_zc3anonymousza32250ze3ze70z64zzast_walkz00(BgL_pz00_8607,
							BgL_arg2254z00_2603);
					}
					return bgl_append2(BgL_arg2252z00_2600, BgL_arg2253z00_2601);
				}
		}
		BGL_FUNCTION_END;
	}



/* &walk3-sequence1689 */
	obj_t BGl_z62walk3zd2sequence1689zb0zzast_walkz00(obj_t BgL_envz00_8535,
		obj_t BgL_nz00_8536, obj_t BgL_pz00_8537, obj_t BgL_arg0z00_8538,
		obj_t BgL_arg1z00_8539, obj_t BgL_arg2z00_8540)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1469z00_9900;

				BgL_g1469z00_9900 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8536)))->BgL_nodesz00);
				{
					obj_t BgL_l1467z00_9902;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_15941;

						BgL_l1467z00_9902 = BgL_g1469z00_9900;
					BgL_zc3anonymousza32244ze3z83_9901:
						if (PAIRP(BgL_l1467z00_9902))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9903;

									BgL_fz00_9903 = CAR(BgL_l1467z00_9902);
									PROCEDURE_ENTRY(BgL_pz00_8537) (BgL_pz00_8537, BgL_fz00_9903,
										BgL_arg0z00_8538, BgL_arg1z00_8539, BgL_arg2z00_8540, BEOA);
								}
								{
									obj_t BgL_l1467z00_15952;

									BgL_l1467z00_15952 = CDR(BgL_l1467z00_9902);
									BgL_l1467z00_9902 = BgL_l1467z00_15952;
									goto BgL_zc3anonymousza32244ze3z83_9901;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_15941 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15941);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk2-sequence1687 */
	obj_t BGl_z62walk2zd2sequence1687zb0zzast_walkz00(obj_t BgL_envz00_8541,
		obj_t BgL_nz00_8542, obj_t BgL_pz00_8543, obj_t BgL_arg0z00_8544,
		obj_t BgL_arg1z00_8545)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1466z00_9905;

				BgL_g1466z00_9905 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8542)))->BgL_nodesz00);
				{
					obj_t BgL_l1464z00_9907;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_15957;

						BgL_l1464z00_9907 = BgL_g1466z00_9905;
					BgL_zc3anonymousza32241ze3z83_9906:
						if (PAIRP(BgL_l1464z00_9907))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9908;

									BgL_fz00_9908 = CAR(BgL_l1464z00_9907);
									PROCEDURE_ENTRY(BgL_pz00_8543) (BgL_pz00_8543, BgL_fz00_9908,
										BgL_arg0z00_8544, BgL_arg1z00_8545, BEOA);
								}
								{
									obj_t BgL_l1464z00_15967;

									BgL_l1464z00_15967 = CDR(BgL_l1464z00_9907);
									BgL_l1464z00_9907 = BgL_l1464z00_15967;
									goto BgL_zc3anonymousza32241ze3z83_9906;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_15957 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15957);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk1-sequence1685 */
	obj_t BGl_z62walk1zd2sequence1685zb0zzast_walkz00(obj_t BgL_envz00_8546,
		obj_t BgL_nz00_8547, obj_t BgL_pz00_8548, obj_t BgL_arg0z00_8549)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1463z00_9910;

				BgL_g1463z00_9910 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8547)))->BgL_nodesz00);
				{
					obj_t BgL_l1461z00_9912;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_15972;

						BgL_l1461z00_9912 = BgL_g1463z00_9910;
					BgL_zc3anonymousza32238ze3z83_9911:
						if (PAIRP(BgL_l1461z00_9912))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9913;

									BgL_fz00_9913 = CAR(BgL_l1461z00_9912);
									PROCEDURE_ENTRY(BgL_pz00_8548) (BgL_pz00_8548, BgL_fz00_9913,
										BgL_arg0z00_8549, BEOA);
								}
								{
									obj_t BgL_l1461z00_15981;

									BgL_l1461z00_15981 = CDR(BgL_l1461z00_9912);
									BgL_l1461z00_9912 = BgL_l1461z00_15981;
									goto BgL_zc3anonymousza32238ze3z83_9911;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_15972 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15972);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk0-sequence1683 */
	obj_t BGl_z62walk0zd2sequence1683zb0zzast_walkz00(obj_t BgL_envz00_8550,
		obj_t BgL_nz00_8551, obj_t BgL_pz00_8552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1460z00_9915;

				BgL_g1460z00_9915 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8551)))->BgL_nodesz00);
				{
					obj_t BgL_l1458z00_9917;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_15986;

						BgL_l1458z00_9917 = BgL_g1460z00_9915;
					BgL_zc3anonymousza32235ze3z83_9916:
						if (PAIRP(BgL_l1458z00_9917))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9918;

									BgL_fz00_9918 = CAR(BgL_l1458z00_9917);
									PROCEDURE_ENTRY(BgL_pz00_8552) (BgL_pz00_8552, BgL_fz00_9918,
										BEOA);
								}
								{
									obj_t BgL_l1458z00_15994;

									BgL_l1458z00_15994 = CDR(BgL_l1458z00_9917);
									BgL_l1458z00_9917 = BgL_l1458z00_15994;
									goto BgL_zc3anonymousza32235ze3z83_9916;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_15986 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15986);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &walk3!-node1681 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2node1681za2zzast_walkz00(obj_t
		BgL_envz00_8553, obj_t BgL_nz00_8554, obj_t BgL_pz00_8555,
		obj_t BgL_arg0z00_8556, obj_t BgL_arg1z00_8557, obj_t BgL_arg2z00_8558)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8554);
		}
		BGL_FUNCTION_END;
	}



/* &walk2!-node1679 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2node1679za2zzast_walkz00(obj_t
		BgL_envz00_8559, obj_t BgL_nz00_8560, obj_t BgL_pz00_8561,
		obj_t BgL_arg0z00_8562, obj_t BgL_arg1z00_8563)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8560);
		}
		BGL_FUNCTION_END;
	}



/* &walk1!-node1677 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2node1677za2zzast_walkz00(obj_t
		BgL_envz00_8564, obj_t BgL_nz00_8565, obj_t BgL_pz00_8566,
		obj_t BgL_arg0z00_8567)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8565);
		}
		BGL_FUNCTION_END;
	}



/* &walk0!-node1675 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2node1675za2zzast_walkz00(obj_t
		BgL_envz00_8568, obj_t BgL_nz00_8569, obj_t BgL_pz00_8570)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8569);
		}
		BGL_FUNCTION_END;
	}



/* &walk3*-node1673 */
	obj_t BGl_z62walk3za2zd2node1673z12zzast_walkz00(obj_t BgL_envz00_8571,
		obj_t BgL_nz00_8572, obj_t BgL_pz00_8573, obj_t BgL_arg0z00_8574,
		obj_t BgL_arg1z00_8575, obj_t BgL_arg2z00_8576)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &walk2*-node1671 */
	obj_t BGl_z62walk2za2zd2node1671z12zzast_walkz00(obj_t BgL_envz00_8577,
		obj_t BgL_nz00_8578, obj_t BgL_pz00_8579, obj_t BgL_arg0z00_8580,
		obj_t BgL_arg1z00_8581)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &walk1*-node1668 */
	obj_t BGl_z62walk1za2zd2node1668z12zzast_walkz00(obj_t BgL_envz00_8582,
		obj_t BgL_nz00_8583, obj_t BgL_pz00_8584, obj_t BgL_arg0z00_8585)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &walk0*-node1666 */
	obj_t BGl_z62walk0za2zd2node1666z12zzast_walkz00(obj_t BgL_envz00_8586,
		obj_t BgL_nz00_8587, obj_t BgL_pz00_8588)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &walk3-node1664 */
	obj_t BGl_z62walk3zd2node1664zb0zzast_walkz00(obj_t BgL_envz00_8589,
		obj_t BgL_nz00_8590, obj_t BgL_pz00_8591, obj_t BgL_arg0z00_8592,
		obj_t BgL_arg1z00_8593, obj_t BgL_arg2z00_8594)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
		BGL_FUNCTION_END;
	}



/* &walk2-node1662 */
	obj_t BGl_z62walk2zd2node1662zb0zzast_walkz00(obj_t BgL_envz00_8595,
		obj_t BgL_nz00_8596, obj_t BgL_pz00_8597, obj_t BgL_arg0z00_8598,
		obj_t BgL_arg1z00_8599)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
		BGL_FUNCTION_END;
	}



/* &walk1-node1660 */
	obj_t BGl_z62walk1zd2node1660zb0zzast_walkz00(obj_t BgL_envz00_8600,
		obj_t BgL_nz00_8601, obj_t BgL_pz00_8602, obj_t BgL_arg0z00_8603)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
		BGL_FUNCTION_END;
	}



/* &walk0-node1658 */
	obj_t BGl_z62walk0zd2node1658zb0zzast_walkz00(obj_t BgL_envz00_8604,
		obj_t BgL_nz00_8605, obj_t BgL_pz00_8606)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4149z00zzast_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4149z00zzast_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string4149z00zzast_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
