/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31642ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62zc3anonymousza31657ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00();
	static obj_t BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string2197z00zzcfa_closurez00,
		BgL_bgl_string2197za700za7za7c2208za7, "   . Light closures", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22209za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2210z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2200z00zzcfa_closurez00,
		BgL_bgl_string2200za700za7za7c2211za7, ": ", 2);
	      DEFINE_STRING(BGl_string2201z00zzcfa_closurez00,
		BgL_bgl_string2201za700za7za7c2212za7, "      ", 6);
	      DEFINE_STRING(BGl_string2202z00zzcfa_closurez00,
		BgL_bgl_string2202za700za7za7c2213za7, "        ", 8);
	      DEFINE_STRING(BGl_string2203z00zzcfa_closurez00,
		BgL_bgl_string2203za700za7za7c2214za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2204z00zzcfa_closurez00,
		BgL_bgl_string2204za700za7za7c2215za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72216za7,
		BGl_z62zc3anonymousza31642ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72217za7,
		BGl_z62zc3anonymousza31657ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2218z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2219z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2220z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2221z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2222z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2223z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2224z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_4127, char *BgL_fromz00_4128)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_4114;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_stringz00_4122;

					BgL_stringz00_4122 = BGl_string2204z00zzcfa_closurez00;
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_startz00_4123;

						BgL_startz00_4123 = BINT(((long) 0));
						{	/* Cfa/closure.scm 25 */
							obj_t BgL_endz00_4124;

							BgL_endz00_4124 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4122)));
							{	/* Cfa/closure.scm 25 */

								BgL_cportz00_4114 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4122, BgL_startz00_4123, BgL_endz00_4124);
				}}}}
				{
					long BgL_iz00_4115;

					BgL_iz00_4115 = ((long) 19);
				BgL_loopz00_4116:
					if ((BgL_iz00_4115 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2206z00_4118;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_4120;

										BgL_locationz00_4120 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2206z00_4118 =
												BGl_readz00zz__readerz00(BgL_cportz00_4114,
												BgL_locationz00_4120);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_4153;

									BgL_tmpz00_4153 = (int) (BgL_iz00_4115);
									CNST_TABLE_SET(BgL_tmpz00_4153, BgL_arg2206z00_4118);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_4121;

								BgL_auxz00_4121 = (int) ((BgL_iz00_4115 - ((long) 1)));
								{
									long BgL_iz00_4158;

									BgL_iz00_4158 = (long) (BgL_auxz00_4121);
									BgL_iz00_4115 = BgL_iz00_4158;
									goto BgL_loopz00_4116;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_3770;

				BgL_n1z00_3770 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_3770 >= ((long) 2)));
		}}
		BGL_FUNCTION_END;
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_4094)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list1560z00_2770;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg1561z00_2771;

							BgL_arg1561z00_2771 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1560z00_2770 =
								MAKE_YOUNG_PAIR(BGl_string2197z00zzcfa_closurez00,
								BgL_arg1561z00_2771);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1560z00_2770);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1511z00_2773;

						BgL_l1511z00_2773 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31562ze3z83_2774:
						if (PAIRP(BgL_l1511z00_2773))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2776;

									BgL_appz00_2776 = CAR(BgL_l1511z00_2773);
									{	/* Cfa/closure.scm 75 */
										BgL_variablez00_bglt BgL_funz00_2778;

										{
											BgL_varz00_bglt BgL_auxz00_4177;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_3776;

												BgL_pairz00_3776 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2776))))->
													BgL_argsz00);
												BgL_auxz00_4177 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_3776));
											}
											BgL_funz00_2778 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4177))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_cloz00_2779;

											BgL_cloz00_2779 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_2778))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 76 */
												bool_t BgL_lostzf3zf3_2780;

												{	/* Cfa/closure.scm 77 */
													long BgL_tmpz00_4190;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4191;

														{
															obj_t BgL_auxz00_4192;

															{	/* Cfa/closure.scm 77 */
																BgL_objectz00_bglt BgL_tmpz00_4193;

																BgL_tmpz00_4193 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2776));
																BgL_auxz00_4192 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4193);
															}
															BgL_auxz00_4191 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4192);
														}
														BgL_tmpz00_4190 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4191))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_2780 = (BgL_tmpz00_4190 > ((long) -1));
												}
												{	/* Cfa/closure.scm 77 */
													obj_t BgL_siza7eza7_2781;

													{	/* Cfa/closure.scm 78 */
														obj_t BgL_arg1608z00_2802;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_pairz00_3782;

															BgL_pairz00_3782 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2776))))->
																BgL_argsz00);
															BgL_arg1608z00_2802 =
																CAR(CDR(CDR(BgL_pairz00_3782)));
														}
														BgL_siza7eza7_2781 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1608z00_2802));
													}
													{	/* Cfa/closure.scm 78 */

														{	/* Cfa/closure.scm 80 */
															bool_t BgL_testz00_4208;

															if (BgL_lostzf3zf3_2780)
																{	/* Cfa/closure.scm 80 */
																	BgL_testz00_4208 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 81 */
																	bool_t BgL_testz00_4210;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4211;
																		{
																			obj_t BgL_auxz00_4212;

																			{	/* Cfa/closure.scm 81 */
																				BgL_objectz00_bglt BgL_tmpz00_4213;

																				BgL_tmpz00_4213 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4212 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4213);
																			}
																			BgL_auxz00_4211 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4212);
																		}
																		BgL_testz00_4210 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_4211))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_testz00_4210)
																		{	/* Cfa/closure.scm 81 */
																			if (
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_2778))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 82 */
																					BgL_testz00_4208 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 82 */
																					if (INTEGERP(BgL_siza7eza7_2781))
																						{	/* Cfa/closure.scm 83 */
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_cloz00_2779,
																									BGl_globalz00zzast_varz00))
																								{	/* Cfa/closure.scm 84 */
																									if (
																										((((BgL_globalz00_bglt)
																													COBJECT((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_2779)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4208 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4208 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 84 */
																									BgL_testz00_4208 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 83 */
																							BgL_testz00_4208 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 81 */
																			BgL_testz00_4208 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_4208)
																{	/* Cfa/closure.scm 80 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 80 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4236;
																		{
																			obj_t BgL_auxz00_4237;

																			{	/* Cfa/closure.scm 102 */
																				BgL_objectz00_bglt BgL_tmpz00_4238;

																				BgL_tmpz00_4238 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4237 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4238);
																			}
																			BgL_auxz00_4236 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4237);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4236))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4244;
																		{
																			obj_t BgL_auxz00_4245;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_4246;

																				BgL_tmpz00_4246 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4245 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4246);
																			}
																			BgL_auxz00_4244 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4245);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4244))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1511z00_4252;

									BgL_l1511z00_4252 = CDR(BgL_l1511z00_2773);
									BgL_l1511z00_2773 = BgL_l1511z00_4252;
									goto BgL_zc3anonymousza31562ze3z83_2774;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1513z00_2811;

						BgL_l1513z00_2811 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31621ze3z83_2812:
						if (PAIRP(BgL_l1513z00_2811))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2814;

									BgL_allocz00_2814 = CAR(BgL_l1513z00_2811);
									{	/* Cfa/closure.scm 112 */
										BgL_valuez00_bglt BgL_fz00_2816;

										{
											BgL_variablez00_bglt BgL_auxz00_4259;

											{
												BgL_varz00_bglt BgL_auxz00_4260;

												{	/* Cfa/closure.scm 112 */
													obj_t BgL_pairz00_3798;

													BgL_pairz00_3798 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2814))))->
														BgL_argsz00);
													BgL_auxz00_4260 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3798));
												}
												BgL_auxz00_4259 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4260))->
													BgL_variablez00);
											}
											BgL_fz00_2816 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_4259))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 114 */
											bool_t BgL_testz00_4268;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4269;

												{
													obj_t BgL_auxz00_4270;

													{	/* Cfa/closure.scm 114 */
														BgL_objectz00_bglt BgL_tmpz00_4271;

														BgL_tmpz00_4271 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_2814));
														BgL_auxz00_4270 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4271);
													}
													BgL_auxz00_4269 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4270);
												}
												BgL_testz00_4268 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4269))->BgL_xz00);
											}
											if (BgL_testz00_4268)
												{	/* Cfa/closure.scm 114 */
													obj_t BgL_vz00_3802;

													BgL_vz00_3802 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_2816)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_3802), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 115 */
													bool_t BgL_testz00_4280;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4281;

														{
															obj_t BgL_auxz00_4282;

															{	/* Cfa/closure.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_4283;

																BgL_tmpz00_4283 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2814));
																BgL_auxz00_4282 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4283);
															}
															BgL_auxz00_4281 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4282);
														}
														BgL_testz00_4280 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4281))->BgL_tz00);
													}
													if (BgL_testz00_4280)
														{	/* Cfa/closure.scm 115 */
															obj_t BgL_vz00_3804;

															BgL_vz00_3804 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2816)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3804), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_3806;

															BgL_vz00_3806 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2816)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3806), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1513z00_4295;

									BgL_l1513z00_4295 = CDR(BgL_l1513z00_2811);
									BgL_l1513z00_2811 = BgL_l1513z00_4295;
									goto BgL_zc3anonymousza31621ze3z83_2812;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_4095, obj_t BgL_globalsz00_4096)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_4096);
		}
		BGL_FUNCTION_END;
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l1515z00_2825;

				BgL_l1515z00_2825 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza31639ze3z83_2826:
				if (PAIRP(BgL_l1515z00_2825))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2828;

							BgL_appz00_2828 = ((BgL_funcallz00_bglt) CAR(BgL_l1515z00_2825));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2829;

								BgL_funz00_2829 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_2828))->
									BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2830;

									BgL_approxz00_2830 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2829);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2831;

										BgL_allocz00_2831 =
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2832;

											BgL_typez00_2832 =
												(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2833;

												BgL_topzf3zf3_2833 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2833)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc2198z00zzcfa_closurez00,
																BgL_approxz00_2830);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_4314;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg1661z00_2854;

																BgL_arg1661z00_2854 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2831);
																BgL_testz00_4314 =
																	((long) CINT(BgL_arg1661z00_2854) ==
																	((long) 0));
															}
															if (BgL_testz00_4314)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_4319;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_4320;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg1660z00_2853;

																			BgL_arg1660z00_2853 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2831);
																			BgL_testz00_4320 =
																				((long) CINT(BgL_arg1660z00_2853) ==
																				((long) 1));
																		}
																		if (BgL_testz00_4320)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1162z00_2852;

																				BgL__ortest_1162z00_2852 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1162z00_2852))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4319 =
																							CBOOL(BgL__ortest_1162z00_2852);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4319 =
																							(
																							((obj_t) BgL_typez00_2832) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_4319 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_4319)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc2199z00zzcfa_closurez00,
																				BgL_approxz00_2830);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1515z00_4331;

							BgL_l1515z00_4331 = CDR(BgL_l1515z00_2825);
							BgL_l1515z00_2825 = BgL_l1515z00_4331;
							goto BgL_zc3anonymousza31639ze3z83_2826;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1642> */
	obj_t BGl_z62zc3anonymousza31642ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4099,
		obj_t BgL_allocz00_4100)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 145 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_4100,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 146 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4335;

						{
							obj_t BgL_auxz00_4336;

							{	/* Cfa/closure.scm 150 */
								BgL_objectz00_bglt BgL_tmpz00_4337;

								BgL_tmpz00_4337 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4100));
								BgL_auxz00_4336 = BGL_OBJECT_WIDENING(BgL_tmpz00_4337);
							}
							BgL_auxz00_4335 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4336);
						}
						((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4335))->
								BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4343;

						{
							obj_t BgL_auxz00_4344;

							{	/* Cfa/closure.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_4345;

								BgL_tmpz00_4345 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4100));
								BgL_auxz00_4344 = BGL_OBJECT_WIDENING(BgL_tmpz00_4345);
							}
							BgL_auxz00_4343 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4344);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt)
									COBJECT(BgL_auxz00_4343))->BgL_xz00) =
							((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 146 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1657> */
	obj_t BGl_z62zc3anonymousza31657ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4101,
		obj_t BgL_allocz00_4102)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 164 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_4102,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 165 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4353;

						{
							obj_t BgL_auxz00_4354;

							{	/* Cfa/closure.scm 169 */
								BgL_objectz00_bglt BgL_tmpz00_4355;

								BgL_tmpz00_4355 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4102));
								BgL_auxz00_4354 = BGL_OBJECT_WIDENING(BgL_tmpz00_4355);
							}
							BgL_auxz00_4353 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4354);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt)
									COBJECT(BgL_auxz00_4353))->BgL_xz00) =
							((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 165 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2858;

				BgL_continuezf3zf3_2858 = ((bool_t) 1);
			BgL_zc3anonymousza31664ze3z83_2859:
				if (BgL_continuezf3zf3_2858)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2860;

						BgL_continuezf3zf3_2860 = ((bool_t) 0);
						{
							obj_t BgL_l1519z00_2862;

							BgL_l1519z00_2862 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza31665ze3z83_2863:
							if (PAIRP(BgL_l1519z00_2862))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2865;

										BgL_appz00_2865 = CAR(BgL_l1519z00_2862);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2866;

											BgL_funz00_2866 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_appz00_2865)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2867;

												BgL_approxz00_2867 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2866);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2868;

													BgL_allocz00_2868 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_2867))->BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2869;

														BgL_typez00_2869 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_2867))->BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2870;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1163z00_2894;

																BgL__ortest_1163z00_2894 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_2867))->
																	BgL_topzf3zf3);
																if (BgL__ortest_1163z00_2894)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2870 =
																			BgL__ortest_1163z00_2894;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_4373;

																		if (
																			(((obj_t) BgL_typez00_2869) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4373 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4373 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_4373)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2870 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2870 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2872;
																	obj_t BgL_allocsz00_2873;

																	BgL_onezd2nonzd2tzf3zf3_2872 =
																		BgL_tzd2initzf3z21_2870;
																	BgL_allocsz00_2873 = BgL_allocz00_2868;
																BgL_zc3anonymousza31667ze3z83_2874:
																	if (NULLP(BgL_allocsz00_2873))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2872)
																				{
																					obj_t BgL_l1517z00_2877;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_tmpz00_4382;

																						BgL_l1517z00_2877 =
																							BgL_allocz00_2868;
																					BgL_zc3anonymousza31669ze3z83_2878:
																						if (PAIRP(BgL_l1517z00_2877))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2880;

																									BgL_allocz00_2880 =
																										CAR(BgL_l1517z00_2877);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2880,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 211 */
																											bool_t BgL_testz00_4388;

																											{
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_auxz00_4389;
																												{
																													obj_t BgL_auxz00_4390;

																													{	/* Cfa/closure.scm 211 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4391;
																														BgL_tmpz00_4391 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_allocz00_2880));
																														BgL_auxz00_4390 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4391);
																													}
																													BgL_auxz00_4389 =
																														(
																														(BgL_makezd2procedurezd2appz00_bglt)
																														BgL_auxz00_4390);
																												}
																												BgL_testz00_4388 =
																													(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4389))->BgL_tz00);
																											}
																											if (BgL_testz00_4388)
																												{	/* Cfa/closure.scm 211 */
																													{
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_auxz00_4397;
																														{
																															obj_t
																																BgL_auxz00_4398;
																															{	/* Cfa/closure.scm 212 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4399;
																																BgL_tmpz00_4399
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_appz00_bglt) BgL_allocz00_2880));
																																BgL_auxz00_4398
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4399);
																															}
																															BgL_auxz00_4397 =
																																(
																																(BgL_makezd2procedurezd2appz00_bglt)
																																BgL_auxz00_4398);
																														}
																														((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4397))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													}
																													BgL_continuezf3zf3_2860
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 211 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l1517z00_4405;

																									BgL_l1517z00_4405 =
																										CDR(BgL_l1517z00_2877);
																									BgL_l1517z00_2877 =
																										BgL_l1517z00_4405;
																									goto
																										BgL_zc3anonymousza31669ze3z83_2878;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_tmpz00_4382 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_4382);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 215 */
																					bool_t BgL_testz00_4408;

																					{	/* Cfa/closure.scm 215 */
																						obj_t BgL_arg1692z00_2892;

																						BgL_arg1692z00_2892 =
																							CAR(((obj_t) BgL_allocsz00_2873));
																						BgL_testz00_4408 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1692z00_2892,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_4408)
																						{	/* Cfa/closure.scm 216 */
																							BgL_appz00_bglt BgL_i1165z00_2888;

																							BgL_i1165z00_2888 =
																								((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_allocsz00_2873)));
																							{	/* Cfa/closure.scm 217 */
																								bool_t BgL_testz00_4415;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_4416;
																									{
																										obj_t BgL_auxz00_4417;

																										{	/* Cfa/closure.scm 217 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4418;
																											BgL_tmpz00_4418 =
																												((BgL_objectz00_bglt)
																												BgL_i1165z00_2888);
																											BgL_auxz00_4417 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4418);
																										}
																										BgL_auxz00_4416 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_4417);
																									}
																									BgL_testz00_4415 =
																										(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4416))->BgL_tz00);
																								}
																								if (BgL_testz00_4415)
																									{	/* Cfa/closure.scm 218 */
																										obj_t BgL_arg1685z00_2890;

																										BgL_arg1685z00_2890 =
																											CDR(
																											((obj_t)
																												BgL_allocsz00_2873));
																										{
																											obj_t BgL_allocsz00_4425;

																											BgL_allocsz00_4425 =
																												BgL_arg1685z00_2890;
																											BgL_allocsz00_2873 =
																												BgL_allocsz00_4425;
																											goto
																												BgL_zc3anonymousza31667ze3z83_2874;
																										}
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_4426;
																										BgL_onezd2nonzd2tzf3zf3_4426
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2872
																											=
																											BgL_onezd2nonzd2tzf3zf3_4426;
																										goto
																											BgL_zc3anonymousza31667ze3z83_2874;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 215 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{	/* Cfa/closure.scm 222 */
																									obj_t BgL_arg1686z00_2891;

																									BgL_arg1686z00_2891 =
																										CDR(
																										((obj_t)
																											BgL_allocsz00_2873));
																									{
																										obj_t BgL_allocsz00_4431;

																										BgL_allocsz00_4431 =
																											BgL_arg1686z00_2891;
																										BgL_allocsz00_2873 =
																											BgL_allocsz00_4431;
																										goto
																											BgL_zc3anonymousza31667ze3z83_2874;
																									}
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_4432;
																									BgL_onezd2nonzd2tzf3zf3_4432 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2872 =
																										BgL_onezd2nonzd2tzf3zf3_4432;
																									goto
																										BgL_zc3anonymousza31667ze3z83_2874;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1519z00_4433;

										BgL_l1519z00_4433 = CDR(BgL_l1519z00_2862);
										BgL_l1519z00_2862 = BgL_l1519z00_4433;
										goto BgL_zc3anonymousza31665ze3z83_2863;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_4435;

							BgL_continuezf3zf3_4435 = BgL_continuezf3zf3_2860;
							BgL_continuezf3zf3_2858 = BgL_continuezf3zf3_4435;
							goto BgL_zc3anonymousza31664ze3z83_2859;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 251 */
			{
				obj_t BgL_appz00_2947;
				obj_t BgL_appz00_2917;

				{
					obj_t BgL_l1521z00_2908;

					BgL_l1521z00_2908 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza31708ze3z83_2909:
					if (PAIRP(BgL_l1521z00_2908))
						{	/* Cfa/closure.scm 293 */
							{	/* Cfa/closure.scm 294 */
								obj_t BgL_appz00_2911;

								BgL_appz00_2911 = CAR(BgL_l1521z00_2908);
								{	/* Cfa/closure.scm 296 */
									bool_t BgL_testz00_4439;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4440;

										{
											obj_t BgL_auxz00_4441;

											{	/* Cfa/closure.scm 296 */
												BgL_objectz00_bglt BgL_tmpz00_4442;

												BgL_tmpz00_4442 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_2911));
												BgL_auxz00_4441 = BGL_OBJECT_WIDENING(BgL_tmpz00_4442);
											}
											BgL_auxz00_4440 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4441);
										}
										BgL_testz00_4439 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_4440))->BgL_xz00);
									}
									if (BgL_testz00_4439)
										{	/* Cfa/closure.scm 296 */
											BgL_appz00_2917 = BgL_appz00_2911;
											{	/* Cfa/closure.scm 255 */
												obj_t BgL_siza7eza7_2920;

												{	/* Cfa/closure.scm 255 */
													obj_t BgL_arg1746z00_2944;

													{	/* Cfa/closure.scm 255 */
														obj_t BgL_pairz00_3844;

														BgL_pairz00_3844 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_2917))))->
															BgL_argsz00);
														BgL_arg1746z00_2944 =
															CAR(CDR(CDR(BgL_pairz00_3844)));
													}
													BgL_siza7eza7_2920 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1746z00_2944));
												}
												{	/* Cfa/closure.scm 255 */
													BgL_variablez00_bglt BgL_ffunz00_2921;

													{
														BgL_varz00_bglt BgL_auxz00_4456;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_pairz00_3850;

															BgL_pairz00_3850 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2917))))->
																BgL_argsz00);
															BgL_auxz00_4456 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3850));
														}
														BgL_ffunz00_2921 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4456))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 256 */
														BgL_valuez00_bglt BgL_sfunz00_2922;

														BgL_sfunz00_2922 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_ffunz00_2921))->BgL_valuez00);
														{	/* Cfa/closure.scm 257 */

															if (
																((long) CINT(BgL_siza7eza7_2920) < ((long) 1)))
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 260 */
																		bool_t BgL_testz00_4467;

																		{	/* Cfa/closure.scm 260 */
																			bool_t BgL_testz00_4468;

																			{	/* Cfa/closure.scm 260 */
																				bool_t BgL_res2158z00_3855;

																				BgL_res2158z00_3855 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2921),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4468 = BgL_res2158z00_3855;
																			}
																			if (BgL_testz00_4468)
																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_4471;

																					{	/* Cfa/closure.scm 261 */
																						obj_t BgL_arg1739z00_2937;

																						BgL_arg1739z00_2937 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2922))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4471 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1739z00_2937,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4471)
																						{	/* Cfa/closure.scm 262 */
																							BgL_valuez00_bglt
																								BgL_arg1736z00_2935;
																							BgL_arg1736z00_2935 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2922))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 262 */
																								bool_t BgL_res2160z00_3860;

																								BgL_res2160z00_3860 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1736z00_2935),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4467 =
																									BgL_res2160z00_3860;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_4467 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 260 */
																					BgL_testz00_4467 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4467)
																			{	/* Cfa/closure.scm 263 */
																				BgL_valuez00_bglt BgL_arg1734z00_2931;

																				BgL_arg1734z00_2931 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2922))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 263 */
																					obj_t BgL_vz00_3864;

																					BgL_vz00_3864 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1734z00_2931)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3864), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 260 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 265 */
																		BgL_varz00_bglt BgL_arg1740z00_2938;

																		BgL_arg1740z00_2938 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 265 */
																			BgL_variablez00_bglt BgL_vz00_3866;

																			BgL_vz00_3866 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1740z00_2938))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3866),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 266 */
																		BgL_varz00_bglt BgL_arg1741z00_2939;

																		BgL_arg1741z00_2939 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 266 */
																			BgL_typez00_bglt BgL_vz00_3868;

																			BgL_vz00_3868 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1741z00_2939)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3868),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg1742z00_2940;

																		BgL_arg1742z00_2940 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 269 */
																			BgL_variablez00_bglt BgL_vz00_3870;

																			BgL_vz00_3870 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1742z00_2940))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3870),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 270 */
																		BgL_varz00_bglt BgL_arg1743z00_2941;

																		BgL_arg1743z00_2941 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 270 */
																			BgL_typez00_bglt BgL_vz00_3872;

																			BgL_vz00_3872 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1743z00_2941)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3872),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_4523;

												{	/* Cfa/closure.scm 272 */
													obj_t BgL_pairz00_3873;

													BgL_pairz00_3873 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2917))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 272 */
														obj_t BgL_pairz00_3876;

														BgL_pairz00_3876 = CDR(BgL_pairz00_3873);
														BgL_auxz00_4523 = CDR(BgL_pairz00_3876);
													}
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2917))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_4523), BUNSPEC);
											}
											BgL_appz00_2917;
										}
									else
										{	/* Cfa/closure.scm 297 */
											bool_t BgL_testz00_4532;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4533;

												{
													obj_t BgL_auxz00_4534;

													{	/* Cfa/closure.scm 297 */
														BgL_objectz00_bglt BgL_tmpz00_4535;

														BgL_tmpz00_4535 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_2911));
														BgL_auxz00_4534 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4535);
													}
													BgL_auxz00_4533 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4534);
												}
												BgL_testz00_4532 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4533))->BgL_tz00);
											}
											if (BgL_testz00_4532)
												{	/* Cfa/closure.scm 297 */
													BgL_appz00_2947 = BgL_appz00_2911;
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_siza7eza7_2950;

														{	/* Cfa/closure.scm 277 */
															obj_t BgL_arg1775z00_2974;

															{	/* Cfa/closure.scm 277 */
																obj_t BgL_pairz00_3877;

																BgL_pairz00_3877 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_2947))))->
																	BgL_argsz00);
																BgL_arg1775z00_2974 =
																	CAR(CDR(CDR(BgL_pairz00_3877)));
															}
															BgL_siza7eza7_2950 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1775z00_2974));
														}
														{	/* Cfa/closure.scm 277 */
															BgL_variablez00_bglt BgL_ffunz00_2951;

															{
																BgL_varz00_bglt BgL_auxz00_4549;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_pairz00_3883;

																	BgL_pairz00_3883 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_2947))))->BgL_argsz00);
																	BgL_auxz00_4549 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_3883));
																}
																BgL_ffunz00_2951 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_4549))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 278 */
																BgL_valuez00_bglt BgL_sfunz00_2952;

																BgL_sfunz00_2952 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_ffunz00_2951))->BgL_valuez00);
																{	/* Cfa/closure.scm 279 */

																	{	/* Cfa/closure.scm 280 */
																		bool_t BgL_testz00_4557;

																		{	/* Cfa/closure.scm 280 */
																			bool_t BgL_testz00_4558;

																			{	/* Cfa/closure.scm 280 */
																				bool_t BgL_res2161z00_3886;

																				BgL_res2161z00_3886 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2951),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4558 = BgL_res2161z00_3886;
																			}
																			if (BgL_testz00_4558)
																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_4561;

																					{	/* Cfa/closure.scm 281 */
																						obj_t BgL_arg1765z00_2966;

																						BgL_arg1765z00_2966 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2952))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4561 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1765z00_2966,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4561)
																						{	/* Cfa/closure.scm 282 */
																							BgL_valuez00_bglt
																								BgL_arg1760z00_2964;
																							BgL_arg1760z00_2964 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2952))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 282 */
																								bool_t BgL_res2163z00_3891;

																								BgL_res2163z00_3891 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1760z00_2964),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4557 =
																									BgL_res2163z00_3891;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_4557 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 280 */
																					BgL_testz00_4557 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4557)
																			{	/* Cfa/closure.scm 283 */
																				BgL_valuez00_bglt BgL_arg1757z00_2960;

																				BgL_arg1757z00_2960 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2952))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 283 */
																					obj_t BgL_vz00_3895;

																					BgL_vz00_3895 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1757z00_2960)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3895), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 280 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 285 */
																		BgL_varz00_bglt BgL_arg1766z00_2967;

																		BgL_arg1766z00_2967 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_funz00);
																		{	/* Cfa/closure.scm 285 */
																			BgL_variablez00_bglt BgL_vz00_3897;

																			BgL_vz00_3897 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1766z00_2967))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3897),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 287 */
																		BgL_varz00_bglt BgL_arg1767z00_2968;

																		BgL_arg1767z00_2968 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_funz00);
																		{	/* Cfa/closure.scm 287 */
																			BgL_typez00_bglt BgL_vz00_3899;

																			BgL_vz00_3899 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1767z00_2968)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3899),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 289 */
																		obj_t BgL_arg1768z00_2969;
																		obj_t BgL_arg1769z00_2970;

																		BgL_arg1768z00_2969 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 289 */
																			obj_t BgL_pairz00_3900;

																			BgL_pairz00_3900 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2947))))->
																				BgL_argsz00);
																			BgL_arg1769z00_2970 =
																				CDR(CDR(BgL_pairz00_3900));
																		}
																		{	/* Cfa/closure.scm 289 */
																			obj_t BgL_tmpz00_4606;

																			BgL_tmpz00_4606 =
																				((obj_t) BgL_arg1768z00_2969);
																			SET_CDR(BgL_tmpz00_4606,
																				BgL_arg1769z00_2970);
																		}
																	}
																	BgL_appz00_2947;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 297 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1521z00_4609;

								BgL_l1521z00_4609 = CDR(BgL_l1521z00_2908);
								BgL_l1521z00_2908 = BgL_l1521z00_4609;
								goto BgL_zc3anonymousza31708ze3z83_2909;
							}
						}
					else
						{	/* Cfa/closure.scm 293 */
							return ((bool_t) 1);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 303 */
			{
				obj_t BgL_l1528z00_2979;

				BgL_l1528z00_2979 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza31777ze3z83_2980:
				if (PAIRP(BgL_l1528z00_2979))
					{	/* Cfa/closure.scm 307 */
						{	/* Cfa/closure.scm 308 */
							BgL_funcallz00_bglt BgL_appz00_2982;

							BgL_appz00_2982 = ((BgL_funcallz00_bglt) CAR(BgL_l1528z00_2979));
							{	/* Cfa/closure.scm 309 */
								BgL_nodez00_bglt BgL_funz00_2983;

								BgL_funz00_2983 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_2982))->
									BgL_funz00);
								{	/* Cfa/closure.scm 309 */
									BgL_approxz00_bglt BgL_approxz00_2984;

									BgL_approxz00_2984 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2983);
									{	/* Cfa/closure.scm 310 */
										obj_t BgL_alloczd2listzd2_2985;

										BgL_alloczd2listzd2_2985 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2984))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 311 */

											{	/* Cfa/closure.scm 312 */
												bool_t BgL_testz00_4619;

												if (PAIRP(BgL_alloczd2listzd2_2985))
													{	/* Cfa/closure.scm 313 */
														bool_t BgL_testz00_4622;

														{	/* Cfa/closure.scm 313 */
															obj_t BgL_arg1811z00_3030;

															BgL_arg1811z00_3030 =
																CAR(BgL_alloczd2listzd2_2985);
															BgL_testz00_4622 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1811z00_3030,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_4622)
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4619 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4619 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 312 */
														BgL_testz00_4619 = ((bool_t) 1);
													}
												if (BgL_testz00_4619)
													{	/* Cfa/closure.scm 312 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 317 */
														BgL_appz00_bglt BgL_allocz00_2991;

														BgL_allocz00_2991 =
															((BgL_appz00_bglt)
															CAR(((obj_t) BgL_alloczd2listzd2_2985)));
														{	/* Cfa/closure.scm 320 */
															bool_t BgL_testz00_4629;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_4630;
																{
																	obj_t BgL_auxz00_4631;

																	{	/* Cfa/closure.scm 320 */
																		BgL_objectz00_bglt BgL_tmpz00_4632;

																		BgL_tmpz00_4632 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_2991));
																		BgL_auxz00_4631 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4632);
																	}
																	BgL_auxz00_4630 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_4631);
																}
																BgL_testz00_4629 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_4630))->BgL_xz00);
															}
															if (BgL_testz00_4629)
																{	/* Cfa/closure.scm 320 */
																	{	/* Cfa/closure.scm 325 */
																		BgL_varz00_bglt BgL_arg1785z00_2994;

																		{	/* Cfa/closure.scm 325 */
																			BgL_nodez00_bglt
																				BgL_duplicated1173z00_2995;
																			BgL_varz00_bglt BgL_new1171z00_2996;

																			{	/* Cfa/closure.scm 325 */
																				obj_t BgL_pairz00_3916;

																				BgL_pairz00_3916 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2991))))->
																					BgL_argsz00);
																				BgL_duplicated1173z00_2995 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_3916));
																			}
																			{	/* Cfa/closure.scm 326 */
																				BgL_varz00_bglt BgL_new1175z00_3006;

																				BgL_new1175z00_3006 =
																					((BgL_varz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Cfa/closure.scm 326 */
																					long BgL_arg1798z00_3007;

																					{	/* Cfa/closure.scm 326 */
																						long BgL_res2168z00_3918;

																						BgL_res2168z00_3918 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg1798z00_3007 =
																							BgL_res2168z00_3918;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1175z00_3006),
																						BgL_arg1798z00_3007);
																				}
																				BgL_new1171z00_2996 =
																					BgL_new1175z00_3006;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1171z00_2996)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1173z00_2995))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_4650;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_arg1786z00_2997;
																					BgL_typez00_bglt BgL_arg1787z00_2998;

																					{	/* Cfa/closure.scm 327 */
																						BgL_approxz00_bglt
																							BgL_arg1789z00_2999;
																						obj_t BgL_arg1791z00_3000;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_4652;
																							{
																								obj_t BgL_auxz00_4653;

																								{	/* Cfa/closure.scm 327 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4654;
																									BgL_tmpz00_4654 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_2991));
																									BgL_auxz00_4653 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4654);
																								}
																								BgL_auxz00_4652 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_4653);
																							}
																							BgL_arg1789z00_2999 =
																								(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4652))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 327 */
																							obj_t BgL_pairz00_3921;

																							BgL_pairz00_3921 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_2991))))->
																								BgL_argsz00);
																							BgL_arg1791z00_3000 =
																								CAR(BgL_pairz00_3921);
																						}
																						BgL_arg1786z00_2997 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1789z00_2999,
																							BgL_arg1791z00_3000);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_4665;

																						{
																							BgL_varz00_bglt BgL_auxz00_4666;

																							{	/* Cfa/closure.scm 328 */
																								obj_t BgL_pairz00_3922;

																								BgL_pairz00_3922 =
																									(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_2991))))->
																									BgL_argsz00);
																								BgL_auxz00_4666 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_3922));
																							}
																							BgL_auxz00_4665 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_4666);
																						}
																						BgL_arg1787z00_2998 =
																							(((BgL_nodez00_bglt)
																								COBJECT(BgL_auxz00_4665))->
																							BgL_typez00);
																					}
																					BgL_auxz00_4650 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1786z00_2997),
																						BgL_arg1787z00_2998);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1171z00_2996)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_4650),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_new1171z00_2996))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1173z00_2995)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1785z00_2994 = BgL_new1171z00_2996;
																		}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1785z00_2994)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 329 */
																		obj_t BgL_arg1799z00_3008;

																		{	/* Cfa/closure.scm 329 */
																			obj_t BgL_arg1800z00_3009;

																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_pairz00_3926;

																				BgL_pairz00_3926 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2991))))->
																					BgL_argsz00);
																				BgL_arg1800z00_3009 =
																					CAR(BgL_pairz00_3926);
																			}
																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_list1801z00_3010;

																				BgL_list1801z00_3010 =
																					MAKE_YOUNG_PAIR(BgL_arg1800z00_3009,
																					BNIL);
																				BgL_arg1799z00_3008 =
																					BgL_list1801z00_3010;
																		}}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1799z00_3008), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 330 */
																		obj_t BgL_vz00_3930;

																		BgL_vz00_3930 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_3930), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 331 */
																	bool_t BgL_testz00_4690;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4691;
																		{
																			obj_t BgL_auxz00_4692;

																			{	/* Cfa/closure.scm 331 */
																				BgL_objectz00_bglt BgL_tmpz00_4693;

																				BgL_tmpz00_4693 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_2991));
																				BgL_auxz00_4692 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4693);
																			}
																			BgL_auxz00_4691 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4692);
																		}
																		BgL_testz00_4690 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_4691))->BgL_tz00);
																	}
																	if (BgL_testz00_4690)
																		{	/* Cfa/closure.scm 331 */
																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_fz00_3013;

																				if (NULLP(BgL_alloczd2listzd2_2985))
																					{	/* Cfa/closure.scm 334 */
																						BgL_fz00_3013 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 334 */
																						obj_t BgL_head1525z00_3016;

																						{	/* Cfa/closure.scm 334 */
																							obj_t BgL_res2171z00_3932;

																							BgL_res2171z00_3932 =
																								MAKE_YOUNG_PAIR(BNIL, BNIL);
																							BgL_head1525z00_3016 =
																								BgL_res2171z00_3932;
																						}
																						{
																							obj_t BgL_l1523z00_3018;
																							obj_t BgL_tail1526z00_3019;

																							BgL_l1523z00_3018 =
																								BgL_alloczd2listzd2_2985;
																							BgL_tail1526z00_3019 =
																								BgL_head1525z00_3016;
																						BgL_zc3anonymousza31805ze3z83_3020:
																							if (NULLP(BgL_l1523z00_3018))
																								{	/* Cfa/closure.scm 334 */
																									BgL_fz00_3013 =
																										CDR(BgL_head1525z00_3016);
																								}
																							else
																								{	/* Cfa/closure.scm 334 */
																									obj_t BgL_newtail1527z00_3022;

																									{	/* Cfa/closure.scm 334 */
																										obj_t BgL_arg1809z00_3024;

																										{	/* Cfa/closure.scm 335 */
																											obj_t BgL_pairz00_3937;

																											BgL_pairz00_3937 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR(((obj_t)
																																		BgL_l1523z00_3018))))))->
																												BgL_argsz00);
																											BgL_arg1809z00_3024 =
																												CAR(BgL_pairz00_3937);
																										}
																										{	/* Cfa/closure.scm 334 */
																											obj_t BgL_res2173z00_3938;

																											BgL_res2173z00_3938 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1809z00_3024,
																												BNIL);
																											BgL_newtail1527z00_3022 =
																												BgL_res2173z00_3938;
																										}
																									}
																									SET_CDR(BgL_tail1526z00_3019,
																										BgL_newtail1527z00_3022);
																									{	/* Cfa/closure.scm 334 */
																										obj_t BgL_arg1807z00_3023;

																										BgL_arg1807z00_3023 =
																											CDR(
																											((obj_t)
																												BgL_l1523z00_3018));
																										{
																											obj_t
																												BgL_tail1526z00_4716;
																											obj_t BgL_l1523z00_4715;

																											BgL_l1523z00_4715 =
																												BgL_arg1807z00_3023;
																											BgL_tail1526z00_4716 =
																												BgL_newtail1527z00_3022;
																											BgL_tail1526z00_3019 =
																												BgL_tail1526z00_4716;
																											BgL_l1523z00_3018 =
																												BgL_l1523z00_4715;
																											goto
																												BgL_zc3anonymousza31805ze3z83_3020;
																										}
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							COBJECT(BgL_appz00_2982))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_3013), BUNSPEC);
																				{	/* Cfa/closure.scm 338 */
																					obj_t BgL_vz00_3943;

																					BgL_vz00_3943 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								COBJECT(BgL_appz00_2982))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_3943), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 331 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l1528z00_4721;

							BgL_l1528z00_4721 = CDR(BgL_l1528z00_2979);
							BgL_l1528z00_2979 = BgL_l1528z00_4721;
							goto BgL_zc3anonymousza31777ze3z83_2980;
						}
					}
				else
					{	/* Cfa/closure.scm 307 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 343 */
					{	/* Cfa/closure.scm 349 */
						obj_t BgL_funcallzd2lzd2_3034;

						BgL_funcallzd2lzd2_3034 =
							BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00
							(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
						{

						BgL_zc3anonymousza31815ze3z83_3036:
							{	/* Cfa/closure.scm 353 */
								bool_t BgL_contz00_3037;

								BgL_contz00_3037 = ((bool_t) 0);
								{
									obj_t BgL_l1535z00_3039;

									BgL_l1535z00_3039 = BgL_funcallzd2lzd2_3034;
								BgL_zc3anonymousza31816ze3z83_3040:
									if (PAIRP(BgL_l1535z00_3039))
										{	/* Cfa/closure.scm 354 */
											{	/* Cfa/closure.scm 355 */
												BgL_funcallz00_bglt BgL_appz00_3042;

												BgL_appz00_3042 =
													((BgL_funcallz00_bglt) CAR(BgL_l1535z00_3039));
												{	/* Cfa/closure.scm 355 */
													BgL_nodez00_bglt BgL_funz00_3043;

													BgL_funz00_3043 =
														(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3042))->
														BgL_funz00);
													{	/* Cfa/closure.scm 355 */
														BgL_approxz00_bglt BgL_approxz00_3044;

														BgL_approxz00_3044 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3043);
														{	/* Cfa/closure.scm 356 */
															obj_t BgL_appsz00_3045;

															BgL_appsz00_3045 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3044))->
																	BgL_allocsz00));
															{	/* Cfa/closure.scm 357 */

																if (PAIRP(BgL_appsz00_3045))
																	{	/* Cfa/closure.scm 358 */
																		{	/* Cfa/closure.scm 359 */
																			bool_t BgL_testz00_4736;

																			{	/* Cfa/closure.scm 359 */
																				obj_t BgL_tmpz00_4737;

																				BgL_tmpz00_4737 = CDR(BgL_appsz00_3045);
																				BgL_testz00_4736 =
																					PAIRP(BgL_tmpz00_4737);
																			}
																			if (BgL_testz00_4736)
																				{	/* Cfa/closure.scm 361 */
																					bool_t BgL__ortest_1176z00_3049;

																					BgL__ortest_1176z00_3049 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_3045);
																					if (BgL__ortest_1176z00_3049)
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_3037 =
																								BgL__ortest_1176z00_3049;
																						}
																					else
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_3037 =
																								BgL_contz00_3037;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 359 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 362 */
																			bool_t BgL_mz00_3051;

																			{	/* Cfa/closure.scm 363 */
																				BgL_approxz00_bglt BgL_arg1824z00_3053;

																				BgL_arg1824z00_3053 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_3042));
																				BgL_mz00_3051 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_3045,
																					BgL_arg1824z00_3053);
																			}
																			{	/* Cfa/closure.scm 364 */
																				bool_t BgL__ortest_1177z00_3052;

																				BgL__ortest_1177z00_3052 =
																					BgL_contz00_3037;
																				if (BgL__ortest_1177z00_3052)
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_3037 =
																							BgL__ortest_1177z00_3052;
																					}
																				else
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_3037 = BgL_mz00_3051;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 358 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1535z00_4746;

												BgL_l1535z00_4746 = CDR(BgL_l1535z00_3039);
												BgL_l1535z00_3039 = BgL_l1535z00_4746;
												goto BgL_zc3anonymousza31816ze3z83_3040;
											}
										}
									else
										{	/* Cfa/closure.scm 354 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_3037)
									{	/* Cfa/closure.scm 366 */
										goto BgL_zc3anonymousza31815ze3z83_3036;
									}
								else
									{	/* Cfa/closure.scm 366 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 343 */
					return ((bool_t) 0);
				}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:1828>~0 */
	obj_t BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00(obj_t
		BgL_lis1531z00_3059)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 349 */
		BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00:
			if (NULLP(BgL_lis1531z00_3059))
				{	/* Cfa/closure.scm 349 */
					return BgL_lis1531z00_3059;
				}
			else
				{	/* Cfa/closure.scm 349 */
					obj_t BgL_head1532z00_3062;
					obj_t BgL_tail1533z00_3063;

					BgL_head1532z00_3062 = CAR(((obj_t) BgL_lis1531z00_3059));
					BgL_tail1533z00_3063 = CDR(((obj_t) BgL_lis1531z00_3059));
					if (
						((((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_head1532z00_3062)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 349 */
							obj_t BgL_newzd2tail1534zd2_3067;

							BgL_newzd2tail1534zd2_3067 =
								BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00
								(BgL_tail1533z00_3063);
							if ((BgL_tail1533z00_3063 == BgL_newzd2tail1534zd2_3067))
								{	/* Cfa/closure.scm 349 */
									return BgL_lis1531z00_3059;
								}
							else
								{	/* Cfa/closure.scm 349 */
									obj_t BgL_res2176z00_3950;

									BgL_res2176z00_3950 =
										MAKE_YOUNG_PAIR(BgL_head1532z00_3062,
										BgL_newzd2tail1534zd2_3067);
									return BgL_res2176z00_3950;
								}
						}
					else
						{
							obj_t BgL_lis1531z00_4764;

							BgL_lis1531z00_4764 = BgL_tail1533z00_3063;
							BgL_lis1531z00_3059 = BgL_lis1531z00_4764;
							goto BGl_zc3anonymousza31828ze3ze70z64zzcfa_closurez00;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_8, BgL_approxz00_bglt BgL_approxz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 372 */
			{	/* Cfa/closure.scm 373 */
				obj_t BgL_app0z00_3072;

				BgL_app0z00_3072 = CAR(BgL_appsz00_8);
				{	/* Cfa/closure.scm 373 */
					BgL_variablez00_bglt BgL_f0z00_3073;

					{
						BgL_varz00_bglt BgL_auxz00_4766;

						{	/* Cfa/closure.scm 374 */
							obj_t BgL_pairz00_3961;

							BgL_pairz00_3961 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_3072))))->BgL_argsz00);
							BgL_auxz00_4766 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3961));
						}
						BgL_f0z00_3073 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4766))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 374 */
						BgL_approxz00_bglt BgL_r0z00_3074;

						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4773;

							{
								obj_t BgL_auxz00_4774;

								{	/* Cfa/closure.scm 375 */
									BgL_objectz00_bglt BgL_tmpz00_4775;

									BgL_tmpz00_4775 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(BgL_f0z00_3073))->
												BgL_valuez00)));
									BgL_auxz00_4774 = BGL_OBJECT_WIDENING(BgL_tmpz00_4775);
								}
								BgL_auxz00_4773 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4774);
							}
							BgL_r0z00_3074 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt)
									COBJECT(BgL_auxz00_4773))->BgL_approxz00);
						}
						{	/* Cfa/closure.scm 375 */
							BgL_typez00_bglt BgL_rt0z00_3075;

							BgL_rt0z00_3075 =
								(((BgL_approxz00_bglt) COBJECT(BgL_r0z00_3074))->BgL_typez00);
							{	/* Cfa/closure.scm 376 */
								BgL_typez00_bglt BgL_brt0z00_3076;

								BgL_brt0z00_3076 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_rt0z00_3075);
								{	/* Cfa/closure.scm 377 */
									BgL_typez00_bglt BgL_atz00_3077;

									BgL_atz00_3077 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_9))->
										BgL_typez00);
									{	/* Cfa/closure.scm 378 */

										{	/* Cfa/closure.scm 379 */
											bool_t BgL_testz00_4785;

											if (
												(((obj_t) BgL_rt0z00_3075) == ((obj_t) BgL_atz00_3077)))
												{	/* Cfa/closure.scm 379 */
													BgL_testz00_4785 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 379 */
													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_rt0z00_3075))
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4785 =
																BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_atz00_3077);
														}
													else
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4785 = ((bool_t) 0);
														}
												}
											if (BgL_testz00_4785)
												{	/* Cfa/closure.scm 379 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 379 */
													((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_9))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	COBJECT(BgL_r0z00_3074))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_10)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 386 */
			{
				BgL_appz00_bglt BgL_app0z00_3100;
				BgL_appz00_bglt BgL_app1z00_3101;

				{	/* Cfa/closure.scm 455 */
					obj_t BgL_g1183z00_3088;

					BgL_g1183z00_3088 = CDR(((obj_t) BgL_apps0z00_10));
					{
						obj_t BgL_appsz00_3090;
						bool_t BgL_contz00_3091;

						BgL_appsz00_3090 = BgL_g1183z00_3088;
						BgL_contz00_3091 = ((bool_t) 0);
					BgL_zc3anonymousza31841ze3z83_3092:
						if (NULLP(BgL_appsz00_3090))
							{	/* Cfa/closure.scm 457 */
								return BgL_contz00_3091;
							}
						else
							{	/* Cfa/closure.scm 459 */
								obj_t BgL_arg1843z00_3094;
								bool_t BgL_arg1844z00_3095;

								BgL_arg1843z00_3094 = CDR(((obj_t) BgL_appsz00_3090));
								{	/* Cfa/closure.scm 459 */
									bool_t BgL__ortest_1184z00_3096;

									{	/* Cfa/closure.scm 459 */
										obj_t BgL_arg1845z00_3097;
										obj_t BgL_arg1846z00_3098;

										BgL_arg1845z00_3097 = CAR(((obj_t) BgL_apps0z00_10));
										BgL_arg1846z00_3098 = CAR(((obj_t) BgL_appsz00_3090));
										BgL_app0z00_3100 = ((BgL_appz00_bglt) BgL_arg1845z00_3097);
										BgL_app1z00_3101 = ((BgL_appz00_bglt) BgL_arg1846z00_3098);
										{	/* Cfa/closure.scm 389 */
											BgL_variablez00_bglt BgL_f0z00_3103;

											{
												BgL_varz00_bglt BgL_auxz00_4805;

												{	/* Cfa/closure.scm 389 */
													obj_t BgL_pairz00_3971;

													BgL_pairz00_3971 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_app0z00_3100)))->
														BgL_argsz00);
													BgL_auxz00_4805 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3971));
												}
												BgL_f0z00_3103 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4805))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 389 */
												BgL_variablez00_bglt BgL_f1z00_3104;

												{
													BgL_varz00_bglt BgL_auxz00_4811;

													{	/* Cfa/closure.scm 390 */
														obj_t BgL_pairz00_3974;

														BgL_pairz00_3974 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_app1z00_3101)))->
															BgL_argsz00);
														BgL_auxz00_4811 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3974));
													}
													BgL_f1z00_3104 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4811))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 390 */

													{	/* Cfa/closure.scm 392 */
														BgL_approxz00_bglt BgL_r0z00_3105;

														{
															BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4817;

															{
																obj_t BgL_auxz00_4818;

																{	/* Cfa/closure.scm 392 */
																	BgL_objectz00_bglt BgL_tmpz00_4819;

																	BgL_tmpz00_4819 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3103))->
																				BgL_valuez00)));
																	BgL_auxz00_4818 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4819);
																}
																BgL_auxz00_4817 =
																	((BgL_internzd2sfunzf2cinfoz20_bglt)
																	BgL_auxz00_4818);
															}
															BgL_r0z00_3105 =
																(((BgL_internzd2sfunzf2cinfoz20_bglt)
																	COBJECT(BgL_auxz00_4817))->BgL_approxz00);
														}
														{	/* Cfa/closure.scm 392 */
															BgL_approxz00_bglt BgL_r1z00_3106;

															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_4826;
																{
																	obj_t BgL_auxz00_4827;

																	{	/* Cfa/closure.scm 393 */
																		BgL_objectz00_bglt BgL_tmpz00_4828;

																		BgL_tmpz00_4828 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt)
																						COBJECT(BgL_f1z00_3104))->
																					BgL_valuez00)));
																		BgL_auxz00_4827 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4828);
																	}
																	BgL_auxz00_4826 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_4827);
																}
																BgL_r1z00_3106 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		COBJECT(BgL_auxz00_4826))->BgL_approxz00);
															}
															{	/* Cfa/closure.scm 393 */
																BgL_typez00_bglt BgL_rt0z00_3107;

																BgL_rt0z00_3107 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_r0z00_3105))->BgL_typez00);
																{	/* Cfa/closure.scm 394 */
																	BgL_typez00_bglt BgL_rt1z00_3108;

																	BgL_rt1z00_3108 =
																		(((BgL_approxz00_bglt)
																			COBJECT(BgL_r1z00_3106))->BgL_typez00);
																	{	/* Cfa/closure.scm 395 */
																		BgL_typez00_bglt BgL_brt0z00_3109;

																		BgL_brt0z00_3109 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_rt0z00_3107);
																		{	/* Cfa/closure.scm 396 */
																			BgL_typez00_bglt BgL_brt1z00_3110;

																			BgL_brt1z00_3110 =
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(BgL_rt1z00_3108);
																			{	/* Cfa/closure.scm 397 */

																				{	/* Cfa/closure.scm 398 */
																					bool_t BgL_testz00_4839;

																					if (
																						(((obj_t) BgL_rt0z00_3107) ==
																							((obj_t) BgL_rt1z00_3108)))
																						{	/* Cfa/closure.scm 398 */
																							BgL_testz00_4839 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_rt0z00_3107))
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4839 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(BgL_rt1z00_3108);
																								}
																							else
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4839 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_testz00_4839)
																						{	/* Cfa/closure.scm 398 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (
																								(((obj_t) BgL_rt0z00_3107) ==
																									((obj_t) BgL_brt0z00_3109)))
																								{	/* Cfa/closure.scm 400 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 400 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r0z00_3105))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt0z00_3109),
																										BUNSPEC);
																								}
																							if (
																								(((obj_t) BgL_rt1z00_3108) ==
																									((obj_t) BgL_brt1z00_3110)))
																								{	/* Cfa/closure.scm 402 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 402 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r1z00_3106))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt1z00_3110),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 404 */
														obj_t BgL_g1180z00_3120;
														obj_t BgL_g1181z00_3121;

														{	/* Cfa/closure.scm 404 */
															obj_t BgL_pairz00_3988;

															BgL_pairz00_3988 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3103))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1180z00_3120 = CDR(BgL_pairz00_3988);
														}
														{	/* Cfa/closure.scm 405 */
															obj_t BgL_pairz00_3991;

															BgL_pairz00_3991 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f1z00_3104))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1181z00_3121 = CDR(BgL_pairz00_3991);
														}
														{
															obj_t BgL_a0z00_3123;
															obj_t BgL_a1z00_3124;
															bool_t BgL_contz00_3125;

															BgL_a0z00_3123 = BgL_g1180z00_3120;
															BgL_a1z00_3124 = BgL_g1181z00_3121;
															BgL_contz00_3125 = ((bool_t) 0);
														BgL_zc3anonymousza31854ze3z83_3126:
															{	/* Cfa/closure.scm 407 */
																bool_t BgL_testz00_4865;

																if (PAIRP(BgL_a0z00_3123))
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4865 = PAIRP(BgL_a1z00_3124);
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4865 = ((bool_t) 0);
																	}
																if (BgL_testz00_4865)
																	{	/* Cfa/closure.scm 408 */
																		BgL_approxz00_bglt BgL_p0z00_3129;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_4869;

																			{
																				obj_t BgL_auxz00_4870;

																				{	/* Cfa/closure.scm 408 */
																					BgL_objectz00_bglt BgL_tmpz00_4871;

																					BgL_tmpz00_4871 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_3123))))->
																								BgL_valuez00)));
																					BgL_auxz00_4870 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4871);
																				}
																				BgL_auxz00_4869 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_4870);
																			}
																			BgL_p0z00_3129 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					COBJECT(BgL_auxz00_4869))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 408 */
																			BgL_approxz00_bglt BgL_p1z00_3130;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_4880;
																				{
																					obj_t BgL_auxz00_4881;

																					{	/* Cfa/closure.scm 409 */
																						BgL_objectz00_bglt BgL_tmpz00_4882;

																						BgL_tmpz00_4882 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												CAR(BgL_a1z00_3124))))->
																									BgL_valuez00)));
																						BgL_auxz00_4881 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4882);
																					}
																					BgL_auxz00_4880 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_4881);
																				}
																				BgL_p1z00_3130 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						COBJECT(BgL_auxz00_4880))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 409 */
																				BgL_typez00_bglt BgL_t0z00_3131;

																				BgL_t0z00_3131 =
																					(((BgL_approxz00_bglt)
																						COBJECT(BgL_p0z00_3129))->
																					BgL_typez00);
																				{	/* Cfa/closure.scm 410 */
																					BgL_typez00_bglt BgL_t1z00_3132;

																					BgL_t1z00_3132 =
																						(((BgL_approxz00_bglt)
																							COBJECT(BgL_p1z00_3130))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 411 */

																						{	/* Cfa/closure.scm 412 */
																							bool_t BgL_testz00_4893;

																							if (
																								(((obj_t) BgL_t0z00_3131) ==
																									((obj_t) BgL_t1z00_3132)))
																								{	/* Cfa/closure.scm 412 */
																									BgL_testz00_4893 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 412 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_3131))
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4893 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_3132);
																										}
																									else
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4893 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_4893)
																								{
																									obj_t BgL_a1z00_4903;
																									obj_t BgL_a0z00_4901;

																									BgL_a0z00_4901 =
																										CDR(BgL_a0z00_3123);
																									BgL_a1z00_4903 =
																										CDR(BgL_a1z00_3124);
																									BgL_a1z00_3124 =
																										BgL_a1z00_4903;
																									BgL_a0z00_3123 =
																										BgL_a0z00_4901;
																									goto
																										BgL_zc3anonymousza31854ze3z83_3126;
																								}
																							else
																								{	/* Cfa/closure.scm 435 */
																									BgL_typez00_bglt
																										BgL_bt0z00_3138;
																									BgL_typez00_bglt
																										BgL_bt1z00_3139;
																									bool_t BgL_contz00_3140;

																									BgL_bt0z00_3138 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_3131);
																									BgL_bt1z00_3139 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_3132);
																									BgL_contz00_3140 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3123))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_3138)))
																										{	/* Cfa/closure.scm 438 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 438 */
																											{	/* Cfa/closure.scm 440 */
																												obj_t
																													BgL_arg1864z00_3144;
																												BgL_arg1864z00_3144 =
																													CAR(BgL_a0z00_3123);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1864z00_3144)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_3138), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p0z00_3129))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt0z00_3138),
																												BUNSPEC);
																											BgL_contz00_3140 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3124))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_3139)))
																										{	/* Cfa/closure.scm 444 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 444 */
																											{	/* Cfa/closure.scm 446 */
																												obj_t
																													BgL_arg1870z00_3150;
																												BgL_arg1870z00_3150 =
																													CAR(BgL_a1z00_3124);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1870z00_3150)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_3139), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p1z00_3130))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt1z00_3139),
																												BUNSPEC);
																											BgL_contz00_3140 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 452 */
																										obj_t BgL_arg1873z00_3153;
																										obj_t BgL_arg1874z00_3154;

																										BgL_arg1873z00_3153 =
																											CDR(BgL_a0z00_3123);
																										BgL_arg1874z00_3154 =
																											CDR(BgL_a1z00_3124);
																										{
																											bool_t BgL_contz00_4933;
																											obj_t BgL_a1z00_4932;
																											obj_t BgL_a0z00_4931;

																											BgL_a0z00_4931 =
																												BgL_arg1873z00_3153;
																											BgL_a1z00_4932 =
																												BgL_arg1874z00_3154;
																											BgL_contz00_4933 =
																												BgL_contz00_3140;
																											BgL_contz00_3125 =
																												BgL_contz00_4933;
																											BgL_a1z00_3124 =
																												BgL_a1z00_4932;
																											BgL_a0z00_3123 =
																												BgL_a0z00_4931;
																											goto
																												BgL_zc3anonymousza31854ze3z83_3126;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL__ortest_1184z00_3096 = BgL_contz00_3125;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1184z00_3096)
										{	/* Cfa/closure.scm 459 */
											BgL_arg1844z00_3095 = BgL__ortest_1184z00_3096;
										}
									else
										{	/* Cfa/closure.scm 459 */
											BgL_arg1844z00_3095 = BgL_contz00_3091;
										}
								}
								{
									bool_t BgL_contz00_4938;
									obj_t BgL_appsz00_4937;

									BgL_appsz00_4937 = BgL_arg1843z00_3094;
									BgL_contz00_4938 = BgL_arg1844z00_3095;
									BgL_contz00_3091 = BgL_contz00_4938;
									BgL_appsz00_3090 = BgL_appsz00_4937;
									goto BgL_zc3anonymousza31841ze3z83_3092;
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 464 */
			{
				BgL_appz00_bglt BgL_appz00_3181;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 491 */
						obj_t BgL_g1542z00_3173;

						BgL_g1542z00_3173 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l1540z00_3175;

							{	/* Cfa/closure.scm 491 */
								bool_t BgL_tmpz00_4941;

								BgL_l1540z00_3175 = BgL_g1542z00_3173;
							BgL_zc3anonymousza31888ze3z83_3176:
								if (PAIRP(BgL_l1540z00_3175))
									{	/* Cfa/closure.scm 491 */
										{	/* Cfa/closure.scm 491 */
											obj_t BgL_arg1890z00_3178;

											BgL_arg1890z00_3178 = CAR(BgL_l1540z00_3175);
											BgL_appz00_3181 = ((BgL_appz00_bglt) BgL_arg1890z00_3178);
											{	/* Cfa/closure.scm 475 */
												bool_t BgL_testz00_4945;

												{	/* Cfa/closure.scm 475 */
													bool_t BgL_testz00_4946;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4947;

														{
															obj_t BgL_auxz00_4948;

															{	/* Cfa/closure.scm 475 */
																BgL_objectz00_bglt BgL_tmpz00_4949;

																BgL_tmpz00_4949 =
																	((BgL_objectz00_bglt) BgL_appz00_3181);
																BgL_auxz00_4948 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4949);
															}
															BgL_auxz00_4947 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4948);
														}
														BgL_testz00_4946 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4947))->BgL_xz00);
													}
													if (BgL_testz00_4946)
														{	/* Cfa/closure.scm 475 */
															BgL_testz00_4945 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_4954;
															{
																obj_t BgL_auxz00_4955;

																{	/* Cfa/closure.scm 475 */
																	BgL_objectz00_bglt BgL_tmpz00_4956;

																	BgL_tmpz00_4956 =
																		((BgL_objectz00_bglt) BgL_appz00_3181);
																	BgL_auxz00_4955 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4956);
																}
																BgL_auxz00_4954 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_4955);
															}
															BgL_testz00_4945 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_4954))->BgL_tz00);
														}
												}
												if (BgL_testz00_4945)
													{	/* Cfa/closure.scm 475 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 477 */
														BgL_variablez00_bglt BgL_varz00_3186;

														{
															BgL_varz00_bglt BgL_auxz00_4961;

															{	/* Cfa/closure.scm 477 */
																obj_t BgL_pairz00_4025;

																BgL_pairz00_4025 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_appz00_3181)))->
																	BgL_argsz00);
																BgL_auxz00_4961 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4025));
															}
															BgL_varz00_3186 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4961))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 477 */
															BgL_valuez00_bglt BgL_sfunz00_3187;

															BgL_sfunz00_3187 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_varz00_3186))->BgL_valuez00);
															{	/* Cfa/closure.scm 478 */

																((((BgL_variablez00_bglt)
																			COBJECT(BgL_varz00_3186))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		((((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3186))->
																				BgL_typez00))), BUNSPEC);
																{	/* Cfa/closure.scm 481 */
																	obj_t BgL_g1539z00_3190;

																	{	/* Cfa/closure.scm 488 */
																		obj_t BgL_pairz00_4032;

																		BgL_pairz00_4032 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_3187)))->BgL_argsz00);
																		BgL_g1539z00_3190 = CDR(BgL_pairz00_4032);
																	}
																	{
																		obj_t BgL_l1537z00_3192;

																		BgL_l1537z00_3192 = BgL_g1539z00_3190;
																	BgL_zc3anonymousza31897ze3z83_3193:
																		if (PAIRP(BgL_l1537z00_3192))
																			{	/* Cfa/closure.scm 488 */
																				{	/* Cfa/closure.scm 482 */
																					obj_t BgL_az00_3195;

																					BgL_az00_3195 =
																						CAR(BgL_l1537z00_3192);
																					{	/* Cfa/closure.scm 482 */
																						BgL_approxz00_bglt BgL_pz00_3196;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_4977;
																							{
																								obj_t BgL_auxz00_4978;

																								{	/* Cfa/closure.scm 482 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4979;
																									BgL_tmpz00_4979 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															BgL_az00_3195)))->
																												BgL_valuez00)));
																									BgL_auxz00_4978 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4979);
																								}
																								BgL_auxz00_4977 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_4978);
																							}
																							BgL_pz00_3196 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									COBJECT(BgL_auxz00_4977))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 482 */
																							BgL_typez00_bglt BgL_tz00_3197;

																							BgL_tz00_3197 =
																								(((BgL_approxz00_bglt)
																									COBJECT(BgL_pz00_3196))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 483 */

																								{	/* Cfa/closure.scm 487 */
																									BgL_typez00_bglt
																										BgL_arg1899z00_3198;
																									BgL_arg1899z00_3198 =
																										BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																										(BgL_tz00_3197);
																									((((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_az00_3195)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg1899z00_3198),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l1537z00_4991;

																					BgL_l1537z00_4991 =
																						CDR(BgL_l1537z00_3192);
																					BgL_l1537z00_3192 = BgL_l1537z00_4991;
																					goto
																						BgL_zc3anonymousza31897ze3z83_3193;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 488 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l1540z00_4994;

											BgL_l1540z00_4994 = CDR(BgL_l1540z00_3175);
											BgL_l1540z00_3175 = BgL_l1540z00_4994;
											goto BgL_zc3anonymousza31888ze3z83_3176;
										}
									}
								else
									{	/* Cfa/closure.scm 491 */
										BgL_tmpz00_4941 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_4941);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 490 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_4103)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 464 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 496 */
			{
				obj_t BgL_l1543z00_3208;

				BgL_l1543z00_3208 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza31905ze3z83_3209:
				if (PAIRP(BgL_l1543z00_3208))
					{	/* Cfa/closure.scm 497 */
						{	/* Cfa/closure.scm 499 */
							obj_t BgL_appz00_3211;

							BgL_appz00_3211 = CAR(BgL_l1543z00_3208);
							{	/* Cfa/closure.scm 499 */
								BgL_approxz00_bglt BgL_approxz00_3213;

								{	/* Cfa/closure.scm 500 */
									obj_t BgL_arg1918z00_3232;

									{	/* Cfa/closure.scm 500 */
										obj_t BgL_pairz00_4049;

										BgL_pairz00_4049 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3211)))->BgL_argsz00);
										BgL_arg1918z00_3232 = CAR(BgL_pairz00_4049);
									}
									BgL_approxz00_3213 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1918z00_3232));
								}
								{	/* Cfa/closure.scm 500 */
									obj_t BgL_alloczd2listzd2_3214;

									BgL_alloczd2listzd2_3214 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3213))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 501 */
										BgL_varz00_bglt BgL_funz00_3215;

										BgL_funz00_3215 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3211)))->BgL_funz00);
										{	/* Cfa/closure.scm 502 */
											BgL_variablez00_bglt BgL_vfunz00_3216;

											BgL_vfunz00_3216 =
												(((BgL_varz00_bglt) COBJECT(BgL_funz00_3215))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 503 */

												{	/* Cfa/closure.scm 504 */
													bool_t BgL_testz00_5011;

													if (PAIRP(BgL_alloczd2listzd2_3214))
														{	/* Cfa/closure.scm 505 */
															bool_t BgL_testz00_5014;

															{	/* Cfa/closure.scm 505 */
																obj_t BgL_arg1916z00_3230;

																BgL_arg1916z00_3230 =
																	CAR(BgL_alloczd2listzd2_3214);
																BgL_testz00_5014 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg1916z00_3230,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5014)
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_5011 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_5011 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 504 */
															BgL_testz00_5011 = ((bool_t) 1);
														}
													if (BgL_testz00_5011)
														{	/* Cfa/closure.scm 504 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 507 */
															BgL_appz00_bglt BgL_allocz00_3222;

															BgL_allocz00_3222 =
																((BgL_appz00_bglt)
																CAR(((obj_t) BgL_alloczd2listzd2_3214)));
															{	/* Cfa/closure.scm 510 */
																bool_t BgL_testz00_5021;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5022;
																	{
																		obj_t BgL_auxz00_5023;

																		{	/* Cfa/closure.scm 510 */
																			BgL_objectz00_bglt BgL_tmpz00_5024;

																			BgL_tmpz00_5024 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3222));
																			BgL_auxz00_5023 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5024);
																		}
																		BgL_auxz00_5022 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5023);
																	}
																	BgL_testz00_5021 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			COBJECT(BgL_auxz00_5022))->BgL_xz00);
																}
																if (BgL_testz00_5021)
																	{	/* Cfa/closure.scm 510 */
																		if (
																			(((obj_t) BgL_vfunz00_3216) ==
																				BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																			{	/* Cfa/closure.scm 512 */
																				BgL_variablez00_bglt BgL_vz00_4058;

																				BgL_vz00_4058 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							COBJECT(BgL_funz00_3215))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4058), BUNSPEC);
																			}
																		else
																			{	/* Cfa/closure.scm 513 */
																				BgL_variablez00_bglt BgL_vz00_4060;

																				BgL_vz00_4060 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							COBJECT(BgL_funz00_3215))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4060), BUNSPEC);
																			}
																	}
																else
																	{	/* Cfa/closure.scm 514 */
																		bool_t BgL_testz00_5037;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5038;
																			{
																				obj_t BgL_auxz00_5039;

																				{	/* Cfa/closure.scm 514 */
																					BgL_objectz00_bglt BgL_tmpz00_5040;

																					BgL_tmpz00_5040 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3222));
																					BgL_auxz00_5039 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_5040);
																				}
																				BgL_auxz00_5038 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5039);
																			}
																			BgL_testz00_5037 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5038))->BgL_tz00);
																		}
																		if (BgL_testz00_5037)
																			{	/* Cfa/closure.scm 514 */
																				if (
																					(((obj_t) BgL_vfunz00_3216) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 516 */
																						BgL_variablez00_bglt BgL_vz00_4062;

																						BgL_vz00_4062 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									COBJECT(BgL_funz00_3215))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_4062), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 517 */
																						BgL_variablez00_bglt BgL_vz00_4064;

																						BgL_vz00_4064 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									COBJECT(BgL_funz00_3215))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_4064), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 514 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1543z00_5053;

							BgL_l1543z00_5053 = CDR(BgL_l1543z00_3208);
							BgL_l1543z00_3208 = BgL_l1543z00_5053;
							goto BgL_zc3anonymousza31905ze3z83_3209;
						}
					}
				else
					{	/* Cfa/closure.scm 497 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 523 */
			{
				obj_t BgL_xpz00_3240;
				obj_t BgL_tpz00_3241;
				obj_t BgL_allocsz00_3242;

				BgL_xpz00_3240 = BNIL;
				BgL_tpz00_3241 = BNIL;
				BgL_allocsz00_3242 = BgL_allocsz00_11;
			BgL_zc3anonymousza31921ze3z83_3243:
				if (NULLP(BgL_allocsz00_3242))
					{	/* Cfa/closure.scm 534 */
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3240);
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3241);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 539 */
						BgL_appz00_bglt BgL_i1189z00_3245;

						BgL_i1189z00_3245 =
							((BgL_appz00_bglt) CAR(((obj_t) BgL_allocsz00_3242)));
						{	/* Cfa/closure.scm 541 */
							bool_t BgL_testz00_5064;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5065;

								{
									obj_t BgL_auxz00_5066;

									{	/* Cfa/closure.scm 541 */
										BgL_objectz00_bglt BgL_tmpz00_5067;

										BgL_tmpz00_5067 = ((BgL_objectz00_bglt) BgL_i1189z00_3245);
										BgL_auxz00_5066 = BGL_OBJECT_WIDENING(BgL_tmpz00_5067);
									}
									BgL_auxz00_5065 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5066);
								}
								BgL_testz00_5064 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5065))->BgL_xz00);
							}
							if (BgL_testz00_5064)
								{	/* Cfa/closure.scm 542 */
									obj_t BgL_arg1924z00_3247;
									obj_t BgL_arg1925z00_3248;

									{	/* Cfa/closure.scm 542 */
										BgL_variablez00_bglt BgL_arg1926z00_3249;

										{
											BgL_varz00_bglt BgL_auxz00_5072;

											{	/* Cfa/closure.scm 542 */
												obj_t BgL_pairz00_4074;

												BgL_pairz00_4074 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_i1189z00_3245)))->
													BgL_argsz00);
												BgL_auxz00_5072 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4074));
											}
											BgL_arg1926z00_3249 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5072))->
												BgL_variablez00);
										}
										BgL_arg1924z00_3247 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1926z00_3249), BgL_xpz00_3240);
									}
									BgL_arg1925z00_3248 = CDR(((obj_t) BgL_allocsz00_3242));
									{
										obj_t BgL_allocsz00_5083;
										obj_t BgL_xpz00_5082;

										BgL_xpz00_5082 = BgL_arg1924z00_3247;
										BgL_allocsz00_5083 = BgL_arg1925z00_3248;
										BgL_allocsz00_3242 = BgL_allocsz00_5083;
										BgL_xpz00_3240 = BgL_xpz00_5082;
										goto BgL_zc3anonymousza31921ze3z83_3243;
									}
								}
							else
								{	/* Cfa/closure.scm 543 */
									bool_t BgL_testz00_5084;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5085;

										{
											obj_t BgL_auxz00_5086;

											{	/* Cfa/closure.scm 543 */
												BgL_objectz00_bglt BgL_tmpz00_5087;

												BgL_tmpz00_5087 =
													((BgL_objectz00_bglt) BgL_i1189z00_3245);
												BgL_auxz00_5086 = BGL_OBJECT_WIDENING(BgL_tmpz00_5087);
											}
											BgL_auxz00_5085 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5086);
										}
										BgL_testz00_5084 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5085))->BgL_tz00);
									}
									if (BgL_testz00_5084)
										{	/* Cfa/closure.scm 544 */
											obj_t BgL_arg1930z00_3253;
											obj_t BgL_arg1931z00_3254;

											{	/* Cfa/closure.scm 544 */
												BgL_variablez00_bglt BgL_arg1932z00_3255;

												{
													BgL_varz00_bglt BgL_auxz00_5092;

													{	/* Cfa/closure.scm 544 */
														obj_t BgL_pairz00_4077;

														BgL_pairz00_4077 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_i1189z00_3245)))->
															BgL_argsz00);
														BgL_auxz00_5092 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4077));
													}
													BgL_arg1932z00_3255 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5092))->
														BgL_variablez00);
												}
												BgL_arg1930z00_3253 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1932z00_3255), BgL_tpz00_3241);
											}
											BgL_arg1931z00_3254 = CDR(((obj_t) BgL_allocsz00_3242));
											{
												obj_t BgL_allocsz00_5103;
												obj_t BgL_tpz00_5102;

												BgL_tpz00_5102 = BgL_arg1930z00_3253;
												BgL_allocsz00_5103 = BgL_arg1931z00_3254;
												BgL_allocsz00_3242 = BgL_allocsz00_5103;
												BgL_tpz00_3241 = BgL_tpz00_5102;
												goto BgL_zc3anonymousza31921ze3z83_3243;
											}
										}
									else
										{	/* Cfa/closure.scm 546 */
											obj_t BgL_arg1935z00_3258;

											BgL_arg1935z00_3258 = CDR(((obj_t) BgL_allocsz00_3242));
											{
												obj_t BgL_allocsz00_5106;

												BgL_allocsz00_5106 = BgL_arg1935z00_3258;
												BgL_allocsz00_3242 = BgL_allocsz00_5106;
												goto BgL_zc3anonymousza31921ze3z83_3243;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3260,
		obj_t BgL_lz00_3261)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 530 */
			if (NULLP(BgL_lz00_3261))
				{	/* Cfa/closure.scm 525 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 525 */
					{	/* Cfa/closure.scm 527 */
						obj_t BgL_arg1939z00_3264;

						BgL_arg1939z00_3264 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3261));
						{	/* Cfa/closure.scm 527 */
							obj_t BgL_list1940z00_3265;

							{	/* Cfa/closure.scm 527 */
								obj_t BgL_arg1941z00_3266;

								{	/* Cfa/closure.scm 527 */
									obj_t BgL_arg1942z00_3267;

									{	/* Cfa/closure.scm 527 */
										obj_t BgL_arg1943z00_3268;

										{	/* Cfa/closure.scm 527 */
											obj_t BgL_arg1945z00_3269;

											BgL_arg1945z00_3269 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg1943z00_3268 =
												MAKE_YOUNG_PAIR(BgL_arg1939z00_3264,
												BgL_arg1945z00_3269);
										}
										BgL_arg1942z00_3267 =
											MAKE_YOUNG_PAIR(BGl_string2200z00zzcfa_closurez00,
											BgL_arg1943z00_3268);
									}
									BgL_arg1941z00_3266 =
										MAKE_YOUNG_PAIR(BgL_propz00_3260, BgL_arg1942z00_3267);
								}
								BgL_list1940z00_3265 =
									MAKE_YOUNG_PAIR(BGl_string2201z00zzcfa_closurez00,
									BgL_arg1941z00_3266);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list1940z00_3265);
					}}
					{	/* Cfa/closure.scm 528 */
						obj_t BgL_g1547z00_3271;

						BgL_g1547z00_3271 = CDR(BgL_lz00_3261);
						{
							obj_t BgL_l1545z00_3273;

							BgL_l1545z00_3273 = BgL_g1547z00_3271;
						BgL_zc3anonymousza31947ze3z83_3274:
							if (PAIRP(BgL_l1545z00_3273))
								{	/* Cfa/closure.scm 530 */
									{	/* Cfa/closure.scm 529 */
										obj_t BgL_xz00_3276;

										BgL_xz00_3276 = CAR(BgL_l1545z00_3273);
										{	/* Cfa/closure.scm 529 */
											obj_t BgL_arg1949z00_3277;

											BgL_arg1949z00_3277 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3276);
											{	/* Cfa/closure.scm 529 */
												obj_t BgL_list1950z00_3278;

												{	/* Cfa/closure.scm 529 */
													obj_t BgL_arg1951z00_3279;

													{	/* Cfa/closure.scm 529 */
														obj_t BgL_arg1952z00_3280;

														BgL_arg1952z00_3280 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg1951z00_3279 =
															MAKE_YOUNG_PAIR(BgL_arg1949z00_3277,
															BgL_arg1952z00_3280);
													}
													BgL_list1950z00_3278 =
														MAKE_YOUNG_PAIR(BGl_string2202z00zzcfa_closurez00,
														BgL_arg1951z00_3279);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list1950z00_3278);
									}}}
									{
										obj_t BgL_l1545z00_5130;

										BgL_l1545z00_5130 = CDR(BgL_l1545z00_3273);
										BgL_l1545z00_3273 = BgL_l1545z00_5130;
										goto BgL_zc3anonymousza31947ze3z83_3274;
									}
								}
							else
								{	/* Cfa/closure.scm 530 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 558 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
		BGL_FUNCTION_END;
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_4104)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 558 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_12)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 564 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 565 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 565 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_4105,
		obj_t BgL_astz00_4106)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 564 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4106));
		}
		BGL_FUNCTION_END;
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_13)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 571 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_13),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_4107, obj_t BgL_astz00_4108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 571 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4108));
		}
		BGL_FUNCTION_END;
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_14)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 577 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 578 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_14),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 578 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_4109, obj_t BgL_astz00_4110)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 577 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4110));
		}
		BGL_FUNCTION_END;
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_15)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 584 */
			{	/* Cfa/closure.scm 585 */
				BgL_typez00_bglt BgL_typez00_3286;
				obj_t BgL_alloczd2listzd2_3287;

				BgL_typez00_3286 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_15))->BgL_typez00);
				BgL_alloczd2listzd2_3287 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_15))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_3286) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 587 */
						if (PAIRP(BgL_alloczd2listzd2_3287))
							{	/* Cfa/closure.scm 588 */
								if (NULLP(CDR(BgL_alloczd2listzd2_3287)))
									{	/* Cfa/closure.scm 590 */
										bool_t BgL_testz00_5162;

										{	/* Cfa/closure.scm 590 */
											obj_t BgL_arg1957z00_3293;

											BgL_arg1957z00_3293 = CAR(BgL_alloczd2listzd2_3287);
											BgL_testz00_5162 =
												BGl_isazf3zf3zz__objectz00(BgL_arg1957z00_3293,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_5162)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5165;

												{
													obj_t BgL_auxz00_5166;

													{	/* Cfa/closure.scm 591 */
														BgL_objectz00_bglt BgL_tmpz00_5167;

														BgL_tmpz00_5167 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_3287)));
														BgL_auxz00_5166 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5167);
													}
													BgL_auxz00_5165 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5166);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5165))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 590 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 589 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 588 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 587 */
						return ((bool_t) 0);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_4111, obj_t BgL_approxz00_4112)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 584 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_4112)));
		}
		BGL_FUNCTION_END;
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 608 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 621 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_4113)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 621 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2203z00zzcfa_closurez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
