/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62abortzf3zd2sync1443z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31799ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1391za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1393z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1415za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1405za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1407za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21411za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1417za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1447z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez121374za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1421zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21413za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1614z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1615z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1620z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1621z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1445z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31589ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62abortzf3zd2sequence1441z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t
		BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1401z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1395z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1397z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1399z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	static obj_t BGl_z62abortzf31435z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2env1418z62zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1403z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2app1451z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1453z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2conditional1449z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda1571z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1409za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1587z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_localz00_bglt BGl_z62lambda1590z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2fail1439z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1615za7622303z00, BGl_z62lambda1615z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1614za7622304z00, BGl_z62lambda1614z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1621za7622305z00, BGl_z62lambda1621z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1620za7622306z00, BGl_z62lambda1620z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1590za7622307z00, BGl_z62lambda1590z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72308za7,
		BGl_z62zc3anonymousza31589ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1587za7622309z00, BGl_z62lambda1587z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1571za7622310z00, BGl_z62lambda1571z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2311z00,
		BGl_z62dataflowzd2nodez121374za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2312z00,
		BGl_z62dataflowzd2testzd2env1418z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2313z00,
		BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31435za72314za7,
		BGl_z62abortzf31435z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2315z00,
		BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2316z00,
		BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2317z00,
		BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2318z00,
		BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2319z00,
		BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2320z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1391za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2321z00,
		BGl_z62dataflowzd2nodez12zd2funca1393z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2322z00,
		BGl_z62dataflowzd2nodez12zd2exter1395z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2323z00,
		BGl_z62dataflowzd2nodez12zd2setq1397z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2324z00,
		BGl_z62dataflowzd2nodez12zd2condi1399z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2325z00,
		BGl_z62dataflowzd2nodez12zd2fail1401z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2326z00,
		BGl_z62dataflowzd2nodez12zd2switc1403z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2327z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1405za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2328z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1407za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2329z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1409za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2330z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21411za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2331z00,
		BGl_z62dataflowzd2nodez12zd2makezd21413za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2332z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1415za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2333z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1417za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2334z00,
		BGl_z62dataflowzd2testzd2envzd2ap1421zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2335z00,
		BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2336z00,
		BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2337z00,
		BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2338z00,
		BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2339z00,
		BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2340za7,
		BGl_z62abortzf3zd2fail1439z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2341za7,
		BGl_z62abortzf3zd2sequence1441z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2342za7,
		BGl_z62abortzf3zd2sync1443z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2343za7,
		BGl_z62abortzf3zd2letzd2var1445z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2344za7,
		BGl_z62abortzf3zd2letzd2fun1447z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2345za7,
		BGl_z62abortzf3zd2conditional1449z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2346za7,
		BGl_z62abortzf3zd2app1451z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2347za7,
		BGl_z62abortzf3zd2funcall1453z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2348za7,
		BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2349z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2232z00zzdataflow_walkz00,
		BgL_bgl_string2232za700za7za7d2350za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2233z00zzdataflow_walkz00,
		BgL_bgl_string2233za700za7za7d2351za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2234z00zzdataflow_walkz00,
		BgL_bgl_string2234za700za7za7d2352za7, " error", 6);
	      DEFINE_STRING(BGl_string2235z00zzdataflow_walkz00,
		BgL_bgl_string2235za700za7za7d2353za7, "s", 1);
	      DEFINE_STRING(BGl_string2236z00zzdataflow_walkz00,
		BgL_bgl_string2236za700za7za7d2354za7, "", 0);
	      DEFINE_STRING(BGl_string2237z00zzdataflow_walkz00,
		BgL_bgl_string2237za700za7za7d2355za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2238z00zzdataflow_walkz00,
		BgL_bgl_string2238za700za7za7d2356za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2248z00zzdataflow_walkz00,
		BgL_bgl_string2248za700za7za7d2357za7, "dataflow-node!1374", 18);
	      DEFINE_STRING(BGl_string2250z00zzdataflow_walkz00,
		BgL_bgl_string2250za700za7za7d2358za7, "dataflow-test-env1418", 21);
	      DEFINE_STRING(BGl_string2252z00zzdataflow_walkz00,
		BgL_bgl_string2252za700za7za7d2359za7, "dataflow-test-false-1431", 24);
	      DEFINE_STRING(BGl_string2254z00zzdataflow_walkz00,
		BgL_bgl_string2254za700za7za7d2360za7, "abort?1435", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2361z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2256z00zzdataflow_walkz00,
		BgL_bgl_string2256za700za7za7d2362za7, "dataflow-node!", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72363za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2276z00zzdataflow_walkz00,
		BgL_bgl_string2276za700za7za7d2364za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2282z00zzdataflow_walkz00,
		BgL_bgl_string2282za700za7za7d2365za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2284z00zzdataflow_walkz00,
		BgL_bgl_string2284za700za7za7d2366za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2293z00zzdataflow_walkz00,
		BgL_bgl_string2293za700za7za7d2367za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2294z00zzdataflow_walkz00,
		BgL_bgl_string2294za700za7za7d2368za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2369z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2370z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3626, char *BgL_fromz00_3627)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3355;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_3363;

					BgL_stringz00_3363 = BGl_string2294z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_3364;

						BgL_startz00_3364 = BINT(((long) 0));
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_3365;

							BgL_endz00_3365 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3363)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_3355 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3363, BgL_startz00_3364, BgL_endz00_3365);
				}}}}
				{
					long BgL_iz00_3356;

					BgL_iz00_3356 = ((long) 11);
				BgL_loopz00_3357:
					if ((BgL_iz00_3356 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2297z00_3359;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3361;

										BgL_locationz00_3361 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2297z00_3359 =
												BGl_readz00zz__readerz00(BgL_cportz00_3355,
												BgL_locationz00_3361);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_3660;

									BgL_tmpz00_3660 = (int) (BgL_iz00_3356);
									CNST_TABLE_SET(BgL_tmpz00_3660, BgL_arg2297z00_3359);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3362;

								BgL_auxz00_3362 = (int) ((BgL_iz00_3356 - ((long) 1)));
								{
									long BgL_iz00_3665;

									BgL_iz00_3665 = (long) (BgL_auxz00_3362);
									BgL_iz00_3356 = BgL_iz00_3665;
									goto BgL_loopz00_3357;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1757;

				BgL_headz00_1757 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1758;
					obj_t BgL_tailz00_1759;

					BgL_prevz00_1758 = BgL_headz00_1757;
					BgL_tailz00_1759 = BgL_l1z00_1;
				BgL_loopz00_1760:
					if (PAIRP(BgL_tailz00_1759))
						{
							obj_t BgL_newzd2prevzd2_1762;

							BgL_newzd2prevzd2_1762 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1759), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1758, BgL_newzd2prevzd2_1762);
							{
								obj_t BgL_tailz00_3675;
								obj_t BgL_prevz00_3674;

								BgL_prevz00_3674 = BgL_newzd2prevzd2_1762;
								BgL_tailz00_3675 = CDR(BgL_tailz00_1759);
								BgL_tailz00_1759 = BgL_tailz00_3675;
								BgL_prevz00_1758 = BgL_prevz00_3674;
								goto BgL_loopz00_1760;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1757);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1482z00_1771;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1483z00_1772;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1485z00_1773;

						BgL_arg1485z00_1773 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1483z00_1772 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1485z00_1773);
					}
					BgL_list1482z00_1771 =
						MAKE_YOUNG_PAIR(BGl_string2232z00zzdataflow_walkz00,
						BgL_arg1483z00_1772);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1482z00_1771);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1145z00_1774;

				BgL_g1145z00_1774 = BNIL;
				{
					obj_t BgL_hooksz00_1777;
					obj_t BgL_hnamesz00_1778;

					BgL_hooksz00_1777 = BgL_g1145z00_1774;
					BgL_hnamesz00_1778 = BNIL;
				BgL_zc3anonymousza31486ze3z83_1779:
					if (NULLP(BgL_hooksz00_1777))
						{	/* Dataflow/walk.scm 46 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_testz00_3688;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1498z00_1786;

								BgL_fun1498z00_1786 = CAR(((obj_t) BgL_hooksz00_1777));
								BgL_testz00_3688 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1498z00_1786)
									(BgL_fun1498z00_1786, BEOA));
							}
							if (BgL_testz00_3688)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1490z00_1783;
									obj_t BgL_arg1496z00_1784;

									BgL_arg1490z00_1783 = CDR(((obj_t) BgL_hooksz00_1777));
									BgL_arg1496z00_1784 = CDR(((obj_t) BgL_hnamesz00_1778));
									{
										obj_t BgL_hnamesz00_3700;
										obj_t BgL_hooksz00_3699;

										BgL_hooksz00_3699 = BgL_arg1490z00_1783;
										BgL_hnamesz00_3700 = BgL_arg1496z00_1784;
										BgL_hnamesz00_1778 = BgL_hnamesz00_3700;
										BgL_hooksz00_1777 = BgL_hooksz00_3699;
										goto BgL_zc3anonymousza31486ze3z83_1779;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1497z00_1785;

									BgL_arg1497z00_1785 = CAR(((obj_t) BgL_hnamesz00_1778));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2233z00zzdataflow_walkz00, BgL_arg1497z00_1785);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l1330z00_1790;

				BgL_l1330z00_1790 = BgL_globalsz00_56;
			BgL_zc3anonymousza31500ze3z83_1791:
				if (PAIRP(BgL_l1330z00_1790))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1503z00_1793;

							BgL_arg1503z00_1793 = CAR(BgL_l1330z00_1790);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1532z00_2782;

								BgL_arg1532z00_2782 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1503z00_1793))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1532z00_2782), BNIL);
							}
						}
						{
							obj_t BgL_l1330z00_3723;

							BgL_l1330z00_3723 = CDR(BgL_l1330z00_1790);
							BgL_l1330z00_1790 = BgL_l1330z00_3723;
							goto BgL_zc3anonymousza31500ze3z83_1791;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1332z00_1798;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_res2140z00_2790;

							{	/* Dataflow/walk.scm 51 */
								obj_t BgL_tmpz00_3728;

								BgL_tmpz00_3728 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2140z00_2790 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3728);
							}
							BgL_port1332z00_1798 = BgL_res2140z00_2790;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1332z00_1798);
						bgl_display_string(BGl_string2234z00zzdataflow_walkz00,
							BgL_port1332z00_1798);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1510z00_1799;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_testz00_3733;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3733 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3733 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_testz00_3733 = ((bool_t) 0);
									}
								if (BgL_testz00_3733)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1510z00_1799 = BGl_string2235z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1510z00_1799 = BGl_string2236z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1510z00_1799, BgL_port1332z00_1798);
						}
						bgl_display_string(BGl_string2237z00zzdataflow_walkz00,
							BgL_port1332z00_1798);
						bgl_display_char(((unsigned char) 10), BgL_port1332z00_1798);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1515z00_1805;

						BgL_list1515z00_1805 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1515z00_1805);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1148z00_1806;

					BgL_g1148z00_1806 = BNIL;
					{
						obj_t BgL_hooksz00_1809;
						obj_t BgL_hnamesz00_1810;

						BgL_hooksz00_1809 = BgL_g1148z00_1806;
						BgL_hnamesz00_1810 = BNIL;
					BgL_zc3anonymousza31516ze3z83_1811:
						if (NULLP(BgL_hooksz00_1809))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_testz00_3750;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1527z00_1818;

									BgL_fun1527z00_1818 = CAR(((obj_t) BgL_hooksz00_1809));
									BgL_testz00_3750 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1527z00_1818)
										(BgL_fun1527z00_1818, BEOA));
								}
								if (BgL_testz00_3750)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1521z00_1815;
										obj_t BgL_arg1522z00_1816;

										BgL_arg1521z00_1815 = CDR(((obj_t) BgL_hooksz00_1809));
										BgL_arg1522z00_1816 = CDR(((obj_t) BgL_hnamesz00_1810));
										{
											obj_t BgL_hnamesz00_3762;
											obj_t BgL_hooksz00_3761;

											BgL_hooksz00_3761 = BgL_arg1521z00_1815;
											BgL_hnamesz00_3762 = BgL_arg1522z00_1816;
											BgL_hnamesz00_1810 = BgL_hnamesz00_3762;
											BgL_hooksz00_1809 = BgL_hooksz00_3761;
											goto BgL_zc3anonymousza31516ze3z83_1811;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1525z00_1817;

										BgL_arg1525z00_1817 = CAR(((obj_t) BgL_hnamesz00_1810));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2238z00zzdataflow_walkz00, BgL_arg1525z00_1817);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3165,
		obj_t BgL_globalsz00_3166, obj_t BgL_namez00_3167)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3166,
				BgL_namez00_3167);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 307 */
			{
				obj_t BgL_l1354z00_1824;

				BgL_l1354z00_1824 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza31538ze3z83_1825:
				if (PAIRP(BgL_l1354z00_1824))
					{	/* Dataflow/walk.scm 308 */
						{	/* Dataflow/walk.scm 308 */
							obj_t BgL_nz00_1827;

							BgL_nz00_1827 = CAR(BgL_l1354z00_1824);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1827), BgL_envz00_100);
						}
						{
							obj_t BgL_l1354z00_3772;

							BgL_l1354z00_3772 = CDR(BgL_l1354z00_1824);
							BgL_l1354z00_1824 = BgL_l1354z00_3772;
							goto BgL_zc3anonymousza31538ze3z83_1825;
						}
					}
				else
					{	/* Dataflow/walk.scm 308 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1566z00_1834;
				obj_t BgL_arg1570z00_1835;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1372z00_1869;

					BgL_v1372z00_1869 = create_vector(((long) 2));
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1608z00_1870;

						BgL_arg1608z00_1870 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2240z00zzdataflow_walkz00,
							BGl_proc2239z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1372z00_1869, ((long) 0), BgL_arg1608z00_1870);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1616z00_1880;

						BgL_arg1616z00_1880 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2242z00zzdataflow_walkz00,
							BGl_proc2241z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1372z00_1869, ((long) 1), BgL_arg1616z00_1880);
					}
					BgL_arg1566z00_1834 = BgL_v1372z00_1869;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1373z00_1890;

					BgL_v1373z00_1890 = create_vector(((long) 0));
					BgL_arg1570z00_1835 = BgL_v1373z00_1890;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2246z00zzdataflow_walkz00,
						BGl_proc2245z00zzdataflow_walkz00, BFALSE,
						BGl_proc2244z00zzdataflow_walkz00,
						BGl_proc2243z00zzdataflow_walkz00, BgL_arg1566z00_1834,
						BgL_arg1570z00_1835), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda1590 */
	BgL_localz00_bglt BGl_z62lambda1590z62zzdataflow_walkz00(obj_t
		BgL_envz00_3176, obj_t BgL_o1124z00_3177)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1597z00_3369;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1600z00_3370;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1603z00_3371;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1728z00_3372;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1729z00_3373;

								{	/* Dataflow/walk.scm 37 */
									long BgL_res2149z00_3374;

									BgL_res2149z00_3374 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_o1124z00_3177)));
									BgL_arg1729z00_3373 = BgL_res2149z00_3374;
								}
								BgL_arg1728z00_3372 = (BgL_arg1729z00_3373 - OBJECT_TYPE);
							}
							BgL_arg1603z00_3371 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1728z00_3372);
						}
						BgL_arg1600z00_3370 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1603z00_3371);
					}
					{	/* Dataflow/walk.scm 37 */
						long BgL_res2151z00_3375;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_tmpz00_3792;

							BgL_tmpz00_3792 = ((obj_t) BgL_arg1600z00_3370);
							BgL_res2151z00_3375 = BGL_CLASS_INDEX(BgL_tmpz00_3792);
						}
						BgL_arg1597z00_3369 = BgL_res2151z00_3375;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1124z00_3177)), BgL_arg1597z00_3369);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_3798;

				BgL_tmpz00_3798 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1124z00_3177));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3798, BFALSE);
			}
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1124z00_3177));
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1589> */
	obj_t BGl_z62zc3anonymousza31589ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3178, obj_t BgL_new1123z00_3179)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_new1123z00_1861;

				{
					BgL_localz00_bglt BgL_auxz00_3804;

					BgL_new1123z00_1861 = ((BgL_localz00_bglt) BgL_new1123z00_3179);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1123z00_1861)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3810;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2827;

							BgL_classz00_2827 = BGl_typez00zztype_typez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1104z00_2828;

								BgL__ortest_1104z00_2828 = BGL_CLASS_NIL(BgL_classz00_2827);
								if (CBOOL(BgL__ortest_1104z00_2828))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3810 =
											((BgL_typez00_bglt) BgL__ortest_1104z00_2828);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3810 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2827));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3810), BUNSPEC);
					}
					{
						BgL_valuez00_bglt BgL_auxz00_3819;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2829;

							BgL_classz00_2829 = BGl_valuez00zzast_varz00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1104z00_2830;

								BgL__ortest_1104z00_2830 = BGL_CLASS_NIL(BgL_classz00_2829);
								if (CBOOL(BgL__ortest_1104z00_2830))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3819 =
											((BgL_valuez00_bglt) BgL__ortest_1104z00_2830);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3819 =
											((BgL_valuez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2829));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
								BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3819), BUNSPEC);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
							BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_fastzd2alphazd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_removablez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_userzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1123z00_1861)))->BgL_keyz00) =
						((long) ((long) 0)), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3842;

						{
							obj_t BgL_auxz00_3843;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3844;

								BgL_tmpz00_3844 = ((BgL_objectz00_bglt) BgL_new1123z00_1861);
								BgL_auxz00_3843 = BGL_OBJECT_WIDENING(BgL_tmpz00_3844);
							}
							BgL_auxz00_3842 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3843);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3842))->
								BgL_stampz00) = ((int) (int) (((long) 0))), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3856;
						BgL_localzf2valuezf2_bglt BgL_auxz00_3850;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2831;

							BgL_classz00_2831 = BGl_nodez00zzast_nodez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1104z00_2832;

								BgL__ortest_1104z00_2832 = BGL_CLASS_NIL(BgL_classz00_2831);
								if (CBOOL(BgL__ortest_1104z00_2832))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3856 =
											((BgL_nodez00_bglt) BgL__ortest_1104z00_2832);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3856 =
											((BgL_nodez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2831));
									}
							}
						}
						{
							obj_t BgL_auxz00_3851;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3852;

								BgL_tmpz00_3852 = ((BgL_objectz00_bglt) BgL_new1123z00_1861);
								BgL_auxz00_3851 = BGL_OBJECT_WIDENING(BgL_tmpz00_3852);
							}
							BgL_auxz00_3850 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3851);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3850))->
								BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_3856), BUNSPEC);
					}
					BgL_auxz00_3804 = BgL_new1123z00_1861;
					return ((obj_t) BgL_auxz00_3804);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1587 */
	BgL_localz00_bglt BGl_z62lambda1587z62zzdataflow_walkz00(obj_t
		BgL_envz00_3180, obj_t BgL_o1119z00_3181)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1121z00_3384;

				BgL_wide1121z00_3384 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_3871;
					BgL_objectz00_bglt BgL_tmpz00_3867;

					BgL_auxz00_3871 = ((obj_t) BgL_wide1121z00_3384);
					BgL_tmpz00_3867 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_3181)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3867, BgL_auxz00_3871);
				}
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1588z00_3385;

					{	/* Dataflow/walk.scm 37 */
						long BgL_res2148z00_3386;

						BgL_res2148z00_3386 =
							BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_arg1588z00_3385 = BgL_res2148z00_3386;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1119z00_3181))), BgL_arg1588z00_3385);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_3181)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1571 */
	BgL_localz00_bglt BGl_z62lambda1571z62zzdataflow_walkz00(obj_t
		BgL_envz00_3182, obj_t BgL_id1106z00_3183, obj_t BgL_name1107z00_3184,
		obj_t BgL_type1108z00_3185, obj_t BgL_value1109z00_3186,
		obj_t BgL_access1110z00_3187, obj_t BgL_fastzd2alpha1111zd2_3188,
		obj_t BgL_removable1112z00_3189, obj_t BgL_occurrence1113z00_3190,
		obj_t BgL_occurrencew1114z00_3191, obj_t BgL_userzf31115zf3_3192,
		obj_t BgL_key1116z00_3193, obj_t BgL_stamp1117z00_3194,
		obj_t BgL_node1118z00_3195)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1113z00_3390;
				long BgL_occurrencew1114z00_3391;
				bool_t BgL_userzf31115zf3_3392;
				long BgL_key1116z00_3393;
				int BgL_stamp1117z00_3394;

				BgL_occurrence1113z00_3390 = (long) CINT(BgL_occurrence1113z00_3190);
				BgL_occurrencew1114z00_3391 = (long) CINT(BgL_occurrencew1114z00_3191);
				BgL_userzf31115zf3_3392 = CBOOL(BgL_userzf31115zf3_3192);
				BgL_key1116z00_3393 = (long) CINT(BgL_key1116z00_3193);
				BgL_stamp1117z00_3394 = CINT(BgL_stamp1117z00_3194);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1199z00_3396;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1197z00_3397;
						BgL_localzf2valuezf2_bglt BgL_wide1198z00_3398;

						{
							BgL_localz00_bglt BgL_auxz00_3887;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1196z00_3399;

								BgL_new1196z00_3399 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1586z00_3400;

									{	/* Dataflow/walk.scm 37 */
										long BgL_res2146z00_3401;

										BgL_res2146z00_3401 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1586z00_3400 = BgL_res2146z00_3401;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1196z00_3399),
										BgL_arg1586z00_3400);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_3892;

									BgL_tmpz00_3892 = ((BgL_objectz00_bglt) BgL_new1196z00_3399);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3892, BFALSE);
								}
								BgL_auxz00_3887 = BgL_new1196z00_3399;
							}
							BgL_tmp1197z00_3397 = ((BgL_localz00_bglt) BgL_auxz00_3887);
						}
						BgL_wide1198z00_3398 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_3899;
							BgL_objectz00_bglt BgL_tmpz00_3897;

							BgL_auxz00_3899 = ((obj_t) BgL_wide1198z00_3398);
							BgL_tmpz00_3897 = ((BgL_objectz00_bglt) BgL_tmp1197z00_3397);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3897, BgL_auxz00_3899);
						}
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1576z00_3402;

							{	/* Dataflow/walk.scm 37 */
								long BgL_res2147z00_3403;

								BgL_res2147z00_3403 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg1576z00_3402 = BgL_res2147z00_3403;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1197z00_3397),
								BgL_arg1576z00_3402);
						}
						BgL_new1199z00_3396 = ((BgL_localz00_bglt) BgL_tmp1197z00_3397);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1199z00_3396)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1106z00_3183)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_namez00) =
						((obj_t) BgL_name1107z00_3184), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1108z00_3185)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1109z00_3186)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_accessz00) =
						((obj_t) BgL_access1110z00_3187), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1111zd2_3188), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_removablez00) =
						((obj_t) BgL_removable1112z00_3189), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_occurrencez00) =
						((long) BgL_occurrence1113z00_3390), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1114z00_3391), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1199z00_3396)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31115zf3_3392), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1199z00_3396)))->BgL_keyz00) =
						((long) BgL_key1116z00_3393), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3931;

						{
							obj_t BgL_auxz00_3932;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3933;

								BgL_tmpz00_3933 = ((BgL_objectz00_bglt) BgL_new1199z00_3396);
								BgL_auxz00_3932 = BGL_OBJECT_WIDENING(BgL_tmpz00_3933);
							}
							BgL_auxz00_3931 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3932);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3931))->
								BgL_stampz00) = ((int) BgL_stamp1117z00_3394), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3938;

						{
							obj_t BgL_auxz00_3939;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3940;

								BgL_tmpz00_3940 = ((BgL_objectz00_bglt) BgL_new1199z00_3396);
								BgL_auxz00_3939 = BGL_OBJECT_WIDENING(BgL_tmpz00_3940);
							}
							BgL_auxz00_3938 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3939);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3938))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1118z00_3195)),
							BUNSPEC);
					}
					return BgL_new1199z00_3396;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1621 */
	obj_t BGl_z62lambda1621z62zzdataflow_walkz00(obj_t BgL_envz00_3196,
		obj_t BgL_oz00_3197, obj_t BgL_vz00_3198)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_3946;

				{
					obj_t BgL_auxz00_3947;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_3948;

						BgL_tmpz00_3948 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3197));
						BgL_auxz00_3947 = BGL_OBJECT_WIDENING(BgL_tmpz00_3948);
					}
					BgL_auxz00_3946 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3947);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3946))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3198)), BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1620 */
	BgL_nodez00_bglt BGl_z62lambda1620z62zzdataflow_walkz00(obj_t BgL_envz00_3199,
		obj_t BgL_oz00_3200)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_3955;

				{
					obj_t BgL_auxz00_3956;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_3957;

						BgL_tmpz00_3957 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3200));
						BgL_auxz00_3956 = BGL_OBJECT_WIDENING(BgL_tmpz00_3957);
					}
					BgL_auxz00_3955 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3956);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3955))->BgL_nodez00);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1615 */
	obj_t BGl_z62lambda1615z62zzdataflow_walkz00(obj_t BgL_envz00_3201,
		obj_t BgL_oz00_3202, obj_t BgL_vz00_3203)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_3408;

				BgL_vz00_3408 = CINT(BgL_vz00_3203);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_3964;

					{
						obj_t BgL_auxz00_3965;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_3966;

							BgL_tmpz00_3966 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3202));
							BgL_auxz00_3965 = BGL_OBJECT_WIDENING(BgL_tmpz00_3966);
						}
						BgL_auxz00_3964 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3965);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3964))->
							BgL_stampz00) = ((int) BgL_vz00_3408), BUNSPEC);
		}}}
		BGL_FUNCTION_END;
	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zzdataflow_walkz00(obj_t BgL_envz00_3204,
		obj_t BgL_oz00_3205)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_3972;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_3973;

					{
						obj_t BgL_auxz00_3974;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_3975;

							BgL_tmpz00_3975 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3205));
							BgL_auxz00_3974 = BGL_OBJECT_WIDENING(BgL_tmpz00_3975);
						}
						BgL_auxz00_3973 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3974);
					}
					BgL_tmpz00_3972 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3973))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_3972);
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2247z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2248z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2249z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2250z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2251z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2252z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2253z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2254z00zzdataflow_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &abort?1435 */
	obj_t BGl_z62abortzf31435z91zzdataflow_walkz00(obj_t BgL_envz00_3210,
		obj_t BgL_nodez00_3211)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-1431 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3212, obj_t BgL_nodez00_3213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env1418 */
	obj_t BGl_z62dataflowzd2testzd2env1418z62zzdataflow_walkz00(obj_t
		BgL_envz00_3214, obj_t BgL_nodez00_3215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!1374 */
	obj_t BGl_z62dataflowzd2nodez121374za2zzdataflow_walkz00(obj_t
		BgL_envz00_3216, obj_t BgL_nodez00_3217, obj_t BgL_envz00_3218)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3218);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1377z00_1912;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2158z00_2875;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2848;

						{	/* Dataflow/walk.scm 69 */
							long BgL_res2152z00_2851;

							BgL_res2152z00_2851 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
							BgL_objzd2classzd2numz00_2848 = BgL_res2152z00_2851;
						}
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1725z00_2849;

							BgL_arg1725z00_2849 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2853;

								BgL_offsetz00_2853 = (int) (BgL_objzd2classzd2numz00_2848);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2854;

									BgL_offsetz00_2854 =
										((long) (BgL_offsetz00_2853) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2855;

										{	/* Dataflow/walk.scm 69 */
											int BgL_arg1727z00_2856;

											BgL_arg1727z00_2856 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 69 */
												long BgL_res2155z00_2866;

												{	/* Dataflow/walk.scm 69 */
													long BgL_tmpz00_3996;

													BgL_tmpz00_3996 = (long) (BgL_arg1727z00_2856);
													BgL_res2155z00_2866 =
														(BgL_offsetz00_2854 / BgL_tmpz00_3996);
												}
												BgL_modz00_2855 = BgL_res2155z00_2866;
										}}
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2857;

											{	/* Dataflow/walk.scm 69 */
												int BgL_arg1726z00_2858;

												BgL_arg1726z00_2858 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 69 */
													long BgL_res2157z00_2870;

													{	/* Dataflow/walk.scm 69 */
														long BgL_tmpz00_4000;

														BgL_tmpz00_4000 = (long) (BgL_arg1726z00_2858);
														BgL_res2157z00_2870 =
															(BgL_offsetz00_2854 % BgL_tmpz00_4000);
													}
													BgL_restz00_2857 = BgL_res2157z00_2870;
											}}
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2859;

													BgL_bucketz00_2859 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2849), BgL_modz00_2855);
													BgL_res2158z00_2875 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2859), BgL_restz00_2857);
					}}}}}}}}
					BgL_method1377z00_1912 = BgL_res2158z00_2875;
				}
				return
					PROCEDURE_ENTRY(BgL_method1377z00_1912) (BgL_method1377z00_1912,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3219,
		obj_t BgL_nodez00_3220, obj_t BgL_envz00_3221)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3220), BgL_envz00_3221);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			{	/* Dataflow/walk.scm 314 */
				obj_t BgL_method1419z00_1913;

				{	/* Dataflow/walk.scm 314 */
					obj_t BgL_res2165z00_2904;

					{	/* Dataflow/walk.scm 314 */
						long BgL_objzd2classzd2numz00_2877;

						{	/* Dataflow/walk.scm 314 */
							long BgL_res2159z00_2880;

							BgL_res2159z00_2880 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
							BgL_objzd2classzd2numz00_2877 = BgL_res2159z00_2880;
						}
						{	/* Dataflow/walk.scm 314 */
							obj_t BgL_arg1725z00_2878;

							BgL_arg1725z00_2878 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 314 */
								int BgL_offsetz00_2882;

								BgL_offsetz00_2882 = (int) (BgL_objzd2classzd2numz00_2877);
								{	/* Dataflow/walk.scm 314 */
									long BgL_offsetz00_2883;

									BgL_offsetz00_2883 =
										((long) (BgL_offsetz00_2882) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 314 */
										long BgL_modz00_2884;

										{	/* Dataflow/walk.scm 314 */
											int BgL_arg1727z00_2885;

											BgL_arg1727z00_2885 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 314 */
												long BgL_res2162z00_2895;

												{	/* Dataflow/walk.scm 314 */
													long BgL_tmpz00_4023;

													BgL_tmpz00_4023 = (long) (BgL_arg1727z00_2885);
													BgL_res2162z00_2895 =
														(BgL_offsetz00_2883 / BgL_tmpz00_4023);
												}
												BgL_modz00_2884 = BgL_res2162z00_2895;
										}}
										{	/* Dataflow/walk.scm 314 */
											long BgL_restz00_2886;

											{	/* Dataflow/walk.scm 314 */
												int BgL_arg1726z00_2887;

												BgL_arg1726z00_2887 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 314 */
													long BgL_res2164z00_2899;

													{	/* Dataflow/walk.scm 314 */
														long BgL_tmpz00_4027;

														BgL_tmpz00_4027 = (long) (BgL_arg1726z00_2887);
														BgL_res2164z00_2899 =
															(BgL_offsetz00_2883 % BgL_tmpz00_4027);
													}
													BgL_restz00_2886 = BgL_res2164z00_2899;
											}}
											{	/* Dataflow/walk.scm 314 */

												{	/* Dataflow/walk.scm 314 */
													obj_t BgL_bucketz00_2888;

													BgL_bucketz00_2888 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2878), BgL_modz00_2884);
													BgL_res2165z00_2904 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2888), BgL_restz00_2886);
					}}}}}}}}
					BgL_method1419z00_1913 = BgL_res2165z00_2904;
				}
				return
					PROCEDURE_ENTRY(BgL_method1419z00_1913) (BgL_method1419z00_1913,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3222,
		obj_t BgL_nodez00_3223)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3223));
		}
		BGL_FUNCTION_END;
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			{	/* Dataflow/walk.scm 400 */
				obj_t BgL_method1432z00_1914;

				{	/* Dataflow/walk.scm 400 */
					obj_t BgL_res2172z00_2933;

					{	/* Dataflow/walk.scm 400 */
						long BgL_objzd2classzd2numz00_2906;

						{	/* Dataflow/walk.scm 400 */
							long BgL_res2166z00_2909;

							BgL_res2166z00_2909 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
							BgL_objzd2classzd2numz00_2906 = BgL_res2166z00_2909;
						}
						{	/* Dataflow/walk.scm 400 */
							obj_t BgL_arg1725z00_2907;

							BgL_arg1725z00_2907 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 400 */
								int BgL_offsetz00_2911;

								BgL_offsetz00_2911 = (int) (BgL_objzd2classzd2numz00_2906);
								{	/* Dataflow/walk.scm 400 */
									long BgL_offsetz00_2912;

									BgL_offsetz00_2912 =
										((long) (BgL_offsetz00_2911) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 400 */
										long BgL_modz00_2913;

										{	/* Dataflow/walk.scm 400 */
											int BgL_arg1727z00_2914;

											BgL_arg1727z00_2914 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 400 */
												long BgL_res2169z00_2924;

												{	/* Dataflow/walk.scm 400 */
													long BgL_tmpz00_4049;

													BgL_tmpz00_4049 = (long) (BgL_arg1727z00_2914);
													BgL_res2169z00_2924 =
														(BgL_offsetz00_2912 / BgL_tmpz00_4049);
												}
												BgL_modz00_2913 = BgL_res2169z00_2924;
										}}
										{	/* Dataflow/walk.scm 400 */
											long BgL_restz00_2915;

											{	/* Dataflow/walk.scm 400 */
												int BgL_arg1726z00_2916;

												BgL_arg1726z00_2916 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 400 */
													long BgL_res2171z00_2928;

													{	/* Dataflow/walk.scm 400 */
														long BgL_tmpz00_4053;

														BgL_tmpz00_4053 = (long) (BgL_arg1726z00_2916);
														BgL_res2171z00_2928 =
															(BgL_offsetz00_2912 % BgL_tmpz00_4053);
													}
													BgL_restz00_2915 = BgL_res2171z00_2928;
											}}
											{	/* Dataflow/walk.scm 400 */

												{	/* Dataflow/walk.scm 400 */
													obj_t BgL_bucketz00_2917;

													BgL_bucketz00_2917 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2907), BgL_modz00_2913);
													BgL_res2172z00_2933 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2917), BgL_restz00_2915);
					}}}}}}}}
					BgL_method1432z00_1914 = BgL_res2172z00_2933;
				}
				return
					PROCEDURE_ENTRY(BgL_method1432z00_1914) (BgL_method1432z00_1914,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3224, obj_t BgL_nodez00_3225)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3225));
		}
		BGL_FUNCTION_END;
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			{	/* Dataflow/walk.scm 428 */
				obj_t BgL_method1437z00_1915;

				{	/* Dataflow/walk.scm 428 */
					obj_t BgL_res2179z00_2962;

					{	/* Dataflow/walk.scm 428 */
						long BgL_objzd2classzd2numz00_2935;

						{	/* Dataflow/walk.scm 428 */
							long BgL_res2173z00_2938;

							BgL_res2173z00_2938 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
							BgL_objzd2classzd2numz00_2935 = BgL_res2173z00_2938;
						}
						{	/* Dataflow/walk.scm 428 */
							obj_t BgL_arg1725z00_2936;

							BgL_arg1725z00_2936 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 428 */
								int BgL_offsetz00_2940;

								BgL_offsetz00_2940 = (int) (BgL_objzd2classzd2numz00_2935);
								{	/* Dataflow/walk.scm 428 */
									long BgL_offsetz00_2941;

									BgL_offsetz00_2941 =
										((long) (BgL_offsetz00_2940) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 428 */
										long BgL_modz00_2942;

										{	/* Dataflow/walk.scm 428 */
											int BgL_arg1727z00_2943;

											BgL_arg1727z00_2943 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 428 */
												long BgL_res2176z00_2953;

												{	/* Dataflow/walk.scm 428 */
													long BgL_tmpz00_4075;

													BgL_tmpz00_4075 = (long) (BgL_arg1727z00_2943);
													BgL_res2176z00_2953 =
														(BgL_offsetz00_2941 / BgL_tmpz00_4075);
												}
												BgL_modz00_2942 = BgL_res2176z00_2953;
										}}
										{	/* Dataflow/walk.scm 428 */
											long BgL_restz00_2944;

											{	/* Dataflow/walk.scm 428 */
												int BgL_arg1726z00_2945;

												BgL_arg1726z00_2945 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 428 */
													long BgL_res2178z00_2957;

													{	/* Dataflow/walk.scm 428 */
														long BgL_tmpz00_4079;

														BgL_tmpz00_4079 = (long) (BgL_arg1726z00_2945);
														BgL_res2178z00_2957 =
															(BgL_offsetz00_2941 % BgL_tmpz00_4079);
													}
													BgL_restz00_2944 = BgL_res2178z00_2957;
											}}
											{	/* Dataflow/walk.scm 428 */

												{	/* Dataflow/walk.scm 428 */
													obj_t BgL_bucketz00_2946;

													BgL_bucketz00_2946 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2936), BgL_modz00_2942);
													BgL_res2179z00_2962 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2946), BgL_restz00_2944);
					}}}}}}}}
					BgL_method1437z00_1915 = BgL_res2179z00_2962;
				}
				return
					PROCEDURE_ENTRY(BgL_method1437z00_1915) (BgL_method1437z00_1915,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3226,
		obj_t BgL_nodez00_3227)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3227));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2255z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2257z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2258z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2259z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2260z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2261z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2262z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2263z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2264z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2265z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2266z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2267z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2268z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2269z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2270z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2271z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2272z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2273z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2274z00zzdataflow_walkz00,
				BGl_string2256z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2275z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2277z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2278z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2279z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2280z00zzdataflow_walkz00,
				BGl_string2276z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2281z00zzdataflow_walkz00,
				BGl_string2282z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2283z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2285z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2286z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2287z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2288z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2289z00zzdataflow_walkz00,
				BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2290z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2291z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2292z00zzdataflow_walkz00, BGl_string2284z00zzdataflow_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &abort?-app-ly1455 */
	obj_t BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00(obj_t
		BgL_envz00_3263, obj_t BgL_nodez00_3264)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 489 */
			{	/* Dataflow/walk.scm 491 */
				obj_t BgL__ortest_1195z00_3416;

				BgL__ortest_1195z00_3416 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3264)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1195z00_3416))
					{	/* Dataflow/walk.scm 491 */
						return BgL__ortest_1195z00_3416;
					}
				else
					{	/* Dataflow/walk.scm 491 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3264)))->BgL_argz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-funcall1453 */
	obj_t BGl_z62abortzf3zd2funcall1453z43zzdataflow_walkz00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 482 */
			{	/* Dataflow/walk.scm 484 */
				obj_t BgL__ortest_1193z00_3418;

				BgL__ortest_1193z00_3418 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3266)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1193z00_3418))
					{	/* Dataflow/walk.scm 484 */
						return BgL__ortest_1193z00_3418;
					}
				else
					{	/* Dataflow/walk.scm 484 */
						obj_t BgL_g1370z00_3419;

						BgL_g1370z00_3419 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3266)))->BgL_argsz00);
						{
							obj_t BgL_l1368z00_3421;

							BgL_l1368z00_3421 = BgL_g1370z00_3419;
						BgL_zc3anonymousza32057ze3z83_3420:
							if (NULLP(BgL_l1368z00_3421))
								{	/* Dataflow/walk.scm 484 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 484 */
									obj_t BgL__ortest_1371z00_3422;

									{	/* Dataflow/walk.scm 484 */
										obj_t BgL_arg2060z00_3423;

										BgL_arg2060z00_3423 = CAR(((obj_t) BgL_l1368z00_3421));
										BgL__ortest_1371z00_3422 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2060z00_3423));
									}
									if (CBOOL(BgL__ortest_1371z00_3422))
										{	/* Dataflow/walk.scm 484 */
											return BgL__ortest_1371z00_3422;
										}
									else
										{	/* Dataflow/walk.scm 484 */
											obj_t BgL_arg2059z00_3424;

											BgL_arg2059z00_3424 = CDR(((obj_t) BgL_l1368z00_3421));
											{
												obj_t BgL_l1368z00_4152;

												BgL_l1368z00_4152 = BgL_arg2059z00_3424;
												BgL_l1368z00_3421 = BgL_l1368z00_4152;
												goto BgL_zc3anonymousza32057ze3z83_3420;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-app1451 */
	obj_t BGl_z62abortzf3zd2app1451z43zzdataflow_walkz00(obj_t BgL_envz00_3267,
		obj_t BgL_nodez00_3268)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 475 */
			{	/* Dataflow/walk.scm 477 */
				obj_t BgL__ortest_1191z00_3426;

				{	/* Dataflow/walk.scm 477 */
					BgL_varz00_bglt BgL_arg2056z00_3427;

					BgL_arg2056z00_3427 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3268)))->BgL_funz00);
					BgL__ortest_1191z00_3426 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2056z00_3427));
				}
				if (CBOOL(BgL__ortest_1191z00_3426))
					{	/* Dataflow/walk.scm 477 */
						return BgL__ortest_1191z00_3426;
					}
				else
					{	/* Dataflow/walk.scm 477 */
						obj_t BgL_g1366z00_3428;

						BgL_g1366z00_3428 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3268)))->BgL_argsz00);
						{
							obj_t BgL_l1364z00_3430;

							BgL_l1364z00_3430 = BgL_g1366z00_3428;
						BgL_zc3anonymousza32051ze3z83_3429:
							if (NULLP(BgL_l1364z00_3430))
								{	/* Dataflow/walk.scm 477 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 477 */
									obj_t BgL__ortest_1367z00_3431;

									{	/* Dataflow/walk.scm 477 */
										obj_t BgL_arg2055z00_3432;

										BgL_arg2055z00_3432 = CAR(((obj_t) BgL_l1364z00_3430));
										BgL__ortest_1367z00_3431 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2055z00_3432));
									}
									if (CBOOL(BgL__ortest_1367z00_3431))
										{	/* Dataflow/walk.scm 477 */
											return BgL__ortest_1367z00_3431;
										}
									else
										{	/* Dataflow/walk.scm 477 */
											obj_t BgL_arg2054z00_3433;

											BgL_arg2054z00_3433 = CDR(((obj_t) BgL_l1364z00_3430));
											{
												obj_t BgL_l1364z00_4171;

												BgL_l1364z00_4171 = BgL_arg2054z00_3433;
												BgL_l1364z00_3430 = BgL_l1364z00_4171;
												goto BgL_zc3anonymousza32051ze3z83_3429;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-conditional1449 */
	obj_t BGl_z62abortzf3zd2conditional1449z43zzdataflow_walkz00(obj_t
		BgL_envz00_3269, obj_t BgL_nodez00_3270)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 468 */
			{	/* Dataflow/walk.scm 470 */
				obj_t BgL__ortest_1188z00_3435;

				BgL__ortest_1188z00_3435 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3270)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1188z00_3435))
					{	/* Dataflow/walk.scm 470 */
						return BgL__ortest_1188z00_3435;
					}
				else
					{	/* Dataflow/walk.scm 470 */
						obj_t BgL__andtest_1189z00_3436;

						BgL__andtest_1189z00_3436 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3270)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1189z00_3436))
							{	/* Dataflow/walk.scm 470 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3270)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 470 */
								return BFALSE;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-let-fun1447 */
	obj_t BGl_z62abortzf3zd2letzd2fun1447z91zzdataflow_walkz00(obj_t
		BgL_envz00_3271, obj_t BgL_nodez00_3272)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 461 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3272)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &abort?-let-var1445 */
	obj_t BGl_z62abortzf3zd2letzd2var1445z91zzdataflow_walkz00(obj_t
		BgL_envz00_3273, obj_t BgL_nodez00_3274)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 454 */
			{	/* Dataflow/walk.scm 456 */
				obj_t BgL__ortest_1185z00_3439;

				{	/* Dataflow/walk.scm 456 */
					obj_t BgL_g1362z00_3440;

					BgL_g1362z00_3440 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3274)))->BgL_bindingsz00);
					{
						obj_t BgL_l1360z00_3442;

						BgL_l1360z00_3442 = BgL_g1362z00_3440;
					BgL_zc3anonymousza32043ze3z83_3441:
						if (NULLP(BgL_l1360z00_3442))
							{	/* Dataflow/walk.scm 456 */
								BgL__ortest_1185z00_3439 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 456 */
								obj_t BgL__ortest_1363z00_3443;

								{	/* Dataflow/walk.scm 456 */
									obj_t BgL_bz00_3444;

									BgL_bz00_3444 = CAR(((obj_t) BgL_l1360z00_3442));
									{	/* Dataflow/walk.scm 456 */
										obj_t BgL_arg2046z00_3445;

										BgL_arg2046z00_3445 = CDR(((obj_t) BgL_bz00_3444));
										BgL__ortest_1363z00_3443 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2046z00_3445));
									}
								}
								if (CBOOL(BgL__ortest_1363z00_3443))
									{	/* Dataflow/walk.scm 456 */
										BgL__ortest_1185z00_3439 = BgL__ortest_1363z00_3443;
									}
								else
									{	/* Dataflow/walk.scm 456 */
										obj_t BgL_arg2045z00_3446;

										BgL_arg2045z00_3446 = CDR(((obj_t) BgL_l1360z00_3442));
										{
											obj_t BgL_l1360z00_4202;

											BgL_l1360z00_4202 = BgL_arg2045z00_3446;
											BgL_l1360z00_3442 = BgL_l1360z00_4202;
											goto BgL_zc3anonymousza32043ze3z83_3441;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1185z00_3439))
					{	/* Dataflow/walk.scm 456 */
						return BgL__ortest_1185z00_3439;
					}
				else
					{	/* Dataflow/walk.scm 456 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3274)))->BgL_bodyz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-sync1443 */
	obj_t BGl_z62abortzf3zd2sync1443z43zzdataflow_walkz00(obj_t BgL_envz00_3275,
		obj_t BgL_nodez00_3276)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 446 */
			{	/* Dataflow/walk.scm 447 */
				obj_t BgL__ortest_1182z00_3448;

				BgL__ortest_1182z00_3448 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3276)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1182z00_3448))
					{	/* Dataflow/walk.scm 447 */
						return BgL__ortest_1182z00_3448;
					}
				else
					{	/* Dataflow/walk.scm 448 */
						obj_t BgL__ortest_1183z00_3449;

						BgL__ortest_1183z00_3449 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_3276)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1183z00_3449))
							{	/* Dataflow/walk.scm 448 */
								return BgL__ortest_1183z00_3449;
							}
						else
							{	/* Dataflow/walk.scm 448 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_3276)))->BgL_bodyz00));
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-sequence1441 */
	obj_t BGl_z62abortzf3zd2sequence1441z43zzdataflow_walkz00(obj_t
		BgL_envz00_3277, obj_t BgL_nodez00_3278)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 440 */
			{	/* Dataflow/walk.scm 441 */
				obj_t BgL_g1358z00_3451;

				BgL_g1358z00_3451 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3278)))->BgL_nodesz00);
				{
					obj_t BgL_l1356z00_3453;

					BgL_l1356z00_3453 = BgL_g1358z00_3451;
				BgL_zc3anonymousza32035ze3z83_3452:
					if (NULLP(BgL_l1356z00_3453))
						{	/* Dataflow/walk.scm 441 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 441 */
							obj_t BgL__ortest_1359z00_3454;

							{	/* Dataflow/walk.scm 441 */
								obj_t BgL_arg2038z00_3455;

								BgL_arg2038z00_3455 = CAR(((obj_t) BgL_l1356z00_3453));
								BgL__ortest_1359z00_3454 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2038z00_3455));
							}
							if (CBOOL(BgL__ortest_1359z00_3454))
								{	/* Dataflow/walk.scm 441 */
									return BgL__ortest_1359z00_3454;
								}
							else
								{	/* Dataflow/walk.scm 441 */
									obj_t BgL_arg2037z00_3456;

									BgL_arg2037z00_3456 = CDR(((obj_t) BgL_l1356z00_3453));
									{
										obj_t BgL_l1356z00_4233;

										BgL_l1356z00_4233 = BgL_arg2037z00_3456;
										BgL_l1356z00_3453 = BgL_l1356z00_4233;
										goto BgL_zc3anonymousza32035ze3z83_3452;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-fail1439 */
	obj_t BGl_z62abortzf3zd2fail1439z43zzdataflow_walkz00(obj_t BgL_envz00_3279,
		obj_t BgL_nodez00_3280)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 434 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-1434 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3281, obj_t BgL_nodez00_3282)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 406 */
			{	/* Dataflow/walk.scm 408 */
				BgL_variablez00_bglt BgL_fz00_3459;

				BgL_fz00_3459 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3282)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 409 */

					{	/* Dataflow/walk.scm 410 */
						bool_t BgL_testz00_4238;

						{	/* Dataflow/walk.scm 410 */
							bool_t BgL_testz00_4239;

							{	/* Dataflow/walk.scm 410 */
								obj_t BgL_tmpz00_4240;

								BgL_tmpz00_4240 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3282)))->BgL_argsz00);
								BgL_testz00_4239 = PAIRP(BgL_tmpz00_4240);
							}
							if (BgL_testz00_4239)
								{	/* Dataflow/walk.scm 410 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3282)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 411 */
											bool_t BgL_testz00_4249;

											{	/* Dataflow/walk.scm 411 */
												obj_t BgL_arg2029z00_3460;

												BgL_arg2029z00_3460 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3282)))->
														BgL_argsz00));
												BgL_testz00_4249 =
													BGl_isazf3zf3zz__objectz00(BgL_arg2029z00_3460,
													BGl_varz00zzast_nodez00);
											}
											if (BgL_testz00_4249)
												{	/* Dataflow/walk.scm 412 */
													BgL_typez00_bglt BgL_arg2024z00_3461;

													{
														BgL_variablez00_bglt BgL_auxz00_4254;

														{
															BgL_varz00_bglt BgL_auxz00_4255;

															{	/* Dataflow/walk.scm 412 */
																obj_t BgL_pairz00_3462;

																BgL_pairz00_3462 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3282)))->
																	BgL_argsz00);
																BgL_auxz00_4255 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3462));
															}
															BgL_auxz00_4254 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4255))->
																BgL_variablez00);
														}
														BgL_arg2024z00_3461 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4254))->BgL_typez00);
													}
													BgL_testz00_4238 =
														(
														((obj_t) BgL_arg2024z00_3461) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 411 */
													BgL_testz00_4238 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 410 */
											BgL_testz00_4238 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 410 */
									BgL_testz00_4238 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4238)
							{	/* Dataflow/walk.scm 410 */
								if (
									(((obj_t) BgL_fz00_3459) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 415 */
										obj_t BgL_arg2009z00_3463;

										{	/* Dataflow/walk.scm 415 */
											BgL_variablez00_bglt BgL_arg2012z00_3464;

											{
												BgL_varz00_bglt BgL_auxz00_4267;

												{	/* Dataflow/walk.scm 415 */
													obj_t BgL_pairz00_3465;

													BgL_pairz00_3465 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3282)))->
														BgL_argsz00);
													BgL_auxz00_4267 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3465));
												}
												BgL_arg2012z00_3464 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4267))->
													BgL_variablez00);
											}
											BgL_arg2009z00_3463 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2012z00_3464),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 415 */
											obj_t BgL_list2010z00_3466;

											BgL_list2010z00_3466 =
												MAKE_YOUNG_PAIR(BgL_arg2009z00_3463, BNIL);
											return BgL_list2010z00_3466;
										}
									}
								else
									{	/* Dataflow/walk.scm 416 */
										bool_t BgL_testz00_4276;

										if (
											(((obj_t) BgL_fz00_3459) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4276 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4276 =
													(
													((obj_t) BgL_fz00_3459) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_testz00_4276)
											{	/* Dataflow/walk.scm 417 */
												obj_t BgL_arg2017z00_3467;

												{	/* Dataflow/walk.scm 417 */
													BgL_variablez00_bglt BgL_arg2020z00_3468;

													{
														BgL_varz00_bglt BgL_auxz00_4282;

														{	/* Dataflow/walk.scm 417 */
															obj_t BgL_pairz00_3469;

															BgL_pairz00_3469 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3282)))->
																BgL_argsz00);
															BgL_auxz00_4282 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3469));
														}
														BgL_arg2020z00_3468 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4282))->
															BgL_variablez00);
													}
													BgL_arg2017z00_3467 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2020z00_3468),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 417 */
													obj_t BgL_list2018z00_3470;

													BgL_list2018z00_3470 =
														MAKE_YOUNG_PAIR(BgL_arg2017z00_3467, BNIL);
													return BgL_list2018z00_3470;
												}
											}
										else
											{	/* Dataflow/walk.scm 416 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 410 */
								return BNIL;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-le1430 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3283, obj_t BgL_nodez00_3284)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 378 */
			{	/* Dataflow/walk.scm 380 */
				bool_t BgL_testz00_4291;

				{	/* Dataflow/walk.scm 380 */
					bool_t BgL_testz00_4292;

					{	/* Dataflow/walk.scm 380 */
						obj_t BgL_tmpz00_4293;

						BgL_tmpz00_4293 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
							BgL_bindingsz00);
						BgL_testz00_4292 = PAIRP(BgL_tmpz00_4293);
					}
					if (BgL_testz00_4292)
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4291 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4291 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4291)
					{	/* Dataflow/walk.scm 382 */
						bool_t BgL_testz00_4301;

						{	/* Dataflow/walk.scm 382 */
							obj_t BgL_arg1983z00_3472;

							{	/* Dataflow/walk.scm 382 */
								obj_t BgL_pairz00_3473;

								BgL_pairz00_3473 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
									BgL_bindingsz00);
								BgL_arg1983z00_3472 = CDR(CAR(BgL_pairz00_3473));
							}
							BgL_testz00_4301 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1983z00_3472,
								BGl_varz00zzast_nodez00);
						}
						if (BgL_testz00_4301)
							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_envz00_3474;

								BgL_envz00_3474 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 384 */
									bool_t BgL_testz00_4310;

									if (NULLP(BgL_envz00_3474))
										{	/* Dataflow/walk.scm 384 */
											BgL_testz00_4310 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 384 */
											if (NULLP(CDR(BgL_envz00_3474)))
												{	/* Dataflow/walk.scm 386 */
													obj_t BgL_tmpz00_4316;

													{	/* Dataflow/walk.scm 386 */
														obj_t BgL_pairz00_3475;

														BgL_pairz00_3475 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
															BgL_bindingsz00);
														BgL_tmpz00_4316 = CAR(CAR(BgL_pairz00_3475));
													}
													BgL_testz00_4310 =
														(CAR(CAR(BgL_envz00_3474)) == BgL_tmpz00_4316);
												}
											else
												{	/* Dataflow/walk.scm 385 */
													BgL_testz00_4310 = ((bool_t) 0);
												}
										}
									if (BgL_testz00_4310)
										{	/* Dataflow/walk.scm 387 */
											obj_t BgL_arg1941z00_3476;

											{	/* Dataflow/walk.scm 387 */
												BgL_variablez00_bglt BgL_arg1943z00_3477;
												obj_t BgL_arg1945z00_3478;

												{
													BgL_varz00_bglt BgL_auxz00_4324;

													{
														obj_t BgL_auxz00_4325;

														{	/* Dataflow/walk.scm 387 */
															obj_t BgL_pairz00_3479;

															BgL_pairz00_3479 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_3284)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 387 */
																obj_t BgL_pairz00_3480;

																BgL_pairz00_3480 = CAR(BgL_pairz00_3479);
																BgL_auxz00_4325 = CDR(BgL_pairz00_3480);
															}
														}
														BgL_auxz00_4324 =
															((BgL_varz00_bglt) BgL_auxz00_4325);
													}
													BgL_arg1943z00_3477 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4324))->
														BgL_variablez00);
												}
												BgL_arg1945z00_3478 = CDR(CAR(BgL_envz00_3474));
												BgL_arg1941z00_3476 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1943z00_3477), BgL_arg1945z00_3478);
											}
											{	/* Dataflow/walk.scm 387 */
												obj_t BgL_list1942z00_3481;

												BgL_list1942z00_3481 =
													MAKE_YOUNG_PAIR(BgL_arg1941z00_3476, BNIL);
												return BgL_list1942z00_3481;
											}
										}
									else
										{	/* Dataflow/walk.scm 384 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 389 */
								bool_t BgL_testz00_4337;

								{	/* Dataflow/walk.scm 389 */
									bool_t BgL_testz00_4338;

									{	/* Dataflow/walk.scm 389 */
										BgL_nodez00_bglt BgL_arg1982z00_3482;

										BgL_arg1982z00_3482 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 389 */
											bool_t BgL_res2222z00_3483;

											BgL_res2222z00_3483 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1982z00_3482), BGl_varz00zzast_nodez00);
											BgL_testz00_4338 = BgL_res2222z00_3483;
										}
									}
									if (BgL_testz00_4338)
										{	/* Dataflow/walk.scm 390 */
											bool_t BgL_testz00_4343;

											{	/* Dataflow/walk.scm 390 */
												obj_t BgL_tmpz00_4344;

												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_pairz00_3484;

													BgL_pairz00_3484 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
														BgL_bindingsz00);
													BgL_tmpz00_4344 = CAR(CAR(BgL_pairz00_3484));
												}
												BgL_testz00_4343 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3284)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_4344);
											}
											if (BgL_testz00_4343)
												{	/* Dataflow/walk.scm 391 */
													BgL_typez00_bglt BgL_arg1974z00_3485;

													{
														BgL_variablez00_bglt BgL_auxz00_4355;

														{
															obj_t BgL_auxz00_4356;

															{	/* Dataflow/walk.scm 391 */
																obj_t BgL_pairz00_3486;

																BgL_pairz00_3486 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3284)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 391 */
																	obj_t BgL_pairz00_3487;

																	BgL_pairz00_3487 = CAR(BgL_pairz00_3486);
																	BgL_auxz00_4356 = CAR(BgL_pairz00_3487);
																}
															}
															BgL_auxz00_4355 =
																((BgL_variablez00_bglt) BgL_auxz00_4356);
														}
														BgL_arg1974z00_3485 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4355))->BgL_typez00);
													}
													BgL_testz00_4337 =
														(
														((obj_t) BgL_arg1974z00_3485) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 390 */
													BgL_testz00_4337 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 389 */
											BgL_testz00_4337 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_4337)
									{	/* Dataflow/walk.scm 392 */
										obj_t BgL_arg1971z00_3488;

										{	/* Dataflow/walk.scm 392 */
											obj_t BgL_pairz00_3489;

											BgL_pairz00_3489 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3284)))->
												BgL_bindingsz00);
											BgL_arg1971z00_3488 = CDR(CAR(BgL_pairz00_3489));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1971z00_3488));
									}
								else
									{	/* Dataflow/walk.scm 389 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 380 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-va1428 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3285, obj_t BgL_nodez00_3286)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 361 */
			{	/* Dataflow/walk.scm 363 */
				bool_t BgL_testz00_4371;

				{	/* Dataflow/walk.scm 363 */
					BgL_variablez00_bglt BgL_arg1922z00_3491;

					BgL_arg1922z00_3491 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_3286)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 363 */
						bool_t BgL_res2215z00_3492;

						BgL_res2215z00_3492 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1922z00_3491),
							BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_testz00_4371 = BgL_res2215z00_3492;
					}
				}
				if (BgL_testz00_4371)
					{	/* Dataflow/walk.scm 364 */
						BgL_nodez00_bglt BgL_arg1920z00_3493;

						{
							BgL_localzf2valuezf2_bglt BgL_auxz00_4376;

							{
								obj_t BgL_auxz00_4377;

								{	/* Dataflow/walk.scm 364 */
									BgL_objectz00_bglt BgL_tmpz00_4378;

									BgL_tmpz00_4378 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_3286)))->
												BgL_variablez00)));
									BgL_auxz00_4377 = BGL_OBJECT_WIDENING(BgL_tmpz00_4378);
								}
								BgL_auxz00_4376 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4377);
							}
							BgL_arg1920z00_3493 =
								(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4376))->
								BgL_nodez00);
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1920z00_3493);
					}
				else
					{	/* Dataflow/walk.scm 363 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-co1426 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3287, obj_t BgL_nodez00_3288)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 352 */
			{	/* Dataflow/walk.scm 354 */
				bool_t BgL_testz00_4387;

				{	/* Dataflow/walk.scm 354 */
					bool_t BgL_testz00_4388;

					{	/* Dataflow/walk.scm 354 */
						BgL_nodez00_bglt BgL_arg1917z00_3495;

						BgL_arg1917z00_3495 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3288)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 354 */
							bool_t BgL_res2214z00_3496;

							BgL_res2214z00_3496 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1917z00_3495), BGl_atomz00zzast_nodez00);
							BgL_testz00_4388 = BgL_res2214z00_3496;
						}
					}
					if (BgL_testz00_4388)
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4387 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3288)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4387 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4387)
					{	/* Dataflow/walk.scm 354 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3288)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3288)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 354 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-in1424 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3289, obj_t BgL_nodez00_3290)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 343 */
			{	/* Dataflow/walk.scm 345 */
				bool_t BgL_testz00_4405;

				{	/* Dataflow/walk.scm 345 */
					obj_t BgL_arg1902z00_3498;

					{	/* Dataflow/walk.scm 345 */
						obj_t BgL_pairz00_3499;

						BgL_pairz00_3499 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_3290))))->
							BgL_exprza2za2);
						BgL_arg1902z00_3498 = CAR(BgL_pairz00_3499);
					}
					BgL_testz00_4405 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1902z00_3498,
						BGl_varz00zzast_nodez00);
				}
				if (BgL_testz00_4405)
					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_arg1896z00_3500;

						{	/* Dataflow/walk.scm 346 */
							BgL_variablez00_bglt BgL_arg1898z00_3501;
							BgL_typez00_bglt BgL_arg1899z00_3502;

							{
								BgL_varz00_bglt BgL_auxz00_4411;

								{	/* Dataflow/walk.scm 346 */
									obj_t BgL_pairz00_3503;

									BgL_pairz00_3503 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_3290))))->
										BgL_exprza2za2);
									BgL_auxz00_4411 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3503));
								}
								BgL_arg1898z00_3501 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4411))->
									BgL_variablez00);
							}
							BgL_arg1899z00_3502 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_3290)))->
								BgL_classz00);
							BgL_arg1896z00_3500 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1898z00_3501),
								((obj_t) BgL_arg1899z00_3502));
						}
						{	/* Dataflow/walk.scm 346 */
							obj_t BgL_list1897z00_3504;

							BgL_list1897z00_3504 = MAKE_YOUNG_PAIR(BgL_arg1896z00_3500, BNIL);
							return BgL_list1897z00_3504;
						}
					}
				else
					{	/* Dataflow/walk.scm 345 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-ap1421 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1421zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3291, obj_t BgL_nodez00_3292)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 320 */
			{	/* Dataflow/walk.scm 322 */
				BgL_variablez00_bglt BgL_fz00_3506;

				BgL_fz00_3506 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3292)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 322 */
					BgL_valuez00_bglt BgL_funvz00_3507;

					BgL_funvz00_3507 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3506))->BgL_valuez00);
					{	/* Dataflow/walk.scm 323 */

						{	/* Dataflow/walk.scm 325 */
							obj_t BgL_g1175z00_3508;

							BgL_g1175z00_3508 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3292)));
							if (CBOOL(BgL_g1175z00_3508))
								{	/* Dataflow/walk.scm 328 */
									bool_t BgL_testz00_4433;

									{	/* Dataflow/walk.scm 328 */
										obj_t BgL_arg1854z00_3509;

										BgL_arg1854z00_3509 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3292)))->
												BgL_argsz00));
										BgL_testz00_4433 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1854z00_3509,
											BGl_varz00zzast_nodez00);
									}
									if (BgL_testz00_4433)
										{	/* Dataflow/walk.scm 329 */
											obj_t BgL_arg1846z00_3510;

											{	/* Dataflow/walk.scm 329 */
												BgL_variablez00_bglt BgL_arg1848z00_3511;

												{
													BgL_varz00_bglt BgL_auxz00_4438;

													{	/* Dataflow/walk.scm 329 */
														obj_t BgL_pairz00_3512;

														BgL_pairz00_3512 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3292)))->
															BgL_argsz00);
														BgL_auxz00_4438 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3512));
													}
													BgL_arg1848z00_3511 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4438))->
														BgL_variablez00);
												}
												BgL_arg1846z00_3510 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1848z00_3511), BgL_g1175z00_3508);
											}
											{	/* Dataflow/walk.scm 329 */
												obj_t BgL_list1847z00_3513;

												BgL_list1847z00_3513 =
													MAKE_YOUNG_PAIR(BgL_arg1846z00_3510, BNIL);
												return BgL_list1847z00_3513;
											}
										}
									else
										{	/* Dataflow/walk.scm 328 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 331 */
									bool_t BgL_testz00_4447;

									{	/* Dataflow/walk.scm 331 */
										bool_t BgL_testz00_4448;

										{	/* Dataflow/walk.scm 331 */
											bool_t BgL_res2207z00_3514;

											BgL_res2207z00_3514 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_funvz00_3507), BGl_funz00zzast_varz00);
											BgL_testz00_4448 = BgL_res2207z00_3514;
										}
										if (BgL_testz00_4448)
											{	/* Dataflow/walk.scm 331 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_3507)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 333 */
														bool_t BgL_testz00_4455;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_tmpz00_4456;

															BgL_tmpz00_4456 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3292)))->
																BgL_argsz00);
															BgL_testz00_4455 = PAIRP(BgL_tmpz00_4456);
														}
														if (BgL_testz00_4455)
															{	/* Dataflow/walk.scm 333 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_3292)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 334 */
																		bool_t BgL_testz00_4465;

																		{	/* Dataflow/walk.scm 334 */
																			obj_t BgL_arg1887z00_3515;

																			BgL_arg1887z00_3515 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_3292)))->
																					BgL_argsz00));
																			BgL_testz00_4465 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_arg1887z00_3515,
																				BGl_varz00zzast_nodez00);
																		}
																		if (BgL_testz00_4465)
																			{	/* Dataflow/walk.scm 335 */
																				BgL_typez00_bglt BgL_arg1883z00_3516;

																				{
																					BgL_variablez00_bglt BgL_auxz00_4470;

																					{
																						BgL_varz00_bglt BgL_auxz00_4471;

																						{	/* Dataflow/walk.scm 335 */
																							obj_t BgL_pairz00_3517;

																							BgL_pairz00_3517 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_3292)))->
																								BgL_argsz00);
																							BgL_auxz00_4471 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_3517));
																						}
																						BgL_auxz00_4470 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_4471))->
																							BgL_variablez00);
																					}
																					BgL_arg1883z00_3516 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_4470))->
																						BgL_typez00);
																				}
																				BgL_testz00_4447 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1883z00_3516);
																			}
																		else
																			{	/* Dataflow/walk.scm 334 */
																				BgL_testz00_4447 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 333 */
																		BgL_testz00_4447 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 333 */
																BgL_testz00_4447 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 332 */
														BgL_testz00_4447 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 331 */
												BgL_testz00_4447 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4447)
										{	/* Dataflow/walk.scm 336 */
											obj_t BgL_arg1876z00_3518;

											{	/* Dataflow/walk.scm 336 */
												BgL_variablez00_bglt BgL_arg1879z00_3519;
												obj_t BgL_arg1880z00_3520;

												{
													BgL_varz00_bglt BgL_auxz00_4479;

													{	/* Dataflow/walk.scm 336 */
														obj_t BgL_pairz00_3521;

														BgL_pairz00_3521 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3292)))->
															BgL_argsz00);
														BgL_auxz00_4479 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3521));
													}
													BgL_arg1879z00_3519 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4479))->
														BgL_variablez00);
												}
												BgL_arg1880z00_3520 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_3507)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1876z00_3518 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1879z00_3519),
													BgL_arg1880z00_3520);
											}
											{	/* Dataflow/walk.scm 336 */
												obj_t BgL_list1877z00_3522;

												BgL_list1877z00_3522 =
													MAKE_YOUNG_PAIR(BgL_arg1876z00_3518, BNIL);
												return BgL_list1877z00_3522;
											}
										}
									else
										{	/* Dataflow/walk.scm 331 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-box-s1417 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1417za2zzdataflow_walkz00(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294, obj_t BgL_envz00_3295)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 300 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3294)))->BgL_valuez00),
				BgL_envz00_3295);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-box-r1415 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1415za2zzdataflow_walkz00(obj_t
		BgL_envz00_3296, obj_t BgL_nodez00_3297, obj_t BgL_envz00_3298)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 293 */
			return ((obj_t) BgL_envz00_3298);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-make-1413 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21413za2zzdataflow_walkz00(obj_t
		BgL_envz00_3299, obj_t BgL_nodez00_3300, obj_t BgL_envz00_3301)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 287 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3300)))->BgL_valuez00),
				BgL_envz00_3301);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-jump-1411 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21411za2zzdataflow_walkz00(obj_t
		BgL_envz00_3302, obj_t BgL_nodez00_3303, obj_t BgL_envz00_3304)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 278 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3303)))->BgL_exitz00),
				BgL_envz00_3304);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3303)))->
					BgL_valuez00), BgL_envz00_3304);
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-set-e1409 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1409za2zzdataflow_walkz00(obj_t
		BgL_envz00_3305, obj_t BgL_nodez00_3306, obj_t BgL_envz00_3307)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 270 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3306)))->BgL_bodyz00),
				BgL_envz00_3307);
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-let-v1407 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1407za2zzdataflow_walkz00(obj_t
		BgL_envz00_3308, obj_t BgL_nodez00_3309, obj_t BgL_envz00_3310)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 238 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 241 */
				long BgL_stampz00_3530;

				BgL_stampz00_3530 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 241 */
					obj_t BgL_envz00_3531;

					{
						obj_t BgL_bindingsz00_3533;
						obj_t BgL_envz00_3534;

						BgL_bindingsz00_3533 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3309)))->
							BgL_bindingsz00);
						BgL_envz00_3534 = BgL_envz00_3310;
					BgL_loopz00_3532:
						if (NULLP(BgL_bindingsz00_3533))
							{	/* Dataflow/walk.scm 244 */
								BgL_envz00_3531 = BgL_envz00_3534;
							}
						else
							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_nodez00_3535;

								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_pairz00_3536;

									BgL_pairz00_3536 = CAR(((obj_t) BgL_bindingsz00_3533));
									BgL_nodez00_3535 = CDR(BgL_pairz00_3536);
								}
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_envz00_3537;

									BgL_envz00_3537 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_3535), BgL_envz00_3534);
									{	/* Dataflow/walk.scm 247 */

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_lz00_3538;

											{	/* Dataflow/walk.scm 248 */
												obj_t BgL_pairz00_3539;

												BgL_pairz00_3539 = CAR(((obj_t) BgL_bindingsz00_3533));
												BgL_lz00_3538 = CAR(BgL_pairz00_3539);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_3538)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
												{	/* Dataflow/walk.scm 249 */
													{	/* Dataflow/walk.scm 250 */
														BgL_localzf2valuezf2_bglt BgL_wide1168z00_3540;

														BgL_wide1168z00_3540 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 250 */
															obj_t BgL_auxz00_4527;
															BgL_objectz00_bglt BgL_tmpz00_4523;

															BgL_auxz00_4527 = ((obj_t) BgL_wide1168z00_3540);
															BgL_tmpz00_4523 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_3538)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4523,
																BgL_auxz00_4527);
														}
														{	/* Dataflow/walk.scm 250 */
															long BgL_arg1834z00_3541;

															{	/* Dataflow/walk.scm 250 */
																long BgL_res2201z00_3542;

																BgL_res2201z00_3542 =
																	BGL_CLASS_INDEX
																	(BGl_localzf2valuezf2zzdataflow_walkz00);
																BgL_arg1834z00_3541 = BgL_res2201z00_3542;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3538))),
																BgL_arg1834z00_3541);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_3538)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4538;

														{
															obj_t BgL_auxz00_4539;

															{	/* Dataflow/walk.scm 251 */
																BgL_objectz00_bglt BgL_tmpz00_4540;

																BgL_tmpz00_4540 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3538)));
																BgL_auxz00_4539 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4540);
															}
															BgL_auxz00_4538 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4539);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_4538))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_3530)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4548;

														{
															obj_t BgL_auxz00_4549;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_4550;

																BgL_tmpz00_4550 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3538)));
																BgL_auxz00_4549 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4550);
															}
															BgL_auxz00_4548 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4549);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_4548))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_3535)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_3538)));
												}
											else
												{	/* Dataflow/walk.scm 249 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 253 */
											obj_t BgL_arg1836z00_3543;

											BgL_arg1836z00_3543 = CDR(((obj_t) BgL_bindingsz00_3533));
											{
												obj_t BgL_envz00_4564;
												obj_t BgL_bindingsz00_4563;

												BgL_bindingsz00_4563 = BgL_arg1836z00_3543;
												BgL_envz00_4564 = BgL_envz00_3537;
												BgL_envz00_3534 = BgL_envz00_4564;
												BgL_bindingsz00_3533 = BgL_bindingsz00_4563;
												goto BgL_loopz00_3532;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 242 */

						{	/* Dataflow/walk.scm 254 */
							obj_t BgL_arg1797z00_3544;

							BgL_arg1797z00_3544 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3309)))->
									BgL_bodyz00), BgL_envz00_3531);
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_zc3anonymousza31799ze3z83_3545;

								BgL_zc3anonymousza31799ze3z83_3545 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31799ze3ze1zzdataflow_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_3545,
									(int) (((long) 0)), BINT(BgL_stampz00_3530));
								{	/* Dataflow/walk.scm 254 */
									obj_t BgL_list1798z00_3546;

									BgL_list1798z00_3546 =
										MAKE_YOUNG_PAIR(BgL_arg1797z00_3544, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3anonymousza31799ze3z83_3545, BgL_list1798z00_3546);
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1799> */
	obj_t BGl_z62zc3anonymousza31799ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3311, obj_t BgL_bz00_3313)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 254 */
			{	/* Dataflow/walk.scm 256 */
				long BgL_stampz00_3312;

				BgL_stampz00_3312 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3311, (int) (((long) 0))));
				{	/* Dataflow/walk.scm 256 */
					bool_t BgL_testz00_4581;

					{	/* Dataflow/walk.scm 256 */
						bool_t BgL_testz00_4582;

						{	/* Dataflow/walk.scm 256 */
							obj_t BgL_arg1824z00_3547;

							BgL_arg1824z00_3547 = CAR(((obj_t) BgL_bz00_3313));
							BgL_testz00_4582 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1824z00_3547,
								BGl_localzf2valuezf2zzdataflow_walkz00);
						}
						if (BgL_testz00_4582)
							{	/* Dataflow/walk.scm 257 */
								long BgL_tmpz00_4586;

								{	/* Dataflow/walk.scm 257 */
									int BgL_tmpz00_4587;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_4588;

										{
											obj_t BgL_auxz00_4589;

											{	/* Dataflow/walk.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_4590;

												BgL_tmpz00_4590 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_3313))));
												BgL_auxz00_4589 = BGL_OBJECT_WIDENING(BgL_tmpz00_4590);
											}
											BgL_auxz00_4588 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_4589);
										}
										BgL_tmpz00_4587 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4588))->
											BgL_stampz00);
									}
									BgL_tmpz00_4586 = (long) (BgL_tmpz00_4587);
								}
								BgL_testz00_4581 = (BgL_tmpz00_4586 < BgL_stampz00_3312);
							}
						else
							{	/* Dataflow/walk.scm 256 */
								BgL_testz00_4581 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4581)
						{	/* Dataflow/walk.scm 256 */
							return BgL_bz00_3313;
						}
					else
						{	/* Dataflow/walk.scm 259 */
							bool_t BgL_testz00_4600;

							{	/* Dataflow/walk.scm 259 */
								BgL_nodez00_bglt BgL_arg1817z00_3548;

								{
									BgL_localzf2valuezf2_bglt BgL_auxz00_4601;

									{
										obj_t BgL_auxz00_4602;

										{	/* Dataflow/walk.scm 259 */
											BgL_objectz00_bglt BgL_tmpz00_4603;

											BgL_tmpz00_4603 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_3313))));
											BgL_auxz00_4602 = BGL_OBJECT_WIDENING(BgL_tmpz00_4603);
										}
										BgL_auxz00_4601 =
											((BgL_localzf2valuezf2_bglt) BgL_auxz00_4602);
									}
									BgL_arg1817z00_3548 =
										(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4601))->
										BgL_nodez00);
								}
								{	/* Dataflow/walk.scm 259 */
									bool_t BgL_res2204z00_3549;

									BgL_res2204z00_3549 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1817z00_3548), BGl_varz00zzast_nodez00);
									BgL_testz00_4600 = BgL_res2204z00_3549;
								}
							}
							if (BgL_testz00_4600)
								{	/* Dataflow/walk.scm 260 */
									BgL_variablez00_bglt BgL_vz00_3550;

									{
										BgL_varz00_bglt BgL_auxz00_4613;

										{
											BgL_nodez00_bglt BgL_auxz00_4614;

											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_4615;

												{
													obj_t BgL_auxz00_4616;

													{	/* Dataflow/walk.scm 260 */
														BgL_objectz00_bglt BgL_tmpz00_4617;

														BgL_tmpz00_4617 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																CAR(((obj_t) BgL_bz00_3313))));
														BgL_auxz00_4616 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4617);
													}
													BgL_auxz00_4615 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_4616);
												}
												BgL_auxz00_4614 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_4615))->BgL_nodez00);
											}
											BgL_auxz00_4613 = ((BgL_varz00_bglt) BgL_auxz00_4614);
										}
										BgL_vz00_3550 =
											(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4613))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_3550))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
										{	/* Dataflow/walk.scm 262 */
											obj_t BgL_arg1811z00_3551;

											BgL_arg1811z00_3551 = CDR(((obj_t) BgL_bz00_3313));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_3550), BgL_arg1811z00_3551);
										}
									else
										{	/* Dataflow/walk.scm 261 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 259 */
									return BFALSE;
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-let-f1405 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1405za2zzdataflow_walkz00(obj_t
		BgL_envz00_3314, obj_t BgL_nodez00_3315, obj_t BgL_envz00_3316)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 223 */
			{	/* Dataflow/walk.scm 225 */
				obj_t BgL_g1353z00_3553;

				BgL_g1353z00_3553 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3315)))->BgL_localsz00);
				{
					obj_t BgL_l1351z00_3555;

					BgL_l1351z00_3555 = BgL_g1353z00_3553;
				BgL_zc3anonymousza31786ze3z83_3554:
					if (PAIRP(BgL_l1351z00_3555))
						{	/* Dataflow/walk.scm 225 */
							{	/* Dataflow/walk.scm 226 */
								obj_t BgL_localz00_3556;

								BgL_localz00_3556 = CAR(BgL_l1351z00_3555);
								{	/* Dataflow/walk.scm 226 */
									obj_t BgL_arg1789z00_3557;

									BgL_arg1789z00_3557 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3556))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1789z00_3557), BNIL);
								}
							}
							{
								obj_t BgL_l1351z00_4647;

								BgL_l1351z00_4647 = CDR(BgL_l1351z00_3555);
								BgL_l1351z00_3555 = BgL_l1351z00_4647;
								goto BgL_zc3anonymousza31786ze3z83_3554;
							}
						}
					else
						{	/* Dataflow/walk.scm 225 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3315)))->BgL_bodyz00),
				BgL_envz00_3316);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-switc1403 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1403z70zzdataflow_walkz00(obj_t
		BgL_envz00_3317, obj_t BgL_nodez00_3318, obj_t BgL_envz00_3319)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 212 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3318)))->BgL_testz00),
				BgL_envz00_3319);
			{	/* Dataflow/walk.scm 215 */
				obj_t BgL_g1350z00_3559;

				BgL_g1350z00_3559 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3318)))->BgL_clausesz00);
				{
					obj_t BgL_l1348z00_3561;

					BgL_l1348z00_3561 = BgL_g1350z00_3559;
				BgL_zc3anonymousza31782ze3z83_3560:
					if (PAIRP(BgL_l1348z00_3561))
						{	/* Dataflow/walk.scm 215 */
							{	/* Dataflow/walk.scm 216 */
								obj_t BgL_clausez00_3562;

								BgL_clausez00_3562 = CAR(BgL_l1348z00_3561);
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_arg1784z00_3563;

									BgL_arg1784z00_3563 = CDR(((obj_t) BgL_clausez00_3562));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1784z00_3563), BgL_envz00_3319);
								}
							}
							{
								obj_t BgL_l1348z00_4664;

								BgL_l1348z00_4664 = CDR(BgL_l1348z00_3561);
								BgL_l1348z00_3561 = BgL_l1348z00_4664;
								goto BgL_zc3anonymousza31782ze3z83_3560;
							}
						}
					else
						{	/* Dataflow/walk.scm 215 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_3319;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-fail1401 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1401z70zzdataflow_walkz00(obj_t
		BgL_envz00_3320, obj_t BgL_nodez00_3321, obj_t BgL_envz00_3322)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 202 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3321)))->BgL_procz00),
				BgL_envz00_3322);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_3321)))->BgL_msgz00),
				BgL_envz00_3322);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_3321)))->BgL_objz00),
				BgL_envz00_3322);
			return BgL_envz00_3322;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-condi1399 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1399z70zzdataflow_walkz00(obj_t
		BgL_envz00_3323, obj_t BgL_nodez00_3324, obj_t BgL_envz00_3325)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 179 */
			{	/* Dataflow/walk.scm 190 */
				obj_t BgL_tenvz00_3571;

				BgL_tenvz00_3571 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3324)))->BgL_testz00),
					BgL_envz00_3325);
				{	/* Dataflow/walk.scm 190 */
					obj_t BgL_truezd2envzd2_3572;

					BgL_truezd2envzd2_3572 =
						BGl_appendzd221011zd2zzdataflow_walkz00
						(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
									(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_3324)))->BgL_testz00)), BgL_tenvz00_3571);
					{	/* Dataflow/walk.scm 191 */
						obj_t BgL_falsezd2envzd2_3573;

						BgL_falsezd2envzd2_3573 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3324)))->BgL_testz00)), BgL_tenvz00_3571);
						{	/* Dataflow/walk.scm 192 */

							{	/* Dataflow/walk.scm 193 */
								obj_t BgL_tenvz00_3574;
								obj_t BgL_fenvz00_3575;

								BgL_tenvz00_3574 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3324)))->
										BgL_falsez00), BgL_falsezd2envzd2_3573);
								BgL_fenvz00_3575 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3324)))->
										BgL_truez00), BgL_truezd2envzd2_3572);
								{	/* Dataflow/walk.scm 195 */
									bool_t BgL_testz00_4692;

									{	/* Dataflow/walk.scm 195 */
										BgL_nodez00_bglt BgL_arg1758z00_3576;

										BgL_arg1758z00_3576 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3324)))->
											BgL_falsez00);
										BgL_testz00_4692 =
											CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
											(BgL_arg1758z00_3576));
									}
									if (BgL_testz00_4692)
										{	/* Dataflow/walk.scm 195 */
											return BgL_tenvz00_3574;
										}
									else
										{	/* Dataflow/walk.scm 195 */
											return
												BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00
												(BgL_fenvz00_3575, BgL_tenvz00_3574);
										}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:1771>~0 */
	obj_t BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00(obj_t
		BgL_env2z00_3354, obj_t BgL_lis1344z00_2098)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 182 */
		BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1344z00_2098))
				{	/* Dataflow/walk.scm 182 */
					return BgL_lis1344z00_2098;
				}
			else
				{	/* Dataflow/walk.scm 182 */
					obj_t BgL_head1345z00_2101;
					obj_t BgL_tail1346z00_2102;

					BgL_head1345z00_2101 = CAR(((obj_t) BgL_lis1344z00_2098));
					BgL_tail1346z00_2102 = CDR(((obj_t) BgL_lis1344z00_2098));
					{	/* Dataflow/walk.scm 182 */
						bool_t BgL_testz00_4704;

						{	/* Dataflow/walk.scm 184 */
							obj_t BgL_c2z00_2115;

							BgL_c2z00_2115 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR(
									((obj_t) BgL_head1345z00_2101)), BgL_env2z00_3354);
							{	/* Dataflow/walk.scm 185 */

								if (PAIRP(BgL_c2z00_2115))
									{	/* Dataflow/walk.scm 186 */
										BgL_testz00_4704 =
											(CDR(BgL_c2z00_2115) ==
											CDR(((obj_t) BgL_head1345z00_2101)));
									}
								else
									{	/* Dataflow/walk.scm 186 */
										BgL_testz00_4704 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_4704)
							{	/* Dataflow/walk.scm 182 */
								obj_t BgL_newzd2tail1347zd2_2110;

								BgL_newzd2tail1347zd2_2110 =
									BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00
									(BgL_env2z00_3354, BgL_tail1346z00_2102);
								if ((BgL_tail1346z00_2102 == BgL_newzd2tail1347zd2_2110))
									{	/* Dataflow/walk.scm 182 */
										return BgL_lis1344z00_2098;
									}
								else
									{	/* Dataflow/walk.scm 182 */
										obj_t BgL_res2196z00_3008;

										BgL_res2196z00_3008 =
											MAKE_YOUNG_PAIR(BgL_head1345z00_2101,
											BgL_newzd2tail1347zd2_2110);
										return BgL_res2196z00_3008;
									}
							}
						else
							{
								obj_t BgL_lis1344z00_4718;

								BgL_lis1344z00_4718 = BgL_tail1346z00_2102;
								BgL_lis1344z00_2098 = BgL_lis1344z00_4718;
								goto BGl_zc3anonymousza31771ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-setq1397 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1397z70zzdataflow_walkz00(obj_t
		BgL_envz00_3326, obj_t BgL_nodez00_3327, obj_t BgL_envz00_3328)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 159 */
			{	/* Dataflow/walk.scm 167 */
				obj_t BgL_nenvz00_3587;

				BgL_nenvz00_3587 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3327)))->BgL_valuez00),
					BgL_envz00_3328);
				{	/* Dataflow/walk.scm 168 */
					BgL_varz00_bglt BgL_i1159z00_3588;

					BgL_i1159z00_3588 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3327)))->BgL_varz00);
					{	/* Dataflow/walk.scm 169 */
						bool_t BgL_testz00_4724;

						{	/* Dataflow/walk.scm 169 */
							BgL_variablez00_bglt BgL_arg1745z00_3589;

							BgL_arg1745z00_3589 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1159z00_3588))->
								BgL_variablez00);
							{	/* Dataflow/walk.scm 169 */
								bool_t BgL_res2192z00_3590;

								BgL_res2192z00_3590 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1745z00_3589), BGl_globalz00zzast_varz00);
								BgL_testz00_4724 = BgL_res2192z00_3590;
							}
						}
						if (BgL_testz00_4724)
							{	/* Dataflow/walk.scm 169 */
								return
									BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00(
									(((BgL_varz00_bglt) COBJECT(BgL_i1159z00_3588))->
										BgL_variablez00), BgL_nenvz00_3587);
							}
						else
							{	/* Dataflow/walk.scm 171 */
								BgL_typez00_bglt BgL_typz00_3593;

								BgL_typz00_3593 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_3327)))->BgL_valuez00),
									((bool_t) 1));
								{	/* Dataflow/walk.scm 172 */
									bool_t BgL_testz00_4733;

									if (
										(((obj_t) BgL_typz00_3593) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Dataflow/walk.scm 172 */
											BgL_testz00_4733 = ((bool_t) 1);
										}
									else
										{	/* Dataflow/walk.scm 172 */
											BgL_testz00_4733 =
												(
												((obj_t) BgL_typz00_3593) ==
												BGl_za2objza2z00zztype_cachez00);
										}
									if (BgL_testz00_4733)
										{	/* Dataflow/walk.scm 172 */
											return
												BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00(
												(((BgL_varz00_bglt) COBJECT(BgL_i1159z00_3588))->
													BgL_variablez00), BgL_nenvz00_3587);
										}
									else
										{	/* Dataflow/walk.scm 174 */
											obj_t BgL_arg1742z00_3596;

											{	/* Dataflow/walk.scm 174 */
												BgL_variablez00_bglt BgL_arg1743z00_3597;

												BgL_arg1743z00_3597 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1159z00_3588))->
													BgL_variablez00);
												BgL_arg1742z00_3596 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1743z00_3597),
													((obj_t) BgL_typz00_3593));
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1742z00_3596, BgL_nenvz00_3587);
										}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:1748>~0 */
	obj_t BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_3353, obj_t BgL_lis1339z00_2055)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 162 */
		BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1339z00_2055))
				{	/* Dataflow/walk.scm 162 */
					return BgL_lis1339z00_2055;
				}
			else
				{	/* Dataflow/walk.scm 162 */
					obj_t BgL_head1340z00_2058;
					obj_t BgL_tail1341z00_2059;

					BgL_head1340z00_2058 = CAR(((obj_t) BgL_lis1339z00_2055));
					BgL_tail1341z00_2059 = CDR(((obj_t) BgL_lis1339z00_2055));
					{	/* Dataflow/walk.scm 162 */
						bool_t BgL_testz00_4752;

						if (
							(CAR(
									((obj_t) BgL_head1340z00_2058)) ==
								((obj_t) BgL_variablez00_3353)))
							{	/* Dataflow/walk.scm 163 */
								BgL_testz00_4752 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 163 */
								BgL_testz00_4752 = ((bool_t) 1);
							}
						if (BgL_testz00_4752)
							{	/* Dataflow/walk.scm 162 */
								obj_t BgL_newzd2tail1342zd2_2065;

								BgL_newzd2tail1342zd2_2065 =
									BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00
									(BgL_variablez00_3353, BgL_tail1341z00_2059);
								if ((BgL_tail1341z00_2059 == BgL_newzd2tail1342zd2_2065))
									{	/* Dataflow/walk.scm 162 */
										return BgL_lis1339z00_2055;
									}
								else
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_res2191z00_2998;

										BgL_res2191z00_2998 =
											MAKE_YOUNG_PAIR(BgL_head1340z00_2058,
											BgL_newzd2tail1342zd2_2065);
										return BgL_res2191z00_2998;
									}
							}
						else
							{
								obj_t BgL_lis1339z00_4762;

								BgL_lis1339z00_4762 = BgL_tail1341z00_2059;
								BgL_lis1339z00_2055 = BgL_lis1339z00_4762;
								goto BGl_zc3anonymousza31748ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-exter1395 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1395z70zzdataflow_walkz00(obj_t
		BgL_envz00_3329, obj_t BgL_nodez00_3330, obj_t BgL_envz00_3331)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2300z00_3599;

				BgL_res2300z00_3599 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3330)))->BgL_exprza2za2),
					BgL_envz00_3331);
				return BgL_res2300z00_3599;
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-funca1393 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1393z70zzdataflow_walkz00(obj_t
		BgL_envz00_3332, obj_t BgL_nodez00_3333, obj_t BgL_envz00_3334)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3333)))->BgL_funz00),
				BgL_envz00_3334);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3333)))->BgL_argsz00),
				BgL_envz00_3334);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-app-l1391 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1391za2zzdataflow_walkz00(obj_t
		BgL_envz00_3335, obj_t BgL_nodez00_3336, obj_t BgL_envz00_3337)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3336)))->BgL_funz00),
				BgL_envz00_3337);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_3336)))->BgL_argz00),
				BgL_envz00_3337);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-app1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_3338, obj_t BgL_nodez00_3339, obj_t BgL_envz00_3340)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_3603;

				BgL_aenvz00_3603 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3339)))->BgL_argsz00),
					BgL_envz00_3340);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_testz00_4781;

					{	/* Dataflow/walk.scm 123 */
						BgL_variablez00_bglt BgL_arg1707z00_3604;

						BgL_arg1707z00_3604 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_3339)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Dataflow/walk.scm 123 */
							bool_t BgL_res2184z00_3605;

							BgL_res2184z00_3605 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1707z00_3604), BGl_localz00zzast_varz00);
							BgL_testz00_4781 = BgL_res2184z00_3605;
						}
					}
					if (BgL_testz00_4781)
						{	/* Dataflow/walk.scm 123 */
							return
								BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00
								(BgL_aenvz00_3603);
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_3603;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <anonymous:1694>~0 */
	obj_t BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00(obj_t
		BgL_lis1334z00_1985)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 127 */
		BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1334z00_1985))
				{	/* Dataflow/walk.scm 127 */
					return BgL_lis1334z00_1985;
				}
			else
				{	/* Dataflow/walk.scm 127 */
					obj_t BgL_head1335z00_1988;
					obj_t BgL_tail1336z00_1989;

					BgL_head1335z00_1988 = CAR(((obj_t) BgL_lis1334z00_1985));
					BgL_tail1336z00_1989 = CDR(((obj_t) BgL_lis1334z00_1985));
					{	/* Dataflow/walk.scm 127 */
						bool_t BgL_testz00_4794;

						{	/* Dataflow/walk.scm 128 */
							obj_t BgL_vz00_1998;

							BgL_vz00_1998 = CAR(((obj_t) BgL_head1335z00_1988));
							{	/* Dataflow/walk.scm 129 */
								bool_t BgL__ortest_1155z00_1999;

								BgL__ortest_1155z00_1999 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1998,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1155z00_1999)
									{	/* Dataflow/walk.scm 129 */
										BgL_testz00_4794 = BgL__ortest_1155z00_1999;
									}
								else
									{	/* Dataflow/walk.scm 129 */
										BgL_testz00_4794 =
											(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_vz00_1998)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_4794)
							{	/* Dataflow/walk.scm 127 */
								obj_t BgL_newzd2tail1337zd2_1995;

								BgL_newzd2tail1337zd2_1995 =
									BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00
									(BgL_tail1336z00_1989);
								if ((BgL_tail1336z00_1989 == BgL_newzd2tail1337zd2_1995))
									{	/* Dataflow/walk.scm 127 */
										return BgL_lis1334z00_1985;
									}
								else
									{	/* Dataflow/walk.scm 127 */
										obj_t BgL_res2188z00_2984;

										BgL_res2188z00_2984 =
											MAKE_YOUNG_PAIR(BgL_head1335z00_1988,
											BgL_newzd2tail1337zd2_1995);
										return BgL_res2188z00_2984;
									}
							}
						else
							{
								obj_t BgL_lis1334z00_4807;

								BgL_lis1334z00_4807 = BgL_tail1336z00_1989;
								BgL_lis1334z00_1985 = BgL_lis1334z00_4807;
								goto BGl_zc3anonymousza31694ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-sync1386 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t
		BgL_envz00_3341, obj_t BgL_nodez00_3342, obj_t BgL_envz00_3343)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3342)))->BgL_mutexz00),
				BgL_envz00_3343);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3342)))->BgL_prelockz00),
				BgL_envz00_3343);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3342)))->BgL_bodyz00),
				BgL_envz00_3343);
			return BgL_envz00_3343;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-seque1384 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00(obj_t
		BgL_envz00_3344, obj_t BgL_nodez00_3345, obj_t BgL_envz00_3346)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2301z00_3615;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1153z00_3608;

					BgL_g1153z00_3608 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3345)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_3610;
						obj_t BgL_envz00_3611;

						BgL_nodeza2za2_3610 = BgL_g1153z00_3608;
						BgL_envz00_3611 = BgL_envz00_3346;
					BgL_loopz00_3609:
						if (NULLP(BgL_nodeza2za2_3610))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2301z00_3615 = BgL_envz00_3611;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1669z00_3612;
								obj_t BgL_arg1670z00_3613;

								BgL_arg1669z00_3612 = CDR(((obj_t) BgL_nodeza2za2_3610));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1671z00_3614;

									BgL_arg1671z00_3614 = CAR(((obj_t) BgL_nodeza2za2_3610));
									BgL_arg1670z00_3613 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1671z00_3614), BgL_envz00_3611);
								}
								{
									obj_t BgL_envz00_4828;
									obj_t BgL_nodeza2za2_4827;

									BgL_nodeza2za2_4827 = BgL_arg1669z00_3612;
									BgL_envz00_4828 = BgL_arg1670z00_3613;
									BgL_envz00_3611 = BgL_envz00_4828;
									BgL_nodeza2za2_3610 = BgL_nodeza2za2_4827;
									goto BgL_loopz00_3609;
								}
							}
					}
				}
				return BgL_res2301z00_3615;
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-closu1382 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00(obj_t
		BgL_envz00_3347, obj_t BgL_nodez00_3348, obj_t BgL_envz00_3349)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_3349);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-var1380 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00(obj_t
		BgL_envz00_3350, obj_t BgL_nodez00_3351, obj_t BgL_envz00_3352)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1151z00_3619;

				BgL_i1151z00_3619 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3351)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_testz00_4832;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3619))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1152z00_3620;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_testz00_4836;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1661z00_3621;

									BgL_arg1661z00_3621 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3619))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										bool_t BgL_res2180z00_3622;

										BgL_res2180z00_3622 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1661z00_3621),
											BGl_tclassz00zzobject_classz00);
										BgL_testz00_4836 = BgL_res2180z00_3622;
									}
								}
								if (BgL_testz00_4836)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1152z00_3620 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1152z00_3620 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1152z00_3620)
								{	/* Dataflow/walk.scm 85 */
									BgL_testz00_4832 = BgL__ortest_1152z00_3620;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1658z00_3623;
									BgL_typez00_bglt BgL_arg1660z00_3624;

									BgL_arg1658z00_3623 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3619))->
										BgL_typez00);
									BgL_arg1660z00_3624 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_3351))))->BgL_typez00);
									BgL_testz00_4832 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1658z00_3623, BgL_arg1660z00_3624);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_testz00_4832 = ((bool_t) 0);
						}
					if (BgL_testz00_4832)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_3625;

							BgL_bz00_3625 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_3351)))->
										BgL_variablez00)), BgL_envz00_3352);
							if (PAIRP(BgL_bz00_3625))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3351))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_3625))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3351))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_3351)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_3352;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2293z00zzdataflow_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
