/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1342z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1327zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1349z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1332zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1365z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1338z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1340z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21344z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1378z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1330zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2switch1370z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21391zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21393zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1357z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1361z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121384za2zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62toplevelzd2tracezd2node1385z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1380zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1382zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1363z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1323z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1325zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1353z62zztrace_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2app1321zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1372zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2node1314z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1355zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1319zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1359z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1376z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1334zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1317zb0zztrace_walkz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2node1345zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2switc1336zb0zztrace_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1374zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1351z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1368z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2131z00zztrace_walkz00,
		BgL_bgl_string2131za700za7za7t2139za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2134z00zztrace_walkz00,
		BgL_bgl_string2134za700za7za7t2140za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2135z00zztrace_walkz00,
		BgL_bgl_string2135za700za7za7t2141za7,
		"|:| value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2142za7,
		BGl_z62findzd2lastzd2node1314z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12143z00,
		BGl_z62tracezd2node1345zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2144z00,
		BGl_z62toplevelzd2tracezd2node1385z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2145za7,
		BGl_z62findzd2lastzd2nodezd2seque1317zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2146za7,
		BGl_z62findzd2lastzd2nodezd2sync1319zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2147za7,
		BGl_z62findzd2lastzd2nodezd2app1321zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72148za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2149za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2150za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1323z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2151za7,
		BGl_z62findzd2lastzd2nodezd2funca1325zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2152za7,
		BGl_z62findzd2lastzd2nodezd2exter1327zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2153za7,
		BGl_z62findzd2lastzd2nodezd2setq1330zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2154za7,
		BGl_z62findzd2lastzd2nodezd2condi1332zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2155za7,
		BGl_z62findzd2lastzd2nodezd2fail1334zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2156za7,
		BGl_z62findzd2lastzd2nodezd2switc1336zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2157za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1338z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2158za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1340z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2159za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1342z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2160za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21344z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72161za7,
		BGl_z62tracezd2nodezd2sequence1349z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72162za7,
		BGl_z62tracezd2nodezd2sync1351z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72163za7,
		BGl_z62tracezd2nodezd2app1353z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72164za7,
		BGl_z62tracezd2nodezd2appzd2ly1355zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72165za7,
		BGl_z62tracezd2nodezd2funcall1357z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72166za7,
		BGl_z62tracezd2nodezd2extern1359z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72167za7,
		BGl_z62tracezd2nodezd2cast1361z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72168za7,
		BGl_z62tracezd2nodezd2setq1363z62zztrace_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2169z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72170za7,
		BGl_z62tracezd2nodezd2condition1365z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72171za7,
		BGl_z62tracezd2nodezd2fail1368z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72172za7,
		BGl_z62tracezd2nodezd2switch1370z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72173za7,
		BGl_z62tracezd2nodezd2letzd2fun1372zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72174za7,
		BGl_z62tracezd2nodezd2letzd2var1374zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72175za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1376z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72176za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1378z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72177za7,
		BGl_z62tracezd2nodezd2makezd2box1380zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72178za7,
		BGl_z62tracezd2nodezd2boxzd2ref1382zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72179za7,
		BGl_z62tracezd2nodezd2boxzd2setz121384za2zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2180z00,
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2181z00,
		BGl_z62toplevelzd2tracezd2nodezd21391zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2182z00,
		BGl_z62toplevelzd2tracezd2nodezd21393zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2080z00zztrace_walkz00,
		BgL_bgl_string2080za700za7za7t2183za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2081z00zztrace_walkz00,
		BgL_bgl_string2081za700za7za7t2184za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2082z00zztrace_walkz00,
		BgL_bgl_string2082za700za7za7t2185za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2083z00zztrace_walkz00,
		BgL_bgl_string2083za700za7za7t2186za7, " error", 6);
	      DEFINE_STRING(BGl_string2084z00zztrace_walkz00,
		BgL_bgl_string2084za700za7za7t2187za7, "s", 1);
	      DEFINE_STRING(BGl_string2085z00zztrace_walkz00,
		BgL_bgl_string2085za700za7za7t2188za7, "", 0);
	      DEFINE_STRING(BGl_string2086z00zztrace_walkz00,
		BgL_bgl_string2086za700za7za7t2189za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2087z00zztrace_walkz00,
		BgL_bgl_string2087za700za7za7t2190za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2088z00zztrace_walkz00,
		BgL_bgl_string2088za700za7za7t2191za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2089z00zztrace_walkz00,
		BgL_bgl_string2089za700za7za7t2192za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2091z00zztrace_walkz00,
		BgL_bgl_string2091za700za7za7t2193za7, "find-last-node1314", 18);
	      DEFINE_STRING(BGl_string2093z00zztrace_walkz00,
		BgL_bgl_string2093za700za7za7t2194za7, "trace-node1345", 14);
	      DEFINE_STRING(BGl_string2095z00zztrace_walkz00,
		BgL_bgl_string2095za700za7za7t2195za7, "toplevel-trace-node1385", 23);
	      DEFINE_STRING(BGl_string2097z00zztrace_walkz00,
		BgL_bgl_string2097za700za7za7t2196za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72197za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2112z00zztrace_walkz00,
		BgL_bgl_string2112za700za7za7t2198za7, "trace-node", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_2895, char *BgL_fromz00_2896)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_walkz00();
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BGl_toplevelzd2initzd2zztrace_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_2784;

				{	/* Trace/walk.scm 15 */
					obj_t BgL_stringz00_2792;

					BgL_stringz00_2792 = BGl_string2135z00zztrace_walkz00;
					{	/* Trace/walk.scm 15 */
						obj_t BgL_startz00_2793;

						BgL_startz00_2793 = BINT(((long) 0));
						{	/* Trace/walk.scm 15 */
							obj_t BgL_endz00_2794;

							BgL_endz00_2794 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2792)));
							{	/* Trace/walk.scm 15 */

								BgL_cportz00_2784 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2792, BgL_startz00_2793, BgL_endz00_2794);
				}}}}
				{
					long BgL_iz00_2785;

					BgL_iz00_2785 = ((long) 20);
				BgL_loopz00_2786:
					if ((BgL_iz00_2785 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2137z00_2788;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_2790;

										BgL_locationz00_2790 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2137z00_2788 =
												BGl_readz00zz__readerz00(BgL_cportz00_2784,
												BgL_locationz00_2790);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_tmpz00_2929;

									BgL_tmpz00_2929 = (int) (BgL_iz00_2785);
									CNST_TABLE_SET(BgL_tmpz00_2929, BgL_arg2137z00_2788);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_2791;

								BgL_auxz00_2791 = (int) ((BgL_iz00_2785 - ((long) 1)));
								{
									long BgL_iz00_2934;

									BgL_iz00_2934 = (long) (BgL_auxz00_2791);
									BgL_iz00_2785 = BgL_iz00_2934;
									goto BgL_loopz00_2786;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list1434z00_1506;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg1441z00_1507;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg1466z00_1508;

						BgL_arg1466z00_1508 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1441z00_1507 =
							MAKE_YOUNG_PAIR(BGl_string2080z00zztrace_walkz00,
							BgL_arg1466z00_1508);
					}
					BgL_list1434z00_1506 =
						MAKE_YOUNG_PAIR(BGl_string2081z00zztrace_walkz00,
						BgL_arg1441z00_1507);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1434z00_1506);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2080z00zztrace_walkz00;
			{	/* Trace/walk.scm 39 */
				obj_t BgL_g1106z00_1509;

				BgL_g1106z00_1509 = BNIL;
				{
					obj_t BgL_hooksz00_1512;
					obj_t BgL_hnamesz00_1513;

					BgL_hooksz00_1512 = BgL_g1106z00_1509;
					BgL_hnamesz00_1513 = BNIL;
				BgL_zc3anonymousza31467ze3z83_1514:
					if (NULLP(BgL_hooksz00_1512))
						{	/* Trace/walk.scm 39 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Trace/walk.scm 39 */
							bool_t BgL_testz00_2947;

							{	/* Trace/walk.scm 39 */
								obj_t BgL_fun1484z00_1521;

								BgL_fun1484z00_1521 = CAR(((obj_t) BgL_hooksz00_1512));
								BgL_testz00_2947 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1484z00_1521)
									(BgL_fun1484z00_1521, BEOA));
							}
							if (BgL_testz00_2947)
								{	/* Trace/walk.scm 39 */
									obj_t BgL_arg1475z00_1518;
									obj_t BgL_arg1478z00_1519;

									BgL_arg1475z00_1518 = CDR(((obj_t) BgL_hooksz00_1512));
									BgL_arg1478z00_1519 = CDR(((obj_t) BgL_hnamesz00_1513));
									{
										obj_t BgL_hnamesz00_2959;
										obj_t BgL_hooksz00_2958;

										BgL_hooksz00_2958 = BgL_arg1475z00_1518;
										BgL_hnamesz00_2959 = BgL_arg1478z00_1519;
										BgL_hnamesz00_1513 = BgL_hnamesz00_2959;
										BgL_hooksz00_1512 = BgL_hooksz00_2958;
										goto BgL_zc3anonymousza31467ze3z83_1514;
									}
								}
							else
								{	/* Trace/walk.scm 39 */
									obj_t BgL_arg1481z00_1520;

									BgL_arg1481z00_1520 = CAR(((obj_t) BgL_hnamesz00_1513));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2080z00zztrace_walkz00,
										BGl_string2082z00zztrace_walkz00, BgL_arg1481z00_1520);
								}
						}
				}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1524;

				BgL_idz00_1524 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1525;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list1488z00_1529;

						BgL_list1488z00_1529 =
							MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1525 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1524,
							BgL_list1488z00_1529);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1525,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1111z00_1527;

								BgL_i1111z00_1527 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1525))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_2972;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg1487z00_1528;

										BgL_arg1487z00_1528 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1111z00_1527))->
											BgL_bodyz00);
										BgL_auxz00_2972 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg1487z00_1528)));
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_i1111z00_1527))->
											BgL_bodyz00) = ((obj_t) BgL_auxz00_2972), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1302z00_1531;

				BgL_l1302z00_1531 = BgL_globalsz00_17;
			BgL_zc3anonymousza31489ze3z83_1532:
				if (PAIRP(BgL_l1302z00_1531))
					{	/* Trace/walk.scm 51 */
						{	/* Trace/walk.scm 51 */
							obj_t BgL_vz00_1534;

							BgL_vz00_1534 = CAR(BgL_l1302z00_1531);
							BGl_tracezd2funz12zc0zztrace_walkz00(BgL_vz00_1534, BNIL,
								BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00);
						}
						{
							obj_t BgL_l1302z00_2982;

							BgL_l1302z00_2982 = CDR(BgL_l1302z00_1531);
							BgL_l1302z00_1531 = BgL_l1302z00_2982;
							goto BgL_zc3anonymousza31489ze3z83_1532;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1304z00_1539;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res2010z00_2337;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_tmpz00_2987;

								BgL_tmpz00_2987 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2010z00_2337 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2987);
							}
							BgL_port1304z00_1539 = BgL_res2010z00_2337;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1304z00_1539);
						bgl_display_string(BGl_string2083z00zztrace_walkz00,
							BgL_port1304z00_1539);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg1503z00_1540;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_2992;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2992 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2992 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_2992 = ((bool_t) 0);
									}
								if (BgL_testz00_2992)
									{	/* Trace/walk.scm 52 */
										BgL_arg1503z00_1540 = BGl_string2084z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg1503z00_1540 = BGl_string2085z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1503z00_1540, BgL_port1304z00_1539);
						}
						bgl_display_string(BGl_string2086z00zztrace_walkz00,
							BgL_port1304z00_1539);
						bgl_display_char(((unsigned char) 10), BgL_port1304z00_1539);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list1509z00_1546;

						BgL_list1509z00_1546 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1509z00_1546);
					}
				}
			else
				{	/* Trace/walk.scm 52 */
					obj_t BgL_g1112z00_1547;

					BgL_g1112z00_1547 = BNIL;
					{
						obj_t BgL_hooksz00_1550;
						obj_t BgL_hnamesz00_1551;

						BgL_hooksz00_1550 = BgL_g1112z00_1547;
						BgL_hnamesz00_1551 = BNIL;
					BgL_zc3anonymousza31510ze3z83_1552:
						if (NULLP(BgL_hooksz00_1550))
							{	/* Trace/walk.scm 52 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_3009;

								{	/* Trace/walk.scm 52 */
									obj_t BgL_fun1523z00_1559;

									BgL_fun1523z00_1559 = CAR(((obj_t) BgL_hooksz00_1550));
									BgL_testz00_3009 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1523z00_1559)
										(BgL_fun1523z00_1559, BEOA));
								}
								if (BgL_testz00_3009)
									{	/* Trace/walk.scm 52 */
										obj_t BgL_arg1516z00_1556;
										obj_t BgL_arg1521z00_1557;

										BgL_arg1516z00_1556 = CDR(((obj_t) BgL_hooksz00_1550));
										BgL_arg1521z00_1557 = CDR(((obj_t) BgL_hnamesz00_1551));
										{
											obj_t BgL_hnamesz00_3021;
											obj_t BgL_hooksz00_3020;

											BgL_hooksz00_3020 = BgL_arg1516z00_1556;
											BgL_hnamesz00_3021 = BgL_arg1521z00_1557;
											BgL_hnamesz00_1551 = BgL_hnamesz00_3021;
											BgL_hooksz00_1550 = BgL_hooksz00_3020;
											goto BgL_zc3anonymousza31510ze3z83_1552;
										}
									}
								else
									{	/* Trace/walk.scm 52 */
										obj_t BgL_arg1522z00_1558;

										BgL_arg1522z00_1558 = CAR(((obj_t) BgL_hnamesz00_1551));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2087z00zztrace_walkz00, BgL_arg1522z00_1558);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_2621,
		obj_t BgL_globalsz00_2622)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_2622);
		}
		BGL_FUNCTION_END;
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_3026;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3026 =
							(
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3026 = ((bool_t) 0);
					}
				if (BgL_testz00_3026)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg1532z00_1565;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg1537z00_1566;
							obj_t BgL_arg1538z00_1567;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg1539z00_1568;

								BgL_arg1539z00_1568 =
									bstring_to_symbol(BGl_string2088z00zztrace_walkz00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2017z00_2359;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1395z00_2358;

										BgL_arg1395z00_2358 = SYMBOL_TO_STRING(BgL_arg1539z00_1568);
										BgL_res2017z00_2359 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1395z00_2358);
									}
									BgL_arg1537z00_1566 = BgL_res2017z00_2359;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg1542z00_1569;

								BgL_arg1542z00_1569 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2018z00_2363;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1395z00_2362;

										BgL_arg1395z00_2362 = SYMBOL_TO_STRING(BgL_arg1542z00_1569);
										BgL_res2018z00_2363 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1395z00_2362);
									}
									BgL_arg1538z00_1567 = BgL_res2018z00_2363;
								}
							}
							BgL_arg1532z00_1565 =
								string_append(BgL_arg1537z00_1566, BgL_arg1538z00_1567);
						}
						return bstring_to_symbol(BgL_arg1532z00_1565);
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_3043;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3043 =
									(
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3043 = ((bool_t) 0);
							}
						if (BgL_testz00_3043)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg1555z00_1573;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg1558z00_1574;
									obj_t BgL_arg1561z00_1575;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg1566z00_1576;

										BgL_arg1566z00_1576 =
											bstring_to_symbol(BGl_string2089z00zztrace_walkz00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2022z00_2372;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1395z00_2371;

												BgL_arg1395z00_2371 =
													SYMBOL_TO_STRING(BgL_arg1566z00_1576);
												BgL_res2022z00_2372 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1395z00_2371);
											}
											BgL_arg1558z00_1574 = BgL_res2022z00_2372;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg1570z00_1577;

										BgL_arg1570z00_1577 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2023z00_2376;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1395z00_2375;

												BgL_arg1395z00_2375 =
													SYMBOL_TO_STRING(BgL_arg1570z00_1577);
												BgL_res2023z00_2376 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1395z00_2375);
											}
											BgL_arg1561z00_1575 = BgL_res2023z00_2376;
										}
									}
									BgL_arg1555z00_1573 =
										string_append(BgL_arg1558z00_1574, BgL_arg1561z00_1575);
								}
								return bstring_to_symbol(BgL_arg1555z00_1573);
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg1576z00_1579;
										obj_t BgL_arg1586z00_1580;

										BgL_arg1576z00_1579 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg1586z00_1580 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list1587z00_1581;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg1588z00_1582;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg1589z00_1583;

													BgL_arg1589z00_1583 =
														MAKE_YOUNG_PAIR(BgL_arg1586z00_1580, BNIL);
													BgL_arg1588z00_1582 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg1589z00_1583);
												}
												BgL_list1587z00_1581 =
													MAKE_YOUNG_PAIR(BgL_arg1576z00_1579,
													BgL_arg1588z00_1582);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1587z00_1581);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20, obj_t BgL_levelz00_21)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1588;

				BgL_funz00_1588 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1589;

					BgL_bodyz00_1589 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1588)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1590;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg1660z00_1637;

								BgL_arg1660z00_1637 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1590 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg1660z00_1637);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg1663z00_1639;

								BgL_arg1663z00_1639 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1589));
								BgL_llocz00_1590 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_arg1663z00_1639)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3088;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_funz00_1588)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3088 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_funz00_1588)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3088 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg1657z00_1634;

												BgL_arg1657z00_1634 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3088 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg1657z00_1634);
											}
									}
								if (BgL_testz00_3088)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1598;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3104;

												if (((long) CINT(BgL_levelz00_21) > ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3104 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1115z00_1627;

																BgL__ortest_1115z00_1627 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1115z00_1627)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3104 = BgL__ortest_1115z00_1627;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1116z00_1628;

																		BgL__ortest_1116z00_1628 =
																			(
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1116z00_1628)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3104 =
																					BgL__ortest_1116z00_1628;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3104 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3104 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3104)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3127;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3127 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3127 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3127 =
																			(
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3127)
															{	/* Trace/walk.scm 105 */
																long BgL_arg1640z00_1618;

																BgL_arg1640z00_1618 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1598 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1589),
																		BgL_stackz00_20,
																		BINT(BgL_arg1640z00_1618)));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg1641z00_1619;
																long BgL_arg1642z00_1620;

																BgL_arg1641z00_1619 =
																	MAKE_YOUNG_PAIR(BgL_varz00_19,
																	BgL_stackz00_20);
																BgL_arg1642z00_1620 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1598 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00((
																			(BgL_nodez00_bglt) BgL_bodyz00_1589),
																		BgL_arg1641z00_1619,
																		BINT(BgL_arg1642z00_1620)));
													}}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1598 = BgL_bodyz00_1589;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1599;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg1616z00_1602;
													BgL_typez00_bglt BgL_arg1617z00_1603;

													BgL_arg1616z00_1602 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_bodyz00_1589)))->
														BgL_typez00);
													BgL_arg1617z00_1603 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1599 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1616z00_1602, BgL_arg1617z00_1603);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1600;

													BgL_idz00_1600 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1601;

														BgL_nbodyz00_1601 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1598),
															BgL_tz00_1599, BgL_idz00_1600, BgL_llocz00_1590,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_funz00_1588)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1601)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_22)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1641;
				obj_t BgL_resz00_1642;

				BgL_sexpz00_1641 = BgL_sexpz00_22;
				BgL_resz00_1642 = BgL_sexpz00_22;
			BgL_zc3anonymousza31664ze3z83_1643:
				if (PAIRP(BgL_sexpz00_1641))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3168;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_tmpz00_3169;

							BgL_tmpz00_3169 = CDR(BgL_sexpz00_1641);
							BgL_testz00_3168 = PAIRP(BgL_tmpz00_3169);
						}
						if (BgL_testz00_3168)
							{
								obj_t BgL_resz00_3174;
								obj_t BgL_sexpz00_3172;

								BgL_sexpz00_3172 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1641);
								BgL_resz00_3174 = BgL_sexpz00_1641;
								BgL_resz00_1642 = BgL_resz00_3174;
								BgL_sexpz00_1641 = BgL_sexpz00_3172;
								goto BgL_zc3anonymousza31664ze3z83_1643;
							}
						else
							{
								obj_t BgL_resz00_3177;
								obj_t BgL_sexpz00_3175;

								BgL_sexpz00_3175 = CAR(BgL_sexpz00_1641);
								BgL_resz00_3177 = BgL_sexpz00_1641;
								BgL_resz00_1642 = BgL_resz00_3177;
								BgL_sexpz00_1641 = BgL_sexpz00_3175;
								goto BgL_zc3anonymousza31664ze3z83_1643;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1642;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38,
		BgL_typez00_bglt BgL_typez00_39, obj_t BgL_symbolz00_40,
		obj_t BgL_llocz00_41, obj_t BgL_stackz00_42)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 244 */
			{	/* Trace/walk.scm 251 */
				obj_t BgL_locz00_1652;

				BgL_locz00_1652 =
					(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_38))->BgL_locz00);
				{	/* Trace/walk.scm 251 */
					obj_t BgL_auxz00_1653;

					BgL_auxz00_1653 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 252 */
						obj_t BgL_tauxz00_1654;

						BgL_tauxz00_1654 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1653,
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_39))->BgL_idz00));
						{	/* Trace/walk.scm 253 */
							obj_t BgL_tmp1z00_1655;

							BgL_tmp1z00_1655 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 254 */
								obj_t BgL_tmp2z00_1656;

								BgL_tmp2z00_1656 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 255 */
									obj_t BgL_tmp3z00_1657;

									BgL_tmp3z00_1657 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 256 */
										obj_t BgL_symz00_1658;

										{	/* Trace/walk.scm 257 */
											bool_t BgL_testz00_3193;

											if (PAIRP(BgL_stackz00_42))
												{	/* Trace/walk.scm 257 */
													obj_t BgL_arg1767z00_1709;

													BgL_arg1767z00_1709 = CAR(BgL_stackz00_42);
													BgL_testz00_3193 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1767z00_1709,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 257 */
													BgL_testz00_3193 = ((bool_t) 0);
												}
											if (BgL_testz00_3193)
												{	/* Trace/walk.scm 257 */
													BgL_symz00_1658 =
														BGl_fqnameze70ze7zztrace_walkz00(BgL_symbolz00_40,
														BgL_stackz00_42);
												}
											else
												{	/* Trace/walk.scm 257 */
													BgL_symz00_1658 = BgL_symbolz00_40;
												}
										}
										{	/* Trace/walk.scm 257 */
											obj_t BgL_lz00_1659;

											{	/* Trace/walk.scm 261 */
												bool_t BgL_testz00_3199;

												if (STRUCTP(BgL_locz00_1652))
													{	/* Trace/walk.scm 261 */
														BgL_testz00_3199 =
															(STRUCT_KEY(BgL_locz00_1652) ==
															CNST_TABLE_REF(((long) 11)));
													}
												else
													{	/* Trace/walk.scm 261 */
														BgL_testz00_3199 = ((bool_t) 0);
													}
												if (BgL_testz00_3199)
													{	/* Trace/walk.scm 262 */
														obj_t BgL_arg1757z00_1701;

														{	/* Trace/walk.scm 262 */
															obj_t BgL_arg1758z00_1702;
															obj_t BgL_arg1760z00_1703;

															BgL_arg1758z00_1702 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1652);
															BgL_arg1760z00_1703 =
																MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_1652,
																	(int) (((long) 1))), BNIL);
															BgL_arg1757z00_1701 =
																MAKE_YOUNG_PAIR(BgL_arg1758z00_1702,
																BgL_arg1760z00_1703);
														}
														BgL_lz00_1659 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1757z00_1701);
													}
												else
													{	/* Trace/walk.scm 261 */
														BgL_lz00_1659 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 261 */
												obj_t BgL_expz00_1660;

												{	/* Trace/walk.scm 263 */
													obj_t BgL_arg1677z00_1664;

													{	/* Trace/walk.scm 263 */
														obj_t BgL_arg1685z00_1665;
														obj_t BgL_arg1686z00_1666;

														{	/* Trace/walk.scm 263 */
															obj_t BgL_arg1692z00_1667;
															obj_t BgL_arg1694z00_1668;

															{	/* Trace/walk.scm 263 */
																obj_t BgL_arg1697z00_1669;

																{	/* Trace/walk.scm 263 */
																	obj_t BgL_arg1698z00_1670;

																	{	/* Trace/walk.scm 263 */
																		obj_t BgL_arg1701z00_1671;

																		BgL_arg1701z00_1671 =
																			MAKE_YOUNG_PAIR(BgL_symz00_1658, BNIL);
																		BgL_arg1698z00_1670 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					13)), BgL_arg1701z00_1671);
																	}
																	BgL_arg1697z00_1669 =
																		MAKE_YOUNG_PAIR(BgL_arg1698z00_1670, BNIL);
																}
																BgL_arg1692z00_1667 =
																	MAKE_YOUNG_PAIR(BgL_tmp1z00_1655,
																	BgL_arg1697z00_1669);
															}
															{	/* Trace/walk.scm 264 */
																obj_t BgL_arg1707z00_1672;
																obj_t BgL_arg1714z00_1673;

																{	/* Trace/walk.scm 264 */
																	obj_t BgL_arg1720z00_1674;

																	{	/* Trace/walk.scm 264 */
																		obj_t BgL_arg1721z00_1675;

																		{	/* Trace/walk.scm 264 */
																			obj_t BgL_arg1730z00_1676;

																			BgL_arg1730z00_1676 =
																				MAKE_YOUNG_PAIR(BgL_lz00_1659, BNIL);
																			BgL_arg1721z00_1675 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						13)), BgL_arg1730z00_1676);
																		}
																		BgL_arg1720z00_1674 =
																			MAKE_YOUNG_PAIR(BgL_arg1721z00_1675,
																			BNIL);
																	}
																	BgL_arg1707z00_1672 =
																		MAKE_YOUNG_PAIR(BgL_tmp2z00_1656,
																		BgL_arg1720z00_1674);
																}
																{	/* Trace/walk.scm 265 */
																	obj_t BgL_arg1731z00_1677;

																	{	/* Trace/walk.scm 265 */
																		obj_t BgL_arg1732z00_1678;
																		obj_t BgL_arg1734z00_1679;

																		BgL_arg1732z00_1678 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1657,
																			CNST_TABLE_REF(((long) 14)));
																		{	/* Trace/walk.scm 265 */
																			obj_t BgL_arg1735z00_1680;

																			BgL_arg1735z00_1680 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						15)), BNIL);
																			BgL_arg1734z00_1679 =
																				MAKE_YOUNG_PAIR(BgL_arg1735z00_1680,
																				BNIL);
																		}
																		BgL_arg1731z00_1677 =
																			MAKE_YOUNG_PAIR(BgL_arg1732z00_1678,
																			BgL_arg1734z00_1679);
																	}
																	BgL_arg1714z00_1673 =
																		MAKE_YOUNG_PAIR(BgL_arg1731z00_1677, BNIL);
																}
																BgL_arg1694z00_1668 =
																	MAKE_YOUNG_PAIR(BgL_arg1707z00_1672,
																	BgL_arg1714z00_1673);
															}
															BgL_arg1685z00_1665 =
																MAKE_YOUNG_PAIR(BgL_arg1692z00_1667,
																BgL_arg1694z00_1668);
														}
														{	/* Trace/walk.scm 267 */
															obj_t BgL_arg1736z00_1681;

															{	/* Trace/walk.scm 267 */
																obj_t BgL_arg1738z00_1682;

																{	/* Trace/walk.scm 267 */
																	obj_t BgL_arg1739z00_1683;

																	{	/* Trace/walk.scm 267 */
																		obj_t BgL_arg1740z00_1684;
																		obj_t BgL_arg1741z00_1685;

																		{	/* Trace/walk.scm 267 */
																			obj_t BgL_arg1742z00_1686;

																			{	/* Trace/walk.scm 267 */
																				obj_t BgL_arg1743z00_1687;

																				{	/* Trace/walk.scm 267 */
																					obj_t BgL_arg1744z00_1688;

																					BgL_arg1744z00_1688 =
																						MAKE_YOUNG_PAIR(BgL_tmp2z00_1656,
																						BNIL);
																					BgL_arg1743z00_1687 =
																						MAKE_YOUNG_PAIR(BgL_tmp1z00_1655,
																						BgL_arg1744z00_1688);
																				}
																				BgL_arg1742z00_1686 =
																					MAKE_YOUNG_PAIR(BgL_tmp3z00_1657,
																					BgL_arg1743z00_1687);
																			}
																			BgL_arg1740z00_1684 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						16)), BgL_arg1742z00_1686);
																		}
																		{	/* Trace/walk.scm 268 */
																			obj_t BgL_arg1745z00_1689;

																			{	/* Trace/walk.scm 268 */
																				obj_t BgL_arg1746z00_1690;

																				{	/* Trace/walk.scm 268 */
																					obj_t BgL_arg1747z00_1691;
																					obj_t BgL_arg1748z00_1692;

																					{	/* Trace/walk.scm 268 */
																						obj_t BgL_arg1749z00_1693;

																						{	/* Trace/walk.scm 268 */
																							obj_t BgL_arg1750z00_1694;

																							BgL_arg1750z00_1694 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_nodez00_38), BNIL);
																							BgL_arg1749z00_1693 =
																								MAKE_YOUNG_PAIR
																								(BgL_tauxz00_1654,
																								BgL_arg1750z00_1694);
																						}
																						BgL_arg1747z00_1691 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1749z00_1693, BNIL);
																					}
																					{	/* Trace/walk.scm 269 */
																						obj_t BgL_arg1751z00_1695;
																						obj_t BgL_arg1752z00_1696;

																						{	/* Trace/walk.scm 269 */
																							bool_t BgL_testz00_3240;

																							if (STRUCTP(BgL_llocz00_41))
																								{	/* Trace/walk.scm 269 */
																									BgL_testz00_3240 =
																										(STRUCT_KEY(BgL_llocz00_41)
																										==
																										CNST_TABLE_REF(((long)
																												11)));
																								}
																							else
																								{	/* Trace/walk.scm 269 */
																									BgL_testz00_3240 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3240)
																								{	/* Trace/walk.scm 271 */
																									obj_t BgL_arg1754z00_1698;

																									{	/* Trace/walk.scm 271 */
																										obj_t BgL_res2041z00_2430;

																										BgL_res2041z00_2430 =
																											MAKE_YOUNG_EPAIR
																											(BgL_tmp3z00_1657, BNIL,
																											BgL_llocz00_41);
																										BgL_arg1754z00_1698 =
																											BgL_res2041z00_2430;
																									}
																									{	/* Trace/walk.scm 270 */
																										obj_t BgL_res2042z00_2432;

																										{	/* Trace/walk.scm 270 */
																											obj_t BgL_obj1z00_2431;

																											BgL_obj1z00_2431 =
																												CNST_TABLE_REF(((long)
																													17));
																											BgL_res2042z00_2432 =
																												MAKE_YOUNG_EPAIR
																												(BgL_obj1z00_2431,
																												BgL_arg1754z00_1698,
																												BgL_llocz00_41);
																										}
																										BgL_arg1751z00_1695 =
																											BgL_res2042z00_2432;
																								}}
																							else
																								{	/* Trace/walk.scm 273 */
																									obj_t BgL_arg1755z00_1699;

																									BgL_arg1755z00_1699 =
																										MAKE_YOUNG_PAIR
																										(BgL_tmp3z00_1657, BNIL);
																									BgL_arg1751z00_1695 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												17)),
																										BgL_arg1755z00_1699);
																						}}
																						BgL_arg1752z00_1696 =
																							MAKE_YOUNG_PAIR(BgL_auxz00_1653,
																							BNIL);
																						BgL_arg1748z00_1692 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1751z00_1695,
																							BgL_arg1752z00_1696);
																					}
																					BgL_arg1746z00_1690 =
																						MAKE_YOUNG_PAIR(BgL_arg1747z00_1691,
																						BgL_arg1748z00_1692);
																				}
																				BgL_arg1745z00_1689 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							18)), BgL_arg1746z00_1690);
																			}
																			BgL_arg1741z00_1685 =
																				MAKE_YOUNG_PAIR(BgL_arg1745z00_1689,
																				BNIL);
																		}
																		BgL_arg1739z00_1683 =
																			MAKE_YOUNG_PAIR(BgL_arg1740z00_1684,
																			BgL_arg1741z00_1685);
																	}
																	BgL_arg1738z00_1682 =
																		MAKE_YOUNG_PAIR(BNIL, BgL_arg1739z00_1683);
																}
																BgL_arg1736z00_1681 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg1738z00_1682);
															}
															BgL_arg1686z00_1666 =
																MAKE_YOUNG_PAIR(BgL_arg1736z00_1681, BNIL);
														}
														BgL_arg1677z00_1664 =
															MAKE_YOUNG_PAIR(BgL_arg1685z00_1665,
															BgL_arg1686z00_1666);
													}
													BgL_expz00_1660 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1677z00_1664);
												}
												{	/* Trace/walk.scm 263 */
													BgL_nodez00_bglt BgL_nnodez00_1661;

													BgL_nnodez00_1661 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1660,
														BNIL, BgL_locz00_1652, CNST_TABLE_REF(((long) 19)));
													{	/* Trace/walk.scm 275 */

														{	/* Trace/walk.scm 276 */
															bool_t BgL_arg1675z00_1662;

															{	/* Trace/walk.scm 276 */
																obj_t BgL_arg1676z00_1663;

																BgL_arg1676z00_1663 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1675z00_1662 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1676z00_1663)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1661)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg1675z00_1662), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1661);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* fqname~0 */
	obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t BgL_symz00_1715,
		obj_t BgL_stackz00_1716)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 249 */
			if (NULLP(BgL_stackz00_1716))
				{	/* Trace/walk.scm 247 */
					return BgL_symz00_1715;
				}
			else
				{	/* Trace/walk.scm 249 */
					obj_t BgL_arg1777z00_1719;

					{	/* Trace/walk.scm 249 */
						obj_t BgL_arg1781z00_1723;
						obj_t BgL_arg1782z00_1724;

						{	/* Trace/walk.scm 249 */
							obj_t BgL_arg1783z00_1725;

							BgL_arg1783z00_1725 = CAR(((obj_t) BgL_stackz00_1716));
							BgL_arg1781z00_1723 =
								BGl_tracezd2idzd2zztrace_walkz00(BgL_arg1783z00_1725);
						}
						BgL_arg1782z00_1724 = CDR(((obj_t) BgL_stackz00_1716));
						BgL_arg1777z00_1719 =
							BGl_fqnameze70ze7zztrace_walkz00(BgL_arg1781z00_1723,
							BgL_arg1782z00_1724);
					}
					{	/* Trace/walk.scm 249 */
						obj_t BgL_list1778z00_1720;

						{	/* Trace/walk.scm 249 */
							obj_t BgL_arg1779z00_1721;

							{	/* Trace/walk.scm 249 */
								obj_t BgL_arg1780z00_1722;

								BgL_arg1780z00_1722 =
									MAKE_YOUNG_PAIR(BgL_arg1777z00_1719, BNIL);
								BgL_arg1779z00_1721 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
									BgL_arg1780z00_1722);
							}
							BgL_list1778z00_1720 =
								MAKE_YOUNG_PAIR(BgL_symz00_1715, BgL_arg1779z00_1721);
						}
						return
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1778z00_1720);
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_100,
		obj_t BgL_stackz00_101, obj_t BgL_levelz00_102)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 441 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_100))
				{	/* Trace/walk.scm 442 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 442 */
					{	/* Trace/walk.scm 443 */
						BgL_nodez00_bglt BgL_arg1785z00_1728;

						{	/* Trace/walk.scm 443 */
							obj_t BgL_arg1786z00_1729;

							BgL_arg1786z00_1729 = CAR(((obj_t) BgL_nodeza2za2_100));
							BgL_arg1785z00_1728 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1786z00_1729), BgL_stackz00_101,
								BgL_levelz00_102);
						}
						{	/* Trace/walk.scm 443 */
							obj_t BgL_auxz00_3295;
							obj_t BgL_tmpz00_3293;

							BgL_auxz00_3295 = ((obj_t) BgL_arg1785z00_1728);
							BgL_tmpz00_3293 = ((obj_t) BgL_nodeza2za2_100);
							SET_CAR(BgL_tmpz00_3293, BgL_auxz00_3295);
						}
					}
					{	/* Trace/walk.scm 444 */
						obj_t BgL_arg1787z00_1730;

						BgL_arg1787z00_1730 = CDR(((obj_t) BgL_nodeza2za2_100));
						{
							obj_t BgL_nodeza2za2_3300;

							BgL_nodeza2za2_3300 = BgL_arg1787z00_1730;
							BgL_nodeza2za2_100 = BgL_nodeza2za2_3300;
							goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_107)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 492 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_107))
				{	/* Trace/walk.scm 493 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 493 */
					{	/* Trace/walk.scm 494 */
						BgL_nodez00_bglt BgL_arg1789z00_1732;

						{	/* Trace/walk.scm 494 */
							obj_t BgL_arg1791z00_1733;

							BgL_arg1791z00_1733 = CAR(((obj_t) BgL_nodeza2za2_107));
							BgL_arg1789z00_1732 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1791z00_1733));
						}
						{	/* Trace/walk.scm 494 */
							obj_t BgL_auxz00_3309;
							obj_t BgL_tmpz00_3307;

							BgL_auxz00_3309 = ((obj_t) BgL_arg1789z00_1732);
							BgL_tmpz00_3307 = ((obj_t) BgL_nodeza2za2_107);
							SET_CAR(BgL_tmpz00_3307, BgL_auxz00_3309);
						}
					}
					{	/* Trace/walk.scm 495 */
						obj_t BgL_arg1793z00_1734;

						BgL_arg1793z00_1734 = CDR(((obj_t) BgL_nodeza2za2_107));
						{
							obj_t BgL_nodeza2za2_3314;

							BgL_nodeza2za2_3314 = BgL_arg1793z00_1734;
							BgL_nodeza2za2_107 = BgL_nodeza2za2_3314;
							goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2090z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2091z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2092z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2093z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2094z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2095z00zztrace_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &toplevel-trace-node1385 */
	obj_t BGl_z62toplevelzd2tracezd2node1385z62zztrace_walkz00(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 449 */
			{
				BgL_nodez00_bglt BgL_nodez00_1746;

				{
					BgL_nodez00_bglt BgL_auxz00_3318;

					BgL_nodez00_1746 = ((BgL_nodez00_bglt) BgL_nodez00_2627);
					BgL_auxz00_3318 = BgL_nodez00_1746;
					return ((obj_t) BgL_auxz00_3318);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &trace-node1345 */
	obj_t BGl_z62tracezd2node1345zb0zztrace_walkz00(obj_t BgL_envz00_2628,
		obj_t BgL_nodez00_2629, obj_t BgL_stackz00_2630, obj_t BgL_levelz00_2631)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 282 */
			{
				BgL_nodez00_bglt BgL_nodez00_1740;
				obj_t BgL_stackz00_1741;
				obj_t BgL_levelz00_1742;

				{
					BgL_nodez00_bglt BgL_auxz00_3321;

					BgL_nodez00_1740 = ((BgL_nodez00_bglt) BgL_nodez00_2629);
					BgL_stackz00_1741 = BgL_stackz00_2630;
					BgL_levelz00_1742 = BgL_levelz00_2631;
					BgL_auxz00_3321 = BgL_nodez00_1740;
					return ((obj_t) BgL_auxz00_3321);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node1314 */
	obj_t BGl_z62findzd2lastzd2node1314z62zztrace_walkz00(obj_t BgL_envz00_2632,
		obj_t BgL_nodez00_2633)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 138 */
			{
				BgL_nodez00_bglt BgL_nodez00_1736;

				{
					BgL_nodez00_bglt BgL_auxz00_3324;

					BgL_nodez00_1736 = ((BgL_nodez00_bglt) BgL_nodez00_2633);
					BgL_auxz00_3324 = BgL_nodez00_1736;
					return ((obj_t) BgL_auxz00_3324);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_23)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1315z00_1749;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2052z00_2474;

					{	/* Trace/walk.scm 138 */
						long BgL_objzd2classzd2numz00_2447;

						{	/* Trace/walk.scm 138 */
							long BgL_res2046z00_2450;

							BgL_res2046z00_2450 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
							BgL_objzd2classzd2numz00_2447 = BgL_res2046z00_2450;
						}
						{	/* Trace/walk.scm 138 */
							obj_t BgL_arg1725z00_2448;

							BgL_arg1725z00_2448 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 138 */
								int BgL_offsetz00_2452;

								BgL_offsetz00_2452 = (int) (BgL_objzd2classzd2numz00_2447);
								{	/* Trace/walk.scm 138 */
									long BgL_offsetz00_2453;

									BgL_offsetz00_2453 =
										((long) (BgL_offsetz00_2452) - OBJECT_TYPE);
									{	/* Trace/walk.scm 138 */
										long BgL_modz00_2454;

										{	/* Trace/walk.scm 138 */
											int BgL_arg1727z00_2455;

											BgL_arg1727z00_2455 = (int) (((long) 16));
											{	/* Trace/walk.scm 138 */
												long BgL_res2049z00_2465;

												{	/* Trace/walk.scm 138 */
													long BgL_tmpz00_3335;

													BgL_tmpz00_3335 = (long) (BgL_arg1727z00_2455);
													BgL_res2049z00_2465 =
														(BgL_offsetz00_2453 / BgL_tmpz00_3335);
												}
												BgL_modz00_2454 = BgL_res2049z00_2465;
										}}
										{	/* Trace/walk.scm 138 */
											long BgL_restz00_2456;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1726z00_2457;

												BgL_arg1726z00_2457 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2051z00_2469;

													{	/* Trace/walk.scm 138 */
														long BgL_tmpz00_3339;

														BgL_tmpz00_3339 = (long) (BgL_arg1726z00_2457);
														BgL_res2051z00_2469 =
															(BgL_offsetz00_2453 % BgL_tmpz00_3339);
													}
													BgL_restz00_2456 = BgL_res2051z00_2469;
											}}
											{	/* Trace/walk.scm 138 */

												{	/* Trace/walk.scm 138 */
													obj_t BgL_bucketz00_2458;

													BgL_bucketz00_2458 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2448), BgL_modz00_2454);
													BgL_res2052z00_2474 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2458), BgL_restz00_2456);
					}}}}}}}}
					BgL_method1315z00_1749 = BgL_res2052z00_2474;
				}
				return
					PROCEDURE_ENTRY(BgL_method1315z00_1749) (BgL_method1315z00_1749,
					((obj_t) BgL_nodez00_23), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_2634,
		obj_t BgL_nodez00_2635)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2635));
		}
		BGL_FUNCTION_END;
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_43, obj_t BgL_stackz00_44, obj_t BgL_levelz00_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 282 */
			{	/* Trace/walk.scm 282 */
				obj_t BgL_method1347z00_1750;

				{	/* Trace/walk.scm 282 */
					obj_t BgL_res2059z00_2503;

					{	/* Trace/walk.scm 282 */
						long BgL_objzd2classzd2numz00_2476;

						{	/* Trace/walk.scm 282 */
							long BgL_res2053z00_2479;

							BgL_res2053z00_2479 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
							BgL_objzd2classzd2numz00_2476 = BgL_res2053z00_2479;
						}
						{	/* Trace/walk.scm 282 */
							obj_t BgL_arg1725z00_2477;

							BgL_arg1725z00_2477 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 282 */
								int BgL_offsetz00_2481;

								BgL_offsetz00_2481 = (int) (BgL_objzd2classzd2numz00_2476);
								{	/* Trace/walk.scm 282 */
									long BgL_offsetz00_2482;

									BgL_offsetz00_2482 =
										((long) (BgL_offsetz00_2481) - OBJECT_TYPE);
									{	/* Trace/walk.scm 282 */
										long BgL_modz00_2483;

										{	/* Trace/walk.scm 282 */
											int BgL_arg1727z00_2484;

											BgL_arg1727z00_2484 = (int) (((long) 16));
											{	/* Trace/walk.scm 282 */
												long BgL_res2056z00_2494;

												{	/* Trace/walk.scm 282 */
													long BgL_tmpz00_3361;

													BgL_tmpz00_3361 = (long) (BgL_arg1727z00_2484);
													BgL_res2056z00_2494 =
														(BgL_offsetz00_2482 / BgL_tmpz00_3361);
												}
												BgL_modz00_2483 = BgL_res2056z00_2494;
										}}
										{	/* Trace/walk.scm 282 */
											long BgL_restz00_2485;

											{	/* Trace/walk.scm 282 */
												int BgL_arg1726z00_2486;

												BgL_arg1726z00_2486 = (int) (((long) 16));
												{	/* Trace/walk.scm 282 */
													long BgL_res2058z00_2498;

													{	/* Trace/walk.scm 282 */
														long BgL_tmpz00_3365;

														BgL_tmpz00_3365 = (long) (BgL_arg1726z00_2486);
														BgL_res2058z00_2498 =
															(BgL_offsetz00_2482 % BgL_tmpz00_3365);
													}
													BgL_restz00_2485 = BgL_res2058z00_2498;
											}}
											{	/* Trace/walk.scm 282 */

												{	/* Trace/walk.scm 282 */
													obj_t BgL_bucketz00_2487;

													BgL_bucketz00_2487 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2477), BgL_modz00_2483);
													BgL_res2059z00_2503 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2487), BgL_restz00_2485);
					}}}}}}}}
					BgL_method1347z00_1750 = BgL_res2059z00_2503;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1347z00_1750) (BgL_method1347z00_1750,
						((obj_t) BgL_nodez00_43), BgL_stackz00_44, BgL_levelz00_45, BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_2636,
		obj_t BgL_nodez00_2637, obj_t BgL_stackz00_2638, obj_t BgL_levelz00_2639)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 282 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2637), BgL_stackz00_2638,
				BgL_levelz00_2639);
		}
		BGL_FUNCTION_END;
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_103)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 449 */
			{	/* Trace/walk.scm 449 */
				obj_t BgL_method1386z00_1751;

				{	/* Trace/walk.scm 449 */
					obj_t BgL_res2066z00_2532;

					{	/* Trace/walk.scm 449 */
						long BgL_objzd2classzd2numz00_2505;

						{	/* Trace/walk.scm 449 */
							long BgL_res2060z00_2508;

							BgL_res2060z00_2508 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_103));
							BgL_objzd2classzd2numz00_2505 = BgL_res2060z00_2508;
						}
						{	/* Trace/walk.scm 449 */
							obj_t BgL_arg1725z00_2506;

							BgL_arg1725z00_2506 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 449 */
								int BgL_offsetz00_2510;

								BgL_offsetz00_2510 = (int) (BgL_objzd2classzd2numz00_2505);
								{	/* Trace/walk.scm 449 */
									long BgL_offsetz00_2511;

									BgL_offsetz00_2511 =
										((long) (BgL_offsetz00_2510) - OBJECT_TYPE);
									{	/* Trace/walk.scm 449 */
										long BgL_modz00_2512;

										{	/* Trace/walk.scm 449 */
											int BgL_arg1727z00_2513;

											BgL_arg1727z00_2513 = (int) (((long) 16));
											{	/* Trace/walk.scm 449 */
												long BgL_res2063z00_2523;

												{	/* Trace/walk.scm 449 */
													long BgL_tmpz00_3390;

													BgL_tmpz00_3390 = (long) (BgL_arg1727z00_2513);
													BgL_res2063z00_2523 =
														(BgL_offsetz00_2511 / BgL_tmpz00_3390);
												}
												BgL_modz00_2512 = BgL_res2063z00_2523;
										}}
										{	/* Trace/walk.scm 449 */
											long BgL_restz00_2514;

											{	/* Trace/walk.scm 449 */
												int BgL_arg1726z00_2515;

												BgL_arg1726z00_2515 = (int) (((long) 16));
												{	/* Trace/walk.scm 449 */
													long BgL_res2065z00_2527;

													{	/* Trace/walk.scm 449 */
														long BgL_tmpz00_3394;

														BgL_tmpz00_3394 = (long) (BgL_arg1726z00_2515);
														BgL_res2065z00_2527 =
															(BgL_offsetz00_2511 % BgL_tmpz00_3394);
													}
													BgL_restz00_2514 = BgL_res2065z00_2527;
											}}
											{	/* Trace/walk.scm 449 */

												{	/* Trace/walk.scm 449 */
													obj_t BgL_bucketz00_2516;

													BgL_bucketz00_2516 =
														VECTOR_REF(
														((obj_t) BgL_arg1725z00_2506), BgL_modz00_2512);
													BgL_res2066z00_2532 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2516), BgL_restz00_2514);
					}}}}}}}}
					BgL_method1386z00_1751 = BgL_res2066z00_2532;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1386z00_1751) (BgL_method1386z00_1751,
						((obj_t) BgL_nodez00_103), BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 449 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2641));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2096z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2098z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2099z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2100z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2101z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2102z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2103z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2104z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2105z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2106z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2107z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2108z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2109z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2110z00zztrace_walkz00,
				BGl_string2097z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2111z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2113z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2114z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2115z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2116z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2117z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2118z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2119z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2120z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2121z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2122z00zztrace_walkz00, BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2123z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2124z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2125z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2126z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2127z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2128z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2129z00zztrace_walkz00,
				BGl_string2112z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2130z00zztrace_walkz00,
				BGl_string2131z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2132z00zztrace_walkz00,
				BGl_string2131z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2133z00zztrace_walkz00,
				BGl_string2131z00zztrace_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &toplevel-trace-node-1393 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21393zb0zztrace_walkz00(obj_t
		BgL_envz00_2677, obj_t BgL_nodez00_2678)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 476 */
			{	/* Trace/walk.scm 478 */
				BgL_varz00_bglt BgL_i1134z00_2801;

				BgL_i1134z00_2801 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2678)))->BgL_varz00);
				{	/* Trace/walk.scm 479 */
					bool_t BgL_testz00_3446;

					{	/* Trace/walk.scm 479 */
						bool_t BgL_testz00_3447;

						{	/* Trace/walk.scm 479 */
							BgL_variablez00_bglt BgL_arg1937z00_2802;

							BgL_arg1937z00_2802 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1134z00_2801))->
								BgL_variablez00);
							{	/* Trace/walk.scm 479 */
								bool_t BgL_res2075z00_2803;

								BgL_res2075z00_2803 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1937z00_2802), BGl_globalz00zzast_varz00);
								BgL_testz00_3447 = BgL_res2075z00_2803;
							}
						}
						if (BgL_testz00_3447)
							{	/* Trace/walk.scm 480 */
								bool_t BgL_testz00_3451;

								{	/* Trace/walk.scm 480 */
									bool_t BgL_testz00_3452;

									{	/* Trace/walk.scm 480 */
										BgL_nodez00_bglt BgL_arg1936z00_2804;

										BgL_arg1936z00_2804 =
											(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_2678)))->
											BgL_valuez00);
										{	/* Trace/walk.scm 480 */
											bool_t BgL_res2076z00_2805;

											BgL_res2076z00_2805 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1936z00_2804),
												BGl_atomz00zzast_nodez00);
											BgL_testz00_3452 = BgL_res2076z00_2805;
										}
									}
									if (BgL_testz00_3452)
										{	/* Trace/walk.scm 480 */
											BgL_testz00_3451 = ((bool_t) 1);
										}
									else
										{	/* Trace/walk.scm 481 */
											bool_t BgL_testz00_3457;

											{	/* Trace/walk.scm 481 */
												BgL_nodez00_bglt BgL_arg1935z00_2806;

												BgL_arg1935z00_2806 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_2678)))->
													BgL_valuez00);
												{	/* Trace/walk.scm 481 */
													bool_t BgL_res2077z00_2807;

													BgL_res2077z00_2807 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_arg1935z00_2806),
														BGl_varz00zzast_nodez00);
													BgL_testz00_3457 = BgL_res2077z00_2807;
												}
											}
											if (BgL_testz00_3457)
												{	/* Trace/walk.scm 481 */
													BgL_testz00_3451 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 482 */
													bool_t BgL_testz00_3462;

													{	/* Trace/walk.scm 482 */
														BgL_nodez00_bglt BgL_arg1934z00_2808;

														BgL_arg1934z00_2808 =
															(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_2678)))->
															BgL_valuez00);
														{	/* Trace/walk.scm 482 */
															bool_t BgL_res2078z00_2809;

															BgL_res2078z00_2809 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1934z00_2808),
																BGl_kwotez00zzast_nodez00);
															BgL_testz00_3462 = BgL_res2078z00_2809;
														}
													}
													if (BgL_testz00_3462)
														{	/* Trace/walk.scm 482 */
															BgL_testz00_3451 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 483 */
															BgL_nodez00_bglt BgL_arg1933z00_2810;

															BgL_arg1933z00_2810 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_2678)))->
																BgL_valuez00);
															{	/* Trace/walk.scm 483 */
																bool_t BgL_res2079z00_2811;

																BgL_res2079z00_2811 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_arg1933z00_2810),
																	BGl_pragmaz00zzast_nodez00);
																BgL_testz00_3451 = BgL_res2079z00_2811;
															}
														}
												}
										}
								}
								if (BgL_testz00_3451)
									{	/* Trace/walk.scm 480 */
										BgL_testz00_3446 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 480 */
										BgL_testz00_3446 = ((bool_t) 1);
									}
							}
						else
							{	/* Trace/walk.scm 479 */
								BgL_testz00_3446 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3446)
						{	/* Trace/walk.scm 484 */
							BgL_typez00_bglt BgL_tz00_2812;

							{	/* Trace/walk.scm 484 */
								BgL_typez00_bglt BgL_arg1929z00_2813;
								BgL_typez00_bglt BgL_arg1930z00_2814;

								BgL_arg1929z00_2813 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_2678)))->
												BgL_valuez00)))->BgL_typez00);
								BgL_arg1930z00_2814 =
									(((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
															(BgL_varz00_bglt) COBJECT(BgL_i1134z00_2801))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_tz00_2812 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1929z00_2813,
									BgL_arg1930z00_2814);
							}
							{	/* Trace/walk.scm 484 */
								BgL_letzd2varzd2_bglt BgL_tracez00_2815;

								{	/* Trace/walk.scm 485 */
									BgL_nodez00_bglt BgL_arg1925z00_2816;
									obj_t BgL_arg1926z00_2817;
									obj_t BgL_arg1927z00_2818;

									BgL_arg1925z00_2816 =
										(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_2678)))->BgL_valuez00);
									{	/* Trace/walk.scm 485 */
										BgL_variablez00_bglt BgL_arg1928z00_2819;

										BgL_arg1928z00_2819 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1134z00_2801))->
											BgL_variablez00);
										BgL_arg1926z00_2817 =
											BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
												BgL_arg1928z00_2819));
									}
									BgL_arg1927z00_2818 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_2678))))->BgL_locz00);
									BgL_tracez00_2815 =
										BGl_makezd2tracedzd2nodez00zztrace_walkz00
										(BgL_arg1925z00_2816, BgL_tz00_2812, BgL_arg1926z00_2817,
										BgL_arg1927z00_2818, BNIL);
								}
								{	/* Trace/walk.scm 485 */

									((((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_2678)))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_tracez00_2815)),
										BUNSPEC);
								}
							}
						}
					else
						{	/* Trace/walk.scm 479 */
							BFALSE;
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2678));
		}
		BGL_FUNCTION_END;
	}



/* &toplevel-trace-node-1391 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21391zb0zztrace_walkz00(obj_t
		BgL_envz00_2679, obj_t BgL_nodez00_2680)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 462 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2680)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2680)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2680)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2680)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2680)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2680)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2680));
		}
		BGL_FUNCTION_END;
	}



/* &toplevel-trace-node-1388 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t
		BgL_envz00_2681, obj_t BgL_nodez00_2682)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 455 */
			BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2682)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2682));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-box-set!1384 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121384za2zztrace_walkz00(obj_t
		BgL_envz00_2683, obj_t BgL_nodez00_2684, obj_t BgL_stackz00_2685,
		obj_t BgL_levelz00_2686)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 432 */
			{
				BgL_varz00_bglt BgL_auxz00_3515;

				{	/* Trace/walk.scm 434 */
					BgL_varz00_bglt BgL_arg1896z00_2823;

					BgL_arg1896z00_2823 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2684)))->BgL_varz00);
					BgL_auxz00_3515 =
						((BgL_varz00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1896z00_2823), BgL_stackz00_2685,
							BgL_levelz00_2686));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2684)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3515), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3523;

				{	/* Trace/walk.scm 435 */
					BgL_nodez00_bglt BgL_arg1897z00_2824;

					BgL_arg1897z00_2824 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2684)))->BgL_valuez00);
					BgL_auxz00_3523 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1897z00_2824,
						BgL_stackz00_2685, BgL_levelz00_2686);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2684)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3523), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2684));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-box-ref1382 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1382zb0zztrace_walkz00(obj_t
		BgL_envz00_2687, obj_t BgL_nodez00_2688, obj_t BgL_stackz00_2689,
		obj_t BgL_levelz00_2690)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 425 */
			{	/* Trace/walk.scm 426 */
				BgL_nodez00_bglt BgL_arg1894z00_2826;

				{	/* Trace/walk.scm 426 */
					BgL_varz00_bglt BgL_arg1895z00_2827;

					BgL_arg1895z00_2827 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2688)))->BgL_varz00);
					BgL_arg1894z00_2826 =
						BGl_tracezd2nodezd2zztrace_walkz00(
						((BgL_nodez00_bglt) BgL_arg1895z00_2827), BgL_stackz00_2689,
						BgL_levelz00_2690);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2688)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1894z00_2826)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2688));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-make-box1380 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1380zb0zztrace_walkz00(obj_t
		BgL_envz00_2691, obj_t BgL_nodez00_2692, obj_t BgL_stackz00_2693,
		obj_t BgL_levelz00_2694)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 418 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2692)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2692)))->
							BgL_valuez00), BgL_stackz00_2693, BgL_levelz00_2694)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2692));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-jump-ex-i1378 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1378z62zztrace_walkz00(obj_t
		BgL_envz00_2695, obj_t BgL_nodez00_2696, obj_t BgL_stackz00_2697,
		obj_t BgL_levelz00_2698)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 409 */
			{
				BgL_nodez00_bglt BgL_auxz00_3547;

				{	/* Trace/walk.scm 411 */
					BgL_nodez00_bglt BgL_arg1890z00_2830;

					BgL_arg1890z00_2830 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->BgL_exitz00);
					BgL_auxz00_3547 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1890z00_2830,
						BgL_stackz00_2697, BgL_levelz00_2698);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3547), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3553;

				{	/* Trace/walk.scm 412 */
					BgL_nodez00_bglt BgL_arg1891z00_2831;

					BgL_arg1891z00_2831 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
						BgL_valuez00);
					BgL_auxz00_3553 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1891z00_2831,
						BgL_stackz00_2697, BgL_levelz00_2698);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3553), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-set-ex-it1376 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1376z62zztrace_walkz00(obj_t
		BgL_envz00_2699, obj_t BgL_nodez00_2700, obj_t BgL_stackz00_2701,
		obj_t BgL_levelz00_2702)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 402 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2700)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2700)))->
							BgL_bodyz00), BgL_stackz00_2701, BgL_levelz00_2702)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2700));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-let-var1374 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1374zb0zztrace_walkz00(obj_t
		BgL_envz00_2703, obj_t BgL_nodez00_2704, obj_t BgL_stackz00_2705,
		obj_t BgL_levelz00_2706)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 391 */
			{	/* Trace/walk.scm 393 */
				obj_t BgL_g1313z00_2834;

				BgL_g1313z00_2834 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2704)))->BgL_bindingsz00);
				{
					obj_t BgL_l1311z00_2836;

					BgL_l1311z00_2836 = BgL_g1313z00_2834;
				BgL_zc3anonymousza31882ze3z83_2835:
					if (PAIRP(BgL_l1311z00_2836))
						{	/* Trace/walk.scm 393 */
							{	/* Trace/walk.scm 394 */
								obj_t BgL_bindingz00_2837;

								BgL_bindingz00_2837 = CAR(BgL_l1311z00_2836);
								{	/* Trace/walk.scm 394 */
									BgL_nodez00_bglt BgL_arg1884z00_2838;

									{	/* Trace/walk.scm 394 */
										obj_t BgL_arg1885z00_2839;

										BgL_arg1885z00_2839 = CDR(((obj_t) BgL_bindingz00_2837));
										BgL_arg1884z00_2838 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1885z00_2839),
											BgL_stackz00_2705, BgL_levelz00_2706);
									}
									{	/* Trace/walk.scm 394 */
										obj_t BgL_auxz00_3579;
										obj_t BgL_tmpz00_3577;

										BgL_auxz00_3579 = ((obj_t) BgL_arg1884z00_2838);
										BgL_tmpz00_3577 = ((obj_t) BgL_bindingz00_2837);
										SET_CDR(BgL_tmpz00_3577, BgL_auxz00_3579);
									}
								}
							}
							{
								obj_t BgL_l1311z00_3582;

								BgL_l1311z00_3582 = CDR(BgL_l1311z00_2836);
								BgL_l1311z00_2836 = BgL_l1311z00_3582;
								goto BgL_zc3anonymousza31882ze3z83_2835;
							}
						}
					else
						{	/* Trace/walk.scm 393 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3584;

				{	/* Trace/walk.scm 396 */
					BgL_nodez00_bglt BgL_arg1887z00_2840;

					BgL_arg1887z00_2840 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2704)))->BgL_bodyz00);
					BgL_auxz00_3584 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1887z00_2840,
						BgL_stackz00_2705, BgL_levelz00_2706);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2704)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3584), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2704));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-let-fun1372 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1372zb0zztrace_walkz00(obj_t
		BgL_envz00_2707, obj_t BgL_nodez00_2708, obj_t BgL_stackz00_2709,
		obj_t BgL_levelz00_2710)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 382 */
			{	/* Trace/walk.scm 384 */
				obj_t BgL_g1310z00_2842;

				BgL_g1310z00_2842 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2708)))->BgL_localsz00);
				{
					obj_t BgL_l1308z00_2844;

					BgL_l1308z00_2844 = BgL_g1310z00_2842;
				BgL_zc3anonymousza31878ze3z83_2843:
					if (PAIRP(BgL_l1308z00_2844))
						{	/* Trace/walk.scm 384 */
							BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1308z00_2844),
								BgL_stackz00_2709, BgL_levelz00_2710);
							{
								obj_t BgL_l1308z00_3598;

								BgL_l1308z00_3598 = CDR(BgL_l1308z00_2844);
								BgL_l1308z00_2844 = BgL_l1308z00_3598;
								goto BgL_zc3anonymousza31878ze3z83_2843;
							}
						}
					else
						{	/* Trace/walk.scm 384 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3600;

				{	/* Trace/walk.scm 385 */
					BgL_nodez00_bglt BgL_arg1881z00_2845;

					BgL_arg1881z00_2845 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2708)))->BgL_bodyz00);
					BgL_auxz00_3600 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1881z00_2845,
						BgL_stackz00_2709, BgL_levelz00_2710);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2708)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3600), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2708));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-switch1370 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2switch1370z62zztrace_walkz00(obj_t
		BgL_envz00_2711, obj_t BgL_nodez00_2712, obj_t BgL_stackz00_2713,
		obj_t BgL_levelz00_2714)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 371 */
			{
				BgL_nodez00_bglt BgL_auxz00_3608;

				{	/* Trace/walk.scm 373 */
					BgL_nodez00_bglt BgL_arg1872z00_2847;

					BgL_arg1872z00_2847 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2712)))->BgL_testz00);
					BgL_auxz00_3608 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1872z00_2847,
						BgL_stackz00_2713, BgL_levelz00_2714);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2712)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3608), BUNSPEC);
			}
			{	/* Trace/walk.scm 374 */
				obj_t BgL_g1307z00_2848;

				BgL_g1307z00_2848 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2712)))->BgL_clausesz00);
				{
					obj_t BgL_l1305z00_2850;

					BgL_l1305z00_2850 = BgL_g1307z00_2848;
				BgL_zc3anonymousza31873ze3z83_2849:
					if (PAIRP(BgL_l1305z00_2850))
						{	/* Trace/walk.scm 374 */
							{	/* Trace/walk.scm 375 */
								obj_t BgL_clausez00_2851;

								BgL_clausez00_2851 = CAR(BgL_l1305z00_2850);
								{	/* Trace/walk.scm 375 */
									BgL_nodez00_bglt BgL_arg1875z00_2852;

									{	/* Trace/walk.scm 375 */
										obj_t BgL_arg1876z00_2853;

										BgL_arg1876z00_2853 = CDR(((obj_t) BgL_clausez00_2851));
										BgL_arg1875z00_2852 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1876z00_2853),
											BgL_stackz00_2713, BgL_levelz00_2714);
									}
									{	/* Trace/walk.scm 375 */
										obj_t BgL_auxz00_3625;
										obj_t BgL_tmpz00_3623;

										BgL_auxz00_3625 = ((obj_t) BgL_arg1875z00_2852);
										BgL_tmpz00_3623 = ((obj_t) BgL_clausez00_2851);
										SET_CDR(BgL_tmpz00_3623, BgL_auxz00_3625);
									}
								}
							}
							{
								obj_t BgL_l1305z00_3628;

								BgL_l1305z00_3628 = CDR(BgL_l1305z00_2850);
								BgL_l1305z00_2850 = BgL_l1305z00_3628;
								goto BgL_zc3anonymousza31873ze3z83_2849;
							}
						}
					else
						{	/* Trace/walk.scm 374 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2712));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-fail1368 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1368z62zztrace_walkz00(obj_t
		BgL_envz00_2715, obj_t BgL_nodez00_2716, obj_t BgL_stackz00_2717,
		obj_t BgL_levelz00_2718)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 361 */
			{
				BgL_nodez00_bglt BgL_auxz00_3632;

				{	/* Trace/walk.scm 363 */
					BgL_nodez00_bglt BgL_arg1869z00_2855;

					BgL_arg1869z00_2855 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_procz00);
					BgL_auxz00_3632 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1869z00_2855,
						BgL_stackz00_2717, BgL_levelz00_2718);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3632), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3638;

				{	/* Trace/walk.scm 364 */
					BgL_nodez00_bglt BgL_arg1870z00_2856;

					BgL_arg1870z00_2856 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_msgz00);
					BgL_auxz00_3638 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1870z00_2856,
						BgL_stackz00_2717, BgL_levelz00_2718);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3638), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3644;

				{	/* Trace/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg1871z00_2857;

					BgL_arg1871z00_2857 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_objz00);
					BgL_auxz00_3644 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1871z00_2857,
						BgL_stackz00_2717, BgL_levelz00_2718);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2716)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3644), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2716));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-condition1365 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1365z62zztrace_walkz00(obj_t
		BgL_envz00_2719, obj_t BgL_nodez00_2720, obj_t BgL_stackz00_2721,
		obj_t BgL_levelz00_2722)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 351 */
			{
				BgL_nodez00_bglt BgL_auxz00_3652;

				{	/* Trace/walk.scm 353 */
					BgL_nodez00_bglt BgL_arg1866z00_2859;

					BgL_arg1866z00_2859 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_testz00);
					BgL_auxz00_3652 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1866z00_2859,
						BgL_stackz00_2721, BgL_levelz00_2722);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3652), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3658;

				{	/* Trace/walk.scm 354 */
					BgL_nodez00_bglt BgL_arg1867z00_2860;

					BgL_arg1867z00_2860 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_truez00);
					BgL_auxz00_3658 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1867z00_2860,
						BgL_stackz00_2721, BgL_levelz00_2722);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3658), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3664;

				{	/* Trace/walk.scm 355 */
					BgL_nodez00_bglt BgL_arg1868z00_2861;

					BgL_arg1868z00_2861 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_falsez00);
					BgL_auxz00_3664 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1868z00_2861,
						BgL_stackz00_2721, BgL_levelz00_2722);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2720)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3664), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2720));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-setq1363 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1363z62zztrace_walkz00(obj_t
		BgL_envz00_2723, obj_t BgL_nodez00_2724, obj_t BgL_stackz00_2725,
		obj_t BgL_levelz00_2726)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 344 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2724)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2724)))->BgL_valuez00),
						BgL_stackz00_2725, BgL_levelz00_2726)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2724));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-cast1361 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1361z62zztrace_walkz00(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_stackz00_2729,
		obj_t BgL_levelz00_2730)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 337 */
			BGl_tracezd2nodezd2zztrace_walkz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2728)))->BgL_argz00),
				BgL_stackz00_2729, BgL_levelz00_2730);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2728));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-extern1359 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1359z62zztrace_walkz00(obj_t
		BgL_envz00_2731, obj_t BgL_nodez00_2732, obj_t BgL_stackz00_2733,
		obj_t BgL_levelz00_2734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 330 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2732)))->BgL_exprza2za2),
				BgL_stackz00_2733, BgL_levelz00_2734);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2732));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-funcall1357 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1357z62zztrace_walkz00(obj_t
		BgL_envz00_2735, obj_t BgL_nodez00_2736, obj_t BgL_stackz00_2737,
		obj_t BgL_levelz00_2738)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_3689;

				{	/* Trace/walk.scm 323 */
					BgL_nodez00_bglt BgL_arg1860z00_2866;

					BgL_arg1860z00_2866 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2736)))->BgL_funz00);
					BgL_auxz00_3689 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1860z00_2866,
						BgL_stackz00_2737, BgL_levelz00_2738);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2736)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3689), BUNSPEC);
			}
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2736)))->BgL_argsz00),
				BgL_stackz00_2737, BgL_levelz00_2738);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2736));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-app-ly1355 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1355zb0zztrace_walkz00(obj_t
		BgL_envz00_2739, obj_t BgL_nodez00_2740, obj_t BgL_stackz00_2741,
		obj_t BgL_levelz00_2742)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_3700;

				{	/* Trace/walk.scm 314 */
					BgL_nodez00_bglt BgL_arg1858z00_2868;

					BgL_arg1858z00_2868 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2740)))->BgL_funz00);
					BgL_auxz00_3700 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1858z00_2868,
						BgL_stackz00_2741, BgL_levelz00_2742);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2740)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3700), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3706;

				{	/* Trace/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg1859z00_2869;

					BgL_arg1859z00_2869 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2740)))->BgL_argz00);
					BgL_auxz00_3706 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1859z00_2869,
						BgL_stackz00_2741, BgL_levelz00_2742);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2740)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3706), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2740));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-app1353 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1353z62zztrace_walkz00(obj_t
		BgL_envz00_2743, obj_t BgL_nodez00_2744, obj_t BgL_stackz00_2745,
		obj_t BgL_levelz00_2746)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 305 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2744)))->BgL_argsz00),
				BgL_stackz00_2745, BgL_levelz00_2746);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2744));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-sync1351 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1351z62zztrace_walkz00(obj_t
		BgL_envz00_2747, obj_t BgL_nodez00_2748, obj_t BgL_stackz00_2749,
		obj_t BgL_levelz00_2750)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 295 */
			{
				BgL_nodez00_bglt BgL_auxz00_3719;

				{	/* Trace/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg1854z00_2872;

					BgL_arg1854z00_2872 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_mutexz00);
					BgL_auxz00_3719 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1854z00_2872,
						BgL_stackz00_2749, BgL_levelz00_2750);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3719), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3725;

				{	/* Trace/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg1855z00_2873;

					BgL_arg1855z00_2873 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_prelockz00);
					BgL_auxz00_3725 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1855z00_2873,
						BgL_stackz00_2749, BgL_levelz00_2750);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3725), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3731;

				{	/* Trace/walk.scm 299 */
					BgL_nodez00_bglt BgL_arg1856z00_2874;

					BgL_arg1856z00_2874 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_bodyz00);
					BgL_auxz00_3731 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1856z00_2874,
						BgL_stackz00_2749, BgL_levelz00_2750);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2748)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3731), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2748));
		}
		BGL_FUNCTION_END;
	}



/* &trace-node-sequence1349 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1349z62zztrace_walkz00(obj_t
		BgL_envz00_2751, obj_t BgL_nodez00_2752, obj_t BgL_stackz00_2753,
		obj_t BgL_levelz00_2754)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 288 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2752)))->BgL_nodesz00),
				BgL_stackz00_2753, BgL_levelz00_2754);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2752));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-jump-1344 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21344z62zztrace_walkz00(obj_t
		BgL_envz00_2755, obj_t BgL_nodez00_2756)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 238 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2756)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-set-e1342 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1342z62zztrace_walkz00(obj_t
		BgL_envz00_2757, obj_t BgL_nodez00_2758)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 232 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2758)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-let-f1340 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1340z62zztrace_walkz00(obj_t
		BgL_envz00_2759, obj_t BgL_nodez00_2760)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 226 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2760)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-let-v1338 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1338z62zztrace_walkz00(obj_t
		BgL_envz00_2761, obj_t BgL_nodez00_2762)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 220 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2762)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-switc1336 */
	obj_t BGl_z62findzd2lastzd2nodezd2switc1336zb0zztrace_walkz00(obj_t
		BgL_envz00_2763, obj_t BgL_nodez00_2764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 211 */
			{	/* Trace/walk.scm 213 */
				bool_t BgL_testz00_3756;

				{	/* Trace/walk.scm 213 */
					obj_t BgL_tmpz00_3757;

					BgL_tmpz00_3757 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2764)))->BgL_clausesz00);
					BgL_testz00_3756 = PAIRP(BgL_tmpz00_3757);
				}
				if (BgL_testz00_3756)
					{	/* Trace/walk.scm 214 */
						obj_t BgL_arg1840z00_2881;

						BgL_arg1840z00_2881 =
							CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2764)))->
									BgL_clausesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1840z00_2881));
					}
				else
					{	/* Trace/walk.scm 213 */
						return
							BGl_findzd2lastzd2sexpz00zztrace_walkz00(
							((obj_t)
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2764)))->BgL_testz00)));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-fail1334 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1334zb0zztrace_walkz00(obj_t
		BgL_envz00_2765, obj_t BgL_nodez00_2766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 205 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2766)))->BgL_objz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-condi1332 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1332zb0zztrace_walkz00(obj_t
		BgL_envz00_2767, obj_t BgL_nodez00_2768)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 199 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2768)))->BgL_falsez00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-setq1330 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1330zb0zztrace_walkz00(obj_t
		BgL_envz00_2769, obj_t BgL_nodez00_2770)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 193 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2770)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-exter1327 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1327zb0zztrace_walkz00(obj_t
		BgL_envz00_2771, obj_t BgL_nodez00_2772)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 184 */
			if (NULLP(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2772)))->BgL_exprza2za2)))
				{	/* Trace/walk.scm 186 */
					return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2772));
				}
			else
				{	/* Trace/walk.scm 187 */
					obj_t BgL_arg1826z00_2886;

					BgL_arg1826z00_2886 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_2772)))->
								BgL_exprza2za2)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1826z00_2886));
				}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-funca1325 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1325zb0zztrace_walkz00(obj_t
		BgL_envz00_2773, obj_t BgL_nodez00_2774)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 175 */
			{	/* Trace/walk.scm 177 */
				bool_t BgL_testz00_3792;

				{	/* Trace/walk.scm 177 */
					obj_t BgL_tmpz00_3793;

					BgL_tmpz00_3793 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2774)))->BgL_argsz00);
					BgL_testz00_3792 = PAIRP(BgL_tmpz00_3793);
				}
				if (BgL_testz00_3792)
					{	/* Trace/walk.scm 178 */
						obj_t BgL_arg1816z00_2888;

						BgL_arg1816z00_2888 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_2774)))->
									BgL_argsz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1816z00_2888));
					}
				else
					{	/* Trace/walk.scm 177 */
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2774)))->BgL_funz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-app-l1323 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1323z62zztrace_walkz00(obj_t
		BgL_envz00_2775, obj_t BgL_nodez00_2776)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 169 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2776)))->BgL_argz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-app1321 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1321zb0zztrace_walkz00(obj_t
		BgL_envz00_2777, obj_t BgL_nodez00_2778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 160 */
			{	/* Trace/walk.scm 162 */
				bool_t BgL_testz00_3809;

				{	/* Trace/walk.scm 162 */
					obj_t BgL_tmpz00_3810;

					BgL_tmpz00_3810 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2778)))->BgL_argsz00);
					BgL_testz00_3809 = PAIRP(BgL_tmpz00_3810);
				}
				if (BgL_testz00_3809)
					{	/* Trace/walk.scm 163 */
						obj_t BgL_arg1807z00_2891;

						BgL_arg1807z00_2891 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2778)))->BgL_argsz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1807z00_2891));
					}
				else
					{	/* Trace/walk.scm 162 */
						return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2778));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-sync1319 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1319zb0zztrace_walkz00(obj_t
		BgL_envz00_2779, obj_t BgL_nodez00_2780)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 153 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2780)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &find-last-node-seque1317 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1317zb0zztrace_walkz00(obj_t
		BgL_envz00_2781, obj_t BgL_nodez00_2782)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 144 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2782)))->BgL_nodesz00)))
				{	/* Trace/walk.scm 146 */
					return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2782));
				}
			else
				{	/* Trace/walk.scm 147 */
					obj_t BgL_arg1800z00_2894;

					BgL_arg1800z00_2894 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2782)))->
								BgL_nodesz00)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1800z00_2894));
				}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2134z00zztrace_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
