/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00();
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
static obj_t BGl_symbol2960z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2968z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
static obj_t BGl_symbol2970z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2972z00zz__evaluatez00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_symbol2973z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2975z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2977z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2979z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_symbol2981z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2983z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2985z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2986z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2988z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol2990z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2992z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2994z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2996z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_symbol2998z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern int bgl_debug();
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00();
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza31336ze3ze1zz__evaluatez00(obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol3000z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3002z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_symbol3004z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3006z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_expandz00zz__expandz00(obj_t);
static obj_t BGl_symbol3008z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol3010z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3012z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3014z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3016z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3018z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_symbol3020z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3022z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3024z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3026z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3028z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_keyword3073z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol3030z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3032z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3034z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3037z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
static obj_t BGl_symbol3040z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3042z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol3045z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3047z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3049z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3051z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3053z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3055z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3057z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3059z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3061z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_symbol3063z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3065z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
static obj_t BGl_symbol3067z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3069z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol3071z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
extern obj_t bstring_to_keyword(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string3011z00zz__evaluatez00, BgL_bgl_string3011za700za7za7_3076za7, "string?", 7 );
DEFINE_STRING( BGl_string3013z00zz__evaluatez00, BgL_bgl_string3013za700za7za7_3077za7, "o", 1 );
DEFINE_STRING( BGl_string3015z00zz__evaluatez00, BgL_bgl_string3015za700za7za7_3078za7, "quote", 5 );
DEFINE_STRING( BGl_string3017z00zz__evaluatez00, BgL_bgl_string3017za700za7za7_3079za7, "class-exists", 12 );
DEFINE_STRING( BGl_string3019z00zz__evaluatez00, BgL_bgl_string3019za700za7za7_3080za7, "c", 1 );
DEFINE_STRING( BGl_string3021z00zz__evaluatez00, BgL_bgl_string3021za700za7za7_3081za7, "isa?", 4 );
DEFINE_STRING( BGl_string3023z00zz__evaluatez00, BgL_bgl_string3023za700za7za7_3082za7, "if", 2 );
DEFINE_STRING( BGl_string3025z00zz__evaluatez00, BgL_bgl_string3025za700za7za7_3083za7, "let", 3 );
DEFINE_STRING( BGl_string3027z00zz__evaluatez00, BgL_bgl_string3027za700za7za7_3084za7, "lambda", 6 );
DEFINE_STRING( BGl_string3029z00zz__evaluatez00, BgL_bgl_string3029za700za7za7_3085za7, "bigloo-type-error/location", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3086z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3031z00zz__evaluatez00, BgL_bgl_string3031za700za7za7_3087za7, "bigloo-type-error", 17 );
DEFINE_STRING( BGl_string3033z00zz__evaluatez00, BgL_bgl_string3033za700za7za7_3088za7, "at", 2 );
DEFINE_STRING( BGl_string3035z00zz__evaluatez00, BgL_bgl_string3035za700za7za7_3089za7, "tmp", 3 );
DEFINE_STRING( BGl_string3036z00zz__evaluatez00, BgL_bgl_string3036za700za7za7_3090za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string3038z00zz__evaluatez00, BgL_bgl_string3038za700za7za7_3091za7, "\\@", 2 );
DEFINE_STRING( BGl_string3039z00zz__evaluatez00, BgL_bgl_string3039za700za7za7_3092za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string3041z00zz__evaluatez00, BgL_bgl_string3041za700za7za7_3093za7, "begin", 5 );
DEFINE_STRING( BGl_string3043z00zz__evaluatez00, BgL_bgl_string3043za700za7za7_3094za7, " ", 1 );
DEFINE_STRING( BGl_string3044z00zz__evaluatez00, BgL_bgl_string3044za700za7za7_3095za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string3046z00zz__evaluatez00, BgL_bgl_string3046za700za7za7_3096za7, "module", 6 );
DEFINE_STRING( BGl_string3048z00zz__evaluatez00, BgL_bgl_string3048za700za7za7_3097za7, "@", 1 );
DEFINE_STRING( BGl_string3050z00zz__evaluatez00, BgL_bgl_string3050za700za7za7_3098za7, "->", 2 );
DEFINE_STRING( BGl_string3052z00zz__evaluatez00, BgL_bgl_string3052za700za7za7_3099za7, "trap", 4 );
DEFINE_STRING( BGl_string3054z00zz__evaluatez00, BgL_bgl_string3054za700za7za7_3100za7, "or", 2 );
DEFINE_STRING( BGl_string3056z00zz__evaluatez00, BgL_bgl_string3056za700za7za7_3101za7, "and", 3 );
DEFINE_STRING( BGl_string3058z00zz__evaluatez00, BgL_bgl_string3058za700za7za7_3102za7, "let*", 4 );
DEFINE_STRING( BGl_string3060z00zz__evaluatez00, BgL_bgl_string3060za700za7za7_3103za7, "letrec", 6 );
DEFINE_STRING( BGl_string3062z00zz__evaluatez00, BgL_bgl_string3062za700za7za7_3104za7, "set!", 4 );
DEFINE_STRING( BGl_string3064z00zz__evaluatez00, BgL_bgl_string3064za700za7za7_3105za7, "define", 6 );
DEFINE_STRING( BGl_string3066z00zz__evaluatez00, BgL_bgl_string3066za700za7za7_3106za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string3068z00zz__evaluatez00, BgL_bgl_string3068za700za7za7_3107za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string3070z00zz__evaluatez00, BgL_bgl_string3070za700za7za7_3108za7, "with-handler", 12 );
DEFINE_STRING( BGl_string3072z00zz__evaluatez00, BgL_bgl_string3072za700za7za7_3109za7, "synchronize", 11 );
DEFINE_STRING( BGl_string3074z00zz__evaluatez00, BgL_bgl_string3074za700za7za7_3110za7, "prelock", 7 );
DEFINE_STRING( BGl_string3075z00zz__evaluatez00, BgL_bgl_string3075za700za7za7_3111za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2954z00zz__evaluatez00, BgL_bgl_string2954za700za7za7_3112za7, "", 0 );
DEFINE_STRING( BGl_string2955z00zz__evaluatez00, BgL_bgl_string2955za700za7za7_3113za7, "/builddir/build/BUILD/bigloo4.3b/runtime/Eval/evaluate.scm", 58 );
DEFINE_STRING( BGl_string2956z00zz__evaluatez00, BgL_bgl_string2956za700za7za7_3114za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2957z00zz__evaluatez00, BgL_bgl_string2957za700za7za7_3115za7, "bint", 4 );
DEFINE_STRING( BGl_string2958z00zz__evaluatez00, BgL_bgl_string2958za700za7za7_3116za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2959z00zz__evaluatez00, BgL_bgl_string2959za700za7za7_3117za7, "vector", 6 );
DEFINE_STRING( BGl_string2961z00zz__evaluatez00, BgL_bgl_string2961za700za7za7_3118za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2962z00zz__evaluatez00, BgL_bgl_string2962za700za7za7_3119za7, "eval", 4 );
DEFINE_STRING( BGl_string2963z00zz__evaluatez00, BgL_bgl_string2963za700za7za7_3120za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2964z00zz__evaluatez00, BgL_bgl_string2964za700za7za7_3121za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2965z00zz__evaluatez00, BgL_bgl_string2965za700za7za7_3122za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2966z00zz__evaluatez00, BgL_bgl_string2966za700za7za7_3123za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2967z00zz__evaluatez00, BgL_bgl_string2967za700za7za7_3124za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2969z00zz__evaluatez00, BgL_bgl_string2969za700za7za7_3125za7, "pair", 4 );
DEFINE_STRING( BGl_string2971z00zz__evaluatez00, BgL_bgl_string2971za700za7za7_3126za7, "pair?", 5 );
DEFINE_STRING( BGl_string2974z00zz__evaluatez00, BgL_bgl_string2974za700za7za7_3127za7, "vector?", 7 );
DEFINE_STRING( BGl_string2976z00zz__evaluatez00, BgL_bgl_string2976za700za7za7_3128za7, "symbol", 6 );
DEFINE_STRING( BGl_string2978z00zz__evaluatez00, BgL_bgl_string2978za700za7za7_3129za7, "symbol?", 7 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STRING( BGl_string2980z00zz__evaluatez00, BgL_bgl_string2980za700za7za7_3130za7, "char", 4 );
DEFINE_STRING( BGl_string2982z00zz__evaluatez00, BgL_bgl_string2982za700za7za7_3131za7, "char?", 5 );
DEFINE_STRING( BGl_string2984z00zz__evaluatez00, BgL_bgl_string2984za700za7za7_3132za7, "int", 3 );
DEFINE_STRING( BGl_string2987z00zz__evaluatez00, BgL_bgl_string2987za700za7za7_3133za7, "integer?", 8 );
DEFINE_STRING( BGl_string2989z00zz__evaluatez00, BgL_bgl_string2989za700za7za7_3134za7, "real", 4 );
DEFINE_STRING( BGl_string2991z00zz__evaluatez00, BgL_bgl_string2991za700za7za7_3135za7, "breal", 5 );
DEFINE_STRING( BGl_string2993z00zz__evaluatez00, BgL_bgl_string2993za700za7za7_3136za7, "real?", 5 );
DEFINE_STRING( BGl_string2995z00zz__evaluatez00, BgL_bgl_string2995za700za7za7_3137za7, "bool", 4 );
DEFINE_STRING( BGl_string2997z00zz__evaluatez00, BgL_bgl_string2997za700za7za7_3138za7, "boolean?", 8 );
DEFINE_STRING( BGl_string2999z00zz__evaluatez00, BgL_bgl_string2999za700za7za7_3139za7, "struct", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat3140z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3141z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat3142z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za73143za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3001z00zz__evaluatez00, BgL_bgl_string3001za700za7za7_3144za7, "struct?", 7 );
DEFINE_STRING( BGl_string3003z00zz__evaluatez00, BgL_bgl_string3003za700za7za7_3145za7, "class", 5 );
DEFINE_STRING( BGl_string3005z00zz__evaluatez00, BgL_bgl_string3005za700za7za7_3146za7, "class?", 6 );
DEFINE_STRING( BGl_string3007z00zz__evaluatez00, BgL_bgl_string3007za700za7za7_3147za7, "string", 6 );
DEFINE_STRING( BGl_string3009z00zz__evaluatez00, BgL_bgl_string3009za700za7za7_3148za7, "bstring", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2960z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2968z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2970z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2972z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2973z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2975z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2977z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2979z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2981z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2983z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2985z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2986z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2988z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2990z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2992z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2994z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2996z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2998z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3000z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3002z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3004z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3006z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3008z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3010z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3012z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3014z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3016z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3018z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3020z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3022z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3024z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3026z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3028z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword3073z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3030z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3032z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3034z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3037z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3040z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3042z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3045z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3047z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3049z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3051z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3053z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3055z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3057z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3059z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3061z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3063z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3065z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3067z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3069z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3071z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1336>\" \"Eval/evaluate.scm\" 4852) \"BGl_z62zc3anonymousza31336ze3ze1zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5140) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5433) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5771) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6072) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6493) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7205) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7586) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8653) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 10000) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10442) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10878) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11160) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12286) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12386) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12939) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13411) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13977) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13544) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13783) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17731) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14524) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13850) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4451, char * BgL_fromz00_4452)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_symbol2960z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2961z00zz__evaluatez00); 
BGl_symbol2968z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2969z00zz__evaluatez00); 
BGl_symbol2970z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2971z00zz__evaluatez00); 
BGl_symbol2972z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2959z00zz__evaluatez00); 
BGl_symbol2973z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2974z00zz__evaluatez00); 
BGl_symbol2975z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2976z00zz__evaluatez00); 
BGl_symbol2977z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2978z00zz__evaluatez00); 
BGl_symbol2979z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2980z00zz__evaluatez00); 
BGl_symbol2981z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2982z00zz__evaluatez00); 
BGl_symbol2983z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2984z00zz__evaluatez00); 
BGl_symbol2985z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2957z00zz__evaluatez00); 
BGl_symbol2986z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2987z00zz__evaluatez00); 
BGl_symbol2988z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2989z00zz__evaluatez00); 
BGl_symbol2990z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2991z00zz__evaluatez00); 
BGl_symbol2992z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2993z00zz__evaluatez00); 
BGl_symbol2994z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2995z00zz__evaluatez00); 
BGl_symbol2996z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2997z00zz__evaluatez00); 
BGl_symbol2998z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2999z00zz__evaluatez00); 
BGl_symbol3000z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3001z00zz__evaluatez00); 
BGl_symbol3002z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3003z00zz__evaluatez00); 
BGl_symbol3004z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3005z00zz__evaluatez00); 
BGl_symbol3006z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3007z00zz__evaluatez00); 
BGl_symbol3008z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3009z00zz__evaluatez00); 
BGl_symbol3010z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3011z00zz__evaluatez00); 
BGl_symbol3012z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3013z00zz__evaluatez00); 
BGl_symbol3014z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3015z00zz__evaluatez00); 
BGl_symbol3016z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3017z00zz__evaluatez00); 
BGl_symbol3018z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3019z00zz__evaluatez00); 
BGl_symbol3020z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3021z00zz__evaluatez00); 
BGl_symbol3022z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3023z00zz__evaluatez00); 
BGl_symbol3024z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3025z00zz__evaluatez00); 
BGl_symbol3026z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3027z00zz__evaluatez00); 
BGl_symbol3028z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3029z00zz__evaluatez00); 
BGl_symbol3030z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3031z00zz__evaluatez00); 
BGl_symbol3032z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3033z00zz__evaluatez00); 
BGl_symbol3034z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3035z00zz__evaluatez00); 
BGl_symbol3037z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3038z00zz__evaluatez00); 
BGl_symbol3040z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3041z00zz__evaluatez00); 
BGl_symbol3042z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3043z00zz__evaluatez00); 
BGl_symbol3045z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3046z00zz__evaluatez00); 
BGl_symbol3047z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3048z00zz__evaluatez00); 
BGl_symbol3049z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3050z00zz__evaluatez00); 
BGl_symbol3051z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3052z00zz__evaluatez00); 
BGl_symbol3053z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3054z00zz__evaluatez00); 
BGl_symbol3055z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3056z00zz__evaluatez00); 
BGl_symbol3057z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3058z00zz__evaluatez00); 
BGl_symbol3059z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3060z00zz__evaluatez00); 
BGl_symbol3061z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3062z00zz__evaluatez00); 
BGl_symbol3063z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3064z00zz__evaluatez00); 
BGl_symbol3065z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3066z00zz__evaluatez00); 
BGl_symbol3067z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3068z00zz__evaluatez00); 
BGl_symbol3069z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3070z00zz__evaluatez00); 
BGl_symbol3071z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3072z00zz__evaluatez00); 
return ( 
BGl_keyword3073z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string3074z00zz__evaluatez00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1122;
BgL_headz00_1122 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1123;obj_t BgL_tailz00_1124;
BgL_prevz00_1123 = BgL_headz00_1122; 
BgL_tailz00_1124 = BgL_l1z00_1; 
BgL_loopz00_1125:
if(
PAIRP(BgL_tailz00_1124))
{ 
obj_t BgL_newzd2prevzd2_1127;
BgL_newzd2prevzd2_1127 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1124), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1123, BgL_newzd2prevzd2_1127); 
{ 
obj_t BgL_tailz00_4523;obj_t BgL_prevz00_4522;
BgL_prevz00_4522 = BgL_newzd2prevzd2_1127; 
BgL_tailz00_4523 = 
CDR(BgL_tailz00_1124); 
BgL_tailz00_1124 = BgL_tailz00_4523; 
BgL_prevz00_1123 = BgL_prevz00_4522; 
goto BgL_loopz00_1125;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1122);} } } 
BGL_FUNCTION_END;
}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
obj_t BgL_stringz00_1130;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_res2620z00_3094;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_arg2476z00_3093;
BgL_arg2476z00_3093 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_res2620z00_3094 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3093); } 
BgL_stringz00_1130 = BgL_res2620z00_3094; } 
{ /* Eval/evaluate.scm 74 */
long BgL_lenz00_1131;
BgL_lenz00_1131 = 
STRING_LENGTH(BgL_stringz00_1130); 
{ /* Eval/evaluate.scm 75 */

{ 
long BgL_walkerz00_1133;
BgL_walkerz00_1133 = ((long)0); 
BgL_zc3anonymousza31299ze3z83_1134:
if(
(BgL_walkerz00_1133==BgL_lenz00_1131))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
bool_t BgL_testz00_4532;
if(
(
STRING_REF(BgL_stringz00_1130, BgL_walkerz00_1133)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1133<
(BgL_lenz00_1131-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4532 = 
(
STRING_REF(BgL_stringz00_1130, 
(BgL_walkerz00_1133+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4532 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_testz00_4532 = ((bool_t)0)
; } 
if(BgL_testz00_4532)
{ /* Eval/evaluate.scm 83 */
obj_t BgL_arg1310z00_1145;obj_t BgL_arg1311z00_1146;
BgL_arg1310z00_1145 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1130, ((long)0), BgL_walkerz00_1133)); 
{ /* Eval/evaluate.scm 84 */
obj_t BgL_arg1313z00_1148;
{ /* Eval/evaluate.scm 84 */
long BgL_arg1314z00_1149;
BgL_arg1314z00_1149 = 
(BgL_walkerz00_1133+((long)2)); 
{ /* Ieee/string.scm 186 */
long BgL_endz00_1152;
BgL_endz00_1152 = 
STRING_LENGTH(BgL_stringz00_1130); 
{ /* Ieee/string.scm 186 */

BgL_arg1313z00_1148 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1130, BgL_arg1314z00_1149, BgL_endz00_1152); } } } 
BgL_arg1311z00_1146 = 
bstring_to_symbol(BgL_arg1313z00_1148); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1310z00_1145, BgL_arg1311z00_1146);}  else 
{ 
long BgL_walkerz00_4549;
BgL_walkerz00_4549 = 
(BgL_walkerz00_1133+((long)1)); 
BgL_walkerz00_1133 = BgL_walkerz00_4549; 
goto BgL_zc3anonymousza31299ze3z83_1134;} } } } } } } 
BGL_FUNCTION_END;
}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
obj_t BgL_sz00_1161;
BgL_sz00_1161 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
obj_t BgL_bpz00_1162;
BgL_bpz00_1162 = 
VECTOR_REF(
((obj_t)BgL_sz00_1161),((long)0)); 
{ /* Eval/evaluate.scm 94 */
obj_t BgL_rz00_1163;
BgL_rz00_1163 = 
make_vector(
(long)CINT(BgL_bpz00_1162), BGl_string2954z00zz__evaluatez00); 
{ 
long BgL_iz00_1165;
BgL_iz00_1165 = ((long)0); 
BgL_zc3anonymousza31321ze3z83_1166:
if(
(BgL_iz00_1165<
(long)CINT(BgL_bpz00_1162)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
obj_t BgL_arg1323z00_1168;
BgL_arg1323z00_1168 = 
VECTOR_REF(
((obj_t)BgL_sz00_1161),BgL_iz00_1165); 
VECTOR_SET(BgL_rz00_1163,BgL_iz00_1165,BgL_arg1323z00_1168); } 
{ 
long BgL_iz00_4562;
BgL_iz00_4562 = 
(BgL_iz00_1165+((long)1)); 
BgL_iz00_1165 = BgL_iz00_4562; 
goto BgL_zc3anonymousza31321ze3z83_1166;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1163;} } } } 
BGL_FUNCTION_END;
}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4400)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 
BGL_FUNCTION_END;
}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
obj_t BgL_sz00_1171;
BgL_sz00_1171 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
obj_t BgL_bpz00_1172;
BgL_bpz00_1172 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
long BgL_iz00_1174;
{ /* Eval/evaluate.scm 107 */
bool_t BgL_tmpz00_4568;
BgL_iz00_1174 = ((long)0); 
BgL_zc3anonymousza31325ze3z83_1175:
if(
(BgL_iz00_1174<
(long)CINT(BgL_bpz00_1172)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
obj_t BgL_arg1327z00_1177;
BgL_arg1327z00_1177 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1174); 
VECTOR_SET(
((obj_t)BgL_sz00_1171),BgL_iz00_1174,BgL_arg1327z00_1177); } 
{ 
long BgL_iz00_4576;
BgL_iz00_4576 = 
(BgL_iz00_1174+((long)1)); 
BgL_iz00_1174 = BgL_iz00_4576; 
goto BgL_zc3anonymousza31325ze3z83_1175;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4568 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4568);} } } } } 
BGL_FUNCTION_END;
}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4401, obj_t BgL_vz00_4402)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4402);} 
BGL_FUNCTION_END;
}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
obj_t BgL_sz00_1180;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4580;
BgL_tmpz00_4580 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1180 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4580); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1180),((long)0),
BINT(BgL_bpz00_5));} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4403, obj_t BgL_bpz00_4404)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
int BgL_auxz00_4586;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4587;
if(
INTEGERP(BgL_bpz00_4404))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4587 = BgL_bpz00_4404
; }  else 
{ 
obj_t BgL_auxz00_4590;
BgL_auxz00_4590 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2955z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2956z00zz__evaluatez00, BGl_string2957z00zz__evaluatez00, BgL_bpz00_4404); 
FAILURE(BgL_auxz00_4590,BFALSE,BFALSE);} 
BgL_auxz00_4586 = 
CINT(BgL_tmpz00_4587); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4586);} } 
BGL_FUNCTION_END;
}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
obj_t BgL_tmpz00_4596;
BgL_tmpz00_4596 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4596, BgL_statez00_6);} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4405, obj_t BgL_statez00_4406)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
obj_t BgL_auxz00_4599;
if(
VECTORP(BgL_statez00_4406))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4599 = BgL_statez00_4406
; }  else 
{ 
obj_t BgL_auxz00_4602;
BgL_auxz00_4602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2955z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2958z00zz__evaluatez00, BGl_string2959z00zz__evaluatez00, BgL_statez00_4406); 
FAILURE(BgL_auxz00_4602,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4599);} } 
BGL_FUNCTION_END;
}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
BgL_ev_exprz00_bglt BgL_astz00_1183;
{ /* Eval/evaluate.scm 130 */
obj_t BgL_arg1337z00_1198;
BgL_arg1337z00_1198 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1183 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1337z00_1198)); } 
{ /* Eval/evaluate.scm 131 */
bool_t BgL_testz00_4610;
{ /* Eval/evaluate.scm 131 */
int BgL_arg1335z00_1188;
BgL_arg1335z00_1188 = 
bgl_debug(); 
BgL_testz00_4610 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1335z00_1188), 
BINT(((long)10))); } 
if(BgL_testz00_4610)
{ /* Eval/evaluate.scm 131 */
BGl_ppz00zz__ppz00(
BGl_uncompilez00zz__evaluate_uncompz00(BgL_astz00_1183), BNIL); }  else 
{ /* Eval/evaluate.scm 131 */BFALSE; } } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1183); 
{ /* Eval/evaluate.scm 133 */
int BgL_nz00_1189;
BgL_nz00_1189 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1183); 
{ /* Eval/evaluate.scm 134 */
obj_t BgL_fz00_1190;
BgL_fz00_1190 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1183); 
{ /* Eval/evaluate.scm 135 */
obj_t BgL_sz00_1191;
BgL_sz00_1191 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 136 */
obj_t BgL_bpz00_1192;
BgL_bpz00_1192 = 
VECTOR_REF(
((obj_t)BgL_sz00_1191),((long)0)); 
{ /* Eval/evaluate.scm 137 */
obj_t BgL_exitd1062z00_1193;
BgL_exitd1062z00_1193 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 139 */
obj_t BgL_zc3anonymousza31336ze3z83_4407;
BgL_zc3anonymousza31336ze3z83_4407 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31336ze3ze1zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31336ze3z83_4407, 
(int)(((long)0)), BgL_sz00_1191); 
PROCEDURE_SET(BgL_zc3anonymousza31336ze3z83_4407, 
(int)(((long)1)), BgL_bpz00_1192); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1062z00_1193, BgL_zc3anonymousza31336ze3z83_4407); 
{ /* Eval/evaluate.scm 138 */
obj_t BgL_tmp1064z00_1195;
BgL_tmp1064z00_1195 = 
PROCEDURE_ENTRY(BgL_fz00_1190)(BgL_fz00_1190, BgL_sz00_1191, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1062z00_1193); 
BGl_z62zc3anonymousza31336ze3ze1zz__evaluatez00(BgL_zc3anonymousza31336ze3z83_4407); 
return BgL_tmp1064z00_1195;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4408, obj_t BgL_sexpz00_4409, obj_t BgL_envz00_4410, obj_t BgL_locz00_4411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4409, BgL_envz00_4410, BgL_locz00_4411);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1336> */
obj_t BGl_z62zc3anonymousza31336ze3ze1zz__evaluatez00(obj_t BgL_envz00_4412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 137 */
{ /* Eval/evaluate.scm 139 */
obj_t BgL_sz00_4413;obj_t BgL_bpz00_4414;
BgL_sz00_4413 = 
PROCEDURE_REF(BgL_envz00_4412, 
(int)(((long)0))); 
BgL_bpz00_4414 = 
PROCEDURE_REF(BgL_envz00_4412, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4413),((long)0),BgL_bpz00_4414);} } 
BGL_FUNCTION_END;
}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 144 */
{ /* Eval/evaluate.scm 145 */
obj_t BgL__ortest_1065z00_1199;
BgL__ortest_1065z00_1199 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1065z00_1199))
{ /* Eval/evaluate.scm 145 */
return BgL__ortest_1065z00_1199;}  else 
{ /* Eval/evaluate.scm 145 */
return BgL_locz00_11;} } } 
BGL_FUNCTION_END;
}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 150 */
{ /* Eval/evaluate.scm 151 */
obj_t BgL__ortest_1066z00_1200;
BgL__ortest_1066z00_1200 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1066z00_1200))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1066z00_1200;}  else 
{ /* Eval/evaluate.scm 152 */
obj_t BgL__ortest_1067z00_1201;
BgL__ortest_1067z00_1201 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1067z00_1201))
{ /* Eval/evaluate.scm 152 */
return BgL__ortest_1067z00_1201;}  else 
{ /* Eval/evaluate.scm 152 */
return BgL_locz00_14;} } } } 
BGL_FUNCTION_END;
}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 158 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2960z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 
BGL_FUNCTION_END;
}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 164 */
{ 
obj_t BgL_lz00_1203;
BgL_lz00_1203 = BgL_localsz00_19; 
BgL_zc3anonymousza31338ze3z83_1204:
if(
NULLP(BgL_lz00_1203))
{ /* Eval/evaluate.scm 166 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 168 */
obj_t BgL_rvz00_1206;
BgL_rvz00_1206 = 
CAR(
((obj_t)BgL_lz00_1203)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1206)))->BgL_namez00)))
{ /* Eval/evaluate.scm 170 */
return BgL_rvz00_1206;}  else 
{ 
obj_t BgL_lz00_4663;
BgL_lz00_4663 = 
CDR(
((obj_t)BgL_lz00_1203)); 
BgL_lz00_1203 = BgL_lz00_4663; 
goto BgL_zc3anonymousza31338ze3z83_1204;} } } } 
BGL_FUNCTION_END;
}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 177 */
{ /* Eval/evaluate.scm 178 */
obj_t BgL_locz00_1213;
BgL_locz00_1213 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
obj_t BgL_e1z00_1217;obj_t BgL_rz00_1218;obj_t BgL_ez00_1215;
if(
NULLP(BgL_lz00_20))
{ 
BgL_ev_littz00_bglt BgL_auxz00_4669;
{ /* Eval/evaluate.scm 181 */
BgL_ev_littz00_bglt BgL_new1070z00_1230;
{ /* Eval/evaluate.scm 182 */
BgL_ev_littz00_bglt BgL_new1069z00_1231;
BgL_new1069z00_1231 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 182 */
long BgL_arg1352z00_1232;
{ /* Eval/evaluate.scm 182 */
long BgL_res2643z00_3161;
BgL_res2643z00_3161 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1352z00_1232 = BgL_res2643z00_3161; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_1231), BgL_arg1352z00_1232); } 
BgL_new1070z00_1230 = BgL_new1069z00_1231; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1070z00_1230))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4669 = BgL_new1070z00_1230; } 
return 
((obj_t)BgL_auxz00_4669);}  else 
{ /* Eval/evaluate.scm 179 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 179 */
if(
NULLP(
CDR(BgL_lz00_20)))
{ /* Eval/evaluate.scm 179 */
BgL_ez00_1215 = 
CAR(BgL_lz00_20); 
return 
BGl_convz00zz__evaluatez00(BgL_ez00_1215, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1215, BgL_locz00_1213), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 179 */
obj_t BgL_arg1349z00_1227;obj_t BgL_arg1350z00_1228;
BgL_arg1349z00_1227 = 
CAR(BgL_lz00_20); 
BgL_arg1350z00_1228 = 
CDR(BgL_lz00_20); 
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_4686;
BgL_e1z00_1217 = BgL_arg1349z00_1227; 
BgL_rz00_1218 = BgL_arg1350z00_1228; 
{ /* Eval/evaluate.scm 186 */
BgL_ev_prog2z00_bglt BgL_new1072z00_1234;
{ /* Eval/evaluate.scm 187 */
BgL_ev_prog2z00_bglt BgL_new1071z00_1236;
BgL_new1071z00_1236 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 187 */
long BgL_arg1355z00_1237;
{ /* Eval/evaluate.scm 187 */
long BgL_res2644z00_3165;
BgL_res2644z00_3165 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1355z00_1237 = BgL_res2644z00_3165; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1236), BgL_arg1355z00_1237); } 
BgL_new1072z00_1234 = BgL_new1071z00_1236; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4691;
{ /* Eval/evaluate.scm 187 */
obj_t BgL_arg1354z00_1235;
BgL_arg1354z00_1235 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1217, BgL_locz00_1213); 
BgL_auxz00_4691 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1217, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1354z00_1235, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1072z00_1234))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4691),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1072z00_1234))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1218, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1213, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4686 = BgL_new1072z00_1234; } 
return 
((obj_t)BgL_auxz00_4686);} } }  else 
{ /* Eval/evaluate.scm 179 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1213, BGl_string2962z00zz__evaluatez00, BGl_string2963z00zz__evaluatez00, BgL_lz00_20);} } } } } 
BGL_FUNCTION_END;
}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 195 */
{ /* Eval/evaluate.scm 196 */
BgL_ev_globalz00_bglt BgL_new1074z00_1238;
{ /* Eval/evaluate.scm 197 */
BgL_ev_globalz00_bglt BgL_new1073z00_1240;
BgL_new1073z00_1240 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 197 */
long BgL_arg1357z00_1241;
{ /* Eval/evaluate.scm 197 */
long BgL_res2648z00_3176;
BgL_res2648z00_3176 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1357z00_1241 = BgL_res2648z00_3176; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1240), BgL_arg1357z00_1241); } 
BgL_new1074z00_1238 = BgL_new1073z00_1240; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1238))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1238))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
obj_t BgL_auxz00_4707;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 199 */
BgL_auxz00_4707 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 199 */
BgL_auxz00_4707 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1074z00_1238))->BgL_modz00)=((obj_t)BgL_auxz00_4707),BUNSPEC); } 
return BgL_new1074z00_1238;} } 
BGL_FUNCTION_END;
}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 204 */
{ /* Eval/evaluate.scm 205 */
obj_t BgL_lz00_1242;
BgL_lz00_1242 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 205 */
obj_t BgL_vz00_1243;
BgL_vz00_1243 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1242)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 206 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1243, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 209 */
obj_t BgL_g1076z00_1246;obj_t BgL_g1078z00_1247;
{ /* Eval/evaluate.scm 210 */
obj_t BgL_arg1373z00_1270;
BgL_arg1373z00_1270 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1243)))->BgL_typez00); 
BgL_g1076z00_1246 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1373z00_1270); } 
BgL_g1078z00_1247 = 
CDR(
((obj_t)BgL_lz00_1242)); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1249;obj_t BgL_klassz00_1250;obj_t BgL_fieldsz00_1251;
BgL_nodez00_1249 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1243)); 
BgL_klassz00_1250 = BgL_g1076z00_1246; 
BgL_fieldsz00_1251 = BgL_g1078z00_1247; 
BgL_zc3anonymousza31359ze3z83_1252:
if(
NULLP(BgL_fieldsz00_1251))
{ /* Eval/evaluate.scm 213 */
return 
((obj_t)BgL_nodez00_1249);}  else 
{ /* Eval/evaluate.scm 213 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1250))
{ /* Eval/evaluate.scm 216 */
obj_t BgL_fieldz00_1255;
{ /* Eval/evaluate.scm 216 */
obj_t BgL_arg1371z00_1266;
BgL_arg1371z00_1266 = 
CAR(
((obj_t)BgL_fieldsz00_1251)); 
BgL_fieldz00_1255 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1250, BgL_arg1371z00_1266); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1255))
{ /* Eval/evaluate.scm 218 */
BgL_ev_appz00_bglt BgL_nodez00_1257;
BgL_nodez00_1257 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1255, BgL_nodez00_1249, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 221 */
obj_t BgL_arg1363z00_1258;obj_t BgL_arg1364z00_1259;
BgL_arg1363z00_1258 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1255); 
BgL_arg1364z00_1259 = 
CDR(
((obj_t)BgL_fieldsz00_1251)); 
{ 
obj_t BgL_fieldsz00_4741;obj_t BgL_klassz00_4740;BgL_ev_exprz00_bglt BgL_nodez00_4738;
BgL_nodez00_4738 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1257); 
BgL_klassz00_4740 = BgL_arg1363z00_1258; 
BgL_fieldsz00_4741 = BgL_arg1364z00_1259; 
BgL_fieldsz00_1251 = BgL_fieldsz00_4741; 
BgL_klassz00_1250 = BgL_klassz00_4740; 
BgL_nodez00_1249 = BgL_nodez00_4738; 
goto BgL_zc3anonymousza31359ze3z83_1252;} } }  else 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1365z00_1260;obj_t BgL_arg1366z00_1261;
BgL_arg1365z00_1260 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1243)))->BgL_typez00); 
{ /* Eval/evaluate.scm 224 */
obj_t BgL_arg1367z00_1262;obj_t BgL_arg1368z00_1263;
BgL_arg1367z00_1262 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1243)))->BgL_typez00); 
BgL_arg1368z00_1263 = 
CAR(
((obj_t)BgL_fieldsz00_1251)); 
{ /* Eval/evaluate.scm 224 */
obj_t BgL_list1369z00_1264;
{ /* Eval/evaluate.scm 224 */
obj_t BgL_arg1370z00_1265;
BgL_arg1370z00_1265 = 
MAKE_YOUNG_PAIR(BgL_arg1368z00_1263, BNIL); 
BgL_list1369z00_1264 = 
MAKE_YOUNG_PAIR(BgL_arg1367z00_1262, BgL_arg1370z00_1265); } 
BgL_arg1366z00_1261 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2964z00zz__evaluatez00, BgL_list1369z00_1264); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1365z00_1260, BgL_arg1366z00_1261, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 227 */
obj_t BgL_arg1372z00_1267;
{ /* Eval/evaluate.scm 227 */
obj_t BgL__ortest_1079z00_1268;
BgL__ortest_1079z00_1268 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1243)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1079z00_1268))
{ /* Eval/evaluate.scm 227 */
BgL_arg1372z00_1267 = BgL__ortest_1079z00_1268; }  else 
{ /* Eval/evaluate.scm 227 */
BgL_arg1372z00_1267 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1243)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1372z00_1267, BGl_string2965z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 229 */
obj_t BgL_arg1374z00_1271;
{ /* Eval/evaluate.scm 229 */
obj_t BgL_pairz00_3189;
BgL_pairz00_3189 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1374z00_1271 = 
CAR(BgL_pairz00_3189); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1374z00_1271, BGl_string2966z00zz__evaluatez00, BgL_ez00_30);} } } } } 
BGL_FUNCTION_END;
}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 234 */
{ /* Eval/evaluate.scm 235 */
obj_t BgL_vz00_1273;
BgL_vz00_1273 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 235 */
obj_t BgL_e2z00_1274;
BgL_e2z00_1274 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 236 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1273, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 239 */
obj_t BgL_g1081z00_1277;obj_t BgL_g1082z00_1278;
{ /* Eval/evaluate.scm 240 */
obj_t BgL_arg1399z00_1309;
BgL_arg1399z00_1309 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1273)))->BgL_typez00); 
BgL_g1081z00_1277 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1399z00_1309); } 
BgL_g1082z00_1278 = 
CDR(BgL_lz00_37); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1280;obj_t BgL_klassz00_1281;obj_t BgL_fieldsz00_1282;
BgL_nodez00_1280 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1273)); 
BgL_klassz00_1281 = BgL_g1081z00_1277; 
BgL_fieldsz00_1282 = BgL_g1082z00_1278; 
BgL_zc3anonymousza31377ze3z83_1283:
if(
NULLP(BgL_fieldsz00_1282))
{ /* Eval/evaluate.scm 243 */
return 
((obj_t)BgL_nodez00_1280);}  else 
{ /* Eval/evaluate.scm 243 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1281))
{ /* Eval/evaluate.scm 246 */
obj_t BgL_fieldz00_1286;
{ /* Eval/evaluate.scm 246 */
obj_t BgL_arg1397z00_1305;
BgL_arg1397z00_1305 = 
CAR(
((obj_t)BgL_fieldsz00_1282)); 
BgL_fieldz00_1286 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1281, BgL_arg1397z00_1305); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1286))
{ /* Eval/evaluate.scm 247 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1282))))
{ /* Eval/evaluate.scm 248 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1286))
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1384z00_1291;
{ /* Eval/evaluate.scm 251 */
obj_t BgL_list1385z00_1292;
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1386z00_1293;
BgL_arg1386z00_1293 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1274, BNIL); 
BgL_list1385z00_1292 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_nodez00_1280), BgL_arg1386z00_1293); } 
BgL_arg1384z00_1291 = BgL_list1385z00_1292; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1286, BgL_arg1384z00_1291, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 252 */
obj_t BgL_arg1387z00_1294;
BgL_arg1387z00_1294 = 
CAR(
((obj_t)BgL_fieldsz00_1282)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1387z00_1294, BGl_string2967z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 255 */
BgL_ev_appz00_bglt BgL_nodez00_1295;
BgL_nodez00_1295 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1286, BgL_nodez00_1280, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 258 */
obj_t BgL_arg1388z00_1296;obj_t BgL_arg1389z00_1297;
BgL_arg1388z00_1296 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1286); 
BgL_arg1389z00_1297 = 
CDR(
((obj_t)BgL_fieldsz00_1282)); 
{ 
obj_t BgL_fieldsz00_4805;obj_t BgL_klassz00_4804;BgL_ev_exprz00_bglt BgL_nodez00_4802;
BgL_nodez00_4802 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1295); 
BgL_klassz00_4804 = BgL_arg1388z00_1296; 
BgL_fieldsz00_4805 = BgL_arg1389z00_1297; 
BgL_fieldsz00_1282 = BgL_fieldsz00_4805; 
BgL_klassz00_1281 = BgL_klassz00_4804; 
BgL_nodez00_1280 = BgL_nodez00_4802; 
goto BgL_zc3anonymousza31377ze3z83_1283;} } } }  else 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1391z00_1299;obj_t BgL_arg1392z00_1300;
BgL_arg1391z00_1299 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1273)))->BgL_typez00); 
{ /* Eval/evaluate.scm 261 */
obj_t BgL_arg1393z00_1301;obj_t BgL_arg1394z00_1302;
BgL_arg1393z00_1301 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1273)))->BgL_typez00); 
BgL_arg1394z00_1302 = 
CAR(
((obj_t)BgL_fieldsz00_1282)); 
{ /* Eval/evaluate.scm 261 */
obj_t BgL_list1395z00_1303;
{ /* Eval/evaluate.scm 261 */
obj_t BgL_arg1396z00_1304;
BgL_arg1396z00_1304 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_1302, BNIL); 
BgL_list1395z00_1303 = 
MAKE_YOUNG_PAIR(BgL_arg1393z00_1301, BgL_arg1396z00_1304); } 
BgL_arg1392z00_1300 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2964z00zz__evaluatez00, BgL_list1395z00_1303); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1391z00_1299, BgL_arg1392z00_1300, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 265 */
obj_t BgL_arg1398z00_1306;
{ /* Eval/evaluate.scm 265 */
obj_t BgL__ortest_1083z00_1307;
BgL__ortest_1083z00_1307 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1273)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1083z00_1307))
{ /* Eval/evaluate.scm 265 */
BgL_arg1398z00_1306 = BgL__ortest_1083z00_1307; }  else 
{ /* Eval/evaluate.scm 265 */
BgL_arg1398z00_1306 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1273)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1398z00_1306, BGl_string2965z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 237 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2966z00zz__evaluatez00, BgL_ez00_39);} } } } } 
BGL_FUNCTION_END;
}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, BgL_ev_exprz00_bglt BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 271 */
{ /* Eval/evaluate.scm 272 */
obj_t BgL_getz00_1312;
BgL_getz00_1312 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 273 */
BgL_ev_appz00_bglt BgL_new1085z00_1313;
{ /* Eval/evaluate.scm 274 */
BgL_ev_appz00_bglt BgL_new1084z00_1318;
BgL_new1084z00_1318 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
long BgL_arg1404z00_1319;
{ /* Eval/evaluate.scm 274 */
long BgL_res2653z00_3202;
BgL_res2653z00_3202 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1404z00_1319 = BgL_res2653z00_3202; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_1318), BgL_arg1404z00_1319); } 
BgL_new1085z00_1313 = BgL_new1084z00_1318; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1313))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4833;
{ /* Eval/evaluate.scm 275 */
BgL_ev_littz00_bglt BgL_new1087z00_1314;
{ /* Eval/evaluate.scm 275 */
BgL_ev_littz00_bglt BgL_new1086z00_1315;
BgL_new1086z00_1315 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 275 */
long BgL_arg1402z00_1316;
{ /* Eval/evaluate.scm 275 */
long BgL_res2654z00_3206;
{ /* Eval/evaluate.scm 275 */
obj_t BgL_classz00_3205;
BgL_classz00_3205 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2654z00_3206 = 
BGL_CLASS_INDEX(BgL_classz00_3205); } 
BgL_arg1402z00_1316 = BgL_res2654z00_3206; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_1315), BgL_arg1402z00_1316); } 
BgL_new1087z00_1314 = BgL_new1086z00_1315; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1087z00_1314))->BgL_valuez00)=((obj_t)BgL_getz00_1312),BUNSPEC); 
BgL_auxz00_4833 = 
((BgL_ev_exprz00_bglt)BgL_new1087z00_1314); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1313))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4833),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4841;
{ /* Eval/evaluate.scm 276 */
obj_t BgL_list1403z00_1317;
BgL_list1403z00_1317 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_argz00_47), BNIL); 
BgL_auxz00_4841 = BgL_list1403z00_1317; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1313))->BgL_argsz00)=((obj_t)BgL_auxz00_4841),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1085z00_1313))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1085z00_1313;} } } 
BGL_FUNCTION_END;
}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 282 */
{ /* Eval/evaluate.scm 283 */
obj_t BgL_setz00_1320;
BgL_setz00_1320 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 284 */
BgL_ev_appz00_bglt BgL_new1089z00_1321;
{ /* Eval/evaluate.scm 285 */
BgL_ev_appz00_bglt BgL_new1088z00_1325;
BgL_new1088z00_1325 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
long BgL_arg1411z00_1326;
{ /* Eval/evaluate.scm 285 */
long BgL_res2656z00_3211;
BgL_res2656z00_3211 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1411z00_1326 = BgL_res2656z00_3211; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_1325), BgL_arg1411z00_1326); } 
BgL_new1089z00_1321 = BgL_new1088z00_1325; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1321))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4852;
{ /* Eval/evaluate.scm 286 */
BgL_ev_littz00_bglt BgL_new1091z00_1322;
{ /* Eval/evaluate.scm 286 */
BgL_ev_littz00_bglt BgL_new1090z00_1323;
BgL_new1090z00_1323 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 286 */
long BgL_arg1410z00_1324;
{ /* Eval/evaluate.scm 286 */
long BgL_res2657z00_3215;
{ /* Eval/evaluate.scm 286 */
obj_t BgL_classz00_3214;
BgL_classz00_3214 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2657z00_3215 = 
BGL_CLASS_INDEX(BgL_classz00_3214); } 
BgL_arg1410z00_1324 = BgL_res2657z00_3215; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_1323), BgL_arg1410z00_1324); } 
BgL_new1091z00_1322 = BgL_new1090z00_1323; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1091z00_1322))->BgL_valuez00)=((obj_t)BgL_setz00_1320),BUNSPEC); 
BgL_auxz00_4852 = 
((BgL_ev_exprz00_bglt)BgL_new1091z00_1322); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1321))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4852),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1321))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1089z00_1321))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1089z00_1321;} } } 
BGL_FUNCTION_END;
}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 293 */
{ /* Eval/evaluate.scm 294 */
obj_t BgL_arg1412z00_1327;obj_t BgL_arg1413z00_1328;
BgL_arg1412z00_1327 = 
CAR(BgL_pz00_54); 
BgL_arg1413z00_1328 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 294 */
obj_t BgL_res2658z00_3220;
BgL_res2658z00_3220 = 
MAKE_YOUNG_EPAIR(BgL_arg1412z00_1327, BgL_arg1413z00_1328, BgL_locz00_55); 
return BgL_res2658z00_3220;} } } 
BGL_FUNCTION_END;
}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 299 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 302 */
obj_t BgL_predz00_1330;
if(
(BgL_tnamez00_57==BGl_symbol2968z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2970z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2972z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2973z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2975z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2977z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2979z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2981z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4875;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1092z00_1406;
BgL__ortest_1092z00_1406 = 
(BgL_tnamez00_57==BGl_symbol2983z00zz__evaluatez00); 
if(BgL__ortest_1092z00_1406)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4875 = BgL__ortest_1092z00_1406
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4875 = 
(BgL_tnamez00_57==BGl_symbol2985z00zz__evaluatez00)
; } } 
if(BgL_testz00_4875)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2986z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4879;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1093z00_1405;
BgL__ortest_1093z00_1405 = 
(BgL_tnamez00_57==BGl_symbol2988z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1405)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4879 = BgL__ortest_1093z00_1405
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4879 = 
(BgL_tnamez00_57==BGl_symbol2990z00zz__evaluatez00)
; } } 
if(BgL_testz00_4879)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2992z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2994z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol2996z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol2998z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol3000z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
if(
(BgL_tnamez00_57==BGl_symbol3002z00zz__evaluatez00))
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol3004z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 302 */
bool_t BgL_testz00_4889;
{ /* Eval/evaluate.scm 302 */
bool_t BgL__ortest_1094z00_1404;
BgL__ortest_1094z00_1404 = 
(BgL_tnamez00_57==BGl_symbol3006z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1404)
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4889 = BgL__ortest_1094z00_1404
; }  else 
{ /* Eval/evaluate.scm 302 */
BgL_testz00_4889 = 
(BgL_tnamez00_57==BGl_symbol3008z00zz__evaluatez00)
; } } 
if(BgL_testz00_4889)
{ /* Eval/evaluate.scm 302 */
BgL_predz00_1330 = BGl_symbol3010z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1460z00_1384;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1461z00_1385;obj_t BgL_arg1462z00_1386;
BgL_arg1461z00_1385 = 
MAKE_YOUNG_PAIR(BGl_symbol3012z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1463z00_1387;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1464z00_1388;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1465z00_1389;obj_t BgL_arg1466z00_1390;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1467z00_1391;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1468z00_1392;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1471z00_1393;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1472z00_1394;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1473z00_1395;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1474z00_1396;
BgL_arg1474z00_1396 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1473z00_1395 = 
MAKE_YOUNG_PAIR(BGl_symbol3014z00zz__evaluatez00, BgL_arg1474z00_1396); } 
BgL_arg1472z00_1394 = 
MAKE_YOUNG_PAIR(BgL_arg1473z00_1395, BNIL); } 
BgL_arg1471z00_1393 = 
MAKE_YOUNG_PAIR(BGl_symbol3016z00zz__evaluatez00, BgL_arg1472z00_1394); } 
BgL_arg1468z00_1392 = 
MAKE_YOUNG_PAIR(BgL_arg1471z00_1393, BNIL); } 
BgL_arg1467z00_1391 = 
MAKE_YOUNG_PAIR(BGl_symbol3018z00zz__evaluatez00, BgL_arg1468z00_1392); } 
BgL_arg1465z00_1389 = 
MAKE_YOUNG_PAIR(BgL_arg1467z00_1391, BNIL); } 
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1475z00_1397;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1476z00_1398;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1477z00_1399;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1478z00_1400;obj_t BgL_arg1479z00_1401;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1480z00_1402;
{ /* Eval/evaluate.scm 315 */
obj_t BgL_arg1481z00_1403;
BgL_arg1481z00_1403 = 
MAKE_YOUNG_PAIR(BGl_symbol3018z00zz__evaluatez00, BNIL); 
BgL_arg1480z00_1402 = 
MAKE_YOUNG_PAIR(BGl_symbol3012z00zz__evaluatez00, BgL_arg1481z00_1403); } 
BgL_arg1478z00_1400 = 
MAKE_YOUNG_PAIR(BGl_symbol3020z00zz__evaluatez00, BgL_arg1480z00_1402); } 
BgL_arg1479z00_1401 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1477z00_1399 = 
MAKE_YOUNG_PAIR(BgL_arg1478z00_1400, BgL_arg1479z00_1401); } 
BgL_arg1476z00_1398 = 
MAKE_YOUNG_PAIR(BGl_symbol3018z00zz__evaluatez00, BgL_arg1477z00_1399); } 
BgL_arg1475z00_1397 = 
MAKE_YOUNG_PAIR(BGl_symbol3022z00zz__evaluatez00, BgL_arg1476z00_1398); } 
BgL_arg1466z00_1390 = 
MAKE_YOUNG_PAIR(BgL_arg1475z00_1397, BNIL); } 
BgL_arg1464z00_1388 = 
MAKE_YOUNG_PAIR(BgL_arg1465z00_1389, BgL_arg1466z00_1390); } 
BgL_arg1463z00_1387 = 
MAKE_YOUNG_PAIR(BGl_symbol3024z00zz__evaluatez00, BgL_arg1464z00_1388); } 
BgL_arg1462z00_1386 = 
MAKE_YOUNG_PAIR(BgL_arg1463z00_1387, BNIL); } 
BgL_arg1460z00_1384 = 
MAKE_YOUNG_PAIR(BgL_arg1461z00_1385, BgL_arg1462z00_1386); } 
BgL_predz00_1330 = 
MAKE_YOUNG_PAIR(BGl_symbol3026z00zz__evaluatez00, BgL_arg1460z00_1384); } } } } } } } } } } 
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1416z00_1331;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1417z00_1332;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1418z00_1333;obj_t BgL_arg1419z00_1334;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1420z00_1335;
BgL_arg1420z00_1335 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1418z00_1333 = 
MAKE_YOUNG_PAIR(BgL_predz00_1330, BgL_arg1420z00_1335); } 
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1421z00_1336;
{ /* Eval/evaluate.scm 317 */
obj_t BgL_arg1422z00_1337;
{ 
obj_t BgL_fnamez00_1338;obj_t BgL_posz00_1339;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 317 */
obj_t BgL_cdrzd2138zd2_1344;
BgL_cdrzd2138zd2_1344 = 
CDR(BgL_locz00_58); 
if(
(
CAR(BgL_locz00_58)==BGl_symbol3032z00zz__evaluatez00))
{ /* Eval/evaluate.scm 317 */
if(
PAIRP(BgL_cdrzd2138zd2_1344))
{ /* Eval/evaluate.scm 317 */
obj_t BgL_cdrzd2142zd2_1348;
BgL_cdrzd2142zd2_1348 = 
CDR(BgL_cdrzd2138zd2_1344); 
if(
PAIRP(BgL_cdrzd2142zd2_1348))
{ /* Eval/evaluate.scm 317 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1348)))
{ /* Eval/evaluate.scm 317 */
BgL_fnamez00_1338 = 
CAR(BgL_cdrzd2138zd2_1344); 
BgL_posz00_1339 = 
CAR(BgL_cdrzd2142zd2_1348); 
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1435z00_1356;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1436z00_1357;obj_t BgL_arg1437z00_1358;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 322 */
obj_t BgL_res2668z00_3239;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg2476z00_3238;
BgL_arg2476z00_3238 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2668z00_3239 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3238); } 
BgL_arg1436z00_1357 = BgL_res2668z00_3239; }  else 
{ /* Eval/evaluate.scm 322 */
BgL_arg1436z00_1357 = BFALSE; } 
{ /* Eval/evaluate.scm 323 */
obj_t BgL_arg1440z00_1360;obj_t BgL_arg1441z00_1361;
{ /* Eval/evaluate.scm 323 */
obj_t BgL_res2669z00_3242;
{ /* Eval/evaluate.scm 323 */
obj_t BgL_arg2476z00_3241;
BgL_arg2476z00_3241 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2669z00_3242 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3241); } 
BgL_arg1440z00_1360 = BgL_res2669z00_3242; } 
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1442z00_1362;
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1443z00_1363;
BgL_arg1443z00_1363 = 
MAKE_YOUNG_PAIR(BgL_posz00_1339, BNIL); 
BgL_arg1442z00_1362 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1338, BgL_arg1443z00_1363); } 
BgL_arg1441z00_1361 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1442z00_1362); } 
BgL_arg1437z00_1358 = 
MAKE_YOUNG_PAIR(BgL_arg1440z00_1360, BgL_arg1441z00_1361); } 
BgL_arg1435z00_1356 = 
MAKE_YOUNG_PAIR(BgL_arg1436z00_1357, BgL_arg1437z00_1358); } 
BgL_arg1422z00_1337 = 
MAKE_YOUNG_PAIR(BGl_symbol3028z00zz__evaluatez00, BgL_arg1435z00_1356); } }  else 
{ /* Eval/evaluate.scm 317 */
BgL_tagzd2131zd2_1341:
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1444z00_1364;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1445z00_1365;obj_t BgL_arg1446z00_1366;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 327 */
obj_t BgL_res2671z00_3246;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg2476z00_3245;
BgL_arg2476z00_3245 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2671z00_3246 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3245); } 
BgL_arg1445z00_1365 = BgL_res2671z00_3246; }  else 
{ /* Eval/evaluate.scm 327 */
BgL_arg1445z00_1365 = BFALSE; } 
{ /* Eval/evaluate.scm 328 */
obj_t BgL_arg1448z00_1368;obj_t BgL_arg1449z00_1369;
{ /* Eval/evaluate.scm 328 */
obj_t BgL_res2672z00_3249;
{ /* Eval/evaluate.scm 328 */
obj_t BgL_arg2476z00_3248;
BgL_arg2476z00_3248 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2672z00_3249 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3248); } 
BgL_arg1448z00_1368 = BgL_res2672z00_3249; } 
BgL_arg1449z00_1369 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1446z00_1366 = 
MAKE_YOUNG_PAIR(BgL_arg1448z00_1368, BgL_arg1449z00_1369); } 
BgL_arg1444z00_1364 = 
MAKE_YOUNG_PAIR(BgL_arg1445z00_1365, BgL_arg1446z00_1366); } 
BgL_arg1422z00_1337 = 
MAKE_YOUNG_PAIR(BGl_symbol3030z00zz__evaluatez00, BgL_arg1444z00_1364); } } }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1341;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1341;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1341;} }  else 
{ /* Eval/evaluate.scm 317 */
goto BgL_tagzd2131zd2_1341;} } 
BgL_arg1421z00_1336 = 
MAKE_YOUNG_PAIR(BgL_arg1422z00_1337, BNIL); } 
BgL_arg1419z00_1334 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1421z00_1336); } 
BgL_arg1417z00_1332 = 
MAKE_YOUNG_PAIR(BgL_arg1418z00_1333, BgL_arg1419z00_1334); } 
BgL_arg1416z00_1331 = 
MAKE_YOUNG_PAIR(BGl_symbol3022z00zz__evaluatez00, BgL_arg1417z00_1332); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1416z00_1331, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 301 */
return BgL_bodyz00_60;} } 
BGL_FUNCTION_END;
}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 335 */
{ /* Eval/evaluate.scm 336 */
bool_t BgL_testz00_4961;
{ /* Eval/evaluate.scm 336 */
int BgL_arg1494z00_1425;
BgL_arg1494z00_1425 = 
bgl_debug(); 
BgL_testz00_4961 = 
(
(long)(BgL_arg1494z00_1425)<=((long)0)); } 
if(BgL_testz00_4961)
{ /* Eval/evaluate.scm 336 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 336 */
return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 
BGL_FUNCTION_END;
}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4446, obj_t BgL_procnamez00_4445, obj_t BgL_locz00_4444, obj_t BgL_varsz00_1410, obj_t BgL_srcsz00_1411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 338 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1410))
{ /* Eval/evaluate.scm 340 */
return BgL_bodyz00_4446;}  else 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_vz00_1414;
BgL_vz00_1414 = 
CAR(
((obj_t)BgL_varsz00_1410)); 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_idz00_1415;
BgL_idz00_1415 = 
CAR(
((obj_t)BgL_vz00_1414)); 
{ /* Eval/evaluate.scm 343 */
obj_t BgL_tnamez00_1416;
BgL_tnamez00_1416 = 
CDR(
((obj_t)BgL_vz00_1414)); 
{ /* Eval/evaluate.scm 344 */

if(
CBOOL(BgL_tnamez00_1416))
{ /* Eval/evaluate.scm 346 */
obj_t BgL_locz00_1417;
{ /* Eval/evaluate.scm 346 */
obj_t BgL_arg1490z00_1421;
BgL_arg1490z00_1421 = 
CAR(
((obj_t)BgL_srcsz00_1411)); 
BgL_locz00_1417 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1490z00_1421, BgL_srcsz00_1411, BgL_locz00_4444); } 
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1486z00_1418;
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1488z00_1419;obj_t BgL_arg1489z00_1420;
BgL_arg1488z00_1419 = 
CDR(
((obj_t)BgL_varsz00_1410)); 
BgL_arg1489z00_1420 = 
CDR(
((obj_t)BgL_srcsz00_1411)); 
BgL_arg1486z00_1418 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4446, BgL_procnamez00_4445, BgL_locz00_4444, BgL_arg1488z00_1419, BgL_arg1489z00_1420); } 
return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1415, BgL_tnamez00_1416, BgL_locz00_1417, BgL_procnamez00_4445, BgL_arg1486z00_1418);} }  else 
{ /* Eval/evaluate.scm 349 */
obj_t BgL_arg1492z00_1422;obj_t BgL_arg1493z00_1423;
BgL_arg1492z00_1422 = 
CDR(
((obj_t)BgL_varsz00_1410)); 
BgL_arg1493z00_1423 = 
CDR(
((obj_t)BgL_srcsz00_1411)); 
{ 
obj_t BgL_srcsz00_4990;obj_t BgL_varsz00_4989;
BgL_varsz00_4989 = BgL_arg1492z00_1422; 
BgL_srcsz00_4990 = BgL_arg1493z00_1423; 
BgL_srcsz00_1411 = BgL_srcsz00_4990; 
BgL_varsz00_1410 = BgL_varsz00_4989; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 
BGL_FUNCTION_END;
}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 354 */
{ /* Eval/evaluate.scm 355 */
bool_t BgL_testz00_4991;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 355 */
int BgL_arg1509z00_1440;
BgL_arg1509z00_1440 = 
bgl_debug(); 
BgL_testz00_4991 = 
(
(long)(BgL_arg1509z00_1440)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 355 */
BgL_testz00_4991 = ((bool_t)0)
; } 
if(BgL_testz00_4991)
{ /* Eval/evaluate.scm 356 */
obj_t BgL_tmpz00_1428;
BgL_tmpz00_1428 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol3034z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1498z00_1429;obj_t BgL_arg1499z00_1430;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1500z00_1431;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1501z00_1432;obj_t BgL_arg1502z00_1433;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1503z00_1434;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1504z00_1435;obj_t BgL_arg1505z00_1436;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1506z00_1437;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_list1507z00_1438;
{ /* Eval/evaluate.scm 358 */
obj_t BgL_arg1508z00_1439;
BgL_arg1508z00_1439 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1507z00_1438 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1428, BgL_arg1508z00_1439); } 
BgL_arg1506z00_1437 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3036z00zz__evaluatez00, BgL_list1507z00_1438); } 
BgL_arg1504z00_1435 = 
bstring_to_symbol(BgL_arg1506z00_1437); } 
BgL_arg1505z00_1436 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1503z00_1434 = 
MAKE_YOUNG_PAIR(BgL_arg1504z00_1435, BgL_arg1505z00_1436); } 
BgL_arg1501z00_1432 = 
MAKE_YOUNG_PAIR(BgL_arg1503z00_1434, BNIL); } 
BgL_arg1502z00_1433 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1428, BNIL); 
BgL_arg1500z00_1431 = 
MAKE_YOUNG_PAIR(BgL_arg1501z00_1432, BgL_arg1502z00_1433); } 
BgL_arg1498z00_1429 = 
MAKE_YOUNG_PAIR(BGl_symbol3024z00zz__evaluatez00, BgL_arg1500z00_1431); } 
BgL_arg1499z00_1430 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1498z00_1429, BgL_arg1499z00_1430);} }  else 
{ /* Eval/evaluate.scm 355 */
return BgL_bodyz00_67;} } } 
BGL_FUNCTION_END;
}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 366 */
BGl_convz00zz__evaluatez00:
{ 
obj_t BgL_ez00_2619;obj_t BgL_locz00_2620;obj_t BgL_wherez00_2621;obj_t BgL_ez00_2629;obj_t BgL_wherez00_2630;
{ 
obj_t BgL_xz00_1449;obj_t BgL_bahz00_1451;obj_t BgL_idz00_1453;obj_t BgL_modnamez00_1454;obj_t BgL_lz00_1456;obj_t BgL_funz00_1458;obj_t BgL_argsz00_1459;obj_t BgL_ez00_1461;obj_t BgL_vz00_1463;obj_t BgL_pz00_1465;obj_t BgL_tz00_1466;obj_t BgL_oz00_1467;obj_t BgL_pz00_1469;obj_t BgL_tz00_1470;obj_t BgL_argsz00_1472;obj_t BgL_argsz00_1474;obj_t BgL_lz00_1476;obj_t BgL_bindsz00_1478;obj_t BgL_bodyz00_1479;obj_t BgL_bindsz00_1481;obj_t BgL_bodyz00_1482;obj_t BgL_bindsz00_1484;obj_t BgL_bodyz00_1485;obj_t BgL_idz00_1487;obj_t BgL_modnamez00_1488;obj_t BgL_ez00_1489;obj_t BgL_lz00_1491;obj_t BgL_e2z00_1492;obj_t BgL_vz00_1494;obj_t BgL_ez00_1495;obj_t BgL_gvz00_1498;obj_t BgL_formalsz00_1499;obj_t BgL_bodyz00_1500;obj_t BgL_gvz00_1502;obj_t BgL_gez00_1503;obj_t BgL_vz00_1505;obj_t BgL_bodyz00_1506;obj_t BgL_ez00_1508;obj_t BgL_bodyz00_1509;obj_t BgL_hz00_1511;obj_t BgL_bodyz00_1512;obj_t BgL_mz00_1514;obj_t BgL_pz00_1515;obj_t BgL_bodyz00_1516;obj_t BgL_mz00_1518;obj_t BgL_bodyz00_1519;obj_t BgL_formalsz00_1521;obj_t BgL_bodyz00_1522;obj_t BgL_fz00_1524;obj_t BgL_argsz00_1525;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3045z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_bahz00_1451 = 
CDR(BgL_ez00_69); 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 433 */
obj_t BgL_formsz00_2309;
BgL_formsz00_2309 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 434 */
obj_t BgL_arg2173z00_2310;obj_t BgL_arg2174z00_2311;
BgL_arg2173z00_2310 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2309); 
BgL_arg2174z00_2311 = 
BGL_MODULE(); 
{ 
bool_t BgL_topzf3zf3_5024;obj_t BgL_wherez00_5023;obj_t BgL_tailzf3zf3_5022;obj_t BgL_globalsz00_5021;obj_t BgL_ez00_5020;
BgL_ez00_5020 = BgL_arg2173z00_2310; 
BgL_globalsz00_5021 = BgL_arg2174z00_2311; 
BgL_tailzf3zf3_5022 = BgL_wherez00_73; 
BgL_wherez00_5023 = BFALSE; 
BgL_topzf3zf3_5024 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5024; 
BgL_wherez00_73 = BgL_wherez00_5023; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5022; 
BgL_globalsz00_71 = BgL_globalsz00_5021; 
BgL_ez00_69 = BgL_ez00_5020; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 432 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2962z00zz__evaluatez00, BGl_string3044z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd2249zd2_1533;
BgL_cdrzd2249zd2_1533 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3047z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1533))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2252zd2_1537;obj_t BgL_cdrzd2253zd2_1538;
BgL_carzd2252zd2_1537 = 
CAR(BgL_cdrzd2249zd2_1533); 
BgL_cdrzd2253zd2_1538 = 
CDR(BgL_cdrzd2249zd2_1533); 
if(
SYMBOLP(BgL_carzd2252zd2_1537))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2253zd2_1538))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2257zd2_1541;
BgL_carzd2257zd2_1541 = 
CAR(BgL_cdrzd2253zd2_1538); 
if(
SYMBOLP(BgL_carzd2257zd2_1541))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2253zd2_1538)))
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5045;
BgL_idz00_1453 = BgL_carzd2252zd2_1537; 
BgL_modnamez00_1454 = BgL_carzd2257zd2_1541; 
{ /* Eval/evaluate.scm 438 */
BgL_ev_globalz00_bglt BgL_new1105z00_2313;
{ /* Eval/evaluate.scm 439 */
BgL_ev_globalz00_bglt BgL_new1104z00_2314;
BgL_new1104z00_2314 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 439 */
long BgL_arg2176z00_2315;
{ /* Eval/evaluate.scm 439 */
long BgL_res2696z00_3312;
BgL_res2696z00_3312 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg2176z00_2315 = BgL_res2696z00_3312; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_2314), BgL_arg2176z00_2315); } 
BgL_new1105z00_2313 = BgL_new1104z00_2314; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2313))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2313))->BgL_namez00)=((obj_t)BgL_idz00_1453),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2313))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1454)),BUNSPEC); 
BgL_auxz00_5045 = BgL_new1105z00_2313; } 
return 
((obj_t)BgL_auxz00_5045);}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd2302zd2_1545;
BgL_carzd2302zd2_1545 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd2302zd2_1545))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2302zd2_1545, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5061;
BgL_funz00_1458 = BgL_carzd2302zd2_1545; 
BgL_argsz00_1459 = BgL_cdrzd2249zd2_1533; 
BgL_tagzd2152zd2_1460:
{ /* Eval/evaluate.scm 450 */
obj_t BgL_funz00_2342;obj_t BgL_argsz00_2343;
BgL_funz00_2342 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1458); 
BgL_argsz00_2343 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1459); 
{ /* Eval/evaluate.scm 451 */
BgL_ev_appz00_bglt BgL_new1107z00_2344;
{ /* Eval/evaluate.scm 452 */
BgL_ev_appz00_bglt BgL_new1106z00_2345;
BgL_new1106z00_2345 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 452 */
long BgL_arg2190z00_2346;
{ /* Eval/evaluate.scm 452 */
long BgL_res2701z00_3323;
BgL_res2701z00_3323 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2190z00_2346 = BgL_res2701z00_3323; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_2345), BgL_arg2190z00_2346); } 
BgL_new1107z00_2344 = BgL_new1106z00_2345; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2344))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2344))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2342)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2344))->BgL_argsz00)=((obj_t)BgL_argsz00_2343),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2344))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5061 = BgL_new1107z00_2344; } } 
return 
((obj_t)BgL_auxz00_5061);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5074;
BgL_fz00_1524 = BgL_carzd2302zd2_1545; 
BgL_argsz00_1525 = BgL_cdrzd2249zd2_1533; 
BgL_tagzd2175zd2_1526:
{ /* Eval/evaluate.scm 598 */
obj_t BgL_funz00_2608;obj_t BgL_argsz00_2609;
BgL_funz00_2608 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1524); 
BgL_argsz00_2609 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1525); 
{ /* Eval/evaluate.scm 599 */
BgL_ev_appz00_bglt BgL_new1155z00_2610;
{ /* Eval/evaluate.scm 600 */
BgL_ev_appz00_bglt BgL_new1154z00_2611;
BgL_new1154z00_2611 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 600 */
long BgL_arg2310z00_2612;
{ /* Eval/evaluate.scm 600 */
long BgL_res2765z00_3533;
BgL_res2765z00_3533 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2310z00_2612 = BgL_res2765z00_3533; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_2611), BgL_arg2310z00_2612); } 
BgL_new1155z00_2610 = BgL_new1154z00_2611; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2610))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2610))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2608)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2610))->BgL_argsz00)=((obj_t)BgL_argsz00_2609),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1155z00_2610))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5074 = BgL_new1155z00_2610; } } 
return 
((obj_t)BgL_auxz00_5074);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5087;
{ 
obj_t BgL_argsz00_5089;obj_t BgL_fz00_5088;
BgL_fz00_5088 = BgL_carzd2302zd2_1545; 
BgL_argsz00_5089 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5089; 
BgL_fz00_1524 = BgL_fz00_5088; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5087);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd21005zd2_1556;
BgL_carzd21005zd2_1556 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21005zd2_1556))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21005zd2_1556, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5097;
{ 
obj_t BgL_argsz00_5099;obj_t BgL_funz00_5098;
BgL_funz00_5098 = BgL_carzd21005zd2_1556; 
BgL_argsz00_5099 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1459 = BgL_argsz00_5099; 
BgL_funz00_1458 = BgL_funz00_5098; 
goto BgL_tagzd2152zd2_1460;} 
return 
((obj_t)BgL_auxz00_5097);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5101;
{ 
obj_t BgL_argsz00_5103;obj_t BgL_fz00_5102;
BgL_fz00_5102 = BgL_carzd21005zd2_1556; 
BgL_argsz00_5103 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5103; 
BgL_fz00_1524 = BgL_fz00_5102; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5101);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5105;
{ 
obj_t BgL_argsz00_5107;obj_t BgL_fz00_5106;
BgL_fz00_5106 = BgL_carzd21005zd2_1556; 
BgL_argsz00_5107 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5107; 
BgL_fz00_1524 = BgL_fz00_5106; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5105);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd21708zd2_1566;
BgL_carzd21708zd2_1566 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21708zd2_1566))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21708zd2_1566, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5115;
{ 
obj_t BgL_argsz00_5117;obj_t BgL_funz00_5116;
BgL_funz00_5116 = BgL_carzd21708zd2_1566; 
BgL_argsz00_5117 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1459 = BgL_argsz00_5117; 
BgL_funz00_1458 = BgL_funz00_5116; 
goto BgL_tagzd2152zd2_1460;} 
return 
((obj_t)BgL_auxz00_5115);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5119;
{ 
obj_t BgL_argsz00_5121;obj_t BgL_fz00_5120;
BgL_fz00_5120 = BgL_carzd21708zd2_1566; 
BgL_argsz00_5121 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5121; 
BgL_fz00_1524 = BgL_fz00_5120; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5119);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5123;
{ 
obj_t BgL_argsz00_5125;obj_t BgL_fz00_5124;
BgL_fz00_5124 = BgL_carzd21708zd2_1566; 
BgL_argsz00_5125 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5125; 
BgL_fz00_1524 = BgL_fz00_5124; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5123);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd22411zd2_1576;
BgL_carzd22411zd2_1576 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd22411zd2_1576))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22411zd2_1576, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5133;
{ 
obj_t BgL_argsz00_5135;obj_t BgL_funz00_5134;
BgL_funz00_5134 = BgL_carzd22411zd2_1576; 
BgL_argsz00_5135 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1459 = BgL_argsz00_5135; 
BgL_funz00_1458 = BgL_funz00_5134; 
goto BgL_tagzd2152zd2_1460;} 
return 
((obj_t)BgL_auxz00_5133);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5137;
{ 
obj_t BgL_argsz00_5139;obj_t BgL_fz00_5138;
BgL_fz00_5138 = BgL_carzd22411zd2_1576; 
BgL_argsz00_5139 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5139; 
BgL_fz00_1524 = BgL_fz00_5138; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5137);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5141;
{ 
obj_t BgL_argsz00_5143;obj_t BgL_fz00_5142;
BgL_fz00_5142 = BgL_carzd22411zd2_1576; 
BgL_argsz00_5143 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5143; 
BgL_fz00_1524 = BgL_fz00_5142; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5141);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd23114zd2_1586;
BgL_carzd23114zd2_1586 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23114zd2_1586))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23114zd2_1586, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5151;
{ 
obj_t BgL_argsz00_5153;obj_t BgL_funz00_5152;
BgL_funz00_5152 = BgL_carzd23114zd2_1586; 
BgL_argsz00_5153 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1459 = BgL_argsz00_5153; 
BgL_funz00_1458 = BgL_funz00_5152; 
goto BgL_tagzd2152zd2_1460;} 
return 
((obj_t)BgL_auxz00_5151);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5155;
{ 
obj_t BgL_argsz00_5157;obj_t BgL_fz00_5156;
BgL_fz00_5156 = BgL_carzd23114zd2_1586; 
BgL_argsz00_5157 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5157; 
BgL_fz00_1524 = BgL_fz00_5156; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5155);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5159;
{ 
obj_t BgL_argsz00_5161;obj_t BgL_fz00_5160;
BgL_fz00_5160 = BgL_carzd23114zd2_1586; 
BgL_argsz00_5161 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1525 = BgL_argsz00_5161; 
BgL_fz00_1524 = BgL_fz00_5160; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5159);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3049z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_lz00_1456 = BgL_cdrzd2249zd2_1533; 
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5166;
if(
PAIRP(BgL_lz00_1456))
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5169;
{ /* Eval/evaluate.scm 443 */
obj_t BgL_tmpz00_5170;
BgL_tmpz00_5170 = 
CDR(BgL_lz00_1456); 
BgL_testz00_5169 = 
PAIRP(BgL_tmpz00_5170); } 
if(BgL_testz00_5169)
{ 
obj_t BgL_l1202z00_2333;
BgL_l1202z00_2333 = BgL_lz00_1456; 
BgL_zc3anonymousza32186ze3z83_2334:
if(
NULLP(BgL_l1202z00_2333))
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5166 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 443 */
bool_t BgL_testz00_5175;
{ /* Eval/evaluate.scm 443 */
obj_t BgL_tmpz00_5176;
BgL_tmpz00_5176 = 
CAR(
((obj_t)BgL_l1202z00_2333)); 
BgL_testz00_5175 = 
SYMBOLP(BgL_tmpz00_5176); } 
if(BgL_testz00_5175)
{ 
obj_t BgL_l1202z00_5180;
BgL_l1202z00_5180 = 
CDR(
((obj_t)BgL_l1202z00_2333)); 
BgL_l1202z00_2333 = BgL_l1202z00_5180; 
goto BgL_zc3anonymousza32186ze3z83_2334;}  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5166 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5166 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 443 */
BgL_testz00_5166 = ((bool_t)0)
; } 
if(BgL_testz00_5166)
{ /* Eval/evaluate.scm 443 */
return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 443 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2962z00zz__evaluatez00, BGl_string3039z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd23820zd2_1599;
BgL_carzd23820zd2_1599 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23820zd2_1599))
{ /* Eval/evaluate.scm 425 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23820zd2_1599, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5191;
{ 
obj_t BgL_argsz00_5193;obj_t BgL_funz00_5192;
BgL_funz00_5192 = BgL_carzd23820zd2_1599; 
BgL_argsz00_5193 = BgL_cdrzd2249zd2_1533; 
BgL_argsz00_1459 = BgL_argsz00_5193; 
BgL_funz00_1458 = BgL_funz00_5192; 
goto BgL_tagzd2152zd2_1460;} 
return 
((obj_t)BgL_auxz00_5191);}  else 
{ /* Eval/evaluate.scm 425 */
if(
(BgL_carzd23820zd2_1599==BGl_symbol3051z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1533))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1533)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1580z00_1610;
BgL_arg1580z00_1610 = 
CAR(BgL_cdrzd2249zd2_1533); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5203;
BgL_ez00_1461 = BgL_arg1580z00_1610; 
BgL_tagzd2153zd2_1462:
{ /* Eval/evaluate.scm 457 */
BgL_ev_trapz00_bglt BgL_new1109z00_2347;
{ /* Eval/evaluate.scm 458 */
BgL_ev_trapz00_bglt BgL_new1108z00_2348;
BgL_new1108z00_2348 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 458 */
long BgL_arg2191z00_2349;
{ /* Eval/evaluate.scm 458 */
long BgL_res2702z00_3327;
BgL_res2702z00_3327 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg2191z00_2349 = BgL_res2702z00_3327; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_2348), BgL_arg2191z00_2349); } 
BgL_new1109z00_2347 = BgL_new1108z00_2348; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1109z00_2347)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1461))),BUNSPEC); 
BgL_auxz00_5203 = BgL_new1109z00_2347; } 
return 
((obj_t)BgL_auxz00_5203);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1581z00_1611;obj_t BgL_arg1582z00_1612;
BgL_arg1581z00_1611 = 
CAR(BgL_ez00_69); 
BgL_arg1582z00_1612 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5215;
{ 
obj_t BgL_argsz00_5217;obj_t BgL_fz00_5216;
BgL_fz00_5216 = BgL_arg1581z00_1611; 
BgL_argsz00_5217 = BgL_arg1582z00_1612; 
BgL_argsz00_1525 = BgL_argsz00_5217; 
BgL_fz00_1524 = BgL_fz00_5216; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5215);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1584z00_1614;obj_t BgL_arg1586z00_1615;
BgL_arg1584z00_1614 = 
CAR(BgL_ez00_69); 
BgL_arg1586z00_1615 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5221;
{ 
obj_t BgL_argsz00_5223;obj_t BgL_fz00_5222;
BgL_fz00_5222 = BgL_arg1584z00_1614; 
BgL_argsz00_5223 = BgL_arg1586z00_1615; 
BgL_argsz00_1525 = BgL_argsz00_5223; 
BgL_fz00_1524 = BgL_fz00_5222; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5221);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd24489zd2_1616;
BgL_cdrzd24489zd2_1616 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3014z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd24489zd2_1616))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd24489zd2_1616)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1592z00_1622;
BgL_arg1592z00_1622 = 
CAR(BgL_cdrzd24489zd2_1616); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_5235;
BgL_vz00_1463 = BgL_arg1592z00_1622; 
BgL_tagzd2154zd2_1464:
{ /* Eval/evaluate.scm 460 */
BgL_ev_littz00_bglt BgL_new1111z00_2350;
{ /* Eval/evaluate.scm 461 */
BgL_ev_littz00_bglt BgL_new1110z00_2351;
BgL_new1110z00_2351 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 461 */
long BgL_arg2192z00_2352;
{ /* Eval/evaluate.scm 461 */
long BgL_res2703z00_3331;
BgL_res2703z00_3331 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2192z00_2352 = BgL_res2703z00_3331; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2351), BgL_arg2192z00_2352); } 
BgL_new1111z00_2350 = BgL_new1110z00_2351; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1111z00_2350))->BgL_valuez00)=((obj_t)BgL_vz00_1463),BUNSPEC); 
BgL_auxz00_5235 = BgL_new1111z00_2350; } 
return 
((obj_t)BgL_auxz00_5235);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1593z00_1623;
BgL_arg1593z00_1623 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5243;
{ 
obj_t BgL_argsz00_5245;obj_t BgL_fz00_5244;
BgL_fz00_5244 = BgL_arg1593z00_1623; 
BgL_argsz00_5245 = BgL_cdrzd24489zd2_1616; 
BgL_argsz00_1525 = BgL_argsz00_5245; 
BgL_fz00_1524 = BgL_fz00_5244; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5243);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1597z00_1626;
BgL_arg1597z00_1626 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5248;
{ 
obj_t BgL_argsz00_5250;obj_t BgL_fz00_5249;
BgL_fz00_5249 = BgL_arg1597z00_1626; 
BgL_argsz00_5250 = BgL_cdrzd24489zd2_1616; 
BgL_argsz00_1525 = BgL_argsz00_5250; 
BgL_fz00_1524 = BgL_fz00_5249; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5248);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3022z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd24489zd2_1616))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25099zd2_1632;
BgL_cdrzd25099zd2_1632 = 
CDR(BgL_cdrzd24489zd2_1616); 
if(
PAIRP(BgL_cdrzd25099zd2_1632))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25104zd2_1634;
BgL_cdrzd25104zd2_1634 = 
CDR(BgL_cdrzd25099zd2_1632); 
if(
PAIRP(BgL_cdrzd25104zd2_1634))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd25104zd2_1634)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1606z00_1638;obj_t BgL_arg1607z00_1639;obj_t BgL_arg1608z00_1640;
BgL_arg1606z00_1638 = 
CAR(BgL_cdrzd24489zd2_1616); 
BgL_arg1607z00_1639 = 
CAR(BgL_cdrzd25099zd2_1632); 
BgL_arg1608z00_1640 = 
CAR(BgL_cdrzd25104zd2_1634); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5269;
BgL_pz00_1465 = BgL_arg1606z00_1638; 
BgL_tz00_1466 = BgL_arg1607z00_1639; 
BgL_oz00_1467 = BgL_arg1608z00_1640; 
BgL_tagzd2155zd2_1468:
{ /* Eval/evaluate.scm 463 */
BgL_ev_ifz00_bglt BgL_new1113z00_2353;
{ /* Eval/evaluate.scm 464 */
BgL_ev_ifz00_bglt BgL_new1112z00_2357;
BgL_new1112z00_2357 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 464 */
long BgL_arg2196z00_2358;
{ /* Eval/evaluate.scm 464 */
long BgL_res2704z00_3335;
BgL_res2704z00_3335 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2196z00_2358 = BgL_res2704z00_3335; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_2357), BgL_arg2196z00_2358); } 
BgL_new1113z00_2353 = BgL_new1112z00_2357; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5274;
{ /* Eval/evaluate.scm 464 */
obj_t BgL_arg2193z00_2354;
BgL_arg2193z00_2354 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1465, BgL_locz00_74); 
BgL_auxz00_5274 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1465, BgL_arg2193z00_2354)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2353))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5274),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5279;
{ /* Eval/evaluate.scm 465 */
obj_t BgL_arg2194z00_2355;
BgL_arg2194z00_2355 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1466, BgL_locz00_74); 
BgL_auxz00_5279 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1466, BgL_arg2194z00_2355)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2353))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5279),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5284;
{ /* Eval/evaluate.scm 466 */
obj_t BgL_arg2195z00_2356;
BgL_arg2195z00_2356 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1467, BgL_locz00_74); 
BgL_auxz00_5284 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1467, BgL_arg2195z00_2356)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1113z00_2353))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5284),BUNSPEC); } 
BgL_auxz00_5269 = BgL_new1113z00_2353; } 
return 
((obj_t)BgL_auxz00_5269);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1609z00_1641;obj_t BgL_arg1610z00_1642;
BgL_arg1609z00_1641 = 
CAR(BgL_ez00_69); 
BgL_arg1610z00_1642 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5292;
{ 
obj_t BgL_argsz00_5294;obj_t BgL_fz00_5293;
BgL_fz00_5293 = BgL_arg1609z00_1641; 
BgL_argsz00_5294 = BgL_arg1610z00_1642; 
BgL_argsz00_1525 = BgL_argsz00_5294; 
BgL_fz00_1524 = BgL_fz00_5293; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5292);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25402zd2_1644;
BgL_cdrzd25402zd2_1644 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd25408zd2_1645;
BgL_cdrzd25408zd2_1645 = 
CDR(
((obj_t)BgL_cdrzd25402zd2_1644)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25408zd2_1645))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1618z00_1648;obj_t BgL_arg1619z00_1649;
BgL_arg1618z00_1648 = 
CAR(
((obj_t)BgL_cdrzd25402zd2_1644)); 
BgL_arg1619z00_1649 = 
CAR(
((obj_t)BgL_cdrzd25408zd2_1645)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5307;
BgL_pz00_1469 = BgL_arg1618z00_1648; 
BgL_tz00_1470 = BgL_arg1619z00_1649; 
BgL_tagzd2156zd2_1471:
{ /* Eval/evaluate.scm 468 */
BgL_ev_ifz00_bglt BgL_new1115z00_2359;
{ /* Eval/evaluate.scm 469 */
BgL_ev_ifz00_bglt BgL_new1114z00_2363;
BgL_new1114z00_2363 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 469 */
long BgL_arg2200z00_2364;
{ /* Eval/evaluate.scm 469 */
long BgL_res2705z00_3339;
BgL_res2705z00_3339 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2200z00_2364 = BgL_res2705z00_3339; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_2363), BgL_arg2200z00_2364); } 
BgL_new1115z00_2359 = BgL_new1114z00_2363; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5312;
{ /* Eval/evaluate.scm 469 */
obj_t BgL_arg2197z00_2360;
BgL_arg2197z00_2360 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1469, BgL_locz00_74); 
BgL_auxz00_5312 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1469, BgL_arg2197z00_2360)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2359))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5312),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5317;
{ /* Eval/evaluate.scm 470 */
obj_t BgL_arg2198z00_2361;
BgL_arg2198z00_2361 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1470, BgL_locz00_74); 
BgL_auxz00_5317 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1470, BgL_arg2198z00_2361)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2359))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5317),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5322;
{ /* Eval/evaluate.scm 471 */
obj_t BgL_arg2199z00_2362;
BgL_arg2199z00_2362 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5322 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2199z00_2362)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2359))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5322),BUNSPEC); } 
BgL_auxz00_5307 = BgL_new1115z00_2359; } 
return 
((obj_t)BgL_auxz00_5307);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1620z00_1650;
BgL_arg1620z00_1650 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5329;
{ 
obj_t BgL_argsz00_5331;obj_t BgL_fz00_5330;
BgL_fz00_5330 = BgL_arg1620z00_1650; 
BgL_argsz00_5331 = BgL_cdrzd25402zd2_1644; 
BgL_argsz00_1525 = BgL_argsz00_5331; 
BgL_fz00_1524 = BgL_fz00_5330; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5329);} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1624z00_1653;obj_t BgL_arg1626z00_1654;
BgL_arg1624z00_1653 = 
CAR(BgL_ez00_69); 
BgL_arg1626z00_1654 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5335;
{ 
obj_t BgL_argsz00_5337;obj_t BgL_fz00_5336;
BgL_fz00_5336 = BgL_arg1624z00_1653; 
BgL_argsz00_5337 = BgL_arg1626z00_1654; 
BgL_argsz00_1525 = BgL_argsz00_5337; 
BgL_fz00_1524 = BgL_fz00_5336; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5335);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1630z00_1655;obj_t BgL_arg1631z00_1656;
BgL_arg1630z00_1655 = 
CAR(BgL_ez00_69); 
BgL_arg1631z00_1656 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5341;
{ 
obj_t BgL_argsz00_5343;obj_t BgL_fz00_5342;
BgL_fz00_5342 = BgL_arg1630z00_1655; 
BgL_argsz00_5343 = BgL_arg1631z00_1656; 
BgL_argsz00_1525 = BgL_argsz00_5343; 
BgL_fz00_1524 = BgL_fz00_5342; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5341);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1634z00_1659;
BgL_arg1634z00_1659 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_5349;
BgL_argsz00_1472 = BgL_arg1634z00_1659; 
BgL_tagzd2157zd2_1473:
{ /* Eval/evaluate.scm 473 */
BgL_ev_orz00_bglt BgL_new1117z00_2365;
{ /* Eval/evaluate.scm 474 */
BgL_ev_orz00_bglt BgL_new1116z00_2366;
BgL_new1116z00_2366 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 474 */
long BgL_arg2201z00_2367;
{ /* Eval/evaluate.scm 474 */
long BgL_res2706z00_3343;
BgL_res2706z00_3343 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg2201z00_2367 = BgL_res2706z00_3343; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_2366), BgL_arg2201z00_2367); } 
BgL_new1117z00_2365 = BgL_new1116z00_2366; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1117z00_2365)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1472)),BUNSPEC); 
BgL_auxz00_5349 = BgL_new1117z00_2365; } 
return 
((obj_t)BgL_auxz00_5349);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3055z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1638z00_1662;
BgL_arg1638z00_1662 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_5362;
BgL_argsz00_1474 = BgL_arg1638z00_1662; 
BgL_tagzd2158zd2_1475:
{ /* Eval/evaluate.scm 476 */
BgL_ev_andz00_bglt BgL_new1119z00_2368;
{ /* Eval/evaluate.scm 477 */
BgL_ev_andz00_bglt BgL_new1118z00_2369;
BgL_new1118z00_2369 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 477 */
long BgL_arg2202z00_2370;
{ /* Eval/evaluate.scm 477 */
long BgL_res2707z00_3347;
BgL_res2707z00_3347 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg2202z00_2370 = BgL_res2707z00_3347; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_2369), BgL_arg2202z00_2370); } 
BgL_new1119z00_2368 = BgL_new1118z00_2369; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1119z00_2368)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1474)),BUNSPEC); 
BgL_auxz00_5362 = BgL_new1119z00_2368; } 
return 
((obj_t)BgL_auxz00_5362);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3040z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
BgL_lz00_1476 = 
CDR(BgL_ez00_69); 
BgL_tagzd2159zd2_1477:
return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1476, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26301zd2_1666;
BgL_cdrzd26301zd2_1666 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3024z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26301zd2_1666))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1645z00_1670;obj_t BgL_arg1646z00_1671;
BgL_arg1645z00_1670 = 
CAR(BgL_cdrzd26301zd2_1666); 
BgL_arg1646z00_1671 = 
CDR(BgL_cdrzd26301zd2_1666); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_5384;
BgL_bindsz00_1478 = BgL_arg1645z00_1670; 
BgL_bodyz00_1479 = BgL_arg1646z00_1671; 
BgL_tagzd2160zd2_1480:
{ /* Eval/evaluate.scm 481 */
obj_t BgL_ubindsz00_2371;
if(
NULLP(BgL_bindsz00_1478))
{ /* Eval/evaluate.scm 481 */
BgL_ubindsz00_2371 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_head1207z00_2416;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2709z00_3351;
BgL_res2709z00_3351 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1207z00_2416 = BgL_res2709z00_3351; } 
{ 
obj_t BgL_l1205z00_2418;obj_t BgL_tail1208z00_2419;
BgL_l1205z00_2418 = BgL_bindsz00_1478; 
BgL_tail1208z00_2419 = BgL_head1207z00_2416; 
BgL_zc3anonymousza32221ze3z83_2420:
if(
NULLP(BgL_l1205z00_2418))
{ /* Eval/evaluate.scm 481 */
BgL_ubindsz00_2371 = 
CDR(BgL_head1207z00_2416); }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_newtail1209z00_2422;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2224z00_2424;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_bz00_2425;
BgL_bz00_2425 = 
CAR(
((obj_t)BgL_l1205z00_2418)); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2225z00_2426;
BgL_arg2225z00_2426 = 
CAR(
((obj_t)BgL_bz00_2425)); 
BgL_arg2224z00_2424 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2225z00_2426); } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2711z00_3356;
BgL_res2711z00_3356 = 
MAKE_YOUNG_PAIR(BgL_arg2224z00_2424, BNIL); 
BgL_newtail1209z00_2422 = BgL_res2711z00_3356; } } 
SET_CDR(BgL_tail1208z00_2419, BgL_newtail1209z00_2422); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2223z00_2423;
BgL_arg2223z00_2423 = 
CDR(
((obj_t)BgL_l1205z00_2418)); 
{ 
obj_t BgL_tail1208z00_5401;obj_t BgL_l1205z00_5400;
BgL_l1205z00_5400 = BgL_arg2223z00_2423; 
BgL_tail1208z00_5401 = BgL_newtail1209z00_2422; 
BgL_tail1208z00_2419 = BgL_tail1208z00_5401; 
BgL_l1205z00_2418 = BgL_l1205z00_5400; 
goto BgL_zc3anonymousza32221ze3z83_2420;} } } } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_varsz00_2372;
if(
NULLP(BgL_ubindsz00_2371))
{ /* Eval/evaluate.scm 482 */
BgL_varsz00_2372 = BNIL; }  else 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_head1212z00_2400;
{ /* Eval/evaluate.scm 482 */
obj_t BgL_res2713z00_3360;
BgL_res2713z00_3360 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1212z00_2400 = BgL_res2713z00_3360; } 
{ 
obj_t BgL_l1210z00_2402;obj_t BgL_tail1213z00_2403;
BgL_l1210z00_2402 = BgL_ubindsz00_2371; 
BgL_tail1213z00_2403 = BgL_head1212z00_2400; 
BgL_zc3anonymousza32215ze3z83_2404:
if(
NULLP(BgL_l1210z00_2402))
{ /* Eval/evaluate.scm 482 */
BgL_varsz00_2372 = 
CDR(BgL_head1212z00_2400); }  else 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_newtail1214z00_2406;
{ /* Eval/evaluate.scm 482 */
BgL_ev_varz00_bglt BgL_arg2218z00_2408;
{ /* Eval/evaluate.scm 482 */
obj_t BgL_iz00_2409;
BgL_iz00_2409 = 
CAR(
((obj_t)BgL_l1210z00_2402)); 
{ /* Eval/evaluate.scm 483 */
BgL_ev_varz00_bglt BgL_new1121z00_2410;
{ /* Eval/evaluate.scm 485 */
BgL_ev_varz00_bglt BgL_new1120z00_2411;
BgL_new1120z00_2411 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 485 */
long BgL_arg2219z00_2412;
{ /* Eval/evaluate.scm 485 */
long BgL_res2715z00_3365;
BgL_res2715z00_3365 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2219z00_2412 = BgL_res2715z00_3365; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2411), BgL_arg2219z00_2412); } 
BgL_new1121z00_2410 = BgL_new1120z00_2411; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2410))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2409))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2410))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1121z00_2410))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2409))),BUNSPEC); 
BgL_arg2218z00_2408 = BgL_new1121z00_2410; } } 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_res2716z00_3370;
BgL_res2716z00_3370 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2218z00_2408), BNIL); 
BgL_newtail1214z00_2406 = BgL_res2716z00_3370; } } 
SET_CDR(BgL_tail1213z00_2403, BgL_newtail1214z00_2406); 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_arg2217z00_2407;
BgL_arg2217z00_2407 = 
CDR(
((obj_t)BgL_l1210z00_2402)); 
{ 
obj_t BgL_tail1213z00_5427;obj_t BgL_l1210z00_5426;
BgL_l1210z00_5426 = BgL_arg2217z00_2407; 
BgL_tail1213z00_5427 = BgL_newtail1214z00_2406; 
BgL_tail1213z00_2403 = BgL_tail1213z00_5427; 
BgL_l1210z00_2402 = BgL_l1210z00_5426; 
goto BgL_zc3anonymousza32215ze3z83_2404;} } } } } 
{ /* Eval/evaluate.scm 482 */
obj_t BgL_bodyz00_2373;
{ /* Eval/evaluate.scm 487 */
bool_t BgL_testz00_5428;
{ /* Eval/evaluate.scm 487 */
obj_t BgL_tmpz00_5429;
BgL_tmpz00_5429 = 
CDR(
((obj_t)BgL_bodyz00_1479)); 
BgL_testz00_5428 = 
PAIRP(BgL_tmpz00_5429); } 
if(BgL_testz00_5428)
{ /* Eval/evaluate.scm 487 */
obj_t BgL_res2718z00_3376;
BgL_res2718z00_3376 = 
MAKE_YOUNG_EPAIR(BGl_symbol3040z00zz__evaluatez00, BgL_bodyz00_1479, BgL_locz00_74); 
BgL_bodyz00_2373 = BgL_res2718z00_3376; }  else 
{ /* Eval/evaluate.scm 487 */
BgL_bodyz00_2373 = 
CAR(
((obj_t)BgL_bodyz00_1479)); } } 
{ /* Eval/evaluate.scm 487 */
obj_t BgL_tbodyz00_2374;
BgL_tbodyz00_2374 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2371, BgL_bindsz00_1478, BgL_bodyz00_2373, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 488 */

{ /* Eval/evaluate.scm 489 */
obj_t BgL_blocz00_2375;
BgL_blocz00_2375 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1478, BgL_locz00_74); 
{ /* Eval/evaluate.scm 490 */
BgL_ev_letz00_bglt BgL_new1123z00_2376;
{ /* Eval/evaluate.scm 491 */
BgL_ev_letz00_bglt BgL_new1122z00_2393;
BgL_new1122z00_2393 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 491 */
long BgL_arg2210z00_2394;
{ /* Eval/evaluate.scm 491 */
long BgL_res2719z00_3379;
BgL_res2719z00_3379 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg2210z00_2394 = BgL_res2719z00_3379; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_2393), BgL_arg2210z00_2394); } 
BgL_new1123z00_2376 = BgL_new1122z00_2393; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2376)))->BgL_varsz00)=((obj_t)BgL_varsz00_2372),BUNSPEC); 
{ 
obj_t BgL_auxz00_5444;
if(
NULLP(BgL_bindsz00_1478))
{ /* Eval/evaluate.scm 492 */
BgL_auxz00_5444 = BNIL
; }  else 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_head1217z00_2379;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_res2721z00_3383;
BgL_res2721z00_3383 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1217z00_2379 = BgL_res2721z00_3383; } 
{ 
obj_t BgL_l1215z00_2381;obj_t BgL_tail1218z00_2382;
BgL_l1215z00_2381 = BgL_bindsz00_1478; 
BgL_tail1218z00_2382 = BgL_head1217z00_2379; 
BgL_zc3anonymousza32204ze3z83_2383:
if(
NULLP(BgL_l1215z00_2381))
{ /* Eval/evaluate.scm 492 */
BgL_auxz00_5444 = 
CDR(BgL_head1217z00_2379)
; }  else 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_newtail1219z00_2385;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_arg2207z00_2387;
{ /* Eval/evaluate.scm 492 */
obj_t BgL_bz00_2388;
BgL_bz00_2388 = 
CAR(
((obj_t)BgL_l1215z00_2381)); 
{ /* Eval/evaluate.scm 493 */
obj_t BgL_locz00_2389;
BgL_locz00_2389 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2388, BgL_blocz00_2375); 
{ /* Eval/evaluate.scm 494 */
obj_t BgL_arg2208z00_2390;
{ /* Eval/evaluate.scm 494 */
obj_t BgL_pairz00_3390;
BgL_pairz00_3390 = 
CDR(
((obj_t)BgL_bz00_2388)); 
BgL_arg2208z00_2390 = 
CAR(BgL_pairz00_3390); } 
BgL_arg2207z00_2387 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2208z00_2390, BgL_locz00_2389); } } } 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_res2723z00_3391;
BgL_res2723z00_3391 = 
MAKE_YOUNG_PAIR(BgL_arg2207z00_2387, BNIL); 
BgL_newtail1219z00_2385 = BgL_res2723z00_3391; } } 
SET_CDR(BgL_tail1218z00_2382, BgL_newtail1219z00_2385); 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_arg2206z00_2386;
BgL_arg2206z00_2386 = 
CDR(
((obj_t)BgL_l1215z00_2381)); 
{ 
obj_t BgL_tail1218z00_5464;obj_t BgL_l1215z00_5463;
BgL_l1215z00_5463 = BgL_arg2206z00_2386; 
BgL_tail1218z00_5464 = BgL_newtail1219z00_2385; 
BgL_tail1218z00_2382 = BgL_tail1218z00_5464; 
BgL_l1215z00_2381 = BgL_l1215z00_5463; 
goto BgL_zc3anonymousza32204ze3z83_2383;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2376)))->BgL_valsz00)=((obj_t)BgL_auxz00_5444),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5466;
{ /* Eval/evaluate.scm 496 */
obj_t BgL_arg2209z00_2392;
BgL_arg2209z00_2392 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2372, BgL_localsz00_70); 
BgL_auxz00_5466 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2374, BgL_arg2209z00_2392, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1123z00_2376)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5466),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1123z00_2376))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5384 = BgL_new1123z00_2376; } } } } } } } 
return 
((obj_t)BgL_auxz00_5384);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1647z00_1672;
BgL_arg1647z00_1672 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5475;
{ 
obj_t BgL_argsz00_5477;obj_t BgL_fz00_5476;
BgL_fz00_5476 = BgL_arg1647z00_1672; 
BgL_argsz00_5477 = BgL_cdrzd26301zd2_1666; 
BgL_argsz00_1525 = BgL_argsz00_5477; 
BgL_fz00_1524 = BgL_fz00_5476; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5475);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3057z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26301zd2_1666))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1654z00_1678;obj_t BgL_arg1655z00_1679;
BgL_arg1654z00_1678 = 
CAR(BgL_cdrzd26301zd2_1666); 
BgL_arg1655z00_1679 = 
CDR(BgL_cdrzd26301zd2_1666); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_5486;
BgL_bindsz00_1481 = BgL_arg1654z00_1678; 
BgL_bodyz00_1482 = BgL_arg1655z00_1679; 
BgL_tagzd2161zd2_1483:
{ /* Eval/evaluate.scm 504 */
obj_t BgL_varsz00_2429;obj_t BgL_blocz00_2430;
if(
NULLP(BgL_bindsz00_1481))
{ /* Eval/evaluate.scm 504 */
BgL_varsz00_2429 = BNIL; }  else 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_head1222z00_2438;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_res2726z00_3406;
BgL_res2726z00_3406 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1222z00_2438 = BgL_res2726z00_3406; } 
{ 
obj_t BgL_l1220z00_2440;obj_t BgL_tail1223z00_2441;
BgL_l1220z00_2440 = BgL_bindsz00_1481; 
BgL_tail1223z00_2441 = BgL_head1222z00_2438; 
BgL_zc3anonymousza32230ze3z83_2442:
if(
NULLP(BgL_l1220z00_2440))
{ /* Eval/evaluate.scm 504 */
BgL_varsz00_2429 = 
CDR(BgL_head1222z00_2438); }  else 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_newtail1224z00_2444;
{ /* Eval/evaluate.scm 504 */
BgL_ev_varz00_bglt BgL_arg2233z00_2446;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_bz00_2447;
BgL_bz00_2447 = 
CAR(
((obj_t)BgL_l1220z00_2440)); 
{ /* Eval/evaluate.scm 505 */
obj_t BgL_iz00_2448;
{ /* Eval/evaluate.scm 505 */
obj_t BgL_arg2235z00_2452;
BgL_arg2235z00_2452 = 
CAR(
((obj_t)BgL_bz00_2447)); 
BgL_iz00_2448 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2235z00_2452); } 
{ /* Eval/evaluate.scm 506 */
BgL_ev_varz00_bglt BgL_new1125z00_2449;
{ /* Eval/evaluate.scm 508 */
BgL_ev_varz00_bglt BgL_new1124z00_2450;
BgL_new1124z00_2450 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 508 */
long BgL_arg2234z00_2451;
{ /* Eval/evaluate.scm 508 */
long BgL_res2728z00_3412;
BgL_res2728z00_3412 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2234z00_2451 = BgL_res2728z00_3412; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_2450), BgL_arg2234z00_2451); } 
BgL_new1125z00_2449 = BgL_new1124z00_2450; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2449))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2448)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2449))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1125z00_2449))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2448)),BUNSPEC); 
BgL_arg2233z00_2446 = BgL_new1125z00_2449; } } } 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_res2729z00_3417;
BgL_res2729z00_3417 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2233z00_2446), BNIL); 
BgL_newtail1224z00_2444 = BgL_res2729z00_3417; } } 
SET_CDR(BgL_tail1223z00_2441, BgL_newtail1224z00_2444); 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_arg2232z00_2445;
BgL_arg2232z00_2445 = 
CDR(
((obj_t)BgL_l1220z00_2440)); 
{ 
obj_t BgL_tail1223z00_5513;obj_t BgL_l1220z00_5512;
BgL_l1220z00_5512 = BgL_arg2232z00_2445; 
BgL_tail1223z00_5513 = BgL_newtail1224z00_2444; 
BgL_tail1223z00_2441 = BgL_tail1223z00_5513; 
BgL_l1220z00_2440 = BgL_l1220z00_5512; 
goto BgL_zc3anonymousza32230ze3z83_2442;} } } } } 
BgL_blocz00_2430 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1481, BgL_locz00_74); 
{ /* Eval/evaluate.scm 511 */
BgL_ev_letza2za2_bglt BgL_new1127z00_2431;
{ /* Eval/evaluate.scm 512 */
BgL_ev_letza2za2_bglt BgL_new1126z00_2434;
BgL_new1126z00_2434 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 512 */
long BgL_arg2228z00_2435;
{ /* Eval/evaluate.scm 512 */
long BgL_res2730z00_3421;
BgL_res2730z00_3421 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg2228z00_2435 = BgL_res2730z00_3421; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_2434), BgL_arg2228z00_2435); } 
BgL_new1127z00_2431 = BgL_new1126z00_2434; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2431)))->BgL_varsz00)=((obj_t)BgL_varsz00_2429),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2431)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1481, BgL_varsz00_2429, BgL_localsz00_70, BgL_blocz00_2430)),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5524;
{ /* Eval/evaluate.scm 514 */
obj_t BgL_arg2226z00_2432;
{ /* Eval/evaluate.scm 514 */
obj_t BgL_arg2227z00_2433;
BgL_arg2227z00_2433 = 
bgl_reverse(BgL_varsz00_2429); 
BgL_arg2226z00_2432 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_arg2227z00_2433, BgL_localsz00_70); } 
BgL_auxz00_5524 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1482, BgL_arg2226z00_2432, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1127z00_2431)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5524),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1127z00_2431))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5486 = BgL_new1127z00_2431; } } 
return 
((obj_t)BgL_auxz00_5486);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1656z00_1680;obj_t BgL_arg1657z00_1681;
BgL_arg1656z00_1680 = 
CAR(BgL_ez00_69); 
BgL_arg1657z00_1681 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5535;
{ 
obj_t BgL_argsz00_5537;obj_t BgL_fz00_5536;
BgL_fz00_5536 = BgL_arg1656z00_1680; 
BgL_argsz00_5537 = BgL_arg1657z00_1681; 
BgL_argsz00_1525 = BgL_argsz00_5537; 
BgL_fz00_1524 = BgL_fz00_5536; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5535);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26695zd2_1682;
BgL_cdrzd26695zd2_1682 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3059z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26695zd2_1682))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1661z00_1686;obj_t BgL_arg1664z00_1687;
BgL_arg1661z00_1686 = 
CAR(BgL_cdrzd26695zd2_1682); 
BgL_arg1664z00_1687 = 
CDR(BgL_cdrzd26695zd2_1682); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_5547;
BgL_bindsz00_1484 = BgL_arg1661z00_1686; 
BgL_bodyz00_1485 = BgL_arg1664z00_1687; 
BgL_tagzd2162zd2_1486:
{ /* Eval/evaluate.scm 516 */
obj_t BgL_ubindsz00_2470;
if(
NULLP(BgL_bindsz00_1484))
{ /* Eval/evaluate.scm 516 */
BgL_ubindsz00_2470 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_head1227z00_2520;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2732z00_3425;
BgL_res2732z00_3425 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1227z00_2520 = BgL_res2732z00_3425; } 
{ 
obj_t BgL_l1225z00_2522;obj_t BgL_tail1228z00_2523;
BgL_l1225z00_2522 = BgL_bindsz00_1484; 
BgL_tail1228z00_2523 = BgL_head1227z00_2520; 
BgL_zc3anonymousza32269ze3z83_2524:
if(
NULLP(BgL_l1225z00_2522))
{ /* Eval/evaluate.scm 516 */
BgL_ubindsz00_2470 = 
CDR(BgL_head1227z00_2520); }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_newtail1229z00_2526;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2272z00_2528;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_bz00_2529;
BgL_bz00_2529 = 
CAR(
((obj_t)BgL_l1225z00_2522)); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2273z00_2530;
BgL_arg2273z00_2530 = 
CAR(
((obj_t)BgL_bz00_2529)); 
BgL_arg2272z00_2528 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2273z00_2530); } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2734z00_3430;
BgL_res2734z00_3430 = 
MAKE_YOUNG_PAIR(BgL_arg2272z00_2528, BNIL); 
BgL_newtail1229z00_2526 = BgL_res2734z00_3430; } } 
SET_CDR(BgL_tail1228z00_2523, BgL_newtail1229z00_2526); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2271z00_2527;
BgL_arg2271z00_2527 = 
CDR(
((obj_t)BgL_l1225z00_2522)); 
{ 
obj_t BgL_tail1228z00_5564;obj_t BgL_l1225z00_5563;
BgL_l1225z00_5563 = BgL_arg2271z00_2527; 
BgL_tail1228z00_5564 = BgL_newtail1229z00_2526; 
BgL_tail1228z00_2523 = BgL_tail1228z00_5564; 
BgL_l1225z00_2522 = BgL_l1225z00_5563; 
goto BgL_zc3anonymousza32269ze3z83_2524;} } } } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_varsz00_2471;
if(
NULLP(BgL_ubindsz00_2470))
{ /* Eval/evaluate.scm 517 */
BgL_varsz00_2471 = BNIL; }  else 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_head1232z00_2504;
{ /* Eval/evaluate.scm 517 */
obj_t BgL_res2736z00_3434;
BgL_res2736z00_3434 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1232z00_2504 = BgL_res2736z00_3434; } 
{ 
obj_t BgL_l1230z00_2506;obj_t BgL_tail1233z00_2507;
BgL_l1230z00_2506 = BgL_ubindsz00_2470; 
BgL_tail1233z00_2507 = BgL_head1232z00_2504; 
BgL_zc3anonymousza32263ze3z83_2508:
if(
NULLP(BgL_l1230z00_2506))
{ /* Eval/evaluate.scm 517 */
BgL_varsz00_2471 = 
CDR(BgL_head1232z00_2504); }  else 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_newtail1234z00_2510;
{ /* Eval/evaluate.scm 517 */
BgL_ev_varz00_bglt BgL_arg2266z00_2512;
{ /* Eval/evaluate.scm 517 */
obj_t BgL_iz00_2513;
BgL_iz00_2513 = 
CAR(
((obj_t)BgL_l1230z00_2506)); 
{ /* Eval/evaluate.scm 518 */
BgL_ev_varz00_bglt BgL_new1129z00_2514;
{ /* Eval/evaluate.scm 520 */
BgL_ev_varz00_bglt BgL_new1128z00_2515;
BgL_new1128z00_2515 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 520 */
long BgL_arg2267z00_2516;
{ /* Eval/evaluate.scm 520 */
long BgL_res2738z00_3439;
BgL_res2738z00_3439 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2267z00_2516 = BgL_res2738z00_3439; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2515), BgL_arg2267z00_2516); } 
BgL_new1129z00_2514 = BgL_new1128z00_2515; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2514))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2513))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2514))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1129z00_2514))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2513))),BUNSPEC); 
BgL_arg2266z00_2512 = BgL_new1129z00_2514; } } 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_res2739z00_3444;
BgL_res2739z00_3444 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2266z00_2512), BNIL); 
BgL_newtail1234z00_2510 = BgL_res2739z00_3444; } } 
SET_CDR(BgL_tail1233z00_2507, BgL_newtail1234z00_2510); 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_arg2265z00_2511;
BgL_arg2265z00_2511 = 
CDR(
((obj_t)BgL_l1230z00_2506)); 
{ 
obj_t BgL_tail1233z00_5590;obj_t BgL_l1230z00_5589;
BgL_l1230z00_5589 = BgL_arg2265z00_2511; 
BgL_tail1233z00_5590 = BgL_newtail1234z00_2510; 
BgL_tail1233z00_2507 = BgL_tail1233z00_5590; 
BgL_l1230z00_2506 = BgL_l1230z00_5589; 
goto BgL_zc3anonymousza32263ze3z83_2508;} } } } } 
{ /* Eval/evaluate.scm 517 */
obj_t BgL_localsz00_2472;
BgL_localsz00_2472 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2471, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 522 */
obj_t BgL_bodyz00_2473;
{ /* Eval/evaluate.scm 523 */
bool_t BgL_testz00_5592;
{ /* Eval/evaluate.scm 523 */
obj_t BgL_tmpz00_5593;
BgL_tmpz00_5593 = 
CDR(
((obj_t)BgL_bodyz00_1485)); 
BgL_testz00_5592 = 
PAIRP(BgL_tmpz00_5593); } 
if(BgL_testz00_5592)
{ /* Eval/evaluate.scm 523 */
obj_t BgL_res2741z00_3450;
BgL_res2741z00_3450 = 
MAKE_YOUNG_EPAIR(BGl_symbol3040z00zz__evaluatez00, BgL_bodyz00_1485, BgL_locz00_74); 
BgL_bodyz00_2473 = BgL_res2741z00_3450; }  else 
{ /* Eval/evaluate.scm 523 */
BgL_bodyz00_2473 = 
CAR(
((obj_t)BgL_bodyz00_1485)); } } 
{ /* Eval/evaluate.scm 523 */
obj_t BgL_tbodyz00_2474;
BgL_tbodyz00_2474 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2470, BgL_bindsz00_1484, BgL_bodyz00_2473, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 524 */
obj_t BgL_blocz00_2475;
BgL_blocz00_2475 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1484, BgL_locz00_74); 
{ /* Eval/evaluate.scm 525 */

{ /* Eval/evaluate.scm 526 */
BgL_ev_letrecz00_bglt BgL_new1131z00_2476;
{ /* Eval/evaluate.scm 527 */
BgL_ev_letrecz00_bglt BgL_new1130z00_2497;
BgL_new1130z00_2497 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 527 */
long BgL_arg2258z00_2498;
{ /* Eval/evaluate.scm 527 */
long BgL_res2742z00_3453;
BgL_res2742z00_3453 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg2258z00_2498 = BgL_res2742z00_3453; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_2497), BgL_arg2258z00_2498); } 
BgL_new1131z00_2476 = BgL_new1130z00_2497; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2476)))->BgL_varsz00)=((obj_t)BgL_varsz00_2471),BUNSPEC); 
{ 
obj_t BgL_auxz00_5608;
if(
NULLP(BgL_bindsz00_1484))
{ /* Eval/evaluate.scm 528 */
BgL_auxz00_5608 = BNIL
; }  else 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_head1237z00_2479;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_res2744z00_3457;
BgL_res2744z00_3457 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1237z00_2479 = BgL_res2744z00_3457; } 
{ 
obj_t BgL_l1235z00_2481;obj_t BgL_tail1238z00_2482;
BgL_l1235z00_2481 = BgL_bindsz00_1484; 
BgL_tail1238z00_2482 = BgL_head1237z00_2479; 
BgL_zc3anonymousza32247ze3z83_2483:
if(
NULLP(BgL_l1235z00_2481))
{ /* Eval/evaluate.scm 528 */
BgL_auxz00_5608 = 
CDR(BgL_head1237z00_2479)
; }  else 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_newtail1239z00_2485;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2250z00_2487;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_bz00_2488;
BgL_bz00_2488 = 
CAR(
((obj_t)BgL_l1235z00_2481)); 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2251z00_2489;obj_t BgL_arg2252z00_2490;obj_t BgL_arg2253z00_2491;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_pairz00_3464;
BgL_pairz00_3464 = 
CDR(
((obj_t)BgL_bz00_2488)); 
BgL_arg2251z00_2489 = 
CAR(BgL_pairz00_3464); } 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2254z00_2492;
BgL_arg2254z00_2492 = 
CAR(
((obj_t)BgL_bz00_2488)); 
{ /* Eval/evaluate.scm 529 */
obj_t BgL_list2255z00_2493;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2256z00_2494;
{ /* Eval/evaluate.scm 529 */
obj_t BgL_arg2257z00_2495;
BgL_arg2257z00_2495 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2256z00_2494 = 
MAKE_YOUNG_PAIR(BGl_symbol3042z00zz__evaluatez00, BgL_arg2257z00_2495); } 
BgL_list2255z00_2493 = 
MAKE_YOUNG_PAIR(BgL_arg2254z00_2492, BgL_arg2256z00_2494); } 
BgL_arg2252z00_2490 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2255z00_2493); } } 
BgL_arg2253z00_2491 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2488, BgL_blocz00_2475); 
BgL_arg2250z00_2487 = 
BGl_convz00zz__evaluatez00(BgL_arg2251z00_2489, BgL_localsz00_2472, BgL_globalsz00_71, BFALSE, BgL_arg2252z00_2490, BgL_arg2253z00_2491, ((bool_t)0)); } } 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_res2746z00_3466;
BgL_res2746z00_3466 = 
MAKE_YOUNG_PAIR(BgL_arg2250z00_2487, BNIL); 
BgL_newtail1239z00_2485 = BgL_res2746z00_3466; } } 
SET_CDR(BgL_tail1238z00_2482, BgL_newtail1239z00_2485); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2249z00_2486;
BgL_arg2249z00_2486 = 
CDR(
((obj_t)BgL_l1235z00_2481)); 
{ 
obj_t BgL_tail1238z00_5634;obj_t BgL_l1235z00_5633;
BgL_l1235z00_5633 = BgL_arg2249z00_2486; 
BgL_tail1238z00_5634 = BgL_newtail1239z00_2485; 
BgL_tail1238z00_2482 = BgL_tail1238z00_5634; 
BgL_l1235z00_2481 = BgL_l1235z00_5633; 
goto BgL_zc3anonymousza32247ze3z83_2483;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2476)))->BgL_valsz00)=((obj_t)BgL_auxz00_5608),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1131z00_2476)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2474, BgL_localsz00_2472, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5547 = BgL_new1131z00_2476; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5547);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1665z00_1688;
BgL_arg1665z00_1688 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5642;
{ 
obj_t BgL_argsz00_5644;obj_t BgL_fz00_5643;
BgL_fz00_5643 = BgL_arg1665z00_1688; 
BgL_argsz00_5644 = BgL_cdrzd26695zd2_1682; 
BgL_argsz00_1525 = BgL_argsz00_5644; 
BgL_fz00_1524 = BgL_fz00_5643; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5642);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3061z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26695zd2_1682))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26869zd2_1694;obj_t BgL_cdrzd26870zd2_1695;
BgL_carzd26869zd2_1694 = 
CAR(BgL_cdrzd26695zd2_1682); 
BgL_cdrzd26870zd2_1695 = 
CDR(BgL_cdrzd26695zd2_1682); 
if(
PAIRP(BgL_carzd26869zd2_1694))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26874zd2_1697;
BgL_cdrzd26874zd2_1697 = 
CDR(BgL_carzd26869zd2_1694); 
if(
(
CAR(BgL_carzd26869zd2_1694)==BGl_symbol3047z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26874zd2_1697))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26877zd2_1701;obj_t BgL_cdrzd26878zd2_1702;
BgL_carzd26877zd2_1701 = 
CAR(BgL_cdrzd26874zd2_1697); 
BgL_cdrzd26878zd2_1702 = 
CDR(BgL_cdrzd26874zd2_1697); 
if(
SYMBOLP(BgL_carzd26877zd2_1701))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26878zd2_1702))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd26882zd2_1705;
BgL_carzd26882zd2_1705 = 
CAR(BgL_cdrzd26878zd2_1702); 
if(
SYMBOLP(BgL_carzd26882zd2_1705))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd26878zd2_1702)))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd26870zd2_1695))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd26870zd2_1695)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1683z00_1712;
BgL_arg1683z00_1712 = 
CAR(BgL_cdrzd26870zd2_1695); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5679;
BgL_idz00_1487 = BgL_carzd26877zd2_1701; 
BgL_modnamez00_1488 = BgL_carzd26882zd2_1705; 
BgL_ez00_1489 = BgL_arg1683z00_1712; 
BgL_tagzd2163zd2_1490:
{ /* Eval/evaluate.scm 532 */
BgL_ev_setglobalz00_bglt BgL_new1133z00_2532;
{ /* Eval/evaluate.scm 536 */
BgL_ev_setglobalz00_bglt BgL_new1132z00_2533;
BgL_new1132z00_2533 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 536 */
long BgL_arg2274z00_2534;
{ /* Eval/evaluate.scm 536 */
long BgL_res2747z00_3470;
BgL_res2747z00_3470 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2274z00_2534 = BgL_res2747z00_3470; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_2533), BgL_arg2274z00_2534); } 
BgL_new1133z00_2532 = BgL_new1132z00_2533; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1133z00_2532)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1489))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2532))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2532))->BgL_namez00)=((obj_t)BgL_idz00_1487),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1133z00_2532))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1488)),BUNSPEC); 
BgL_auxz00_5679 = BgL_new1133z00_2532; } 
return 
((obj_t)BgL_auxz00_5679);} }  else 
{ /* Eval/evaluate.scm 425 */
BgL_tagzd2166zd2_1497:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2962z00zz__evaluatez00, BGl_string3039z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd26998zd2_1714;
BgL_cdrzd26998zd2_1714 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27002zd2_1715;
BgL_cdrzd27002zd2_1715 = 
CDR(
((obj_t)BgL_cdrzd26998zd2_1714)); 
if(
PAIRP(BgL_cdrzd27002zd2_1715))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27002zd2_1715)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1688z00_1719;obj_t BgL_arg1689z00_1720;
BgL_arg1688z00_1719 = 
CAR(
((obj_t)BgL_cdrzd26998zd2_1714)); 
BgL_arg1689z00_1720 = 
CAR(BgL_cdrzd27002zd2_1715); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5705;
BgL_vz00_1494 = BgL_arg1688z00_1719; 
BgL_ez00_1495 = BgL_arg1689z00_1720; 
BgL_tagzd2165zd2_1496:
{ /* Eval/evaluate.scm 542 */
obj_t BgL_cvz00_2561;obj_t BgL_ez00_2562;
BgL_cvz00_2561 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1494, BgL_localsz00_70); 
BgL_ez00_2562 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1495); 
if(
CBOOL(BgL_cvz00_2561))
{ /* Eval/evaluate.scm 544 */
BgL_ev_setlocalz00_bglt BgL_new1135z00_2563;
{ /* Eval/evaluate.scm 546 */
BgL_ev_setlocalz00_bglt BgL_new1134z00_2564;
BgL_new1134z00_2564 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 546 */
long BgL_arg2288z00_2565;
{ /* Eval/evaluate.scm 546 */
long BgL_res2752z00_3481;
BgL_res2752z00_3481 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg2288z00_2565 = BgL_res2752z00_3481; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_2564), BgL_arg2288z00_2565); } 
BgL_new1135z00_2563 = BgL_new1134z00_2564; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1135z00_2563)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2562)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1135z00_2563))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2561)),BUNSPEC); 
BgL_auxz00_5705 = 
((BgL_ev_hookz00_bglt)BgL_new1135z00_2563); }  else 
{ /* Eval/evaluate.scm 547 */
BgL_ev_setglobalz00_bglt BgL_new1137z00_2566;
{ /* Eval/evaluate.scm 551 */
BgL_ev_setglobalz00_bglt BgL_new1136z00_2568;
BgL_new1136z00_2568 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 551 */
long BgL_arg2290z00_2569;
{ /* Eval/evaluate.scm 551 */
long BgL_res2753z00_3485;
BgL_res2753z00_3485 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2290z00_2569 = BgL_res2753z00_3485; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1136z00_2568), BgL_arg2290z00_2569); } 
BgL_new1137z00_2566 = BgL_new1136z00_2568; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1137z00_2566)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2562)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2566))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2566))->BgL_namez00)=((obj_t)BgL_vz00_1494),BUNSPEC); 
{ 
obj_t BgL_auxz00_5729;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 550 */
BgL_auxz00_5729 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 550 */
BgL_auxz00_5729 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1137z00_2566))->BgL_modz00)=((obj_t)BgL_auxz00_5729),BUNSPEC); } 
BgL_auxz00_5705 = 
((BgL_ev_hookz00_bglt)BgL_new1137z00_2566); } } 
return 
((obj_t)BgL_auxz00_5705);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27059zd2_1723;
BgL_cdrzd27059zd2_1723 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27063zd2_1724;
BgL_cdrzd27063zd2_1724 = 
CDR(
((obj_t)BgL_cdrzd27059zd2_1723)); 
if(
PAIRP(BgL_cdrzd27063zd2_1724))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27063zd2_1724)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1695z00_1728;obj_t BgL_arg1696z00_1729;
BgL_arg1695z00_1728 = 
CAR(
((obj_t)BgL_cdrzd27059zd2_1723)); 
BgL_arg1696z00_1729 = 
CAR(BgL_cdrzd27063zd2_1724); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5747;
{ 
obj_t BgL_ez00_5749;obj_t BgL_vz00_5748;
BgL_vz00_5748 = BgL_arg1695z00_1728; 
BgL_ez00_5749 = BgL_arg1696z00_1729; 
BgL_ez00_1495 = BgL_ez00_5749; 
BgL_vz00_1494 = BgL_vz00_5748; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5747);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27120zd2_1731;
BgL_cdrzd27120zd2_1731 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27124zd2_1732;
BgL_cdrzd27124zd2_1732 = 
CDR(
((obj_t)BgL_cdrzd27120zd2_1731)); 
if(
PAIRP(BgL_cdrzd27124zd2_1732))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27124zd2_1732)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1701z00_1736;obj_t BgL_arg1702z00_1737;
BgL_arg1701z00_1736 = 
CAR(
((obj_t)BgL_cdrzd27120zd2_1731)); 
BgL_arg1702z00_1737 = 
CAR(BgL_cdrzd27124zd2_1732); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5762;
{ 
obj_t BgL_ez00_5764;obj_t BgL_vz00_5763;
BgL_vz00_5763 = BgL_arg1701z00_1736; 
BgL_ez00_5764 = BgL_arg1702z00_1737; 
BgL_ez00_1495 = BgL_ez00_5764; 
BgL_vz00_1494 = BgL_vz00_5763; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5762);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27181zd2_1739;
BgL_cdrzd27181zd2_1739 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27185zd2_1740;
BgL_cdrzd27185zd2_1740 = 
CDR(
((obj_t)BgL_cdrzd27181zd2_1739)); 
if(
PAIRP(BgL_cdrzd27185zd2_1740))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27185zd2_1740)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1707z00_1744;obj_t BgL_arg1708z00_1745;
BgL_arg1707z00_1744 = 
CAR(
((obj_t)BgL_cdrzd27181zd2_1739)); 
BgL_arg1708z00_1745 = 
CAR(BgL_cdrzd27185zd2_1740); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5777;
{ 
obj_t BgL_ez00_5779;obj_t BgL_vz00_5778;
BgL_vz00_5778 = BgL_arg1707z00_1744; 
BgL_ez00_5779 = BgL_arg1708z00_1745; 
BgL_ez00_1495 = BgL_ez00_5779; 
BgL_vz00_1494 = BgL_vz00_5778; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5777);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27242zd2_1747;
BgL_cdrzd27242zd2_1747 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27246zd2_1748;
BgL_cdrzd27246zd2_1748 = 
CDR(
((obj_t)BgL_cdrzd27242zd2_1747)); 
if(
PAIRP(BgL_cdrzd27246zd2_1748))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27246zd2_1748)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1713z00_1752;obj_t BgL_arg1714z00_1753;
BgL_arg1713z00_1752 = 
CAR(
((obj_t)BgL_cdrzd27242zd2_1747)); 
BgL_arg1714z00_1753 = 
CAR(BgL_cdrzd27246zd2_1748); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5792;
{ 
obj_t BgL_ez00_5794;obj_t BgL_vz00_5793;
BgL_vz00_5793 = BgL_arg1713z00_1752; 
BgL_ez00_5794 = BgL_arg1714z00_1753; 
BgL_ez00_1495 = BgL_ez00_5794; 
BgL_vz00_1494 = BgL_vz00_5793; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5792);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27290zd2_1755;
BgL_cdrzd27290zd2_1755 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd27293zd2_1756;obj_t BgL_cdrzd27294zd2_1757;
BgL_carzd27293zd2_1756 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1755)); 
BgL_cdrzd27294zd2_1757 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1755)); 
if(
(
CAR(
((obj_t)BgL_carzd27293zd2_1756))==BGl_symbol3049z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27294zd2_1757))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27294zd2_1757)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1721z00_1763;obj_t BgL_arg1722z00_1764;
BgL_arg1721z00_1763 = 
CDR(
((obj_t)BgL_carzd27293zd2_1756)); 
BgL_arg1722z00_1764 = 
CAR(BgL_cdrzd27294zd2_1757); 
BgL_lz00_1491 = BgL_arg1721z00_1763; 
BgL_e2z00_1492 = BgL_arg1722z00_1764; 
BgL_tagzd2164zd2_1493:
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5813;
if(
PAIRP(BgL_lz00_1491))
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5816;
{ /* Eval/evaluate.scm 538 */
obj_t BgL_tmpz00_5817;
BgL_tmpz00_5817 = 
CDR(BgL_lz00_1491); 
BgL_testz00_5816 = 
PAIRP(BgL_tmpz00_5817); } 
if(BgL_testz00_5816)
{ 
obj_t BgL_l1240z00_2552;
BgL_l1240z00_2552 = BgL_lz00_1491; 
BgL_zc3anonymousza32284ze3z83_2553:
if(
NULLP(BgL_l1240z00_2552))
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5813 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 538 */
bool_t BgL_testz00_5822;
{ /* Eval/evaluate.scm 538 */
obj_t BgL_tmpz00_5823;
BgL_tmpz00_5823 = 
CAR(
((obj_t)BgL_l1240z00_2552)); 
BgL_testz00_5822 = 
SYMBOLP(BgL_tmpz00_5823); } 
if(BgL_testz00_5822)
{ 
obj_t BgL_l1240z00_5827;
BgL_l1240z00_5827 = 
CDR(
((obj_t)BgL_l1240z00_2552)); 
BgL_l1240z00_2552 = BgL_l1240z00_5827; 
goto BgL_zc3anonymousza32284ze3z83_2553;}  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5813 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5813 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 538 */
BgL_testz00_5813 = ((bool_t)0)
; } 
if(BgL_testz00_5813)
{ /* Eval/evaluate.scm 538 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1491, BgL_e2z00_1492, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 538 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2962z00zz__evaluatez00, BGl_string3039z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27370zd2_1767;
BgL_cdrzd27370zd2_1767 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1755)); 
if(
PAIRP(BgL_cdrzd27370zd2_1767))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27370zd2_1767)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1728z00_1771;obj_t BgL_arg1729z00_1772;
BgL_arg1728z00_1771 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1755)); 
BgL_arg1729z00_1772 = 
CAR(BgL_cdrzd27370zd2_1767); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5842;
{ 
obj_t BgL_ez00_5844;obj_t BgL_vz00_5843;
BgL_vz00_5843 = BgL_arg1728z00_1771; 
BgL_ez00_5844 = BgL_arg1729z00_1772; 
BgL_ez00_1495 = BgL_ez00_5844; 
BgL_vz00_1494 = BgL_vz00_5843; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5842);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27427zd2_1776;
BgL_cdrzd27427zd2_1776 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27431zd2_1777;
BgL_cdrzd27431zd2_1777 = 
CDR(
((obj_t)BgL_cdrzd27427zd2_1776)); 
if(
PAIRP(BgL_cdrzd27431zd2_1777))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27431zd2_1777)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1736z00_1781;obj_t BgL_arg1737z00_1782;
BgL_arg1736z00_1781 = 
CAR(
((obj_t)BgL_cdrzd27427zd2_1776)); 
BgL_arg1737z00_1782 = 
CAR(BgL_cdrzd27431zd2_1777); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5857;
{ 
obj_t BgL_ez00_5859;obj_t BgL_vz00_5858;
BgL_vz00_5858 = BgL_arg1736z00_1781; 
BgL_ez00_5859 = BgL_arg1737z00_1782; 
BgL_ez00_1495 = BgL_ez00_5859; 
BgL_vz00_1494 = BgL_vz00_5858; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_5857);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27552zd2_1784;
BgL_cdrzd27552zd2_1784 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3063z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27552zd2_1784))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27557zd2_1788;
BgL_cdrzd27557zd2_1788 = 
CDR(BgL_cdrzd27552zd2_1784); 
if(
PAIRP(BgL_cdrzd27557zd2_1788))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd27561zd2_1790;
BgL_carzd27561zd2_1790 = 
CAR(BgL_cdrzd27557zd2_1788); 
if(
PAIRP(BgL_carzd27561zd2_1790))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27566zd2_1792;
BgL_cdrzd27566zd2_1792 = 
CDR(BgL_carzd27561zd2_1790); 
if(
(
CAR(BgL_carzd27561zd2_1790)==BGl_symbol3026z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27566zd2_1792))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27570zd2_1796;
BgL_cdrzd27570zd2_1796 = 
CDR(BgL_cdrzd27566zd2_1792); 
if(
PAIRP(BgL_cdrzd27570zd2_1796))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27570zd2_1796)))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd27557zd2_1788)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1752z00_1802;obj_t BgL_arg1753z00_1803;obj_t BgL_arg1754z00_1804;
BgL_arg1752z00_1802 = 
CAR(BgL_cdrzd27552zd2_1784); 
BgL_arg1753z00_1803 = 
CAR(BgL_cdrzd27566zd2_1792); 
BgL_arg1754z00_1804 = 
CAR(BgL_cdrzd27570zd2_1796); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5891;
BgL_gvz00_1498 = BgL_arg1752z00_1802; 
BgL_formalsz00_1499 = BgL_arg1753z00_1803; 
BgL_bodyz00_1500 = BgL_arg1754z00_1804; 
BgL_tagzd2167zd2_1501:
{ /* Eval/evaluate.scm 555 */
obj_t BgL_tidz00_2570;
BgL_tidz00_2570 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1498); 
{ /* Eval/evaluate.scm 556 */
BgL_ev_defglobalz00_bglt BgL_new1139z00_2571;
{ /* Eval/evaluate.scm 560 */
BgL_ev_defglobalz00_bglt BgL_new1138z00_2574;
BgL_new1138z00_2574 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 560 */
long BgL_arg2293z00_2575;
{ /* Eval/evaluate.scm 560 */
long BgL_res2754z00_3489;
BgL_res2754z00_3489 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2293z00_2575 = BgL_res2754z00_3489; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_2574), BgL_arg2293z00_2575); } 
BgL_new1139z00_2571 = BgL_new1138z00_2574; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5897;
{ /* Eval/evaluate.scm 560 */
obj_t BgL_arg2291z00_2572;
BgL_arg2291z00_2572 = 
CDR(BgL_tidz00_2570); 
BgL_auxz00_5897 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1499, BgL_bodyz00_1500, BgL_gvz00_1498, BgL_arg2291z00_2572)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1139z00_2571)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5897),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2571)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2571)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2570)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5908;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 559 */
BgL_auxz00_5908 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 559 */
BgL_auxz00_5908 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1139z00_2571)))->BgL_modz00)=((obj_t)BgL_auxz00_5908),BUNSPEC); } 
BgL_auxz00_5891 = BgL_new1139z00_2571; } } 
return 
((obj_t)BgL_auxz00_5891);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1755z00_1805;
BgL_arg1755z00_1805 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5916;
{ 
obj_t BgL_argsz00_5918;obj_t BgL_fz00_5917;
BgL_fz00_5917 = BgL_arg1755z00_1805; 
BgL_argsz00_5918 = BgL_cdrzd27552zd2_1784; 
BgL_argsz00_1525 = BgL_argsz00_5918; 
BgL_fz00_1524 = BgL_fz00_5917; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5916);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27670zd2_1809;
BgL_cdrzd27670zd2_1809 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27670zd2_1809))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1760z00_1812;obj_t BgL_arg1761z00_1813;
BgL_arg1760z00_1812 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
BgL_arg1761z00_1813 = 
CAR(
((obj_t)BgL_cdrzd27670zd2_1809)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5930;
BgL_gvz00_1502 = BgL_arg1760z00_1812; 
BgL_gez00_1503 = BgL_arg1761z00_1813; 
BgL_tagzd2168zd2_1504:
{ /* Eval/evaluate.scm 562 */
obj_t BgL_tidz00_2576;
BgL_tidz00_2576 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1502); 
{ /* Eval/evaluate.scm 563 */
BgL_ev_defglobalz00_bglt BgL_new1141z00_2577;
{ /* Eval/evaluate.scm 567 */
BgL_ev_defglobalz00_bglt BgL_new1140z00_2582;
BgL_new1140z00_2582 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 567 */
long BgL_arg2298z00_2583;
{ /* Eval/evaluate.scm 567 */
long BgL_res2755z00_3495;
BgL_res2755z00_3495 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2298z00_2583 = BgL_res2755z00_3495; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_2582), BgL_arg2298z00_2583); } 
BgL_new1141z00_2577 = BgL_new1140z00_2582; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5936;
{ /* Eval/evaluate.scm 568 */
obj_t BgL_arg2294z00_2578;
{ /* Eval/evaluate.scm 568 */
obj_t BgL_arg2296z00_2580;
BgL_arg2296z00_2580 = 
CDR(BgL_tidz00_2576); 
BgL_arg2294z00_2578 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2296z00_2580, BgL_gez00_1503, BgL_locz00_74); } 
{ 
obj_t BgL_auxz00_5940;
BgL_ez00_2629 = BgL_arg2294z00_2578; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 569 */
BgL_wherez00_2630 = BgL_gvz00_1502; }  else 
{ /* Eval/evaluate.scm 569 */
BgL_wherez00_2630 = BgL_wherez00_73; } 
BgL_ez00_2619 = BgL_ez00_2629; 
BgL_locz00_2620 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2629, BgL_locz00_74); 
BgL_wherez00_2621 = BgL_wherez00_2630; 
BgL_auxz00_5940 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2619, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2621, BgL_locz00_2620, ((bool_t)0)); 
BgL_auxz00_5936 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5940); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1141z00_2577)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5936),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2577)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2577)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2576)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5951;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 566 */
BgL_auxz00_5951 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 566 */
BgL_auxz00_5951 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2577)))->BgL_modz00)=((obj_t)BgL_auxz00_5951),BUNSPEC); } 
BgL_auxz00_5930 = BgL_new1141z00_2577; } } 
return 
((obj_t)BgL_auxz00_5930);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1762z00_1814;obj_t BgL_arg1763z00_1815;
BgL_arg1762z00_1814 = 
CAR(BgL_ez00_69); 
BgL_arg1763z00_1815 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5960;
{ 
obj_t BgL_argsz00_5962;obj_t BgL_fz00_5961;
BgL_fz00_5961 = BgL_arg1762z00_1814; 
BgL_argsz00_5962 = BgL_arg1763z00_1815; 
BgL_argsz00_1525 = BgL_argsz00_5962; 
BgL_fz00_1524 = BgL_fz00_5961; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5960);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27757zd2_1819;
BgL_cdrzd27757zd2_1819 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27757zd2_1819))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1768z00_1822;obj_t BgL_arg1769z00_1823;
BgL_arg1768z00_1822 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
BgL_arg1769z00_1823 = 
CAR(
((obj_t)BgL_cdrzd27757zd2_1819)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5974;
{ 
obj_t BgL_gez00_5976;obj_t BgL_gvz00_5975;
BgL_gvz00_5975 = BgL_arg1768z00_1822; 
BgL_gez00_5976 = BgL_arg1769z00_1823; 
BgL_gez00_1503 = BgL_gez00_5976; 
BgL_gvz00_1502 = BgL_gvz00_5975; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_5974);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1770z00_1824;obj_t BgL_arg1771z00_1825;
BgL_arg1770z00_1824 = 
CAR(BgL_ez00_69); 
BgL_arg1771z00_1825 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5980;
{ 
obj_t BgL_argsz00_5982;obj_t BgL_fz00_5981;
BgL_fz00_5981 = BgL_arg1770z00_1824; 
BgL_argsz00_5982 = BgL_arg1771z00_1825; 
BgL_argsz00_1525 = BgL_argsz00_5982; 
BgL_fz00_1524 = BgL_fz00_5981; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_5980);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27844zd2_1828;
BgL_cdrzd27844zd2_1828 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27844zd2_1828))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1775z00_1831;obj_t BgL_arg1776z00_1832;
BgL_arg1775z00_1831 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
BgL_arg1776z00_1832 = 
CAR(
((obj_t)BgL_cdrzd27844zd2_1828)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5994;
{ 
obj_t BgL_gez00_5996;obj_t BgL_gvz00_5995;
BgL_gvz00_5995 = BgL_arg1775z00_1831; 
BgL_gez00_5996 = BgL_arg1776z00_1832; 
BgL_gez00_1503 = BgL_gez00_5996; 
BgL_gvz00_1502 = BgL_gvz00_5995; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_5994);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1777z00_1833;obj_t BgL_arg1778z00_1834;
BgL_arg1777z00_1833 = 
CAR(BgL_ez00_69); 
BgL_arg1778z00_1834 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6000;
{ 
obj_t BgL_argsz00_6002;obj_t BgL_fz00_6001;
BgL_fz00_6001 = BgL_arg1777z00_1833; 
BgL_argsz00_6002 = BgL_arg1778z00_1834; 
BgL_argsz00_1525 = BgL_argsz00_6002; 
BgL_fz00_1524 = BgL_fz00_6001; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6000);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd27931zd2_1837;
BgL_cdrzd27931zd2_1837 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27931zd2_1837))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1782z00_1840;obj_t BgL_arg1783z00_1841;
BgL_arg1782z00_1840 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
BgL_arg1783z00_1841 = 
CAR(
((obj_t)BgL_cdrzd27931zd2_1837)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6014;
{ 
obj_t BgL_gez00_6016;obj_t BgL_gvz00_6015;
BgL_gvz00_6015 = BgL_arg1782z00_1840; 
BgL_gez00_6016 = BgL_arg1783z00_1841; 
BgL_gez00_1503 = BgL_gez00_6016; 
BgL_gvz00_1502 = BgL_gvz00_6015; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6014);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1784z00_1842;obj_t BgL_arg1785z00_1843;
BgL_arg1784z00_1842 = 
CAR(BgL_ez00_69); 
BgL_arg1785z00_1843 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6020;
{ 
obj_t BgL_argsz00_6022;obj_t BgL_fz00_6021;
BgL_fz00_6021 = BgL_arg1784z00_1842; 
BgL_argsz00_6022 = BgL_arg1785z00_1843; 
BgL_argsz00_1525 = BgL_argsz00_6022; 
BgL_fz00_1524 = BgL_fz00_6021; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6020);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28018zd2_1847;
BgL_cdrzd28018zd2_1847 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28018zd2_1847))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1790z00_1850;obj_t BgL_arg1791z00_1851;
BgL_arg1790z00_1850 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1784)); 
BgL_arg1791z00_1851 = 
CAR(
((obj_t)BgL_cdrzd28018zd2_1847)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6034;
{ 
obj_t BgL_gez00_6036;obj_t BgL_gvz00_6035;
BgL_gvz00_6035 = BgL_arg1790z00_1850; 
BgL_gez00_6036 = BgL_arg1791z00_1851; 
BgL_gez00_1503 = BgL_gez00_6036; 
BgL_gvz00_1502 = BgL_gvz00_6035; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6034);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1792z00_1852;obj_t BgL_arg1793z00_1853;
BgL_arg1792z00_1852 = 
CAR(BgL_ez00_69); 
BgL_arg1793z00_1853 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6040;
{ 
obj_t BgL_argsz00_6042;obj_t BgL_fz00_6041;
BgL_fz00_6041 = BgL_arg1792z00_1852; 
BgL_argsz00_6042 = BgL_arg1793z00_1853; 
BgL_argsz00_1525 = BgL_argsz00_6042; 
BgL_fz00_1524 = BgL_fz00_6041; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6040);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1795z00_1855;
BgL_arg1795z00_1855 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6045;
{ 
obj_t BgL_argsz00_6047;obj_t BgL_fz00_6046;
BgL_fz00_6046 = BgL_arg1795z00_1855; 
BgL_argsz00_6047 = BgL_cdrzd27552zd2_1784; 
BgL_argsz00_1525 = BgL_argsz00_6047; 
BgL_fz00_1524 = BgL_fz00_6046; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6045);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1797z00_1857;
BgL_arg1797z00_1857 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6050;
{ 
obj_t BgL_argsz00_6052;obj_t BgL_fz00_6051;
BgL_fz00_6051 = BgL_arg1797z00_1857; 
BgL_argsz00_6052 = BgL_cdrzd27552zd2_1784; 
BgL_argsz00_1525 = BgL_argsz00_6052; 
BgL_fz00_1524 = BgL_fz00_6051; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6050);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3065z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd27552zd2_1784))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd28260zd2_1863;
BgL_carzd28260zd2_1863 = 
CAR(BgL_cdrzd27552zd2_1784); 
if(
PAIRP(BgL_carzd28260zd2_1863))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_carzd28260zd2_1863)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1805z00_1867;obj_t BgL_arg1806z00_1868;
BgL_arg1805z00_1867 = 
CAR(BgL_carzd28260zd2_1863); 
BgL_arg1806z00_1868 = 
CDR(BgL_cdrzd27552zd2_1784); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6067;
BgL_vz00_1505 = BgL_arg1805z00_1867; 
BgL_bodyz00_1506 = BgL_arg1806z00_1868; 
BgL_tagzd2169zd2_1507:
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_varz00_2584;
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_new1143z00_2589;
{ /* Eval/evaluate.scm 571 */
BgL_ev_varz00_bglt BgL_new1142z00_2590;
BgL_new1142z00_2590 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 571 */
long BgL_arg2301z00_2591;
{ /* Eval/evaluate.scm 571 */
long BgL_res2756z00_3501;
BgL_res2756z00_3501 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2301z00_2591 = BgL_res2756z00_3501; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_2590), BgL_arg2301z00_2591); } 
BgL_new1143z00_2589 = BgL_new1142z00_2590; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2589))->BgL_namez00)=((obj_t)BgL_vz00_1505),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2589))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1143z00_2589))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2584 = BgL_new1143z00_2589; } 
{ /* Eval/evaluate.scm 572 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2585;
{ /* Eval/evaluate.scm 573 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1144z00_2587;
BgL_new1144z00_2587 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 573 */
long BgL_arg2300z00_2588;
{ /* Eval/evaluate.scm 573 */
long BgL_res2757z00_3505;
BgL_res2757z00_3505 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg2300z00_2588 = BgL_res2757z00_3505; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_2587), BgL_arg2300z00_2588); } 
BgL_new1145z00_2585 = BgL_new1144z00_2587; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1145z00_2585))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2584),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_6080;
{ /* Eval/evaluate.scm 574 */
obj_t BgL_arg2299z00_2586;
BgL_arg2299z00_2586 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2584), BgL_localsz00_70); 
BgL_auxz00_6080 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1506, BgL_arg2299z00_2586, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1145z00_2585))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6080),BUNSPEC); } 
BgL_auxz00_6067 = BgL_new1145z00_2585; } } 
return 
((obj_t)BgL_auxz00_6067);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1807z00_1869;obj_t BgL_arg1808z00_1870;
BgL_arg1807z00_1869 = 
CAR(BgL_ez00_69); 
BgL_arg1808z00_1870 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6089;
{ 
obj_t BgL_argsz00_6091;obj_t BgL_fz00_6090;
BgL_fz00_6090 = BgL_arg1807z00_1869; 
BgL_argsz00_6091 = BgL_arg1808z00_1870; 
BgL_argsz00_1525 = BgL_argsz00_6091; 
BgL_fz00_1524 = BgL_fz00_6090; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6089);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1810z00_1872;obj_t BgL_arg1811z00_1873;
BgL_arg1810z00_1872 = 
CAR(BgL_ez00_69); 
BgL_arg1811z00_1873 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6095;
{ 
obj_t BgL_argsz00_6097;obj_t BgL_fz00_6096;
BgL_fz00_6096 = BgL_arg1810z00_1872; 
BgL_argsz00_6097 = BgL_arg1811z00_1873; 
BgL_argsz00_1525 = BgL_argsz00_6097; 
BgL_fz00_1524 = BgL_fz00_6096; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6095);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1812z00_1874;obj_t BgL_arg1813z00_1875;
BgL_arg1812z00_1874 = 
CAR(BgL_ez00_69); 
BgL_arg1813z00_1875 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6101;
{ 
obj_t BgL_argsz00_6103;obj_t BgL_fz00_6102;
BgL_fz00_6102 = BgL_arg1812z00_1874; 
BgL_argsz00_6103 = BgL_arg1813z00_1875; 
BgL_argsz00_1525 = BgL_argsz00_6103; 
BgL_fz00_1524 = BgL_fz00_6102; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6101);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28425zd2_1876;
BgL_cdrzd28425zd2_1876 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3067z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28425zd2_1876))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1817z00_1880;obj_t BgL_arg1818z00_1881;
BgL_arg1817z00_1880 = 
CAR(BgL_cdrzd28425zd2_1876); 
BgL_arg1818z00_1881 = 
CDR(BgL_cdrzd28425zd2_1876); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6113;
BgL_ez00_1508 = BgL_arg1817z00_1880; 
BgL_bodyz00_1509 = BgL_arg1818z00_1881; 
BgL_tagzd2170zd2_1510:
{ /* Eval/evaluate.scm 576 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2592;
{ /* Eval/evaluate.scm 577 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1146z00_2593;
BgL_new1146z00_2593 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 577 */
long BgL_arg2302z00_2594;
{ /* Eval/evaluate.scm 577 */
long BgL_res2758z00_3509;
BgL_res2758z00_3509 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg2302z00_2594 = BgL_res2758z00_3509; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_2593), BgL_arg2302z00_2594); } 
BgL_new1147z00_2592 = BgL_new1146z00_2593; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1147z00_2592))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1508))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1147z00_2592))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1509, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6113 = BgL_new1147z00_2592; } 
return 
((obj_t)BgL_auxz00_6113);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1819z00_1882;
BgL_arg1819z00_1882 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6126;
{ 
obj_t BgL_argsz00_6128;obj_t BgL_fz00_6127;
BgL_fz00_6127 = BgL_arg1819z00_1882; 
BgL_argsz00_6128 = BgL_cdrzd28425zd2_1876; 
BgL_argsz00_1525 = BgL_argsz00_6128; 
BgL_fz00_1524 = BgL_fz00_6127; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6126);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3069z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28425zd2_1876))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1824z00_1888;obj_t BgL_arg1825z00_1889;
BgL_arg1824z00_1888 = 
CAR(BgL_cdrzd28425zd2_1876); 
BgL_arg1825z00_1889 = 
CDR(BgL_cdrzd28425zd2_1876); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6137;
BgL_hz00_1511 = BgL_arg1824z00_1888; 
BgL_bodyz00_1512 = BgL_arg1825z00_1889; 
BgL_tagzd2171zd2_1513:
{ /* Eval/evaluate.scm 580 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2595;
{ /* Eval/evaluate.scm 581 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1148z00_2596;
BgL_new1148z00_2596 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 581 */
long BgL_arg2303z00_2597;
{ /* Eval/evaluate.scm 581 */
long BgL_res2759z00_3513;
BgL_res2759z00_3513 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg2303z00_2597 = BgL_res2759z00_3513; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_2596), BgL_arg2303z00_2597); } 
BgL_new1149z00_2595 = BgL_new1148z00_2596; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1149z00_2595))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1511))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1149z00_2595))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1512, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6137 = BgL_new1149z00_2595; } 
return 
((obj_t)BgL_auxz00_6137);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1826z00_1890;obj_t BgL_arg1827z00_1891;
BgL_arg1826z00_1890 = 
CAR(BgL_ez00_69); 
BgL_arg1827z00_1891 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6151;
{ 
obj_t BgL_argsz00_6153;obj_t BgL_fz00_6152;
BgL_fz00_6152 = BgL_arg1826z00_1890; 
BgL_argsz00_6153 = BgL_arg1827z00_1891; 
BgL_argsz00_1525 = BgL_argsz00_6153; 
BgL_fz00_1524 = BgL_fz00_6152; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6151);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28528zd2_1892;
BgL_cdrzd28528zd2_1892 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3071z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28528zd2_1892))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28533zd2_1896;
BgL_cdrzd28533zd2_1896 = 
CDR(BgL_cdrzd28528zd2_1892); 
if(
PAIRP(BgL_cdrzd28533zd2_1896))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28538zd2_1898;
BgL_cdrzd28538zd2_1898 = 
CDR(BgL_cdrzd28533zd2_1896); 
if(
(
CAR(BgL_cdrzd28533zd2_1896)==BGl_keyword3073z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28538zd2_1898))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1835z00_1902;obj_t BgL_arg1836z00_1903;obj_t BgL_arg1837z00_1904;
BgL_arg1835z00_1902 = 
CAR(BgL_cdrzd28528zd2_1892); 
BgL_arg1836z00_1903 = 
CAR(BgL_cdrzd28538zd2_1898); 
BgL_arg1837z00_1904 = 
CDR(BgL_cdrzd28538zd2_1898); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6173;
BgL_mz00_1514 = BgL_arg1835z00_1902; 
BgL_pz00_1515 = BgL_arg1836z00_1903; 
BgL_bodyz00_1516 = BgL_arg1837z00_1904; 
BgL_tagzd2172zd2_1517:
{ /* Eval/evaluate.scm 584 */
BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2598;
{ /* Eval/evaluate.scm 585 */
BgL_ev_synchroniza7eza7_bglt BgL_new1150z00_2599;
BgL_new1150z00_2599 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 585 */
long BgL_arg2304z00_2600;
{ /* Eval/evaluate.scm 585 */
long BgL_res2760z00_3517;
BgL_res2760z00_3517 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2304z00_2600 = BgL_res2760z00_3517; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_2599), BgL_arg2304z00_2600); } 
BgL_new1151z00_2598 = BgL_new1150z00_2599; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2598))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2598))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1514))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2598))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1515))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1151z00_2598))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1516, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6173 = BgL_new1151z00_2598; } 
return 
((obj_t)BgL_auxz00_6173);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1838z00_1906;obj_t BgL_arg1839z00_1907;
BgL_arg1838z00_1906 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
BgL_arg1839z00_1907 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6193;
BgL_mz00_1518 = BgL_arg1838z00_1906; 
BgL_bodyz00_1519 = BgL_arg1839z00_1907; 
BgL_tagzd2173zd2_1520:
{ /* Eval/evaluate.scm 590 */
BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2601;
{ /* Eval/evaluate.scm 591 */
BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2602;
BgL_new1152z00_2602 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 591 */
long BgL_arg2305z00_2603;
{ /* Eval/evaluate.scm 591 */
long BgL_res2761z00_3521;
BgL_res2761z00_3521 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2305z00_2603 = BgL_res2761z00_3521; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_2602), BgL_arg2305z00_2603); } 
BgL_new1153z00_2601 = BgL_new1152z00_2602; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2601))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2601))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1518))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2601))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2601))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1519, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6193 = BgL_new1153z00_2601; } 
return 
((obj_t)BgL_auxz00_6193);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1840z00_1909;obj_t BgL_arg1841z00_1910;
BgL_arg1840z00_1909 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
BgL_arg1841z00_1910 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6213;
{ 
obj_t BgL_bodyz00_6215;obj_t BgL_mz00_6214;
BgL_mz00_6214 = BgL_arg1840z00_1909; 
BgL_bodyz00_6215 = BgL_arg1841z00_1910; 
BgL_bodyz00_1519 = BgL_bodyz00_6215; 
BgL_mz00_1518 = BgL_mz00_6214; 
goto BgL_tagzd2173zd2_1520;} 
return 
((obj_t)BgL_auxz00_6213);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1843z00_1913;obj_t BgL_arg1844z00_1914;
BgL_arg1843z00_1913 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
BgL_arg1844z00_1914 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1892)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6221;
{ 
obj_t BgL_bodyz00_6223;obj_t BgL_mz00_6222;
BgL_mz00_6222 = BgL_arg1843z00_1913; 
BgL_bodyz00_6223 = BgL_arg1844z00_1914; 
BgL_bodyz00_1519 = BgL_bodyz00_6223; 
BgL_mz00_1518 = BgL_mz00_6222; 
goto BgL_tagzd2173zd2_1520;} 
return 
((obj_t)BgL_auxz00_6221);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1845z00_1915;
BgL_arg1845z00_1915 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6226;
{ 
obj_t BgL_argsz00_6228;obj_t BgL_fz00_6227;
BgL_fz00_6227 = BgL_arg1845z00_1915; 
BgL_argsz00_6228 = BgL_cdrzd28528zd2_1892; 
BgL_argsz00_1525 = BgL_argsz00_6228; 
BgL_fz00_1524 = BgL_fz00_6227; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6226);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3026z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd28528zd2_1892))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd28638zd2_1921;
BgL_cdrzd28638zd2_1921 = 
CDR(BgL_cdrzd28528zd2_1892); 
if(
PAIRP(BgL_cdrzd28638zd2_1921))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd28638zd2_1921)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1853z00_1925;obj_t BgL_arg1854z00_1926;
BgL_arg1853z00_1925 = 
CAR(BgL_cdrzd28528zd2_1892); 
BgL_arg1854z00_1926 = 
CAR(BgL_cdrzd28638zd2_1921); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6243;
BgL_formalsz00_1521 = BgL_arg1853z00_1925; 
BgL_bodyz00_1522 = BgL_arg1854z00_1926; 
BgL_tagzd2174zd2_1523:
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2306z00_2604;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2307z00_2605;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2308z00_2606;obj_t BgL_arg2309z00_2607;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_res2762z00_3526;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_symbolz00_3524;
BgL_symbolz00_3524 = BGl_symbol3037z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2476z00_3525;
BgL_arg2476z00_3525 = 
SYMBOL_TO_STRING(BgL_symbolz00_3524); 
BgL_res2762z00_3526 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3525); } } 
BgL_arg2308z00_2606 = BgL_res2762z00_3526; } 
{ /* Eval/evaluate.scm 596 */
obj_t BgL_res2763z00_3529;
{ /* Eval/evaluate.scm 596 */
obj_t BgL_arg2476z00_3528;
BgL_arg2476z00_3528 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_res2763z00_3529 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2476z00_3528); } 
BgL_arg2309z00_2607 = BgL_res2763z00_3529; } 
BgL_arg2307z00_2605 = 
string_append(BgL_arg2308z00_2606, BgL_arg2309z00_2607); } 
BgL_arg2306z00_2604 = 
bstring_to_symbol(BgL_arg2307z00_2605); } 
BgL_auxz00_6243 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1521, BgL_bodyz00_1522, BgL_arg2306z00_2604, BFALSE); } 
return 
((obj_t)BgL_auxz00_6243);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1855z00_1927;obj_t BgL_arg1856z00_1928;
BgL_arg1855z00_1927 = 
CAR(BgL_ez00_69); 
BgL_arg1856z00_1928 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6255;
{ 
obj_t BgL_argsz00_6257;obj_t BgL_fz00_6256;
BgL_fz00_6256 = BgL_arg1855z00_1927; 
BgL_argsz00_6257 = BgL_arg1856z00_1928; 
BgL_argsz00_1525 = BgL_argsz00_6257; 
BgL_fz00_1524 = BgL_fz00_6256; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6255);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1858z00_1930;obj_t BgL_arg1859z00_1931;
BgL_arg1858z00_1930 = 
CAR(BgL_ez00_69); 
BgL_arg1859z00_1931 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6261;
{ 
obj_t BgL_argsz00_6263;obj_t BgL_fz00_6262;
BgL_fz00_6262 = BgL_arg1858z00_1930; 
BgL_argsz00_6263 = BgL_arg1859z00_1931; 
BgL_argsz00_1525 = BgL_argsz00_6263; 
BgL_fz00_1524 = BgL_fz00_6262; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6261);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1860z00_1932;obj_t BgL_arg1861z00_1933;
BgL_arg1860z00_1932 = 
CAR(BgL_ez00_69); 
BgL_arg1861z00_1933 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6267;
{ 
obj_t BgL_argsz00_6269;obj_t BgL_fz00_6268;
BgL_fz00_6268 = BgL_arg1860z00_1932; 
BgL_argsz00_6269 = BgL_arg1861z00_1933; 
BgL_argsz00_1525 = BgL_argsz00_6269; 
BgL_fz00_1524 = BgL_fz00_6268; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6267);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1862z00_1934;obj_t BgL_arg1863z00_1935;
BgL_arg1862z00_1934 = 
CAR(BgL_ez00_69); 
BgL_arg1863z00_1935 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6273;
{ 
obj_t BgL_argsz00_6275;obj_t BgL_fz00_6274;
BgL_fz00_6274 = BgL_arg1862z00_1934; 
BgL_argsz00_6275 = BgL_arg1863z00_1935; 
BgL_argsz00_1525 = BgL_argsz00_6275; 
BgL_fz00_1524 = BgL_fz00_6274; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6273);} } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(BgL_carzd23820zd2_1599==BGl_symbol3051z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd2249zd2_1533))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1533)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1885z00_1959;
BgL_arg1885z00_1959 = 
CAR(BgL_cdrzd2249zd2_1533); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_6285;
{ 
obj_t BgL_ez00_6286;
BgL_ez00_6286 = BgL_arg1885z00_1959; 
BgL_ez00_1461 = BgL_ez00_6286; 
goto BgL_tagzd2153zd2_1462;} 
return 
((obj_t)BgL_auxz00_6285);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1886z00_1960;obj_t BgL_arg1887z00_1961;
BgL_arg1886z00_1960 = 
CAR(BgL_ez00_69); 
BgL_arg1887z00_1961 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6290;
{ 
obj_t BgL_argsz00_6292;obj_t BgL_fz00_6291;
BgL_fz00_6291 = BgL_arg1886z00_1960; 
BgL_argsz00_6292 = BgL_arg1887z00_1961; 
BgL_argsz00_1525 = BgL_argsz00_6292; 
BgL_fz00_1524 = BgL_fz00_6291; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6290);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1889z00_1963;obj_t BgL_arg1890z00_1964;
BgL_arg1889z00_1963 = 
CAR(BgL_ez00_69); 
BgL_arg1890z00_1964 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6296;
{ 
obj_t BgL_argsz00_6298;obj_t BgL_fz00_6297;
BgL_fz00_6297 = BgL_arg1889z00_1963; 
BgL_argsz00_6298 = BgL_arg1890z00_1964; 
BgL_argsz00_1525 = BgL_argsz00_6298; 
BgL_fz00_1524 = BgL_fz00_6297; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6296);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29337zd2_1965;
BgL_cdrzd29337zd2_1965 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3014z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd29337zd2_1965))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd29337zd2_1965)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1896z00_1971;
BgL_arg1896z00_1971 = 
CAR(BgL_cdrzd29337zd2_1965); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_6310;
{ 
obj_t BgL_vz00_6311;
BgL_vz00_6311 = BgL_arg1896z00_1971; 
BgL_vz00_1463 = BgL_vz00_6311; 
goto BgL_tagzd2154zd2_1464;} 
return 
((obj_t)BgL_auxz00_6310);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1897z00_1972;
BgL_arg1897z00_1972 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6314;
{ 
obj_t BgL_argsz00_6316;obj_t BgL_fz00_6315;
BgL_fz00_6315 = BgL_arg1897z00_1972; 
BgL_argsz00_6316 = BgL_cdrzd29337zd2_1965; 
BgL_argsz00_1525 = BgL_argsz00_6316; 
BgL_fz00_1524 = BgL_fz00_6315; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6314);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1900z00_1975;
BgL_arg1900z00_1975 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6319;
{ 
obj_t BgL_argsz00_6321;obj_t BgL_fz00_6320;
BgL_fz00_6320 = BgL_arg1900z00_1975; 
BgL_argsz00_6321 = BgL_cdrzd29337zd2_1965; 
BgL_argsz00_1525 = BgL_argsz00_6321; 
BgL_fz00_1524 = BgL_fz00_6320; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6319);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3022z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd29337zd2_1965))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29947zd2_1981;
BgL_cdrzd29947zd2_1981 = 
CDR(BgL_cdrzd29337zd2_1965); 
if(
PAIRP(BgL_cdrzd29947zd2_1981))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd29952zd2_1983;
BgL_cdrzd29952zd2_1983 = 
CDR(BgL_cdrzd29947zd2_1981); 
if(
PAIRP(BgL_cdrzd29952zd2_1983))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd29952zd2_1983)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1909z00_1987;obj_t BgL_arg1910z00_1988;obj_t BgL_arg1911z00_1989;
BgL_arg1909z00_1987 = 
CAR(BgL_cdrzd29337zd2_1965); 
BgL_arg1910z00_1988 = 
CAR(BgL_cdrzd29947zd2_1981); 
BgL_arg1911z00_1989 = 
CAR(BgL_cdrzd29952zd2_1983); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6340;
{ 
obj_t BgL_oz00_6343;obj_t BgL_tz00_6342;obj_t BgL_pz00_6341;
BgL_pz00_6341 = BgL_arg1909z00_1987; 
BgL_tz00_6342 = BgL_arg1910z00_1988; 
BgL_oz00_6343 = BgL_arg1911z00_1989; 
BgL_oz00_1467 = BgL_oz00_6343; 
BgL_tz00_1466 = BgL_tz00_6342; 
BgL_pz00_1465 = BgL_pz00_6341; 
goto BgL_tagzd2155zd2_1468;} 
return 
((obj_t)BgL_auxz00_6340);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1912z00_1990;obj_t BgL_arg1913z00_1991;
BgL_arg1912z00_1990 = 
CAR(BgL_ez00_69); 
BgL_arg1913z00_1991 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6347;
{ 
obj_t BgL_argsz00_6349;obj_t BgL_fz00_6348;
BgL_fz00_6348 = BgL_arg1912z00_1990; 
BgL_argsz00_6349 = BgL_arg1913z00_1991; 
BgL_argsz00_1525 = BgL_argsz00_6349; 
BgL_fz00_1524 = BgL_fz00_6348; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6347);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd210250zd2_1993;
BgL_cdrzd210250zd2_1993 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd210256zd2_1994;
BgL_cdrzd210256zd2_1994 = 
CDR(
((obj_t)BgL_cdrzd210250zd2_1993)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210256zd2_1994))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1917z00_1997;obj_t BgL_arg1918z00_1998;
BgL_arg1917z00_1997 = 
CAR(
((obj_t)BgL_cdrzd210250zd2_1993)); 
BgL_arg1918z00_1998 = 
CAR(
((obj_t)BgL_cdrzd210256zd2_1994)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6362;
{ 
obj_t BgL_tz00_6364;obj_t BgL_pz00_6363;
BgL_pz00_6363 = BgL_arg1917z00_1997; 
BgL_tz00_6364 = BgL_arg1918z00_1998; 
BgL_tz00_1470 = BgL_tz00_6364; 
BgL_pz00_1469 = BgL_pz00_6363; 
goto BgL_tagzd2156zd2_1471;} 
return 
((obj_t)BgL_auxz00_6362);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1919z00_1999;
BgL_arg1919z00_1999 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6367;
{ 
obj_t BgL_argsz00_6369;obj_t BgL_fz00_6368;
BgL_fz00_6368 = BgL_arg1919z00_1999; 
BgL_argsz00_6369 = BgL_cdrzd210250zd2_1993; 
BgL_argsz00_1525 = BgL_argsz00_6369; 
BgL_fz00_1524 = BgL_fz00_6368; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6367);} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1922z00_2002;obj_t BgL_arg1923z00_2003;
BgL_arg1922z00_2002 = 
CAR(BgL_ez00_69); 
BgL_arg1923z00_2003 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6373;
{ 
obj_t BgL_argsz00_6375;obj_t BgL_fz00_6374;
BgL_fz00_6374 = BgL_arg1922z00_2002; 
BgL_argsz00_6375 = BgL_arg1923z00_2003; 
BgL_argsz00_1525 = BgL_argsz00_6375; 
BgL_fz00_1524 = BgL_fz00_6374; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6373);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1924z00_2004;obj_t BgL_arg1925z00_2005;
BgL_arg1924z00_2004 = 
CAR(BgL_ez00_69); 
BgL_arg1925z00_2005 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6379;
{ 
obj_t BgL_argsz00_6381;obj_t BgL_fz00_6380;
BgL_fz00_6380 = BgL_arg1924z00_2004; 
BgL_argsz00_6381 = BgL_arg1925z00_2005; 
BgL_argsz00_1525 = BgL_argsz00_6381; 
BgL_fz00_1524 = BgL_fz00_6380; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6379);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1928z00_2008;
BgL_arg1928z00_2008 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_6387;
{ 
obj_t BgL_argsz00_6388;
BgL_argsz00_6388 = BgL_arg1928z00_2008; 
BgL_argsz00_1472 = BgL_argsz00_6388; 
goto BgL_tagzd2157zd2_1473;} 
return 
((obj_t)BgL_auxz00_6387);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3055z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1931z00_2011;
BgL_arg1931z00_2011 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_6394;
{ 
obj_t BgL_argsz00_6395;
BgL_argsz00_6395 = BgL_arg1931z00_2011; 
BgL_argsz00_1474 = BgL_argsz00_6395; 
goto BgL_tagzd2158zd2_1475;} 
return 
((obj_t)BgL_auxz00_6394);} }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3040z00zz__evaluatez00))
{ 
obj_t BgL_lz00_6400;
BgL_lz00_6400 = 
CDR(BgL_ez00_69); 
BgL_lz00_1476 = BgL_lz00_6400; 
goto BgL_tagzd2159zd2_1477;}  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211149zd2_2015;
BgL_cdrzd211149zd2_2015 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3024z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211149zd2_2015))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1938z00_2019;obj_t BgL_arg1939z00_2020;
BgL_arg1938z00_2019 = 
CAR(BgL_cdrzd211149zd2_2015); 
BgL_arg1939z00_2020 = 
CDR(BgL_cdrzd211149zd2_2015); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_6410;
{ 
obj_t BgL_bodyz00_6412;obj_t BgL_bindsz00_6411;
BgL_bindsz00_6411 = BgL_arg1938z00_2019; 
BgL_bodyz00_6412 = BgL_arg1939z00_2020; 
BgL_bodyz00_1479 = BgL_bodyz00_6412; 
BgL_bindsz00_1478 = BgL_bindsz00_6411; 
goto BgL_tagzd2160zd2_1480;} 
return 
((obj_t)BgL_auxz00_6410);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1940z00_2021;
BgL_arg1940z00_2021 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6415;
{ 
obj_t BgL_argsz00_6417;obj_t BgL_fz00_6416;
BgL_fz00_6416 = BgL_arg1940z00_2021; 
BgL_argsz00_6417 = BgL_cdrzd211149zd2_2015; 
BgL_argsz00_1525 = BgL_argsz00_6417; 
BgL_fz00_1524 = BgL_fz00_6416; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6415);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3057z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211149zd2_2015))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1945z00_2027;obj_t BgL_arg1946z00_2028;
BgL_arg1945z00_2027 = 
CAR(BgL_cdrzd211149zd2_2015); 
BgL_arg1946z00_2028 = 
CDR(BgL_cdrzd211149zd2_2015); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_6426;
{ 
obj_t BgL_bodyz00_6428;obj_t BgL_bindsz00_6427;
BgL_bindsz00_6427 = BgL_arg1945z00_2027; 
BgL_bodyz00_6428 = BgL_arg1946z00_2028; 
BgL_bodyz00_1482 = BgL_bodyz00_6428; 
BgL_bindsz00_1481 = BgL_bindsz00_6427; 
goto BgL_tagzd2161zd2_1483;} 
return 
((obj_t)BgL_auxz00_6426);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1947z00_2029;obj_t BgL_arg1948z00_2030;
BgL_arg1947z00_2029 = 
CAR(BgL_ez00_69); 
BgL_arg1948z00_2030 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6432;
{ 
obj_t BgL_argsz00_6434;obj_t BgL_fz00_6433;
BgL_fz00_6433 = BgL_arg1947z00_2029; 
BgL_argsz00_6434 = BgL_arg1948z00_2030; 
BgL_argsz00_1525 = BgL_argsz00_6434; 
BgL_fz00_1524 = BgL_fz00_6433; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6432);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211543zd2_2031;
BgL_cdrzd211543zd2_2031 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3059z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211543zd2_2031))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1952z00_2035;obj_t BgL_arg1953z00_2036;
BgL_arg1952z00_2035 = 
CAR(BgL_cdrzd211543zd2_2031); 
BgL_arg1953z00_2036 = 
CDR(BgL_cdrzd211543zd2_2031); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_6444;
{ 
obj_t BgL_bodyz00_6446;obj_t BgL_bindsz00_6445;
BgL_bindsz00_6445 = BgL_arg1952z00_2035; 
BgL_bodyz00_6446 = BgL_arg1953z00_2036; 
BgL_bodyz00_1485 = BgL_bodyz00_6446; 
BgL_bindsz00_1484 = BgL_bindsz00_6445; 
goto BgL_tagzd2162zd2_1486;} 
return 
((obj_t)BgL_auxz00_6444);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1954z00_2037;
BgL_arg1954z00_2037 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6449;
{ 
obj_t BgL_argsz00_6451;obj_t BgL_fz00_6450;
BgL_fz00_6450 = BgL_arg1954z00_2037; 
BgL_argsz00_6451 = BgL_cdrzd211543zd2_2031; 
BgL_argsz00_1525 = BgL_argsz00_6451; 
BgL_fz00_1524 = BgL_fz00_6450; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6449);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3061z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211543zd2_2031))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211717zd2_2043;obj_t BgL_cdrzd211718zd2_2044;
BgL_carzd211717zd2_2043 = 
CAR(BgL_cdrzd211543zd2_2031); 
BgL_cdrzd211718zd2_2044 = 
CDR(BgL_cdrzd211543zd2_2031); 
if(
PAIRP(BgL_carzd211717zd2_2043))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211722zd2_2046;
BgL_cdrzd211722zd2_2046 = 
CDR(BgL_carzd211717zd2_2043); 
if(
(
CAR(BgL_carzd211717zd2_2043)==BGl_symbol3047z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211722zd2_2046))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211725zd2_2050;obj_t BgL_cdrzd211726zd2_2051;
BgL_carzd211725zd2_2050 = 
CAR(BgL_cdrzd211722zd2_2046); 
BgL_cdrzd211726zd2_2051 = 
CDR(BgL_cdrzd211722zd2_2046); 
if(
SYMBOLP(BgL_carzd211725zd2_2050))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211726zd2_2051))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd211730zd2_2054;
BgL_carzd211730zd2_2054 = 
CAR(BgL_cdrzd211726zd2_2051); 
if(
SYMBOLP(BgL_carzd211730zd2_2054))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211726zd2_2051)))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd211718zd2_2044))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211718zd2_2044)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1971z00_2061;
BgL_arg1971z00_2061 = 
CAR(BgL_cdrzd211718zd2_2044); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_6486;
{ 
obj_t BgL_ez00_6489;obj_t BgL_modnamez00_6488;obj_t BgL_idz00_6487;
BgL_idz00_6487 = BgL_carzd211725zd2_2050; 
BgL_modnamez00_6488 = BgL_carzd211730zd2_2054; 
BgL_ez00_6489 = BgL_arg1971z00_2061; 
BgL_ez00_1489 = BgL_ez00_6489; 
BgL_modnamez00_1488 = BgL_modnamez00_6488; 
BgL_idz00_1487 = BgL_idz00_6487; 
goto BgL_tagzd2163zd2_1490;} 
return 
((obj_t)BgL_auxz00_6486);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211846zd2_2063;
BgL_cdrzd211846zd2_2063 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211850zd2_2064;
BgL_cdrzd211850zd2_2064 = 
CDR(
((obj_t)BgL_cdrzd211846zd2_2063)); 
if(
PAIRP(BgL_cdrzd211850zd2_2064))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211850zd2_2064)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1976z00_2068;obj_t BgL_arg1977z00_2069;
BgL_arg1976z00_2068 = 
CAR(
((obj_t)BgL_cdrzd211846zd2_2063)); 
BgL_arg1977z00_2069 = 
CAR(BgL_cdrzd211850zd2_2064); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6502;
{ 
obj_t BgL_ez00_6504;obj_t BgL_vz00_6503;
BgL_vz00_6503 = BgL_arg1976z00_2068; 
BgL_ez00_6504 = BgL_arg1977z00_2069; 
BgL_ez00_1495 = BgL_ez00_6504; 
BgL_vz00_1494 = BgL_vz00_6503; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6502);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211907zd2_2072;
BgL_cdrzd211907zd2_2072 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211911zd2_2073;
BgL_cdrzd211911zd2_2073 = 
CDR(
((obj_t)BgL_cdrzd211907zd2_2072)); 
if(
PAIRP(BgL_cdrzd211911zd2_2073))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211911zd2_2073)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1983z00_2077;obj_t BgL_arg1984z00_2078;
BgL_arg1983z00_2077 = 
CAR(
((obj_t)BgL_cdrzd211907zd2_2072)); 
BgL_arg1984z00_2078 = 
CAR(BgL_cdrzd211911zd2_2073); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6517;
{ 
obj_t BgL_ez00_6519;obj_t BgL_vz00_6518;
BgL_vz00_6518 = BgL_arg1983z00_2077; 
BgL_ez00_6519 = BgL_arg1984z00_2078; 
BgL_ez00_1495 = BgL_ez00_6519; 
BgL_vz00_1494 = BgL_vz00_6518; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6517);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211968zd2_2080;
BgL_cdrzd211968zd2_2080 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd211972zd2_2081;
BgL_cdrzd211972zd2_2081 = 
CDR(
((obj_t)BgL_cdrzd211968zd2_2080)); 
if(
PAIRP(BgL_cdrzd211972zd2_2081))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd211972zd2_2081)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1989z00_2085;obj_t BgL_arg1990z00_2086;
BgL_arg1989z00_2085 = 
CAR(
((obj_t)BgL_cdrzd211968zd2_2080)); 
BgL_arg1990z00_2086 = 
CAR(BgL_cdrzd211972zd2_2081); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6532;
{ 
obj_t BgL_ez00_6534;obj_t BgL_vz00_6533;
BgL_vz00_6533 = BgL_arg1989z00_2085; 
BgL_ez00_6534 = BgL_arg1990z00_2086; 
BgL_ez00_1495 = BgL_ez00_6534; 
BgL_vz00_1494 = BgL_vz00_6533; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6532);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212029zd2_2088;
BgL_cdrzd212029zd2_2088 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212033zd2_2089;
BgL_cdrzd212033zd2_2089 = 
CDR(
((obj_t)BgL_cdrzd212029zd2_2088)); 
if(
PAIRP(BgL_cdrzd212033zd2_2089))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212033zd2_2089)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg1995z00_2093;obj_t BgL_arg1996z00_2094;
BgL_arg1995z00_2093 = 
CAR(
((obj_t)BgL_cdrzd212029zd2_2088)); 
BgL_arg1996z00_2094 = 
CAR(BgL_cdrzd212033zd2_2089); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6547;
{ 
obj_t BgL_ez00_6549;obj_t BgL_vz00_6548;
BgL_vz00_6548 = BgL_arg1995z00_2093; 
BgL_ez00_6549 = BgL_arg1996z00_2094; 
BgL_ez00_1495 = BgL_ez00_6549; 
BgL_vz00_1494 = BgL_vz00_6548; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6547);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212090zd2_2096;
BgL_cdrzd212090zd2_2096 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212094zd2_2097;
BgL_cdrzd212094zd2_2097 = 
CDR(
((obj_t)BgL_cdrzd212090zd2_2096)); 
if(
PAIRP(BgL_cdrzd212094zd2_2097))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212094zd2_2097)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2001z00_2101;obj_t BgL_arg2002z00_2102;
BgL_arg2001z00_2101 = 
CAR(
((obj_t)BgL_cdrzd212090zd2_2096)); 
BgL_arg2002z00_2102 = 
CAR(BgL_cdrzd212094zd2_2097); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6562;
{ 
obj_t BgL_ez00_6564;obj_t BgL_vz00_6563;
BgL_vz00_6563 = BgL_arg2001z00_2101; 
BgL_ez00_6564 = BgL_arg2002z00_2102; 
BgL_ez00_1495 = BgL_ez00_6564; 
BgL_vz00_1494 = BgL_vz00_6563; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6562);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212138zd2_2104;
BgL_cdrzd212138zd2_2104 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd212141zd2_2105;obj_t BgL_cdrzd212142zd2_2106;
BgL_carzd212141zd2_2105 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2104)); 
BgL_cdrzd212142zd2_2106 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2104)); 
if(
(
CAR(
((obj_t)BgL_carzd212141zd2_2105))==BGl_symbol3049z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212142zd2_2106))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212142zd2_2106)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2009z00_2112;obj_t BgL_arg2010z00_2113;
BgL_arg2009z00_2112 = 
CDR(
((obj_t)BgL_carzd212141zd2_2105)); 
BgL_arg2010z00_2113 = 
CAR(BgL_cdrzd212142zd2_2106); 
{ 
obj_t BgL_e2z00_6584;obj_t BgL_lz00_6583;
BgL_lz00_6583 = BgL_arg2009z00_2112; 
BgL_e2z00_6584 = BgL_arg2010z00_2113; 
BgL_e2z00_1492 = BgL_e2z00_6584; 
BgL_lz00_1491 = BgL_lz00_6583; 
goto BgL_tagzd2164zd2_1493;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212218zd2_2116;
BgL_cdrzd212218zd2_2116 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2104)); 
if(
PAIRP(BgL_cdrzd212218zd2_2116))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212218zd2_2116)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2015z00_2120;obj_t BgL_arg2016z00_2121;
BgL_arg2015z00_2120 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2104)); 
BgL_arg2016z00_2121 = 
CAR(BgL_cdrzd212218zd2_2116); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6595;
{ 
obj_t BgL_ez00_6597;obj_t BgL_vz00_6596;
BgL_vz00_6596 = BgL_arg2015z00_2120; 
BgL_ez00_6597 = BgL_arg2016z00_2121; 
BgL_ez00_1495 = BgL_ez00_6597; 
BgL_vz00_1494 = BgL_vz00_6596; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6595);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212275zd2_2125;
BgL_cdrzd212275zd2_2125 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212279zd2_2126;
BgL_cdrzd212279zd2_2126 = 
CDR(
((obj_t)BgL_cdrzd212275zd2_2125)); 
if(
PAIRP(BgL_cdrzd212279zd2_2126))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212279zd2_2126)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2023z00_2130;obj_t BgL_arg2024z00_2131;
BgL_arg2023z00_2130 = 
CAR(
((obj_t)BgL_cdrzd212275zd2_2125)); 
BgL_arg2024z00_2131 = 
CAR(BgL_cdrzd212279zd2_2126); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6610;
{ 
obj_t BgL_ez00_6612;obj_t BgL_vz00_6611;
BgL_vz00_6611 = BgL_arg2023z00_2130; 
BgL_ez00_6612 = BgL_arg2024z00_2131; 
BgL_ez00_1495 = BgL_ez00_6612; 
BgL_vz00_1494 = BgL_vz00_6611; 
goto BgL_tagzd2165zd2_1496;} 
return 
((obj_t)BgL_auxz00_6610);} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} } } }  else 
{ /* Eval/evaluate.scm 425 */
goto BgL_tagzd2166zd2_1497;} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212400zd2_2133;
BgL_cdrzd212400zd2_2133 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3063z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212400zd2_2133))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212405zd2_2137;
BgL_cdrzd212405zd2_2137 = 
CDR(BgL_cdrzd212400zd2_2133); 
if(
PAIRP(BgL_cdrzd212405zd2_2137))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd212409zd2_2139;
BgL_carzd212409zd2_2139 = 
CAR(BgL_cdrzd212405zd2_2137); 
if(
PAIRP(BgL_carzd212409zd2_2139))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212414zd2_2141;
BgL_cdrzd212414zd2_2141 = 
CDR(BgL_carzd212409zd2_2139); 
if(
(
CAR(BgL_carzd212409zd2_2139)==BGl_symbol3026z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212414zd2_2141))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212418zd2_2145;
BgL_cdrzd212418zd2_2145 = 
CDR(BgL_cdrzd212414zd2_2141); 
if(
PAIRP(BgL_cdrzd212418zd2_2145))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212418zd2_2145)))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd212405zd2_2137)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2039z00_2151;obj_t BgL_arg2040z00_2152;obj_t BgL_arg2041z00_2153;
BgL_arg2039z00_2151 = 
CAR(BgL_cdrzd212400zd2_2133); 
BgL_arg2040z00_2152 = 
CAR(BgL_cdrzd212414zd2_2141); 
BgL_arg2041z00_2153 = 
CAR(BgL_cdrzd212418zd2_2145); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6644;
{ 
obj_t BgL_bodyz00_6647;obj_t BgL_formalsz00_6646;obj_t BgL_gvz00_6645;
BgL_gvz00_6645 = BgL_arg2039z00_2151; 
BgL_formalsz00_6646 = BgL_arg2040z00_2152; 
BgL_bodyz00_6647 = BgL_arg2041z00_2153; 
BgL_bodyz00_1500 = BgL_bodyz00_6647; 
BgL_formalsz00_1499 = BgL_formalsz00_6646; 
BgL_gvz00_1498 = BgL_gvz00_6645; 
goto BgL_tagzd2167zd2_1501;} 
return 
((obj_t)BgL_auxz00_6644);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2042z00_2154;
BgL_arg2042z00_2154 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6650;
{ 
obj_t BgL_argsz00_6652;obj_t BgL_fz00_6651;
BgL_fz00_6651 = BgL_arg2042z00_2154; 
BgL_argsz00_6652 = BgL_cdrzd212400zd2_2133; 
BgL_argsz00_1525 = BgL_argsz00_6652; 
BgL_fz00_1524 = BgL_fz00_6651; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6650);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212518zd2_2158;
BgL_cdrzd212518zd2_2158 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212518zd2_2158))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2047z00_2161;obj_t BgL_arg2048z00_2162;
BgL_arg2047z00_2161 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
BgL_arg2048z00_2162 = 
CAR(
((obj_t)BgL_cdrzd212518zd2_2158)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6664;
{ 
obj_t BgL_gez00_6666;obj_t BgL_gvz00_6665;
BgL_gvz00_6665 = BgL_arg2047z00_2161; 
BgL_gez00_6666 = BgL_arg2048z00_2162; 
BgL_gez00_1503 = BgL_gez00_6666; 
BgL_gvz00_1502 = BgL_gvz00_6665; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6664);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2049z00_2163;obj_t BgL_arg2050z00_2164;
BgL_arg2049z00_2163 = 
CAR(BgL_ez00_69); 
BgL_arg2050z00_2164 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6670;
{ 
obj_t BgL_argsz00_6672;obj_t BgL_fz00_6671;
BgL_fz00_6671 = BgL_arg2049z00_2163; 
BgL_argsz00_6672 = BgL_arg2050z00_2164; 
BgL_argsz00_1525 = BgL_argsz00_6672; 
BgL_fz00_1524 = BgL_fz00_6671; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6670);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212605zd2_2168;
BgL_cdrzd212605zd2_2168 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212605zd2_2168))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2055z00_2171;obj_t BgL_arg2056z00_2172;
BgL_arg2055z00_2171 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
BgL_arg2056z00_2172 = 
CAR(
((obj_t)BgL_cdrzd212605zd2_2168)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6684;
{ 
obj_t BgL_gez00_6686;obj_t BgL_gvz00_6685;
BgL_gvz00_6685 = BgL_arg2055z00_2171; 
BgL_gez00_6686 = BgL_arg2056z00_2172; 
BgL_gez00_1503 = BgL_gez00_6686; 
BgL_gvz00_1502 = BgL_gvz00_6685; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6684);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2057z00_2173;obj_t BgL_arg2058z00_2174;
BgL_arg2057z00_2173 = 
CAR(BgL_ez00_69); 
BgL_arg2058z00_2174 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6690;
{ 
obj_t BgL_argsz00_6692;obj_t BgL_fz00_6691;
BgL_fz00_6691 = BgL_arg2057z00_2173; 
BgL_argsz00_6692 = BgL_arg2058z00_2174; 
BgL_argsz00_1525 = BgL_argsz00_6692; 
BgL_fz00_1524 = BgL_fz00_6691; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6690);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212692zd2_2177;
BgL_cdrzd212692zd2_2177 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212692zd2_2177))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2062z00_2180;obj_t BgL_arg2063z00_2181;
BgL_arg2062z00_2180 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
BgL_arg2063z00_2181 = 
CAR(
((obj_t)BgL_cdrzd212692zd2_2177)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6704;
{ 
obj_t BgL_gez00_6706;obj_t BgL_gvz00_6705;
BgL_gvz00_6705 = BgL_arg2062z00_2180; 
BgL_gez00_6706 = BgL_arg2063z00_2181; 
BgL_gez00_1503 = BgL_gez00_6706; 
BgL_gvz00_1502 = BgL_gvz00_6705; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6704);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2064z00_2182;obj_t BgL_arg2065z00_2183;
BgL_arg2064z00_2182 = 
CAR(BgL_ez00_69); 
BgL_arg2065z00_2183 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6710;
{ 
obj_t BgL_argsz00_6712;obj_t BgL_fz00_6711;
BgL_fz00_6711 = BgL_arg2064z00_2182; 
BgL_argsz00_6712 = BgL_arg2065z00_2183; 
BgL_argsz00_1525 = BgL_argsz00_6712; 
BgL_fz00_1524 = BgL_fz00_6711; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6710);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212779zd2_2186;
BgL_cdrzd212779zd2_2186 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212779zd2_2186))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2069z00_2189;obj_t BgL_arg2070z00_2190;
BgL_arg2069z00_2189 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
BgL_arg2070z00_2190 = 
CAR(
((obj_t)BgL_cdrzd212779zd2_2186)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6724;
{ 
obj_t BgL_gez00_6726;obj_t BgL_gvz00_6725;
BgL_gvz00_6725 = BgL_arg2069z00_2189; 
BgL_gez00_6726 = BgL_arg2070z00_2190; 
BgL_gez00_1503 = BgL_gez00_6726; 
BgL_gvz00_1502 = BgL_gvz00_6725; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6724);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2071z00_2191;obj_t BgL_arg2072z00_2192;
BgL_arg2071z00_2191 = 
CAR(BgL_ez00_69); 
BgL_arg2072z00_2192 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6730;
{ 
obj_t BgL_argsz00_6732;obj_t BgL_fz00_6731;
BgL_fz00_6731 = BgL_arg2071z00_2191; 
BgL_argsz00_6732 = BgL_arg2072z00_2192; 
BgL_argsz00_1525 = BgL_argsz00_6732; 
BgL_fz00_1524 = BgL_fz00_6731; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6730);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd212866zd2_2196;
BgL_cdrzd212866zd2_2196 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212866zd2_2196))))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2077z00_2199;obj_t BgL_arg2078z00_2200;
BgL_arg2077z00_2199 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2133)); 
BgL_arg2078z00_2200 = 
CAR(
((obj_t)BgL_cdrzd212866zd2_2196)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6744;
{ 
obj_t BgL_gez00_6746;obj_t BgL_gvz00_6745;
BgL_gvz00_6745 = BgL_arg2077z00_2199; 
BgL_gez00_6746 = BgL_arg2078z00_2200; 
BgL_gez00_1503 = BgL_gez00_6746; 
BgL_gvz00_1502 = BgL_gvz00_6745; 
goto BgL_tagzd2168zd2_1504;} 
return 
((obj_t)BgL_auxz00_6744);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2079z00_2201;obj_t BgL_arg2080z00_2202;
BgL_arg2079z00_2201 = 
CAR(BgL_ez00_69); 
BgL_arg2080z00_2202 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6750;
{ 
obj_t BgL_argsz00_6752;obj_t BgL_fz00_6751;
BgL_fz00_6751 = BgL_arg2079z00_2201; 
BgL_argsz00_6752 = BgL_arg2080z00_2202; 
BgL_argsz00_1525 = BgL_argsz00_6752; 
BgL_fz00_1524 = BgL_fz00_6751; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6750);} } } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2082z00_2204;
BgL_arg2082z00_2204 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6755;
{ 
obj_t BgL_argsz00_6757;obj_t BgL_fz00_6756;
BgL_fz00_6756 = BgL_arg2082z00_2204; 
BgL_argsz00_6757 = BgL_cdrzd212400zd2_2133; 
BgL_argsz00_1525 = BgL_argsz00_6757; 
BgL_fz00_1524 = BgL_fz00_6756; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6755);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2084z00_2206;
BgL_arg2084z00_2206 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6760;
{ 
obj_t BgL_argsz00_6762;obj_t BgL_fz00_6761;
BgL_fz00_6761 = BgL_arg2084z00_2206; 
BgL_argsz00_6762 = BgL_cdrzd212400zd2_2133; 
BgL_argsz00_1525 = BgL_argsz00_6762; 
BgL_fz00_1524 = BgL_fz00_6761; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6760);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3065z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd212400zd2_2133))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_carzd213108zd2_2212;
BgL_carzd213108zd2_2212 = 
CAR(BgL_cdrzd212400zd2_2133); 
if(
PAIRP(BgL_carzd213108zd2_2212))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_carzd213108zd2_2212)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2092z00_2216;obj_t BgL_arg2093z00_2217;
BgL_arg2092z00_2216 = 
CAR(BgL_carzd213108zd2_2212); 
BgL_arg2093z00_2217 = 
CDR(BgL_cdrzd212400zd2_2133); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6777;
{ 
obj_t BgL_bodyz00_6779;obj_t BgL_vz00_6778;
BgL_vz00_6778 = BgL_arg2092z00_2216; 
BgL_bodyz00_6779 = BgL_arg2093z00_2217; 
BgL_bodyz00_1506 = BgL_bodyz00_6779; 
BgL_vz00_1505 = BgL_vz00_6778; 
goto BgL_tagzd2169zd2_1507;} 
return 
((obj_t)BgL_auxz00_6777);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2094z00_2218;obj_t BgL_arg2095z00_2219;
BgL_arg2094z00_2218 = 
CAR(BgL_ez00_69); 
BgL_arg2095z00_2219 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6783;
{ 
obj_t BgL_argsz00_6785;obj_t BgL_fz00_6784;
BgL_fz00_6784 = BgL_arg2094z00_2218; 
BgL_argsz00_6785 = BgL_arg2095z00_2219; 
BgL_argsz00_1525 = BgL_argsz00_6785; 
BgL_fz00_1524 = BgL_fz00_6784; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6783);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2097z00_2221;obj_t BgL_arg2098z00_2222;
BgL_arg2097z00_2221 = 
CAR(BgL_ez00_69); 
BgL_arg2098z00_2222 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6789;
{ 
obj_t BgL_argsz00_6791;obj_t BgL_fz00_6790;
BgL_fz00_6790 = BgL_arg2097z00_2221; 
BgL_argsz00_6791 = BgL_arg2098z00_2222; 
BgL_argsz00_1525 = BgL_argsz00_6791; 
BgL_fz00_1524 = BgL_fz00_6790; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6789);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2099z00_2223;obj_t BgL_arg2100z00_2224;
BgL_arg2099z00_2223 = 
CAR(BgL_ez00_69); 
BgL_arg2100z00_2224 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6795;
{ 
obj_t BgL_argsz00_6797;obj_t BgL_fz00_6796;
BgL_fz00_6796 = BgL_arg2099z00_2223; 
BgL_argsz00_6797 = BgL_arg2100z00_2224; 
BgL_argsz00_1525 = BgL_argsz00_6797; 
BgL_fz00_1524 = BgL_fz00_6796; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6795);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213273zd2_2225;
BgL_cdrzd213273zd2_2225 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3067z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213273zd2_2225))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2104z00_2229;obj_t BgL_arg2105z00_2230;
BgL_arg2104z00_2229 = 
CAR(BgL_cdrzd213273zd2_2225); 
BgL_arg2105z00_2230 = 
CDR(BgL_cdrzd213273zd2_2225); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6807;
{ 
obj_t BgL_bodyz00_6809;obj_t BgL_ez00_6808;
BgL_ez00_6808 = BgL_arg2104z00_2229; 
BgL_bodyz00_6809 = BgL_arg2105z00_2230; 
BgL_bodyz00_1509 = BgL_bodyz00_6809; 
BgL_ez00_1508 = BgL_ez00_6808; 
goto BgL_tagzd2170zd2_1510;} 
return 
((obj_t)BgL_auxz00_6807);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2106z00_2231;
BgL_arg2106z00_2231 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6812;
{ 
obj_t BgL_argsz00_6814;obj_t BgL_fz00_6813;
BgL_fz00_6813 = BgL_arg2106z00_2231; 
BgL_argsz00_6814 = BgL_cdrzd213273zd2_2225; 
BgL_argsz00_1525 = BgL_argsz00_6814; 
BgL_fz00_1524 = BgL_fz00_6813; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6812);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3069z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213273zd2_2225))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2111z00_2237;obj_t BgL_arg2112z00_2238;
BgL_arg2111z00_2237 = 
CAR(BgL_cdrzd213273zd2_2225); 
BgL_arg2112z00_2238 = 
CDR(BgL_cdrzd213273zd2_2225); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6823;
{ 
obj_t BgL_bodyz00_6825;obj_t BgL_hz00_6824;
BgL_hz00_6824 = BgL_arg2111z00_2237; 
BgL_bodyz00_6825 = BgL_arg2112z00_2238; 
BgL_bodyz00_1512 = BgL_bodyz00_6825; 
BgL_hz00_1511 = BgL_hz00_6824; 
goto BgL_tagzd2171zd2_1513;} 
return 
((obj_t)BgL_auxz00_6823);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2113z00_2239;obj_t BgL_arg2114z00_2240;
BgL_arg2113z00_2239 = 
CAR(BgL_ez00_69); 
BgL_arg2114z00_2240 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6829;
{ 
obj_t BgL_argsz00_6831;obj_t BgL_fz00_6830;
BgL_fz00_6830 = BgL_arg2113z00_2239; 
BgL_argsz00_6831 = BgL_arg2114z00_2240; 
BgL_argsz00_1525 = BgL_argsz00_6831; 
BgL_fz00_1524 = BgL_fz00_6830; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6829);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213376zd2_2241;
BgL_cdrzd213376zd2_2241 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3071z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213376zd2_2241))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213381zd2_2245;
BgL_cdrzd213381zd2_2245 = 
CDR(BgL_cdrzd213376zd2_2241); 
if(
PAIRP(BgL_cdrzd213381zd2_2245))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213386zd2_2247;
BgL_cdrzd213386zd2_2247 = 
CDR(BgL_cdrzd213381zd2_2245); 
if(
(
CAR(BgL_cdrzd213381zd2_2245)==BGl_keyword3073z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213386zd2_2247))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2123z00_2251;obj_t BgL_arg2124z00_2252;obj_t BgL_arg2125z00_2253;
BgL_arg2123z00_2251 = 
CAR(BgL_cdrzd213376zd2_2241); 
BgL_arg2124z00_2252 = 
CAR(BgL_cdrzd213386zd2_2247); 
BgL_arg2125z00_2253 = 
CDR(BgL_cdrzd213386zd2_2247); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6851;
{ 
obj_t BgL_bodyz00_6854;obj_t BgL_pz00_6853;obj_t BgL_mz00_6852;
BgL_mz00_6852 = BgL_arg2123z00_2251; 
BgL_pz00_6853 = BgL_arg2124z00_2252; 
BgL_bodyz00_6854 = BgL_arg2125z00_2253; 
BgL_bodyz00_1516 = BgL_bodyz00_6854; 
BgL_pz00_1515 = BgL_pz00_6853; 
BgL_mz00_1514 = BgL_mz00_6852; 
goto BgL_tagzd2172zd2_1517;} 
return 
((obj_t)BgL_auxz00_6851);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2126z00_2255;obj_t BgL_arg2127z00_2256;
BgL_arg2126z00_2255 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
BgL_arg2127z00_2256 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6860;
{ 
obj_t BgL_bodyz00_6862;obj_t BgL_mz00_6861;
BgL_mz00_6861 = BgL_arg2126z00_2255; 
BgL_bodyz00_6862 = BgL_arg2127z00_2256; 
BgL_bodyz00_1519 = BgL_bodyz00_6862; 
BgL_mz00_1518 = BgL_mz00_6861; 
goto BgL_tagzd2173zd2_1520;} 
return 
((obj_t)BgL_auxz00_6860);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2128z00_2258;obj_t BgL_arg2129z00_2259;
BgL_arg2128z00_2258 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
BgL_arg2129z00_2259 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6868;
{ 
obj_t BgL_bodyz00_6870;obj_t BgL_mz00_6869;
BgL_mz00_6869 = BgL_arg2128z00_2258; 
BgL_bodyz00_6870 = BgL_arg2129z00_2259; 
BgL_bodyz00_1519 = BgL_bodyz00_6870; 
BgL_mz00_1518 = BgL_mz00_6869; 
goto BgL_tagzd2173zd2_1520;} 
return 
((obj_t)BgL_auxz00_6868);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2131z00_2262;obj_t BgL_arg2132z00_2263;
BgL_arg2131z00_2262 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
BgL_arg2132z00_2263 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2241)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6876;
{ 
obj_t BgL_bodyz00_6878;obj_t BgL_mz00_6877;
BgL_mz00_6877 = BgL_arg2131z00_2262; 
BgL_bodyz00_6878 = BgL_arg2132z00_2263; 
BgL_bodyz00_1519 = BgL_bodyz00_6878; 
BgL_mz00_1518 = BgL_mz00_6877; 
goto BgL_tagzd2173zd2_1520;} 
return 
((obj_t)BgL_auxz00_6876);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2133z00_2264;
BgL_arg2133z00_2264 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6881;
{ 
obj_t BgL_argsz00_6883;obj_t BgL_fz00_6882;
BgL_fz00_6882 = BgL_arg2133z00_2264; 
BgL_argsz00_6883 = BgL_cdrzd213376zd2_2241; 
BgL_argsz00_1525 = BgL_argsz00_6883; 
BgL_fz00_1524 = BgL_fz00_6882; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6881);} } }  else 
{ /* Eval/evaluate.scm 425 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3026z00zz__evaluatez00))
{ /* Eval/evaluate.scm 425 */
if(
PAIRP(BgL_cdrzd213376zd2_2241))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_cdrzd213486zd2_2270;
BgL_cdrzd213486zd2_2270 = 
CDR(BgL_cdrzd213376zd2_2241); 
if(
PAIRP(BgL_cdrzd213486zd2_2270))
{ /* Eval/evaluate.scm 425 */
if(
NULLP(
CDR(BgL_cdrzd213486zd2_2270)))
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2141z00_2274;obj_t BgL_arg2142z00_2275;
BgL_arg2141z00_2274 = 
CAR(BgL_cdrzd213376zd2_2241); 
BgL_arg2142z00_2275 = 
CAR(BgL_cdrzd213486zd2_2270); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6898;
{ 
obj_t BgL_bodyz00_6900;obj_t BgL_formalsz00_6899;
BgL_formalsz00_6899 = BgL_arg2141z00_2274; 
BgL_bodyz00_6900 = BgL_arg2142z00_2275; 
BgL_bodyz00_1522 = BgL_bodyz00_6900; 
BgL_formalsz00_1521 = BgL_formalsz00_6899; 
goto BgL_tagzd2174zd2_1523;} 
return 
((obj_t)BgL_auxz00_6898);} }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2143z00_2276;obj_t BgL_arg2144z00_2277;
BgL_arg2143z00_2276 = 
CAR(BgL_ez00_69); 
BgL_arg2144z00_2277 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6904;
{ 
obj_t BgL_argsz00_6906;obj_t BgL_fz00_6905;
BgL_fz00_6905 = BgL_arg2143z00_2276; 
BgL_argsz00_6906 = BgL_arg2144z00_2277; 
BgL_argsz00_1525 = BgL_argsz00_6906; 
BgL_fz00_1524 = BgL_fz00_6905; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6904);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2146z00_2279;obj_t BgL_arg2147z00_2280;
BgL_arg2146z00_2279 = 
CAR(BgL_ez00_69); 
BgL_arg2147z00_2280 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6910;
{ 
obj_t BgL_argsz00_6912;obj_t BgL_fz00_6911;
BgL_fz00_6911 = BgL_arg2146z00_2279; 
BgL_argsz00_6912 = BgL_arg2147z00_2280; 
BgL_argsz00_1525 = BgL_argsz00_6912; 
BgL_fz00_1524 = BgL_fz00_6911; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6910);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2148z00_2281;obj_t BgL_arg2149z00_2282;
BgL_arg2148z00_2281 = 
CAR(BgL_ez00_69); 
BgL_arg2149z00_2282 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6916;
{ 
obj_t BgL_argsz00_6918;obj_t BgL_fz00_6917;
BgL_fz00_6917 = BgL_arg2148z00_2281; 
BgL_argsz00_6918 = BgL_arg2149z00_2282; 
BgL_argsz00_1525 = BgL_argsz00_6918; 
BgL_fz00_1524 = BgL_fz00_6917; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6916);} } }  else 
{ /* Eval/evaluate.scm 425 */
obj_t BgL_arg2150z00_2283;obj_t BgL_arg2151z00_2284;
BgL_arg2150z00_2283 = 
CAR(BgL_ez00_69); 
BgL_arg2151z00_2284 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6922;
{ 
obj_t BgL_argsz00_6924;obj_t BgL_fz00_6923;
BgL_fz00_6923 = BgL_arg2150z00_2283; 
BgL_argsz00_6924 = BgL_arg2151z00_2284; 
BgL_argsz00_1525 = BgL_argsz00_6924; 
BgL_fz00_1524 = BgL_fz00_6923; 
goto BgL_tagzd2175zd2_1526;} 
return 
((obj_t)BgL_auxz00_6922);} } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 425 */
BgL_xz00_1449 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1449))
{ /* Eval/evaluate.scm 428 */
obj_t BgL__ortest_1100z00_2305;
BgL__ortest_1100z00_2305 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1449, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1100z00_2305))
{ /* Eval/evaluate.scm 428 */
return BgL__ortest_1100z00_2305;}  else 
{ /* Eval/evaluate.scm 428 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1449, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 429 */
BgL_ev_littz00_bglt BgL_new1103z00_2306;
{ /* Eval/evaluate.scm 430 */
BgL_ev_littz00_bglt BgL_new1101z00_2307;
BgL_new1101z00_2307 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 430 */
long BgL_arg2172z00_2308;
{ /* Eval/evaluate.scm 430 */
long BgL_res2695z00_3308;
BgL_res2695z00_3308 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2172z00_2308 = BgL_res2695z00_3308; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_2307), BgL_arg2172z00_2308); } 
BgL_new1103z00_2306 = BgL_new1101z00_2307; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1103z00_2306))->BgL_valuez00)=((obj_t)BgL_xz00_1449),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_2306);} } } } } 
BGL_FUNCTION_END;
}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4422, obj_t BgL_globalsz00_4421, obj_t BgL_localsz00_4420, obj_t BgL_locz00_4419, obj_t BgL_esz00_2636)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 387 */
if(
NULLP(BgL_esz00_2636))
{ /* Eval/evaluate.scm 388 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 390 */
obj_t BgL_ez00_2639;
BgL_ez00_2639 = 
CAR(
((obj_t)BgL_esz00_2636)); 
{ /* Eval/evaluate.scm 391 */
obj_t BgL_arg2323z00_2640;obj_t BgL_arg2324z00_2641;
BgL_arg2323z00_2640 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2639, BgL_localsz00_4420, BgL_globalsz00_4421, BFALSE, BgL_wherez00_4422, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2639, BgL_esz00_2636, BgL_locz00_4419), ((bool_t)0)); 
{ /* Eval/evaluate.scm 392 */
obj_t BgL_arg2326z00_2643;
BgL_arg2326z00_2643 = 
CDR(
((obj_t)BgL_esz00_2636)); 
BgL_arg2324z00_2641 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4422, BgL_globalsz00_4421, BgL_localsz00_4420, BgL_locz00_4419, BgL_arg2326z00_2643); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2323z00_2640, BgL_arg2324z00_2641);} } } 
BGL_FUNCTION_END;
}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4426, obj_t BgL_tailzf3zf3_4425, obj_t BgL_globalsz00_4424, obj_t BgL_localsz00_4423, obj_t BgL_ez00_2613, obj_t BgL_locz00_2614)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 369 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2613, BgL_localsz00_4423, BgL_globalsz00_4424, BgL_tailzf3zf3_4425, BgL_wherez00_4426, BgL_locz00_2614, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4429, obj_t BgL_globalsz00_4428, obj_t BgL_localsz00_4427, obj_t BgL_ez00_2623, obj_t BgL_locz00_2624)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 378 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2623, BgL_localsz00_4427, BgL_globalsz00_4428, BFALSE, BgL_wherez00_4429, BgL_locz00_2624, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4431, obj_t BgL_globalsz00_4430, obj_t BgL_lz00_2454, obj_t BgL_varsz00_2455, obj_t BgL_localsz00_2456, obj_t BgL_locz00_2457)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 503 */
if(
NULLP(BgL_lz00_2454))
{ /* Eval/evaluate.scm 499 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 501 */
obj_t BgL_locz00_2460;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2245z00_2468;
BgL_arg2245z00_2468 = 
CAR(
((obj_t)BgL_lz00_2454)); 
BgL_locz00_2460 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2245z00_2468, BgL_locz00_2457); } 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2238z00_2461;obj_t BgL_arg2239z00_2462;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2240z00_2463;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_pairz00_3401;
{ /* Eval/evaluate.scm 502 */
obj_t BgL_pairz00_3400;
BgL_pairz00_3400 = 
CAR(
((obj_t)BgL_lz00_2454)); 
BgL_pairz00_3401 = 
CDR(BgL_pairz00_3400); } 
BgL_arg2240z00_2463 = 
CAR(BgL_pairz00_3401); } 
BgL_arg2238z00_2461 = 
BGl_convz00zz__evaluatez00(BgL_arg2240z00_2463, BgL_localsz00_2456, BgL_globalsz00_4430, BFALSE, BgL_wherez00_4431, BgL_locz00_2460, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2241z00_2464;obj_t BgL_arg2242z00_2465;obj_t BgL_arg2243z00_2466;
BgL_arg2241z00_2464 = 
CDR(
((obj_t)BgL_lz00_2454)); 
BgL_arg2242z00_2465 = 
CDR(
((obj_t)BgL_varsz00_2455)); 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2244z00_2467;
BgL_arg2244z00_2467 = 
CAR(
((obj_t)BgL_varsz00_2455)); 
BgL_arg2243z00_2466 = 
MAKE_YOUNG_PAIR(BgL_arg2244z00_2467, BgL_localsz00_2456); } 
BgL_arg2239z00_2462 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4431, BgL_globalsz00_4430, BgL_arg2241z00_2464, BgL_arg2242z00_2465, BgL_arg2243z00_2466, BgL_locz00_2460); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2238z00_2461, BgL_arg2239z00_2462);} } } 
BGL_FUNCTION_END;
}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4435, obj_t BgL_localsz00_4434, obj_t BgL_ez00_4433, obj_t BgL_locz00_4432, obj_t BgL_formalsz00_2645, obj_t BgL_bodyz00_2646, obj_t BgL_wherez00_2647, obj_t BgL_typez00_2648)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 405 */
{ 
obj_t BgL_lz00_2679;
{ /* Eval/evaluate.scm 407 */
obj_t BgL_argsz00_2651;
BgL_lz00_2679 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2645, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
obj_t BgL_rz00_2683;obj_t BgL_flatz00_2684;long BgL_arityz00_2685;
BgL_rz00_2683 = BgL_lz00_2679; 
BgL_flatz00_2684 = BNIL; 
BgL_arityz00_2685 = ((long)0); 
BgL_zc3anonymousza32340ze3z83_2686:
if(
NULLP(BgL_rz00_2683))
{ /* Eval/evaluate.scm 400 */
obj_t BgL_val0_1193z00_2688;
BgL_val0_1193z00_2688 = 
bgl_reverse_bang(BgL_flatz00_2684); 
{ /* Eval/evaluate.scm 400 */
int BgL_res2683z00_3279;
{ /* Eval/evaluate.scm 400 */
int BgL_tmpz00_6973;
BgL_tmpz00_6973 = 
(int)(((long)2)); 
BgL_res2683z00_3279 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6973); } BgL_res2683z00_3279; } 
{ /* Eval/evaluate.scm 400 */
obj_t BgL_auxz00_6978;int BgL_tmpz00_6976;
BgL_auxz00_6978 = 
BINT(BgL_arityz00_2685); 
BgL_tmpz00_6976 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6976, BgL_auxz00_6978); } 
BgL_argsz00_2651 = BgL_val0_1193z00_2688; }  else 
{ /* Eval/evaluate.scm 399 */
if(
PAIRP(BgL_rz00_2683))
{ /* Eval/evaluate.scm 404 */
obj_t BgL_arg2343z00_2691;obj_t BgL_arg2344z00_2692;long BgL_arg2345z00_2693;
BgL_arg2343z00_2691 = 
CDR(BgL_rz00_2683); 
BgL_arg2344z00_2692 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2683)), BgL_flatz00_2684); 
BgL_arg2345z00_2693 = 
(BgL_arityz00_2685+((long)1)); 
{ 
long BgL_arityz00_6990;obj_t BgL_flatz00_6989;obj_t BgL_rz00_6988;
BgL_rz00_6988 = BgL_arg2343z00_2691; 
BgL_flatz00_6989 = BgL_arg2344z00_2692; 
BgL_arityz00_6990 = BgL_arg2345z00_2693; 
BgL_arityz00_2685 = BgL_arityz00_6990; 
BgL_flatz00_2684 = BgL_flatz00_6989; 
BgL_rz00_2683 = BgL_rz00_6988; 
goto BgL_zc3anonymousza32340ze3z83_2686;} }  else 
{ /* Eval/evaluate.scm 402 */
obj_t BgL_val0_1195z00_2696;long BgL_val1_1196z00_2697;
{ /* Eval/evaluate.scm 402 */
obj_t BgL_arg2348z00_2698;
BgL_arg2348z00_2698 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2683), BgL_flatz00_2684); 
BgL_val0_1195z00_2696 = 
bgl_reverse_bang(BgL_arg2348z00_2698); } 
BgL_val1_1196z00_2697 = 
(((long)-1)-BgL_arityz00_2685); 
{ /* Eval/evaluate.scm 402 */
int BgL_res2687z00_3287;
{ /* Eval/evaluate.scm 402 */
int BgL_tmpz00_6995;
BgL_tmpz00_6995 = 
(int)(((long)2)); 
BgL_res2687z00_3287 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6995); } BgL_res2687z00_3287; } 
{ /* Eval/evaluate.scm 402 */
obj_t BgL_auxz00_7000;int BgL_tmpz00_6998;
BgL_auxz00_7000 = 
BINT(BgL_val1_1196z00_2697); 
BgL_tmpz00_6998 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6998, BgL_auxz00_7000); } 
BgL_argsz00_2651 = BgL_val0_1195z00_2696; } } } 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_arityz00_2652;
{ /* Eval/evaluate.scm 409 */
int BgL_tmpz00_7004;
BgL_tmpz00_7004 = 
(int)(((long)1)); 
BgL_arityz00_2652 = 
BGL_MVALUES_VAL(BgL_tmpz00_7004); } 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_varsz00_2653;obj_t BgL_bodyz00_2654;obj_t BgL_nlocz00_2655;
if(
NULLP(BgL_argsz00_2651))
{ /* Eval/evaluate.scm 409 */
BgL_varsz00_2653 = BNIL; }  else 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_head1199z00_2662;
{ /* Eval/evaluate.scm 409 */
obj_t BgL_res2689z00_3289;
BgL_res2689z00_3289 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1199z00_2662 = BgL_res2689z00_3289; } 
{ 
obj_t BgL_l1197z00_2664;obj_t BgL_tail1200z00_2665;
BgL_l1197z00_2664 = BgL_argsz00_2651; 
BgL_tail1200z00_2665 = BgL_head1199z00_2662; 
BgL_zc3anonymousza32331ze3z83_2666:
if(
NULLP(BgL_l1197z00_2664))
{ /* Eval/evaluate.scm 409 */
BgL_varsz00_2653 = 
CDR(BgL_head1199z00_2662); }  else 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_newtail1201z00_2668;
{ /* Eval/evaluate.scm 409 */
BgL_ev_varz00_bglt BgL_arg2334z00_2670;
{ /* Eval/evaluate.scm 409 */
obj_t BgL_vz00_2671;
BgL_vz00_2671 = 
CAR(
((obj_t)BgL_l1197z00_2664)); 
{ /* Eval/evaluate.scm 410 */
BgL_ev_varz00_bglt BgL_new1097z00_2672;
{ /* Eval/evaluate.scm 412 */
BgL_ev_varz00_bglt BgL_new1096z00_2673;
BgL_new1096z00_2673 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 412 */
long BgL_arg2335z00_2674;
{ /* Eval/evaluate.scm 412 */
long BgL_res2691z00_3294;
BgL_res2691z00_3294 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2335z00_2674 = BgL_res2691z00_3294; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_2673), BgL_arg2335z00_2674); } 
BgL_new1097z00_2672 = BgL_new1096z00_2673; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2672))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2671))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2672))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1097z00_2672))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2671))),BUNSPEC); 
BgL_arg2334z00_2670 = BgL_new1097z00_2672; } } 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_res2692z00_3299;
BgL_res2692z00_3299 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2334z00_2670), BNIL); 
BgL_newtail1201z00_2668 = BgL_res2692z00_3299; } } 
SET_CDR(BgL_tail1200z00_2665, BgL_newtail1201z00_2668); 
{ /* Eval/evaluate.scm 409 */
obj_t BgL_arg2333z00_2669;
BgL_arg2333z00_2669 = 
CDR(
((obj_t)BgL_l1197z00_2664)); 
{ 
obj_t BgL_tail1200z00_7032;obj_t BgL_l1197z00_7031;
BgL_l1197z00_7031 = BgL_arg2333z00_2669; 
BgL_tail1200z00_7032 = BgL_newtail1201z00_2668; 
BgL_tail1200z00_2665 = BgL_tail1200z00_7032; 
BgL_l1197z00_2664 = BgL_l1197z00_7031; 
goto BgL_zc3anonymousza32331ze3z83_2666;} } } } } 
BgL_bodyz00_2654 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4433, BgL_formalsz00_2645, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2651, BgL_argsz00_2651, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2648, BgL_bodyz00_2646, BgL_locz00_4432), BgL_locz00_4432, BgL_wherez00_2647), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2655 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2646, BgL_locz00_4432); 
{ /* Eval/evaluate.scm 418 */
BgL_ev_absz00_bglt BgL_new1099z00_2656;
{ /* Eval/evaluate.scm 419 */
BgL_ev_absz00_bglt BgL_new1098z00_2658;
BgL_new1098z00_2658 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 419 */
long BgL_arg2329z00_2659;
{ /* Eval/evaluate.scm 419 */
long BgL_res2693z00_3303;
BgL_res2693z00_3303 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg2329z00_2659 = BgL_res2693z00_3303; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_2658), BgL_arg2329z00_2659); } 
BgL_new1099z00_2656 = BgL_new1098z00_2658; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_locz00)=((obj_t)BgL_locz00_4432),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_wherez00)=((obj_t)BgL_wherez00_2647),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_arityz00)=((obj_t)BgL_arityz00_2652),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_varsz00)=((obj_t)BgL_varsz00_2653),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_7045;
{ /* Eval/evaluate.scm 423 */
obj_t BgL_arg2328z00_2657;
BgL_arg2328z00_2657 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2653, BgL_localsz00_4434); 
BgL_auxz00_7045 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2654, BgL_arg2328z00_2657, BgL_globalsz00_4435, BTRUE, BgL_wherez00_2647, BgL_nlocz00_2655, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7045),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1099z00_2656))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1099z00_2656;} } } } } } 
BGL_FUNCTION_END;
}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4439, obj_t BgL_wherez00_4438, obj_t BgL_globalsz00_4437, obj_t BgL_localsz00_4436, obj_t BgL_ez00_2626)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 381 */
return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4438, BgL_globalsz00_4437, BgL_localsz00_4436, BgL_ez00_2626, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2626, BgL_locz00_4439));} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117125), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564244), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)338601822), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262938), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-298277921), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089688), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758625), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string3075z00zz__evaluatez00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
