/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol5230z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5232z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5234z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5236z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5238z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5240z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5242z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5244z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5246z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5248z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5250z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol5281z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5298z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5101z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run5103z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5100z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5102z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
static obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
extern long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31949ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5300z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5302z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5304z00zz__evaluate_compz00 = BUNSPEC;
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol5156z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol5158z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol5160z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5166z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5174z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5176z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5178z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5181z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5184z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5186z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5188z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol5190z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5192z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5194z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5196z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol5198z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32067ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5067z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5069z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5071z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5073z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5075z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5077z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5079z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run5081z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1426zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5083z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5085z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5087z62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5089z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5091z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5093z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5095z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5097z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5099z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main5066z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5068z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31933ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5070z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main5072z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5074z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5076z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5078z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1428zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5080z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5082z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5084z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5086z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5088z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31951ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5090z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5092z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5094z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5096z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5098z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31776ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1382z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5200z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5202z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5204z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5206z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5208z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5210z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5212z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5214z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5216z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5218z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5220z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5222z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5224z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5226z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5228z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za75308z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_5309z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5201z00zz__evaluate_compz00, BgL_bgl_string5201za700za7za7_5310za7, ">=", 2 );
DEFINE_STRING( BGl_string5203z00zz__evaluate_compz00, BgL_bgl_string5203za700za7za7_5311za7, "=", 1 );
DEFINE_STRING( BGl_string5205z00zz__evaluate_compz00, BgL_bgl_string5205za700za7za7_5312za7, "+fx", 3 );
DEFINE_STRING( BGl_string5207z00zz__evaluate_compz00, BgL_bgl_string5207za700za7za7_5313za7, "fixnum", 6 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5209z00zz__evaluate_compz00, BgL_bgl_string5209za700za7za7_5314za7, "-fx", 3 );
DEFINE_STRING( BGl_string5211z00zz__evaluate_compz00, BgL_bgl_string5211za700za7za7_5315za7, "*fx", 3 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5213z00zz__evaluate_compz00, BgL_bgl_string5213za700za7za7_5316za7, "/fx", 3 );
DEFINE_STRING( BGl_string5215z00zz__evaluate_compz00, BgL_bgl_string5215za700za7za7_5317za7, "<fx", 3 );
DEFINE_STRING( BGl_string5217z00zz__evaluate_compz00, BgL_bgl_string5217za700za7za7_5318za7, ">fx", 3 );
DEFINE_STRING( BGl_string5219z00zz__evaluate_compz00, BgL_bgl_string5219za700za7za7_5319za7, "<=fx", 4 );
DEFINE_STRING( BGl_string5221z00zz__evaluate_compz00, BgL_bgl_string5221za700za7za7_5320za7, ">=fx", 4 );
DEFINE_STRING( BGl_string5223z00zz__evaluate_compz00, BgL_bgl_string5223za700za7za7_5321za7, "=fx", 3 );
DEFINE_STRING( BGl_string5225z00zz__evaluate_compz00, BgL_bgl_string5225za700za7za7_5322za7, "+fl", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza75323za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5227z00zz__evaluate_compz00, BgL_bgl_string5227za700za7za7_5324za7, "flonum", 6 );
DEFINE_STRING( BGl_string5229z00zz__evaluate_compz00, BgL_bgl_string5229za700za7za7_5325za7, "-fl", 3 );
DEFINE_STRING( BGl_string5231z00zz__evaluate_compz00, BgL_bgl_string5231za700za7za7_5326za7, "*fl", 3 );
DEFINE_STRING( BGl_string5233z00zz__evaluate_compz00, BgL_bgl_string5233za700za7za7_5327za7, "/fl", 3 );
DEFINE_STRING( BGl_string5235z00zz__evaluate_compz00, BgL_bgl_string5235za700za7za7_5328za7, "<fl", 3 );
DEFINE_STRING( BGl_string5237z00zz__evaluate_compz00, BgL_bgl_string5237za700za7za7_5329za7, ">fl", 3 );
DEFINE_STRING( BGl_string5239z00zz__evaluate_compz00, BgL_bgl_string5239za700za7za7_5330za7, "<=fl", 4 );
DEFINE_STRING( BGl_string5241z00zz__evaluate_compz00, BgL_bgl_string5241za700za7za7_5331za7, ">=fl", 4 );
DEFINE_STRING( BGl_string5243z00zz__evaluate_compz00, BgL_bgl_string5243za700za7za7_5332za7, "=fl", 3 );
DEFINE_STRING( BGl_string5245z00zz__evaluate_compz00, BgL_bgl_string5245za700za7za7_5333za7, "car", 3 );
DEFINE_STRING( BGl_string5247z00zz__evaluate_compz00, BgL_bgl_string5247za700za7za7_5334za7, "pair", 4 );
DEFINE_STRING( BGl_string5249z00zz__evaluate_compz00, BgL_bgl_string5249za700za7za7_5335za7, "cdr", 3 );
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string5251z00zz__evaluate_compz00, BgL_bgl_string5251za700za7za7_5336za7, "cadr", 4 );
DEFINE_STRING( BGl_string5253z00zz__evaluate_compz00, BgL_bgl_string5253za700za7za7_5337za7, "comp1382", 8 );
DEFINE_STRING( BGl_string5254z00zz__evaluate_compz00, BgL_bgl_string5254za700za7za7_5338za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string5255z00zz__evaluate_compz00, BgL_bgl_string5255za700za7za7_5339za7, "&comp", 5 );
DEFINE_STRING( BGl_string5257z00zz__evaluate_compz00, BgL_bgl_string5257za700za7za7_5340za7, "comp", 4 );
DEFINE_STRING( BGl_string5279z00zz__evaluate_compz00, BgL_bgl_string5279za700za7za7_5341za7, "internal error", 14 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5280z00zz__evaluate_compz00, BgL_bgl_string5280za700za7za7_5342za7, "must be dead code", 17 );
DEFINE_STRING( BGl_string5282z00zz__evaluate_compz00, BgL_bgl_string5282za700za7za7_5343za7, "notyet", 6 );
DEFINE_STRING( BGl_string5283z00zz__evaluate_compz00, BgL_bgl_string5283za700za7za7_5344za7, "synchronize", 11 );
DEFINE_STRING( BGl_string5284z00zz__evaluate_compz00, BgL_bgl_string5284za700za7za7_5345za7, "mutex", 5 );
DEFINE_STRING( BGl_string5285z00zz__evaluate_compz00, BgL_bgl_string5285za700za7za7_5346za7, "set!", 4 );
DEFINE_STRING( BGl_string5286z00zz__evaluate_compz00, BgL_bgl_string5286za700za7za7_5347za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string5287z00zz__evaluate_compz00, BgL_bgl_string5287za700za7za7_5348za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string5288z00zz__evaluate_compz00, BgL_bgl_string5288za700za7za7_5349za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string5289z00zz__evaluate_compz00, BgL_bgl_string5289za700za7za7_5350za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string5299z00zz__evaluate_compz00, BgL_bgl_string5299za700za7za7_5351za7, "get_sp", 6 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev5352z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5301z00zz__evaluate_compz00, BgL_bgl_string5301za700za7za7_5353za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string5303z00zz__evaluate_compz00, BgL_bgl_string5303za700za7za7_5354za7, "get_profile", 11 );
DEFINE_STRING( BGl_string5305z00zz__evaluate_compz00, BgL_bgl_string5305za700za7za7_5355za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string5306z00zz__evaluate_compz00, BgL_bgl_string5306za700za7za7_5356za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string5307z00zz__evaluate_compz00, BgL_bgl_string5307za700za7za7_5357za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string5157z00zz__evaluate_compz00, BgL_bgl_string5157za700za7za7_5358za7, "all", 3 );
DEFINE_STRING( BGl_string5159z00zz__evaluate_compz00, BgL_bgl_string5159za700za7za7_5359za7, "label-tag", 9 );
DEFINE_STRING( BGl_string5161z00zz__evaluate_compz00, BgL_bgl_string5161za700za7za7_5360za7, "bounce", 6 );
DEFINE_STRING( BGl_string5162z00zz__evaluate_compz00, BgL_bgl_string5162za700za7za7_5361za7, "non non non", 11 );
DEFINE_STRING( BGl_string5163z00zz__evaluate_compz00, BgL_bgl_string5163za700za7za7_5362za7, " in ", 4 );
DEFINE_STRING( BGl_string5164z00zz__evaluate_compz00, BgL_bgl_string5164za700za7za7_5363za7, "eval", 4 );
DEFINE_STRING( BGl_string5165z00zz__evaluate_compz00, BgL_bgl_string5165za700za7za7_5364za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string5167z00zz__evaluate_compz00, BgL_bgl_string5167za700za7za7_5365za7, "at", 2 );
DEFINE_STRING( BGl_string5168z00zz__evaluate_compz00, BgL_bgl_string5168za700za7za7_5366za7, "", 0 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string5169z00zz__evaluate_compz00, BgL_bgl_string5169za700za7za7_5367za7, "/builddir/build/BUILD/bigloo4.3b/runtime/Eval/evaluate_comp.scm", 63 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5170z00zz__evaluate_compz00, BgL_bgl_string5170za700za7za7_5368za7, "&compile", 8 );
DEFINE_STRING( BGl_string5171z00zz__evaluate_compz00, BgL_bgl_string5171za700za7za7_5369za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string5172z00zz__evaluate_compz00, BgL_bgl_string5172za700za7za7_5370za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string5173z00zz__evaluate_compz00, BgL_bgl_string5173za700za7za7_5371za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string5175z00zz__evaluate_compz00, BgL_bgl_string5175za700za7za7_5372za7, "mcell", 5 );
DEFINE_STRING( BGl_string5177z00zz__evaluate_compz00, BgL_bgl_string5177za700za7za7_5373za7, "internal", 8 );
DEFINE_STRING( BGl_string5179z00zz__evaluate_compz00, BgL_bgl_string5179za700za7za7_5374za7, "impossible", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5252z00zz__evaluate_compz00, BgL_bgl_za762comp1382za762za7za75375z00, BGl_z62comp1382z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5180z00zz__evaluate_compz00, BgL_bgl_string5180za700za7za7_5376za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5256z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra5377z00, BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5182z00zz__evaluate_compz00, BgL_bgl_string5182za700za7za7_5378za7, "user", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5258z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var5379z00, BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5183z00zz__evaluate_compz00, BgL_bgl_string5183za700za7za7_5380za7, "invalid byte code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5259z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5381z00, BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5185z00zz__evaluate_compz00, BgL_bgl_string5185za700za7za7_5382za7, "+", 1 );
DEFINE_STRING( BGl_string5187z00zz__evaluate_compz00, BgL_bgl_string5187za700za7za7_5383za7, "number", 6 );
DEFINE_STRING( BGl_string5189z00zz__evaluate_compz00, BgL_bgl_string5189za700za7za7_5384za7, "-", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5260z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo5385z00, BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5261z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5386z00, BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5262z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def5387z00, BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5263z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit5388z00, BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5264z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if15389z00, BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5265z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or15390z00, BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5266z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and5391z00, BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5191z00zz__evaluate_compz00, BgL_bgl_string5191za700za7za7_5392za7, "*", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5267z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro5393z00, BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5268z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5394z00, BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5193z00zz__evaluate_compz00, BgL_bgl_string5193za700za7za7_5395za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5269z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5396z00, BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5195z00zz__evaluate_compz00, BgL_bgl_string5195za700za7za7_5397za7, "<", 1 );
DEFINE_STRING( BGl_string5197z00zz__evaluate_compz00, BgL_bgl_string5197za700za7za7_5398za7, ">", 1 );
DEFINE_STRING( BGl_string5199z00zz__evaluate_compz00, BgL_bgl_string5199za700za7za7_5399za7, "<=", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5270z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5400z00, BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5271z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin5401z00, BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5272z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw5402z00, BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5273z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit5403z00, BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5274z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn5404z00, BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5275z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab5405z00, BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5276z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got5406z00, BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5277z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app5407z00, BGl_z62compzd2ev_app1426zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5278z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs5408z00, BGl_z62compzd2ev_abs1428zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5290z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75409za7, BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5291z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75410za7, BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5292z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75411za7, BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5293z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75412za7, BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5294z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75413za7, BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5295z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75414za7, BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5296z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75415za7, BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5297z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75416za7, BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol5230z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5232z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5234z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5236z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5238z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5240z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5242z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5244z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5246z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5248z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5250z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5281z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5298z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5300z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5302z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5304z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5156z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5158z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5160z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5166z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5174z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5176z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5178z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5181z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5184z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5186z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5188z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5190z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5192z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5194z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5196z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5198z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5200z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5202z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5204z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5206z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5208z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5210z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5212z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5214z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5216z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5218z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5220z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5222z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5224z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5226z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5228z00zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17346) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18720) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19328) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 19829) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20164) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20234) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20479) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20642) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 20879) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21039) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23185) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23450) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1753>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1776>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31776ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1799>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1819>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1840>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1860>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1883>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1885>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1889>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1903>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1919>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1933>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31933ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1949>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31949ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1951>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31951ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1955>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1974>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1995>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2014>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2035>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2037>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2041>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2067>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32067ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2095>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2122>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2150>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2152>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2156>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2191>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2228>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2263>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2300>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2302>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2306>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2352>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2400>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2446>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28401) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29045) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30433) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31265) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31282) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2615>\" \"Eval/evaluate_comp.scm\" 31546) \"BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32473) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2619>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2623>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2627>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2631>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2635>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2639>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2643>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2647>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2651>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2655>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2659>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2663>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2667>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2671>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2675>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2679>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2683>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2687>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2691>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2695>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2699>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2703>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2707>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2711>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2715>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2719>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2723>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2727>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2729>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2732>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2735>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2738>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33050) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33106) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34120) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34206) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38533) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38789) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39059) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1382\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1382z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1428\" \"Eval/evaluate_comp.scm\" 38059) \"BGl_z62compzd2ev_abs1428zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3526>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3537>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5066\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5066z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5067\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5067z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3551>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5068\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5068z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5069\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5069z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3563>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5070\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5070z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5071\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5071z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3475>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5072\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5072z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5073\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5073z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3485>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5074\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5074z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5075\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5075z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3498>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5076\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5076z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5077\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5077z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3509>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5078\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5078z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5079\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5079z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3424>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5080\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5080z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5081\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5081z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3434>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5082\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5082z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5083\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5083z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3447>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5084\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5084z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5085\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5085z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3458>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5086\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5086z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5087\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5087z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3377>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5088\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5088z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5089\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5089z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3386>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5090\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5090z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5091\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5091z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3398>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5092\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5092z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5093\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5093z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3408>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5094\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5094z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5095\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5095z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3330>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5096\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5096z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5097\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5097z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3339>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5098\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5098z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5099\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5099z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3351>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5100\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5100z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5101\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5101z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3361>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5102\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5102z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5103\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5103z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3287>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5104\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5104z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5105\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5105z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3295>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5106\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5106z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5107\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5107z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3306>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5108\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5108z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5109\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5109z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3315>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5110\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5110z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5111\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5111z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3244>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5112\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5112z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5113\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5113z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3252>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5114\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5114z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5115\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5115z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3263>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5116\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5116z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5117\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5117z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3272>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5118\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5118z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5119\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5119z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3205>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5120\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5120z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5121\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5121z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3212>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5122\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5122z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5123\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5123z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3222>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5124\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5124z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5125\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5125z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3230>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5126\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5126z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5127\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5127z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3166>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5128\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5128z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5129\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5129z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3173>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5130\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5130z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5131\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5131z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3183>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5132\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5132z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5133\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5133z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3191>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5134\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5134z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5135\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5135z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3131>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5136\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5136z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5137\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5137z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3137>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5138\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5138z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5139\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5139z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3146>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5140\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5140z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5141\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3153>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5142\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5143\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3581>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5144\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5145\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3601>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5146\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5147\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3624>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5148\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5149\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5149z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3645>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5150\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5150z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5151\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5151z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1426\" \"Eval/evaluate_comp.scm\" 33674) \"BGl_z62compzd2ev_app1426zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1424\" \"Eval/evaluate_comp.scm\" 17686) \"BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3070>\" \"Eval/evaluate_comp.scm\" 18311) \"BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3076>\" \"Eval/evaluate_comp.scm\" 18592) \"BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1422\" \"Eval/evaluate_comp.scm\" 16611) \"BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3065>\" \"Eval/evaluate_comp.scm\" 17284) \"BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1420\" \"Eval/evaluate_comp.scm\" 15984) \"BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3044>\" \"Eval/evaluate_comp.scm\" 16194) \"BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1418\" \"Eval/evaluate_comp.scm\" 15642) \"BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3030>\" \"Eval/evaluate_comp.scm\" 15807) \"BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3037>~0\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3040>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3041>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1416\" \"Eval/evaluate_comp.scm\" 15334) \"BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3026>\" \"Eval/evaluate_comp.scm\" 15485) \"BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3027>\" \"Eval/evaluate_comp.scm\" 15554) \"BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1414\" \"Eval/evaluate_comp.scm\" 14879) \"BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3019>\" \"Eval/evaluate_comp.scm\" 15118) \"BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3020>~0\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1412\" \"Eval/evaluate_comp.scm\" 13826) \"BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2980>\" \"Eval/evaluate_comp.scm\" 14108) \"BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2993>\" \"Eval/evaluate_comp.scm\" 14464) \"BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1410\" \"Eval/evaluate_comp.scm\" 13331) \"BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2959>\" \"Eval/evaluate_comp.scm\" 13566) \"BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1408\" \"Eval/evaluate_comp.scm\" 12651) \"BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2938>\" \"Eval/evaluate_comp.scm\" 12978) \"BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21406\" \"Eval/evaluate_comp.scm\" 12457) \"BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2935>\" \"Eval/evaluate_comp.scm\" 12587) \"BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1404\" \"Eval/evaluate_comp.scm\" 12171) \"BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2925>\" \"Eval/evaluate_comp.scm\" 12302) \"BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1402\" \"Eval/evaluate_comp.scm\" 11913) \"BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2915>\" \"Eval/evaluate_comp.scm\" 12042) \"BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1400\" \"Eval/evaluate_comp.scm\" 11709) \"BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2910>\" \"Eval/evaluate_comp.scm\" 11846) \"BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1398\" \"Eval/evaluate_comp.scm\" 11590) \"BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2909>\" \"Eval/evaluate_comp.scm\" 11669) \"BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1396\" \"Eval/evaluate_comp.scm\" 10633) \"BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2883>\" \"Eval/evaluate_comp.scm\" 10759) \"BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1394\" \"Eval/evaluate_comp.scm\" 9772) \"BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2858>\" \"Eval/evaluate_comp.scm\" 9982) \"BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2863>\" \"Eval/evaluate_comp.scm\" 10155) \"BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2874>\" \"Eval/evaluate_comp.scm\" 10415) \"BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1391\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2832>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2834>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2845>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1389\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2821>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2825>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1387\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2809>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2812>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2803>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2806>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2797>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2800>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2791>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2794>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2815>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2818>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1385\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2782>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_14966, char * BgL_fromz00_14967)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol5156z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5157z00zz__evaluate_compz00); 
BGl_symbol5158z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5159z00zz__evaluate_compz00); 
BGl_symbol5160z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5161z00zz__evaluate_compz00); 
BGl_symbol5166z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5167z00zz__evaluate_compz00); 
BGl_symbol5174z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5175z00zz__evaluate_compz00); 
BGl_symbol5176z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5177z00zz__evaluate_compz00); 
BGl_symbol5178z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5179z00zz__evaluate_compz00); 
BGl_symbol5181z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5182z00zz__evaluate_compz00); 
BGl_symbol5184z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5185z00zz__evaluate_compz00); 
BGl_symbol5186z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5187z00zz__evaluate_compz00); 
BGl_symbol5188z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5189z00zz__evaluate_compz00); 
BGl_symbol5190z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5191z00zz__evaluate_compz00); 
BGl_symbol5192z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5193z00zz__evaluate_compz00); 
BGl_symbol5194z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5195z00zz__evaluate_compz00); 
BGl_symbol5196z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5197z00zz__evaluate_compz00); 
BGl_symbol5198z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5199z00zz__evaluate_compz00); 
BGl_symbol5200z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5201z00zz__evaluate_compz00); 
BGl_symbol5202z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5203z00zz__evaluate_compz00); 
BGl_symbol5204z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5205z00zz__evaluate_compz00); 
BGl_symbol5206z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5207z00zz__evaluate_compz00); 
BGl_symbol5208z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5209z00zz__evaluate_compz00); 
BGl_symbol5210z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5211z00zz__evaluate_compz00); 
BGl_symbol5212z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5213z00zz__evaluate_compz00); 
BGl_symbol5214z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5215z00zz__evaluate_compz00); 
BGl_symbol5216z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5217z00zz__evaluate_compz00); 
BGl_symbol5218z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5219z00zz__evaluate_compz00); 
BGl_symbol5220z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5221z00zz__evaluate_compz00); 
BGl_symbol5222z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5223z00zz__evaluate_compz00); 
BGl_symbol5224z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5225z00zz__evaluate_compz00); 
BGl_symbol5226z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5227z00zz__evaluate_compz00); 
BGl_symbol5228z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5229z00zz__evaluate_compz00); 
BGl_symbol5230z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5231z00zz__evaluate_compz00); 
BGl_symbol5232z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5233z00zz__evaluate_compz00); 
BGl_symbol5234z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5235z00zz__evaluate_compz00); 
BGl_symbol5236z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5237z00zz__evaluate_compz00); 
BGl_symbol5238z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5239z00zz__evaluate_compz00); 
BGl_symbol5240z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5241z00zz__evaluate_compz00); 
BGl_symbol5242z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5243z00zz__evaluate_compz00); 
BGl_symbol5244z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5245z00zz__evaluate_compz00); 
BGl_symbol5246z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5247z00zz__evaluate_compz00); 
BGl_symbol5248z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5249z00zz__evaluate_compz00); 
BGl_symbol5250z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5251z00zz__evaluate_compz00); 
BGl_symbol5281z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5282z00zz__evaluate_compz00); 
BGl_symbol5298z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5299z00zz__evaluate_compz00); 
BGl_symbol5300z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5301z00zz__evaluate_compz00); 
BGl_symbol5302z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5303z00zz__evaluate_compz00); 
return ( 
BGl_symbol5304z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5305z00zz__evaluate_compz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1471z00_1337;
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_res3958z00_6366;
BgL_res3958z00_6366 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1471z00_1337 = BgL_res3958z00_6366; } 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1472z00_1338;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1473z00_1339;
BgL_arg1473z00_1339 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1471z00_1337), BNIL); 
BgL_list1472z00_1338 = 
MAKE_YOUNG_PAIR(BGl_symbol5156z00zz__evaluate_compz00, BgL_arg1473z00_1339); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1472z00_1338; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5158z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5160z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1340;
BgL_headz00_1340 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1341;obj_t BgL_tailz00_1342;
BgL_prevz00_1341 = BgL_headz00_1340; 
BgL_tailz00_1342 = BgL_l1z00_1; 
BgL_loopz00_1343:
if(
PAIRP(BgL_tailz00_1342))
{ 
obj_t BgL_newzd2prevzd2_1345;
BgL_newzd2prevzd2_1345 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1342), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1341, BgL_newzd2prevzd2_1345); 
{ 
obj_t BgL_tailz00_15042;obj_t BgL_prevz00_15041;
BgL_prevz00_15041 = BgL_newzd2prevzd2_1345; 
BgL_tailz00_15042 = 
CDR(BgL_tailz00_1342); 
BgL_tailz00_1342 = BgL_tailz00_15042; 
BgL_prevz00_1341 = BgL_prevz00_15041; 
goto BgL_loopz00_1343;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1340);} } } 
BGL_FUNCTION_END;
}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1497z00_1368;
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_res3965z00_6379;
BgL_res3965z00_6379 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1497z00_1368 = BgL_res3965z00_6379; } 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1498z00_1369;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1499z00_1370;
BgL_arg1499z00_1370 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1497z00_1368), BNIL); 
BgL_list1498z00_1369 = 
MAKE_YOUNG_PAIR(BGl_symbol5156z00zz__evaluate_compz00, BgL_arg1499z00_1370); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1498z00_1369, BUNSPEC) ;} } } 
BGL_FUNCTION_END;
}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1379)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1379))
{ /* Ieee/fixnum.scm 976 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1379), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1379))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_res3968z00_6384;
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3815z00_6383;
BgL_arg3815z00_6383 = 
SYMBOL_TO_STRING(BgL_vz00_1379); 
BgL_res3968z00_6384 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3815z00_6383); } 
return BgL_res3968z00_6384;}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1379))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1379;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string5162z00zz__evaluate_compz00;} } } } 
BGL_FUNCTION_END;
}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10543, obj_t BgL_t1z00_10544, obj_t BgL_t2z00_10545)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_15059;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_12535;obj_t BgL_v2z00_12536;
BgL_v1z00_12535 = 
CAR(
((obj_t)BgL_t1z00_10544)); 
BgL_v2z00_12536 = 
CAR(
((obj_t)BgL_t2z00_10545)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_testz00_15064;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12535))
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15064 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12536)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15064 = ((bool_t)0)
; } 
if(BgL_testz00_15064)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15059 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12535, BgL_v2z00_12536)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15059 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12535), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12536))
; } } } 
return 
BBOOL(BgL_tmpz00_15059);} } 
BGL_FUNCTION_END;
}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 
BGL_FUNCTION_END;
}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1388)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1511z00_1390;obj_t BgL_arg1512z00_1391;
BgL_arg1511z00_1390 = 
CDR(
((obj_t)BgL_tz00_1388)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1513z00_1392;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6395;
BgL_pairz00_6395 = 
CDR(
((obj_t)BgL_tz00_1388)); 
BgL_arg1513z00_1392 = 
CDR(BgL_pairz00_6395); } 
BgL_arg1512z00_1391 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1513z00_1392); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_15080;
BgL_tmpz00_15080 = 
((obj_t)BgL_arg1511z00_1390); 
SET_CDR(BgL_tmpz00_15080, BgL_arg1512z00_1391); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1285z00_1393;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6400;
BgL_pairz00_6400 = 
CDR(
((obj_t)BgL_tz00_1388)); 
BgL_g1285z00_1393 = 
CDR(BgL_pairz00_6400); } 
{ 
obj_t BgL_l1283z00_1395;
BgL_l1283z00_1395 = BgL_g1285z00_1393; 
BgL_zc3anonymousza31514ze3z83_1396:
if(
PAIRP(BgL_l1283z00_1395))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1283z00_1395)); 
{ 
obj_t BgL_l1283z00_15090;
BgL_l1283z00_15090 = 
CDR(BgL_l1283z00_1395); 
BgL_l1283z00_1395 = BgL_l1283z00_15090; 
goto BgL_zc3anonymousza31514ze3z83_1396;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 
BGL_FUNCTION_END;
}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1403;long BgL_nz00_1404;
BgL_lz00_1403 = BgL_lz00_7; 
BgL_nz00_1404 = ((long)0); 
BgL_zc3anonymousza31517ze3z83_1405:
if(
NULLP(BgL_lz00_1403))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1403))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1404);}  else 
{ 
long BgL_nz00_15102;obj_t BgL_lz00_15099;
BgL_lz00_15099 = 
CDR(
((obj_t)BgL_lz00_1403)); 
BgL_nz00_15102 = 
(BgL_nz00_1404+((long)1)); 
BgL_nz00_1404 = BgL_nz00_15102; 
BgL_lz00_1403 = BgL_lz00_15099; 
goto BgL_zc3anonymousza31517ze3z83_1405;} } } } 
BGL_FUNCTION_END;
}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1075z00_1413;
BgL__ortest_1075z00_1413 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1075z00_1413))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1075z00_1413;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1525z00_1414;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1526z00_1415;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1526z00_1415 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1288z00_1421;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1537z00_1433;
BgL_arg1537z00_1433 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3975z00_6411;
BgL_res3975z00_6411 = 
MAKE_YOUNG_PAIR(BgL_arg1537z00_1433, BNIL); 
BgL_head1288z00_1421 = BgL_res3975z00_6411; } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1291z00_1422;
BgL_g1291z00_1422 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1286z00_1424;obj_t BgL_tail1289z00_1425;
BgL_l1286z00_1424 = BgL_g1291z00_1422; 
BgL_tail1289z00_1425 = BgL_head1288z00_1421; 
BgL_zc3anonymousza31531ze3z83_1426:
if(
NULLP(BgL_l1286z00_1424))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1526z00_1415 = BgL_head1288z00_1421; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1290z00_1428;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1534z00_1430;
BgL_arg1534z00_1430 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1286z00_1424))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3977z00_6415;
BgL_res3977z00_6415 = 
MAKE_YOUNG_PAIR(BgL_arg1534z00_1430, BNIL); 
BgL_newtail1290z00_1428 = BgL_res3977z00_6415; } } 
SET_CDR(BgL_tail1289z00_1425, BgL_newtail1290z00_1428); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1533z00_1429;
BgL_arg1533z00_1429 = 
CDR(
((obj_t)BgL_l1286z00_1424)); 
{ 
obj_t BgL_tail1289z00_15125;obj_t BgL_l1286z00_15124;
BgL_l1286z00_15124 = BgL_arg1533z00_1429; 
BgL_tail1289z00_15125 = BgL_newtail1290z00_1428; 
BgL_tail1289z00_1425 = BgL_tail1289z00_15125; 
BgL_l1286z00_1424 = BgL_l1286z00_15124; 
goto BgL_zc3anonymousza31531ze3z83_1426;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1527z00_1416;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1528z00_1417;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1529z00_1418;
BgL_arg1529z00_1418 = 
MAKE_YOUNG_PAIR(BgL_arg1526z00_1415, BNIL); 
BgL_arg1528z00_1417 = 
MAKE_YOUNG_PAIR(BGl_string5163z00zz__evaluate_compz00, BgL_arg1529z00_1418); } 
BgL_list1527z00_1416 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1528z00_1417); } 
BgL_arg1525z00_1414 = BgL_list1527z00_1416; } } 
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_string5165z00zz__evaluate_compz00, BgL_arg1525z00_1414);} } } 
BGL_FUNCTION_END;
}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 
BGL_FUNCTION_END;
}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1454;obj_t BgL_locz00_1455;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1460;
BgL_cdrzd2194zd2_1460 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol5166z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1460))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1464;
BgL_cdrzd2198zd2_1464 = 
CDR(BgL_cdrzd2194zd2_1460); 
if(
PAIRP(BgL_cdrzd2198zd2_1464))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1464)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1454 = 
CAR(BgL_cdrzd2194zd2_1460); 
BgL_locz00_1455 = 
CAR(BgL_cdrzd2198zd2_1464); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1454, BgL_locz00_1455);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1457:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1457;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1457;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1457;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1457;} } } 
BGL_FUNCTION_END;
}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1480;
BgL_stkz00_1480 = 
make_vector(((long)8192), BGl_string5168z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1480,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1480;} } 
BGL_FUNCTION_END;
}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1481;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_15155;
BgL_tmpz00_15155 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1481 = 
BGL_ENV_EVSTATE(BgL_tmpz00_15155); } 
if(
VECTORP(BgL_sz00_1481))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1481;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1483;
BgL_statez00_1483 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_15161;
BgL_tmpz00_15161 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_15161, BgL_statez00_1483); } 
return BgL_statez00_1483;} } } 
BGL_FUNCTION_END;
}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10546)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 
BGL_FUNCTION_END;
}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 
BGL_FUNCTION_END;
}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10547, obj_t BgL_ez00_10548)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_15166;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10548, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_15166 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10548)
; }  else 
{ 
obj_t BgL_auxz00_15170;
BgL_auxz00_15170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5169z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string5170z00zz__evaluate_compz00, BGl_string5171z00zz__evaluate_compz00, BgL_ez00_10548); 
FAILURE(BgL_auxz00_15170,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_15166);} } 
BGL_FUNCTION_END;
}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1539;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1618z00_1540;obj_t BgL_arg1619z00_1541;
BgL_arg1618z00_1540 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1619z00_1541 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1539 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1618z00_1540, BgL_arg1619z00_1541); } 
if(
CBOOL(BgL_gz00_1539))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1539),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 586 */
{ 
obj_t BgL_fz00_1551;
BgL_fz00_1551 = BgL_fz00_78; 
BgL_zc3anonymousza31631ze3z83_1552:
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_rz00_1553;
BgL_rz00_1553 = 
PROCEDURE_ENTRY(BgL_fz00_1551)(BgL_fz00_1551, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 592 */
bool_t BgL_testz00_15191;
if(
PROCEDUREP(BgL_rz00_1553))
{ /* Eval/evaluate_comp.scm 592 */
obj_t BgL_arg1635z00_1558;
BgL_arg1635z00_1558 = 
PROCEDURE_ATTR(BgL_rz00_1553); 
if(
STRUCTP(BgL_arg1635z00_1558))
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15191 = 
(
STRUCT_KEY(BgL_arg1635z00_1558)==BGl_symbol5158z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15191 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 592 */
BgL_testz00_15191 = ((bool_t)0)
; } 
if(BgL_testz00_15191)
{ 
obj_t BgL_fz00_15199;
BgL_fz00_15199 = BgL_rz00_1553; 
BgL_fz00_1551 = BgL_fz00_15199; 
goto BgL_zc3anonymousza31631ze3z83_1552;}  else 
{ /* Eval/evaluate_comp.scm 592 */
return BgL_rz00_1553;} } } } } 
BGL_FUNCTION_END;
}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 616 */
{ 
obj_t BgL_lz00_1561;obj_t BgL_bsz00_1562;long BgL_spz00_1563;
BgL_lz00_1561 = BgL_argsz00_83; 
BgL_bsz00_1562 = BgL_boxesz00_84; 
BgL_spz00_1563 = BgL_spz00_85; 
BgL_zc3anonymousza31636ze3z83_1564:
if(
NULLP(BgL_lz00_1561))
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1562))
{ /* Eval/evaluate_comp.scm 619 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 622 */
obj_t BgL_arg1639z00_1567;
{ /* Eval/evaluate_comp.scm 622 */
long BgL_arg1640z00_1568;long BgL_arg1641z00_1569;
BgL_arg1640z00_1568 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1641z00_1569 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_list1642z00_1570;
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_arg1643z00_1571;
BgL_arg1643z00_1571 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1641z00_1569), BNIL); 
BgL_list1642z00_1570 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1640z00_1568), BgL_arg1643z00_1571); } 
BgL_arg1639z00_1567 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5172z00zz__evaluate_compz00, BgL_list1642z00_1570); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5164z00zz__evaluate_compz00, BGl_string5173z00zz__evaluate_compz00, BgL_arg1639z00_1567);} }  else 
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1562))
{ /* Eval/evaluate_comp.scm 626 */
obj_t BgL_arg1645z00_1573;
{ /* Eval/evaluate_comp.scm 626 */
long BgL_arg1646z00_1574;long BgL_arg1647z00_1575;
BgL_arg1646z00_1574 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1647z00_1575 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_list1648z00_1576;
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_arg1650z00_1577;
BgL_arg1650z00_1577 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1647z00_1575), BNIL); 
BgL_list1648z00_1576 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1646z00_1574), BgL_arg1650z00_1577); } 
BgL_arg1645z00_1573 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5172z00zz__evaluate_compz00, BgL_list1648z00_1576); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5164z00zz__evaluate_compz00, BGl_string5173z00zz__evaluate_compz00, BgL_arg1645z00_1573);}  else 
{ /* Eval/evaluate_comp.scm 623 */
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1652z00_1578;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_vz00_1579;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_fun1654z00_1581;
BgL_fun1654z00_1581 = 
CAR(
((obj_t)BgL_lz00_1561)); 
BgL_vz00_1579 = 
PROCEDURE_ENTRY(BgL_fun1654z00_1581)(BgL_fun1654z00_1581, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1562))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6457;
BgL_newz00_6457 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_15234;
BgL_tmpz00_15234 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6457, BgL_tmpz00_15234, BgL_vz00_1579); } 
BgL_arg1652z00_1578 = BgL_newz00_6457; }  else 
{ /* Eval/evaluate_comp.scm 630 */
BgL_arg1652z00_1578 = BgL_vz00_1579; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1563,BgL_arg1652z00_1578); } 
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1655z00_1582;obj_t BgL_arg1656z00_1583;long BgL_arg1657z00_1584;
BgL_arg1655z00_1582 = 
CDR(
((obj_t)BgL_lz00_1561)); 
BgL_arg1656z00_1583 = 
CDR(
((obj_t)BgL_bsz00_1562)); 
BgL_arg1657z00_1584 = 
(BgL_spz00_1563+((long)1)); 
{ 
long BgL_spz00_15246;obj_t BgL_bsz00_15245;obj_t BgL_lz00_15244;
BgL_lz00_15244 = BgL_arg1655z00_1582; 
BgL_bsz00_15245 = BgL_arg1656z00_1583; 
BgL_spz00_15246 = BgL_arg1657z00_1584; 
BgL_spz00_1563 = BgL_spz00_15246; 
BgL_bsz00_1562 = BgL_bsz00_15245; 
BgL_lz00_1561 = BgL_lz00_15244; 
goto BgL_zc3anonymousza31636ze3z83_1564;} } } } } } 
BGL_FUNCTION_END;
}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 638 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 639 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 639 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 642 */
obj_t BgL_arg1664z00_1590;obj_t BgL_arg1665z00_1591;
BgL_arg1664z00_1590 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1665z00_1591 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_15260;obj_t BgL_l1z00_15259;
BgL_l1z00_15259 = BgL_arg1664z00_1590; 
BgL_l2z00_15260 = BgL_arg1665z00_1591; 
BgL_l2z00_89 = BgL_l2z00_15260; 
BgL_l1z00_88 = BgL_l1z00_15259; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 640 */
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_symbol5176z00zz__evaluate_compz00, BGl_symbol5178z00zz__evaluate_compz00);} } } 
BGL_FUNCTION_END;
}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 662 */
{ /* Eval/evaluate_comp.scm 663 */
obj_t BgL_savedzd2bpzd2_1602;
BgL_savedzd2bpzd2_1602 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1604;
BgL_fz00_1604 = BgL_fz00_93; 
BgL_zc3anonymousza31677ze3z83_1605:
{ /* Eval/evaluate_comp.scm 666 */
obj_t BgL_rz00_1606;
BgL_rz00_1606 = 
PROCEDURE_ENTRY(BgL_fz00_1604)(BgL_fz00_1604, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 667 */
bool_t BgL_testz00_15270;
if(
PROCEDUREP(BgL_rz00_1606))
{ /* Eval/evaluate_comp.scm 667 */
obj_t BgL_arg1681z00_1611;
BgL_arg1681z00_1611 = 
PROCEDURE_ATTR(BgL_rz00_1606); 
if(
STRUCTP(BgL_arg1681z00_1611))
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15270 = 
(
STRUCT_KEY(BgL_arg1681z00_1611)==BGl_symbol5160z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15270 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 667 */
BgL_testz00_15270 = ((bool_t)0)
; } 
if(BgL_testz00_15270)
{ 
obj_t BgL_fz00_15278;
BgL_fz00_15278 = BgL_rz00_1606; 
BgL_fz00_1604 = BgL_fz00_15278; 
goto BgL_zc3anonymousza31677ze3z83_1605;}  else 
{ /* Eval/evaluate_comp.scm 667 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1602); 
return BgL_rz00_1606;} } } } } } 
BGL_FUNCTION_END;
}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 678 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 
BGL_FUNCTION_END;
}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 681 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 683 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1692z00_1624;obj_t BgL_arg1693z00_1625;
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1694z00_1626;
BgL_arg1694z00_1626 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1692z00_1624 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1694z00_1626), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1695z00_1627;obj_t BgL_arg1696z00_1628;
BgL_arg1695z00_1627 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1697z00_1629;
BgL_arg1697z00_1629 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1696z00_1628 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1697z00_1629); } 
BgL_arg1693z00_1625 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1695z00_1627, BgL_arg1696z00_1628); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1692z00_1624, BgL_arg1693z00_1625);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12520, obj_t BgL_lz00_1631, long BgL_iz00_1632)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 689 */
if(
NULLP(BgL_lz00_1631))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 690 */
if(
(BgL_iz00_1632==((long)0)))
{ /* Eval/evaluate_comp.scm 691 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1631, BgL_stkz00_12520);}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1701z00_1636;obj_t BgL_arg1702z00_1637;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1703z00_1638;
BgL_arg1703z00_1638 = 
CAR(
((obj_t)BgL_lz00_1631)); 
BgL_arg1701z00_1636 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1703z00_1638), BgL_stkz00_12520); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1704z00_1639;long BgL_arg1705z00_1640;
BgL_arg1704z00_1639 = 
CDR(
((obj_t)BgL_lz00_1631)); 
BgL_arg1705z00_1640 = 
(BgL_iz00_1632-((long)1)); 
BgL_arg1702z00_1637 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12520, BgL_arg1704z00_1639, BgL_arg1705z00_1640); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1701z00_1636, BgL_arg1702z00_1637);} } } 
BGL_FUNCTION_END;
}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 695 */
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_argsz00_1642;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1642 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_head1337z00_1647;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4010z00_6522;
BgL_res4010z00_6522 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1337z00_1647 = BgL_res4010z00_6522; } 
{ 
obj_t BgL_l1335z00_1649;obj_t BgL_tail1338z00_1650;
BgL_l1335z00_1649 = BgL_argsz00_124; 
BgL_tail1338z00_1650 = BgL_head1337z00_1647; 
BgL_zc3anonymousza31708ze3z83_1651:
if(
NULLP(BgL_l1335z00_1649))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1642 = 
CDR(BgL_head1337z00_1647); }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_newtail1339z00_1653;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1711z00_1655;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_az00_1656;
BgL_az00_1656 = 
CAR(
((obj_t)BgL_l1335z00_1649)); 
BgL_arg1711z00_1655 = 
PROCEDURE_ENTRY(BgL_az00_1656)(BgL_az00_1656, BgL_sz00_122, BEOA); } 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4012z00_6526;
BgL_res4012z00_6526 = 
MAKE_YOUNG_PAIR(BgL_arg1711z00_1655, BNIL); 
BgL_newtail1339z00_1653 = BgL_res4012z00_6526; } } 
SET_CDR(BgL_tail1338z00_1650, BgL_newtail1339z00_1653); 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1710z00_1654;
BgL_arg1710z00_1654 = 
CDR(
((obj_t)BgL_l1335z00_1649)); 
{ 
obj_t BgL_tail1338z00_15330;obj_t BgL_l1335z00_15329;
BgL_l1335z00_15329 = BgL_arg1710z00_1654; 
BgL_tail1338z00_15330 = BgL_newtail1339z00_1653; 
BgL_tail1338z00_1650 = BgL_tail1338z00_15330; 
BgL_l1335z00_1649 = BgL_l1335z00_15329; 
goto BgL_zc3anonymousza31708ze3z83_1651;} } } } } 
{ /* Eval/evaluate_comp.scm 698 */
long BgL_arg1706z00_1643;
BgL_arg1706z00_1643 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1706z00_1643)); } 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_za2za2resza2za2z00_1644;
BgL_za2za2resza2za2z00_1644 = 
apply(BgL_fz00_123, BgL_argsz00_1642); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1644;} } } 
BGL_FUNCTION_END;
}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 702 */
{ 
obj_t BgL_lz00_1659;obj_t BgL_spz00_1660;
BgL_lz00_1659 = BgL_argsz00_128; 
BgL_spz00_1660 = BgL_spz00_129; 
BgL_zc3anonymousza31712ze3z83_1661:
if(
NULLP(BgL_lz00_1659))
{ /* Eval/evaluate_comp.scm 704 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 704 */
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_arg1714z00_1663;
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_fun1715z00_1664;
BgL_fun1715z00_1664 = 
CAR(
((obj_t)BgL_lz00_1659)); 
BgL_arg1714z00_1663 = 
PROCEDURE_ENTRY(BgL_fun1715z00_1664)(BgL_fun1715z00_1664, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_kz00_6537;
BgL_kz00_6537 = 
(long)CINT(BgL_spz00_1660); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6537,BgL_arg1714z00_1663); } } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_arg1716z00_1665;long BgL_arg1717z00_1666;
BgL_arg1716z00_1665 = 
CDR(
((obj_t)BgL_lz00_1659)); 
BgL_arg1717z00_1666 = 
(
(long)CINT(BgL_spz00_1660)+((long)1)); 
{ 
obj_t BgL_spz00_15357;obj_t BgL_lz00_15356;
BgL_lz00_15356 = BgL_arg1716z00_1665; 
BgL_spz00_15357 = 
BINT(BgL_arg1717z00_1666); 
BgL_spz00_1660 = BgL_spz00_15357; 
BgL_lz00_1659 = BgL_lz00_15356; 
goto BgL_zc3anonymousza31712ze3z83_1661;} } } } } 
BGL_FUNCTION_END;
}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 708 */
{ /* Eval/evaluate_comp.scm 709 */
long BgL_g1145z00_1668;
BgL_g1145z00_1668 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1670;obj_t BgL_spz00_1671;long BgL_nz00_1672;
BgL_lz00_1670 = BgL_argsz00_132; 
BgL_spz00_1671 = BgL_spz00_133; 
BgL_nz00_1672 = BgL_g1145z00_1668; 
BgL_zc3anonymousza31718ze3z83_1673:
if(
(BgL_nz00_1672==((long)0)))
{ 
obj_t BgL_lz00_1677;obj_t BgL_rz00_1678;
BgL_lz00_1677 = BgL_lz00_1670; 
BgL_rz00_1678 = BNIL; 
BgL_zc3anonymousza31720ze3z83_1679:
if(
NULLP(BgL_lz00_1677))
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1722z00_1681;
BgL_arg1722z00_1681 = 
bgl_reverse_bang(BgL_rz00_1678); 
{ /* Eval/evaluate_comp.scm 713 */
long BgL_kz00_6547;
BgL_kz00_6547 = 
(long)CINT(BgL_spz00_1671); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6547,BgL_arg1722z00_1681);} }  else 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1723z00_1682;obj_t BgL_arg1724z00_1683;
BgL_arg1723z00_1682 = 
CDR(
((obj_t)BgL_lz00_1677)); 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1726z00_1684;
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_fun1727z00_1685;
BgL_fun1727z00_1685 = 
CAR(
((obj_t)BgL_lz00_1677)); 
BgL_arg1726z00_1684 = 
PROCEDURE_ENTRY(BgL_fun1727z00_1685)(BgL_fun1727z00_1685, BgL_sz00_131, BEOA); } 
BgL_arg1724z00_1683 = 
MAKE_YOUNG_PAIR(BgL_arg1726z00_1684, BgL_rz00_1678); } 
{ 
obj_t BgL_rz00_15379;obj_t BgL_lz00_15378;
BgL_lz00_15378 = BgL_arg1723z00_1682; 
BgL_rz00_15379 = BgL_arg1724z00_1683; 
BgL_rz00_1678 = BgL_rz00_15379; 
BgL_lz00_1677 = BgL_lz00_15378; 
goto BgL_zc3anonymousza31720ze3z83_1679;} } }  else 
{ /* Eval/evaluate_comp.scm 710 */
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_arg1728z00_1687;
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_fun1729z00_1688;
BgL_fun1729z00_1688 = 
CAR(
((obj_t)BgL_lz00_1670)); 
BgL_arg1728z00_1687 = 
PROCEDURE_ENTRY(BgL_fun1729z00_1688)(BgL_fun1729z00_1688, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 715 */
long BgL_kz00_6552;
BgL_kz00_6552 = 
(long)CINT(BgL_spz00_1671); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6552,BgL_arg1728z00_1687); } } 
{ /* Eval/evaluate_comp.scm 716 */
obj_t BgL_arg1730z00_1689;long BgL_arg1731z00_1690;long BgL_arg1732z00_1691;
BgL_arg1730z00_1689 = 
CDR(
((obj_t)BgL_lz00_1670)); 
BgL_arg1731z00_1690 = 
(
(long)CINT(BgL_spz00_1671)+((long)1)); 
BgL_arg1732z00_1691 = 
(BgL_nz00_1672-((long)1)); 
{ 
long BgL_nz00_15397;obj_t BgL_spz00_15395;obj_t BgL_lz00_15394;
BgL_lz00_15394 = BgL_arg1730z00_1689; 
BgL_spz00_15395 = 
BINT(BgL_arg1731z00_1690); 
BgL_nz00_15397 = BgL_arg1732z00_1691; 
BgL_nz00_1672 = BgL_nz00_15397; 
BgL_spz00_1671 = BgL_spz00_15395; 
BgL_lz00_1670 = BgL_lz00_15394; 
goto BgL_zc3anonymousza31718ze3z83_1673;} } } } } } 
BGL_FUNCTION_END;
}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 759 */
{ 
obj_t BgL_lz00_1694;obj_t BgL_stkz00_1695;
BgL_lz00_1694 = BgL_argsz00_134; 
BgL_stkz00_1695 = BgL_stkz00_135; 
BgL_zc3anonymousza31733ze3z83_1696:
{ /* Eval/evaluate_comp.scm 763 */
bool_t BgL_testz00_15398;
if(
NULLP(BgL_lz00_1694))
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15398 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15398 = 
NULLP(BgL_stkz00_1695)
; } 
if(BgL_testz00_15398)
{ /* Eval/evaluate_comp.scm 763 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 765 */
bool_t BgL_testz00_15402;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_g1342z00_1713;
BgL_g1342z00_1713 = 
CDR(
((obj_t)BgL_lz00_1694)); 
{ 
obj_t BgL_l1340z00_1715;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_tmpz00_15405;
BgL_l1340z00_1715 = BgL_g1342z00_1713; 
BgL_zc3anonymousza31744ze3z83_1716:
if(
NULLP(BgL_l1340z00_1715))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15405 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL__ortest_1343z00_1718;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_ez00_1720;
BgL_ez00_1720 = 
CAR(
((obj_t)BgL_l1340z00_1715)); 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1746z00_1721;obj_t BgL_arg1747z00_1722;
BgL_arg1746z00_1721 = 
CAR(
((obj_t)BgL_stkz00_1695)); 
BgL_arg1747z00_1722 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1720), BNIL); 
BgL__ortest_1343z00_1718 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1746z00_1721, BgL_arg1747z00_1722); } } 
if(
CBOOL(BgL__ortest_1343z00_1718))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15405 = BgL__ortest_1343z00_1718
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1745z00_1719;
BgL_arg1745z00_1719 = 
CDR(
((obj_t)BgL_l1340z00_1715)); 
{ 
obj_t BgL_l1340z00_15419;
BgL_l1340z00_15419 = BgL_arg1745z00_1719; 
BgL_l1340z00_1715 = BgL_l1340z00_15419; 
goto BgL_zc3anonymousza31744ze3z83_1716;} } } 
BgL_testz00_15402 = 
CBOOL(BgL_tmpz00_15405); } } } 
if(BgL_testz00_15402)
{ /* Eval/evaluate_comp.scm 765 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 767 */
obj_t BgL_arg1742z00_1711;obj_t BgL_arg1743z00_1712;
BgL_arg1742z00_1711 = 
CDR(
((obj_t)BgL_lz00_1694)); 
BgL_arg1743z00_1712 = 
CDR(
((obj_t)BgL_stkz00_1695)); 
{ 
obj_t BgL_stkz00_15426;obj_t BgL_lz00_15425;
BgL_lz00_15425 = BgL_arg1742z00_1711; 
BgL_stkz00_15426 = BgL_arg1743z00_1712; 
BgL_stkz00_1695 = BgL_stkz00_15426; 
BgL_lz00_1694 = BgL_lz00_15425; 
goto BgL_zc3anonymousza31733ze3z83_1696;} } } } } } 
BGL_FUNCTION_END;
}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 769 */
{ /* Eval/evaluate_comp.scm 771 */
long BgL_siza7eza7_1727;long BgL_nbargsz00_1728;obj_t BgL_fz00_1729;obj_t BgL_symbzd2funzd2_1730;
BgL_siza7eza7_1727 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1728 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1729 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1730 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 773 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15440;
{ /* Eval/evaluate_comp.scm 780 */
int BgL_arg1796z00_1809;
BgL_arg1796z00_1809 = 
bgl_debug(); 
BgL_testz00_15440 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1796z00_1809), 
BINT(((long)0))); } 
if(BgL_testz00_15440)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1736;
BgL_argsz00_1736 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31753ze3z83_10549;
BgL_zc3anonymousza31753ze3z83_10549 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)4)), BgL_argsz00_1736); 
PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_10549, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1727)); 
return BgL_zc3anonymousza31753ze3z83_10549;} }  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1774;
BgL_argsz00_1774 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31776ze3z83_10550;
BgL_zc3anonymousza31776ze3z83_10550 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31776ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)4)), BgL_argsz00_1774); 
PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_10550, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1727)); 
return BgL_zc3anonymousza31776ze3z83_10550;} } }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15485;
{ /* Eval/evaluate_comp.scm 788 */
int BgL_arg1836z00_1879;
BgL_arg1836z00_1879 = 
bgl_debug(); 
BgL_testz00_15485 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1836z00_1879), 
BINT(((long)0))); } 
if(BgL_testz00_15485)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1812;
BgL_argsz00_1812 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1727); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31799ze3z83_10551;
BgL_zc3anonymousza31799ze3z83_10551 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_10551, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_10551, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_10551, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_10551, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_10551, 
(int)(((long)4)), BgL_argsz00_1812); 
return BgL_zc3anonymousza31799ze3z83_10551;} }  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1847;
BgL_argsz00_1847 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1727); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31819ze3z83_10552;
BgL_zc3anonymousza31819ze3z83_10552 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31819ze3z83_10552, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31819ze3z83_10552, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31819ze3z83_10552, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31819ze3z83_10552, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31819ze3z83_10552, 
(int)(((long)4)), BgL_argsz00_1847); 
return BgL_zc3anonymousza31819ze3z83_10552;} } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15524;
{ /* Eval/evaluate_comp.scm 774 */
int BgL_arg1877z00_1950;
BgL_arg1877z00_1950 = 
bgl_debug(); 
BgL_testz00_15524 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1877z00_1950), 
BINT(((long)0))); } 
if(BgL_testz00_15524)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1883;
BgL_argsz00_1883 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31840ze3z83_10553;
BgL_zc3anonymousza31840ze3z83_10553 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)4)), BgL_argsz00_1883); 
PROCEDURE_SET(BgL_zc3anonymousza31840ze3z83_10553, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1727)); 
return BgL_zc3anonymousza31840ze3z83_10553;} }  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1918;
BgL_argsz00_1918 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31860ze3z83_10554;
BgL_zc3anonymousza31860ze3z83_10554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)0)), BgL_fz00_1729); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)2)), BgL_symbzd2funzd2_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1728)); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)4)), BgL_argsz00_1918); 
PROCEDURE_SET(BgL_zc3anonymousza31860ze3z83_10554, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1727)); 
return BgL_zc3anonymousza31860ze3z83_10554;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1753> */
obj_t BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10555, obj_t BgL_sz00_10562)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10556;BgL_ev_appz00_bglt BgL_i1153z00_10557;obj_t BgL_symbzd2funzd2_10558;long BgL_nbargsz00_10559;obj_t BgL_argsz00_10560;long BgL_siza7eza7_10561;
BgL_fz00_10556 = 
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)0))); 
BgL_i1153z00_10557 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10558 = 
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)2))); 
BgL_nbargsz00_10559 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)3)))); 
BgL_argsz00_10560 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)4)))); 
BgL_siza7eza7_10561 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10555, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12541;
BgL_bpz00_12541 = 
VECTOR_REF(
((obj_t)BgL_sz00_10562),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12542;
BgL_fz00_12542 = 
PROCEDURE_ENTRY(BgL_fz00_10556)(BgL_fz00_10556, BgL_sz00_10562, BEOA); 
if(
PROCEDUREP(BgL_fz00_12542))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10557))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12542); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12543;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15595;
BgL_tmpz00_15595 = 
((obj_t)BgL_fz00_12542); 
BgL_ufz00_12543 = 
PROCEDURE_ATTR(BgL_tmpz00_15595); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15598;
if(
STRUCTP(BgL_ufz00_12543))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15598 = 
(
STRUCT_KEY(BgL_ufz00_12543)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15598 = ((bool_t)0)
; } 
if(BgL_testz00_15598)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12544;obj_t BgL_runz00_12545;obj_t BgL_sfz00_12546;
BgL_arityz00_12544 = 
STRUCT_REF(BgL_ufz00_12543, 
(int)(((long)0))); 
BgL_runz00_12545 = 
STRUCT_REF(BgL_ufz00_12543, 
(int)(((long)1))); 
BgL_sfz00_12546 = 
STRUCT_REF(BgL_ufz00_12543, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12547;
BgL_spz00_12547 = 
(
(long)CINT(BgL_bpz00_12541)+BgL_siza7eza7_10561); 
if(
(
(long)CINT(BgL_arityz00_12544)==BgL_nbargsz00_10559))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10562, BgL_argsz00_10560, 
BINT(BgL_spz00_12547)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1758z00_12548;
BgL_arg1758z00_12548 = 
(BgL_spz00_12547+BgL_nbargsz00_10559); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10562, 
(long)CINT(BgL_bpz00_12541), BgL_sz00_10562, 
BINT(BgL_spz00_12547), 
BINT(BgL_arg1758z00_12548)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15621;
if(
(
(long)CINT(BgL_arityz00_12544)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15621 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15621 = 
(
(long)CINT(BgL_arityz00_12544)<
(((long)-1)-BgL_nbargsz00_10559))
; } 
if(BgL_testz00_15621)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10557))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12543, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10559), 
CINT(BgL_arityz00_12544)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12544, BgL_sz00_10562, BgL_argsz00_10560, 
BINT(BgL_spz00_12547)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1764z00_12549;
BgL_arg1764z00_12549 = 
(BgL_spz00_12547+
(((long)0)-
(long)CINT(BgL_arityz00_12544))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10562, 
(long)CINT(BgL_bpz00_12541), BgL_sz00_10562, 
BINT(BgL_spz00_12547), 
BINT(BgL_arg1764z00_12549)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12550;
BgL_z12denvz12_12550 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15644;
BgL_tmpz00_15644 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10557))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12550, BgL_tmpz00_15644); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10562, BgL_bpz00_12541, BgL_sfz00_12546))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12545;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12551;
BgL_nsz00_12551 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1769z00_12552;
BgL_arg1769z00_12552 = 
(
(long)CINT(BgL_bpz00_12541)+BgL_nbargsz00_10559); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12551, ((long)2), BgL_sz00_10562, BgL_bpz00_12541, 
BINT(BgL_arg1769z00_12552)); } 
VECTOR_SET(BgL_nsz00_12551,((long)1),BgL_sz00_10562); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12550, BgL_nsz00_12551); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12553;
BgL_ez00_12553 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12553, BgL_sz00_10562); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12554;
BgL_____rz00_12554 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12545, BgL_nsz00_12551, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12553); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12550, BgL_sz00_10562); 
return BgL_____rz00_12554;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12542, 
(int)(BgL_nbargsz00_10559)))
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_auxz00_15667;obj_t BgL_tmpz00_15665;
BgL_auxz00_15667 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10557))->BgL_locz00); 
BgL_tmpz00_15665 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15665, BgL_auxz00_15667); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10562, BgL_fz00_12542, BgL_argsz00_10560, BgL_bpz00_12541, 
BINT(BgL_siza7eza7_10561));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10557))->BgL_locz00), BgL_symbzd2funzd2_10558, 
(int)(BgL_nbargsz00_10559), 
PROCEDURE_ARITY(BgL_fz00_12542));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1776> */
obj_t BGl_z62zc3anonymousza31776ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10563, obj_t BgL_sz00_10570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10564;BgL_ev_appz00_bglt BgL_i1153z00_10565;obj_t BgL_symbzd2funzd2_10566;long BgL_nbargsz00_10567;obj_t BgL_argsz00_10568;long BgL_siza7eza7_10569;
BgL_fz00_10564 = 
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)0))); 
BgL_i1153z00_10565 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10566 = 
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)2))); 
BgL_nbargsz00_10567 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)3)))); 
BgL_argsz00_10568 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)4)))); 
BgL_siza7eza7_10569 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10563, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12555;
BgL_bpz00_12555 = 
VECTOR_REF(
((obj_t)BgL_sz00_10570),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12556;
BgL_fz00_12556 = 
PROCEDURE_ENTRY(BgL_fz00_10564)(BgL_fz00_10564, BgL_sz00_10570, BEOA); 
if(
PROCEDUREP(BgL_fz00_12556))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10565))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12556); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12557;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15702;
BgL_tmpz00_15702 = 
((obj_t)BgL_fz00_12556); 
BgL_ufz00_12557 = 
PROCEDURE_ATTR(BgL_tmpz00_15702); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15705;
if(
STRUCTP(BgL_ufz00_12557))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15705 = 
(
STRUCT_KEY(BgL_ufz00_12557)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15705 = ((bool_t)0)
; } 
if(BgL_testz00_15705)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12558;obj_t BgL_runz00_12559;obj_t BgL_sfz00_12560;
BgL_arityz00_12558 = 
STRUCT_REF(BgL_ufz00_12557, 
(int)(((long)0))); 
BgL_runz00_12559 = 
STRUCT_REF(BgL_ufz00_12557, 
(int)(((long)1))); 
BgL_sfz00_12560 = 
STRUCT_REF(BgL_ufz00_12557, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12561;
BgL_spz00_12561 = 
(
(long)CINT(BgL_bpz00_12555)+BgL_siza7eza7_10569); 
if(
(
(long)CINT(BgL_arityz00_12558)==BgL_nbargsz00_10567))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10570, BgL_argsz00_10568, 
BINT(BgL_spz00_12561)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1781z00_12562;
BgL_arg1781z00_12562 = 
(BgL_spz00_12561+BgL_nbargsz00_10567); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10570, 
(long)CINT(BgL_bpz00_12555), BgL_sz00_10570, 
BINT(BgL_spz00_12561), 
BINT(BgL_arg1781z00_12562)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15728;
if(
(
(long)CINT(BgL_arityz00_12558)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15728 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15728 = 
(
(long)CINT(BgL_arityz00_12558)<
(((long)-1)-BgL_nbargsz00_10567))
; } 
if(BgL_testz00_15728)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10565))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12557, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10567), 
CINT(BgL_arityz00_12558)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12558, BgL_sz00_10570, BgL_argsz00_10568, 
BINT(BgL_spz00_12561)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1787z00_12563;
BgL_arg1787z00_12563 = 
(BgL_spz00_12561+
(((long)0)-
(long)CINT(BgL_arityz00_12558))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10570, 
(long)CINT(BgL_bpz00_12555), BgL_sz00_10570, 
BINT(BgL_spz00_12561), 
BINT(BgL_arg1787z00_12563)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12564;
BgL_z12denvz12_12564 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10570, BgL_bpz00_12555, BgL_sfz00_12560))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12559;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12565;
BgL_nsz00_12565 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1791z00_12566;
BgL_arg1791z00_12566 = 
(
(long)CINT(BgL_bpz00_12555)+BgL_nbargsz00_10567); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12565, ((long)2), BgL_sz00_10570, BgL_bpz00_12555, 
BINT(BgL_arg1791z00_12566)); } 
VECTOR_SET(BgL_nsz00_12565,((long)1),BgL_sz00_10570); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12564, BgL_nsz00_12565); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12567;
BgL_ez00_12567 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12567, BgL_sz00_10570); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12568;
BgL_____rz00_12568 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12559, BgL_nsz00_12565, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12567); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12564, BgL_sz00_10570); 
return BgL_____rz00_12568;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12556, 
(int)(BgL_nbargsz00_10567)))
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10570, BgL_fz00_12556, BgL_argsz00_10568, BgL_bpz00_12555, 
BINT(BgL_siza7eza7_10569));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10565))->BgL_locz00), BgL_symbzd2funzd2_10566, 
(int)(BgL_nbargsz00_10567), 
PROCEDURE_ARITY(BgL_fz00_12556));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1799> */
obj_t BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10571, obj_t BgL_sz00_10577)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10572;BgL_ev_appz00_bglt BgL_i1153z00_10573;obj_t BgL_symbzd2funzd2_10574;long BgL_nbargsz00_10575;obj_t BgL_argsz00_10576;
BgL_fz00_10572 = 
PROCEDURE_REF(BgL_envz00_10571, 
(int)(((long)0))); 
BgL_i1153z00_10573 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10571, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10574 = 
PROCEDURE_REF(BgL_envz00_10571, 
(int)(((long)2))); 
BgL_nbargsz00_10575 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10571, 
(int)(((long)3)))); 
BgL_argsz00_10576 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10571, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12569;
BgL_bpz00_12569 = 
VECTOR_REF(
((obj_t)BgL_sz00_10577),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12570;
BgL_fz00_12570 = 
PROCEDURE_ENTRY(BgL_fz00_10572)(BgL_fz00_10572, BgL_sz00_10577, BEOA); 
if(
PROCEDUREP(BgL_fz00_12570))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10573))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12570); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12571;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15798;
BgL_tmpz00_15798 = 
((obj_t)BgL_fz00_12570); 
BgL_ufz00_12571 = 
PROCEDURE_ATTR(BgL_tmpz00_15798); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15801;
if(
STRUCTP(BgL_ufz00_12571))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15801 = 
(
STRUCT_KEY(BgL_ufz00_12571)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15801 = ((bool_t)0)
; } 
if(BgL_testz00_15801)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12572;obj_t BgL_runz00_12573;obj_t BgL_sfz00_12574;
BgL_arityz00_12572 = 
STRUCT_REF(BgL_ufz00_12571, 
(int)(((long)0))); 
BgL_runz00_12573 = 
STRUCT_REF(BgL_ufz00_12571, 
(int)(((long)1))); 
BgL_sfz00_12574 = 
STRUCT_REF(BgL_ufz00_12571, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12572)==BgL_nbargsz00_10575))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10577, BgL_argsz00_10576, BgL_bpz00_12569)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15817;
if(
(
(long)CINT(BgL_arityz00_12572)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15817 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15817 = 
(
(long)CINT(BgL_arityz00_12572)<
(((long)-1)-BgL_nbargsz00_10575))
; } 
if(BgL_testz00_15817)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10573))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12571, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10575), 
CINT(BgL_arityz00_12572)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12572, BgL_sz00_10577, BgL_argsz00_10576, BgL_bpz00_12569); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12575;
BgL_z12denvz12_12575 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15832;
BgL_tmpz00_15832 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10573))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12575, BgL_tmpz00_15832); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10577, BgL_bpz00_12569, BgL_sfz00_12574))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12573;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12576;
BgL_nsz00_12576 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1812z00_12577;
BgL_arg1812z00_12577 = 
(
(long)CINT(BgL_bpz00_12569)+BgL_nbargsz00_10575); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12576, ((long)2), BgL_sz00_10577, BgL_bpz00_12569, 
BINT(BgL_arg1812z00_12577)); } 
VECTOR_SET(BgL_nsz00_12576,((long)1),BgL_sz00_10577); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12575, BgL_nsz00_12576); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12578;
BgL_ez00_12578 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12578, BgL_sz00_10577); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12579;
BgL_____rz00_12579 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12573, BgL_nsz00_12576, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12578); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12575, BgL_sz00_10577); 
return BgL_____rz00_12579;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12570, 
(int)(BgL_nbargsz00_10575)))
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_auxz00_15855;obj_t BgL_tmpz00_15853;
BgL_auxz00_15855 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10573))->BgL_locz00); 
BgL_tmpz00_15853 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15853, BgL_auxz00_15855); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10577, BgL_fz00_12570, BgL_argsz00_10576, BgL_bpz00_12569, 
BINT(BgL_nbargsz00_10575));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10573))->BgL_locz00), BgL_symbzd2funzd2_10574, 
(int)(BgL_nbargsz00_10575), 
PROCEDURE_ARITY(BgL_fz00_12570));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1819> */
obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10578, obj_t BgL_sz00_10584)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10579;BgL_ev_appz00_bglt BgL_i1153z00_10580;obj_t BgL_symbzd2funzd2_10581;long BgL_nbargsz00_10582;obj_t BgL_argsz00_10583;
BgL_fz00_10579 = 
PROCEDURE_REF(BgL_envz00_10578, 
(int)(((long)0))); 
BgL_i1153z00_10580 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10578, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10581 = 
PROCEDURE_REF(BgL_envz00_10578, 
(int)(((long)2))); 
BgL_nbargsz00_10582 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10578, 
(int)(((long)3)))); 
BgL_argsz00_10583 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10578, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12580;
BgL_bpz00_12580 = 
VECTOR_REF(
((obj_t)BgL_sz00_10584),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12581;
BgL_fz00_12581 = 
PROCEDURE_ENTRY(BgL_fz00_10579)(BgL_fz00_10579, BgL_sz00_10584, BEOA); 
if(
PROCEDUREP(BgL_fz00_12581))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10580))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12581); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12582;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15887;
BgL_tmpz00_15887 = 
((obj_t)BgL_fz00_12581); 
BgL_ufz00_12582 = 
PROCEDURE_ATTR(BgL_tmpz00_15887); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15890;
if(
STRUCTP(BgL_ufz00_12582))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15890 = 
(
STRUCT_KEY(BgL_ufz00_12582)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15890 = ((bool_t)0)
; } 
if(BgL_testz00_15890)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12583;obj_t BgL_runz00_12584;obj_t BgL_sfz00_12585;
BgL_arityz00_12583 = 
STRUCT_REF(BgL_ufz00_12582, 
(int)(((long)0))); 
BgL_runz00_12584 = 
STRUCT_REF(BgL_ufz00_12582, 
(int)(((long)1))); 
BgL_sfz00_12585 = 
STRUCT_REF(BgL_ufz00_12582, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12583)==BgL_nbargsz00_10582))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10584, BgL_argsz00_10583, BgL_bpz00_12580)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15906;
if(
(
(long)CINT(BgL_arityz00_12583)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15906 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15906 = 
(
(long)CINT(BgL_arityz00_12583)<
(((long)-1)-BgL_nbargsz00_10582))
; } 
if(BgL_testz00_15906)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10580))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12582, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10582), 
CINT(BgL_arityz00_12583)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12583, BgL_sz00_10584, BgL_argsz00_10583, BgL_bpz00_12580); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12586;
BgL_z12denvz12_12586 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10584, BgL_bpz00_12580, BgL_sfz00_12585))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12584;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12587;
BgL_nsz00_12587 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1831z00_12588;
BgL_arg1831z00_12588 = 
(
(long)CINT(BgL_bpz00_12580)+BgL_nbargsz00_10582); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12587, ((long)2), BgL_sz00_10584, BgL_bpz00_12580, 
BINT(BgL_arg1831z00_12588)); } 
VECTOR_SET(BgL_nsz00_12587,((long)1),BgL_sz00_10584); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12586, BgL_nsz00_12587); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12589;
BgL_ez00_12589 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12589, BgL_sz00_10584); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12590;
BgL_____rz00_12590 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12584, BgL_nsz00_12587, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12589); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12586, BgL_sz00_10584); 
return BgL_____rz00_12590;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12581, 
(int)(BgL_nbargsz00_10582)))
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10584, BgL_fz00_12581, BgL_argsz00_10583, BgL_bpz00_12580, 
BINT(BgL_nbargsz00_10582));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10580))->BgL_locz00), BgL_symbzd2funzd2_10581, 
(int)(BgL_nbargsz00_10582), 
PROCEDURE_ARITY(BgL_fz00_12581));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1840> */
obj_t BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10585, obj_t BgL_sz00_10592)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10586;BgL_ev_appz00_bglt BgL_i1153z00_10587;obj_t BgL_symbzd2funzd2_10588;long BgL_nbargsz00_10589;obj_t BgL_argsz00_10590;long BgL_siza7eza7_10591;
BgL_fz00_10586 = 
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)0))); 
BgL_i1153z00_10587 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10588 = 
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)2))); 
BgL_nbargsz00_10589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)3)))); 
BgL_argsz00_10590 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)4)))); 
BgL_siza7eza7_10591 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10585, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12591;
BgL_bpz00_12591 = 
VECTOR_REF(
((obj_t)BgL_sz00_10592),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12592;
BgL_fz00_12592 = 
PROCEDURE_ENTRY(BgL_fz00_10586)(BgL_fz00_10586, BgL_sz00_10592, BEOA); 
if(
PROCEDUREP(BgL_fz00_12592))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10587))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12592); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12593;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_15971;
BgL_tmpz00_15971 = 
((obj_t)BgL_fz00_12592); 
BgL_ufz00_12593 = 
PROCEDURE_ATTR(BgL_tmpz00_15971); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15974;
if(
STRUCTP(BgL_ufz00_12593))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15974 = 
(
STRUCT_KEY(BgL_ufz00_12593)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15974 = ((bool_t)0)
; } 
if(BgL_testz00_15974)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12594;obj_t BgL_runz00_12595;obj_t BgL_sfz00_12596;
BgL_arityz00_12594 = 
STRUCT_REF(BgL_ufz00_12593, 
(int)(((long)0))); 
BgL_runz00_12595 = 
STRUCT_REF(BgL_ufz00_12593, 
(int)(((long)1))); 
BgL_sfz00_12596 = 
STRUCT_REF(BgL_ufz00_12593, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12597;
BgL_spz00_12597 = 
(
(long)CINT(BgL_bpz00_12591)+BgL_siza7eza7_10591); 
if(
(
(long)CINT(BgL_arityz00_12594)==BgL_nbargsz00_10589))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10592, BgL_argsz00_10590, 
BINT(BgL_spz00_12597))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15993;
if(
(
(long)CINT(BgL_arityz00_12594)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_15993 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_15993 = 
(
(long)CINT(BgL_arityz00_12594)<
(((long)-1)-BgL_nbargsz00_10589))
; } 
if(BgL_testz00_15993)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10587))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12593, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10589), 
CINT(BgL_arityz00_12594)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12594, BgL_sz00_10592, BgL_argsz00_10590, 
BINT(BgL_spz00_12597)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12598;
BgL_z12denvz12_12598 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16009;
BgL_tmpz00_16009 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10587))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12598, BgL_tmpz00_16009); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10592, 
BINT(BgL_spz00_12597), BgL_sfz00_12596))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12595, BgL_sz00_10592, 
BINT(BgL_spz00_12597));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12599;
BgL_nsz00_12599 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1853z00_12600;
BgL_arg1853z00_12600 = 
(BgL_spz00_12597+BgL_nbargsz00_10589); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12599, ((long)2), BgL_sz00_10592, 
BINT(BgL_spz00_12597), 
BINT(BgL_arg1853z00_12600)); } 
VECTOR_SET(BgL_nsz00_12599,((long)1),BgL_sz00_10592); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12598, BgL_nsz00_12599); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12601;
BgL_ez00_12601 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12601, BgL_sz00_10592); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12602;
BgL_____rz00_12602 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12595, BgL_nsz00_12599, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12601); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12598, BgL_sz00_10592); 
return BgL_____rz00_12602;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12592, 
(int)(BgL_nbargsz00_10589)))
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_auxz00_16035;obj_t BgL_tmpz00_16033;
BgL_auxz00_16035 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10587))->BgL_locz00); 
BgL_tmpz00_16033 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16033, BgL_auxz00_16035); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10592, BgL_fz00_12592, BgL_argsz00_10590, BgL_bpz00_12591, 
BINT(BgL_siza7eza7_10591));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10587))->BgL_locz00), BgL_symbzd2funzd2_10588, 
(int)(BgL_nbargsz00_10589), 
PROCEDURE_ARITY(BgL_fz00_12592));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1860> */
obj_t BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10593, obj_t BgL_sz00_10600)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10594;BgL_ev_appz00_bglt BgL_i1153z00_10595;obj_t BgL_symbzd2funzd2_10596;long BgL_nbargsz00_10597;obj_t BgL_argsz00_10598;long BgL_siza7eza7_10599;
BgL_fz00_10594 = 
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)0))); 
BgL_i1153z00_10595 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10596 = 
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)2))); 
BgL_nbargsz00_10597 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)3)))); 
BgL_argsz00_10598 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)4)))); 
BgL_siza7eza7_10599 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10593, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12603;
BgL_bpz00_12603 = 
VECTOR_REF(
((obj_t)BgL_sz00_10600),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12604;
BgL_fz00_12604 = 
PROCEDURE_ENTRY(BgL_fz00_10594)(BgL_fz00_10594, BgL_sz00_10600, BEOA); 
if(
PROCEDUREP(BgL_fz00_12604))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10595))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12604); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12605;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16070;
BgL_tmpz00_16070 = 
((obj_t)BgL_fz00_12604); 
BgL_ufz00_12605 = 
PROCEDURE_ATTR(BgL_tmpz00_16070); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16073;
if(
STRUCTP(BgL_ufz00_12605))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16073 = 
(
STRUCT_KEY(BgL_ufz00_12605)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16073 = ((bool_t)0)
; } 
if(BgL_testz00_16073)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12606;obj_t BgL_runz00_12607;obj_t BgL_sfz00_12608;
BgL_arityz00_12606 = 
STRUCT_REF(BgL_ufz00_12605, 
(int)(((long)0))); 
BgL_runz00_12607 = 
STRUCT_REF(BgL_ufz00_12605, 
(int)(((long)1))); 
BgL_sfz00_12608 = 
STRUCT_REF(BgL_ufz00_12605, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12609;
BgL_spz00_12609 = 
(
(long)CINT(BgL_bpz00_12603)+BgL_siza7eza7_10599); 
if(
(
(long)CINT(BgL_arityz00_12606)==BgL_nbargsz00_10597))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10600, BgL_argsz00_10598, 
BINT(BgL_spz00_12609))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16092;
if(
(
(long)CINT(BgL_arityz00_12606)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16092 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16092 = 
(
(long)CINT(BgL_arityz00_12606)<
(((long)-1)-BgL_nbargsz00_10597))
; } 
if(BgL_testz00_16092)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10595))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12605, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10597), 
CINT(BgL_arityz00_12606)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12606, BgL_sz00_10600, BgL_argsz00_10598, 
BINT(BgL_spz00_12609)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12610;
BgL_z12denvz12_12610 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10600, 
BINT(BgL_spz00_12609), BgL_sfz00_12608))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12607, BgL_sz00_10600, 
BINT(BgL_spz00_12609));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12611;
BgL_nsz00_12611 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1872z00_12612;
BgL_arg1872z00_12612 = 
(BgL_spz00_12609+BgL_nbargsz00_10597); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12611, ((long)2), BgL_sz00_10600, 
BINT(BgL_spz00_12609), 
BINT(BgL_arg1872z00_12612)); } 
VECTOR_SET(BgL_nsz00_12611,((long)1),BgL_sz00_10600); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12610, BgL_nsz00_12611); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12613;
BgL_ez00_12613 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12613, BgL_sz00_10600); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12614;
BgL_____rz00_12614 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12607, BgL_nsz00_12611, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12613); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12610, BgL_sz00_10600); 
return BgL_____rz00_12614;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12604, 
(int)(BgL_nbargsz00_10597)))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10600, BgL_fz00_12604, BgL_argsz00_10598, BgL_bpz00_12603, 
BINT(BgL_siza7eza7_10599));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10595))->BgL_locz00), BgL_symbzd2funzd2_10596, 
(int)(BgL_nbargsz00_10597), 
PROCEDURE_ARITY(BgL_fz00_12604));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_1954;
BgL_cfunz00_1954 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1954))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16138;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1886z00_1968;
BgL_arg1886z00_1968 = 
bgl_debug(); 
BgL_testz00_16138 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1886z00_1968), 
BINT(((long)0))); } 
if(BgL_testz00_16138)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31883ze3z83_10601;
BgL_zc3anonymousza31883ze3z83_10601 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31883ze3z83_10601, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31883ze3z83_10601, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31883ze3z83_10601, 
(int)(((long)2)), BgL_cfunz00_1954); 
return BgL_zc3anonymousza31883ze3z83_10601;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31885ze3z83_10602;
BgL_zc3anonymousza31885ze3z83_10602 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31885ze3z83_10602, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31885ze3z83_10602, 
(int)(((long)1)), BgL_cfunz00_1954); 
return BgL_zc3anonymousza31885ze3z83_10602;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16163;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1916z00_2032;
BgL_arg1916z00_2032 = 
bgl_debug(); 
BgL_testz00_16163 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1916z00_2032), 
BINT(((long)0))); } 
if(BgL_testz00_16163)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31889ze3z83_10603;
BgL_zc3anonymousza31889ze3z83_10603 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31889ze3z83_10603, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31889ze3z83_10603, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31889ze3z83_10603, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31889ze3z83_10603, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31889ze3z83_10603;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31903ze3z83_10604;
BgL_zc3anonymousza31903ze3z83_10604 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31903ze3z83_10604, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31903ze3z83_10604, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31903ze3z83_10604, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31903ze3z83_10604, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31903ze3z83_10604;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16192;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1946z00_2096;
BgL_arg1946z00_2096 = 
bgl_debug(); 
BgL_testz00_16192 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1946z00_2096), 
BINT(((long)0))); } 
if(BgL_testz00_16192)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31919ze3z83_10605;
BgL_zc3anonymousza31919ze3z83_10605 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_10605, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_10605, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_10605, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_10605, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31919ze3z83_10605;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31933ze3z83_10606;
BgL_zc3anonymousza31933ze3z83_10606 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31933ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31933ze3z83_10606, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31933ze3z83_10606, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31933ze3z83_10606, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31933ze3z83_10606, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31933ze3z83_10606;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1883> */
obj_t BGl_z62zc3anonymousza31883ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10607, obj_t BgL_sz00_10611)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10608;obj_t BgL_locz00_10609;obj_t BgL_cfunz00_10610;
BgL_siza7eza7_10608 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10607, 
(int)(((long)0)))); 
BgL_locz00_10609 = 
PROCEDURE_REF(BgL_envz00_10607, 
(int)(((long)1))); 
BgL_cfunz00_10610 = 
PROCEDURE_REF(BgL_envz00_10607, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12615;
BgL_bpz00_12615 = 
VECTOR_REF(
((obj_t)BgL_sz00_10611),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12616;
BgL_nbpz00_12616 = 
(
(long)CINT(BgL_bpz00_12615)+BgL_siza7eza7_10608); 
VECTOR_SET(
((obj_t)BgL_sz00_10611),((long)0),
BINT(BgL_nbpz00_12616)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16235;
BgL_tmpz00_16235 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16235, BgL_locz00_10609); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12617;
BgL_rz00_12617 = 
PROCEDURE_ENTRY(BgL_cfunz00_10610)(BgL_cfunz00_10610, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10611),((long)0),BgL_bpz00_12615); 
return BgL_rz00_12617;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1885> */
obj_t BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10612, obj_t BgL_sz00_10615)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10613;obj_t BgL_cfunz00_10614;
BgL_siza7eza7_10613 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)0)))); 
BgL_cfunz00_10614 = 
PROCEDURE_REF(BgL_envz00_10612, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12618;
BgL_bpz00_12618 = 
VECTOR_REF(
((obj_t)BgL_sz00_10615),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12619;
BgL_nbpz00_12619 = 
(
(long)CINT(BgL_bpz00_12618)+BgL_siza7eza7_10613); 
VECTOR_SET(
((obj_t)BgL_sz00_10615),((long)0),
BINT(BgL_nbpz00_12619)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12620;
BgL_rz00_12620 = 
PROCEDURE_ENTRY(BgL_cfunz00_10614)(BgL_cfunz00_10614, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10615),((long)0),BgL_bpz00_12618); 
return BgL_rz00_12620;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1889> */
obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10616, obj_t BgL_sz00_10621)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10617;obj_t BgL_locz00_10618;obj_t BgL_symbzd2funzd2_10619;long BgL_siza7eza7_10620;
BgL_funz00_10617 = 
PROCEDURE_REF(BgL_envz00_10616, 
(int)(((long)0))); 
BgL_locz00_10618 = 
PROCEDURE_REF(BgL_envz00_10616, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10619 = 
PROCEDURE_REF(BgL_envz00_10616, 
(int)(((long)2))); 
BgL_siza7eza7_10620 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10616, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12621;
BgL_bpz00_12621 = 
VECTOR_REF(
((obj_t)BgL_sz00_10621),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12622;
BgL_fz00_12622 = 
PROCEDURE_ENTRY(BgL_funz00_10617)(BgL_funz00_10617, BgL_sz00_10621, BEOA); 
if(
PROCEDUREP(BgL_fz00_12622))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10618, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12622); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12623;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16278;
BgL_tmpz00_16278 = 
((obj_t)BgL_fz00_12622); 
BgL_ufz00_12623 = 
PROCEDURE_ATTR(BgL_tmpz00_16278); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16281;
if(
STRUCTP(BgL_ufz00_12623))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16281 = 
(
STRUCT_KEY(BgL_ufz00_12623)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16281 = ((bool_t)0)
; } 
if(BgL_testz00_16281)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12624;obj_t BgL_runz00_12625;obj_t BgL_sfz00_12626;
BgL_arityz00_12624 = 
STRUCT_REF(BgL_ufz00_12623, 
(int)(((long)0))); 
BgL_runz00_12625 = 
STRUCT_REF(BgL_ufz00_12623, 
(int)(((long)1))); 
BgL_sfz00_12626 = 
STRUCT_REF(BgL_ufz00_12623, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12624)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12624))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12624)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1894z00_12629;obj_t BgL_arg1895z00_12630;
BgL_arg1894z00_12629 = 
(
(long)CINT(BgL_bpz00_12621)+((long)0)); 
BgL_arg1895z00_12630 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10621),BgL_arg1894z00_12629,BgL_arg1895z00_12630); } break;
default: 
BgL_case_else1169z00_12627:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1897z00_12628;
BgL_arg1897z00_12628 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12623), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10618, BgL_arg1897z00_12628, 
(int)(((long)0)), 
CINT(BgL_arityz00_12624)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1169z00_12627;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12631;
BgL_z12denvz12_12631 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12631, BgL_locz00_10618); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10621, BgL_bpz00_12621, BgL_sfz00_12626))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12625;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12632;
BgL_nsz00_12632 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1899z00_12633;
BgL_arg1899z00_12633 = 
(
(long)CINT(BgL_bpz00_12621)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12632, ((long)2), BgL_sz00_10621, BgL_bpz00_12621, 
BINT(BgL_arg1899z00_12633)); } 
VECTOR_SET(BgL_nsz00_12632,((long)1),BgL_sz00_10621); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12631, BgL_nsz00_12632); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12634;
BgL_ez00_12634 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12634, BgL_sz00_10621); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12635;
BgL_____rz00_12635 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12625, BgL_nsz00_12632, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12634); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12631, BgL_sz00_10621); 
return BgL_____rz00_12635;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12622, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12636;
BgL_nbpz00_12636 = 
(
(long)CINT(BgL_bpz00_12621)+BgL_siza7eza7_10620); 
VECTOR_SET(
((obj_t)BgL_sz00_10621),((long)0),
BINT(BgL_nbpz00_12636)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16334;
BgL_tmpz00_16334 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16334, BgL_locz00_10618); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12637;
BgL_rz00_12637 = 
PROCEDURE_ENTRY(BgL_fz00_12622)(BgL_fz00_12622, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10621),((long)0),BgL_bpz00_12621); 
return BgL_rz00_12637;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10618, BgL_symbzd2funzd2_10619, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12622));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1903> */
obj_t BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10622, obj_t BgL_sz00_10627)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10623;obj_t BgL_locz00_10624;obj_t BgL_symbzd2funzd2_10625;long BgL_siza7eza7_10626;
BgL_funz00_10623 = 
PROCEDURE_REF(BgL_envz00_10622, 
(int)(((long)0))); 
BgL_locz00_10624 = 
PROCEDURE_REF(BgL_envz00_10622, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10625 = 
PROCEDURE_REF(BgL_envz00_10622, 
(int)(((long)2))); 
BgL_siza7eza7_10626 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10622, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12638;
BgL_bpz00_12638 = 
VECTOR_REF(
((obj_t)BgL_sz00_10627),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12639;
BgL_fz00_12639 = 
PROCEDURE_ENTRY(BgL_funz00_10623)(BgL_funz00_10623, BgL_sz00_10627, BEOA); 
if(
PROCEDUREP(BgL_fz00_12639))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10624, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12639); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12640;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16363;
BgL_tmpz00_16363 = 
((obj_t)BgL_fz00_12639); 
BgL_ufz00_12640 = 
PROCEDURE_ATTR(BgL_tmpz00_16363); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16366;
if(
STRUCTP(BgL_ufz00_12640))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16366 = 
(
STRUCT_KEY(BgL_ufz00_12640)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16366 = ((bool_t)0)
; } 
if(BgL_testz00_16366)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12641;obj_t BgL_runz00_12642;obj_t BgL_sfz00_12643;
BgL_arityz00_12641 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)0))); 
BgL_runz00_12642 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)1))); 
BgL_sfz00_12643 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12641)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12641))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12641)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1908z00_12646;obj_t BgL_arg1909z00_12647;
BgL_arg1908z00_12646 = 
(
(long)CINT(BgL_bpz00_12638)+((long)0)); 
BgL_arg1909z00_12647 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10627),BgL_arg1908z00_12646,BgL_arg1909z00_12647); } break;
default: 
BgL_case_else1171z00_12644:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1911z00_12645;
BgL_arg1911z00_12645 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12640), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10624, BgL_arg1911z00_12645, 
(int)(((long)0)), 
CINT(BgL_arityz00_12641)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1171z00_12644;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12648;
BgL_z12denvz12_12648 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10627, BgL_bpz00_12638, BgL_sfz00_12643))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12642;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12649;
BgL_nsz00_12649 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1913z00_12650;
BgL_arg1913z00_12650 = 
(
(long)CINT(BgL_bpz00_12638)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12649, ((long)2), BgL_sz00_10627, BgL_bpz00_12638, 
BINT(BgL_arg1913z00_12650)); } 
VECTOR_SET(BgL_nsz00_12649,((long)1),BgL_sz00_10627); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12648, BgL_nsz00_12649); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12651;
BgL_ez00_12651 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12651, BgL_sz00_10627); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12652;
BgL_____rz00_12652 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12642, BgL_nsz00_12649, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12651); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12648, BgL_sz00_10627); 
return BgL_____rz00_12652;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12639, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12653;
BgL_nbpz00_12653 = 
(
(long)CINT(BgL_bpz00_12638)+BgL_siza7eza7_10626); 
VECTOR_SET(
((obj_t)BgL_sz00_10627),((long)0),
BINT(BgL_nbpz00_12653)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12654;
BgL_rz00_12654 = 
PROCEDURE_ENTRY(BgL_fz00_12639)(BgL_fz00_12639, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10627),((long)0),BgL_bpz00_12638); 
return BgL_rz00_12654;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10624, BgL_symbzd2funzd2_10625, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12639));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1919> */
obj_t BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10628, obj_t BgL_sz00_10633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10629;obj_t BgL_locz00_10630;obj_t BgL_symbzd2funzd2_10631;long BgL_siza7eza7_10632;
BgL_funz00_10629 = 
PROCEDURE_REF(BgL_envz00_10628, 
(int)(((long)0))); 
BgL_locz00_10630 = 
PROCEDURE_REF(BgL_envz00_10628, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10631 = 
PROCEDURE_REF(BgL_envz00_10628, 
(int)(((long)2))); 
BgL_siza7eza7_10632 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10628, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12655;
BgL_bpz00_12655 = 
VECTOR_REF(
((obj_t)BgL_sz00_10633),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12656;
BgL_fz00_12656 = 
PROCEDURE_ENTRY(BgL_funz00_10629)(BgL_funz00_10629, BgL_sz00_10633, BEOA); 
if(
PROCEDUREP(BgL_fz00_12656))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10630, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12656); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12657;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16444;
BgL_tmpz00_16444 = 
((obj_t)BgL_fz00_12656); 
BgL_ufz00_12657 = 
PROCEDURE_ATTR(BgL_tmpz00_16444); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16447;
if(
STRUCTP(BgL_ufz00_12657))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16447 = 
(
STRUCT_KEY(BgL_ufz00_12657)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16447 = ((bool_t)0)
; } 
if(BgL_testz00_16447)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12658;obj_t BgL_runz00_12659;obj_t BgL_sfz00_12660;
BgL_arityz00_12658 = 
STRUCT_REF(BgL_ufz00_12657, 
(int)(((long)0))); 
BgL_runz00_12659 = 
STRUCT_REF(BgL_ufz00_12657, 
(int)(((long)1))); 
BgL_sfz00_12660 = 
STRUCT_REF(BgL_ufz00_12657, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12661;
BgL_spz00_12661 = 
(
(long)CINT(BgL_bpz00_12655)+BgL_siza7eza7_10632); 
if(
(
(long)CINT(BgL_arityz00_12658)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12658))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12658)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1924z00_12664;obj_t BgL_arg1925z00_12665;
BgL_arg1924z00_12664 = 
(BgL_spz00_12661+((long)0)); 
BgL_arg1925z00_12665 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10633),BgL_arg1924z00_12664,BgL_arg1925z00_12665); } break;
default: 
BgL_case_else1173z00_12662:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1927z00_12663;
BgL_arg1927z00_12663 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12657), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10630, BgL_arg1927z00_12663, 
(int)(((long)0)), 
CINT(BgL_arityz00_12658)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1173z00_12662;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12666;
BgL_z12denvz12_12666 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12666, BgL_locz00_10630); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10633, 
BINT(BgL_spz00_12661), BgL_sfz00_12660))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12659, BgL_sz00_10633, 
BINT(BgL_spz00_12661));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12667;
BgL_nsz00_12667 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1929z00_12668;
BgL_arg1929z00_12668 = 
(BgL_spz00_12661+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12667, ((long)2), BgL_sz00_10633, 
BINT(BgL_spz00_12661), 
BINT(BgL_arg1929z00_12668)); } 
VECTOR_SET(BgL_nsz00_12667,((long)1),BgL_sz00_10633); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12666, BgL_nsz00_12667); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12669;
BgL_ez00_12669 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12669, BgL_sz00_10633); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12670;
BgL_____rz00_12670 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12659, BgL_nsz00_12667, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12669); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12666, BgL_sz00_10633); 
return BgL_____rz00_12670;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12656, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12671;
BgL_nbpz00_12671 = 
(
(long)CINT(BgL_bpz00_12655)+BgL_siza7eza7_10632); 
VECTOR_SET(
((obj_t)BgL_sz00_10633),((long)0),
BINT(BgL_nbpz00_12671)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16504;
BgL_tmpz00_16504 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16504, BgL_locz00_10630); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12672;
BgL_rz00_12672 = 
PROCEDURE_ENTRY(BgL_fz00_12656)(BgL_fz00_12656, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10633),((long)0),BgL_bpz00_12655); 
return BgL_rz00_12672;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10630, BgL_symbzd2funzd2_10631, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12656));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1933> */
obj_t BGl_z62zc3anonymousza31933ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10634, obj_t BgL_sz00_10639)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10635;obj_t BgL_locz00_10636;obj_t BgL_symbzd2funzd2_10637;long BgL_siza7eza7_10638;
BgL_funz00_10635 = 
PROCEDURE_REF(BgL_envz00_10634, 
(int)(((long)0))); 
BgL_locz00_10636 = 
PROCEDURE_REF(BgL_envz00_10634, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10637 = 
PROCEDURE_REF(BgL_envz00_10634, 
(int)(((long)2))); 
BgL_siza7eza7_10638 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10634, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12673;
BgL_bpz00_12673 = 
VECTOR_REF(
((obj_t)BgL_sz00_10639),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12674;
BgL_fz00_12674 = 
PROCEDURE_ENTRY(BgL_funz00_10635)(BgL_funz00_10635, BgL_sz00_10639, BEOA); 
if(
PROCEDUREP(BgL_fz00_12674))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10636, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12674); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12675;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16533;
BgL_tmpz00_16533 = 
((obj_t)BgL_fz00_12674); 
BgL_ufz00_12675 = 
PROCEDURE_ATTR(BgL_tmpz00_16533); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16536;
if(
STRUCTP(BgL_ufz00_12675))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16536 = 
(
STRUCT_KEY(BgL_ufz00_12675)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16536 = ((bool_t)0)
; } 
if(BgL_testz00_16536)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12676;obj_t BgL_runz00_12677;obj_t BgL_sfz00_12678;
BgL_arityz00_12676 = 
STRUCT_REF(BgL_ufz00_12675, 
(int)(((long)0))); 
BgL_runz00_12677 = 
STRUCT_REF(BgL_ufz00_12675, 
(int)(((long)1))); 
BgL_sfz00_12678 = 
STRUCT_REF(BgL_ufz00_12675, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12679;
BgL_spz00_12679 = 
(
(long)CINT(BgL_bpz00_12673)+BgL_siza7eza7_10638); 
if(
(
(long)CINT(BgL_arityz00_12676)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12676))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12676)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1938z00_12682;obj_t BgL_arg1939z00_12683;
BgL_arg1938z00_12682 = 
(BgL_spz00_12679+((long)0)); 
BgL_arg1939z00_12683 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10639),BgL_arg1938z00_12682,BgL_arg1939z00_12683); } break;
default: 
BgL_case_else1175z00_12680:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1941z00_12681;
BgL_arg1941z00_12681 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12675), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10636, BgL_arg1941z00_12681, 
(int)(((long)0)), 
CINT(BgL_arityz00_12676)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1175z00_12680;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12684;
BgL_z12denvz12_12684 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10639, 
BINT(BgL_spz00_12679), BgL_sfz00_12678))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12677, BgL_sz00_10639, 
BINT(BgL_spz00_12679));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12685;
BgL_nsz00_12685 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1943z00_12686;
BgL_arg1943z00_12686 = 
(BgL_spz00_12679+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12685, ((long)2), BgL_sz00_10639, 
BINT(BgL_spz00_12679), 
BINT(BgL_arg1943z00_12686)); } 
VECTOR_SET(BgL_nsz00_12685,((long)1),BgL_sz00_10639); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12684, BgL_nsz00_12685); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12687;
BgL_ez00_12687 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12687, BgL_sz00_10639); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12688;
BgL_____rz00_12688 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12677, BgL_nsz00_12685, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12687); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12684, BgL_sz00_10639); 
return BgL_____rz00_12688;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12674, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12689;
BgL_nbpz00_12689 = 
(
(long)CINT(BgL_bpz00_12673)+BgL_siza7eza7_10638); 
VECTOR_SET(
((obj_t)BgL_sz00_10639),((long)0),
BINT(BgL_nbpz00_12689)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12690;
BgL_rz00_12690 = 
PROCEDURE_ENTRY(BgL_fz00_12674)(BgL_fz00_12674, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10639),((long)0),BgL_bpz00_12673); 
return BgL_rz00_12690;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10636, BgL_symbzd2funzd2_10637, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12674));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2097;
BgL_cfunz00_2097 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2097))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16603;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1952z00_2113;
BgL_arg1952z00_2113 = 
bgl_debug(); 
BgL_testz00_16603 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1952z00_2113), 
BINT(((long)0))); } 
if(BgL_testz00_16603)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31949ze3z83_10640;
BgL_zc3anonymousza31949ze3z83_10640 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31949ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_10640, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_10640, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_10640, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_10640, 
(int)(((long)3)), BgL_cfunz00_2097); 
return BgL_zc3anonymousza31949ze3z83_10640;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31951ze3z83_10641;
BgL_zc3anonymousza31951ze3z83_10641 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31951ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31951ze3z83_10641, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31951ze3z83_10641, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31951ze3z83_10641, 
(int)(((long)2)), BgL_cfunz00_2097); 
return BgL_zc3anonymousza31951ze3z83_10641;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16632;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1992z00_2189;
BgL_arg1992z00_2189 = 
bgl_debug(); 
BgL_testz00_16632 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1992z00_2189), 
BINT(((long)0))); } 
if(BgL_testz00_16632)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31955ze3z83_10642;
BgL_zc3anonymousza31955ze3z83_10642 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_10642, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_10642, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_10642, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_10642, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31955ze3z83_10642, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31955ze3z83_10642;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31974ze3z83_10643;
BgL_zc3anonymousza31974ze3z83_10643 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31974ze3z83_10643, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31974ze3z83_10643, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31974ze3z83_10643, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31974ze3z83_10643, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31974ze3z83_10643, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31974ze3z83_10643;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16665;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2032z00_2265;
BgL_arg2032z00_2265 = 
bgl_debug(); 
BgL_testz00_16665 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2032z00_2265), 
BINT(((long)0))); } 
if(BgL_testz00_16665)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31995ze3z83_10644;
BgL_zc3anonymousza31995ze3z83_10644 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_10644, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_10644, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_10644, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_10644, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_10644, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31995ze3z83_10644;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32014ze3z83_10645;
BgL_zc3anonymousza32014ze3z83_10645 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_10645, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_10645, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_10645, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_10645, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_10645, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza32014ze3z83_10645;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1949> */
obj_t BGl_z62zc3anonymousza31949ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10646, obj_t BgL_sz00_10651)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10647;long BgL_siza7eza7_10648;obj_t BgL_locz00_10649;obj_t BgL_cfunz00_10650;
BgL_a1z00_10647 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)0))); 
BgL_siza7eza7_10648 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)1)))); 
BgL_locz00_10649 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)2))); 
BgL_cfunz00_10650 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12691;
BgL_bpz00_12691 = 
VECTOR_REF(
((obj_t)BgL_sz00_10651),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12692;
BgL_a1z00_12692 = 
PROCEDURE_ENTRY(BgL_a1z00_10647)(BgL_a1z00_10647, BgL_sz00_10651, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12693;
BgL_nbpz00_12693 = 
(
(long)CINT(BgL_bpz00_12691)+BgL_siza7eza7_10648); 
VECTOR_SET(
((obj_t)BgL_sz00_10651),((long)0),
BINT(BgL_nbpz00_12693)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16718;
BgL_tmpz00_16718 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16718, BgL_locz00_10649); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12694;
BgL_rz00_12694 = 
PROCEDURE_ENTRY(BgL_cfunz00_10650)(BgL_cfunz00_10650, BgL_a1z00_12692, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10651),((long)0),BgL_bpz00_12691); 
return BgL_rz00_12694;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1951> */
obj_t BGl_z62zc3anonymousza31951ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10652, obj_t BgL_sz00_10656)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10653;long BgL_siza7eza7_10654;obj_t BgL_cfunz00_10655;
BgL_a1z00_10653 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)0))); 
BgL_siza7eza7_10654 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)1)))); 
BgL_cfunz00_10655 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12695;
BgL_bpz00_12695 = 
VECTOR_REF(
((obj_t)BgL_sz00_10656),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12696;
BgL_a1z00_12696 = 
PROCEDURE_ENTRY(BgL_a1z00_10653)(BgL_a1z00_10653, BgL_sz00_10656, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12697;
BgL_nbpz00_12697 = 
(
(long)CINT(BgL_bpz00_12695)+BgL_siza7eza7_10654); 
VECTOR_SET(
((obj_t)BgL_sz00_10656),((long)0),
BINT(BgL_nbpz00_12697)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12698;
BgL_rz00_12698 = 
PROCEDURE_ENTRY(BgL_cfunz00_10655)(BgL_cfunz00_10655, BgL_a1z00_12696, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10656),((long)0),BgL_bpz00_12695); 
return BgL_rz00_12698;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1955> */
obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10657, obj_t BgL_sz00_10663)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10658;obj_t BgL_a1z00_10659;obj_t BgL_locz00_10660;obj_t BgL_symbzd2funzd2_10661;long BgL_siza7eza7_10662;
BgL_funz00_10658 = 
PROCEDURE_REF(BgL_envz00_10657, 
(int)(((long)0))); 
BgL_a1z00_10659 = 
PROCEDURE_REF(BgL_envz00_10657, 
(int)(((long)1))); 
BgL_locz00_10660 = 
PROCEDURE_REF(BgL_envz00_10657, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10661 = 
PROCEDURE_REF(BgL_envz00_10657, 
(int)(((long)3))); 
BgL_siza7eza7_10662 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10657, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12699;
BgL_bpz00_12699 = 
VECTOR_REF(
((obj_t)BgL_sz00_10663),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12700;obj_t BgL_a1z00_12701;
BgL_fz00_12700 = 
PROCEDURE_ENTRY(BgL_funz00_10658)(BgL_funz00_10658, BgL_sz00_10663, BEOA); 
BgL_a1z00_12701 = 
PROCEDURE_ENTRY(BgL_a1z00_10659)(BgL_a1z00_10659, BgL_sz00_10663, BEOA); 
if(
PROCEDUREP(BgL_fz00_12700))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10660, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12700); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12702;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16775;
BgL_tmpz00_16775 = 
((obj_t)BgL_fz00_12700); 
BgL_ufz00_12702 = 
PROCEDURE_ATTR(BgL_tmpz00_16775); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16778;
if(
STRUCTP(BgL_ufz00_12702))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16778 = 
(
STRUCT_KEY(BgL_ufz00_12702)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16778 = ((bool_t)0)
; } 
if(BgL_testz00_16778)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12703;obj_t BgL_runz00_12704;obj_t BgL_sfz00_12705;
BgL_arityz00_12703 = 
STRUCT_REF(BgL_ufz00_12702, 
(int)(((long)0))); 
BgL_runz00_12704 = 
STRUCT_REF(BgL_ufz00_12702, 
(int)(((long)1))); 
BgL_sfz00_12705 = 
STRUCT_REF(BgL_ufz00_12702, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12703)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1959z00_12706;
BgL_arg1959z00_12706 = 
(
(long)CINT(BgL_bpz00_12699)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),BgL_arg1959z00_12706,BgL_a1z00_12701); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12703))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12703)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1961z00_12709;obj_t BgL_arg1962z00_12710;
BgL_arg1961z00_12709 = 
(
(long)CINT(BgL_bpz00_12699)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1963z00_12711;
BgL_list1963z00_12711 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12701, BNIL); 
BgL_arg1962z00_12710 = BgL_list1963z00_12711; } 
VECTOR_SET(
((obj_t)BgL_sz00_10663),BgL_arg1961z00_12709,BgL_arg1962z00_12710); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1964z00_12712;
BgL_arg1964z00_12712 = 
(
(long)CINT(BgL_bpz00_12699)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),BgL_arg1964z00_12712,BgL_a1z00_12701); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1965z00_12713;obj_t BgL_arg1966z00_12714;
BgL_arg1965z00_12713 = 
(
(long)CINT(BgL_bpz00_12699)+((long)1)); 
BgL_arg1966z00_12714 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10663),BgL_arg1965z00_12713,BgL_arg1966z00_12714); } break;
default: 
BgL_case_else1177z00_12707:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1968z00_12708;
BgL_arg1968z00_12708 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12702), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10660, BgL_arg1968z00_12708, 
(int)(((long)1)), 
CINT(BgL_arityz00_12703)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1177z00_12707;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12715;
BgL_z12denvz12_12715 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12715, BgL_locz00_10660); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10663, BgL_bpz00_12699, BgL_sfz00_12705))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12704;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12716;
BgL_nsz00_12716 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1970z00_12717;
BgL_arg1970z00_12717 = 
(
(long)CINT(BgL_bpz00_12699)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12716, ((long)2), BgL_sz00_10663, BgL_bpz00_12699, 
BINT(BgL_arg1970z00_12717)); } 
VECTOR_SET(BgL_nsz00_12716,((long)1),BgL_sz00_10663); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12715, BgL_nsz00_12716); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12718;
BgL_ez00_12718 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12718, BgL_sz00_10663); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12719;
BgL_____rz00_12719 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12704, BgL_nsz00_12716, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12718); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12715, BgL_sz00_10663); 
return BgL_____rz00_12719;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12700, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12720;
BgL_nbpz00_12720 = 
(
(long)CINT(BgL_bpz00_12699)+BgL_siza7eza7_10662); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),((long)0),
BINT(BgL_nbpz00_12720)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16844;
BgL_tmpz00_16844 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16844, BgL_locz00_10660); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12721;
BgL_rz00_12721 = 
PROCEDURE_ENTRY(BgL_fz00_12700)(BgL_fz00_12700, BgL_a1z00_12701, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),((long)0),BgL_bpz00_12699); 
return BgL_rz00_12721;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10660, BgL_symbzd2funzd2_10661, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12700));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1974> */
obj_t BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10664, obj_t BgL_sz00_10670)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10665;obj_t BgL_a1z00_10666;obj_t BgL_locz00_10667;obj_t BgL_symbzd2funzd2_10668;long BgL_siza7eza7_10669;
BgL_funz00_10665 = 
PROCEDURE_REF(BgL_envz00_10664, 
(int)(((long)0))); 
BgL_a1z00_10666 = 
PROCEDURE_REF(BgL_envz00_10664, 
(int)(((long)1))); 
BgL_locz00_10667 = 
PROCEDURE_REF(BgL_envz00_10664, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10668 = 
PROCEDURE_REF(BgL_envz00_10664, 
(int)(((long)3))); 
BgL_siza7eza7_10669 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10664, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12722;
BgL_bpz00_12722 = 
VECTOR_REF(
((obj_t)BgL_sz00_10670),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12723;obj_t BgL_a1z00_12724;
BgL_fz00_12723 = 
PROCEDURE_ENTRY(BgL_funz00_10665)(BgL_funz00_10665, BgL_sz00_10670, BEOA); 
BgL_a1z00_12724 = 
PROCEDURE_ENTRY(BgL_a1z00_10666)(BgL_a1z00_10666, BgL_sz00_10670, BEOA); 
if(
PROCEDUREP(BgL_fz00_12723))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10667, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12723); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12725;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16880;
BgL_tmpz00_16880 = 
((obj_t)BgL_fz00_12723); 
BgL_ufz00_12725 = 
PROCEDURE_ATTR(BgL_tmpz00_16880); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16883;
if(
STRUCTP(BgL_ufz00_12725))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16883 = 
(
STRUCT_KEY(BgL_ufz00_12725)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16883 = ((bool_t)0)
; } 
if(BgL_testz00_16883)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12726;obj_t BgL_runz00_12727;obj_t BgL_sfz00_12728;
BgL_arityz00_12726 = 
STRUCT_REF(BgL_ufz00_12725, 
(int)(((long)0))); 
BgL_runz00_12727 = 
STRUCT_REF(BgL_ufz00_12725, 
(int)(((long)1))); 
BgL_sfz00_12728 = 
STRUCT_REF(BgL_ufz00_12725, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12726)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1978z00_12729;
BgL_arg1978z00_12729 = 
(
(long)CINT(BgL_bpz00_12722)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10670),BgL_arg1978z00_12729,BgL_a1z00_12724); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12726))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12726)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1980z00_12732;obj_t BgL_arg1981z00_12733;
BgL_arg1980z00_12732 = 
(
(long)CINT(BgL_bpz00_12722)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1982z00_12734;
BgL_list1982z00_12734 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12724, BNIL); 
BgL_arg1981z00_12733 = BgL_list1982z00_12734; } 
VECTOR_SET(
((obj_t)BgL_sz00_10670),BgL_arg1980z00_12732,BgL_arg1981z00_12733); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1983z00_12735;
BgL_arg1983z00_12735 = 
(
(long)CINT(BgL_bpz00_12722)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10670),BgL_arg1983z00_12735,BgL_a1z00_12724); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1984z00_12736;obj_t BgL_arg1985z00_12737;
BgL_arg1984z00_12736 = 
(
(long)CINT(BgL_bpz00_12722)+((long)1)); 
BgL_arg1985z00_12737 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10670),BgL_arg1984z00_12736,BgL_arg1985z00_12737); } break;
default: 
BgL_case_else1179z00_12730:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1987z00_12731;
BgL_arg1987z00_12731 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12725), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10667, BgL_arg1987z00_12731, 
(int)(((long)1)), 
CINT(BgL_arityz00_12726)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1179z00_12730;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12738;
BgL_z12denvz12_12738 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10670, BgL_bpz00_12722, BgL_sfz00_12728))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12727;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12739;
BgL_nsz00_12739 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1989z00_12740;
BgL_arg1989z00_12740 = 
(
(long)CINT(BgL_bpz00_12722)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12739, ((long)2), BgL_sz00_10670, BgL_bpz00_12722, 
BINT(BgL_arg1989z00_12740)); } 
VECTOR_SET(BgL_nsz00_12739,((long)1),BgL_sz00_10670); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12738, BgL_nsz00_12739); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12741;
BgL_ez00_12741 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12741, BgL_sz00_10670); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12742;
BgL_____rz00_12742 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12727, BgL_nsz00_12739, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12741); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12738, BgL_sz00_10670); 
return BgL_____rz00_12742;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12723, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12743;
BgL_nbpz00_12743 = 
(
(long)CINT(BgL_bpz00_12722)+BgL_siza7eza7_10669); 
VECTOR_SET(
((obj_t)BgL_sz00_10670),((long)0),
BINT(BgL_nbpz00_12743)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12744;
BgL_rz00_12744 = 
PROCEDURE_ENTRY(BgL_fz00_12723)(BgL_fz00_12723, BgL_a1z00_12724, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10670),((long)0),BgL_bpz00_12722); 
return BgL_rz00_12744;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10667, BgL_symbzd2funzd2_10668, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12723));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1995> */
obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10671, obj_t BgL_sz00_10677)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10672;obj_t BgL_a1z00_10673;obj_t BgL_locz00_10674;obj_t BgL_symbzd2funzd2_10675;long BgL_siza7eza7_10676;
BgL_funz00_10672 = 
PROCEDURE_REF(BgL_envz00_10671, 
(int)(((long)0))); 
BgL_a1z00_10673 = 
PROCEDURE_REF(BgL_envz00_10671, 
(int)(((long)1))); 
BgL_locz00_10674 = 
PROCEDURE_REF(BgL_envz00_10671, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10675 = 
PROCEDURE_REF(BgL_envz00_10671, 
(int)(((long)3))); 
BgL_siza7eza7_10676 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10671, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12745;
BgL_bpz00_12745 = 
VECTOR_REF(
((obj_t)BgL_sz00_10677),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12746;obj_t BgL_a1z00_12747;
BgL_fz00_12746 = 
PROCEDURE_ENTRY(BgL_funz00_10672)(BgL_funz00_10672, BgL_sz00_10677, BEOA); 
BgL_a1z00_12747 = 
PROCEDURE_ENTRY(BgL_a1z00_10673)(BgL_a1z00_10673, BgL_sz00_10677, BEOA); 
if(
PROCEDUREP(BgL_fz00_12746))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10674, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12746); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12748;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16981;
BgL_tmpz00_16981 = 
((obj_t)BgL_fz00_12746); 
BgL_ufz00_12748 = 
PROCEDURE_ATTR(BgL_tmpz00_16981); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16984;
if(
STRUCTP(BgL_ufz00_12748))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16984 = 
(
STRUCT_KEY(BgL_ufz00_12748)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16984 = ((bool_t)0)
; } 
if(BgL_testz00_16984)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12749;obj_t BgL_runz00_12750;obj_t BgL_sfz00_12751;
BgL_arityz00_12749 = 
STRUCT_REF(BgL_ufz00_12748, 
(int)(((long)0))); 
BgL_runz00_12750 = 
STRUCT_REF(BgL_ufz00_12748, 
(int)(((long)1))); 
BgL_sfz00_12751 = 
STRUCT_REF(BgL_ufz00_12748, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12752;
BgL_spz00_12752 = 
(
(long)CINT(BgL_bpz00_12745)+BgL_siza7eza7_10676); 
if(
(
(long)CINT(BgL_arityz00_12749)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1999z00_12753;
BgL_arg1999z00_12753 = 
(BgL_spz00_12752+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10677),BgL_arg1999z00_12753,BgL_a1z00_12747); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12749))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12749)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2001z00_12756;obj_t BgL_arg2002z00_12757;
BgL_arg2001z00_12756 = 
(BgL_spz00_12752+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2003z00_12758;
BgL_list2003z00_12758 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12747, BNIL); 
BgL_arg2002z00_12757 = BgL_list2003z00_12758; } 
VECTOR_SET(
((obj_t)BgL_sz00_10677),BgL_arg2001z00_12756,BgL_arg2002z00_12757); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2004z00_12759;
BgL_arg2004z00_12759 = 
(BgL_spz00_12752+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10677),BgL_arg2004z00_12759,BgL_a1z00_12747); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2005z00_12760;obj_t BgL_arg2006z00_12761;
BgL_arg2005z00_12760 = 
(BgL_spz00_12752+((long)1)); 
BgL_arg2006z00_12761 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10677),BgL_arg2005z00_12760,BgL_arg2006z00_12761); } break;
default: 
BgL_case_else1181z00_12754:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2008z00_12755;
BgL_arg2008z00_12755 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12748), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10674, BgL_arg2008z00_12755, 
(int)(((long)1)), 
CINT(BgL_arityz00_12749)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1181z00_12754;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12762;
BgL_z12denvz12_12762 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12762, BgL_locz00_10674); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10677, 
BINT(BgL_spz00_12752), BgL_sfz00_12751))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12750, BgL_sz00_10677, 
BINT(BgL_spz00_12752));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12763;
BgL_nsz00_12763 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2010z00_12764;
BgL_arg2010z00_12764 = 
(BgL_spz00_12752+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12763, ((long)2), BgL_sz00_10677, 
BINT(BgL_spz00_12752), 
BINT(BgL_arg2010z00_12764)); } 
VECTOR_SET(BgL_nsz00_12763,((long)1),BgL_sz00_10677); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12762, BgL_nsz00_12763); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12765;
BgL_ez00_12765 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12765, BgL_sz00_10677); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12766;
BgL_____rz00_12766 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12750, BgL_nsz00_12763, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12765); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12762, BgL_sz00_10677); 
return BgL_____rz00_12766;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12746, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12767;
BgL_nbpz00_12767 = 
(
(long)CINT(BgL_bpz00_12745)+BgL_siza7eza7_10676); 
VECTOR_SET(
((obj_t)BgL_sz00_10677),((long)0),
BINT(BgL_nbpz00_12767)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17051;
BgL_tmpz00_17051 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17051, BgL_locz00_10674); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12768;
BgL_rz00_12768 = 
PROCEDURE_ENTRY(BgL_fz00_12746)(BgL_fz00_12746, BgL_a1z00_12747, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10677),((long)0),BgL_bpz00_12745); 
return BgL_rz00_12768;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10674, BgL_symbzd2funzd2_10675, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12746));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2014> */
obj_t BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10678, obj_t BgL_sz00_10684)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10679;obj_t BgL_a1z00_10680;obj_t BgL_locz00_10681;obj_t BgL_symbzd2funzd2_10682;long BgL_siza7eza7_10683;
BgL_funz00_10679 = 
PROCEDURE_REF(BgL_envz00_10678, 
(int)(((long)0))); 
BgL_a1z00_10680 = 
PROCEDURE_REF(BgL_envz00_10678, 
(int)(((long)1))); 
BgL_locz00_10681 = 
PROCEDURE_REF(BgL_envz00_10678, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10682 = 
PROCEDURE_REF(BgL_envz00_10678, 
(int)(((long)3))); 
BgL_siza7eza7_10683 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10678, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12769;
BgL_bpz00_12769 = 
VECTOR_REF(
((obj_t)BgL_sz00_10684),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12770;obj_t BgL_a1z00_12771;
BgL_fz00_12770 = 
PROCEDURE_ENTRY(BgL_funz00_10679)(BgL_funz00_10679, BgL_sz00_10684, BEOA); 
BgL_a1z00_12771 = 
PROCEDURE_ENTRY(BgL_a1z00_10680)(BgL_a1z00_10680, BgL_sz00_10684, BEOA); 
if(
PROCEDUREP(BgL_fz00_12770))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10681, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12770); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12772;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17087;
BgL_tmpz00_17087 = 
((obj_t)BgL_fz00_12770); 
BgL_ufz00_12772 = 
PROCEDURE_ATTR(BgL_tmpz00_17087); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17090;
if(
STRUCTP(BgL_ufz00_12772))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17090 = 
(
STRUCT_KEY(BgL_ufz00_12772)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17090 = ((bool_t)0)
; } 
if(BgL_testz00_17090)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12773;obj_t BgL_runz00_12774;obj_t BgL_sfz00_12775;
BgL_arityz00_12773 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)0))); 
BgL_runz00_12774 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)1))); 
BgL_sfz00_12775 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12776;
BgL_spz00_12776 = 
(
(long)CINT(BgL_bpz00_12769)+BgL_siza7eza7_10683); 
if(
(
(long)CINT(BgL_arityz00_12773)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2018z00_12777;
BgL_arg2018z00_12777 = 
(BgL_spz00_12776+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10684),BgL_arg2018z00_12777,BgL_a1z00_12771); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12773))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12773)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2020z00_12780;obj_t BgL_arg2021z00_12781;
BgL_arg2020z00_12780 = 
(BgL_spz00_12776+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2022z00_12782;
BgL_list2022z00_12782 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12771, BNIL); 
BgL_arg2021z00_12781 = BgL_list2022z00_12782; } 
VECTOR_SET(
((obj_t)BgL_sz00_10684),BgL_arg2020z00_12780,BgL_arg2021z00_12781); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2023z00_12783;
BgL_arg2023z00_12783 = 
(BgL_spz00_12776+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10684),BgL_arg2023z00_12783,BgL_a1z00_12771); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2024z00_12784;obj_t BgL_arg2025z00_12785;
BgL_arg2024z00_12784 = 
(BgL_spz00_12776+((long)1)); 
BgL_arg2025z00_12785 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10684),BgL_arg2024z00_12784,BgL_arg2025z00_12785); } break;
default: 
BgL_case_else1183z00_12778:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2027z00_12779;
BgL_arg2027z00_12779 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12772), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10681, BgL_arg2027z00_12779, 
(int)(((long)1)), 
CINT(BgL_arityz00_12773)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1183z00_12778;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12786;
BgL_z12denvz12_12786 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10684, 
BINT(BgL_spz00_12776), BgL_sfz00_12775))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12774, BgL_sz00_10684, 
BINT(BgL_spz00_12776));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12787;
BgL_nsz00_12787 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2029z00_12788;
BgL_arg2029z00_12788 = 
(BgL_spz00_12776+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12787, ((long)2), BgL_sz00_10684, 
BINT(BgL_spz00_12776), 
BINT(BgL_arg2029z00_12788)); } 
VECTOR_SET(BgL_nsz00_12787,((long)1),BgL_sz00_10684); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12786, BgL_nsz00_12787); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12789;
BgL_ez00_12789 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12789, BgL_sz00_10684); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12790;
BgL_____rz00_12790 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12774, BgL_nsz00_12787, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12789); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12786, BgL_sz00_10684); 
return BgL_____rz00_12790;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12770, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12791;
BgL_nbpz00_12791 = 
(
(long)CINT(BgL_bpz00_12769)+BgL_siza7eza7_10683); 
VECTOR_SET(
((obj_t)BgL_sz00_10684),((long)0),
BINT(BgL_nbpz00_12791)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12792;
BgL_rz00_12792 = 
PROCEDURE_ENTRY(BgL_fz00_12770)(BgL_fz00_12770, BgL_a1z00_12771, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10684),((long)0),BgL_bpz00_12769); 
return BgL_rz00_12792;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10681, BgL_symbzd2funzd2_10682, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12770));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2266;
BgL_cfunz00_2266 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2266))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17168;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2038z00_2284;
BgL_arg2038z00_2284 = 
bgl_debug(); 
BgL_testz00_17168 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2038z00_2284), 
BINT(((long)0))); } 
if(BgL_testz00_17168)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32035ze3z83_10685;
BgL_zc3anonymousza32035ze3z83_10685 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32035ze3z83_10685, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32035ze3z83_10685, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32035ze3z83_10685, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32035ze3z83_10685, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32035ze3z83_10685, 
(int)(((long)4)), BgL_cfunz00_2266); 
return BgL_zc3anonymousza32035ze3z83_10685;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32037ze3z83_10686;
BgL_zc3anonymousza32037ze3z83_10686 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_10686, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_10686, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_10686, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_10686, 
(int)(((long)3)), BgL_cfunz00_2266); 
return BgL_zc3anonymousza32037ze3z83_10686;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17201;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2092z00_2376;
BgL_arg2092z00_2376 = 
bgl_debug(); 
BgL_testz00_17201 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2092z00_2376), 
BINT(((long)0))); } 
if(BgL_testz00_17201)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32041ze3z83_10687;
BgL_zc3anonymousza32041ze3z83_10687 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_10687, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32041ze3z83_10687;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32067ze3z83_10688;
BgL_zc3anonymousza32067ze3z83_10688 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32067ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32067ze3z83_10688, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32067ze3z83_10688;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17238;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2147z00_2468;
BgL_arg2147z00_2468 = 
bgl_debug(); 
BgL_testz00_17238 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2147z00_2468), 
BINT(((long)0))); } 
if(BgL_testz00_17238)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32095ze3z83_10689;
BgL_zc3anonymousza32095ze3z83_10689 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_10689, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32095ze3z83_10689;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32122ze3z83_10690;
BgL_zc3anonymousza32122ze3z83_10690 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10690, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32122ze3z83_10690;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2035> */
obj_t BGl_z62zc3anonymousza32035ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10691, obj_t BgL_sz00_10697)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10692;obj_t BgL_a2z00_10693;long BgL_siza7eza7_10694;obj_t BgL_locz00_10695;obj_t BgL_cfunz00_10696;
BgL_a1z00_10692 = 
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)0))); 
BgL_a2z00_10693 = 
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)1))); 
BgL_siza7eza7_10694 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)2)))); 
BgL_locz00_10695 = 
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)3))); 
BgL_cfunz00_10696 = 
PROCEDURE_REF(BgL_envz00_10691, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12793;
BgL_bpz00_12793 = 
VECTOR_REF(
((obj_t)BgL_sz00_10697),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12794;obj_t BgL_a2z00_12795;
BgL_a1z00_12794 = 
PROCEDURE_ENTRY(BgL_a1z00_10692)(BgL_a1z00_10692, BgL_sz00_10697, BEOA); 
BgL_a2z00_12795 = 
PROCEDURE_ENTRY(BgL_a2z00_10693)(BgL_a2z00_10693, BgL_sz00_10697, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12796;
BgL_nbpz00_12796 = 
(
(long)CINT(BgL_bpz00_12793)+BgL_siza7eza7_10694); 
VECTOR_SET(
((obj_t)BgL_sz00_10697),((long)0),
BINT(BgL_nbpz00_12796)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17301;
BgL_tmpz00_17301 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17301, BgL_locz00_10695); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12797;
BgL_rz00_12797 = 
PROCEDURE_ENTRY(BgL_cfunz00_10696)(BgL_cfunz00_10696, BgL_a1z00_12794, BgL_a2z00_12795, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10697),((long)0),BgL_bpz00_12793); 
return BgL_rz00_12797;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2037> */
obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10698, obj_t BgL_sz00_10703)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10699;obj_t BgL_a2z00_10700;long BgL_siza7eza7_10701;obj_t BgL_cfunz00_10702;
BgL_a1z00_10699 = 
PROCEDURE_REF(BgL_envz00_10698, 
(int)(((long)0))); 
BgL_a2z00_10700 = 
PROCEDURE_REF(BgL_envz00_10698, 
(int)(((long)1))); 
BgL_siza7eza7_10701 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10698, 
(int)(((long)2)))); 
BgL_cfunz00_10702 = 
PROCEDURE_REF(BgL_envz00_10698, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12798;
BgL_bpz00_12798 = 
VECTOR_REF(
((obj_t)BgL_sz00_10703),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12799;obj_t BgL_a2z00_12800;
BgL_a1z00_12799 = 
PROCEDURE_ENTRY(BgL_a1z00_10699)(BgL_a1z00_10699, BgL_sz00_10703, BEOA); 
BgL_a2z00_12800 = 
PROCEDURE_ENTRY(BgL_a2z00_10700)(BgL_a2z00_10700, BgL_sz00_10703, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12801;
BgL_nbpz00_12801 = 
(
(long)CINT(BgL_bpz00_12798)+BgL_siza7eza7_10701); 
VECTOR_SET(
((obj_t)BgL_sz00_10703),((long)0),
BINT(BgL_nbpz00_12801)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12802;
BgL_rz00_12802 = 
PROCEDURE_ENTRY(BgL_cfunz00_10702)(BgL_cfunz00_10702, BgL_a1z00_12799, BgL_a2z00_12800, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10703),((long)0),BgL_bpz00_12798); 
return BgL_rz00_12802;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2041> */
obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10704, obj_t BgL_sz00_10711)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10705;obj_t BgL_a1z00_10706;obj_t BgL_a2z00_10707;obj_t BgL_locz00_10708;obj_t BgL_symbzd2funzd2_10709;long BgL_siza7eza7_10710;
BgL_funz00_10705 = 
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)0))); 
BgL_a1z00_10706 = 
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)1))); 
BgL_a2z00_10707 = 
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)2))); 
BgL_locz00_10708 = 
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10709 = 
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)4))); 
BgL_siza7eza7_10710 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10704, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12803;
BgL_bpz00_12803 = 
VECTOR_REF(
((obj_t)BgL_sz00_10711),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12804;obj_t BgL_a1z00_12805;obj_t BgL_a2z00_12806;
BgL_fz00_12804 = 
PROCEDURE_ENTRY(BgL_funz00_10705)(BgL_funz00_10705, BgL_sz00_10711, BEOA); 
BgL_a1z00_12805 = 
PROCEDURE_ENTRY(BgL_a1z00_10706)(BgL_a1z00_10706, BgL_sz00_10711, BEOA); 
BgL_a2z00_12806 = 
PROCEDURE_ENTRY(BgL_a2z00_10707)(BgL_a2z00_10707, BgL_sz00_10711, BEOA); 
if(
PROCEDUREP(BgL_fz00_12804))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10708, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12804); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12807;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17372;
BgL_tmpz00_17372 = 
((obj_t)BgL_fz00_12804); 
BgL_ufz00_12807 = 
PROCEDURE_ATTR(BgL_tmpz00_17372); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17375;
if(
STRUCTP(BgL_ufz00_12807))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17375 = 
(
STRUCT_KEY(BgL_ufz00_12807)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17375 = ((bool_t)0)
; } 
if(BgL_testz00_17375)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12808;obj_t BgL_runz00_12809;obj_t BgL_sfz00_12810;
BgL_arityz00_12808 = 
STRUCT_REF(BgL_ufz00_12807, 
(int)(((long)0))); 
BgL_runz00_12809 = 
STRUCT_REF(BgL_ufz00_12807, 
(int)(((long)1))); 
BgL_sfz00_12810 = 
STRUCT_REF(BgL_ufz00_12807, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12808)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2045z00_12811;
BgL_arg2045z00_12811 = 
(
(long)CINT(BgL_bpz00_12803)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2045z00_12811,BgL_a1z00_12805); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2046z00_12812;
BgL_arg2046z00_12812 = 
(
(long)CINT(BgL_bpz00_12803)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2046z00_12812,BgL_a2z00_12806); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12808))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12808)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2048z00_12815;obj_t BgL_arg2049z00_12816;
BgL_arg2048z00_12815 = 
(
(long)CINT(BgL_bpz00_12803)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2050z00_12817;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2051z00_12818;
BgL_arg2051z00_12818 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12806, BNIL); 
BgL_list2050z00_12817 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12805, BgL_arg2051z00_12818); } 
BgL_arg2049z00_12816 = BgL_list2050z00_12817; } 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2048z00_12815,BgL_arg2049z00_12816); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2052z00_12819;
BgL_arg2052z00_12819 = 
(
(long)CINT(BgL_bpz00_12803)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2052z00_12819,BgL_a1z00_12805); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2053z00_12820;obj_t BgL_arg2054z00_12821;
BgL_arg2053z00_12820 = 
(
(long)CINT(BgL_bpz00_12803)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2055z00_12822;
BgL_list2055z00_12822 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12806, BNIL); 
BgL_arg2054z00_12821 = BgL_list2055z00_12822; } 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2053z00_12820,BgL_arg2054z00_12821); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2056z00_12823;
BgL_arg2056z00_12823 = 
(
(long)CINT(BgL_bpz00_12803)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2056z00_12823,BgL_a1z00_12805); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2057z00_12824;
BgL_arg2057z00_12824 = 
(
(long)CINT(BgL_bpz00_12803)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2057z00_12824,BgL_a2z00_12806); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2058z00_12825;obj_t BgL_arg2059z00_12826;
BgL_arg2058z00_12825 = 
(
(long)CINT(BgL_bpz00_12803)+((long)2)); 
BgL_arg2059z00_12826 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10711),BgL_arg2058z00_12825,BgL_arg2059z00_12826); } break;
default: 
BgL_case_else1185z00_12813:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2061z00_12814;
BgL_arg2061z00_12814 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12807), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10708, BgL_arg2061z00_12814, 
(int)(((long)2)), 
CINT(BgL_arityz00_12808)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1185z00_12813;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12827;
BgL_z12denvz12_12827 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12827, BgL_locz00_10708); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10711, BgL_bpz00_12803, BgL_sfz00_12810))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12809;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12828;
BgL_nsz00_12828 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2063z00_12829;
BgL_arg2063z00_12829 = 
(
(long)CINT(BgL_bpz00_12803)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12828, ((long)2), BgL_sz00_10711, BgL_bpz00_12803, 
BINT(BgL_arg2063z00_12829)); } 
VECTOR_SET(BgL_nsz00_12828,((long)1),BgL_sz00_10711); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12827, BgL_nsz00_12828); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12830;
BgL_ez00_12830 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12830, BgL_sz00_10711); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12831;
BgL_____rz00_12831 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12809, BgL_nsz00_12828, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12830); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12827, BgL_sz00_10711); 
return BgL_____rz00_12831;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12804, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12832;
BgL_nbpz00_12832 = 
(
(long)CINT(BgL_bpz00_12803)+BgL_siza7eza7_10710); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),((long)0),
BINT(BgL_nbpz00_12832)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17459;
BgL_tmpz00_17459 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17459, BgL_locz00_10708); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12833;
BgL_rz00_12833 = 
PROCEDURE_ENTRY(BgL_fz00_12804)(BgL_fz00_12804, BgL_a1z00_12805, BgL_a2z00_12806, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10711),((long)0),BgL_bpz00_12803); 
return BgL_rz00_12833;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10708, BgL_symbzd2funzd2_10709, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12804));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2067> */
obj_t BGl_z62zc3anonymousza32067ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10712, obj_t BgL_sz00_10719)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10713;obj_t BgL_a1z00_10714;obj_t BgL_a2z00_10715;obj_t BgL_locz00_10716;obj_t BgL_symbzd2funzd2_10717;long BgL_siza7eza7_10718;
BgL_funz00_10713 = 
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)0))); 
BgL_a1z00_10714 = 
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)1))); 
BgL_a2z00_10715 = 
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)2))); 
BgL_locz00_10716 = 
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10717 = 
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)4))); 
BgL_siza7eza7_10718 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10712, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12834;
BgL_bpz00_12834 = 
VECTOR_REF(
((obj_t)BgL_sz00_10719),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12835;obj_t BgL_a1z00_12836;obj_t BgL_a2z00_12837;
BgL_fz00_12835 = 
PROCEDURE_ENTRY(BgL_funz00_10713)(BgL_funz00_10713, BgL_sz00_10719, BEOA); 
BgL_a1z00_12836 = 
PROCEDURE_ENTRY(BgL_a1z00_10714)(BgL_a1z00_10714, BgL_sz00_10719, BEOA); 
BgL_a2z00_12837 = 
PROCEDURE_ENTRY(BgL_a2z00_10715)(BgL_a2z00_10715, BgL_sz00_10719, BEOA); 
if(
PROCEDUREP(BgL_fz00_12835))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10716, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12835); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12838;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17502;
BgL_tmpz00_17502 = 
((obj_t)BgL_fz00_12835); 
BgL_ufz00_12838 = 
PROCEDURE_ATTR(BgL_tmpz00_17502); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17505;
if(
STRUCTP(BgL_ufz00_12838))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17505 = 
(
STRUCT_KEY(BgL_ufz00_12838)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17505 = ((bool_t)0)
; } 
if(BgL_testz00_17505)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12839;obj_t BgL_runz00_12840;obj_t BgL_sfz00_12841;
BgL_arityz00_12839 = 
STRUCT_REF(BgL_ufz00_12838, 
(int)(((long)0))); 
BgL_runz00_12840 = 
STRUCT_REF(BgL_ufz00_12838, 
(int)(((long)1))); 
BgL_sfz00_12841 = 
STRUCT_REF(BgL_ufz00_12838, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12839)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2071z00_12842;
BgL_arg2071z00_12842 = 
(
(long)CINT(BgL_bpz00_12834)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2071z00_12842,BgL_a1z00_12836); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2072z00_12843;
BgL_arg2072z00_12843 = 
(
(long)CINT(BgL_bpz00_12834)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2072z00_12843,BgL_a2z00_12837); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12839))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12839)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2074z00_12846;obj_t BgL_arg2075z00_12847;
BgL_arg2074z00_12846 = 
(
(long)CINT(BgL_bpz00_12834)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2076z00_12848;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2077z00_12849;
BgL_arg2077z00_12849 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12837, BNIL); 
BgL_list2076z00_12848 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12836, BgL_arg2077z00_12849); } 
BgL_arg2075z00_12847 = BgL_list2076z00_12848; } 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2074z00_12846,BgL_arg2075z00_12847); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2078z00_12850;
BgL_arg2078z00_12850 = 
(
(long)CINT(BgL_bpz00_12834)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2078z00_12850,BgL_a1z00_12836); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2079z00_12851;obj_t BgL_arg2080z00_12852;
BgL_arg2079z00_12851 = 
(
(long)CINT(BgL_bpz00_12834)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2081z00_12853;
BgL_list2081z00_12853 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12837, BNIL); 
BgL_arg2080z00_12852 = BgL_list2081z00_12853; } 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2079z00_12851,BgL_arg2080z00_12852); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2082z00_12854;
BgL_arg2082z00_12854 = 
(
(long)CINT(BgL_bpz00_12834)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2082z00_12854,BgL_a1z00_12836); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2083z00_12855;
BgL_arg2083z00_12855 = 
(
(long)CINT(BgL_bpz00_12834)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2083z00_12855,BgL_a2z00_12837); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2084z00_12856;obj_t BgL_arg2085z00_12857;
BgL_arg2084z00_12856 = 
(
(long)CINT(BgL_bpz00_12834)+((long)2)); 
BgL_arg2085z00_12857 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10719),BgL_arg2084z00_12856,BgL_arg2085z00_12857); } break;
default: 
BgL_case_else1187z00_12844:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2087z00_12845;
BgL_arg2087z00_12845 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12838), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10716, BgL_arg2087z00_12845, 
(int)(((long)2)), 
CINT(BgL_arityz00_12839)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1187z00_12844;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12858;
BgL_z12denvz12_12858 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10719, BgL_bpz00_12834, BgL_sfz00_12841))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12840;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12859;
BgL_nsz00_12859 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2089z00_12860;
BgL_arg2089z00_12860 = 
(
(long)CINT(BgL_bpz00_12834)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12859, ((long)2), BgL_sz00_10719, BgL_bpz00_12834, 
BINT(BgL_arg2089z00_12860)); } 
VECTOR_SET(BgL_nsz00_12859,((long)1),BgL_sz00_10719); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12858, BgL_nsz00_12859); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12861;
BgL_ez00_12861 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12861, BgL_sz00_10719); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12862;
BgL_____rz00_12862 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12840, BgL_nsz00_12859, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12861); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12858, BgL_sz00_10719); 
return BgL_____rz00_12862;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12835, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12863;
BgL_nbpz00_12863 = 
(
(long)CINT(BgL_bpz00_12834)+BgL_siza7eza7_10718); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),((long)0),
BINT(BgL_nbpz00_12863)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12864;
BgL_rz00_12864 = 
PROCEDURE_ENTRY(BgL_fz00_12835)(BgL_fz00_12835, BgL_a1z00_12836, BgL_a2z00_12837, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10719),((long)0),BgL_bpz00_12834); 
return BgL_rz00_12864;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10716, BgL_symbzd2funzd2_10717, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12835));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2095> */
obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10720, obj_t BgL_sz00_10727)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10721;obj_t BgL_a1z00_10722;obj_t BgL_a2z00_10723;obj_t BgL_locz00_10724;obj_t BgL_symbzd2funzd2_10725;long BgL_siza7eza7_10726;
BgL_funz00_10721 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)0))); 
BgL_a1z00_10722 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)1))); 
BgL_a2z00_10723 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)2))); 
BgL_locz00_10724 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10725 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)4))); 
BgL_siza7eza7_10726 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12865;
BgL_bpz00_12865 = 
VECTOR_REF(
((obj_t)BgL_sz00_10727),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12866;obj_t BgL_a1z00_12867;obj_t BgL_a2z00_12868;
BgL_fz00_12866 = 
PROCEDURE_ENTRY(BgL_funz00_10721)(BgL_funz00_10721, BgL_sz00_10727, BEOA); 
BgL_a1z00_12867 = 
PROCEDURE_ENTRY(BgL_a1z00_10722)(BgL_a1z00_10722, BgL_sz00_10727, BEOA); 
BgL_a2z00_12868 = 
PROCEDURE_ENTRY(BgL_a2z00_10723)(BgL_a2z00_10723, BgL_sz00_10727, BEOA); 
if(
PROCEDUREP(BgL_fz00_12866))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10724, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12866); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12869;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17628;
BgL_tmpz00_17628 = 
((obj_t)BgL_fz00_12866); 
BgL_ufz00_12869 = 
PROCEDURE_ATTR(BgL_tmpz00_17628); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17631;
if(
STRUCTP(BgL_ufz00_12869))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17631 = 
(
STRUCT_KEY(BgL_ufz00_12869)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17631 = ((bool_t)0)
; } 
if(BgL_testz00_17631)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12870;obj_t BgL_runz00_12871;obj_t BgL_sfz00_12872;
BgL_arityz00_12870 = 
STRUCT_REF(BgL_ufz00_12869, 
(int)(((long)0))); 
BgL_runz00_12871 = 
STRUCT_REF(BgL_ufz00_12869, 
(int)(((long)1))); 
BgL_sfz00_12872 = 
STRUCT_REF(BgL_ufz00_12869, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12873;
BgL_spz00_12873 = 
(
(long)CINT(BgL_bpz00_12865)+BgL_siza7eza7_10726); 
if(
(
(long)CINT(BgL_arityz00_12870)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2099z00_12874;
BgL_arg2099z00_12874 = 
(BgL_spz00_12873+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2099z00_12874,BgL_a1z00_12867); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2100z00_12875;
BgL_arg2100z00_12875 = 
(BgL_spz00_12873+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2100z00_12875,BgL_a2z00_12868); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12870))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12870)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2102z00_12878;obj_t BgL_arg2103z00_12879;
BgL_arg2102z00_12878 = 
(BgL_spz00_12873+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2104z00_12880;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2105z00_12881;
BgL_arg2105z00_12881 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12868, BNIL); 
BgL_list2104z00_12880 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12867, BgL_arg2105z00_12881); } 
BgL_arg2103z00_12879 = BgL_list2104z00_12880; } 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2102z00_12878,BgL_arg2103z00_12879); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2106z00_12882;
BgL_arg2106z00_12882 = 
(BgL_spz00_12873+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2106z00_12882,BgL_a1z00_12867); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2107z00_12883;obj_t BgL_arg2108z00_12884;
BgL_arg2107z00_12883 = 
(BgL_spz00_12873+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2109z00_12885;
BgL_list2109z00_12885 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12868, BNIL); 
BgL_arg2108z00_12884 = BgL_list2109z00_12885; } 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2107z00_12883,BgL_arg2108z00_12884); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2110z00_12886;
BgL_arg2110z00_12886 = 
(BgL_spz00_12873+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2110z00_12886,BgL_a1z00_12867); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2111z00_12887;
BgL_arg2111z00_12887 = 
(BgL_spz00_12873+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2111z00_12887,BgL_a2z00_12868); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2112z00_12888;obj_t BgL_arg2113z00_12889;
BgL_arg2112z00_12888 = 
(BgL_spz00_12873+((long)2)); 
BgL_arg2113z00_12889 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10727),BgL_arg2112z00_12888,BgL_arg2113z00_12889); } break;
default: 
BgL_case_else1189z00_12876:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2116z00_12877;
BgL_arg2116z00_12877 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12869), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10724, BgL_arg2116z00_12877, 
(int)(((long)2)), 
CINT(BgL_arityz00_12870)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1189z00_12876;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12890;
BgL_z12denvz12_12890 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12890, BgL_locz00_10724); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10727, 
BINT(BgL_spz00_12873), BgL_sfz00_12872))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12871, BgL_sz00_10727, 
BINT(BgL_spz00_12873));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12891;
BgL_nsz00_12891 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2118z00_12892;
BgL_arg2118z00_12892 = 
(BgL_spz00_12873+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12891, ((long)2), BgL_sz00_10727, 
BINT(BgL_spz00_12873), 
BINT(BgL_arg2118z00_12892)); } 
VECTOR_SET(BgL_nsz00_12891,((long)1),BgL_sz00_10727); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12890, BgL_nsz00_12891); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12893;
BgL_ez00_12893 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12893, BgL_sz00_10727); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12894;
BgL_____rz00_12894 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12871, BgL_nsz00_12891, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12893); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12890, BgL_sz00_10727); 
return BgL_____rz00_12894;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12866, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12895;
BgL_nbpz00_12895 = 
(
(long)CINT(BgL_bpz00_12865)+BgL_siza7eza7_10726); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),((long)0),
BINT(BgL_nbpz00_12895)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17712;
BgL_tmpz00_17712 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17712, BgL_locz00_10724); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12896;
BgL_rz00_12896 = 
PROCEDURE_ENTRY(BgL_fz00_12866)(BgL_fz00_12866, BgL_a1z00_12867, BgL_a2z00_12868, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),((long)0),BgL_bpz00_12865); 
return BgL_rz00_12896;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10724, BgL_symbzd2funzd2_10725, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12866));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2122> */
obj_t BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10728, obj_t BgL_sz00_10735)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10729;obj_t BgL_a1z00_10730;obj_t BgL_a2z00_10731;obj_t BgL_locz00_10732;obj_t BgL_symbzd2funzd2_10733;long BgL_siza7eza7_10734;
BgL_funz00_10729 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)0))); 
BgL_a1z00_10730 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)1))); 
BgL_a2z00_10731 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)2))); 
BgL_locz00_10732 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10733 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)4))); 
BgL_siza7eza7_10734 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12897;
BgL_bpz00_12897 = 
VECTOR_REF(
((obj_t)BgL_sz00_10735),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12898;obj_t BgL_a1z00_12899;obj_t BgL_a2z00_12900;
BgL_fz00_12898 = 
PROCEDURE_ENTRY(BgL_funz00_10729)(BgL_funz00_10729, BgL_sz00_10735, BEOA); 
BgL_a1z00_12899 = 
PROCEDURE_ENTRY(BgL_a1z00_10730)(BgL_a1z00_10730, BgL_sz00_10735, BEOA); 
BgL_a2z00_12900 = 
PROCEDURE_ENTRY(BgL_a2z00_10731)(BgL_a2z00_10731, BgL_sz00_10735, BEOA); 
if(
PROCEDUREP(BgL_fz00_12898))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10732, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12898); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12901;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17755;
BgL_tmpz00_17755 = 
((obj_t)BgL_fz00_12898); 
BgL_ufz00_12901 = 
PROCEDURE_ATTR(BgL_tmpz00_17755); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17758;
if(
STRUCTP(BgL_ufz00_12901))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17758 = 
(
STRUCT_KEY(BgL_ufz00_12901)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17758 = ((bool_t)0)
; } 
if(BgL_testz00_17758)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12902;obj_t BgL_runz00_12903;obj_t BgL_sfz00_12904;
BgL_arityz00_12902 = 
STRUCT_REF(BgL_ufz00_12901, 
(int)(((long)0))); 
BgL_runz00_12903 = 
STRUCT_REF(BgL_ufz00_12901, 
(int)(((long)1))); 
BgL_sfz00_12904 = 
STRUCT_REF(BgL_ufz00_12901, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12905;
BgL_spz00_12905 = 
(
(long)CINT(BgL_bpz00_12897)+BgL_siza7eza7_10734); 
if(
(
(long)CINT(BgL_arityz00_12902)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2126z00_12906;
BgL_arg2126z00_12906 = 
(BgL_spz00_12905+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2126z00_12906,BgL_a1z00_12899); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2127z00_12907;
BgL_arg2127z00_12907 = 
(BgL_spz00_12905+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2127z00_12907,BgL_a2z00_12900); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12902))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12902)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2129z00_12910;obj_t BgL_arg2130z00_12911;
BgL_arg2129z00_12910 = 
(BgL_spz00_12905+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2131z00_12912;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2132z00_12913;
BgL_arg2132z00_12913 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12900, BNIL); 
BgL_list2131z00_12912 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12899, BgL_arg2132z00_12913); } 
BgL_arg2130z00_12911 = BgL_list2131z00_12912; } 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2129z00_12910,BgL_arg2130z00_12911); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2133z00_12914;
BgL_arg2133z00_12914 = 
(BgL_spz00_12905+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2133z00_12914,BgL_a1z00_12899); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2134z00_12915;obj_t BgL_arg2135z00_12916;
BgL_arg2134z00_12915 = 
(BgL_spz00_12905+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2136z00_12917;
BgL_list2136z00_12917 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12900, BNIL); 
BgL_arg2135z00_12916 = BgL_list2136z00_12917; } 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2134z00_12915,BgL_arg2135z00_12916); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2137z00_12918;
BgL_arg2137z00_12918 = 
(BgL_spz00_12905+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2137z00_12918,BgL_a1z00_12899); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2138z00_12919;
BgL_arg2138z00_12919 = 
(BgL_spz00_12905+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2138z00_12919,BgL_a2z00_12900); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2139z00_12920;obj_t BgL_arg2140z00_12921;
BgL_arg2139z00_12920 = 
(BgL_spz00_12905+((long)2)); 
BgL_arg2140z00_12921 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2139z00_12920,BgL_arg2140z00_12921); } break;
default: 
BgL_case_else1191z00_12908:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2142z00_12909;
BgL_arg2142z00_12909 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12901), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10732, BgL_arg2142z00_12909, 
(int)(((long)2)), 
CINT(BgL_arityz00_12902)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1191z00_12908;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12922;
BgL_z12denvz12_12922 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10735, 
BINT(BgL_spz00_12905), BgL_sfz00_12904))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12903, BgL_sz00_10735, 
BINT(BgL_spz00_12905));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12923;
BgL_nsz00_12923 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2144z00_12924;
BgL_arg2144z00_12924 = 
(BgL_spz00_12905+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12923, ((long)2), BgL_sz00_10735, 
BINT(BgL_spz00_12905), 
BINT(BgL_arg2144z00_12924)); } 
VECTOR_SET(BgL_nsz00_12923,((long)1),BgL_sz00_10735); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12922, BgL_nsz00_12923); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12925;
BgL_ez00_12925 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12925, BgL_sz00_10735); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12926;
BgL_____rz00_12926 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12903, BgL_nsz00_12923, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12925); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12922, BgL_sz00_10735); 
return BgL_____rz00_12926;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12898, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12927;
BgL_nbpz00_12927 = 
(
(long)CINT(BgL_bpz00_12897)+BgL_siza7eza7_10734); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),((long)0),
BINT(BgL_nbpz00_12927)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12928;
BgL_rz00_12928 = 
PROCEDURE_ENTRY(BgL_fz00_12898)(BgL_fz00_12898, BgL_a1z00_12899, BgL_a2z00_12900, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),((long)0),BgL_bpz00_12897); 
return BgL_rz00_12928;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10732, BgL_symbzd2funzd2_10733, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12898));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2469;
BgL_cfunz00_2469 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2469))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17851;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2153z00_2489;
BgL_arg2153z00_2489 = 
bgl_debug(); 
BgL_testz00_17851 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2153z00_2489), 
BINT(((long)0))); } 
if(BgL_testz00_17851)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32150ze3z83_10736;
BgL_zc3anonymousza32150ze3z83_10736 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10736, 
(int)(((long)5)), BgL_cfunz00_2469); 
return BgL_zc3anonymousza32150ze3z83_10736;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32152ze3z83_10737;
BgL_zc3anonymousza32152ze3z83_10737 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10737, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10737, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10737, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10737, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10737, 
(int)(((long)4)), BgL_cfunz00_2469); 
return BgL_zc3anonymousza32152ze3z83_10737;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17888;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2225z00_2601;
BgL_arg2225z00_2601 = 
bgl_debug(); 
BgL_testz00_17888 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2225z00_2601), 
BINT(((long)0))); } 
if(BgL_testz00_17888)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32156ze3z83_10738;
BgL_zc3anonymousza32156ze3z83_10738 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10738, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32156ze3z83_10738;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32191ze3z83_10739;
BgL_zc3anonymousza32191ze3z83_10739 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10739, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32191ze3z83_10739;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17929;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2297z00_2713;
BgL_arg2297z00_2713 = 
bgl_debug(); 
BgL_testz00_17929 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2297z00_2713), 
BINT(((long)0))); } 
if(BgL_testz00_17929)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32228ze3z83_10740;
BgL_zc3anonymousza32228ze3z83_10740 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10740, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32228ze3z83_10740;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32263ze3z83_10741;
BgL_zc3anonymousza32263ze3z83_10741 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10741, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32263ze3z83_10741;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2150> */
obj_t BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10742, obj_t BgL_sz00_10749)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10743;obj_t BgL_a2z00_10744;obj_t BgL_a3z00_10745;long BgL_siza7eza7_10746;obj_t BgL_locz00_10747;obj_t BgL_cfunz00_10748;
BgL_a1z00_10743 = 
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)0))); 
BgL_a2z00_10744 = 
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)1))); 
BgL_a3z00_10745 = 
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)2))); 
BgL_siza7eza7_10746 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)3)))); 
BgL_locz00_10747 = 
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)4))); 
BgL_cfunz00_10748 = 
PROCEDURE_REF(BgL_envz00_10742, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12929;
BgL_bpz00_12929 = 
VECTOR_REF(
((obj_t)BgL_sz00_10749),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12930;obj_t BgL_a2z00_12931;obj_t BgL_a3z00_12932;
BgL_a1z00_12930 = 
PROCEDURE_ENTRY(BgL_a1z00_10743)(BgL_a1z00_10743, BgL_sz00_10749, BEOA); 
BgL_a2z00_12931 = 
PROCEDURE_ENTRY(BgL_a2z00_10744)(BgL_a2z00_10744, BgL_sz00_10749, BEOA); 
BgL_a3z00_12932 = 
PROCEDURE_ENTRY(BgL_a3z00_10745)(BgL_a3z00_10745, BgL_sz00_10749, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12933;
BgL_nbpz00_12933 = 
(
(long)CINT(BgL_bpz00_12929)+BgL_siza7eza7_10746); 
VECTOR_SET(
((obj_t)BgL_sz00_10749),((long)0),
BINT(BgL_nbpz00_12933)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18002;
BgL_tmpz00_18002 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18002, BgL_locz00_10747); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12934;
BgL_rz00_12934 = 
PROCEDURE_ENTRY(BgL_cfunz00_10748)(BgL_cfunz00_10748, BgL_a1z00_12930, BgL_a2z00_12931, BgL_a3z00_12932, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10749),((long)0),BgL_bpz00_12929); 
return BgL_rz00_12934;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2152> */
obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10750, obj_t BgL_sz00_10756)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10751;obj_t BgL_a2z00_10752;obj_t BgL_a3z00_10753;long BgL_siza7eza7_10754;obj_t BgL_cfunz00_10755;
BgL_a1z00_10751 = 
PROCEDURE_REF(BgL_envz00_10750, 
(int)(((long)0))); 
BgL_a2z00_10752 = 
PROCEDURE_REF(BgL_envz00_10750, 
(int)(((long)1))); 
BgL_a3z00_10753 = 
PROCEDURE_REF(BgL_envz00_10750, 
(int)(((long)2))); 
BgL_siza7eza7_10754 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10750, 
(int)(((long)3)))); 
BgL_cfunz00_10755 = 
PROCEDURE_REF(BgL_envz00_10750, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12935;
BgL_bpz00_12935 = 
VECTOR_REF(
((obj_t)BgL_sz00_10756),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12936;obj_t BgL_a2z00_12937;obj_t BgL_a3z00_12938;
BgL_a1z00_12936 = 
PROCEDURE_ENTRY(BgL_a1z00_10751)(BgL_a1z00_10751, BgL_sz00_10756, BEOA); 
BgL_a2z00_12937 = 
PROCEDURE_ENTRY(BgL_a2z00_10752)(BgL_a2z00_10752, BgL_sz00_10756, BEOA); 
BgL_a3z00_12938 = 
PROCEDURE_ENTRY(BgL_a3z00_10753)(BgL_a3z00_10753, BgL_sz00_10756, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12939;
BgL_nbpz00_12939 = 
(
(long)CINT(BgL_bpz00_12935)+BgL_siza7eza7_10754); 
VECTOR_SET(
((obj_t)BgL_sz00_10756),((long)0),
BINT(BgL_nbpz00_12939)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12940;
BgL_rz00_12940 = 
PROCEDURE_ENTRY(BgL_cfunz00_10755)(BgL_cfunz00_10755, BgL_a1z00_12936, BgL_a2z00_12937, BgL_a3z00_12938, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10756),((long)0),BgL_bpz00_12935); 
return BgL_rz00_12940;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2156> */
obj_t BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10757, obj_t BgL_sz00_10765)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10758;obj_t BgL_a1z00_10759;obj_t BgL_a2z00_10760;obj_t BgL_a3z00_10761;obj_t BgL_locz00_10762;obj_t BgL_symbzd2funzd2_10763;long BgL_siza7eza7_10764;
BgL_funz00_10758 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)0))); 
BgL_a1z00_10759 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)1))); 
BgL_a2z00_10760 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)2))); 
BgL_a3z00_10761 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)3))); 
BgL_locz00_10762 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10763 = 
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)5))); 
BgL_siza7eza7_10764 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10757, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12941;
BgL_bpz00_12941 = 
VECTOR_REF(
((obj_t)BgL_sz00_10765),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12942;obj_t BgL_a1z00_12943;obj_t BgL_a2z00_12944;obj_t BgL_a3z00_12945;
BgL_fz00_12942 = 
PROCEDURE_ENTRY(BgL_funz00_10758)(BgL_funz00_10758, BgL_sz00_10765, BEOA); 
BgL_a1z00_12943 = 
PROCEDURE_ENTRY(BgL_a1z00_10759)(BgL_a1z00_10759, BgL_sz00_10765, BEOA); 
BgL_a2z00_12944 = 
PROCEDURE_ENTRY(BgL_a2z00_10760)(BgL_a2z00_10760, BgL_sz00_10765, BEOA); 
BgL_a3z00_12945 = 
PROCEDURE_ENTRY(BgL_a3z00_10761)(BgL_a3z00_10761, BgL_sz00_10765, BEOA); 
if(
PROCEDUREP(BgL_fz00_12942))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10762, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12942); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12946;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18087;
BgL_tmpz00_18087 = 
((obj_t)BgL_fz00_12942); 
BgL_ufz00_12946 = 
PROCEDURE_ATTR(BgL_tmpz00_18087); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18090;
if(
STRUCTP(BgL_ufz00_12946))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18090 = 
(
STRUCT_KEY(BgL_ufz00_12946)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18090 = ((bool_t)0)
; } 
if(BgL_testz00_18090)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12947;obj_t BgL_runz00_12948;obj_t BgL_sfz00_12949;
BgL_arityz00_12947 = 
STRUCT_REF(BgL_ufz00_12946, 
(int)(((long)0))); 
BgL_runz00_12948 = 
STRUCT_REF(BgL_ufz00_12946, 
(int)(((long)1))); 
BgL_sfz00_12949 = 
STRUCT_REF(BgL_ufz00_12946, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12947)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2160z00_12950;
BgL_arg2160z00_12950 = 
(
(long)CINT(BgL_bpz00_12941)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2160z00_12950,BgL_a1z00_12943); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2161z00_12951;
BgL_arg2161z00_12951 = 
(
(long)CINT(BgL_bpz00_12941)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2161z00_12951,BgL_a2z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2162z00_12952;
BgL_arg2162z00_12952 = 
(
(long)CINT(BgL_bpz00_12941)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2162z00_12952,BgL_a3z00_12945); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12947))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12947)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2164z00_12955;obj_t BgL_arg2165z00_12956;
BgL_arg2164z00_12955 = 
(
(long)CINT(BgL_bpz00_12941)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2166z00_12957;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2167z00_12958;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2168z00_12959;
BgL_arg2168z00_12959 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12945, BNIL); 
BgL_arg2167z00_12958 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12944, BgL_arg2168z00_12959); } 
BgL_list2166z00_12957 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12943, BgL_arg2167z00_12958); } 
BgL_arg2165z00_12956 = BgL_list2166z00_12957; } 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2164z00_12955,BgL_arg2165z00_12956); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2169z00_12960;
BgL_arg2169z00_12960 = 
(
(long)CINT(BgL_bpz00_12941)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2169z00_12960,BgL_a1z00_12943); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2170z00_12961;obj_t BgL_arg2171z00_12962;
BgL_arg2170z00_12961 = 
(
(long)CINT(BgL_bpz00_12941)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2172z00_12963;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2173z00_12964;
BgL_arg2173z00_12964 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12945, BNIL); 
BgL_list2172z00_12963 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12944, BgL_arg2173z00_12964); } 
BgL_arg2171z00_12962 = BgL_list2172z00_12963; } 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2170z00_12961,BgL_arg2171z00_12962); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2174z00_12965;
BgL_arg2174z00_12965 = 
(
(long)CINT(BgL_bpz00_12941)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2174z00_12965,BgL_a1z00_12943); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2175z00_12966;
BgL_arg2175z00_12966 = 
(
(long)CINT(BgL_bpz00_12941)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2175z00_12966,BgL_a2z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2176z00_12967;obj_t BgL_arg2177z00_12968;
BgL_arg2176z00_12967 = 
(
(long)CINT(BgL_bpz00_12941)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2178z00_12969;
BgL_list2178z00_12969 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12945, BNIL); 
BgL_arg2177z00_12968 = BgL_list2178z00_12969; } 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2176z00_12967,BgL_arg2177z00_12968); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2179z00_12970;
BgL_arg2179z00_12970 = 
(
(long)CINT(BgL_bpz00_12941)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2179z00_12970,BgL_a1z00_12943); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2180z00_12971;
BgL_arg2180z00_12971 = 
(
(long)CINT(BgL_bpz00_12941)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2180z00_12971,BgL_a2z00_12944); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2181z00_12972;
BgL_arg2181z00_12972 = 
(
(long)CINT(BgL_bpz00_12941)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2181z00_12972,BgL_a3z00_12945); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2182z00_12973;obj_t BgL_arg2183z00_12974;
BgL_arg2182z00_12973 = 
(
(long)CINT(BgL_bpz00_12941)+((long)3)); 
BgL_arg2183z00_12974 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10765),BgL_arg2182z00_12973,BgL_arg2183z00_12974); } break;
default: 
BgL_case_else1193z00_12953:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2185z00_12954;
BgL_arg2185z00_12954 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12946), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10762, BgL_arg2185z00_12954, 
(int)(((long)3)), 
CINT(BgL_arityz00_12947)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1193z00_12953;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12975;
BgL_z12denvz12_12975 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12975, BgL_locz00_10762); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10765, BgL_bpz00_12941, BgL_sfz00_12949))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12948;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12976;
BgL_nsz00_12976 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2187z00_12977;
BgL_arg2187z00_12977 = 
(
(long)CINT(BgL_bpz00_12941)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12976, ((long)2), BgL_sz00_10765, BgL_bpz00_12941, 
BINT(BgL_arg2187z00_12977)); } 
VECTOR_SET(BgL_nsz00_12976,((long)1),BgL_sz00_10765); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12975, BgL_nsz00_12976); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12978;
BgL_ez00_12978 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12978, BgL_sz00_10765); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12979;
BgL_____rz00_12979 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12948, BgL_nsz00_12976, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12978); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12975, BgL_sz00_10765); 
return BgL_____rz00_12979;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12942, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12980;
BgL_nbpz00_12980 = 
(
(long)CINT(BgL_bpz00_12941)+BgL_siza7eza7_10764); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),((long)0),
BINT(BgL_nbpz00_12980)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18197;
BgL_tmpz00_18197 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18197, BgL_locz00_10762); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12981;
BgL_rz00_12981 = 
PROCEDURE_ENTRY(BgL_fz00_12942)(BgL_fz00_12942, BgL_a1z00_12943, BgL_a2z00_12944, BgL_a3z00_12945, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10765),((long)0),BgL_bpz00_12941); 
return BgL_rz00_12981;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10762, BgL_symbzd2funzd2_10763, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12942));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2191> */
obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10766, obj_t BgL_sz00_10774)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10767;obj_t BgL_a1z00_10768;obj_t BgL_a2z00_10769;obj_t BgL_a3z00_10770;obj_t BgL_locz00_10771;obj_t BgL_symbzd2funzd2_10772;long BgL_siza7eza7_10773;
BgL_funz00_10767 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)0))); 
BgL_a1z00_10768 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)1))); 
BgL_a2z00_10769 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)2))); 
BgL_a3z00_10770 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)3))); 
BgL_locz00_10771 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10772 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)5))); 
BgL_siza7eza7_10773 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12982;
BgL_bpz00_12982 = 
VECTOR_REF(
((obj_t)BgL_sz00_10774),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12983;obj_t BgL_a1z00_12984;obj_t BgL_a2z00_12985;obj_t BgL_a3z00_12986;
BgL_fz00_12983 = 
PROCEDURE_ENTRY(BgL_funz00_10767)(BgL_funz00_10767, BgL_sz00_10774, BEOA); 
BgL_a1z00_12984 = 
PROCEDURE_ENTRY(BgL_a1z00_10768)(BgL_a1z00_10768, BgL_sz00_10774, BEOA); 
BgL_a2z00_12985 = 
PROCEDURE_ENTRY(BgL_a2z00_10769)(BgL_a2z00_10769, BgL_sz00_10774, BEOA); 
BgL_a3z00_12986 = 
PROCEDURE_ENTRY(BgL_a3z00_10770)(BgL_a3z00_10770, BgL_sz00_10774, BEOA); 
if(
PROCEDUREP(BgL_fz00_12983))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10771, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_12983); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12987;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18247;
BgL_tmpz00_18247 = 
((obj_t)BgL_fz00_12983); 
BgL_ufz00_12987 = 
PROCEDURE_ATTR(BgL_tmpz00_18247); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18250;
if(
STRUCTP(BgL_ufz00_12987))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18250 = 
(
STRUCT_KEY(BgL_ufz00_12987)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18250 = ((bool_t)0)
; } 
if(BgL_testz00_18250)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12988;obj_t BgL_runz00_12989;obj_t BgL_sfz00_12990;
BgL_arityz00_12988 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)0))); 
BgL_runz00_12989 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)1))); 
BgL_sfz00_12990 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12988)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2195z00_12991;
BgL_arg2195z00_12991 = 
(
(long)CINT(BgL_bpz00_12982)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2195z00_12991,BgL_a1z00_12984); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2196z00_12992;
BgL_arg2196z00_12992 = 
(
(long)CINT(BgL_bpz00_12982)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2196z00_12992,BgL_a2z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2197z00_12993;
BgL_arg2197z00_12993 = 
(
(long)CINT(BgL_bpz00_12982)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2197z00_12993,BgL_a3z00_12986); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12988))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12988)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2199z00_12996;obj_t BgL_arg2200z00_12997;
BgL_arg2199z00_12996 = 
(
(long)CINT(BgL_bpz00_12982)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2201z00_12998;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2202z00_12999;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2203z00_13000;
BgL_arg2203z00_13000 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12986, BNIL); 
BgL_arg2202z00_12999 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12985, BgL_arg2203z00_13000); } 
BgL_list2201z00_12998 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12984, BgL_arg2202z00_12999); } 
BgL_arg2200z00_12997 = BgL_list2201z00_12998; } 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2199z00_12996,BgL_arg2200z00_12997); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2204z00_13001;
BgL_arg2204z00_13001 = 
(
(long)CINT(BgL_bpz00_12982)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2204z00_13001,BgL_a1z00_12984); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2205z00_13002;obj_t BgL_arg2206z00_13003;
BgL_arg2205z00_13002 = 
(
(long)CINT(BgL_bpz00_12982)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2207z00_13004;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2208z00_13005;
BgL_arg2208z00_13005 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12986, BNIL); 
BgL_list2207z00_13004 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12985, BgL_arg2208z00_13005); } 
BgL_arg2206z00_13003 = BgL_list2207z00_13004; } 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2205z00_13002,BgL_arg2206z00_13003); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2209z00_13006;
BgL_arg2209z00_13006 = 
(
(long)CINT(BgL_bpz00_12982)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2209z00_13006,BgL_a1z00_12984); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2210z00_13007;
BgL_arg2210z00_13007 = 
(
(long)CINT(BgL_bpz00_12982)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2210z00_13007,BgL_a2z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2211z00_13008;obj_t BgL_arg2212z00_13009;
BgL_arg2211z00_13008 = 
(
(long)CINT(BgL_bpz00_12982)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2213z00_13010;
BgL_list2213z00_13010 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12986, BNIL); 
BgL_arg2212z00_13009 = BgL_list2213z00_13010; } 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2211z00_13008,BgL_arg2212z00_13009); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2214z00_13011;
BgL_arg2214z00_13011 = 
(
(long)CINT(BgL_bpz00_12982)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2214z00_13011,BgL_a1z00_12984); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2215z00_13012;
BgL_arg2215z00_13012 = 
(
(long)CINT(BgL_bpz00_12982)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2215z00_13012,BgL_a2z00_12985); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2216z00_13013;
BgL_arg2216z00_13013 = 
(
(long)CINT(BgL_bpz00_12982)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2216z00_13013,BgL_a3z00_12986); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2217z00_13014;obj_t BgL_arg2218z00_13015;
BgL_arg2217z00_13014 = 
(
(long)CINT(BgL_bpz00_12982)+((long)3)); 
BgL_arg2218z00_13015 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10774),BgL_arg2217z00_13014,BgL_arg2218z00_13015); } break;
default: 
BgL_case_else1195z00_12994:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2220z00_12995;
BgL_arg2220z00_12995 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12987), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10771, BgL_arg2220z00_12995, 
(int)(((long)3)), 
CINT(BgL_arityz00_12988)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1195z00_12994;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13016;
BgL_z12denvz12_13016 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10774, BgL_bpz00_12982, BgL_sfz00_12990))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12989;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13017;
BgL_nsz00_13017 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2222z00_13018;
BgL_arg2222z00_13018 = 
(
(long)CINT(BgL_bpz00_12982)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13017, ((long)2), BgL_sz00_10774, BgL_bpz00_12982, 
BINT(BgL_arg2222z00_13018)); } 
VECTOR_SET(BgL_nsz00_13017,((long)1),BgL_sz00_10774); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13016, BgL_nsz00_13017); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13019;
BgL_ez00_13019 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13019, BgL_sz00_10774); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13020;
BgL_____rz00_13020 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12989, BgL_nsz00_13017, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13019); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13016, BgL_sz00_10774); 
return BgL_____rz00_13020;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12983, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13021;
BgL_nbpz00_13021 = 
(
(long)CINT(BgL_bpz00_12982)+BgL_siza7eza7_10773); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),((long)0),
BINT(BgL_nbpz00_13021)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13022;
BgL_rz00_13022 = 
PROCEDURE_ENTRY(BgL_fz00_12983)(BgL_fz00_12983, BgL_a1z00_12984, BgL_a2z00_12985, BgL_a3z00_12986, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10774),((long)0),BgL_bpz00_12982); 
return BgL_rz00_13022;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10771, BgL_symbzd2funzd2_10772, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12983));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2228> */
obj_t BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10775, obj_t BgL_sz00_10783)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10776;obj_t BgL_a1z00_10777;obj_t BgL_a2z00_10778;obj_t BgL_a3z00_10779;obj_t BgL_locz00_10780;obj_t BgL_symbzd2funzd2_10781;long BgL_siza7eza7_10782;
BgL_funz00_10776 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)0))); 
BgL_a1z00_10777 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)1))); 
BgL_a2z00_10778 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)2))); 
BgL_a3z00_10779 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)3))); 
BgL_locz00_10780 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10781 = 
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)5))); 
BgL_siza7eza7_10782 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10775, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13023;
BgL_bpz00_13023 = 
VECTOR_REF(
((obj_t)BgL_sz00_10783),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13024;obj_t BgL_a1z00_13025;obj_t BgL_a2z00_13026;obj_t BgL_a3z00_13027;
BgL_fz00_13024 = 
PROCEDURE_ENTRY(BgL_funz00_10776)(BgL_funz00_10776, BgL_sz00_10783, BEOA); 
BgL_a1z00_13025 = 
PROCEDURE_ENTRY(BgL_a1z00_10777)(BgL_a1z00_10777, BgL_sz00_10783, BEOA); 
BgL_a2z00_13026 = 
PROCEDURE_ENTRY(BgL_a2z00_10778)(BgL_a2z00_10778, BgL_sz00_10783, BEOA); 
BgL_a3z00_13027 = 
PROCEDURE_ENTRY(BgL_a3z00_10779)(BgL_a3z00_10779, BgL_sz00_10783, BEOA); 
if(
PROCEDUREP(BgL_fz00_13024))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10780, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13024); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13028;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18403;
BgL_tmpz00_18403 = 
((obj_t)BgL_fz00_13024); 
BgL_ufz00_13028 = 
PROCEDURE_ATTR(BgL_tmpz00_18403); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18406;
if(
STRUCTP(BgL_ufz00_13028))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18406 = 
(
STRUCT_KEY(BgL_ufz00_13028)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18406 = ((bool_t)0)
; } 
if(BgL_testz00_18406)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13029;obj_t BgL_runz00_13030;obj_t BgL_sfz00_13031;
BgL_arityz00_13029 = 
STRUCT_REF(BgL_ufz00_13028, 
(int)(((long)0))); 
BgL_runz00_13030 = 
STRUCT_REF(BgL_ufz00_13028, 
(int)(((long)1))); 
BgL_sfz00_13031 = 
STRUCT_REF(BgL_ufz00_13028, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13032;
BgL_spz00_13032 = 
(
(long)CINT(BgL_bpz00_13023)+BgL_siza7eza7_10782); 
if(
(
(long)CINT(BgL_arityz00_13029)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2232z00_13033;
BgL_arg2232z00_13033 = 
(BgL_spz00_13032+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2232z00_13033,BgL_a1z00_13025); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2233z00_13034;
BgL_arg2233z00_13034 = 
(BgL_spz00_13032+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2233z00_13034,BgL_a2z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2234z00_13035;
BgL_arg2234z00_13035 = 
(BgL_spz00_13032+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2234z00_13035,BgL_a3z00_13027); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13029))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13029)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2236z00_13038;obj_t BgL_arg2237z00_13039;
BgL_arg2236z00_13038 = 
(BgL_spz00_13032+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2238z00_13040;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2239z00_13041;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2240z00_13042;
BgL_arg2240z00_13042 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13027, BNIL); 
BgL_arg2239z00_13041 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13026, BgL_arg2240z00_13042); } 
BgL_list2238z00_13040 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13025, BgL_arg2239z00_13041); } 
BgL_arg2237z00_13039 = BgL_list2238z00_13040; } 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2236z00_13038,BgL_arg2237z00_13039); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2241z00_13043;
BgL_arg2241z00_13043 = 
(BgL_spz00_13032+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2241z00_13043,BgL_a1z00_13025); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2242z00_13044;obj_t BgL_arg2243z00_13045;
BgL_arg2242z00_13044 = 
(BgL_spz00_13032+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2244z00_13046;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2245z00_13047;
BgL_arg2245z00_13047 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13027, BNIL); 
BgL_list2244z00_13046 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13026, BgL_arg2245z00_13047); } 
BgL_arg2243z00_13045 = BgL_list2244z00_13046; } 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2242z00_13044,BgL_arg2243z00_13045); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2246z00_13048;
BgL_arg2246z00_13048 = 
(BgL_spz00_13032+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2246z00_13048,BgL_a1z00_13025); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2247z00_13049;
BgL_arg2247z00_13049 = 
(BgL_spz00_13032+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2247z00_13049,BgL_a2z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2248z00_13050;obj_t BgL_arg2249z00_13051;
BgL_arg2248z00_13050 = 
(BgL_spz00_13032+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2250z00_13052;
BgL_list2250z00_13052 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13027, BNIL); 
BgL_arg2249z00_13051 = BgL_list2250z00_13052; } 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2248z00_13050,BgL_arg2249z00_13051); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2251z00_13053;
BgL_arg2251z00_13053 = 
(BgL_spz00_13032+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2251z00_13053,BgL_a1z00_13025); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2252z00_13054;
BgL_arg2252z00_13054 = 
(BgL_spz00_13032+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2252z00_13054,BgL_a2z00_13026); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2253z00_13055;
BgL_arg2253z00_13055 = 
(BgL_spz00_13032+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2253z00_13055,BgL_a3z00_13027); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2254z00_13056;obj_t BgL_arg2255z00_13057;
BgL_arg2254z00_13056 = 
(BgL_spz00_13032+((long)3)); 
BgL_arg2255z00_13057 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10783),BgL_arg2254z00_13056,BgL_arg2255z00_13057); } break;
default: 
BgL_case_else1197z00_13036:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2257z00_13037;
BgL_arg2257z00_13037 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13028), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10780, BgL_arg2257z00_13037, 
(int)(((long)3)), 
CINT(BgL_arityz00_13029)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1197z00_13036;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13058;
BgL_z12denvz12_13058 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13058, BgL_locz00_10780); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10783, 
BINT(BgL_spz00_13032), BgL_sfz00_13031))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13030, BgL_sz00_10783, 
BINT(BgL_spz00_13032));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13059;
BgL_nsz00_13059 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2259z00_13060;
BgL_arg2259z00_13060 = 
(BgL_spz00_13032+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13059, ((long)2), BgL_sz00_10783, 
BINT(BgL_spz00_13032), 
BINT(BgL_arg2259z00_13060)); } 
VECTOR_SET(BgL_nsz00_13059,((long)1),BgL_sz00_10783); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13058, BgL_nsz00_13059); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13061;
BgL_ez00_13061 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13061, BgL_sz00_10783); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13062;
BgL_____rz00_13062 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13030, BgL_nsz00_13059, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13061); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13058, BgL_sz00_10783); 
return BgL_____rz00_13062;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13024, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13063;
BgL_nbpz00_13063 = 
(
(long)CINT(BgL_bpz00_13023)+BgL_siza7eza7_10782); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),((long)0),
BINT(BgL_nbpz00_13063)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18505;
BgL_tmpz00_18505 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18505, BgL_locz00_10780); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13064;
BgL_rz00_13064 = 
PROCEDURE_ENTRY(BgL_fz00_13024)(BgL_fz00_13024, BgL_a1z00_13025, BgL_a2z00_13026, BgL_a3z00_13027, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10783),((long)0),BgL_bpz00_13023); 
return BgL_rz00_13064;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10780, BgL_symbzd2funzd2_10781, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13024));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2263> */
obj_t BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10784, obj_t BgL_sz00_10792)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10785;obj_t BgL_a1z00_10786;obj_t BgL_a2z00_10787;obj_t BgL_a3z00_10788;obj_t BgL_locz00_10789;obj_t BgL_symbzd2funzd2_10790;long BgL_siza7eza7_10791;
BgL_funz00_10785 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)0))); 
BgL_a1z00_10786 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)1))); 
BgL_a2z00_10787 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)2))); 
BgL_a3z00_10788 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)3))); 
BgL_locz00_10789 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10790 = 
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)5))); 
BgL_siza7eza7_10791 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10784, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13065;
BgL_bpz00_13065 = 
VECTOR_REF(
((obj_t)BgL_sz00_10792),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13066;obj_t BgL_a1z00_13067;obj_t BgL_a2z00_13068;obj_t BgL_a3z00_13069;
BgL_fz00_13066 = 
PROCEDURE_ENTRY(BgL_funz00_10785)(BgL_funz00_10785, BgL_sz00_10792, BEOA); 
BgL_a1z00_13067 = 
PROCEDURE_ENTRY(BgL_a1z00_10786)(BgL_a1z00_10786, BgL_sz00_10792, BEOA); 
BgL_a2z00_13068 = 
PROCEDURE_ENTRY(BgL_a2z00_10787)(BgL_a2z00_10787, BgL_sz00_10792, BEOA); 
BgL_a3z00_13069 = 
PROCEDURE_ENTRY(BgL_a3z00_10788)(BgL_a3z00_10788, BgL_sz00_10792, BEOA); 
if(
PROCEDUREP(BgL_fz00_13066))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10789, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13066); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13070;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18555;
BgL_tmpz00_18555 = 
((obj_t)BgL_fz00_13066); 
BgL_ufz00_13070 = 
PROCEDURE_ATTR(BgL_tmpz00_18555); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18558;
if(
STRUCTP(BgL_ufz00_13070))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18558 = 
(
STRUCT_KEY(BgL_ufz00_13070)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18558 = ((bool_t)0)
; } 
if(BgL_testz00_18558)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13071;obj_t BgL_runz00_13072;obj_t BgL_sfz00_13073;
BgL_arityz00_13071 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)0))); 
BgL_runz00_13072 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)1))); 
BgL_sfz00_13073 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13074;
BgL_spz00_13074 = 
(
(long)CINT(BgL_bpz00_13065)+BgL_siza7eza7_10791); 
if(
(
(long)CINT(BgL_arityz00_13071)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2267z00_13075;
BgL_arg2267z00_13075 = 
(BgL_spz00_13074+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2267z00_13075,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2268z00_13076;
BgL_arg2268z00_13076 = 
(BgL_spz00_13074+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2268z00_13076,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2269z00_13077;
BgL_arg2269z00_13077 = 
(BgL_spz00_13074+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2269z00_13077,BgL_a3z00_13069); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13071))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13071)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2271z00_13080;obj_t BgL_arg2272z00_13081;
BgL_arg2271z00_13080 = 
(BgL_spz00_13074+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2273z00_13082;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2274z00_13083;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2275z00_13084;
BgL_arg2275z00_13084 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_arg2274z00_13083 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13068, BgL_arg2275z00_13084); } 
BgL_list2273z00_13082 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13067, BgL_arg2274z00_13083); } 
BgL_arg2272z00_13081 = BgL_list2273z00_13082; } 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2271z00_13080,BgL_arg2272z00_13081); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2276z00_13085;
BgL_arg2276z00_13085 = 
(BgL_spz00_13074+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2276z00_13085,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2277z00_13086;obj_t BgL_arg2278z00_13087;
BgL_arg2277z00_13086 = 
(BgL_spz00_13074+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2279z00_13088;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2280z00_13089;
BgL_arg2280z00_13089 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_list2279z00_13088 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13068, BgL_arg2280z00_13089); } 
BgL_arg2278z00_13087 = BgL_list2279z00_13088; } 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2277z00_13086,BgL_arg2278z00_13087); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2281z00_13090;
BgL_arg2281z00_13090 = 
(BgL_spz00_13074+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2281z00_13090,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2282z00_13091;
BgL_arg2282z00_13091 = 
(BgL_spz00_13074+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2282z00_13091,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2283z00_13092;obj_t BgL_arg2284z00_13093;
BgL_arg2283z00_13092 = 
(BgL_spz00_13074+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2285z00_13094;
BgL_list2285z00_13094 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_arg2284z00_13093 = BgL_list2285z00_13094; } 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2283z00_13092,BgL_arg2284z00_13093); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2286z00_13095;
BgL_arg2286z00_13095 = 
(BgL_spz00_13074+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2286z00_13095,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2287z00_13096;
BgL_arg2287z00_13096 = 
(BgL_spz00_13074+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2287z00_13096,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2288z00_13097;
BgL_arg2288z00_13097 = 
(BgL_spz00_13074+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2288z00_13097,BgL_a3z00_13069); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2289z00_13098;obj_t BgL_arg2290z00_13099;
BgL_arg2289z00_13098 = 
(BgL_spz00_13074+((long)3)); 
BgL_arg2290z00_13099 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10792),BgL_arg2289z00_13098,BgL_arg2290z00_13099); } break;
default: 
BgL_case_else1199z00_13078:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2292z00_13079;
BgL_arg2292z00_13079 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13070), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10789, BgL_arg2292z00_13079, 
(int)(((long)3)), 
CINT(BgL_arityz00_13071)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1199z00_13078;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13100;
BgL_z12denvz12_13100 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10792, 
BINT(BgL_spz00_13074), BgL_sfz00_13073))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13072, BgL_sz00_10792, 
BINT(BgL_spz00_13074));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13101;
BgL_nsz00_13101 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2294z00_13102;
BgL_arg2294z00_13102 = 
(BgL_spz00_13074+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13101, ((long)2), BgL_sz00_10792, 
BINT(BgL_spz00_13074), 
BINT(BgL_arg2294z00_13102)); } 
VECTOR_SET(BgL_nsz00_13101,((long)1),BgL_sz00_10792); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13100, BgL_nsz00_13101); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13103;
BgL_ez00_13103 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13103, BgL_sz00_10792); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13104;
BgL_____rz00_13104 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13072, BgL_nsz00_13101, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13103); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13100, BgL_sz00_10792); 
return BgL_____rz00_13104;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13066, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13105;
BgL_nbpz00_13105 = 
(
(long)CINT(BgL_bpz00_13065)+BgL_siza7eza7_10791); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),((long)0),
BINT(BgL_nbpz00_13105)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13106;
BgL_rz00_13106 = 
PROCEDURE_ENTRY(BgL_fz00_13066)(BgL_fz00_13066, BgL_a1z00_13067, BgL_a2z00_13068, BgL_a3z00_13069, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10792),((long)0),BgL_bpz00_13065); 
return BgL_rz00_13106;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10789, BgL_symbzd2funzd2_10790, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13066));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2714;
BgL_cfunz00_2714 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2714))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18670;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2303z00_2736;
BgL_arg2303z00_2736 = 
bgl_debug(); 
BgL_testz00_18670 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2303z00_2736), 
BINT(((long)0))); } 
if(BgL_testz00_18670)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32300ze3z83_10793;
BgL_zc3anonymousza32300ze3z83_10793 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10793, 
(int)(((long)6)), BgL_cfunz00_2714); 
return BgL_zc3anonymousza32300ze3z83_10793;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32302ze3z83_10794;
BgL_zc3anonymousza32302ze3z83_10794 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10794, 
(int)(((long)5)), BgL_cfunz00_2714); 
return BgL_zc3anonymousza32302ze3z83_10794;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18711;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2397z00_2872;
BgL_arg2397z00_2872 = 
bgl_debug(); 
BgL_testz00_18711 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2397z00_2872), 
BINT(((long)0))); } 
if(BgL_testz00_18711)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32306ze3z83_10795;
BgL_zc3anonymousza32306ze3z83_10795 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10795, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32306ze3z83_10795;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32352ze3z83_10796;
BgL_zc3anonymousza32352ze3z83_10796 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10796, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32352ze3z83_10796;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18756;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2491z00_3008;
BgL_arg2491z00_3008 = 
bgl_debug(); 
BgL_testz00_18756 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2491z00_3008), 
BINT(((long)0))); } 
if(BgL_testz00_18756)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32400ze3z83_10797;
BgL_zc3anonymousza32400ze3z83_10797 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10797, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32400ze3z83_10797;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32446ze3z83_10798;
BgL_zc3anonymousza32446ze3z83_10798 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10798, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32446ze3z83_10798;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2300> */
obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10799, obj_t BgL_sz00_10807)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10800;obj_t BgL_a2z00_10801;obj_t BgL_a3z00_10802;obj_t BgL_a4z00_10803;long BgL_siza7eza7_10804;obj_t BgL_locz00_10805;obj_t BgL_cfunz00_10806;
BgL_a1z00_10800 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)0))); 
BgL_a2z00_10801 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)1))); 
BgL_a3z00_10802 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)2))); 
BgL_a4z00_10803 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)3))); 
BgL_siza7eza7_10804 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)4)))); 
BgL_locz00_10805 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)5))); 
BgL_cfunz00_10806 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13107;
BgL_bpz00_13107 = 
VECTOR_REF(
((obj_t)BgL_sz00_10807),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13108;obj_t BgL_a2z00_13109;obj_t BgL_a3z00_13110;obj_t BgL_a4z00_13111;
BgL_a1z00_13108 = 
PROCEDURE_ENTRY(BgL_a1z00_10800)(BgL_a1z00_10800, BgL_sz00_10807, BEOA); 
BgL_a2z00_13109 = 
PROCEDURE_ENTRY(BgL_a2z00_10801)(BgL_a2z00_10801, BgL_sz00_10807, BEOA); 
BgL_a3z00_13110 = 
PROCEDURE_ENTRY(BgL_a3z00_10802)(BgL_a3z00_10802, BgL_sz00_10807, BEOA); 
BgL_a4z00_13111 = 
PROCEDURE_ENTRY(BgL_a4z00_10803)(BgL_a4z00_10803, BgL_sz00_10807, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13112;
BgL_nbpz00_13112 = 
(
(long)CINT(BgL_bpz00_13107)+BgL_siza7eza7_10804); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),((long)0),
BINT(BgL_nbpz00_13112)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18839;
BgL_tmpz00_18839 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18839, BgL_locz00_10805); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13113;
BgL_rz00_13113 = 
PROCEDURE_ENTRY(BgL_cfunz00_10806)(BgL_cfunz00_10806, BgL_a1z00_13108, BgL_a2z00_13109, BgL_a3z00_13110, BgL_a4z00_13111, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),((long)0),BgL_bpz00_13107); 
return BgL_rz00_13113;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2302> */
obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10808, obj_t BgL_sz00_10815)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10809;obj_t BgL_a2z00_10810;obj_t BgL_a3z00_10811;obj_t BgL_a4z00_10812;long BgL_siza7eza7_10813;obj_t BgL_cfunz00_10814;
BgL_a1z00_10809 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)0))); 
BgL_a2z00_10810 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)1))); 
BgL_a3z00_10811 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)2))); 
BgL_a4z00_10812 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)3))); 
BgL_siza7eza7_10813 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)4)))); 
BgL_cfunz00_10814 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13114;
BgL_bpz00_13114 = 
VECTOR_REF(
((obj_t)BgL_sz00_10815),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13115;obj_t BgL_a2z00_13116;obj_t BgL_a3z00_13117;obj_t BgL_a4z00_13118;
BgL_a1z00_13115 = 
PROCEDURE_ENTRY(BgL_a1z00_10809)(BgL_a1z00_10809, BgL_sz00_10815, BEOA); 
BgL_a2z00_13116 = 
PROCEDURE_ENTRY(BgL_a2z00_10810)(BgL_a2z00_10810, BgL_sz00_10815, BEOA); 
BgL_a3z00_13117 = 
PROCEDURE_ENTRY(BgL_a3z00_10811)(BgL_a3z00_10811, BgL_sz00_10815, BEOA); 
BgL_a4z00_13118 = 
PROCEDURE_ENTRY(BgL_a4z00_10812)(BgL_a4z00_10812, BgL_sz00_10815, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13119;
BgL_nbpz00_13119 = 
(
(long)CINT(BgL_bpz00_13114)+BgL_siza7eza7_10813); 
VECTOR_SET(
((obj_t)BgL_sz00_10815),((long)0),
BINT(BgL_nbpz00_13119)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13120;
BgL_rz00_13120 = 
PROCEDURE_ENTRY(BgL_cfunz00_10814)(BgL_cfunz00_10814, BgL_a1z00_13115, BgL_a2z00_13116, BgL_a3z00_13117, BgL_a4z00_13118, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10815),((long)0),BgL_bpz00_13114); 
return BgL_rz00_13120;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2306> */
obj_t BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10816, obj_t BgL_sz00_10825)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10817;obj_t BgL_a1z00_10818;obj_t BgL_a2z00_10819;obj_t BgL_a3z00_10820;obj_t BgL_a4z00_10821;obj_t BgL_locz00_10822;obj_t BgL_symbzd2funzd2_10823;long BgL_siza7eza7_10824;
BgL_funz00_10817 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)0))); 
BgL_a1z00_10818 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)1))); 
BgL_a2z00_10819 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)2))); 
BgL_a3z00_10820 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)3))); 
BgL_a4z00_10821 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)4))); 
BgL_locz00_10822 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10823 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)6))); 
BgL_siza7eza7_10824 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13121;
BgL_bpz00_13121 = 
VECTOR_REF(
((obj_t)BgL_sz00_10825),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13122;obj_t BgL_a1z00_13123;obj_t BgL_a2z00_13124;obj_t BgL_a3z00_13125;obj_t BgL_a4z00_13126;
BgL_fz00_13122 = 
PROCEDURE_ENTRY(BgL_funz00_10817)(BgL_funz00_10817, BgL_sz00_10825, BEOA); 
BgL_a1z00_13123 = 
PROCEDURE_ENTRY(BgL_a1z00_10818)(BgL_a1z00_10818, BgL_sz00_10825, BEOA); 
BgL_a2z00_13124 = 
PROCEDURE_ENTRY(BgL_a2z00_10819)(BgL_a2z00_10819, BgL_sz00_10825, BEOA); 
BgL_a3z00_13125 = 
PROCEDURE_ENTRY(BgL_a3z00_10820)(BgL_a3z00_10820, BgL_sz00_10825, BEOA); 
BgL_a4z00_13126 = 
PROCEDURE_ENTRY(BgL_a4z00_10821)(BgL_a4z00_10821, BgL_sz00_10825, BEOA); 
if(
PROCEDUREP(BgL_fz00_13122))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10822, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13122); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13127;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18938;
BgL_tmpz00_18938 = 
((obj_t)BgL_fz00_13122); 
BgL_ufz00_13127 = 
PROCEDURE_ATTR(BgL_tmpz00_18938); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18941;
if(
STRUCTP(BgL_ufz00_13127))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18941 = 
(
STRUCT_KEY(BgL_ufz00_13127)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18941 = ((bool_t)0)
; } 
if(BgL_testz00_18941)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13128;obj_t BgL_runz00_13129;obj_t BgL_sfz00_13130;
BgL_arityz00_13128 = 
STRUCT_REF(BgL_ufz00_13127, 
(int)(((long)0))); 
BgL_runz00_13129 = 
STRUCT_REF(BgL_ufz00_13127, 
(int)(((long)1))); 
BgL_sfz00_13130 = 
STRUCT_REF(BgL_ufz00_13127, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13128)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2310z00_13131;
BgL_arg2310z00_13131 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2310z00_13131,BgL_a1z00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2311z00_13132;
BgL_arg2311z00_13132 = 
(
(long)CINT(BgL_bpz00_13121)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2311z00_13132,BgL_a2z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2312z00_13133;
BgL_arg2312z00_13133 = 
(
(long)CINT(BgL_bpz00_13121)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2312z00_13133,BgL_a3z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2313z00_13134;
BgL_arg2313z00_13134 = 
(
(long)CINT(BgL_bpz00_13121)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2313z00_13134,BgL_a4z00_13126); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13128))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13128)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2315z00_13137;obj_t BgL_arg2316z00_13138;
BgL_arg2315z00_13137 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2317z00_13139;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2318z00_13140;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2319z00_13141;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2320z00_13142;
BgL_arg2320z00_13142 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13126, BNIL); 
BgL_arg2319z00_13141 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13125, BgL_arg2320z00_13142); } 
BgL_arg2318z00_13140 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13124, BgL_arg2319z00_13141); } 
BgL_list2317z00_13139 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13123, BgL_arg2318z00_13140); } 
BgL_arg2316z00_13138 = BgL_list2317z00_13139; } 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2315z00_13137,BgL_arg2316z00_13138); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2321z00_13143;
BgL_arg2321z00_13143 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2321z00_13143,BgL_a1z00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2322z00_13144;obj_t BgL_arg2323z00_13145;
BgL_arg2322z00_13144 = 
(
(long)CINT(BgL_bpz00_13121)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2324z00_13146;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2325z00_13147;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2326z00_13148;
BgL_arg2326z00_13148 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13126, BNIL); 
BgL_arg2325z00_13147 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13125, BgL_arg2326z00_13148); } 
BgL_list2324z00_13146 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13124, BgL_arg2325z00_13147); } 
BgL_arg2323z00_13145 = BgL_list2324z00_13146; } 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2322z00_13144,BgL_arg2323z00_13145); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2327z00_13149;
BgL_arg2327z00_13149 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2327z00_13149,BgL_a1z00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2328z00_13150;
BgL_arg2328z00_13150 = 
(
(long)CINT(BgL_bpz00_13121)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2328z00_13150,BgL_a2z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2329z00_13151;obj_t BgL_arg2330z00_13152;
BgL_arg2329z00_13151 = 
(
(long)CINT(BgL_bpz00_13121)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2331z00_13153;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2332z00_13154;
BgL_arg2332z00_13154 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13126, BNIL); 
BgL_list2331z00_13153 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13125, BgL_arg2332z00_13154); } 
BgL_arg2330z00_13152 = BgL_list2331z00_13153; } 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2329z00_13151,BgL_arg2330z00_13152); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2333z00_13155;
BgL_arg2333z00_13155 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2333z00_13155,BgL_a1z00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2334z00_13156;
BgL_arg2334z00_13156 = 
(
(long)CINT(BgL_bpz00_13121)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2334z00_13156,BgL_a2z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2335z00_13157;
BgL_arg2335z00_13157 = 
(
(long)CINT(BgL_bpz00_13121)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2335z00_13157,BgL_a3z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2336z00_13158;obj_t BgL_arg2337z00_13159;
BgL_arg2336z00_13158 = 
(
(long)CINT(BgL_bpz00_13121)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2338z00_13160;
BgL_list2338z00_13160 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13126, BNIL); 
BgL_arg2337z00_13159 = BgL_list2338z00_13160; } 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2336z00_13158,BgL_arg2337z00_13159); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2339z00_13161;
BgL_arg2339z00_13161 = 
(
(long)CINT(BgL_bpz00_13121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2339z00_13161,BgL_a1z00_13123); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2340z00_13162;
BgL_arg2340z00_13162 = 
(
(long)CINT(BgL_bpz00_13121)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2340z00_13162,BgL_a2z00_13124); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2341z00_13163;
BgL_arg2341z00_13163 = 
(
(long)CINT(BgL_bpz00_13121)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2341z00_13163,BgL_a3z00_13125); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2342z00_13164;
BgL_arg2342z00_13164 = 
(
(long)CINT(BgL_bpz00_13121)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2342z00_13164,BgL_a4z00_13126); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2343z00_13165;obj_t BgL_arg2344z00_13166;
BgL_arg2343z00_13165 = 
(
(long)CINT(BgL_bpz00_13121)+((long)4)); 
BgL_arg2344z00_13166 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10825),BgL_arg2343z00_13165,BgL_arg2344z00_13166); } break;
default: 
BgL_case_else1201z00_13135:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2346z00_13136;
BgL_arg2346z00_13136 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13127), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10822, BgL_arg2346z00_13136, 
(int)(((long)4)), 
CINT(BgL_arityz00_13128)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1201z00_13135;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13167;
BgL_z12denvz12_13167 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13167, BgL_locz00_10822); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10825, BgL_bpz00_13121, BgL_sfz00_13130))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13129;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13168;
BgL_nsz00_13168 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2348z00_13169;
BgL_arg2348z00_13169 = 
(
(long)CINT(BgL_bpz00_13121)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13168, ((long)2), BgL_sz00_10825, BgL_bpz00_13121, 
BINT(BgL_arg2348z00_13169)); } 
VECTOR_SET(BgL_nsz00_13168,((long)1),BgL_sz00_10825); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13167, BgL_nsz00_13168); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13170;
BgL_ez00_13170 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13170, BgL_sz00_10825); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13171;
BgL_____rz00_13171 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13129, BgL_nsz00_13168, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13170); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13167, BgL_sz00_10825); 
return BgL_____rz00_13171;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13122, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13172;
BgL_nbpz00_13172 = 
(
(long)CINT(BgL_bpz00_13121)+BgL_siza7eza7_10824); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),((long)0),
BINT(BgL_nbpz00_13172)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19076;
BgL_tmpz00_19076 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19076, BgL_locz00_10822); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13173;
BgL_rz00_13173 = 
PROCEDURE_ENTRY(BgL_fz00_13122)(BgL_fz00_13122, BgL_a1z00_13123, BgL_a2z00_13124, BgL_a3z00_13125, BgL_a4z00_13126, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10825),((long)0),BgL_bpz00_13121); 
return BgL_rz00_13173;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10822, BgL_symbzd2funzd2_10823, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13122));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2352> */
obj_t BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10826, obj_t BgL_sz00_10835)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10827;obj_t BgL_a1z00_10828;obj_t BgL_a2z00_10829;obj_t BgL_a3z00_10830;obj_t BgL_a4z00_10831;obj_t BgL_locz00_10832;obj_t BgL_symbzd2funzd2_10833;long BgL_siza7eza7_10834;
BgL_funz00_10827 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)0))); 
BgL_a1z00_10828 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)1))); 
BgL_a2z00_10829 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)2))); 
BgL_a3z00_10830 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)3))); 
BgL_a4z00_10831 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)4))); 
BgL_locz00_10832 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10833 = 
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)6))); 
BgL_siza7eza7_10834 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10826, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13174;
BgL_bpz00_13174 = 
VECTOR_REF(
((obj_t)BgL_sz00_10835),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13175;obj_t BgL_a1z00_13176;obj_t BgL_a2z00_13177;obj_t BgL_a3z00_13178;obj_t BgL_a4z00_13179;
BgL_fz00_13175 = 
PROCEDURE_ENTRY(BgL_funz00_10827)(BgL_funz00_10827, BgL_sz00_10835, BEOA); 
BgL_a1z00_13176 = 
PROCEDURE_ENTRY(BgL_a1z00_10828)(BgL_a1z00_10828, BgL_sz00_10835, BEOA); 
BgL_a2z00_13177 = 
PROCEDURE_ENTRY(BgL_a2z00_10829)(BgL_a2z00_10829, BgL_sz00_10835, BEOA); 
BgL_a3z00_13178 = 
PROCEDURE_ENTRY(BgL_a3z00_10830)(BgL_a3z00_10830, BgL_sz00_10835, BEOA); 
BgL_a4z00_13179 = 
PROCEDURE_ENTRY(BgL_a4z00_10831)(BgL_a4z00_10831, BgL_sz00_10835, BEOA); 
if(
PROCEDUREP(BgL_fz00_13175))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10832, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13175); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13180;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19133;
BgL_tmpz00_19133 = 
((obj_t)BgL_fz00_13175); 
BgL_ufz00_13180 = 
PROCEDURE_ATTR(BgL_tmpz00_19133); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19136;
if(
STRUCTP(BgL_ufz00_13180))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19136 = 
(
STRUCT_KEY(BgL_ufz00_13180)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19136 = ((bool_t)0)
; } 
if(BgL_testz00_19136)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13181;obj_t BgL_runz00_13182;obj_t BgL_sfz00_13183;
BgL_arityz00_13181 = 
STRUCT_REF(BgL_ufz00_13180, 
(int)(((long)0))); 
BgL_runz00_13182 = 
STRUCT_REF(BgL_ufz00_13180, 
(int)(((long)1))); 
BgL_sfz00_13183 = 
STRUCT_REF(BgL_ufz00_13180, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13181)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2356z00_13184;
BgL_arg2356z00_13184 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2356z00_13184,BgL_a1z00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2357z00_13185;
BgL_arg2357z00_13185 = 
(
(long)CINT(BgL_bpz00_13174)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2357z00_13185,BgL_a2z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2358z00_13186;
BgL_arg2358z00_13186 = 
(
(long)CINT(BgL_bpz00_13174)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2358z00_13186,BgL_a3z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2359z00_13187;
BgL_arg2359z00_13187 = 
(
(long)CINT(BgL_bpz00_13174)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2359z00_13187,BgL_a4z00_13179); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13181))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13181)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2361z00_13190;obj_t BgL_arg2362z00_13191;
BgL_arg2361z00_13190 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2363z00_13192;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2364z00_13193;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2365z00_13194;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2366z00_13195;
BgL_arg2366z00_13195 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13179, BNIL); 
BgL_arg2365z00_13194 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13178, BgL_arg2366z00_13195); } 
BgL_arg2364z00_13193 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13177, BgL_arg2365z00_13194); } 
BgL_list2363z00_13192 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13176, BgL_arg2364z00_13193); } 
BgL_arg2362z00_13191 = BgL_list2363z00_13192; } 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2361z00_13190,BgL_arg2362z00_13191); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2367z00_13196;
BgL_arg2367z00_13196 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2367z00_13196,BgL_a1z00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2368z00_13197;obj_t BgL_arg2369z00_13198;
BgL_arg2368z00_13197 = 
(
(long)CINT(BgL_bpz00_13174)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2370z00_13199;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2371z00_13200;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2372z00_13201;
BgL_arg2372z00_13201 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13179, BNIL); 
BgL_arg2371z00_13200 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13178, BgL_arg2372z00_13201); } 
BgL_list2370z00_13199 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13177, BgL_arg2371z00_13200); } 
BgL_arg2369z00_13198 = BgL_list2370z00_13199; } 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2368z00_13197,BgL_arg2369z00_13198); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2373z00_13202;
BgL_arg2373z00_13202 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2373z00_13202,BgL_a1z00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2374z00_13203;
BgL_arg2374z00_13203 = 
(
(long)CINT(BgL_bpz00_13174)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2374z00_13203,BgL_a2z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2375z00_13204;obj_t BgL_arg2376z00_13205;
BgL_arg2375z00_13204 = 
(
(long)CINT(BgL_bpz00_13174)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2377z00_13206;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2378z00_13207;
BgL_arg2378z00_13207 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13179, BNIL); 
BgL_list2377z00_13206 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13178, BgL_arg2378z00_13207); } 
BgL_arg2376z00_13205 = BgL_list2377z00_13206; } 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2375z00_13204,BgL_arg2376z00_13205); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2379z00_13208;
BgL_arg2379z00_13208 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2379z00_13208,BgL_a1z00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2380z00_13209;
BgL_arg2380z00_13209 = 
(
(long)CINT(BgL_bpz00_13174)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2380z00_13209,BgL_a2z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2381z00_13210;
BgL_arg2381z00_13210 = 
(
(long)CINT(BgL_bpz00_13174)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2381z00_13210,BgL_a3z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2382z00_13211;obj_t BgL_arg2383z00_13212;
BgL_arg2382z00_13211 = 
(
(long)CINT(BgL_bpz00_13174)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2384z00_13213;
BgL_list2384z00_13213 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13179, BNIL); 
BgL_arg2383z00_13212 = BgL_list2384z00_13213; } 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2382z00_13211,BgL_arg2383z00_13212); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2385z00_13214;
BgL_arg2385z00_13214 = 
(
(long)CINT(BgL_bpz00_13174)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2385z00_13214,BgL_a1z00_13176); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2386z00_13215;
BgL_arg2386z00_13215 = 
(
(long)CINT(BgL_bpz00_13174)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2386z00_13215,BgL_a2z00_13177); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2387z00_13216;
BgL_arg2387z00_13216 = 
(
(long)CINT(BgL_bpz00_13174)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2387z00_13216,BgL_a3z00_13178); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2388z00_13217;
BgL_arg2388z00_13217 = 
(
(long)CINT(BgL_bpz00_13174)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2388z00_13217,BgL_a4z00_13179); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2389z00_13218;obj_t BgL_arg2390z00_13219;
BgL_arg2389z00_13218 = 
(
(long)CINT(BgL_bpz00_13174)+((long)4)); 
BgL_arg2390z00_13219 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10835),BgL_arg2389z00_13218,BgL_arg2390z00_13219); } break;
default: 
BgL_case_else1203z00_13188:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2392z00_13189;
BgL_arg2392z00_13189 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13180), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10832, BgL_arg2392z00_13189, 
(int)(((long)4)), 
CINT(BgL_arityz00_13181)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1203z00_13188;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13220;
BgL_z12denvz12_13220 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10835, BgL_bpz00_13174, BgL_sfz00_13183))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13182;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13221;
BgL_nsz00_13221 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2394z00_13222;
BgL_arg2394z00_13222 = 
(
(long)CINT(BgL_bpz00_13174)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13221, ((long)2), BgL_sz00_10835, BgL_bpz00_13174, 
BINT(BgL_arg2394z00_13222)); } 
VECTOR_SET(BgL_nsz00_13221,((long)1),BgL_sz00_10835); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13220, BgL_nsz00_13221); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13223;
BgL_ez00_13223 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13223, BgL_sz00_10835); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13224;
BgL_____rz00_13224 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13182, BgL_nsz00_13221, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13223); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13220, BgL_sz00_10835); 
return BgL_____rz00_13224;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13175, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13225;
BgL_nbpz00_13225 = 
(
(long)CINT(BgL_bpz00_13174)+BgL_siza7eza7_10834); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),((long)0),
BINT(BgL_nbpz00_13225)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13226;
BgL_rz00_13226 = 
PROCEDURE_ENTRY(BgL_fz00_13175)(BgL_fz00_13175, BgL_a1z00_13176, BgL_a2z00_13177, BgL_a3z00_13178, BgL_a4z00_13179, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10835),((long)0),BgL_bpz00_13174); 
return BgL_rz00_13226;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10832, BgL_symbzd2funzd2_10833, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13175));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2400> */
obj_t BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10836, obj_t BgL_sz00_10845)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10837;obj_t BgL_a1z00_10838;obj_t BgL_a2z00_10839;obj_t BgL_a3z00_10840;obj_t BgL_a4z00_10841;obj_t BgL_locz00_10842;obj_t BgL_symbzd2funzd2_10843;long BgL_siza7eza7_10844;
BgL_funz00_10837 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)0))); 
BgL_a1z00_10838 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)1))); 
BgL_a2z00_10839 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)2))); 
BgL_a3z00_10840 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)3))); 
BgL_a4z00_10841 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)4))); 
BgL_locz00_10842 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10843 = 
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)6))); 
BgL_siza7eza7_10844 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10836, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13227;
BgL_bpz00_13227 = 
VECTOR_REF(
((obj_t)BgL_sz00_10845),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13228;obj_t BgL_a1z00_13229;obj_t BgL_a2z00_13230;obj_t BgL_a3z00_13231;obj_t BgL_a4z00_13232;
BgL_fz00_13228 = 
PROCEDURE_ENTRY(BgL_funz00_10837)(BgL_funz00_10837, BgL_sz00_10845, BEOA); 
BgL_a1z00_13229 = 
PROCEDURE_ENTRY(BgL_a1z00_10838)(BgL_a1z00_10838, BgL_sz00_10845, BEOA); 
BgL_a2z00_13230 = 
PROCEDURE_ENTRY(BgL_a2z00_10839)(BgL_a2z00_10839, BgL_sz00_10845, BEOA); 
BgL_a3z00_13231 = 
PROCEDURE_ENTRY(BgL_a3z00_10840)(BgL_a3z00_10840, BgL_sz00_10845, BEOA); 
BgL_a4z00_13232 = 
PROCEDURE_ENTRY(BgL_a4z00_10841)(BgL_a4z00_10841, BgL_sz00_10845, BEOA); 
if(
PROCEDUREP(BgL_fz00_13228))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10842, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13228); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13233;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19324;
BgL_tmpz00_19324 = 
((obj_t)BgL_fz00_13228); 
BgL_ufz00_13233 = 
PROCEDURE_ATTR(BgL_tmpz00_19324); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19327;
if(
STRUCTP(BgL_ufz00_13233))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19327 = 
(
STRUCT_KEY(BgL_ufz00_13233)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19327 = ((bool_t)0)
; } 
if(BgL_testz00_19327)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13234;obj_t BgL_runz00_13235;obj_t BgL_sfz00_13236;
BgL_arityz00_13234 = 
STRUCT_REF(BgL_ufz00_13233, 
(int)(((long)0))); 
BgL_runz00_13235 = 
STRUCT_REF(BgL_ufz00_13233, 
(int)(((long)1))); 
BgL_sfz00_13236 = 
STRUCT_REF(BgL_ufz00_13233, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13237;
BgL_spz00_13237 = 
(
(long)CINT(BgL_bpz00_13227)+BgL_siza7eza7_10844); 
if(
(
(long)CINT(BgL_arityz00_13234)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2404z00_13238;
BgL_arg2404z00_13238 = 
(BgL_spz00_13237+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2404z00_13238,BgL_a1z00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2405z00_13239;
BgL_arg2405z00_13239 = 
(BgL_spz00_13237+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2405z00_13239,BgL_a2z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2406z00_13240;
BgL_arg2406z00_13240 = 
(BgL_spz00_13237+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2406z00_13240,BgL_a3z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2407z00_13241;
BgL_arg2407z00_13241 = 
(BgL_spz00_13237+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2407z00_13241,BgL_a4z00_13232); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13234))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13234)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2409z00_13244;obj_t BgL_arg2410z00_13245;
BgL_arg2409z00_13244 = 
(BgL_spz00_13237+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2411z00_13246;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2412z00_13247;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2413z00_13248;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2414z00_13249;
BgL_arg2414z00_13249 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13232, BNIL); 
BgL_arg2413z00_13248 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13231, BgL_arg2414z00_13249); } 
BgL_arg2412z00_13247 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13230, BgL_arg2413z00_13248); } 
BgL_list2411z00_13246 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13229, BgL_arg2412z00_13247); } 
BgL_arg2410z00_13245 = BgL_list2411z00_13246; } 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2409z00_13244,BgL_arg2410z00_13245); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2415z00_13250;
BgL_arg2415z00_13250 = 
(BgL_spz00_13237+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2415z00_13250,BgL_a1z00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2416z00_13251;obj_t BgL_arg2417z00_13252;
BgL_arg2416z00_13251 = 
(BgL_spz00_13237+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2418z00_13253;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2419z00_13254;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2420z00_13255;
BgL_arg2420z00_13255 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13232, BNIL); 
BgL_arg2419z00_13254 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13231, BgL_arg2420z00_13255); } 
BgL_list2418z00_13253 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13230, BgL_arg2419z00_13254); } 
BgL_arg2417z00_13252 = BgL_list2418z00_13253; } 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2416z00_13251,BgL_arg2417z00_13252); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2421z00_13256;
BgL_arg2421z00_13256 = 
(BgL_spz00_13237+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2421z00_13256,BgL_a1z00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2422z00_13257;
BgL_arg2422z00_13257 = 
(BgL_spz00_13237+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2422z00_13257,BgL_a2z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2423z00_13258;obj_t BgL_arg2424z00_13259;
BgL_arg2423z00_13258 = 
(BgL_spz00_13237+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2425z00_13260;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2426z00_13261;
BgL_arg2426z00_13261 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13232, BNIL); 
BgL_list2425z00_13260 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13231, BgL_arg2426z00_13261); } 
BgL_arg2424z00_13259 = BgL_list2425z00_13260; } 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2423z00_13258,BgL_arg2424z00_13259); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2427z00_13262;
BgL_arg2427z00_13262 = 
(BgL_spz00_13237+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2427z00_13262,BgL_a1z00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2428z00_13263;
BgL_arg2428z00_13263 = 
(BgL_spz00_13237+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2428z00_13263,BgL_a2z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2429z00_13264;
BgL_arg2429z00_13264 = 
(BgL_spz00_13237+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2429z00_13264,BgL_a3z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2430z00_13265;obj_t BgL_arg2431z00_13266;
BgL_arg2430z00_13265 = 
(BgL_spz00_13237+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2432z00_13267;
BgL_list2432z00_13267 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13232, BNIL); 
BgL_arg2431z00_13266 = BgL_list2432z00_13267; } 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2430z00_13265,BgL_arg2431z00_13266); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2433z00_13268;
BgL_arg2433z00_13268 = 
(BgL_spz00_13237+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2433z00_13268,BgL_a1z00_13229); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2434z00_13269;
BgL_arg2434z00_13269 = 
(BgL_spz00_13237+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2434z00_13269,BgL_a2z00_13230); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2435z00_13270;
BgL_arg2435z00_13270 = 
(BgL_spz00_13237+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2435z00_13270,BgL_a3z00_13231); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2436z00_13271;
BgL_arg2436z00_13271 = 
(BgL_spz00_13237+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2436z00_13271,BgL_a4z00_13232); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2437z00_13272;obj_t BgL_arg2438z00_13273;
BgL_arg2437z00_13272 = 
(BgL_spz00_13237+((long)4)); 
BgL_arg2438z00_13273 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10845),BgL_arg2437z00_13272,BgL_arg2438z00_13273); } break;
default: 
BgL_case_else1205z00_13242:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2440z00_13243;
BgL_arg2440z00_13243 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13233), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10842, BgL_arg2440z00_13243, 
(int)(((long)4)), 
CINT(BgL_arityz00_13234)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1205z00_13242;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13274;
BgL_z12denvz12_13274 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13274, BgL_locz00_10842); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10845, 
BINT(BgL_spz00_13237), BgL_sfz00_13236))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13235, BgL_sz00_10845, 
BINT(BgL_spz00_13237));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13275;
BgL_nsz00_13275 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2442z00_13276;
BgL_arg2442z00_13276 = 
(BgL_spz00_13237+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13275, ((long)2), BgL_sz00_10845, 
BINT(BgL_spz00_13237), 
BINT(BgL_arg2442z00_13276)); } 
VECTOR_SET(BgL_nsz00_13275,((long)1),BgL_sz00_10845); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13274, BgL_nsz00_13275); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13277;
BgL_ez00_13277 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13277, BgL_sz00_10845); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13278;
BgL_____rz00_13278 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13235, BgL_nsz00_13275, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13277); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13274, BgL_sz00_10845); 
return BgL_____rz00_13278;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13228, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13279;
BgL_nbpz00_13279 = 
(
(long)CINT(BgL_bpz00_13227)+BgL_siza7eza7_10844); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),((long)0),
BINT(BgL_nbpz00_13279)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19448;
BgL_tmpz00_19448 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19448, BgL_locz00_10842); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13280;
BgL_rz00_13280 = 
PROCEDURE_ENTRY(BgL_fz00_13228)(BgL_fz00_13228, BgL_a1z00_13229, BgL_a2z00_13230, BgL_a3z00_13231, BgL_a4z00_13232, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10845),((long)0),BgL_bpz00_13227); 
return BgL_rz00_13280;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10842, BgL_symbzd2funzd2_10843, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13228));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2446> */
obj_t BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10846, obj_t BgL_sz00_10855)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10847;obj_t BgL_a1z00_10848;obj_t BgL_a2z00_10849;obj_t BgL_a3z00_10850;obj_t BgL_a4z00_10851;obj_t BgL_locz00_10852;obj_t BgL_symbzd2funzd2_10853;long BgL_siza7eza7_10854;
BgL_funz00_10847 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)0))); 
BgL_a1z00_10848 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)1))); 
BgL_a2z00_10849 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)2))); 
BgL_a3z00_10850 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)3))); 
BgL_a4z00_10851 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)4))); 
BgL_locz00_10852 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10853 = 
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)6))); 
BgL_siza7eza7_10854 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10846, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13281;
BgL_bpz00_13281 = 
VECTOR_REF(
((obj_t)BgL_sz00_10855),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13282;obj_t BgL_a1z00_13283;obj_t BgL_a2z00_13284;obj_t BgL_a3z00_13285;obj_t BgL_a4z00_13286;
BgL_fz00_13282 = 
PROCEDURE_ENTRY(BgL_funz00_10847)(BgL_funz00_10847, BgL_sz00_10855, BEOA); 
BgL_a1z00_13283 = 
PROCEDURE_ENTRY(BgL_a1z00_10848)(BgL_a1z00_10848, BgL_sz00_10855, BEOA); 
BgL_a2z00_13284 = 
PROCEDURE_ENTRY(BgL_a2z00_10849)(BgL_a2z00_10849, BgL_sz00_10855, BEOA); 
BgL_a3z00_13285 = 
PROCEDURE_ENTRY(BgL_a3z00_10850)(BgL_a3z00_10850, BgL_sz00_10855, BEOA); 
BgL_a4z00_13286 = 
PROCEDURE_ENTRY(BgL_a4z00_10851)(BgL_a4z00_10851, BgL_sz00_10855, BEOA); 
if(
PROCEDUREP(BgL_fz00_13282))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10852, BGl_string5164z00zz__evaluate_compz00, BGl_string5180z00zz__evaluate_compz00, BgL_fz00_13282); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13287;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19505;
BgL_tmpz00_19505 = 
((obj_t)BgL_fz00_13282); 
BgL_ufz00_13287 = 
PROCEDURE_ATTR(BgL_tmpz00_19505); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19508;
if(
STRUCTP(BgL_ufz00_13287))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19508 = 
(
STRUCT_KEY(BgL_ufz00_13287)==BGl_symbol5181z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19508 = ((bool_t)0)
; } 
if(BgL_testz00_19508)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13288;obj_t BgL_runz00_13289;obj_t BgL_sfz00_13290;
BgL_arityz00_13288 = 
STRUCT_REF(BgL_ufz00_13287, 
(int)(((long)0))); 
BgL_runz00_13289 = 
STRUCT_REF(BgL_ufz00_13287, 
(int)(((long)1))); 
BgL_sfz00_13290 = 
STRUCT_REF(BgL_ufz00_13287, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13291;
BgL_spz00_13291 = 
(
(long)CINT(BgL_bpz00_13281)+BgL_siza7eza7_10854); 
if(
(
(long)CINT(BgL_arityz00_13288)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2450z00_13292;
BgL_arg2450z00_13292 = 
(BgL_spz00_13291+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2450z00_13292,BgL_a1z00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2451z00_13293;
BgL_arg2451z00_13293 = 
(BgL_spz00_13291+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2451z00_13293,BgL_a2z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2452z00_13294;
BgL_arg2452z00_13294 = 
(BgL_spz00_13291+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2452z00_13294,BgL_a3z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2453z00_13295;
BgL_arg2453z00_13295 = 
(BgL_spz00_13291+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2453z00_13295,BgL_a4z00_13286); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13288))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13288)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2455z00_13298;obj_t BgL_arg2456z00_13299;
BgL_arg2455z00_13298 = 
(BgL_spz00_13291+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2457z00_13300;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2458z00_13301;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2459z00_13302;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2460z00_13303;
BgL_arg2460z00_13303 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13286, BNIL); 
BgL_arg2459z00_13302 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13285, BgL_arg2460z00_13303); } 
BgL_arg2458z00_13301 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13284, BgL_arg2459z00_13302); } 
BgL_list2457z00_13300 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13283, BgL_arg2458z00_13301); } 
BgL_arg2456z00_13299 = BgL_list2457z00_13300; } 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2455z00_13298,BgL_arg2456z00_13299); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2461z00_13304;
BgL_arg2461z00_13304 = 
(BgL_spz00_13291+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2461z00_13304,BgL_a1z00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2462z00_13305;obj_t BgL_arg2463z00_13306;
BgL_arg2462z00_13305 = 
(BgL_spz00_13291+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2464z00_13307;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2465z00_13308;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2466z00_13309;
BgL_arg2466z00_13309 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13286, BNIL); 
BgL_arg2465z00_13308 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13285, BgL_arg2466z00_13309); } 
BgL_list2464z00_13307 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13284, BgL_arg2465z00_13308); } 
BgL_arg2463z00_13306 = BgL_list2464z00_13307; } 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2462z00_13305,BgL_arg2463z00_13306); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2467z00_13310;
BgL_arg2467z00_13310 = 
(BgL_spz00_13291+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2467z00_13310,BgL_a1z00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2468z00_13311;
BgL_arg2468z00_13311 = 
(BgL_spz00_13291+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2468z00_13311,BgL_a2z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2469z00_13312;obj_t BgL_arg2470z00_13313;
BgL_arg2469z00_13312 = 
(BgL_spz00_13291+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2471z00_13314;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2472z00_13315;
BgL_arg2472z00_13315 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13286, BNIL); 
BgL_list2471z00_13314 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13285, BgL_arg2472z00_13315); } 
BgL_arg2470z00_13313 = BgL_list2471z00_13314; } 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2469z00_13312,BgL_arg2470z00_13313); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2473z00_13316;
BgL_arg2473z00_13316 = 
(BgL_spz00_13291+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2473z00_13316,BgL_a1z00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2474z00_13317;
BgL_arg2474z00_13317 = 
(BgL_spz00_13291+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2474z00_13317,BgL_a2z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2475z00_13318;
BgL_arg2475z00_13318 = 
(BgL_spz00_13291+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2475z00_13318,BgL_a3z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2476z00_13319;obj_t BgL_arg2477z00_13320;
BgL_arg2476z00_13319 = 
(BgL_spz00_13291+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2478z00_13321;
BgL_list2478z00_13321 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13286, BNIL); 
BgL_arg2477z00_13320 = BgL_list2478z00_13321; } 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2476z00_13319,BgL_arg2477z00_13320); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2479z00_13322;
BgL_arg2479z00_13322 = 
(BgL_spz00_13291+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2479z00_13322,BgL_a1z00_13283); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2480z00_13323;
BgL_arg2480z00_13323 = 
(BgL_spz00_13291+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2480z00_13323,BgL_a2z00_13284); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2481z00_13324;
BgL_arg2481z00_13324 = 
(BgL_spz00_13291+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2481z00_13324,BgL_a3z00_13285); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2482z00_13325;
BgL_arg2482z00_13325 = 
(BgL_spz00_13291+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2482z00_13325,BgL_a4z00_13286); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2483z00_13326;obj_t BgL_arg2484z00_13327;
BgL_arg2483z00_13326 = 
(BgL_spz00_13291+((long)4)); 
BgL_arg2484z00_13327 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10855),BgL_arg2483z00_13326,BgL_arg2484z00_13327); } break;
default: 
BgL_case_else1207z00_13296:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2486z00_13297;
BgL_arg2486z00_13297 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13287), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10852, BgL_arg2486z00_13297, 
(int)(((long)4)), 
CINT(BgL_arityz00_13288)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1207z00_13296;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13328;
BgL_z12denvz12_13328 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10855, 
BINT(BgL_spz00_13291), BgL_sfz00_13290))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13289, BgL_sz00_10855, 
BINT(BgL_spz00_13291));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13329;
BgL_nsz00_13329 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2488z00_13330;
BgL_arg2488z00_13330 = 
(BgL_spz00_13291+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13329, ((long)2), BgL_sz00_10855, 
BINT(BgL_spz00_13291), 
BINT(BgL_arg2488z00_13330)); } 
VECTOR_SET(BgL_nsz00_13329,((long)1),BgL_sz00_10855); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13328, BgL_nsz00_13329); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13331;
BgL_ez00_13331 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13331, BgL_sz00_10855); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13332;
BgL_____rz00_13332 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13289, BgL_nsz00_13329, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13331); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13328, BgL_sz00_10855); 
return BgL_____rz00_13332;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13282, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13333;
BgL_nbpz00_13333 = 
(
(long)CINT(BgL_bpz00_13281)+BgL_siza7eza7_10854); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),((long)0),
BINT(BgL_nbpz00_13333)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13334;
BgL_rz00_13334 = 
PROCEDURE_ENTRY(BgL_fz00_13282)(BgL_fz00_13282, BgL_a1z00_13283, BgL_a2z00_13284, BgL_a3z00_13285, BgL_a4z00_13286, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10855),((long)0),BgL_bpz00_13281); 
return BgL_rz00_13334;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10852, BgL_symbzd2funzd2_10853, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13282));} } } } } } } } 
BGL_FUNCTION_END;
}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 892 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_gz00_3011;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2498z00_3019;obj_t BgL_arg2499z00_3020;
BgL_arg2498z00_3019 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2499z00_3020 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3011 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2498z00_3019, BgL_arg2499z00_3020); } 
if(
CBOOL(BgL_gz00_3011))
{ /* Eval/evaluate_comp.scm 898 */
bool_t BgL_testz00_19650;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_arg2497z00_3018;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_res4518z00_8143;
BgL_res4518z00_8143 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3011),((long)0))); 
BgL_arg2497z00_3018 = BgL_res4518z00_8143; } 
BgL_testz00_19650 = 
(
(long)(BgL_arg2497z00_3018)==((long)0)); } 
if(BgL_testz00_19650)
{ /* Eval/evaluate_comp.scm 899 */
obj_t BgL_valz00_3014;
BgL_valz00_3014 = 
VECTOR_REF(
((obj_t)BgL_gz00_3011),((long)2)); 
{ /* Eval/evaluate_comp.scm 900 */
bool_t BgL_testz00_19658;
if(
PROCEDUREP(BgL_valz00_3014))
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19658 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3014, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19658 = ((bool_t)0)
; } 
if(BgL_testz00_19658)
{ /* Eval/evaluate_comp.scm 900 */
return BgL_valz00_3014;}  else 
{ /* Eval/evaluate_comp.scm 900 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 898 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 897 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 903 */
bool_t BgL_testz00_19663;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 904 */
obj_t BgL_tmpz00_19667;
BgL_tmpz00_19667 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19663 = 
PROCEDUREP(BgL_tmpz00_19667); }  else 
{ /* Eval/evaluate_comp.scm 903 */
BgL_testz00_19663 = ((bool_t)0)
; } 
if(BgL_testz00_19663)
{ /* Eval/evaluate_comp.scm 906 */
bool_t BgL_testz00_19671;
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_arg2507z00_3030;
BgL_arg2507z00_3030 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19671 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2507z00_3030, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_testz00_19671)
{ /* Eval/evaluate_comp.scm 906 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 908 */
int BgL_arg2505z00_3028;
{ /* Eval/evaluate_comp.scm 908 */
obj_t BgL_arg2506z00_3029;
BgL_arg2506z00_3029 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2505z00_3028 = 
PROCEDURE_ARITY(BgL_arg2506z00_3029); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2505z00_3028);} }  else 
{ /* Eval/evaluate_comp.scm 903 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 911 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 915 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 917 */
obj_t BgL_v1344z00_3039;
BgL_v1344z00_3039 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1344z00_3039,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 917 */
double BgL_arg2512z00_3040;
BgL_arg2512z00_3040 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1344z00_3039,((long)1),
DOUBLE_TO_REAL(BgL_arg2512z00_3040)); } 
return BgL_v1344z00_3039;}  else 
{ /* Eval/evaluate_comp.scm 918 */
bool_t BgL_testz00_19698;
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_tmpz00_19699;
BgL_tmpz00_19699 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_testz00_19698 = 
REALP(BgL_tmpz00_19699); } 
if(BgL_testz00_19698)
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_v1345z00_3044;
BgL_v1345z00_3044 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1345z00_3044,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_arg2516z00_3045;
BgL_arg2516z00_3045 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1345z00_3044,((long)1),BgL_arg2516z00_3045); } 
return BgL_v1345z00_3044;}  else 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_v1346z00_3046;
BgL_v1346z00_3046 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1346z00_3046,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_arg2517z00_3047;
BgL_arg2517z00_3047 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1346z00_3046,((long)1),BgL_arg2517z00_3047); } 
return BgL_v1346z00_3046;} } }  else 
{ /* Eval/evaluate_comp.scm 915 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 920 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 923 */
obj_t BgL_v1347z00_3053;
BgL_v1347z00_3053 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3053,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1347z00_3053,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1347z00_3053;}  else 
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1348z00_3055;
BgL_v1348z00_3055 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3055,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1348z00_3055,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1348z00_3055;} }  else 
{ /* Eval/evaluate_comp.scm 920 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_gz00_3059;
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_arg2529z00_3067;obj_t BgL_arg2530z00_3068;
BgL_arg2529z00_3067 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2530z00_3068 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3059 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2529z00_3067, BgL_arg2530z00_3068); } 
if(
CBOOL(BgL_gz00_3059))
{ /* Eval/evaluate_comp.scm 929 */
bool_t BgL_testz00_19741;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_arg2527z00_3064;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_res4525z00_8166;
BgL_res4525z00_8166 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3059),((long)0))); 
BgL_arg2527z00_3064 = BgL_res4525z00_8166; } 
BgL_testz00_19741 = 
(
BINT(BgL_arg2527z00_3064)==
BINT(((long)1))); } 
if(BgL_testz00_19741)
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1349z00_3062;
BgL_v1349z00_3062 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3062,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1349z00_3062,((long)1),BgL_gz00_3059); 
return BgL_v1349z00_3062;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1350z00_3063;
BgL_v1350z00_3063 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3063,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1350z00_3063,((long)1),BgL_gz00_3059); 
return BgL_v1350z00_3063;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_v1351z00_3065;
BgL_v1351z00_3065 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1351z00_3065,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_arg2528z00_3066;
BgL_arg2528z00_3066 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1351z00_3065,((long)1),BgL_arg2528z00_3066); } 
return BgL_v1351z00_3065;} }  else 
{ /* Eval/evaluate_comp.scm 925 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 935 */
obj_t BgL_fvalz00_3071;
{ /* Eval/evaluate_comp.scm 935 */
BgL_ev_exprz00_bglt BgL_arg2572z00_3119;
BgL_arg2572z00_3119 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3071 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2572z00_3119); } 
if(
(BgL_fvalz00_3071==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1352z00_3073;
BgL_v1352z00_3073 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1352z00_3073,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2533z00_3074;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2534z00_3075;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8174;
BgL_pairz00_8174 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2534z00_3075 = 
CAR(BgL_pairz00_8174); } 
BgL_arg2533z00_3074 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2534z00_3075, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3073,((long)1),BgL_arg2533z00_3074); } 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2536z00_3077;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2537z00_3078;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8176;
BgL_pairz00_8176 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2537z00_3078 = 
CAR(
CDR(BgL_pairz00_8176)); } 
BgL_arg2536z00_3077 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2537z00_3078, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3073,((long)2),BgL_arg2536z00_3077); } 
return BgL_v1352z00_3073;}  else 
{ /* Eval/evaluate_comp.scm 937 */
if(
(BgL_fvalz00_3071==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_v1353z00_3081;
BgL_v1353z00_3081 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1353z00_3081,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2540z00_3082;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2541z00_3083;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8182;
BgL_pairz00_8182 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2541z00_3083 = 
CAR(BgL_pairz00_8182); } 
BgL_arg2540z00_3082 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2541z00_3083, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3081,((long)1),BgL_arg2540z00_3082); } 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2543z00_3085;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2544z00_3086;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8184;
BgL_pairz00_8184 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2544z00_3086 = 
CAR(
CDR(BgL_pairz00_8184)); } 
BgL_arg2543z00_3085 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2544z00_3086, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3081,((long)2),BgL_arg2543z00_3085); } 
return BgL_v1353z00_3081;}  else 
{ /* Eval/evaluate_comp.scm 939 */
if(
(BgL_fvalz00_3071==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_v1354z00_3089;
BgL_v1354z00_3089 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1354z00_3089,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2547z00_3090;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2548z00_3091;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8190;
BgL_pairz00_8190 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2548z00_3091 = 
CAR(BgL_pairz00_8190); } 
BgL_arg2547z00_3090 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2548z00_3091, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3089,((long)1),BgL_arg2547z00_3090); } 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2550z00_3093;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2551z00_3094;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8192;
BgL_pairz00_8192 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2551z00_3094 = 
CAR(
CDR(BgL_pairz00_8192)); } 
BgL_arg2550z00_3093 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2551z00_3094, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3089,((long)2),BgL_arg2550z00_3093); } 
return BgL_v1354z00_3089;}  else 
{ /* Eval/evaluate_comp.scm 941 */
if(
(BgL_fvalz00_3071==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_v1355z00_3097;
BgL_v1355z00_3097 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1355z00_3097,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2554z00_3098;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2555z00_3099;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8198;
BgL_pairz00_8198 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2555z00_3099 = 
CAR(BgL_pairz00_8198); } 
BgL_arg2554z00_3098 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2555z00_3099, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3097,((long)1),BgL_arg2554z00_3098); } 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2557z00_3101;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2558z00_3102;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8200;
BgL_pairz00_8200 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2558z00_3102 = 
CAR(
CDR(BgL_pairz00_8200)); } 
BgL_arg2557z00_3101 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2558z00_3102, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3097,((long)2),BgL_arg2557z00_3101); } 
return BgL_v1355z00_3097;}  else 
{ /* Eval/evaluate_comp.scm 943 */
if(
(BgL_fvalz00_3071==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_v1356z00_3105;
BgL_v1356z00_3105 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1356z00_3105,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2561z00_3106;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2562z00_3107;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_pairz00_8206;
BgL_pairz00_8206 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2562z00_3107 = 
CAR(BgL_pairz00_8206); } 
BgL_arg2561z00_3106 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2562z00_3107), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3105,((long)1),BgL_arg2561z00_3106); } 
return BgL_v1356z00_3105;}  else 
{ /* Eval/evaluate_comp.scm 945 */
if(
(BgL_fvalz00_3071==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_v1357z00_3110;
BgL_v1357z00_3110 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1357z00_3110,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2565z00_3111;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2566z00_3112;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8209;
BgL_pairz00_8209 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2566z00_3112 = 
CAR(BgL_pairz00_8209); } 
BgL_arg2565z00_3111 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2566z00_3112), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3110,((long)1),BgL_arg2565z00_3111); } 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2568z00_3114;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2569z00_3115;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8211;
BgL_pairz00_8211 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2569z00_3115 = 
CAR(
CDR(BgL_pairz00_8211)); } 
BgL_arg2568z00_3114 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2569z00_3115), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3110,((long)2),BgL_arg2568z00_3114); } 
return BgL_v1357z00_3110;}  else 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_v1358z00_3117;
BgL_v1358z00_3117 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3117,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_arg2571z00_3118;
BgL_arg2571z00_3118 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1358z00_3117,((long)1),BgL_arg2571z00_3118); } 
return BgL_v1358z00_3117;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1359z00_3120;
BgL_v1359z00_3120 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1359z00_3120,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2573z00_3121;
BgL_arg2573z00_3121 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1359z00_3120,((long)1),BgL_arg2573z00_3121); } 
return BgL_v1359z00_3120;} } } } } 
BGL_FUNCTION_END;
}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 953 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 
BGL_FUNCTION_END;
}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12518, obj_t BgL_bcz00_3126)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 968 */
{ 

{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_aux1217z00_3129;
BgL_aux1217z00_3129 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)0)); 
if(
INTEGERP(BgL_aux1217z00_3129))
{ /* Eval/evaluate_comp.scm 955 */
switch( 
(long)CINT(BgL_aux1217z00_3129)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 956 */
obj_t BgL_fun2577z00_3131;
BgL_fun2577z00_3131 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2577z00_3131)(BgL_fun2577z00_3131, BgL_sz00_12518, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 958 */
long BgL_arg2578z00_3132;
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2579z00_3133;obj_t BgL_arg2580z00_3134;
BgL_arg2579z00_3133 = 
VECTOR_REF(
((obj_t)BgL_sz00_12518),((long)0)); 
BgL_arg2580z00_3134 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2578z00_3132 = 
(
(long)CINT(BgL_arg2579z00_3133)+
(long)CINT(BgL_arg2580z00_3134)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12518),BgL_arg2578z00_3132);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2581z00_3135;
{ /* Eval/evaluate_comp.scm 959 */
long BgL_arg2582z00_3136;
{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2583z00_3137;obj_t BgL_arg2584z00_3138;
BgL_arg2583z00_3137 = 
VECTOR_REF(
((obj_t)BgL_sz00_12518),((long)0)); 
BgL_arg2584z00_3138 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2582z00_3136 = 
(
(long)CINT(BgL_arg2583z00_3137)+
(long)CINT(BgL_arg2584z00_3138)); } 
BgL_arg2581z00_3135 = 
VECTOR_REF(
((obj_t)BgL_sz00_12518),BgL_arg2582z00_3136); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2581z00_3135), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2585z00_3139;
{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2586z00_3140;
BgL_arg2586z00_3140 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2585z00_3139 = 
VECTOR_REF(
((obj_t)BgL_arg2586z00_3140),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2585z00_3139);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 961 */
obj_t BgL_arg2587z00_3141;
BgL_arg2587z00_3141 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2587z00_3141),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2588z00_3142;obj_t BgL_arg2589z00_3143;
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2590z00_3144;
BgL_arg2590z00_3144 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2588z00_3142 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2590z00_3144); } 
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2591z00_3145;
BgL_arg2591z00_3145 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)2)); 
BgL_arg2589z00_3143 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2591z00_3145); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2588z00_3142)+
REAL_TO_DOUBLE(BgL_arg2589z00_3143)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2592z00_3146;obj_t BgL_arg2593z00_3147;
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2594z00_3148;
BgL_arg2594z00_3148 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2592z00_3146 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2594z00_3148); } 
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2595z00_3149;
BgL_arg2595z00_3149 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)2)); 
BgL_arg2593z00_3147 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2595z00_3149); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2592z00_3146)-
REAL_TO_DOUBLE(BgL_arg2593z00_3147)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2596z00_3150;obj_t BgL_arg2597z00_3151;
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2598z00_3152;
BgL_arg2598z00_3152 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2596z00_3150 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2598z00_3152); } 
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2599z00_3153;
BgL_arg2599z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)2)); 
BgL_arg2597z00_3151 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2599z00_3153); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2596z00_3150)*
REAL_TO_DOUBLE(BgL_arg2597z00_3151)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2600z00_3154;obj_t BgL_arg2601z00_3155;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2602z00_3156;
BgL_arg2602z00_3156 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2600z00_3154 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2602z00_3156); } 
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2603z00_3157;
BgL_arg2603z00_3157 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)2)); 
BgL_arg2601z00_3155 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12518, BgL_arg2603z00_3157); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2600z00_3154)/
REAL_TO_DOUBLE(BgL_arg2601z00_3155)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2604z00_3158;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_fun2605z00_3159;
BgL_fun2605z00_3159 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2604z00_3158 = 
PROCEDURE_ENTRY(BgL_fun2605z00_3159)(BgL_fun2605z00_3159, BgL_sz00_12518, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2604z00_3158)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2606z00_3160;obj_t BgL_arg2607z00_3161;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2608z00_3162;
BgL_fun2608z00_3162 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)1)); 
BgL_arg2606z00_3160 = 
PROCEDURE_ENTRY(BgL_fun2608z00_3162)(BgL_fun2608z00_3162, BgL_sz00_12518, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2609z00_3163;
BgL_fun2609z00_3163 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)2)); 
BgL_arg2607z00_3161 = 
PROCEDURE_ENTRY(BgL_fun2609z00_3163)(BgL_fun2609z00_3163, BgL_sz00_12518, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
double BgL_tmpz00_19979;
{ /* Eval/evaluate_comp.scm 967 */
long BgL_tmpz00_19980;
BgL_tmpz00_19980 = 
(long)CINT(BgL_arg2607z00_3161); 
BgL_tmpz00_19979 = 
BGL_F64VREF(BgL_arg2606z00_3160, BgL_tmpz00_19980); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_19979);} } break;
default: 
BgL_case_else1216z00_3128:
{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2610z00_3164;
BgL_arg2610z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3126),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_arg2610z00_3164);} } }  else 
{ /* Eval/evaluate_comp.scm 955 */
goto BgL_case_else1216z00_3128;} } } } 
BGL_FUNCTION_END;
}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 971 */
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fvalz00_3167;
BgL_fvalz00_3167 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 974 */
bool_t BgL_testz00_19991;
if(
(BgL_fvalz00_3167==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19991 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3167==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19991 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3167==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19991 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_19991 = 
(BgL_fvalz00_3167==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_testz00_19991)
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_bcz00_3172;
BgL_bcz00_3172 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_zc3anonymousza32615ze3z83_10873;
BgL_zc3anonymousza32615ze3z83_10873 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32615ze3z83_10873, 
(int)(((long)0)), BgL_bcz00_3172); 
return BgL_zc3anonymousza32615ze3z83_10873;} }  else 
{ /* Eval/evaluate_comp.scm 974 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2615> */
obj_t BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10874, obj_t BgL_sz00_10876)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 976 */
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bcz00_10875;
BgL_bcz00_10875 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10874, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 976 */
double BgL_tmpz00_20009;
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bpz00_13335;
BgL_bpz00_13335 = 
VECTOR_REF(
((obj_t)BgL_sz00_10876),((long)0)); 
BgL_tmpz00_20009 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_10875, BgL_sz00_10876); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20009);} } } 
BGL_FUNCTION_END;
}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1005 */
{ /* Eval/evaluate_comp.scm 1006 */
obj_t BgL_valz00_3180;
BgL_valz00_3180 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3180))
{ /* Eval/evaluate_comp.scm 1008 */
long BgL_nz00_3181;
BgL_nz00_3181 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1009 */
obj_t BgL__ortest_1223z00_3182;
if(
(BgL_nz00_3181==((long)1)))
{ /* Eval/evaluate_comp.scm 1010 */
obj_t BgL_a1z00_3473;
BgL_a1z00_3473 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3180==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3475;
BgL_a1z00_3475 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3473), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32732ze3z83_10906;
BgL_zc3anonymousza32732ze3z83_10906 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10906, 
(int)(((long)0)), BgL_a1z00_3475); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10906, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3182 = BgL_zc3anonymousza32732ze3z83_10906; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3180==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3482;
BgL_a1z00_3482 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3473), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32735ze3z83_10907;
BgL_zc3anonymousza32735ze3z83_10907 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10907, 
(int)(((long)0)), BgL_a1z00_3482); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10907, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3182 = BgL_zc3anonymousza32735ze3z83_10907; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3180==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3489;
BgL_a1z00_3489 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3473), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32738ze3z83_10908;
BgL_zc3anonymousza32738ze3z83_10908 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_10908, 
(int)(((long)0)), BgL_a1z00_3489); 
PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_10908, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3182 = BgL_zc3anonymousza32738ze3z83_10908; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BgL__ortest_1223z00_3182 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1009 */
BgL__ortest_1223z00_3182 = BFALSE; } 
if(
CBOOL(BgL__ortest_1223z00_3182))
{ /* Eval/evaluate_comp.scm 1009 */
return BgL__ortest_1223z00_3182;}  else 
{ /* Eval/evaluate_comp.scm 1009 */
if(
(BgL_nz00_3181==((long)2)))
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_a1z00_3184;obj_t BgL_a2z00_3185;
BgL_a1z00_3184 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_pairz00_8291;
BgL_pairz00_8291 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3185 = 
CAR(BgL_pairz00_8291); } 
if(
(BgL_valz00_3180==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3187;obj_t BgL_a2z00_3188;
BgL_a1z00_3187 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3188 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32619ze3z83_10877;
BgL_zc3anonymousza32619ze3z83_10877 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10877, 
(int)(((long)0)), BgL_a1z00_3187); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10877, 
(int)(((long)1)), BgL_a2z00_3188); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10877, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32619ze3z83_10877;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3197;obj_t BgL_a2z00_3198;
BgL_a1z00_3197 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3198 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32623ze3z83_10878;
BgL_zc3anonymousza32623ze3z83_10878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10878, 
(int)(((long)0)), BgL_a1z00_3197); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10878, 
(int)(((long)1)), BgL_a2z00_3198); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10878, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32623ze3z83_10878;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3207;obj_t BgL_a2z00_3208;
BgL_a1z00_3207 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3208 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32627ze3z83_10879;
BgL_zc3anonymousza32627ze3z83_10879 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10879, 
(int)(((long)0)), BgL_a1z00_3207); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10879, 
(int)(((long)1)), BgL_a2z00_3208); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10879, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32627ze3z83_10879;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3217;obj_t BgL_a2z00_3218;
BgL_a1z00_3217 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3218 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32631ze3z83_10880;
BgL_zc3anonymousza32631ze3z83_10880 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10880, 
(int)(((long)0)), BgL_a1z00_3217); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10880, 
(int)(((long)1)), BgL_a2z00_3218); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10880, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32631ze3z83_10880;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3227;obj_t BgL_a2z00_3228;
BgL_a1z00_3227 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3228 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32635ze3z83_10881;
BgL_zc3anonymousza32635ze3z83_10881 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10881, 
(int)(((long)0)), BgL_a1z00_3227); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10881, 
(int)(((long)1)), BgL_a2z00_3228); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10881, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32635ze3z83_10881;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3237;obj_t BgL_a2z00_3238;
BgL_a1z00_3237 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3238 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32639ze3z83_10882;
BgL_zc3anonymousza32639ze3z83_10882 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10882, 
(int)(((long)0)), BgL_a1z00_3237); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10882, 
(int)(((long)1)), BgL_a2z00_3238); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10882, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32639ze3z83_10882;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3247;obj_t BgL_a2z00_3248;
BgL_a1z00_3247 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3248 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32643ze3z83_10883;
BgL_zc3anonymousza32643ze3z83_10883 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10883, 
(int)(((long)0)), BgL_a1z00_3247); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10883, 
(int)(((long)1)), BgL_a2z00_3248); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10883, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32643ze3z83_10883;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3257;obj_t BgL_a2z00_3258;
BgL_a1z00_3257 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3258 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32647ze3z83_10884;
BgL_zc3anonymousza32647ze3z83_10884 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10884, 
(int)(((long)0)), BgL_a1z00_3257); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10884, 
(int)(((long)1)), BgL_a2z00_3258); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10884, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32647ze3z83_10884;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3267;obj_t BgL_a2z00_3268;
BgL_a1z00_3267 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3268 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32651ze3z83_10885;
BgL_zc3anonymousza32651ze3z83_10885 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10885, 
(int)(((long)0)), BgL_a1z00_3267); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10885, 
(int)(((long)1)), BgL_a2z00_3268); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10885, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32651ze3z83_10885;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3277;obj_t BgL_a2z00_3278;
BgL_a1z00_3277 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3278 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32655ze3z83_10886;
BgL_zc3anonymousza32655ze3z83_10886 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10886, 
(int)(((long)0)), BgL_a1z00_3277); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10886, 
(int)(((long)1)), BgL_a2z00_3278); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10886, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32655ze3z83_10886;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3287;obj_t BgL_a2z00_3288;
BgL_a1z00_3287 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3288 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32659ze3z83_10887;
BgL_zc3anonymousza32659ze3z83_10887 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10887, 
(int)(((long)0)), BgL_a1z00_3287); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10887, 
(int)(((long)1)), BgL_a2z00_3288); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10887, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32659ze3z83_10887;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3297;obj_t BgL_a2z00_3298;
BgL_a1z00_3297 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3298 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32663ze3z83_10888;
BgL_zc3anonymousza32663ze3z83_10888 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10888, 
(int)(((long)0)), BgL_a1z00_3297); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10888, 
(int)(((long)1)), BgL_a2z00_3298); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10888, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32663ze3z83_10888;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3307;obj_t BgL_a2z00_3308;
BgL_a1z00_3307 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3308 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32667ze3z83_10889;
BgL_zc3anonymousza32667ze3z83_10889 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10889, 
(int)(((long)0)), BgL_a1z00_3307); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10889, 
(int)(((long)1)), BgL_a2z00_3308); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10889, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32667ze3z83_10889;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3317;obj_t BgL_a2z00_3318;
BgL_a1z00_3317 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3318 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32671ze3z83_10890;
BgL_zc3anonymousza32671ze3z83_10890 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10890, 
(int)(((long)0)), BgL_a1z00_3317); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10890, 
(int)(((long)1)), BgL_a2z00_3318); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10890, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32671ze3z83_10890;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3327;obj_t BgL_a2z00_3328;
BgL_a1z00_3327 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3328 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32675ze3z83_10891;
BgL_zc3anonymousza32675ze3z83_10891 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10891, 
(int)(((long)0)), BgL_a1z00_3327); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10891, 
(int)(((long)1)), BgL_a2z00_3328); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10891, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32675ze3z83_10891;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3337;obj_t BgL_a2z00_3338;
BgL_a1z00_3337 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3338 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32679ze3z83_10892;
BgL_zc3anonymousza32679ze3z83_10892 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10892, 
(int)(((long)0)), BgL_a1z00_3337); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10892, 
(int)(((long)1)), BgL_a2z00_3338); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10892, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32679ze3z83_10892;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3347;obj_t BgL_a2z00_3348;
BgL_a1z00_3347 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3348 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32683ze3z83_10893;
BgL_zc3anonymousza32683ze3z83_10893 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10893, 
(int)(((long)0)), BgL_a1z00_3347); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10893, 
(int)(((long)1)), BgL_a2z00_3348); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10893, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32683ze3z83_10893;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3357;obj_t BgL_a2z00_3358;
BgL_a1z00_3357 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3358 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32687ze3z83_10894;
BgL_zc3anonymousza32687ze3z83_10894 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10894, 
(int)(((long)0)), BgL_a1z00_3357); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10894, 
(int)(((long)1)), BgL_a2z00_3358); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10894, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32687ze3z83_10894;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3367;obj_t BgL_a2z00_3368;
BgL_a1z00_3367 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3368 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32691ze3z83_10895;
BgL_zc3anonymousza32691ze3z83_10895 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10895, 
(int)(((long)0)), BgL_a1z00_3367); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10895, 
(int)(((long)1)), BgL_a2z00_3368); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10895, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32691ze3z83_10895;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3377;obj_t BgL_a2z00_3378;
BgL_a1z00_3377 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3378 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32695ze3z83_10896;
BgL_zc3anonymousza32695ze3z83_10896 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10896, 
(int)(((long)0)), BgL_a1z00_3377); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10896, 
(int)(((long)1)), BgL_a2z00_3378); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10896, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32695ze3z83_10896;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3387;obj_t BgL_a2z00_3388;
BgL_a1z00_3387 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3388 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32699ze3z83_10897;
BgL_zc3anonymousza32699ze3z83_10897 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10897, 
(int)(((long)0)), BgL_a1z00_3387); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10897, 
(int)(((long)1)), BgL_a2z00_3388); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10897, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32699ze3z83_10897;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3397;obj_t BgL_a2z00_3398;
BgL_a1z00_3397 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3398 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32703ze3z83_10898;
BgL_zc3anonymousza32703ze3z83_10898 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10898, 
(int)(((long)0)), BgL_a1z00_3397); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10898, 
(int)(((long)1)), BgL_a2z00_3398); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10898, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32703ze3z83_10898;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3407;obj_t BgL_a2z00_3408;
BgL_a1z00_3407 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3408 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32707ze3z83_10899;
BgL_zc3anonymousza32707ze3z83_10899 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10899, 
(int)(((long)0)), BgL_a1z00_3407); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10899, 
(int)(((long)1)), BgL_a2z00_3408); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10899, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32707ze3z83_10899;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3417;obj_t BgL_a2z00_3418;
BgL_a1z00_3417 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3418 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32711ze3z83_10900;
BgL_zc3anonymousza32711ze3z83_10900 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10900, 
(int)(((long)0)), BgL_a1z00_3417); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10900, 
(int)(((long)1)), BgL_a2z00_3418); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10900, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32711ze3z83_10900;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3427;obj_t BgL_a2z00_3428;
BgL_a1z00_3427 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3428 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32715ze3z83_10901;
BgL_zc3anonymousza32715ze3z83_10901 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10901, 
(int)(((long)0)), BgL_a1z00_3427); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10901, 
(int)(((long)1)), BgL_a2z00_3428); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10901, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32715ze3z83_10901;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3437;obj_t BgL_a2z00_3438;
BgL_a1z00_3437 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3438 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32719ze3z83_10902;
BgL_zc3anonymousza32719ze3z83_10902 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10902, 
(int)(((long)0)), BgL_a1z00_3437); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10902, 
(int)(((long)1)), BgL_a2z00_3438); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10902, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32719ze3z83_10902;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3447;obj_t BgL_a2z00_3448;
BgL_a1z00_3447 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3448 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32723ze3z83_10903;
BgL_zc3anonymousza32723ze3z83_10903 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10903, 
(int)(((long)0)), BgL_a1z00_3447); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10903, 
(int)(((long)1)), BgL_a2z00_3448); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10903, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32723ze3z83_10903;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3457;obj_t BgL_a2z00_3458;
BgL_a1z00_3457 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3458 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32727ze3z83_10904;
BgL_zc3anonymousza32727ze3z83_10904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32727ze3z83_10904, 
(int)(((long)0)), BgL_a1z00_3457); 
PROCEDURE_SET(BgL_zc3anonymousza32727ze3z83_10904, 
(int)(((long)1)), BgL_a2z00_3458); 
return BgL_zc3anonymousza32727ze3z83_10904;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3180==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3465;obj_t BgL_a2z00_3466;
BgL_a1z00_3465 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3184), BgL_stkz00_196); 
BgL_a2z00_3466 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3185), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32729ze3z83_10905;
BgL_zc3anonymousza32729ze3z83_10905 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10905, 
(int)(((long)0)), BgL_a1z00_3465); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10905, 
(int)(((long)1)), BgL_a2z00_3466); 
return BgL_zc3anonymousza32729ze3z83_10905;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1012 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1007 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2619> */
obj_t BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10909, obj_t BgL_sz00_10913)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10910;obj_t BgL_a2z00_10911;obj_t BgL_locz00_10912;
BgL_a1z00_10910 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)0))); 
BgL_a2z00_10911 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)1))); 
BgL_locz00_10912 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13336;
BgL_bpz00_13336 = 
VECTOR_REF(
((obj_t)BgL_sz00_10913),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13337;obj_t BgL_a2z00_13338;
BgL_a1z00_13337 = 
PROCEDURE_ENTRY(BgL_a1z00_10910)(BgL_a1z00_10910, BgL_sz00_10913, BEOA); 
BgL_a2z00_13338 = 
PROCEDURE_ENTRY(BgL_a2z00_10911)(BgL_a2z00_10911, BgL_sz00_10913, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13337))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5184z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13337, BgL_locz00_10912); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13338))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5184z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13338, BgL_locz00_10912); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13337, BgL_a2z00_13338);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2623> */
obj_t BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10914, obj_t BgL_sz00_10918)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10915;obj_t BgL_a2z00_10916;obj_t BgL_locz00_10917;
BgL_a1z00_10915 = 
PROCEDURE_REF(BgL_envz00_10914, 
(int)(((long)0))); 
BgL_a2z00_10916 = 
PROCEDURE_REF(BgL_envz00_10914, 
(int)(((long)1))); 
BgL_locz00_10917 = 
PROCEDURE_REF(BgL_envz00_10914, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13339;
BgL_bpz00_13339 = 
VECTOR_REF(
((obj_t)BgL_sz00_10918),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13340;obj_t BgL_a2z00_13341;
BgL_a1z00_13340 = 
PROCEDURE_ENTRY(BgL_a1z00_10915)(BgL_a1z00_10915, BgL_sz00_10918, BEOA); 
BgL_a2z00_13341 = 
PROCEDURE_ENTRY(BgL_a2z00_10916)(BgL_a2z00_10916, BgL_sz00_10918, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13340))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5188z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13340, BgL_locz00_10917); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13341))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5188z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13341, BgL_locz00_10917); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13340, BgL_a2z00_13341);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2627> */
obj_t BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10919, obj_t BgL_sz00_10923)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10920;obj_t BgL_a2z00_10921;obj_t BgL_locz00_10922;
BgL_a1z00_10920 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)0))); 
BgL_a2z00_10921 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)1))); 
BgL_locz00_10922 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13342;
BgL_bpz00_13342 = 
VECTOR_REF(
((obj_t)BgL_sz00_10923),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13343;obj_t BgL_a2z00_13344;
BgL_a1z00_13343 = 
PROCEDURE_ENTRY(BgL_a1z00_10920)(BgL_a1z00_10920, BgL_sz00_10923, BEOA); 
BgL_a2z00_13344 = 
PROCEDURE_ENTRY(BgL_a2z00_10921)(BgL_a2z00_10921, BgL_sz00_10923, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13343))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5190z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13343, BgL_locz00_10922); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13344))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5190z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13344, BgL_locz00_10922); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13343, BgL_a2z00_13344);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2631> */
obj_t BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10924, obj_t BgL_sz00_10928)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10925;obj_t BgL_a2z00_10926;obj_t BgL_locz00_10927;
BgL_a1z00_10925 = 
PROCEDURE_REF(BgL_envz00_10924, 
(int)(((long)0))); 
BgL_a2z00_10926 = 
PROCEDURE_REF(BgL_envz00_10924, 
(int)(((long)1))); 
BgL_locz00_10927 = 
PROCEDURE_REF(BgL_envz00_10924, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13345;
BgL_bpz00_13345 = 
VECTOR_REF(
((obj_t)BgL_sz00_10928),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13346;obj_t BgL_a2z00_13347;
BgL_a1z00_13346 = 
PROCEDURE_ENTRY(BgL_a1z00_10925)(BgL_a1z00_10925, BgL_sz00_10928, BEOA); 
BgL_a2z00_13347 = 
PROCEDURE_ENTRY(BgL_a2z00_10926)(BgL_a2z00_10926, BgL_sz00_10928, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13346))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5192z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13346, BgL_locz00_10927); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13347))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5192z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13347, BgL_locz00_10927); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13346, BgL_a2z00_13347);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2635> */
obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10929, obj_t BgL_sz00_10933)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10930;obj_t BgL_a2z00_10931;obj_t BgL_locz00_10932;
BgL_a1z00_10930 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)0))); 
BgL_a2z00_10931 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)1))); 
BgL_locz00_10932 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20593;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13348;
BgL_bpz00_13348 = 
VECTOR_REF(
((obj_t)BgL_sz00_10933),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13349;obj_t BgL_a2z00_13350;
BgL_a1z00_13349 = 
PROCEDURE_ENTRY(BgL_a1z00_10930)(BgL_a1z00_10930, BgL_sz00_10933, BEOA); 
BgL_a2z00_13350 = 
PROCEDURE_ENTRY(BgL_a2z00_10931)(BgL_a2z00_10931, BgL_sz00_10933, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13349))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5194z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13349, BgL_locz00_10932); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13350))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5194z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13350, BgL_locz00_10932); } 
BgL_tmpz00_20593 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13349, BgL_a2z00_13350); } } 
return 
BBOOL(BgL_tmpz00_20593);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2639> */
obj_t BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10934, obj_t BgL_sz00_10938)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10935;obj_t BgL_a2z00_10936;obj_t BgL_locz00_10937;
BgL_a1z00_10935 = 
PROCEDURE_REF(BgL_envz00_10934, 
(int)(((long)0))); 
BgL_a2z00_10936 = 
PROCEDURE_REF(BgL_envz00_10934, 
(int)(((long)1))); 
BgL_locz00_10937 = 
PROCEDURE_REF(BgL_envz00_10934, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20618;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13351;
BgL_bpz00_13351 = 
VECTOR_REF(
((obj_t)BgL_sz00_10938),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13352;obj_t BgL_a2z00_13353;
BgL_a1z00_13352 = 
PROCEDURE_ENTRY(BgL_a1z00_10935)(BgL_a1z00_10935, BgL_sz00_10938, BEOA); 
BgL_a2z00_13353 = 
PROCEDURE_ENTRY(BgL_a2z00_10936)(BgL_a2z00_10936, BgL_sz00_10938, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13352))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5196z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13352, BgL_locz00_10937); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13353))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5196z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13353, BgL_locz00_10937); } 
BgL_tmpz00_20618 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13352, BgL_a2z00_13353); } } 
return 
BBOOL(BgL_tmpz00_20618);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2643> */
obj_t BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10939, obj_t BgL_sz00_10943)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10940;obj_t BgL_a2z00_10941;obj_t BgL_locz00_10942;
BgL_a1z00_10940 = 
PROCEDURE_REF(BgL_envz00_10939, 
(int)(((long)0))); 
BgL_a2z00_10941 = 
PROCEDURE_REF(BgL_envz00_10939, 
(int)(((long)1))); 
BgL_locz00_10942 = 
PROCEDURE_REF(BgL_envz00_10939, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20643;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13354;
BgL_bpz00_13354 = 
VECTOR_REF(
((obj_t)BgL_sz00_10943),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13355;obj_t BgL_a2z00_13356;
BgL_a1z00_13355 = 
PROCEDURE_ENTRY(BgL_a1z00_10940)(BgL_a1z00_10940, BgL_sz00_10943, BEOA); 
BgL_a2z00_13356 = 
PROCEDURE_ENTRY(BgL_a2z00_10941)(BgL_a2z00_10941, BgL_sz00_10943, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13355))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5198z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13355, BgL_locz00_10942); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13356))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5198z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13356, BgL_locz00_10942); } 
BgL_tmpz00_20643 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13355, BgL_a2z00_13356); } } 
return 
BBOOL(BgL_tmpz00_20643);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2647> */
obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10944, obj_t BgL_sz00_10948)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10945;obj_t BgL_a2z00_10946;obj_t BgL_locz00_10947;
BgL_a1z00_10945 = 
PROCEDURE_REF(BgL_envz00_10944, 
(int)(((long)0))); 
BgL_a2z00_10946 = 
PROCEDURE_REF(BgL_envz00_10944, 
(int)(((long)1))); 
BgL_locz00_10947 = 
PROCEDURE_REF(BgL_envz00_10944, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20668;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13357;
BgL_bpz00_13357 = 
VECTOR_REF(
((obj_t)BgL_sz00_10948),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13358;obj_t BgL_a2z00_13359;
BgL_a1z00_13358 = 
PROCEDURE_ENTRY(BgL_a1z00_10945)(BgL_a1z00_10945, BgL_sz00_10948, BEOA); 
BgL_a2z00_13359 = 
PROCEDURE_ENTRY(BgL_a2z00_10946)(BgL_a2z00_10946, BgL_sz00_10948, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13358))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5200z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13358, BgL_locz00_10947); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13359))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5200z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13359, BgL_locz00_10947); } 
BgL_tmpz00_20668 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13358, BgL_a2z00_13359); } } 
return 
BBOOL(BgL_tmpz00_20668);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2651> */
obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10949, obj_t BgL_sz00_10953)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10950;obj_t BgL_a2z00_10951;obj_t BgL_locz00_10952;
BgL_a1z00_10950 = 
PROCEDURE_REF(BgL_envz00_10949, 
(int)(((long)0))); 
BgL_a2z00_10951 = 
PROCEDURE_REF(BgL_envz00_10949, 
(int)(((long)1))); 
BgL_locz00_10952 = 
PROCEDURE_REF(BgL_envz00_10949, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20693;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13360;
BgL_bpz00_13360 = 
VECTOR_REF(
((obj_t)BgL_sz00_10953),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13361;obj_t BgL_a2z00_13362;
BgL_a1z00_13361 = 
PROCEDURE_ENTRY(BgL_a1z00_10950)(BgL_a1z00_10950, BgL_sz00_10953, BEOA); 
BgL_a2z00_13362 = 
PROCEDURE_ENTRY(BgL_a2z00_10951)(BgL_a2z00_10951, BgL_sz00_10953, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13361))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5202z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a1z00_13361, BgL_locz00_10952); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13362))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5202z00zz__evaluate_compz00, BGl_symbol5186z00zz__evaluate_compz00, BgL_a2z00_13362, BgL_locz00_10952); } 
BgL_tmpz00_20693 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13361, BgL_a2z00_13362); } } 
return 
BBOOL(BgL_tmpz00_20693);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2655> */
obj_t BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10954, obj_t BgL_sz00_10958)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10955;obj_t BgL_a2z00_10956;obj_t BgL_locz00_10957;
BgL_a1z00_10955 = 
PROCEDURE_REF(BgL_envz00_10954, 
(int)(((long)0))); 
BgL_a2z00_10956 = 
PROCEDURE_REF(BgL_envz00_10954, 
(int)(((long)1))); 
BgL_locz00_10957 = 
PROCEDURE_REF(BgL_envz00_10954, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20718;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13363;
BgL_bpz00_13363 = 
VECTOR_REF(
((obj_t)BgL_sz00_10958),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13364;obj_t BgL_a2z00_13365;
BgL_a1z00_13364 = 
PROCEDURE_ENTRY(BgL_a1z00_10955)(BgL_a1z00_10955, BgL_sz00_10958, BEOA); 
BgL_a2z00_13365 = 
PROCEDURE_ENTRY(BgL_a2z00_10956)(BgL_a2z00_10956, BgL_sz00_10958, BEOA); 
if(
INTEGERP(BgL_a1z00_13364))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5204z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13364, BgL_locz00_10957); } 
if(
INTEGERP(BgL_a2z00_13365))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5204z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13365, BgL_locz00_10957); } 
BgL_tmpz00_20718 = 
(
(long)CINT(BgL_a1z00_13364)+
(long)CINT(BgL_a2z00_13365)); } } 
return 
BINT(BgL_tmpz00_20718);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2659> */
obj_t BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10959, obj_t BgL_sz00_10963)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10960;obj_t BgL_a2z00_10961;obj_t BgL_locz00_10962;
BgL_a1z00_10960 = 
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)0))); 
BgL_a2z00_10961 = 
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)1))); 
BgL_locz00_10962 = 
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20745;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13366;
BgL_bpz00_13366 = 
VECTOR_REF(
((obj_t)BgL_sz00_10963),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13367;obj_t BgL_a2z00_13368;
BgL_a1z00_13367 = 
PROCEDURE_ENTRY(BgL_a1z00_10960)(BgL_a1z00_10960, BgL_sz00_10963, BEOA); 
BgL_a2z00_13368 = 
PROCEDURE_ENTRY(BgL_a2z00_10961)(BgL_a2z00_10961, BgL_sz00_10963, BEOA); 
if(
INTEGERP(BgL_a1z00_13367))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5208z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13367, BgL_locz00_10962); } 
if(
INTEGERP(BgL_a2z00_13368))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5208z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13368, BgL_locz00_10962); } 
BgL_tmpz00_20745 = 
(
(long)CINT(BgL_a1z00_13367)-
(long)CINT(BgL_a2z00_13368)); } } 
return 
BINT(BgL_tmpz00_20745);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2663> */
obj_t BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10964, obj_t BgL_sz00_10968)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10965;obj_t BgL_a2z00_10966;obj_t BgL_locz00_10967;
BgL_a1z00_10965 = 
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)0))); 
BgL_a2z00_10966 = 
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)1))); 
BgL_locz00_10967 = 
PROCEDURE_REF(BgL_envz00_10964, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20772;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13369;
BgL_bpz00_13369 = 
VECTOR_REF(
((obj_t)BgL_sz00_10968),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13370;obj_t BgL_a2z00_13371;
BgL_a1z00_13370 = 
PROCEDURE_ENTRY(BgL_a1z00_10965)(BgL_a1z00_10965, BgL_sz00_10968, BEOA); 
BgL_a2z00_13371 = 
PROCEDURE_ENTRY(BgL_a2z00_10966)(BgL_a2z00_10966, BgL_sz00_10968, BEOA); 
if(
INTEGERP(BgL_a1z00_13370))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5210z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13370, BgL_locz00_10967); } 
if(
INTEGERP(BgL_a2z00_13371))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5210z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13371, BgL_locz00_10967); } 
BgL_tmpz00_20772 = 
(
(long)CINT(BgL_a1z00_13370)*
(long)CINT(BgL_a2z00_13371)); } } 
return 
BINT(BgL_tmpz00_20772);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2667> */
obj_t BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10969, obj_t BgL_sz00_10973)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10970;obj_t BgL_a2z00_10971;obj_t BgL_locz00_10972;
BgL_a1z00_10970 = 
PROCEDURE_REF(BgL_envz00_10969, 
(int)(((long)0))); 
BgL_a2z00_10971 = 
PROCEDURE_REF(BgL_envz00_10969, 
(int)(((long)1))); 
BgL_locz00_10972 = 
PROCEDURE_REF(BgL_envz00_10969, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20799;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13372;
BgL_bpz00_13372 = 
VECTOR_REF(
((obj_t)BgL_sz00_10973),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13373;obj_t BgL_a2z00_13374;
BgL_a1z00_13373 = 
PROCEDURE_ENTRY(BgL_a1z00_10970)(BgL_a1z00_10970, BgL_sz00_10973, BEOA); 
BgL_a2z00_13374 = 
PROCEDURE_ENTRY(BgL_a2z00_10971)(BgL_a2z00_10971, BgL_sz00_10973, BEOA); 
if(
INTEGERP(BgL_a1z00_13373))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5212z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13373, BgL_locz00_10972); } 
if(
INTEGERP(BgL_a2z00_13374))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5212z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13374, BgL_locz00_10972); } 
BgL_tmpz00_20799 = 
(
(long)CINT(BgL_a1z00_13373)/
(long)CINT(BgL_a2z00_13374)); } } 
return 
BINT(BgL_tmpz00_20799);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2671> */
obj_t BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10974, obj_t BgL_sz00_10978)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10975;obj_t BgL_a2z00_10976;obj_t BgL_locz00_10977;
BgL_a1z00_10975 = 
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)0))); 
BgL_a2z00_10976 = 
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)1))); 
BgL_locz00_10977 = 
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20826;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13375;
BgL_bpz00_13375 = 
VECTOR_REF(
((obj_t)BgL_sz00_10978),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13376;obj_t BgL_a2z00_13377;
BgL_a1z00_13376 = 
PROCEDURE_ENTRY(BgL_a1z00_10975)(BgL_a1z00_10975, BgL_sz00_10978, BEOA); 
BgL_a2z00_13377 = 
PROCEDURE_ENTRY(BgL_a2z00_10976)(BgL_a2z00_10976, BgL_sz00_10978, BEOA); 
if(
INTEGERP(BgL_a1z00_13376))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5214z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13376, BgL_locz00_10977); } 
if(
INTEGERP(BgL_a2z00_13377))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5214z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13377, BgL_locz00_10977); } 
BgL_tmpz00_20826 = 
(
(long)CINT(BgL_a1z00_13376)<
(long)CINT(BgL_a2z00_13377)); } } 
return 
BBOOL(BgL_tmpz00_20826);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2675> */
obj_t BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10979, obj_t BgL_sz00_10983)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10980;obj_t BgL_a2z00_10981;obj_t BgL_locz00_10982;
BgL_a1z00_10980 = 
PROCEDURE_REF(BgL_envz00_10979, 
(int)(((long)0))); 
BgL_a2z00_10981 = 
PROCEDURE_REF(BgL_envz00_10979, 
(int)(((long)1))); 
BgL_locz00_10982 = 
PROCEDURE_REF(BgL_envz00_10979, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20853;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13378;
BgL_bpz00_13378 = 
VECTOR_REF(
((obj_t)BgL_sz00_10983),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13379;obj_t BgL_a2z00_13380;
BgL_a1z00_13379 = 
PROCEDURE_ENTRY(BgL_a1z00_10980)(BgL_a1z00_10980, BgL_sz00_10983, BEOA); 
BgL_a2z00_13380 = 
PROCEDURE_ENTRY(BgL_a2z00_10981)(BgL_a2z00_10981, BgL_sz00_10983, BEOA); 
if(
INTEGERP(BgL_a1z00_13379))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5216z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13379, BgL_locz00_10982); } 
if(
INTEGERP(BgL_a2z00_13380))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5216z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13380, BgL_locz00_10982); } 
BgL_tmpz00_20853 = 
(
(long)CINT(BgL_a1z00_13379)>
(long)CINT(BgL_a2z00_13380)); } } 
return 
BBOOL(BgL_tmpz00_20853);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2679> */
obj_t BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10984, obj_t BgL_sz00_10988)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10985;obj_t BgL_a2z00_10986;obj_t BgL_locz00_10987;
BgL_a1z00_10985 = 
PROCEDURE_REF(BgL_envz00_10984, 
(int)(((long)0))); 
BgL_a2z00_10986 = 
PROCEDURE_REF(BgL_envz00_10984, 
(int)(((long)1))); 
BgL_locz00_10987 = 
PROCEDURE_REF(BgL_envz00_10984, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20880;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13381;
BgL_bpz00_13381 = 
VECTOR_REF(
((obj_t)BgL_sz00_10988),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13382;obj_t BgL_a2z00_13383;
BgL_a1z00_13382 = 
PROCEDURE_ENTRY(BgL_a1z00_10985)(BgL_a1z00_10985, BgL_sz00_10988, BEOA); 
BgL_a2z00_13383 = 
PROCEDURE_ENTRY(BgL_a2z00_10986)(BgL_a2z00_10986, BgL_sz00_10988, BEOA); 
if(
INTEGERP(BgL_a1z00_13382))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5218z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13382, BgL_locz00_10987); } 
if(
INTEGERP(BgL_a2z00_13383))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5218z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13383, BgL_locz00_10987); } 
BgL_tmpz00_20880 = 
(
(long)CINT(BgL_a1z00_13382)<=
(long)CINT(BgL_a2z00_13383)); } } 
return 
BBOOL(BgL_tmpz00_20880);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2683> */
obj_t BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10989, obj_t BgL_sz00_10993)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10990;obj_t BgL_a2z00_10991;obj_t BgL_locz00_10992;
BgL_a1z00_10990 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)0))); 
BgL_a2z00_10991 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)1))); 
BgL_locz00_10992 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20907;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13384;
BgL_bpz00_13384 = 
VECTOR_REF(
((obj_t)BgL_sz00_10993),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13385;obj_t BgL_a2z00_13386;
BgL_a1z00_13385 = 
PROCEDURE_ENTRY(BgL_a1z00_10990)(BgL_a1z00_10990, BgL_sz00_10993, BEOA); 
BgL_a2z00_13386 = 
PROCEDURE_ENTRY(BgL_a2z00_10991)(BgL_a2z00_10991, BgL_sz00_10993, BEOA); 
if(
INTEGERP(BgL_a1z00_13385))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5220z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13385, BgL_locz00_10992); } 
if(
INTEGERP(BgL_a2z00_13386))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5220z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13386, BgL_locz00_10992); } 
BgL_tmpz00_20907 = 
(
(long)CINT(BgL_a1z00_13385)>=
(long)CINT(BgL_a2z00_13386)); } } 
return 
BBOOL(BgL_tmpz00_20907);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2687> */
obj_t BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10994, obj_t BgL_sz00_10998)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10995;obj_t BgL_a2z00_10996;obj_t BgL_locz00_10997;
BgL_a1z00_10995 = 
PROCEDURE_REF(BgL_envz00_10994, 
(int)(((long)0))); 
BgL_a2z00_10996 = 
PROCEDURE_REF(BgL_envz00_10994, 
(int)(((long)1))); 
BgL_locz00_10997 = 
PROCEDURE_REF(BgL_envz00_10994, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20934;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13387;
BgL_bpz00_13387 = 
VECTOR_REF(
((obj_t)BgL_sz00_10998),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13388;obj_t BgL_a2z00_13389;
BgL_a1z00_13388 = 
PROCEDURE_ENTRY(BgL_a1z00_10995)(BgL_a1z00_10995, BgL_sz00_10998, BEOA); 
BgL_a2z00_13389 = 
PROCEDURE_ENTRY(BgL_a2z00_10996)(BgL_a2z00_10996, BgL_sz00_10998, BEOA); 
if(
INTEGERP(BgL_a1z00_13388))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a1z00_13388, BgL_locz00_10997); } 
if(
INTEGERP(BgL_a2z00_13389))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5206z00zz__evaluate_compz00, BgL_a2z00_13389, BgL_locz00_10997); } 
BgL_tmpz00_20934 = 
(
(long)CINT(BgL_a1z00_13388)==
(long)CINT(BgL_a2z00_13389)); } } 
return 
BBOOL(BgL_tmpz00_20934);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2691> */
obj_t BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10999, obj_t BgL_sz00_11003)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11000;obj_t BgL_a2z00_11001;obj_t BgL_locz00_11002;
BgL_a1z00_11000 = 
PROCEDURE_REF(BgL_envz00_10999, 
(int)(((long)0))); 
BgL_a2z00_11001 = 
PROCEDURE_REF(BgL_envz00_10999, 
(int)(((long)1))); 
BgL_locz00_11002 = 
PROCEDURE_REF(BgL_envz00_10999, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_20961;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13390;
BgL_bpz00_13390 = 
VECTOR_REF(
((obj_t)BgL_sz00_11003),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13391;obj_t BgL_a2z00_13392;
BgL_a1z00_13391 = 
PROCEDURE_ENTRY(BgL_a1z00_11000)(BgL_a1z00_11000, BgL_sz00_11003, BEOA); 
BgL_a2z00_13392 = 
PROCEDURE_ENTRY(BgL_a2z00_11001)(BgL_a2z00_11001, BgL_sz00_11003, BEOA); 
if(
REALP(BgL_a1z00_13391))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5224z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13391, BgL_locz00_11002); } 
if(
REALP(BgL_a2z00_13392))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5224z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13392, BgL_locz00_11002); } 
BgL_tmpz00_20961 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13391)+
REAL_TO_DOUBLE(BgL_a2z00_13392)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20961);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2695> */
obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11004, obj_t BgL_sz00_11008)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11005;obj_t BgL_a2z00_11006;obj_t BgL_locz00_11007;
BgL_a1z00_11005 = 
PROCEDURE_REF(BgL_envz00_11004, 
(int)(((long)0))); 
BgL_a2z00_11006 = 
PROCEDURE_REF(BgL_envz00_11004, 
(int)(((long)1))); 
BgL_locz00_11007 = 
PROCEDURE_REF(BgL_envz00_11004, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_20988;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13393;
BgL_bpz00_13393 = 
VECTOR_REF(
((obj_t)BgL_sz00_11008),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13394;obj_t BgL_a2z00_13395;
BgL_a1z00_13394 = 
PROCEDURE_ENTRY(BgL_a1z00_11005)(BgL_a1z00_11005, BgL_sz00_11008, BEOA); 
BgL_a2z00_13395 = 
PROCEDURE_ENTRY(BgL_a2z00_11006)(BgL_a2z00_11006, BgL_sz00_11008, BEOA); 
if(
REALP(BgL_a1z00_13394))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13394, BgL_locz00_11007); } 
if(
REALP(BgL_a2z00_13395))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13395, BgL_locz00_11007); } 
BgL_tmpz00_20988 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13394)-
REAL_TO_DOUBLE(BgL_a2z00_13395)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20988);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2699> */
obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11009, obj_t BgL_sz00_11013)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11010;obj_t BgL_a2z00_11011;obj_t BgL_locz00_11012;
BgL_a1z00_11010 = 
PROCEDURE_REF(BgL_envz00_11009, 
(int)(((long)0))); 
BgL_a2z00_11011 = 
PROCEDURE_REF(BgL_envz00_11009, 
(int)(((long)1))); 
BgL_locz00_11012 = 
PROCEDURE_REF(BgL_envz00_11009, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21015;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13396;
BgL_bpz00_13396 = 
VECTOR_REF(
((obj_t)BgL_sz00_11013),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13397;obj_t BgL_a2z00_13398;
BgL_a1z00_13397 = 
PROCEDURE_ENTRY(BgL_a1z00_11010)(BgL_a1z00_11010, BgL_sz00_11013, BEOA); 
BgL_a2z00_13398 = 
PROCEDURE_ENTRY(BgL_a2z00_11011)(BgL_a2z00_11011, BgL_sz00_11013, BEOA); 
if(
REALP(BgL_a1z00_13397))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5230z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13397, BgL_locz00_11012); } 
if(
REALP(BgL_a2z00_13398))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5230z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13398, BgL_locz00_11012); } 
BgL_tmpz00_21015 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13397)*
REAL_TO_DOUBLE(BgL_a2z00_13398)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21015);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2703> */
obj_t BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11014, obj_t BgL_sz00_11018)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11015;obj_t BgL_a2z00_11016;obj_t BgL_locz00_11017;
BgL_a1z00_11015 = 
PROCEDURE_REF(BgL_envz00_11014, 
(int)(((long)0))); 
BgL_a2z00_11016 = 
PROCEDURE_REF(BgL_envz00_11014, 
(int)(((long)1))); 
BgL_locz00_11017 = 
PROCEDURE_REF(BgL_envz00_11014, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21042;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13399;
BgL_bpz00_13399 = 
VECTOR_REF(
((obj_t)BgL_sz00_11018),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13400;obj_t BgL_a2z00_13401;
BgL_a1z00_13400 = 
PROCEDURE_ENTRY(BgL_a1z00_11015)(BgL_a1z00_11015, BgL_sz00_11018, BEOA); 
BgL_a2z00_13401 = 
PROCEDURE_ENTRY(BgL_a2z00_11016)(BgL_a2z00_11016, BgL_sz00_11018, BEOA); 
if(
REALP(BgL_a1z00_13400))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13400, BgL_locz00_11017); } 
if(
REALP(BgL_a2z00_13401))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13401, BgL_locz00_11017); } 
BgL_tmpz00_21042 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13400)/
REAL_TO_DOUBLE(BgL_a2z00_13401)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21042);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2707> */
obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11019, obj_t BgL_sz00_11023)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11020;obj_t BgL_a2z00_11021;obj_t BgL_locz00_11022;
BgL_a1z00_11020 = 
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)0))); 
BgL_a2z00_11021 = 
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)1))); 
BgL_locz00_11022 = 
PROCEDURE_REF(BgL_envz00_11019, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21069;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13402;
BgL_bpz00_13402 = 
VECTOR_REF(
((obj_t)BgL_sz00_11023),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13403;obj_t BgL_a2z00_13404;
BgL_a1z00_13403 = 
PROCEDURE_ENTRY(BgL_a1z00_11020)(BgL_a1z00_11020, BgL_sz00_11023, BEOA); 
BgL_a2z00_13404 = 
PROCEDURE_ENTRY(BgL_a2z00_11021)(BgL_a2z00_11021, BgL_sz00_11023, BEOA); 
if(
REALP(BgL_a1z00_13403))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13403, BgL_locz00_11022); } 
if(
REALP(BgL_a2z00_13404))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13404, BgL_locz00_11022); } 
BgL_tmpz00_21069 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13403)<
REAL_TO_DOUBLE(BgL_a2z00_13404)); } } 
return 
BBOOL(BgL_tmpz00_21069);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2711> */
obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11024, obj_t BgL_sz00_11028)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11025;obj_t BgL_a2z00_11026;obj_t BgL_locz00_11027;
BgL_a1z00_11025 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)0))); 
BgL_a2z00_11026 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)1))); 
BgL_locz00_11027 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21096;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13405;
BgL_bpz00_13405 = 
VECTOR_REF(
((obj_t)BgL_sz00_11028),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13406;obj_t BgL_a2z00_13407;
BgL_a1z00_13406 = 
PROCEDURE_ENTRY(BgL_a1z00_11025)(BgL_a1z00_11025, BgL_sz00_11028, BEOA); 
BgL_a2z00_13407 = 
PROCEDURE_ENTRY(BgL_a2z00_11026)(BgL_a2z00_11026, BgL_sz00_11028, BEOA); 
if(
REALP(BgL_a1z00_13406))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13406, BgL_locz00_11027); } 
if(
REALP(BgL_a2z00_13407))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13407, BgL_locz00_11027); } 
BgL_tmpz00_21096 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13406)>
REAL_TO_DOUBLE(BgL_a2z00_13407)); } } 
return 
BBOOL(BgL_tmpz00_21096);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2715> */
obj_t BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11029, obj_t BgL_sz00_11033)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11030;obj_t BgL_a2z00_11031;obj_t BgL_locz00_11032;
BgL_a1z00_11030 = 
PROCEDURE_REF(BgL_envz00_11029, 
(int)(((long)0))); 
BgL_a2z00_11031 = 
PROCEDURE_REF(BgL_envz00_11029, 
(int)(((long)1))); 
BgL_locz00_11032 = 
PROCEDURE_REF(BgL_envz00_11029, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21123;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13408;
BgL_bpz00_13408 = 
VECTOR_REF(
((obj_t)BgL_sz00_11033),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13409;obj_t BgL_a2z00_13410;
BgL_a1z00_13409 = 
PROCEDURE_ENTRY(BgL_a1z00_11030)(BgL_a1z00_11030, BgL_sz00_11033, BEOA); 
BgL_a2z00_13410 = 
PROCEDURE_ENTRY(BgL_a2z00_11031)(BgL_a2z00_11031, BgL_sz00_11033, BEOA); 
if(
REALP(BgL_a1z00_13409))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13409, BgL_locz00_11032); } 
if(
REALP(BgL_a2z00_13410))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13410, BgL_locz00_11032); } 
BgL_tmpz00_21123 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13409)<=
REAL_TO_DOUBLE(BgL_a2z00_13410)); } } 
return 
BBOOL(BgL_tmpz00_21123);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2719> */
obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11034, obj_t BgL_sz00_11038)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11035;obj_t BgL_a2z00_11036;obj_t BgL_locz00_11037;
BgL_a1z00_11035 = 
PROCEDURE_REF(BgL_envz00_11034, 
(int)(((long)0))); 
BgL_a2z00_11036 = 
PROCEDURE_REF(BgL_envz00_11034, 
(int)(((long)1))); 
BgL_locz00_11037 = 
PROCEDURE_REF(BgL_envz00_11034, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21150;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13411;
BgL_bpz00_13411 = 
VECTOR_REF(
((obj_t)BgL_sz00_11038),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13412;obj_t BgL_a2z00_13413;
BgL_a1z00_13412 = 
PROCEDURE_ENTRY(BgL_a1z00_11035)(BgL_a1z00_11035, BgL_sz00_11038, BEOA); 
BgL_a2z00_13413 = 
PROCEDURE_ENTRY(BgL_a2z00_11036)(BgL_a2z00_11036, BgL_sz00_11038, BEOA); 
if(
REALP(BgL_a1z00_13412))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13412, BgL_locz00_11037); } 
if(
REALP(BgL_a2z00_13413))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13413, BgL_locz00_11037); } 
BgL_tmpz00_21150 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13412)>=
REAL_TO_DOUBLE(BgL_a2z00_13413)); } } 
return 
BBOOL(BgL_tmpz00_21150);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2723> */
obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11039, obj_t BgL_sz00_11043)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11040;obj_t BgL_a2z00_11041;obj_t BgL_locz00_11042;
BgL_a1z00_11040 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)0))); 
BgL_a2z00_11041 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)1))); 
BgL_locz00_11042 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21177;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13414;
BgL_bpz00_13414 = 
VECTOR_REF(
((obj_t)BgL_sz00_11043),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13415;obj_t BgL_a2z00_13416;
BgL_a1z00_13415 = 
PROCEDURE_ENTRY(BgL_a1z00_11040)(BgL_a1z00_11040, BgL_sz00_11043, BEOA); 
BgL_a2z00_13416 = 
PROCEDURE_ENTRY(BgL_a2z00_11041)(BgL_a2z00_11041, BgL_sz00_11043, BEOA); 
if(
REALP(BgL_a1z00_13415))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a1z00_13415, BgL_locz00_11042); } 
if(
REALP(BgL_a2z00_13416))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5226z00zz__evaluate_compz00, BgL_a2z00_13416, BgL_locz00_11042); } 
BgL_tmpz00_21177 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13415)==
REAL_TO_DOUBLE(BgL_a2z00_13416)); } } 
return 
BBOOL(BgL_tmpz00_21177);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2727> */
obj_t BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11044, obj_t BgL_sz00_11047)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11045;obj_t BgL_a2z00_11046;
BgL_a1z00_11045 = 
PROCEDURE_REF(BgL_envz00_11044, 
(int)(((long)0))); 
BgL_a2z00_11046 = 
PROCEDURE_REF(BgL_envz00_11044, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21202;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13417;
BgL_bpz00_13417 = 
VECTOR_REF(
((obj_t)BgL_sz00_11047),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13418;obj_t BgL_a2z00_13419;
BgL_a1z00_13418 = 
PROCEDURE_ENTRY(BgL_a1z00_11045)(BgL_a1z00_11045, BgL_sz00_11047, BEOA); 
BgL_a2z00_13419 = 
PROCEDURE_ENTRY(BgL_a2z00_11046)(BgL_a2z00_11046, BgL_sz00_11047, BEOA); 
BgL_tmpz00_21202 = 
(BgL_a1z00_13418==BgL_a2z00_13419); } } 
return 
BBOOL(BgL_tmpz00_21202);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2729> */
obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11048, obj_t BgL_sz00_11051)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11049;obj_t BgL_a2z00_11050;
BgL_a1z00_11049 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)0))); 
BgL_a2z00_11050 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13420;
BgL_bpz00_13420 = 
VECTOR_REF(
((obj_t)BgL_sz00_11051),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13421;obj_t BgL_a2z00_13422;
BgL_a1z00_13421 = 
PROCEDURE_ENTRY(BgL_a1z00_11049)(BgL_a1z00_11049, BgL_sz00_11051, BEOA); 
BgL_a2z00_13422 = 
PROCEDURE_ENTRY(BgL_a2z00_11050)(BgL_a2z00_11050, BgL_sz00_11051, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13421, BgL_a2z00_13422);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2732> */
obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11052, obj_t BgL_sz00_11055)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11053;obj_t BgL_locz00_11054;
BgL_a1z00_11053 = 
PROCEDURE_REF(BgL_envz00_11052, 
(int)(((long)0))); 
BgL_locz00_11054 = 
PROCEDURE_REF(BgL_envz00_11052, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13423;
BgL_bpz00_13423 = 
VECTOR_REF(
((obj_t)BgL_sz00_11055),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13424;
BgL_a1z00_13424 = 
PROCEDURE_ENTRY(BgL_a1z00_11053)(BgL_a1z00_11053, BgL_sz00_11055, BEOA); 
if(
PAIRP(BgL_a1z00_13424))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5244z00zz__evaluate_compz00, BGl_symbol5246z00zz__evaluate_compz00, BgL_a1z00_13424, BgL_locz00_11054); } 
return 
CAR(
((obj_t)BgL_a1z00_13424));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2735> */
obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11056, obj_t BgL_sz00_11059)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11057;obj_t BgL_locz00_11058;
BgL_a1z00_11057 = 
PROCEDURE_REF(BgL_envz00_11056, 
(int)(((long)0))); 
BgL_locz00_11058 = 
PROCEDURE_REF(BgL_envz00_11056, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13425;
BgL_bpz00_13425 = 
VECTOR_REF(
((obj_t)BgL_sz00_11059),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13426;
BgL_a1z00_13426 = 
PROCEDURE_ENTRY(BgL_a1z00_11057)(BgL_a1z00_11057, BgL_sz00_11059, BEOA); 
if(
PAIRP(BgL_a1z00_13426))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5248z00zz__evaluate_compz00, BGl_symbol5246z00zz__evaluate_compz00, BgL_a1z00_13426, BgL_locz00_11058); } 
return 
CDR(
((obj_t)BgL_a1z00_13426));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2738> */
obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11060, obj_t BgL_sz00_11063)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11061;obj_t BgL_locz00_11062;
BgL_a1z00_11061 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)0))); 
BgL_locz00_11062 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13427;
BgL_bpz00_13427 = 
VECTOR_REF(
((obj_t)BgL_sz00_11063),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13428;
BgL_a1z00_13428 = 
PROCEDURE_ENTRY(BgL_a1z00_11061)(BgL_a1z00_11061, BgL_sz00_11063, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13428))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_arg2740z00_13429;
BgL_arg2740z00_13429 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13428); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5250z00zz__evaluate_compz00, BGl_symbol5246z00zz__evaluate_compz00, BgL_arg2740z00_13429, BgL_locz00_11062); } 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_pairz00_13430;
BgL_pairz00_13430 = 
CDR(
((obj_t)BgL_a1z00_13428)); 
return 
CAR(BgL_pairz00_13430);} } } } } 
BGL_FUNCTION_END;
}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1019 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_tmpz00_21279;
BgL_tmpz00_21279 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_21279);}  else 
{ /* Eval/evaluate_comp.scm 1020 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1022 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1023 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1023 */
return BgL_vz00_198;} } 
BGL_FUNCTION_END;
}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1051 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 
BGL_FUNCTION_END;
}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1056 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1058 */
long BgL_g1233z00_3501;
BgL_g1233z00_3501 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3503;long BgL_spz00_3504;obj_t BgL_lz00_3505;
BgL_rz00_3503 = BgL_g1233z00_3501; 
BgL_spz00_3504 = BgL_spz00_205; 
BgL_lz00_3505 = BgL_valsz00_207; 
BgL_zc3anonymousza32745ze3z83_3506:
if(
(BgL_rz00_3503==((long)0)))
{ /* Eval/evaluate_comp.scm 1060 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3504,BgL_lz00_3505);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
if(
PAIRP(BgL_lz00_3505))
{ /* Eval/evaluate_comp.scm 1062 */
{ /* Eval/evaluate_comp.scm 1065 */
obj_t BgL_arg2748z00_3509;
BgL_arg2748z00_3509 = 
CAR(BgL_lz00_3505); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3504,BgL_arg2748z00_3509); } 
{ 
obj_t BgL_lz00_21308;long BgL_spz00_21306;long BgL_rz00_21304;
BgL_rz00_21304 = 
(BgL_rz00_3503-((long)1)); 
BgL_spz00_21306 = 
(BgL_spz00_3504+((long)1)); 
BgL_lz00_21308 = 
CDR(BgL_lz00_3505); 
BgL_lz00_3505 = BgL_lz00_21308; 
BgL_spz00_3504 = BgL_spz00_21306; 
BgL_rz00_3503 = BgL_rz00_21304; 
goto BgL_zc3anonymousza32745ze3z83_3506;} }  else 
{ /* Eval/evaluate_comp.scm 1063 */
long BgL_arg2752z00_3513;
BgL_arg2752z00_3513 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2752z00_3513));} } } }  else 
{ 
long BgL_rz00_3516;long BgL_spz00_3517;obj_t BgL_lz00_3518;
BgL_rz00_3516 = BgL_arityz00_206; 
BgL_spz00_3517 = BgL_spz00_205; 
BgL_lz00_3518 = BgL_valsz00_207; 
BgL_zc3anonymousza32753ze3z83_3519:
if(
(BgL_rz00_3516==((long)0)))
{ /* Eval/evaluate_comp.scm 1069 */
if(
NULLP(BgL_lz00_3518))
{ /* Eval/evaluate_comp.scm 1070 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1071 */
long BgL_arg2756z00_3522;
BgL_arg2756z00_3522 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2756z00_3522));} }  else 
{ /* Eval/evaluate_comp.scm 1069 */
if(
PAIRP(BgL_lz00_3518))
{ /* Eval/evaluate_comp.scm 1072 */
{ /* Eval/evaluate_comp.scm 1075 */
obj_t BgL_arg2758z00_3524;
BgL_arg2758z00_3524 = 
CAR(BgL_lz00_3518); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3517,BgL_arg2758z00_3524); } 
{ 
obj_t BgL_lz00_21331;long BgL_spz00_21329;long BgL_rz00_21327;
BgL_rz00_21327 = 
(BgL_rz00_3516-((long)1)); 
BgL_spz00_21329 = 
(BgL_spz00_3517+((long)1)); 
BgL_lz00_21331 = 
CDR(BgL_lz00_3518); 
BgL_lz00_3518 = BgL_lz00_21331; 
BgL_spz00_3517 = BgL_spz00_21329; 
BgL_rz00_3516 = BgL_rz00_21327; 
goto BgL_zc3anonymousza32753ze3z83_3519;} }  else 
{ /* Eval/evaluate_comp.scm 1073 */
long BgL_arg2762z00_3528;
BgL_arg2762z00_3528 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2762z00_3528));} } } } 
BGL_FUNCTION_END;
}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1170 */
{ 
long BgL_iz00_3532;
BgL_iz00_3532 = ((long)0); 
BgL_zc3anonymousza32763ze3z83_3533:
{ /* Eval/evaluate_comp.scm 1173 */
long BgL_spz00_3534;
{ /* Eval/evaluate_comp.scm 1173 */
obj_t BgL_arg2767z00_3539;
BgL_arg2767z00_3539 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3532); 
BgL_spz00_3534 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2767z00_3539)); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2764z00_3535;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2765z00_3536;
BgL_arg2765z00_3536 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3534); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8461;
BgL_newz00_8461 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_21346;
BgL_tmpz00_21346 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8461, BgL_tmpz00_21346, BgL_arg2765z00_3536); } 
BgL_arg2764z00_3535 = BgL_newz00_8461; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3534,BgL_arg2764z00_3535); } 
{ /* Eval/evaluate_comp.scm 1175 */
long BgL_niz00_3537;
BgL_niz00_3537 = 
(BgL_iz00_3532+((long)1)); 
if(
(BgL_niz00_3537<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_21356;
BgL_iz00_21356 = BgL_niz00_3537; 
BgL_iz00_3532 = BgL_iz00_21356; 
goto BgL_zc3anonymousza32763ze3z83_3533;}  else 
{ /* Eval/evaluate_comp.scm 1176 */
return ((bool_t)0);} } } } } 
BGL_FUNCTION_END;
}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1178 */
{ /* Eval/evaluate_comp.scm 1179 */
obj_t BgL_rz00_3542;
BgL_rz00_3542 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1179 */

{ 
long BgL_iz00_3544;
BgL_iz00_3544 = ((long)0); 
BgL_zc3anonymousza32768ze3z83_3545:
if(
(BgL_iz00_3544>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1181 */
return BgL_rz00_3542;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2770z00_3547;
{ /* Eval/evaluate_comp.scm 1184 */
long BgL_arg2771z00_3548;
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2772z00_3549;
BgL_arg2772z00_3549 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3544); 
BgL_arg2771z00_3548 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2772z00_3549)); } 
BgL_arg2770z00_3547 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2771z00_3548); } 
VECTOR_SET(BgL_rz00_3542,BgL_iz00_3544,BgL_arg2770z00_3547); } 
{ 
long BgL_iz00_21372;
BgL_iz00_21372 = 
(BgL_iz00_3544+((long)1)); 
BgL_iz00_3544 = BgL_iz00_21372; 
goto BgL_zc3anonymousza32768ze3z83_3545;} } } } } } 
BGL_FUNCTION_END;
}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1187 */
{ /* Eval/evaluate_comp.scm 1188 */
long BgL_stopz00_3553;
BgL_stopz00_3553 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3555;long BgL_spz00_3556;
BgL_iz00_3555 = ((long)0); 
BgL_spz00_3556 = BgL_spz00_219; 
BgL_zc3anonymousza32775ze3z83_3557:
if(
(BgL_spz00_3556<BgL_stopz00_3553))
{ /* Eval/evaluate_comp.scm 1190 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2777z00_3559;
BgL_arg2777z00_3559 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3555); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3556,BgL_arg2777z00_3559); } 
{ 
long BgL_spz00_21385;long BgL_iz00_21383;
BgL_iz00_21383 = 
(BgL_iz00_3555+((long)1)); 
BgL_spz00_21385 = 
(BgL_spz00_3556+((long)1)); 
BgL_spz00_3556 = BgL_spz00_21385; 
BgL_iz00_3555 = BgL_iz00_21383; 
goto BgL_zc3anonymousza32775ze3z83_3557;} }  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc5252z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string5253z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp1382 */
obj_t BGl_z62comp1382z62zz__evaluate_compz00(obj_t BgL_envz00_11149, obj_t BgL_ez00_11150, obj_t BgL_stkz00_11151)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_string5254z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11150)));} 
BGL_FUNCTION_END;
}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1383z00_3569;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4625z00_8529;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_8502;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4619z00_8505;
BgL_res4619z00_8505 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
BgL_objzd2classzd2numz00_8502 = BgL_res4619z00_8505; } 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg3952z00_8503;
BgL_arg3952z00_8503 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_8507;
BgL_offsetz00_8507 = 
(int)(BgL_objzd2classzd2numz00_8502); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_8508;
BgL_offsetz00_8508 = 
(
(long)(BgL_offsetz00_8507)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8509;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3954z00_8510;
BgL_arg3954z00_8510 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4622z00_8520;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21399;
BgL_tmpz00_21399 = 
(long)(BgL_arg3954z00_8510); 
BgL_res4622z00_8520 = 
(BgL_offsetz00_8508/BgL_tmpz00_21399); } 
BgL_modz00_8509 = BgL_res4622z00_8520; } } 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8511;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3953z00_8512;
BgL_arg3953z00_8512 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4624z00_8524;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21403;
BgL_tmpz00_21403 = 
(long)(BgL_arg3953z00_8512); 
BgL_res4624z00_8524 = 
(BgL_offsetz00_8508%BgL_tmpz00_21403); } 
BgL_restz00_8511 = BgL_res4624z00_8524; } } 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8513;
BgL_bucketz00_8513 = 
VECTOR_REF(
((obj_t)BgL_arg3952z00_8503),BgL_modz00_8509); 
BgL_res4625z00_8529 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8513),BgL_restz00_8511); } } } } } } } } 
BgL_method1383z00_3569 = BgL_res4625z00_8529; } 
return 
PROCEDURE_ENTRY(BgL_method1383z00_3569)(BgL_method1383z00_3569, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11152, obj_t BgL_ez00_11153, obj_t BgL_stkz00_11154)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_21416;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_11153, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_21416 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11153)
; }  else 
{ 
obj_t BgL_auxz00_21420;
BgL_auxz00_21420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5169z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string5255z00zz__evaluate_compz00, BGl_string5171z00zz__evaluate_compz00, BgL_ez00_11153); 
FAILURE(BgL_auxz00_21420,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_21416, BgL_stkz00_11154);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc5256z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5258z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc5259z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc5260z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc5261z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc5262z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc5263z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5264z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5265z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5266z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc5267z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5268z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc5269z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc5270z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc5271z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc5272z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc5273z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc5274z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc5275z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc5276z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5277z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5278z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp-ev_abs1428 */
obj_t BGl_z62compzd2ev_abs1428zb0zz__evaluate_compz00(obj_t BgL_envz00_11349, obj_t BgL_ez00_11350, obj_t BgL_stkz00_11351)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1158 */
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_ifreesz00_13433;obj_t BgL_iboxesz00_13434;long BgL_siza7eza7_13435;long BgL_siza7ezd2framez75_13436;obj_t BgL_nstkz00_13437;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3669z00_13438;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_l1360z00_13439;
BgL_l1360z00_13439 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_freez00); 
if(
NULLP(BgL_l1360z00_13439))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3669z00_13438 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_head1362z00_13440;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4715z00_13441;
BgL_res4715z00_13441 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1362z00_13440 = BgL_res4715z00_13441; } 
{ 
obj_t BgL_l1360z00_13443;obj_t BgL_tail1363z00_13444;
BgL_l1360z00_13443 = BgL_l1360z00_13439; 
BgL_tail1363z00_13444 = BgL_head1362z00_13440; 
BgL_zc3anonymousza33671ze3z83_13442:
if(
NULLP(BgL_l1360z00_13443))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3669z00_13438 = 
CDR(BgL_head1362z00_13440); }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_newtail1364z00_13445;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3674z00_13446;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_vz00_13447;
BgL_vz00_13447 = 
CAR(
((obj_t)BgL_l1360z00_13443)); 
BgL_arg3674z00_13446 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13447, BgL_stkz00_11351); } 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4717z00_13448;
BgL_res4717z00_13448 = 
MAKE_YOUNG_PAIR(BgL_arg3674z00_13446, BNIL); 
BgL_newtail1364z00_13445 = BgL_res4717z00_13448; } } 
SET_CDR(BgL_tail1363z00_13444, BgL_newtail1364z00_13445); 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3673z00_13449;
BgL_arg3673z00_13449 = 
CDR(
((obj_t)BgL_l1360z00_13443)); 
{ 
obj_t BgL_tail1363z00_21463;obj_t BgL_l1360z00_21462;
BgL_l1360z00_21462 = BgL_arg3673z00_13449; 
BgL_tail1363z00_21463 = BgL_newtail1364z00_13445; 
BgL_tail1363z00_13444 = BgL_tail1363z00_21463; 
BgL_l1360z00_13443 = BgL_l1360z00_21462; 
goto BgL_zc3anonymousza33671ze3z83_13442;} } } } } } 
BgL_ifreesz00_13433 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3669z00_13438); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3675z00_13450;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_l1365z00_13451;
BgL_l1365z00_13451 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_boxesz00); 
if(
NULLP(BgL_l1365z00_13451))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3675z00_13450 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_head1367z00_13452;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4719z00_13453;
BgL_res4719z00_13453 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1367z00_13452 = BgL_res4719z00_13453; } 
{ 
obj_t BgL_l1365z00_13455;obj_t BgL_tail1368z00_13456;
BgL_l1365z00_13455 = BgL_l1365z00_13451; 
BgL_tail1368z00_13456 = BgL_head1367z00_13452; 
BgL_zc3anonymousza33677ze3z83_13454:
if(
NULLP(BgL_l1365z00_13455))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3675z00_13450 = 
CDR(BgL_head1367z00_13452); }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_newtail1369z00_13457;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3680z00_13458;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_vz00_13459;
BgL_vz00_13459 = 
CAR(
((obj_t)BgL_l1365z00_13455)); 
BgL_arg3680z00_13458 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13459, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_varsz00)); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4721z00_13460;
BgL_res4721z00_13460 = 
MAKE_YOUNG_PAIR(BgL_arg3680z00_13458, BNIL); 
BgL_newtail1369z00_13457 = BgL_res4721z00_13460; } } 
SET_CDR(BgL_tail1368z00_13456, BgL_newtail1369z00_13457); 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3679z00_13461;
BgL_arg3679z00_13461 = 
CDR(
((obj_t)BgL_l1365z00_13455)); 
{ 
obj_t BgL_tail1368z00_21483;obj_t BgL_l1365z00_21482;
BgL_l1365z00_21482 = BgL_arg3679z00_13461; 
BgL_tail1368z00_21483 = BgL_newtail1369z00_13457; 
BgL_tail1368z00_13456 = BgL_tail1368z00_21483; 
BgL_l1365z00_13455 = BgL_l1365z00_21482; 
goto BgL_zc3anonymousza33677ze3z83_13454;} } } } } } 
BgL_iboxesz00_13434 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3675z00_13450); } 
BgL_siza7eza7_13435 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13436 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_freez00))); 
BgL_nstkz00_13437 = 
BGl_appendzd221009zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1165 */
obj_t BgL_bodyz00_13462;
BgL_bodyz00_13462 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_bodyz00), BgL_nstkz00_13437); 
{ 

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_aux1245z00_13468;
BgL_aux1245z00_13468 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11350)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1245z00_13468))
{ /* Eval/evaluate_comp.scm 1167 */
switch( 
(long)CINT(BgL_aux1245z00_13468)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33131ze3z83_13469;
BgL_zc3anonymousza33131ze3z83_13469 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13469, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13469, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13469, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33131ze3z83_13469;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33137ze3z83_13470;
BgL_zc3anonymousza33137ze3z83_13470 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13470, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13470, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13470, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13470, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33137ze3z83_13470;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33146ze3z83_13471;
BgL_zc3anonymousza33146ze3z83_13471 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13471, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13471, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13471, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13471, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13471, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33146ze3z83_13471;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33153ze3z83_13472;
BgL_zc3anonymousza33153ze3z83_13472 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13472, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33153ze3z83_13472;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33166ze3z83_13473;
BgL_zc3anonymousza33166ze3z83_13473 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13473, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13473, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13473, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33166ze3z83_13473;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33173ze3z83_13474;
BgL_zc3anonymousza33173ze3z83_13474 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13474, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13474, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13474, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13474, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33173ze3z83_13474;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33183ze3z83_13475;
BgL_zc3anonymousza33183ze3z83_13475 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13475, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13475, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13475, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13475, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13475, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33183ze3z83_13475;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33191ze3z83_13476;
BgL_zc3anonymousza33191ze3z83_13476 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13476, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33191ze3z83_13476;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33205ze3z83_13477;
BgL_zc3anonymousza33205ze3z83_13477 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13477, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13477, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13477, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33205ze3z83_13477;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33212ze3z83_13478;
BgL_zc3anonymousza33212ze3z83_13478 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13478, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13478, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13478, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13478, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33212ze3z83_13478;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33222ze3z83_13479;
BgL_zc3anonymousza33222ze3z83_13479 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13479, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13479, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13479, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13479, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13479, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33222ze3z83_13479;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33230ze3z83_13480;
BgL_zc3anonymousza33230ze3z83_13480 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13480, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33230ze3z83_13480;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33244ze3z83_13481;
BgL_zc3anonymousza33244ze3z83_13481 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13481, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13481, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13481, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33244ze3z83_13481;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33252ze3z83_13482;
BgL_zc3anonymousza33252ze3z83_13482 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13482, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13482, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13482, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13482, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33252ze3z83_13482;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33263ze3z83_13483;
BgL_zc3anonymousza33263ze3z83_13483 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13483, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13483, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13483, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13483, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13483, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33263ze3z83_13483;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33272ze3z83_13484;
BgL_zc3anonymousza33272ze3z83_13484 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13484, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33272ze3z83_13484;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33287ze3z83_13485;
BgL_zc3anonymousza33287ze3z83_13485 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13485, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13485, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13485, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33287ze3z83_13485;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33295ze3z83_13486;
BgL_zc3anonymousza33295ze3z83_13486 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13486, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13486, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13486, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13486, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33295ze3z83_13486;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33306ze3z83_13487;
BgL_zc3anonymousza33306ze3z83_13487 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13487, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13487, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13487, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13487, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13487, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33306ze3z83_13487;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33315ze3z83_13488;
BgL_zc3anonymousza33315ze3z83_13488 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13488, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33315ze3z83_13488;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33330ze3z83_13489;
BgL_zc3anonymousza33330ze3z83_13489 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13489, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13489, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13489, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33330ze3z83_13489;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33339ze3z83_13490;
BgL_zc3anonymousza33339ze3z83_13490 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13490, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13490, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13490, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13490, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33339ze3z83_13490;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33351ze3z83_13491;
BgL_zc3anonymousza33351ze3z83_13491 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13491, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13491, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13491, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13491, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13491, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33351ze3z83_13491;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33361ze3z83_13492;
BgL_zc3anonymousza33361ze3z83_13492 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13492, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33361ze3z83_13492;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33377ze3z83_13493;
BgL_zc3anonymousza33377ze3z83_13493 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13493, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13493, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13493, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33377ze3z83_13493;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33386ze3z83_13494;
BgL_zc3anonymousza33386ze3z83_13494 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13494, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13494, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13494, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13494, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33386ze3z83_13494;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33398ze3z83_13495;
BgL_zc3anonymousza33398ze3z83_13495 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13495, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13495, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13495, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13495, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13495, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33398ze3z83_13495;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33408ze3z83_13496;
BgL_zc3anonymousza33408ze3z83_13496 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13496, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33408ze3z83_13496;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33424ze3z83_13497;
BgL_zc3anonymousza33424ze3z83_13497 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13497, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13497, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13497, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33424ze3z83_13497;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33434ze3z83_13498;
BgL_zc3anonymousza33434ze3z83_13498 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13498, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13498, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13498, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13498, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33434ze3z83_13498;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33447ze3z83_13499;
BgL_zc3anonymousza33447ze3z83_13499 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13499, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13499, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13499, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13499, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13499, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33447ze3z83_13499;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33458ze3z83_13500;
BgL_zc3anonymousza33458ze3z83_13500 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13500, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33458ze3z83_13500;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33475ze3z83_13501;
BgL_zc3anonymousza33475ze3z83_13501 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13501, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13501, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13501, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33475ze3z83_13501;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33485ze3z83_13502;
BgL_zc3anonymousza33485ze3z83_13502 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13502, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13502, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13502, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13502, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33485ze3z83_13502;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33498ze3z83_13503;
BgL_zc3anonymousza33498ze3z83_13503 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13503, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13503, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13503, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13503, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13503, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33498ze3z83_13503;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33509ze3z83_13504;
BgL_zc3anonymousza33509ze3z83_13504 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13504, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33509ze3z83_13504;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33526ze3z83_13505;
BgL_zc3anonymousza33526ze3z83_13505 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13505, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13505, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13505, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33526ze3z83_13505;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33537ze3z83_13506;
BgL_zc3anonymousza33537ze3z83_13506 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13506, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13506, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13506, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13506, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33537ze3z83_13506;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33551ze3z83_13507;
BgL_zc3anonymousza33551ze3z83_13507 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13507, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13507, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13507, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13507, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13507, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33551ze3z83_13507;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33563ze3z83_13508;
BgL_zc3anonymousza33563ze3z83_13508 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13508, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33563ze3z83_13508;} } break;
default: 
BgL_case_else1244z00_13463:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13433)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33581ze3z83_13464;
BgL_zc3anonymousza33581ze3z83_13464 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13464, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13464, 
(int)(((long)1)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13464, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33581ze3z83_13464;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33601ze3z83_13465;
BgL_zc3anonymousza33601ze3z83_13465 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13465, 
(int)(((long)0)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13465, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13465, 
(int)(((long)2)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13465, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33601ze3z83_13465;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13434)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33624ze3z83_13466;
BgL_zc3anonymousza33624ze3z83_13466 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13466, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13466, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13466, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13466, 
(int)(((long)3)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13466, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33624ze3z83_13466;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33645ze3z83_13467;
BgL_zc3anonymousza33645ze3z83_13467 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)0)), BgL_ifreesz00_13433); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)1)), BgL_iboxesz00_13434); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13435)); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11350))); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)4)), BgL_bodyz00_13462); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13467, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13436)); 
return BgL_zc3anonymousza33645ze3z83_13467;} } } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
goto BgL_case_else1244z00_13463;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3526> */
obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11352, obj_t BgL_sz00_11356)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11353;obj_t BgL_bodyz00_11354;long BgL_siza7ezd2framez75_11355;
BgL_i1243z00_11353 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11352, 
(int)(((long)0)))); 
BgL_bodyz00_11354 = 
PROCEDURE_REF(BgL_envz00_11352, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11355 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11352, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13509;
BgL_bpz00_13509 = 
VECTOR_REF(
((obj_t)BgL_sz00_11356),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13510;
BgL_runz00_13510 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13510, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11353)); 
PROCEDURE_SET(BgL_runz00_13510, 
(int)(((long)1)), BgL_bodyz00_11354); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13511;
BgL_mainz00_13511 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13511, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11353)); 
PROCEDURE_SET(BgL_mainz00_13511, 
(int)(((long)1)), BgL_bodyz00_11354); 
PROCEDURE_SET(BgL_mainz00_13511, 
(int)(((long)2)), BgL_runz00_13510); 
PROCEDURE_SET(BgL_mainz00_13511, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11355)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13512;
BgL_objz00_13512 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13510, BgL_objz00_13512); BgL_objz00_13512; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3527z00_13513;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3528z00_13514;
BgL_arg3528z00_13514 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11353))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13515;
BgL_newz00_13515 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22325;
BgL_tmpz00_22325 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13515, BgL_tmpz00_22325, BgL_arg3528z00_13514); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22330;int BgL_tmpz00_22328;
BgL_auxz00_22330 = 
BINT(BgL_siza7ezd2framez75_11355); 
BgL_tmpz00_22328 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13515, BgL_tmpz00_22328, BgL_auxz00_22330); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22333;
BgL_tmpz00_22333 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13515, BgL_tmpz00_22333, BgL_runz00_13510); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22338;int BgL_tmpz00_22336;
BgL_auxz00_22338 = 
BINT(((long)-5)); 
BgL_tmpz00_22336 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13515, BgL_tmpz00_22336, BgL_auxz00_22338); } 
BgL_arg3527z00_13513 = BgL_newz00_13515; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13511, BgL_arg3527z00_13513); BgL_arg3527z00_13513; } 
return BgL_mainz00_13511;} } } } } } 
BGL_FUNCTION_END;
}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11357, obj_t BgL_az00_11362, obj_t BgL_bz00_11363, obj_t BgL_cz00_11364, obj_t BgL_dz00_11365, obj_t BgL_lastz00_11366)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11360;long BgL_siza7ezd2framez75_11361;
BgL_runz00_11360 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11357, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11361 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11357, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13516;
BgL_sz00_13516 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13517;
BgL_bpz00_13517 = 
VECTOR_REF(
((obj_t)BgL_sz00_13516),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13516, BgL_bpz00_13517, 
BINT(BgL_siza7ezd2framez75_11361)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3531z00_13518;
BgL_arg3531z00_13518 = 
(
(long)CINT(BgL_bpz00_13517)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),BgL_arg3531z00_13518,BgL_az00_11362); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3532z00_13519;
BgL_arg3532z00_13519 = 
(
(long)CINT(BgL_bpz00_13517)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),BgL_arg3532z00_13519,BgL_bz00_11363); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3533z00_13520;
BgL_arg3533z00_13520 = 
(
(long)CINT(BgL_bpz00_13517)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),BgL_arg3533z00_13520,BgL_cz00_11364); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3534z00_13521;
BgL_arg3534z00_13521 = 
(
(long)CINT(BgL_bpz00_13517)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),BgL_arg3534z00_13521,BgL_dz00_11365); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3535z00_13522;
BgL_arg3535z00_13522 = 
(
(long)CINT(BgL_bpz00_13517)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),BgL_arg3535z00_13522,BgL_lastz00_11366); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13523;
BgL_ez00_13523 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13523, BgL_bpz00_13517); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13524;
BgL_accz00_13524 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11360, BgL_sz00_13516, BgL_bpz00_13517); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13523); 
VECTOR_SET(
((obj_t)BgL_sz00_13516),((long)0),BgL_bpz00_13517); 
return BgL_accz00_13524;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13525;
BgL_nsz00_13525 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13525,((long)1),BgL_sz00_13516); 
VECTOR_SET(BgL_nsz00_13525,((long)2),BgL_az00_11362); 
VECTOR_SET(BgL_nsz00_13525,((long)3),BgL_bz00_11363); 
VECTOR_SET(BgL_nsz00_13525,((long)4),BgL_cz00_11364); 
VECTOR_SET(BgL_nsz00_13525,((long)5),BgL_dz00_11365); 
VECTOR_SET(BgL_nsz00_13525,((long)6),BgL_lastz00_11366); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13526;
BgL_z12denvz12_13526 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13526, BgL_nsz00_13525); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13527;
BgL_ez00_13527 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13527, BgL_sz00_13516); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13528;
BgL_____rz00_13528 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11360, BgL_nsz00_13525, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13527); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13526, BgL_sz00_13516); 
return BgL_____rz00_13528;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11367, obj_t BgL_sz00_11370)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11368;obj_t BgL_bodyz00_11369;
BgL_i1243z00_11368 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)0)))); 
BgL_bodyz00_11369 = 
PROCEDURE_REF(BgL_envz00_11367, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13529;
BgL_bpz00_13529 = 
VECTOR_REF(
((obj_t)BgL_sz00_11370),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13530;obj_t BgL_wherez00_13531;obj_t BgL_locz00_13532;
BgL_z12denvz12_13530 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13531 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11368))->BgL_wherez00); 
BgL_locz00_13532 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11368))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13530, BgL_wherez00_13531, BgL_locz00_13532); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13533;
BgL_za2za2resza2za2z00_13533 = 
PROCEDURE_ENTRY(BgL_bodyz00_11369)(BgL_bodyz00_11369, BgL_sz00_11370, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13530); 
return BgL_za2za2resza2za2z00_13533;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3537> */
obj_t BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11371, obj_t BgL_sz00_11376)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11372;BgL_ev_absz00_bglt BgL_i1243z00_11373;obj_t BgL_bodyz00_11374;long BgL_siza7ezd2framez75_11375;
BgL_iboxesz00_11372 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)0)))); 
BgL_i1243z00_11373 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)1)))); 
BgL_bodyz00_11374 = 
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11375 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13534;
BgL_bpz00_13534 = 
VECTOR_REF(
((obj_t)BgL_sz00_11376),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13535;
BgL_runz00_13535 = 
MAKE_FX_PROCEDURE(BGl_z62run5067z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13535, 
(int)(((long)0)), BgL_iboxesz00_11372); 
PROCEDURE_SET(BgL_runz00_13535, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11373)); 
PROCEDURE_SET(BgL_runz00_13535, 
(int)(((long)2)), BgL_bodyz00_11374); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13536;
BgL_mainz00_13536 = 
MAKE_VA_PROCEDURE(BGl_z62main5066z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)0)), BgL_iboxesz00_11372); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11373)); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)2)), BgL_bodyz00_11374); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)3)), BgL_runz00_13535); 
PROCEDURE_SET(BgL_mainz00_13536, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11375)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13537;
BgL_objz00_13537 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13535, BgL_objz00_13537); BgL_objz00_13537; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3538z00_13538;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3539z00_13539;
BgL_arg3539z00_13539 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11373))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13540;
BgL_newz00_13540 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22453;
BgL_tmpz00_22453 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13540, BgL_tmpz00_22453, BgL_arg3539z00_13539); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22458;int BgL_tmpz00_22456;
BgL_auxz00_22458 = 
BINT(BgL_siza7ezd2framez75_11375); 
BgL_tmpz00_22456 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13540, BgL_tmpz00_22456, BgL_auxz00_22458); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22461;
BgL_tmpz00_22461 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13540, BgL_tmpz00_22461, BgL_runz00_13535); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22466;int BgL_tmpz00_22464;
BgL_auxz00_22466 = 
BINT(((long)-5)); 
BgL_tmpz00_22464 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13540, BgL_tmpz00_22464, BgL_auxz00_22466); } 
BgL_arg3538z00_13538 = BgL_newz00_13540; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13536, BgL_arg3538z00_13538); BgL_arg3538z00_13538; } 
return BgL_mainz00_13536;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5066 */
obj_t BGl_z62main5066z62zz__evaluate_compz00(obj_t BgL_envz00_11377, obj_t BgL_az00_11383, obj_t BgL_bz00_11384, obj_t BgL_cz00_11385, obj_t BgL_dz00_11386, obj_t BgL_lastz00_11387)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11381;long BgL_siza7ezd2framez75_11382;
BgL_runz00_11381 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11377, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11382 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11377, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13541;
BgL_sz00_13541 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13542;
BgL_bpz00_13542 = 
VECTOR_REF(
((obj_t)BgL_sz00_13541),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13541, BgL_bpz00_13542, 
BINT(BgL_siza7ezd2framez75_11382)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3542z00_13543;
BgL_arg3542z00_13543 = 
(
(long)CINT(BgL_bpz00_13542)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),BgL_arg3542z00_13543,BgL_az00_11383); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3543z00_13544;
BgL_arg3543z00_13544 = 
(
(long)CINT(BgL_bpz00_13542)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),BgL_arg3543z00_13544,BgL_bz00_11384); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3544z00_13545;
BgL_arg3544z00_13545 = 
(
(long)CINT(BgL_bpz00_13542)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),BgL_arg3544z00_13545,BgL_cz00_11385); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3545z00_13546;
BgL_arg3545z00_13546 = 
(
(long)CINT(BgL_bpz00_13542)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),BgL_arg3545z00_13546,BgL_dz00_11386); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3546z00_13547;
BgL_arg3546z00_13547 = 
(
(long)CINT(BgL_bpz00_13542)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),BgL_arg3546z00_13547,BgL_lastz00_11387); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13548;
BgL_ez00_13548 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13548, BgL_bpz00_13542); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13549;
BgL_accz00_13549 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11381, BgL_sz00_13541, BgL_bpz00_13542); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13548); 
VECTOR_SET(
((obj_t)BgL_sz00_13541),((long)0),BgL_bpz00_13542); 
return BgL_accz00_13549;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13550;
BgL_nsz00_13550 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13550,((long)1),BgL_sz00_13541); 
VECTOR_SET(BgL_nsz00_13550,((long)2),BgL_az00_11383); 
VECTOR_SET(BgL_nsz00_13550,((long)3),BgL_bz00_11384); 
VECTOR_SET(BgL_nsz00_13550,((long)4),BgL_cz00_11385); 
VECTOR_SET(BgL_nsz00_13550,((long)5),BgL_dz00_11386); 
VECTOR_SET(BgL_nsz00_13550,((long)6),BgL_lastz00_11387); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13551;
BgL_z12denvz12_13551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13551, BgL_nsz00_13550); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13552;
BgL_ez00_13552 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13552, BgL_sz00_13541); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13553;
BgL_____rz00_13553 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11381, BgL_nsz00_13550, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13552); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13551, BgL_sz00_13541); 
return BgL_____rz00_13553;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5067 */
obj_t BGl_z62run5067z62zz__evaluate_compz00(obj_t BgL_envz00_11388, obj_t BgL_sz00_11392)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11389;BgL_ev_absz00_bglt BgL_i1243z00_11390;obj_t BgL_bodyz00_11391;
BgL_iboxesz00_11389 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)0)))); 
BgL_i1243z00_11390 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)1)))); 
BgL_bodyz00_11391 = 
PROCEDURE_REF(BgL_envz00_11388, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13554;
BgL_bpz00_13554 = 
VECTOR_REF(
((obj_t)BgL_sz00_11392),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11392, BgL_iboxesz00_11389, BgL_bpz00_13554); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13555;obj_t BgL_wherez00_13556;obj_t BgL_locz00_13557;
BgL_z12denvz12_13555 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13556 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11390))->BgL_wherez00); 
BgL_locz00_13557 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11390))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13555, BgL_wherez00_13556, BgL_locz00_13557); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13558;
BgL_za2za2resza2za2z00_13558 = 
PROCEDURE_ENTRY(BgL_bodyz00_11391)(BgL_bodyz00_11391, BgL_sz00_11392, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13555); 
return BgL_za2za2resza2za2z00_13558;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3551> */
obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11393, obj_t BgL_sz00_11399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11394;long BgL_siza7eza7_11395;BgL_ev_absz00_bglt BgL_i1243z00_11396;obj_t BgL_bodyz00_11397;long BgL_siza7ezd2framez75_11398;
BgL_ifreesz00_11394 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11393, 
(int)(((long)0)))); 
BgL_siza7eza7_11395 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11393, 
(int)(((long)1)))); 
BgL_i1243z00_11396 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11393, 
(int)(((long)2)))); 
BgL_bodyz00_11397 = 
PROCEDURE_REF(BgL_envz00_11393, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11398 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11393, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13559;
BgL_bpz00_13559 = 
VECTOR_REF(
((obj_t)BgL_sz00_11399),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13560;
BgL_valza2za2_13560 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11399, BgL_bpz00_13559, BgL_ifreesz00_11394); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13561;
BgL_runz00_13561 = 
MAKE_FX_PROCEDURE(BGl_z62run5069z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13561, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11395)); 
PROCEDURE_SET(BgL_runz00_13561, 
(int)(((long)1)), BgL_valza2za2_13560); 
PROCEDURE_SET(BgL_runz00_13561, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11396)); 
PROCEDURE_SET(BgL_runz00_13561, 
(int)(((long)3)), BgL_bodyz00_11397); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13562;
BgL_mainz00_13562 = 
MAKE_VA_PROCEDURE(BGl_z62main5068z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11395)); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)1)), BgL_valza2za2_13560); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11396)); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)3)), BgL_bodyz00_11397); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)4)), BgL_runz00_13561); 
PROCEDURE_SET(BgL_mainz00_13562, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11398)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13563;
BgL_objz00_13563 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13561, BgL_objz00_13563); BgL_objz00_13563; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3552z00_13564;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3553z00_13565;
BgL_arg3553z00_13565 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11396))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13566;
BgL_newz00_13566 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22595;
BgL_tmpz00_22595 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_22595, BgL_arg3553z00_13565); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22600;int BgL_tmpz00_22598;
BgL_auxz00_22600 = 
BINT(BgL_siza7ezd2framez75_11398); 
BgL_tmpz00_22598 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_22598, BgL_auxz00_22600); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22603;
BgL_tmpz00_22603 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_22603, BgL_runz00_13561); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22608;int BgL_tmpz00_22606;
BgL_auxz00_22608 = 
BINT(((long)-5)); 
BgL_tmpz00_22606 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13566, BgL_tmpz00_22606, BgL_auxz00_22608); } 
BgL_arg3552z00_13564 = BgL_newz00_13566; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13562, BgL_arg3552z00_13564); BgL_arg3552z00_13564; } 
return BgL_mainz00_13562;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5068 */
obj_t BGl_z62main5068z62zz__evaluate_compz00(obj_t BgL_envz00_11400, obj_t BgL_az00_11407, obj_t BgL_bz00_11408, obj_t BgL_cz00_11409, obj_t BgL_dz00_11410, obj_t BgL_lastz00_11411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11405;long BgL_siza7ezd2framez75_11406;
BgL_runz00_11405 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11400, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11406 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11400, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13567;
BgL_sz00_13567 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13568;
BgL_bpz00_13568 = 
VECTOR_REF(
((obj_t)BgL_sz00_13567),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13567, BgL_bpz00_13568, 
BINT(BgL_siza7ezd2framez75_11406)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3556z00_13569;
BgL_arg3556z00_13569 = 
(
(long)CINT(BgL_bpz00_13568)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3556z00_13569,BgL_az00_11407); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3557z00_13570;
BgL_arg3557z00_13570 = 
(
(long)CINT(BgL_bpz00_13568)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3557z00_13570,BgL_bz00_11408); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3558z00_13571;
BgL_arg3558z00_13571 = 
(
(long)CINT(BgL_bpz00_13568)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3558z00_13571,BgL_cz00_11409); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3559z00_13572;
BgL_arg3559z00_13572 = 
(
(long)CINT(BgL_bpz00_13568)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3559z00_13572,BgL_dz00_11410); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3560z00_13573;
BgL_arg3560z00_13573 = 
(
(long)CINT(BgL_bpz00_13568)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),BgL_arg3560z00_13573,BgL_lastz00_11411); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13574;
BgL_ez00_13574 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13574, BgL_bpz00_13568); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13575;
BgL_accz00_13575 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11405, BgL_sz00_13567, BgL_bpz00_13568); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13574); 
VECTOR_SET(
((obj_t)BgL_sz00_13567),((long)0),BgL_bpz00_13568); 
return BgL_accz00_13575;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13576;
BgL_nsz00_13576 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13576,((long)1),BgL_sz00_13567); 
VECTOR_SET(BgL_nsz00_13576,((long)2),BgL_az00_11407); 
VECTOR_SET(BgL_nsz00_13576,((long)3),BgL_bz00_11408); 
VECTOR_SET(BgL_nsz00_13576,((long)4),BgL_cz00_11409); 
VECTOR_SET(BgL_nsz00_13576,((long)5),BgL_dz00_11410); 
VECTOR_SET(BgL_nsz00_13576,((long)6),BgL_lastz00_11411); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13577;
BgL_z12denvz12_13577 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13577, BgL_nsz00_13576); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13578;
BgL_ez00_13578 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13578, BgL_sz00_13567); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13579;
BgL_____rz00_13579 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11405, BgL_nsz00_13576, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13578); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13577, BgL_sz00_13567); 
return BgL_____rz00_13579;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5069 */
obj_t BGl_z62run5069z62zz__evaluate_compz00(obj_t BgL_envz00_11412, obj_t BgL_sz00_11417)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11413;obj_t BgL_valza2za2_11414;BgL_ev_absz00_bglt BgL_i1243z00_11415;obj_t BgL_bodyz00_11416;
BgL_siza7eza7_11413 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)0)))); 
BgL_valza2za2_11414 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)1)))); 
BgL_i1243z00_11415 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)2)))); 
BgL_bodyz00_11416 = 
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13580;
BgL_bpz00_13580 = 
VECTOR_REF(
((obj_t)BgL_sz00_11417),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11417, BgL_valza2za2_11414, 
(
(long)CINT(BgL_bpz00_13580)+BgL_siza7eza7_11413)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13581;obj_t BgL_wherez00_13582;obj_t BgL_locz00_13583;
BgL_z12denvz12_13581 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13582 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11415))->BgL_wherez00); 
BgL_locz00_13583 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11415))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13581, BgL_wherez00_13582, BgL_locz00_13583); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13584;
BgL_za2za2resza2za2z00_13584 = 
PROCEDURE_ENTRY(BgL_bodyz00_11416)(BgL_bodyz00_11416, BgL_sz00_11417, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13581); 
return BgL_za2za2resza2za2z00_13584;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3563> */
obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11418, obj_t BgL_sz00_11425)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11419;obj_t BgL_iboxesz00_11420;long BgL_siza7eza7_11421;BgL_ev_absz00_bglt BgL_i1243z00_11422;obj_t BgL_bodyz00_11423;long BgL_siza7ezd2framez75_11424;
BgL_ifreesz00_11419 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)0)))); 
BgL_iboxesz00_11420 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)1)))); 
BgL_siza7eza7_11421 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)2)))); 
BgL_i1243z00_11422 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)3)))); 
BgL_bodyz00_11423 = 
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11424 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11418, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13585;
BgL_bpz00_13585 = 
VECTOR_REF(
((obj_t)BgL_sz00_11425),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13586;
BgL_valza2za2_13586 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11425, BgL_bpz00_13585, BgL_ifreesz00_11419); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13587;
BgL_runz00_13587 = 
MAKE_FX_PROCEDURE(BGl_z62run5071z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13587, 
(int)(((long)0)), BgL_iboxesz00_11420); 
PROCEDURE_SET(BgL_runz00_13587, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11421)); 
PROCEDURE_SET(BgL_runz00_13587, 
(int)(((long)2)), BgL_valza2za2_13586); 
PROCEDURE_SET(BgL_runz00_13587, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11422)); 
PROCEDURE_SET(BgL_runz00_13587, 
(int)(((long)4)), BgL_bodyz00_11423); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13588;
BgL_mainz00_13588 = 
MAKE_VA_PROCEDURE(BGl_z62main5070z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)0)), BgL_iboxesz00_11420); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11421)); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)2)), BgL_valza2za2_13586); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11422)); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)4)), BgL_bodyz00_11423); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)5)), BgL_runz00_13587); 
PROCEDURE_SET(BgL_mainz00_13588, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11424)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13589;
BgL_objz00_13589 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13587, BgL_objz00_13589); BgL_objz00_13589; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3564z00_13590;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3565z00_13591;
BgL_arg3565z00_13591 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11422))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13592;
BgL_newz00_13592 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22749;
BgL_tmpz00_22749 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_22749, BgL_arg3565z00_13591); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22754;int BgL_tmpz00_22752;
BgL_auxz00_22754 = 
BINT(BgL_siza7ezd2framez75_11424); 
BgL_tmpz00_22752 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_22752, BgL_auxz00_22754); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22757;
BgL_tmpz00_22757 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_22757, BgL_runz00_13587); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22762;int BgL_tmpz00_22760;
BgL_auxz00_22762 = 
BINT(((long)-5)); 
BgL_tmpz00_22760 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13592, BgL_tmpz00_22760, BgL_auxz00_22762); } 
BgL_arg3564z00_13590 = BgL_newz00_13592; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13588, BgL_arg3564z00_13590); BgL_arg3564z00_13590; } 
return BgL_mainz00_13588;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5070 */
obj_t BGl_z62main5070z62zz__evaluate_compz00(obj_t BgL_envz00_11426, obj_t BgL_az00_11434, obj_t BgL_bz00_11435, obj_t BgL_cz00_11436, obj_t BgL_dz00_11437, obj_t BgL_lastz00_11438)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11432;long BgL_siza7ezd2framez75_11433;
BgL_runz00_11432 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11433 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13593;
BgL_sz00_13593 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13594;
BgL_bpz00_13594 = 
VECTOR_REF(
((obj_t)BgL_sz00_13593),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13593, BgL_bpz00_13594, 
BINT(BgL_siza7ezd2framez75_11433)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3568z00_13595;
BgL_arg3568z00_13595 = 
(
(long)CINT(BgL_bpz00_13594)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3568z00_13595,BgL_az00_11434); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3569z00_13596;
BgL_arg3569z00_13596 = 
(
(long)CINT(BgL_bpz00_13594)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3569z00_13596,BgL_bz00_11435); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3570z00_13597;
BgL_arg3570z00_13597 = 
(
(long)CINT(BgL_bpz00_13594)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3570z00_13597,BgL_cz00_11436); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3571z00_13598;
BgL_arg3571z00_13598 = 
(
(long)CINT(BgL_bpz00_13594)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3571z00_13598,BgL_dz00_11437); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3572z00_13599;
BgL_arg3572z00_13599 = 
(
(long)CINT(BgL_bpz00_13594)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),BgL_arg3572z00_13599,BgL_lastz00_11438); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13600;
BgL_ez00_13600 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13600, BgL_bpz00_13594); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13601;
BgL_accz00_13601 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11432, BgL_sz00_13593, BgL_bpz00_13594); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13600); 
VECTOR_SET(
((obj_t)BgL_sz00_13593),((long)0),BgL_bpz00_13594); 
return BgL_accz00_13601;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13602;
BgL_nsz00_13602 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13602,((long)1),BgL_sz00_13593); 
VECTOR_SET(BgL_nsz00_13602,((long)2),BgL_az00_11434); 
VECTOR_SET(BgL_nsz00_13602,((long)3),BgL_bz00_11435); 
VECTOR_SET(BgL_nsz00_13602,((long)4),BgL_cz00_11436); 
VECTOR_SET(BgL_nsz00_13602,((long)5),BgL_dz00_11437); 
VECTOR_SET(BgL_nsz00_13602,((long)6),BgL_lastz00_11438); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13603;
BgL_z12denvz12_13603 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13603, BgL_nsz00_13602); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13604;
BgL_ez00_13604 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13604, BgL_sz00_13593); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13605;
BgL_____rz00_13605 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11432, BgL_nsz00_13602, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13604); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13603, BgL_sz00_13593); 
return BgL_____rz00_13605;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5071 */
obj_t BGl_z62run5071z62zz__evaluate_compz00(obj_t BgL_envz00_11439, obj_t BgL_sz00_11445)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11440;long BgL_siza7eza7_11441;obj_t BgL_valza2za2_11442;BgL_ev_absz00_bglt BgL_i1243z00_11443;obj_t BgL_bodyz00_11444;
BgL_iboxesz00_11440 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11439, 
(int)(((long)0)))); 
BgL_siza7eza7_11441 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11439, 
(int)(((long)1)))); 
BgL_valza2za2_11442 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11439, 
(int)(((long)2)))); 
BgL_i1243z00_11443 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11439, 
(int)(((long)3)))); 
BgL_bodyz00_11444 = 
PROCEDURE_REF(BgL_envz00_11439, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13606;
BgL_bpz00_13606 = 
VECTOR_REF(
((obj_t)BgL_sz00_11445),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11445, BgL_iboxesz00_11440, BgL_bpz00_13606); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11445, BgL_valza2za2_11442, 
(
(long)CINT(BgL_bpz00_13606)+BgL_siza7eza7_11441)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13607;obj_t BgL_wherez00_13608;obj_t BgL_locz00_13609;
BgL_z12denvz12_13607 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13608 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11443))->BgL_wherez00); 
BgL_locz00_13609 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11443))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13607, BgL_wherez00_13608, BgL_locz00_13609); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13610;
BgL_za2za2resza2za2z00_13610 = 
PROCEDURE_ENTRY(BgL_bodyz00_11444)(BgL_bodyz00_11444, BgL_sz00_11445, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13607); 
return BgL_za2za2resza2za2z00_13610;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3475> */
obj_t BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11446, obj_t BgL_sz00_11450)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11447;obj_t BgL_bodyz00_11448;long BgL_siza7ezd2framez75_11449;
BgL_i1243z00_11447 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)0)))); 
BgL_bodyz00_11448 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11449 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13611;
BgL_bpz00_13611 = 
VECTOR_REF(
((obj_t)BgL_sz00_11450),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13612;
BgL_runz00_13612 = 
MAKE_FX_PROCEDURE(BGl_z62run5073z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11447)); 
PROCEDURE_SET(BgL_runz00_13612, 
(int)(((long)1)), BgL_bodyz00_11448); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13613;
BgL_mainz00_13613 = 
MAKE_FX_PROCEDURE(BGl_z62main5072z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11447)); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)1)), BgL_bodyz00_11448); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)2)), BgL_runz00_13612); 
PROCEDURE_SET(BgL_mainz00_13613, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11449)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13614;
BgL_objz00_13614 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13612, BgL_objz00_13614); BgL_objz00_13614; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3476z00_13615;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3477z00_13616;
BgL_arg3477z00_13616 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11447))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13617;
BgL_newz00_13617 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22883;
BgL_tmpz00_22883 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13617, BgL_tmpz00_22883, BgL_arg3477z00_13616); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22888;int BgL_tmpz00_22886;
BgL_auxz00_22888 = 
BINT(BgL_siza7ezd2framez75_11449); 
BgL_tmpz00_22886 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13617, BgL_tmpz00_22886, BgL_auxz00_22888); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22891;
BgL_tmpz00_22891 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13617, BgL_tmpz00_22891, BgL_runz00_13612); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22896;int BgL_tmpz00_22894;
BgL_auxz00_22896 = 
BINT(((long)4)); 
BgL_tmpz00_22894 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13617, BgL_tmpz00_22894, BgL_auxz00_22896); } 
BgL_arg3476z00_13615 = BgL_newz00_13617; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13613, BgL_arg3476z00_13615); BgL_arg3476z00_13615; } 
return BgL_mainz00_13613;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5072 */
obj_t BGl_z62main5072z62zz__evaluate_compz00(obj_t BgL_envz00_11451, obj_t BgL_az00_11456, obj_t BgL_bz00_11457, obj_t BgL_cz00_11458, obj_t BgL_dz00_11459)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11454;long BgL_siza7ezd2framez75_11455;
BgL_runz00_11454 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11455 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13618;
BgL_sz00_13618 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13619;
BgL_bpz00_13619 = 
VECTOR_REF(
((obj_t)BgL_sz00_13618),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13618, BgL_bpz00_13619, 
BINT(BgL_siza7ezd2framez75_11455)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3480z00_13620;
BgL_arg3480z00_13620 = 
(
(long)CINT(BgL_bpz00_13619)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13618),BgL_arg3480z00_13620,BgL_az00_11456); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3481z00_13621;
BgL_arg3481z00_13621 = 
(
(long)CINT(BgL_bpz00_13619)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13618),BgL_arg3481z00_13621,BgL_bz00_11457); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3482z00_13622;
BgL_arg3482z00_13622 = 
(
(long)CINT(BgL_bpz00_13619)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13618),BgL_arg3482z00_13622,BgL_cz00_11458); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3483z00_13623;
BgL_arg3483z00_13623 = 
(
(long)CINT(BgL_bpz00_13619)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13618),BgL_arg3483z00_13623,BgL_dz00_11459); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13624;
BgL_ez00_13624 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13624, BgL_bpz00_13619); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13625;
BgL_accz00_13625 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11454, BgL_sz00_13618, BgL_bpz00_13619); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13624); 
VECTOR_SET(
((obj_t)BgL_sz00_13618),((long)0),BgL_bpz00_13619); 
return BgL_accz00_13625;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13626;
BgL_nsz00_13626 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13626,((long)1),BgL_sz00_13618); 
VECTOR_SET(BgL_nsz00_13626,((long)2),BgL_az00_11456); 
VECTOR_SET(BgL_nsz00_13626,((long)3),BgL_bz00_11457); 
VECTOR_SET(BgL_nsz00_13626,((long)4),BgL_cz00_11458); 
VECTOR_SET(BgL_nsz00_13626,((long)5),BgL_dz00_11459); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13627;
BgL_z12denvz12_13627 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13627, BgL_nsz00_13626); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13628;
BgL_ez00_13628 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13628, BgL_sz00_13618); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13629;
BgL_____rz00_13629 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11454, BgL_nsz00_13626, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13628); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13627, BgL_sz00_13618); 
return BgL_____rz00_13629;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5073 */
obj_t BGl_z62run5073z62zz__evaluate_compz00(obj_t BgL_envz00_11460, obj_t BgL_sz00_11463)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11461;obj_t BgL_bodyz00_11462;
BgL_i1243z00_11461 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11460, 
(int)(((long)0)))); 
BgL_bodyz00_11462 = 
PROCEDURE_REF(BgL_envz00_11460, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13630;
BgL_bpz00_13630 = 
VECTOR_REF(
((obj_t)BgL_sz00_11463),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13631;obj_t BgL_wherez00_13632;obj_t BgL_locz00_13633;
BgL_z12denvz12_13631 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13632 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11461))->BgL_wherez00); 
BgL_locz00_13633 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11461))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13631, BgL_wherez00_13632, BgL_locz00_13633); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13634;
BgL_za2za2resza2za2z00_13634 = 
PROCEDURE_ENTRY(BgL_bodyz00_11462)(BgL_bodyz00_11462, BgL_sz00_11463, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13631); 
return BgL_za2za2resza2za2z00_13634;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3485> */
obj_t BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11464, obj_t BgL_sz00_11469)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11465;BgL_ev_absz00_bglt BgL_i1243z00_11466;obj_t BgL_bodyz00_11467;long BgL_siza7ezd2framez75_11468;
BgL_iboxesz00_11465 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11464, 
(int)(((long)0)))); 
BgL_i1243z00_11466 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11464, 
(int)(((long)1)))); 
BgL_bodyz00_11467 = 
PROCEDURE_REF(BgL_envz00_11464, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11468 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11464, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13635;
BgL_bpz00_13635 = 
VECTOR_REF(
((obj_t)BgL_sz00_11469),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13636;
BgL_runz00_13636 = 
MAKE_FX_PROCEDURE(BGl_z62run5075z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13636, 
(int)(((long)0)), BgL_iboxesz00_11465); 
PROCEDURE_SET(BgL_runz00_13636, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11466)); 
PROCEDURE_SET(BgL_runz00_13636, 
(int)(((long)2)), BgL_bodyz00_11467); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13637;
BgL_mainz00_13637 = 
MAKE_FX_PROCEDURE(BGl_z62main5074z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)0)), BgL_iboxesz00_11465); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11466)); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)2)), BgL_bodyz00_11467); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)3)), BgL_runz00_13636); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11468)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13638;
BgL_objz00_13638 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13636, BgL_objz00_13638); BgL_objz00_13638; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3486z00_13639;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3487z00_13640;
BgL_arg3487z00_13640 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11466))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13641;
BgL_newz00_13641 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23006;
BgL_tmpz00_23006 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_23006, BgL_arg3487z00_13640); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23011;int BgL_tmpz00_23009;
BgL_auxz00_23011 = 
BINT(BgL_siza7ezd2framez75_11468); 
BgL_tmpz00_23009 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_23009, BgL_auxz00_23011); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23014;
BgL_tmpz00_23014 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_23014, BgL_runz00_13636); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23019;int BgL_tmpz00_23017;
BgL_auxz00_23019 = 
BINT(((long)4)); 
BgL_tmpz00_23017 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_23017, BgL_auxz00_23019); } 
BgL_arg3486z00_13639 = BgL_newz00_13641; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13637, BgL_arg3486z00_13639); BgL_arg3486z00_13639; } 
return BgL_mainz00_13637;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5074 */
obj_t BGl_z62main5074z62zz__evaluate_compz00(obj_t BgL_envz00_11470, obj_t BgL_az00_11476, obj_t BgL_bz00_11477, obj_t BgL_cz00_11478, obj_t BgL_dz00_11479)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11474;long BgL_siza7ezd2framez75_11475;
BgL_runz00_11474 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11470, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11475 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11470, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13642;
BgL_sz00_13642 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13643;
BgL_bpz00_13643 = 
VECTOR_REF(
((obj_t)BgL_sz00_13642),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13642, BgL_bpz00_13643, 
BINT(BgL_siza7ezd2framez75_11475)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3490z00_13644;
BgL_arg3490z00_13644 = 
(
(long)CINT(BgL_bpz00_13643)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3490z00_13644,BgL_az00_11476); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3491z00_13645;
BgL_arg3491z00_13645 = 
(
(long)CINT(BgL_bpz00_13643)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3491z00_13645,BgL_bz00_11477); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3492z00_13646;
BgL_arg3492z00_13646 = 
(
(long)CINT(BgL_bpz00_13643)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3492z00_13646,BgL_cz00_11478); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3493z00_13647;
BgL_arg3493z00_13647 = 
(
(long)CINT(BgL_bpz00_13643)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3493z00_13647,BgL_dz00_11479); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13648;
BgL_ez00_13648 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13648, BgL_bpz00_13643); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13649;
BgL_accz00_13649 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11474, BgL_sz00_13642, BgL_bpz00_13643); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13648); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),((long)0),BgL_bpz00_13643); 
return BgL_accz00_13649;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13650;
BgL_nsz00_13650 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13650,((long)1),BgL_sz00_13642); 
VECTOR_SET(BgL_nsz00_13650,((long)2),BgL_az00_11476); 
VECTOR_SET(BgL_nsz00_13650,((long)3),BgL_bz00_11477); 
VECTOR_SET(BgL_nsz00_13650,((long)4),BgL_cz00_11478); 
VECTOR_SET(BgL_nsz00_13650,((long)5),BgL_dz00_11479); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13651;
BgL_z12denvz12_13651 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_nsz00_13650); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13652;
BgL_ez00_13652 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13652, BgL_sz00_13642); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13653;
BgL_____rz00_13653 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11474, BgL_nsz00_13650, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13652); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_sz00_13642); 
return BgL_____rz00_13653;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5075 */
obj_t BGl_z62run5075z62zz__evaluate_compz00(obj_t BgL_envz00_11480, obj_t BgL_sz00_11484)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11481;BgL_ev_absz00_bglt BgL_i1243z00_11482;obj_t BgL_bodyz00_11483;
BgL_iboxesz00_11481 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11480, 
(int)(((long)0)))); 
BgL_i1243z00_11482 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11480, 
(int)(((long)1)))); 
BgL_bodyz00_11483 = 
PROCEDURE_REF(BgL_envz00_11480, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13654;
BgL_bpz00_13654 = 
VECTOR_REF(
((obj_t)BgL_sz00_11484),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11484, BgL_iboxesz00_11481, BgL_bpz00_13654); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13655;obj_t BgL_wherez00_13656;obj_t BgL_locz00_13657;
BgL_z12denvz12_13655 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13656 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11482))->BgL_wherez00); 
BgL_locz00_13657 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11482))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13655, BgL_wherez00_13656, BgL_locz00_13657); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13658;
BgL_za2za2resza2za2z00_13658 = 
PROCEDURE_ENTRY(BgL_bodyz00_11483)(BgL_bodyz00_11483, BgL_sz00_11484, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13655); 
return BgL_za2za2resza2za2z00_13658;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3498> */
obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11485, obj_t BgL_sz00_11491)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11486;long BgL_siza7eza7_11487;BgL_ev_absz00_bglt BgL_i1243z00_11488;obj_t BgL_bodyz00_11489;long BgL_siza7ezd2framez75_11490;
BgL_ifreesz00_11486 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11485, 
(int)(((long)0)))); 
BgL_siza7eza7_11487 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11485, 
(int)(((long)1)))); 
BgL_i1243z00_11488 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11485, 
(int)(((long)2)))); 
BgL_bodyz00_11489 = 
PROCEDURE_REF(BgL_envz00_11485, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11490 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11485, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13659;
BgL_bpz00_13659 = 
VECTOR_REF(
((obj_t)BgL_sz00_11491),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13660;
BgL_valza2za2_13660 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11491, BgL_bpz00_13659, BgL_ifreesz00_11486); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13661;
BgL_runz00_13661 = 
MAKE_FX_PROCEDURE(BGl_z62run5077z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11487)); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)1)), BgL_valza2za2_13660); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11488)); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)3)), BgL_bodyz00_11489); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13662;
BgL_mainz00_13662 = 
MAKE_FX_PROCEDURE(BGl_z62main5076z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11487)); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)1)), BgL_valza2za2_13660); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11488)); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)3)), BgL_bodyz00_11489); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)4)), BgL_runz00_13661); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11490)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13663;
BgL_objz00_13663 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13661, BgL_objz00_13663); BgL_objz00_13663; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3499z00_13664;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3500z00_13665;
BgL_arg3500z00_13665 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11488))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13666;
BgL_newz00_13666 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23143;
BgL_tmpz00_23143 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_23143, BgL_arg3500z00_13665); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23148;int BgL_tmpz00_23146;
BgL_auxz00_23148 = 
BINT(BgL_siza7ezd2framez75_11490); 
BgL_tmpz00_23146 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_23146, BgL_auxz00_23148); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23151;
BgL_tmpz00_23151 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_23151, BgL_runz00_13661); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23156;int BgL_tmpz00_23154;
BgL_auxz00_23156 = 
BINT(((long)4)); 
BgL_tmpz00_23154 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_23154, BgL_auxz00_23156); } 
BgL_arg3499z00_13664 = BgL_newz00_13666; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13662, BgL_arg3499z00_13664); BgL_arg3499z00_13664; } 
return BgL_mainz00_13662;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5076 */
obj_t BGl_z62main5076z62zz__evaluate_compz00(obj_t BgL_envz00_11492, obj_t BgL_az00_11499, obj_t BgL_bz00_11500, obj_t BgL_cz00_11501, obj_t BgL_dz00_11502)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11497;long BgL_siza7ezd2framez75_11498;
BgL_runz00_11497 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11498 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13667;
BgL_sz00_13667 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13668;
BgL_bpz00_13668 = 
VECTOR_REF(
((obj_t)BgL_sz00_13667),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13667, BgL_bpz00_13668, 
BINT(BgL_siza7ezd2framez75_11498)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3503z00_13669;
BgL_arg3503z00_13669 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3503z00_13669,BgL_az00_11499); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3504z00_13670;
BgL_arg3504z00_13670 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3504z00_13670,BgL_bz00_11500); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3505z00_13671;
BgL_arg3505z00_13671 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3505z00_13671,BgL_cz00_11501); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3506z00_13672;
BgL_arg3506z00_13672 = 
(
(long)CINT(BgL_bpz00_13668)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3506z00_13672,BgL_dz00_11502); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13673;
BgL_ez00_13673 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13673, BgL_bpz00_13668); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13674;
BgL_accz00_13674 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11497, BgL_sz00_13667, BgL_bpz00_13668); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13673); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),((long)0),BgL_bpz00_13668); 
return BgL_accz00_13674;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13675;
BgL_nsz00_13675 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13675,((long)1),BgL_sz00_13667); 
VECTOR_SET(BgL_nsz00_13675,((long)2),BgL_az00_11499); 
VECTOR_SET(BgL_nsz00_13675,((long)3),BgL_bz00_11500); 
VECTOR_SET(BgL_nsz00_13675,((long)4),BgL_cz00_11501); 
VECTOR_SET(BgL_nsz00_13675,((long)5),BgL_dz00_11502); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13676;
BgL_z12denvz12_13676 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13676, BgL_nsz00_13675); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13677;
BgL_ez00_13677 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13677, BgL_sz00_13667); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13678;
BgL_____rz00_13678 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11497, BgL_nsz00_13675, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13677); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13676, BgL_sz00_13667); 
return BgL_____rz00_13678;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5077 */
obj_t BGl_z62run5077z62zz__evaluate_compz00(obj_t BgL_envz00_11503, obj_t BgL_sz00_11508)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11504;obj_t BgL_valza2za2_11505;BgL_ev_absz00_bglt BgL_i1243z00_11506;obj_t BgL_bodyz00_11507;
BgL_siza7eza7_11504 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11503, 
(int)(((long)0)))); 
BgL_valza2za2_11505 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11503, 
(int)(((long)1)))); 
BgL_i1243z00_11506 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11503, 
(int)(((long)2)))); 
BgL_bodyz00_11507 = 
PROCEDURE_REF(BgL_envz00_11503, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13679;
BgL_bpz00_13679 = 
VECTOR_REF(
((obj_t)BgL_sz00_11508),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11508, BgL_valza2za2_11505, 
(
(long)CINT(BgL_bpz00_13679)+BgL_siza7eza7_11504)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13680;obj_t BgL_wherez00_13681;obj_t BgL_locz00_13682;
BgL_z12denvz12_13680 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13681 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11506))->BgL_wherez00); 
BgL_locz00_13682 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11506))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13680, BgL_wherez00_13681, BgL_locz00_13682); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13683;
BgL_za2za2resza2za2z00_13683 = 
PROCEDURE_ENTRY(BgL_bodyz00_11507)(BgL_bodyz00_11507, BgL_sz00_11508, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13680); 
return BgL_za2za2resza2za2z00_13683;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3509> */
obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11509, obj_t BgL_sz00_11516)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11510;obj_t BgL_iboxesz00_11511;long BgL_siza7eza7_11512;BgL_ev_absz00_bglt BgL_i1243z00_11513;obj_t BgL_bodyz00_11514;long BgL_siza7ezd2framez75_11515;
BgL_ifreesz00_11510 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)0)))); 
BgL_iboxesz00_11511 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)1)))); 
BgL_siza7eza7_11512 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)2)))); 
BgL_i1243z00_11513 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)3)))); 
BgL_bodyz00_11514 = 
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13684;
BgL_bpz00_13684 = 
VECTOR_REF(
((obj_t)BgL_sz00_11516),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13685;
BgL_valza2za2_13685 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11516, BgL_bpz00_13684, BgL_ifreesz00_11510); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13686;
BgL_runz00_13686 = 
MAKE_FX_PROCEDURE(BGl_z62run5079z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)0)), BgL_iboxesz00_11511); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11512)); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)2)), BgL_valza2za2_13685); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11513)); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)4)), BgL_bodyz00_11514); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13687;
BgL_mainz00_13687 = 
MAKE_FX_PROCEDURE(BGl_z62main5078z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)0)), BgL_iboxesz00_11511); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11512)); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)2)), BgL_valza2za2_13685); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11513)); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)4)), BgL_bodyz00_11514); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)5)), BgL_runz00_13686); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11515)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13688;
BgL_objz00_13688 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13686, BgL_objz00_13688); BgL_objz00_13688; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3510z00_13689;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3511z00_13690;
BgL_arg3511z00_13690 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11513))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13691;
BgL_newz00_13691 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23292;
BgL_tmpz00_23292 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_23292, BgL_arg3511z00_13690); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23297;int BgL_tmpz00_23295;
BgL_auxz00_23297 = 
BINT(BgL_siza7ezd2framez75_11515); 
BgL_tmpz00_23295 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_23295, BgL_auxz00_23297); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23300;
BgL_tmpz00_23300 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_23300, BgL_runz00_13686); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23305;int BgL_tmpz00_23303;
BgL_auxz00_23305 = 
BINT(((long)4)); 
BgL_tmpz00_23303 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_23303, BgL_auxz00_23305); } 
BgL_arg3510z00_13689 = BgL_newz00_13691; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13687, BgL_arg3510z00_13689); BgL_arg3510z00_13689; } 
return BgL_mainz00_13687;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5078 */
obj_t BGl_z62main5078z62zz__evaluate_compz00(obj_t BgL_envz00_11517, obj_t BgL_az00_11525, obj_t BgL_bz00_11526, obj_t BgL_cz00_11527, obj_t BgL_dz00_11528)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11523;long BgL_siza7ezd2framez75_11524;
BgL_runz00_11523 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11517, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11524 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11517, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13692;
BgL_sz00_13692 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13693;
BgL_bpz00_13693 = 
VECTOR_REF(
((obj_t)BgL_sz00_13692),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13692, BgL_bpz00_13693, 
BINT(BgL_siza7ezd2framez75_11524)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3514z00_13694;
BgL_arg3514z00_13694 = 
(
(long)CINT(BgL_bpz00_13693)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3514z00_13694,BgL_az00_11525); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3515z00_13695;
BgL_arg3515z00_13695 = 
(
(long)CINT(BgL_bpz00_13693)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3515z00_13695,BgL_bz00_11526); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3516z00_13696;
BgL_arg3516z00_13696 = 
(
(long)CINT(BgL_bpz00_13693)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3516z00_13696,BgL_cz00_11527); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3517z00_13697;
BgL_arg3517z00_13697 = 
(
(long)CINT(BgL_bpz00_13693)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3517z00_13697,BgL_dz00_11528); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13698;
BgL_ez00_13698 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13698, BgL_bpz00_13693); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13699;
BgL_accz00_13699 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11523, BgL_sz00_13692, BgL_bpz00_13693); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13698); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),((long)0),BgL_bpz00_13693); 
return BgL_accz00_13699;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13700;
BgL_nsz00_13700 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13700,((long)1),BgL_sz00_13692); 
VECTOR_SET(BgL_nsz00_13700,((long)2),BgL_az00_11525); 
VECTOR_SET(BgL_nsz00_13700,((long)3),BgL_bz00_11526); 
VECTOR_SET(BgL_nsz00_13700,((long)4),BgL_cz00_11527); 
VECTOR_SET(BgL_nsz00_13700,((long)5),BgL_dz00_11528); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13701;
BgL_z12denvz12_13701 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13701, BgL_nsz00_13700); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13702;
BgL_ez00_13702 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13702, BgL_sz00_13692); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13703;
BgL_____rz00_13703 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11523, BgL_nsz00_13700, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13702); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13701, BgL_sz00_13692); 
return BgL_____rz00_13703;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5079 */
obj_t BGl_z62run5079z62zz__evaluate_compz00(obj_t BgL_envz00_11529, obj_t BgL_sz00_11535)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11530;long BgL_siza7eza7_11531;obj_t BgL_valza2za2_11532;BgL_ev_absz00_bglt BgL_i1243z00_11533;obj_t BgL_bodyz00_11534;
BgL_iboxesz00_11530 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)0)))); 
BgL_siza7eza7_11531 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)1)))); 
BgL_valza2za2_11532 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)2)))); 
BgL_i1243z00_11533 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)3)))); 
BgL_bodyz00_11534 = 
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13704;
BgL_bpz00_13704 = 
VECTOR_REF(
((obj_t)BgL_sz00_11535),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11535, BgL_iboxesz00_11530, BgL_bpz00_13704); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11535, BgL_valza2za2_11532, 
(
(long)CINT(BgL_bpz00_13704)+BgL_siza7eza7_11531)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13705;obj_t BgL_wherez00_13706;obj_t BgL_locz00_13707;
BgL_z12denvz12_13705 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13706 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11533))->BgL_wherez00); 
BgL_locz00_13707 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11533))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13705, BgL_wherez00_13706, BgL_locz00_13707); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13708;
BgL_za2za2resza2za2z00_13708 = 
PROCEDURE_ENTRY(BgL_bodyz00_11534)(BgL_bodyz00_11534, BgL_sz00_11535, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13705); 
return BgL_za2za2resza2za2z00_13708;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3424> */
obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11536, obj_t BgL_sz00_11540)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11537;obj_t BgL_bodyz00_11538;long BgL_siza7ezd2framez75_11539;
BgL_i1243z00_11537 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11536, 
(int)(((long)0)))); 
BgL_bodyz00_11538 = 
PROCEDURE_REF(BgL_envz00_11536, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11539 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11536, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13709;
BgL_bpz00_13709 = 
VECTOR_REF(
((obj_t)BgL_sz00_11540),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13710;
BgL_runz00_13710 = 
MAKE_FX_PROCEDURE(BGl_z62run5081z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11537)); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)1)), BgL_bodyz00_11538); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13711;
BgL_mainz00_13711 = 
MAKE_VA_PROCEDURE(BGl_z62main5080z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11537)); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)1)), BgL_bodyz00_11538); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)2)), BgL_runz00_13710); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11539)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13712;
BgL_objz00_13712 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13710, BgL_objz00_13712); BgL_objz00_13712; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3425z00_13713;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3426z00_13714;
BgL_arg3426z00_13714 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11537))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13715;
BgL_newz00_13715 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23421;
BgL_tmpz00_23421 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23421, BgL_arg3426z00_13714); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23426;int BgL_tmpz00_23424;
BgL_auxz00_23426 = 
BINT(BgL_siza7ezd2framez75_11539); 
BgL_tmpz00_23424 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23424, BgL_auxz00_23426); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23429;
BgL_tmpz00_23429 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23429, BgL_runz00_13710); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23434;int BgL_tmpz00_23432;
BgL_auxz00_23434 = 
BINT(((long)-4)); 
BgL_tmpz00_23432 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23432, BgL_auxz00_23434); } 
BgL_arg3425z00_13713 = BgL_newz00_13715; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13711, BgL_arg3425z00_13713); BgL_arg3425z00_13713; } 
return BgL_mainz00_13711;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5080 */
obj_t BGl_z62main5080z62zz__evaluate_compz00(obj_t BgL_envz00_11541, obj_t BgL_bz00_11546, obj_t BgL_cz00_11547, obj_t BgL_dz00_11548, obj_t BgL_lastz00_11549)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11544;long BgL_siza7ezd2framez75_11545;
BgL_runz00_11544 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11541, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11545 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11541, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13716;
BgL_sz00_13716 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13717;
BgL_bpz00_13717 = 
VECTOR_REF(
((obj_t)BgL_sz00_13716),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13716, BgL_bpz00_13717, 
BINT(BgL_siza7ezd2framez75_11545)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3429z00_13718;
BgL_arg3429z00_13718 = 
(
(long)CINT(BgL_bpz00_13717)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3429z00_13718,BgL_bz00_11546); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3430z00_13719;
BgL_arg3430z00_13719 = 
(
(long)CINT(BgL_bpz00_13717)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3430z00_13719,BgL_cz00_11547); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3431z00_13720;
BgL_arg3431z00_13720 = 
(
(long)CINT(BgL_bpz00_13717)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3431z00_13720,BgL_dz00_11548); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3432z00_13721;
BgL_arg3432z00_13721 = 
(
(long)CINT(BgL_bpz00_13717)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3432z00_13721,BgL_lastz00_11549); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13722;
BgL_ez00_13722 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13722, BgL_bpz00_13717); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13723;
BgL_accz00_13723 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11544, BgL_sz00_13716, BgL_bpz00_13717); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13722); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),((long)0),BgL_bpz00_13717); 
return BgL_accz00_13723;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13724;
BgL_nsz00_13724 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13724,((long)1),BgL_sz00_13716); 
VECTOR_SET(BgL_nsz00_13724,((long)2),BgL_bz00_11546); 
VECTOR_SET(BgL_nsz00_13724,((long)3),BgL_cz00_11547); 
VECTOR_SET(BgL_nsz00_13724,((long)4),BgL_dz00_11548); 
VECTOR_SET(BgL_nsz00_13724,((long)5),BgL_lastz00_11549); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13725;
BgL_z12denvz12_13725 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_nsz00_13724); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13726;
BgL_ez00_13726 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13726, BgL_sz00_13716); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13727;
BgL_____rz00_13727 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11544, BgL_nsz00_13724, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13726); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_sz00_13716); 
return BgL_____rz00_13727;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5081 */
obj_t BGl_z62run5081z62zz__evaluate_compz00(obj_t BgL_envz00_11550, obj_t BgL_sz00_11553)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11551;obj_t BgL_bodyz00_11552;
BgL_i1243z00_11551 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11550, 
(int)(((long)0)))); 
BgL_bodyz00_11552 = 
PROCEDURE_REF(BgL_envz00_11550, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13728;
BgL_bpz00_13728 = 
VECTOR_REF(
((obj_t)BgL_sz00_11553),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13729;obj_t BgL_wherez00_13730;obj_t BgL_locz00_13731;
BgL_z12denvz12_13729 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13730 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11551))->BgL_wherez00); 
BgL_locz00_13731 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11551))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13729, BgL_wherez00_13730, BgL_locz00_13731); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13732;
BgL_za2za2resza2za2z00_13732 = 
PROCEDURE_ENTRY(BgL_bodyz00_11552)(BgL_bodyz00_11552, BgL_sz00_11553, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13729); 
return BgL_za2za2resza2za2z00_13732;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3434> */
obj_t BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11554, obj_t BgL_sz00_11559)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11555;BgL_ev_absz00_bglt BgL_i1243z00_11556;obj_t BgL_bodyz00_11557;long BgL_siza7ezd2framez75_11558;
BgL_iboxesz00_11555 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)0)))); 
BgL_i1243z00_11556 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)1)))); 
BgL_bodyz00_11557 = 
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11558 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13733;
BgL_bpz00_13733 = 
VECTOR_REF(
((obj_t)BgL_sz00_11559),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13734;
BgL_runz00_13734 = 
MAKE_FX_PROCEDURE(BGl_z62run5083z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13734, 
(int)(((long)0)), BgL_iboxesz00_11555); 
PROCEDURE_SET(BgL_runz00_13734, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11556)); 
PROCEDURE_SET(BgL_runz00_13734, 
(int)(((long)2)), BgL_bodyz00_11557); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13735;
BgL_mainz00_13735 = 
MAKE_VA_PROCEDURE(BGl_z62main5082z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)0)), BgL_iboxesz00_11555); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11556)); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)2)), BgL_bodyz00_11557); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)3)), BgL_runz00_13734); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11558)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13736;
BgL_objz00_13736 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13734, BgL_objz00_13736); BgL_objz00_13736; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3435z00_13737;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3436z00_13738;
BgL_arg3436z00_13738 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11556))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13739;
BgL_newz00_13739 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23544;
BgL_tmpz00_23544 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23544, BgL_arg3436z00_13738); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23549;int BgL_tmpz00_23547;
BgL_auxz00_23549 = 
BINT(BgL_siza7ezd2framez75_11558); 
BgL_tmpz00_23547 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23547, BgL_auxz00_23549); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23552;
BgL_tmpz00_23552 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23552, BgL_runz00_13734); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23557;int BgL_tmpz00_23555;
BgL_auxz00_23557 = 
BINT(((long)-4)); 
BgL_tmpz00_23555 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23555, BgL_auxz00_23557); } 
BgL_arg3435z00_13737 = BgL_newz00_13739; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13735, BgL_arg3435z00_13737); BgL_arg3435z00_13737; } 
return BgL_mainz00_13735;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5082 */
obj_t BGl_z62main5082z62zz__evaluate_compz00(obj_t BgL_envz00_11560, obj_t BgL_bz00_11566, obj_t BgL_cz00_11567, obj_t BgL_dz00_11568, obj_t BgL_lastz00_11569)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11564;long BgL_siza7ezd2framez75_11565;
BgL_runz00_11564 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11560, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11565 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11560, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13740;
BgL_sz00_13740 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13741;
BgL_bpz00_13741 = 
VECTOR_REF(
((obj_t)BgL_sz00_13740),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13740, BgL_bpz00_13741, 
BINT(BgL_siza7ezd2framez75_11565)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3439z00_13742;
BgL_arg3439z00_13742 = 
(
(long)CINT(BgL_bpz00_13741)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3439z00_13742,BgL_bz00_11566); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3440z00_13743;
BgL_arg3440z00_13743 = 
(
(long)CINT(BgL_bpz00_13741)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3440z00_13743,BgL_cz00_11567); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3441z00_13744;
BgL_arg3441z00_13744 = 
(
(long)CINT(BgL_bpz00_13741)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3441z00_13744,BgL_dz00_11568); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3442z00_13745;
BgL_arg3442z00_13745 = 
(
(long)CINT(BgL_bpz00_13741)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3442z00_13745,BgL_lastz00_11569); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13746;
BgL_ez00_13746 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13746, BgL_bpz00_13741); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13747;
BgL_accz00_13747 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11564, BgL_sz00_13740, BgL_bpz00_13741); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13746); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),((long)0),BgL_bpz00_13741); 
return BgL_accz00_13747;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13748;
BgL_nsz00_13748 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13748,((long)1),BgL_sz00_13740); 
VECTOR_SET(BgL_nsz00_13748,((long)2),BgL_bz00_11566); 
VECTOR_SET(BgL_nsz00_13748,((long)3),BgL_cz00_11567); 
VECTOR_SET(BgL_nsz00_13748,((long)4),BgL_dz00_11568); 
VECTOR_SET(BgL_nsz00_13748,((long)5),BgL_lastz00_11569); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13749;
BgL_z12denvz12_13749 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13749, BgL_nsz00_13748); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13750;
BgL_ez00_13750 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13750, BgL_sz00_13740); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13751;
BgL_____rz00_13751 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11564, BgL_nsz00_13748, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13750); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13749, BgL_sz00_13740); 
return BgL_____rz00_13751;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5083 */
obj_t BGl_z62run5083z62zz__evaluate_compz00(obj_t BgL_envz00_11570, obj_t BgL_sz00_11574)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11571;BgL_ev_absz00_bglt BgL_i1243z00_11572;obj_t BgL_bodyz00_11573;
BgL_iboxesz00_11571 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11570, 
(int)(((long)0)))); 
BgL_i1243z00_11572 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11570, 
(int)(((long)1)))); 
BgL_bodyz00_11573 = 
PROCEDURE_REF(BgL_envz00_11570, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13752;
BgL_bpz00_13752 = 
VECTOR_REF(
((obj_t)BgL_sz00_11574),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11574, BgL_iboxesz00_11571, BgL_bpz00_13752); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13753;obj_t BgL_wherez00_13754;obj_t BgL_locz00_13755;
BgL_z12denvz12_13753 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13754 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11572))->BgL_wherez00); 
BgL_locz00_13755 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11572))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13753, BgL_wherez00_13754, BgL_locz00_13755); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13756;
BgL_za2za2resza2za2z00_13756 = 
PROCEDURE_ENTRY(BgL_bodyz00_11573)(BgL_bodyz00_11573, BgL_sz00_11574, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13753); 
return BgL_za2za2resza2za2z00_13756;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3447> */
obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11575, obj_t BgL_sz00_11581)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11576;long BgL_siza7eza7_11577;BgL_ev_absz00_bglt BgL_i1243z00_11578;obj_t BgL_bodyz00_11579;long BgL_siza7ezd2framez75_11580;
BgL_ifreesz00_11576 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)0)))); 
BgL_siza7eza7_11577 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)1)))); 
BgL_i1243z00_11578 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)2)))); 
BgL_bodyz00_11579 = 
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11580 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13757;
BgL_bpz00_13757 = 
VECTOR_REF(
((obj_t)BgL_sz00_11581),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13758;
BgL_valza2za2_13758 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11581, BgL_bpz00_13757, BgL_ifreesz00_11576); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13759;
BgL_runz00_13759 = 
MAKE_FX_PROCEDURE(BGl_z62run5085z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13759, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11577)); 
PROCEDURE_SET(BgL_runz00_13759, 
(int)(((long)1)), BgL_valza2za2_13758); 
PROCEDURE_SET(BgL_runz00_13759, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11578)); 
PROCEDURE_SET(BgL_runz00_13759, 
(int)(((long)3)), BgL_bodyz00_11579); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13760;
BgL_mainz00_13760 = 
MAKE_VA_PROCEDURE(BGl_z62main5084z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11577)); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)1)), BgL_valza2za2_13758); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11578)); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)3)), BgL_bodyz00_11579); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)4)), BgL_runz00_13759); 
PROCEDURE_SET(BgL_mainz00_13760, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11580)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13761;
BgL_objz00_13761 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13759, BgL_objz00_13761); BgL_objz00_13761; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3448z00_13762;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3449z00_13763;
BgL_arg3449z00_13763 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11578))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13764;
BgL_newz00_13764 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23681;
BgL_tmpz00_23681 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13764, BgL_tmpz00_23681, BgL_arg3449z00_13763); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23686;int BgL_tmpz00_23684;
BgL_auxz00_23686 = 
BINT(BgL_siza7ezd2framez75_11580); 
BgL_tmpz00_23684 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13764, BgL_tmpz00_23684, BgL_auxz00_23686); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23689;
BgL_tmpz00_23689 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13764, BgL_tmpz00_23689, BgL_runz00_13759); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23694;int BgL_tmpz00_23692;
BgL_auxz00_23694 = 
BINT(((long)-4)); 
BgL_tmpz00_23692 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13764, BgL_tmpz00_23692, BgL_auxz00_23694); } 
BgL_arg3448z00_13762 = BgL_newz00_13764; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13760, BgL_arg3448z00_13762); BgL_arg3448z00_13762; } 
return BgL_mainz00_13760;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5084 */
obj_t BGl_z62main5084z62zz__evaluate_compz00(obj_t BgL_envz00_11582, obj_t BgL_bz00_11589, obj_t BgL_cz00_11590, obj_t BgL_dz00_11591, obj_t BgL_lastz00_11592)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11587;long BgL_siza7ezd2framez75_11588;
BgL_runz00_11587 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11582, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11588 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11582, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13765;
BgL_sz00_13765 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13766;
BgL_bpz00_13766 = 
VECTOR_REF(
((obj_t)BgL_sz00_13765),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13765, BgL_bpz00_13766, 
BINT(BgL_siza7ezd2framez75_11588)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3452z00_13767;
BgL_arg3452z00_13767 = 
(
(long)CINT(BgL_bpz00_13766)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13765),BgL_arg3452z00_13767,BgL_bz00_11589); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3453z00_13768;
BgL_arg3453z00_13768 = 
(
(long)CINT(BgL_bpz00_13766)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13765),BgL_arg3453z00_13768,BgL_cz00_11590); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3454z00_13769;
BgL_arg3454z00_13769 = 
(
(long)CINT(BgL_bpz00_13766)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13765),BgL_arg3454z00_13769,BgL_dz00_11591); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3455z00_13770;
BgL_arg3455z00_13770 = 
(
(long)CINT(BgL_bpz00_13766)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13765),BgL_arg3455z00_13770,BgL_lastz00_11592); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13771;
BgL_ez00_13771 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13771, BgL_bpz00_13766); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13772;
BgL_accz00_13772 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11587, BgL_sz00_13765, BgL_bpz00_13766); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13771); 
VECTOR_SET(
((obj_t)BgL_sz00_13765),((long)0),BgL_bpz00_13766); 
return BgL_accz00_13772;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13773;
BgL_nsz00_13773 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13773,((long)1),BgL_sz00_13765); 
VECTOR_SET(BgL_nsz00_13773,((long)2),BgL_bz00_11589); 
VECTOR_SET(BgL_nsz00_13773,((long)3),BgL_cz00_11590); 
VECTOR_SET(BgL_nsz00_13773,((long)4),BgL_dz00_11591); 
VECTOR_SET(BgL_nsz00_13773,((long)5),BgL_lastz00_11592); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13774;
BgL_z12denvz12_13774 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13774, BgL_nsz00_13773); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13775;
BgL_ez00_13775 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13775, BgL_sz00_13765); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13776;
BgL_____rz00_13776 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11587, BgL_nsz00_13773, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13775); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13774, BgL_sz00_13765); 
return BgL_____rz00_13776;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5085 */
obj_t BGl_z62run5085z62zz__evaluate_compz00(obj_t BgL_envz00_11593, obj_t BgL_sz00_11598)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11594;obj_t BgL_valza2za2_11595;BgL_ev_absz00_bglt BgL_i1243z00_11596;obj_t BgL_bodyz00_11597;
BgL_siza7eza7_11594 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11593, 
(int)(((long)0)))); 
BgL_valza2za2_11595 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11593, 
(int)(((long)1)))); 
BgL_i1243z00_11596 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11593, 
(int)(((long)2)))); 
BgL_bodyz00_11597 = 
PROCEDURE_REF(BgL_envz00_11593, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13777;
BgL_bpz00_13777 = 
VECTOR_REF(
((obj_t)BgL_sz00_11598),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11598, BgL_valza2za2_11595, 
(
(long)CINT(BgL_bpz00_13777)+BgL_siza7eza7_11594)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13778;obj_t BgL_wherez00_13779;obj_t BgL_locz00_13780;
BgL_z12denvz12_13778 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13779 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11596))->BgL_wherez00); 
BgL_locz00_13780 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11596))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13778, BgL_wherez00_13779, BgL_locz00_13780); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13781;
BgL_za2za2resza2za2z00_13781 = 
PROCEDURE_ENTRY(BgL_bodyz00_11597)(BgL_bodyz00_11597, BgL_sz00_11598, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13778); 
return BgL_za2za2resza2za2z00_13781;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3458> */
obj_t BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11599, obj_t BgL_sz00_11606)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11600;obj_t BgL_iboxesz00_11601;long BgL_siza7eza7_11602;BgL_ev_absz00_bglt BgL_i1243z00_11603;obj_t BgL_bodyz00_11604;long BgL_siza7ezd2framez75_11605;
BgL_ifreesz00_11600 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)0)))); 
BgL_iboxesz00_11601 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)1)))); 
BgL_siza7eza7_11602 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)2)))); 
BgL_i1243z00_11603 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)3)))); 
BgL_bodyz00_11604 = 
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11605 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13782;
BgL_bpz00_13782 = 
VECTOR_REF(
((obj_t)BgL_sz00_11606),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13783;
BgL_valza2za2_13783 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11606, BgL_bpz00_13782, BgL_ifreesz00_11600); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13784;
BgL_runz00_13784 = 
MAKE_FX_PROCEDURE(BGl_z62run5087z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)0)), BgL_iboxesz00_11601); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11602)); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)2)), BgL_valza2za2_13783); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11603)); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)4)), BgL_bodyz00_11604); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13785;
BgL_mainz00_13785 = 
MAKE_VA_PROCEDURE(BGl_z62main5086z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)0)), BgL_iboxesz00_11601); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11602)); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)2)), BgL_valza2za2_13783); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11603)); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)4)), BgL_bodyz00_11604); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)5)), BgL_runz00_13784); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11605)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13786;
BgL_objz00_13786 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13784, BgL_objz00_13786); BgL_objz00_13786; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3459z00_13787;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3460z00_13788;
BgL_arg3460z00_13788 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11603))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13789;
BgL_newz00_13789 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23830;
BgL_tmpz00_23830 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23830, BgL_arg3460z00_13788); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23835;int BgL_tmpz00_23833;
BgL_auxz00_23835 = 
BINT(BgL_siza7ezd2framez75_11605); 
BgL_tmpz00_23833 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23833, BgL_auxz00_23835); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23838;
BgL_tmpz00_23838 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23838, BgL_runz00_13784); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23843;int BgL_tmpz00_23841;
BgL_auxz00_23843 = 
BINT(((long)-4)); 
BgL_tmpz00_23841 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23841, BgL_auxz00_23843); } 
BgL_arg3459z00_13787 = BgL_newz00_13789; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13785, BgL_arg3459z00_13787); BgL_arg3459z00_13787; } 
return BgL_mainz00_13785;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5086 */
obj_t BGl_z62main5086z62zz__evaluate_compz00(obj_t BgL_envz00_11607, obj_t BgL_bz00_11615, obj_t BgL_cz00_11616, obj_t BgL_dz00_11617, obj_t BgL_lastz00_11618)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11613;long BgL_siza7ezd2framez75_11614;
BgL_runz00_11613 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11607, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11614 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11607, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13790;
BgL_sz00_13790 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13791;
BgL_bpz00_13791 = 
VECTOR_REF(
((obj_t)BgL_sz00_13790),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13790, BgL_bpz00_13791, 
BINT(BgL_siza7ezd2framez75_11614)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3463z00_13792;
BgL_arg3463z00_13792 = 
(
(long)CINT(BgL_bpz00_13791)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3463z00_13792,BgL_bz00_11615); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3464z00_13793;
BgL_arg3464z00_13793 = 
(
(long)CINT(BgL_bpz00_13791)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3464z00_13793,BgL_cz00_11616); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3465z00_13794;
BgL_arg3465z00_13794 = 
(
(long)CINT(BgL_bpz00_13791)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3465z00_13794,BgL_dz00_11617); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3466z00_13795;
BgL_arg3466z00_13795 = 
(
(long)CINT(BgL_bpz00_13791)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3466z00_13795,BgL_lastz00_11618); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13796;
BgL_ez00_13796 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13796, BgL_bpz00_13791); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13797;
BgL_accz00_13797 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11613, BgL_sz00_13790, BgL_bpz00_13791); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13796); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),((long)0),BgL_bpz00_13791); 
return BgL_accz00_13797;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13798;
BgL_nsz00_13798 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13798,((long)1),BgL_sz00_13790); 
VECTOR_SET(BgL_nsz00_13798,((long)2),BgL_bz00_11615); 
VECTOR_SET(BgL_nsz00_13798,((long)3),BgL_cz00_11616); 
VECTOR_SET(BgL_nsz00_13798,((long)4),BgL_dz00_11617); 
VECTOR_SET(BgL_nsz00_13798,((long)5),BgL_lastz00_11618); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13799;
BgL_z12denvz12_13799 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13799, BgL_nsz00_13798); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13800;
BgL_ez00_13800 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13800, BgL_sz00_13790); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13801;
BgL_____rz00_13801 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11613, BgL_nsz00_13798, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13800); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13799, BgL_sz00_13790); 
return BgL_____rz00_13801;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5087 */
obj_t BGl_z62run5087z62zz__evaluate_compz00(obj_t BgL_envz00_11619, obj_t BgL_sz00_11625)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11620;long BgL_siza7eza7_11621;obj_t BgL_valza2za2_11622;BgL_ev_absz00_bglt BgL_i1243z00_11623;obj_t BgL_bodyz00_11624;
BgL_iboxesz00_11620 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)0)))); 
BgL_siza7eza7_11621 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)1)))); 
BgL_valza2za2_11622 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)2)))); 
BgL_i1243z00_11623 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)3)))); 
BgL_bodyz00_11624 = 
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13802;
BgL_bpz00_13802 = 
VECTOR_REF(
((obj_t)BgL_sz00_11625),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11625, BgL_iboxesz00_11620, BgL_bpz00_13802); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11625, BgL_valza2za2_11622, 
(
(long)CINT(BgL_bpz00_13802)+BgL_siza7eza7_11621)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13803;obj_t BgL_wherez00_13804;obj_t BgL_locz00_13805;
BgL_z12denvz12_13803 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13804 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11623))->BgL_wherez00); 
BgL_locz00_13805 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11623))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13803, BgL_wherez00_13804, BgL_locz00_13805); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13806;
BgL_za2za2resza2za2z00_13806 = 
PROCEDURE_ENTRY(BgL_bodyz00_11624)(BgL_bodyz00_11624, BgL_sz00_11625, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13803); 
return BgL_za2za2resza2za2z00_13806;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3377> */
obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11626, obj_t BgL_sz00_11630)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11627;obj_t BgL_bodyz00_11628;long BgL_siza7ezd2framez75_11629;
BgL_i1243z00_11627 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11626, 
(int)(((long)0)))); 
BgL_bodyz00_11628 = 
PROCEDURE_REF(BgL_envz00_11626, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11629 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11626, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13807;
BgL_bpz00_13807 = 
VECTOR_REF(
((obj_t)BgL_sz00_11630),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13808;
BgL_runz00_13808 = 
MAKE_FX_PROCEDURE(BGl_z62run5089z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11627)); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)1)), BgL_bodyz00_11628); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13809;
BgL_mainz00_13809 = 
MAKE_FX_PROCEDURE(BGl_z62main5088z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11627)); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)1)), BgL_bodyz00_11628); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)2)), BgL_runz00_13808); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11629)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13810;
BgL_objz00_13810 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13808, BgL_objz00_13810); BgL_objz00_13810; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3378z00_13811;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3379z00_13812;
BgL_arg3379z00_13812 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11627))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13813;
BgL_newz00_13813 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23959;
BgL_tmpz00_23959 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23959, BgL_arg3379z00_13812); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23964;int BgL_tmpz00_23962;
BgL_auxz00_23964 = 
BINT(BgL_siza7ezd2framez75_11629); 
BgL_tmpz00_23962 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23962, BgL_auxz00_23964); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23967;
BgL_tmpz00_23967 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23967, BgL_runz00_13808); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23972;int BgL_tmpz00_23970;
BgL_auxz00_23972 = 
BINT(((long)3)); 
BgL_tmpz00_23970 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23970, BgL_auxz00_23972); } 
BgL_arg3378z00_13811 = BgL_newz00_13813; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13809, BgL_arg3378z00_13811); BgL_arg3378z00_13811; } 
return BgL_mainz00_13809;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5088 */
obj_t BGl_z62main5088z62zz__evaluate_compz00(obj_t BgL_envz00_11631, obj_t BgL_bz00_11636, obj_t BgL_cz00_11637, obj_t BgL_dz00_11638)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11634;long BgL_siza7ezd2framez75_11635;
BgL_runz00_11634 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11631, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11635 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11631, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13814;
BgL_sz00_13814 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13815;
BgL_bpz00_13815 = 
VECTOR_REF(
((obj_t)BgL_sz00_13814),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13814, BgL_bpz00_13815, 
BINT(BgL_siza7ezd2framez75_11635)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3382z00_13816;
BgL_arg3382z00_13816 = 
(
(long)CINT(BgL_bpz00_13815)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3382z00_13816,BgL_bz00_11636); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3383z00_13817;
BgL_arg3383z00_13817 = 
(
(long)CINT(BgL_bpz00_13815)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3383z00_13817,BgL_cz00_11637); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3384z00_13818;
BgL_arg3384z00_13818 = 
(
(long)CINT(BgL_bpz00_13815)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3384z00_13818,BgL_dz00_11638); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13819;
BgL_ez00_13819 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13819, BgL_bpz00_13815); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13820;
BgL_accz00_13820 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11634, BgL_sz00_13814, BgL_bpz00_13815); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13819); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),((long)0),BgL_bpz00_13815); 
return BgL_accz00_13820;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13821;
BgL_nsz00_13821 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13821,((long)1),BgL_sz00_13814); 
VECTOR_SET(BgL_nsz00_13821,((long)2),BgL_bz00_11636); 
VECTOR_SET(BgL_nsz00_13821,((long)3),BgL_cz00_11637); 
VECTOR_SET(BgL_nsz00_13821,((long)4),BgL_dz00_11638); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13822;
BgL_z12denvz12_13822 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13822, BgL_nsz00_13821); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13823;
BgL_ez00_13823 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13823, BgL_sz00_13814); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13824;
BgL_____rz00_13824 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11634, BgL_nsz00_13821, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13823); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13822, BgL_sz00_13814); 
return BgL_____rz00_13824;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5089 */
obj_t BGl_z62run5089z62zz__evaluate_compz00(obj_t BgL_envz00_11639, obj_t BgL_sz00_11642)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11640;obj_t BgL_bodyz00_11641;
BgL_i1243z00_11640 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11639, 
(int)(((long)0)))); 
BgL_bodyz00_11641 = 
PROCEDURE_REF(BgL_envz00_11639, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13825;
BgL_bpz00_13825 = 
VECTOR_REF(
((obj_t)BgL_sz00_11642),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13826;obj_t BgL_wherez00_13827;obj_t BgL_locz00_13828;
BgL_z12denvz12_13826 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13827 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11640))->BgL_wherez00); 
BgL_locz00_13828 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11640))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13826, BgL_wherez00_13827, BgL_locz00_13828); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13829;
BgL_za2za2resza2za2z00_13829 = 
PROCEDURE_ENTRY(BgL_bodyz00_11641)(BgL_bodyz00_11641, BgL_sz00_11642, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13826); 
return BgL_za2za2resza2za2z00_13829;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3386> */
obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11643, obj_t BgL_sz00_11648)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11644;BgL_ev_absz00_bglt BgL_i1243z00_11645;obj_t BgL_bodyz00_11646;long BgL_siza7ezd2framez75_11647;
BgL_iboxesz00_11644 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)0)))); 
BgL_i1243z00_11645 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)1)))); 
BgL_bodyz00_11646 = 
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11647 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13830;
BgL_bpz00_13830 = 
VECTOR_REF(
((obj_t)BgL_sz00_11648),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13831;
BgL_runz00_13831 = 
MAKE_FX_PROCEDURE(BGl_z62run5091z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13831, 
(int)(((long)0)), BgL_iboxesz00_11644); 
PROCEDURE_SET(BgL_runz00_13831, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11645)); 
PROCEDURE_SET(BgL_runz00_13831, 
(int)(((long)2)), BgL_bodyz00_11646); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13832;
BgL_mainz00_13832 = 
MAKE_FX_PROCEDURE(BGl_z62main5090z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13832, 
(int)(((long)0)), BgL_iboxesz00_11644); 
PROCEDURE_SET(BgL_mainz00_13832, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11645)); 
PROCEDURE_SET(BgL_mainz00_13832, 
(int)(((long)2)), BgL_bodyz00_11646); 
PROCEDURE_SET(BgL_mainz00_13832, 
(int)(((long)3)), BgL_runz00_13831); 
PROCEDURE_SET(BgL_mainz00_13832, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11647)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13833;
BgL_objz00_13833 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13831, BgL_objz00_13833); BgL_objz00_13833; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3387z00_13834;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3388z00_13835;
BgL_arg3388z00_13835 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11645))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13836;
BgL_newz00_13836 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24077;
BgL_tmpz00_24077 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13836, BgL_tmpz00_24077, BgL_arg3388z00_13835); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24082;int BgL_tmpz00_24080;
BgL_auxz00_24082 = 
BINT(BgL_siza7ezd2framez75_11647); 
BgL_tmpz00_24080 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13836, BgL_tmpz00_24080, BgL_auxz00_24082); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24085;
BgL_tmpz00_24085 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13836, BgL_tmpz00_24085, BgL_runz00_13831); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24090;int BgL_tmpz00_24088;
BgL_auxz00_24090 = 
BINT(((long)3)); 
BgL_tmpz00_24088 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13836, BgL_tmpz00_24088, BgL_auxz00_24090); } 
BgL_arg3387z00_13834 = BgL_newz00_13836; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13832, BgL_arg3387z00_13834); BgL_arg3387z00_13834; } 
return BgL_mainz00_13832;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5090 */
obj_t BGl_z62main5090z62zz__evaluate_compz00(obj_t BgL_envz00_11649, obj_t BgL_bz00_11655, obj_t BgL_cz00_11656, obj_t BgL_dz00_11657)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11653;long BgL_siza7ezd2framez75_11654;
BgL_runz00_11653 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11654 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13837;
BgL_sz00_13837 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13838;
BgL_bpz00_13838 = 
VECTOR_REF(
((obj_t)BgL_sz00_13837),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13837, BgL_bpz00_13838, 
BINT(BgL_siza7ezd2framez75_11654)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3391z00_13839;
BgL_arg3391z00_13839 = 
(
(long)CINT(BgL_bpz00_13838)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13837),BgL_arg3391z00_13839,BgL_bz00_11655); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3392z00_13840;
BgL_arg3392z00_13840 = 
(
(long)CINT(BgL_bpz00_13838)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13837),BgL_arg3392z00_13840,BgL_cz00_11656); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3393z00_13841;
BgL_arg3393z00_13841 = 
(
(long)CINT(BgL_bpz00_13838)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13837),BgL_arg3393z00_13841,BgL_dz00_11657); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13842;
BgL_ez00_13842 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13842, BgL_bpz00_13838); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13843;
BgL_accz00_13843 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11653, BgL_sz00_13837, BgL_bpz00_13838); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13842); 
VECTOR_SET(
((obj_t)BgL_sz00_13837),((long)0),BgL_bpz00_13838); 
return BgL_accz00_13843;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13844;
BgL_nsz00_13844 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13844,((long)1),BgL_sz00_13837); 
VECTOR_SET(BgL_nsz00_13844,((long)2),BgL_bz00_11655); 
VECTOR_SET(BgL_nsz00_13844,((long)3),BgL_cz00_11656); 
VECTOR_SET(BgL_nsz00_13844,((long)4),BgL_dz00_11657); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13845;
BgL_z12denvz12_13845 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13845, BgL_nsz00_13844); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13846;
BgL_ez00_13846 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13846, BgL_sz00_13837); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13847;
BgL_____rz00_13847 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11653, BgL_nsz00_13844, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13846); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13845, BgL_sz00_13837); 
return BgL_____rz00_13847;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5091 */
obj_t BGl_z62run5091z62zz__evaluate_compz00(obj_t BgL_envz00_11658, obj_t BgL_sz00_11662)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11659;BgL_ev_absz00_bglt BgL_i1243z00_11660;obj_t BgL_bodyz00_11661;
BgL_iboxesz00_11659 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)0)))); 
BgL_i1243z00_11660 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)1)))); 
BgL_bodyz00_11661 = 
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13848;
BgL_bpz00_13848 = 
VECTOR_REF(
((obj_t)BgL_sz00_11662),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11662, BgL_iboxesz00_11659, BgL_bpz00_13848); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13849;obj_t BgL_wherez00_13850;obj_t BgL_locz00_13851;
BgL_z12denvz12_13849 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13850 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11660))->BgL_wherez00); 
BgL_locz00_13851 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11660))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13849, BgL_wherez00_13850, BgL_locz00_13851); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13852;
BgL_za2za2resza2za2z00_13852 = 
PROCEDURE_ENTRY(BgL_bodyz00_11661)(BgL_bodyz00_11661, BgL_sz00_11662, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13849); 
return BgL_za2za2resza2za2z00_13852;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3398> */
obj_t BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11663, obj_t BgL_sz00_11669)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11664;long BgL_siza7eza7_11665;BgL_ev_absz00_bglt BgL_i1243z00_11666;obj_t BgL_bodyz00_11667;long BgL_siza7ezd2framez75_11668;
BgL_ifreesz00_11664 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)0)))); 
BgL_siza7eza7_11665 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)1)))); 
BgL_i1243z00_11666 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)2)))); 
BgL_bodyz00_11667 = 
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11668 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13853;
BgL_bpz00_13853 = 
VECTOR_REF(
((obj_t)BgL_sz00_11669),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13854;
BgL_valza2za2_13854 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11669, BgL_bpz00_13853, BgL_ifreesz00_11664); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13855;
BgL_runz00_13855 = 
MAKE_FX_PROCEDURE(BGl_z62run5093z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11665)); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)1)), BgL_valza2za2_13854); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11666)); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)3)), BgL_bodyz00_11667); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13856;
BgL_mainz00_13856 = 
MAKE_FX_PROCEDURE(BGl_z62main5092z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11665)); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)1)), BgL_valza2za2_13854); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11666)); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)3)), BgL_bodyz00_11667); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)4)), BgL_runz00_13855); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11668)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13857;
BgL_objz00_13857 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13855, BgL_objz00_13857); BgL_objz00_13857; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3399z00_13858;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3400z00_13859;
BgL_arg3400z00_13859 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11666))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13860;
BgL_newz00_13860 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24209;
BgL_tmpz00_24209 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24209, BgL_arg3400z00_13859); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24214;int BgL_tmpz00_24212;
BgL_auxz00_24214 = 
BINT(BgL_siza7ezd2framez75_11668); 
BgL_tmpz00_24212 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24212, BgL_auxz00_24214); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24217;
BgL_tmpz00_24217 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24217, BgL_runz00_13855); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24222;int BgL_tmpz00_24220;
BgL_auxz00_24222 = 
BINT(((long)3)); 
BgL_tmpz00_24220 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24220, BgL_auxz00_24222); } 
BgL_arg3399z00_13858 = BgL_newz00_13860; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13856, BgL_arg3399z00_13858); BgL_arg3399z00_13858; } 
return BgL_mainz00_13856;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5092 */
obj_t BGl_z62main5092z62zz__evaluate_compz00(obj_t BgL_envz00_11670, obj_t BgL_bz00_11677, obj_t BgL_cz00_11678, obj_t BgL_dz00_11679)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11675;long BgL_siza7ezd2framez75_11676;
BgL_runz00_11675 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11670, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11676 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11670, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13861;
BgL_sz00_13861 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13862;
BgL_bpz00_13862 = 
VECTOR_REF(
((obj_t)BgL_sz00_13861),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13861, BgL_bpz00_13862, 
BINT(BgL_siza7ezd2framez75_11676)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3403z00_13863;
BgL_arg3403z00_13863 = 
(
(long)CINT(BgL_bpz00_13862)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3403z00_13863,BgL_bz00_11677); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3404z00_13864;
BgL_arg3404z00_13864 = 
(
(long)CINT(BgL_bpz00_13862)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3404z00_13864,BgL_cz00_11678); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3405z00_13865;
BgL_arg3405z00_13865 = 
(
(long)CINT(BgL_bpz00_13862)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3405z00_13865,BgL_dz00_11679); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13866;
BgL_ez00_13866 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13866, BgL_bpz00_13862); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13867;
BgL_accz00_13867 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11675, BgL_sz00_13861, BgL_bpz00_13862); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13866); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),((long)0),BgL_bpz00_13862); 
return BgL_accz00_13867;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13868;
BgL_nsz00_13868 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13868,((long)1),BgL_sz00_13861); 
VECTOR_SET(BgL_nsz00_13868,((long)2),BgL_bz00_11677); 
VECTOR_SET(BgL_nsz00_13868,((long)3),BgL_cz00_11678); 
VECTOR_SET(BgL_nsz00_13868,((long)4),BgL_dz00_11679); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13869;
BgL_z12denvz12_13869 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13869, BgL_nsz00_13868); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13870;
BgL_ez00_13870 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13870, BgL_sz00_13861); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13871;
BgL_____rz00_13871 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11675, BgL_nsz00_13868, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13870); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13869, BgL_sz00_13861); 
return BgL_____rz00_13871;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5093 */
obj_t BGl_z62run5093z62zz__evaluate_compz00(obj_t BgL_envz00_11680, obj_t BgL_sz00_11685)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11681;obj_t BgL_valza2za2_11682;BgL_ev_absz00_bglt BgL_i1243z00_11683;obj_t BgL_bodyz00_11684;
BgL_siza7eza7_11681 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11680, 
(int)(((long)0)))); 
BgL_valza2za2_11682 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11680, 
(int)(((long)1)))); 
BgL_i1243z00_11683 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11680, 
(int)(((long)2)))); 
BgL_bodyz00_11684 = 
PROCEDURE_REF(BgL_envz00_11680, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13872;
BgL_bpz00_13872 = 
VECTOR_REF(
((obj_t)BgL_sz00_11685),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11685, BgL_valza2za2_11682, 
(
(long)CINT(BgL_bpz00_13872)+BgL_siza7eza7_11681)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13873;obj_t BgL_wherez00_13874;obj_t BgL_locz00_13875;
BgL_z12denvz12_13873 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13874 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11683))->BgL_wherez00); 
BgL_locz00_13875 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11683))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13873, BgL_wherez00_13874, BgL_locz00_13875); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13876;
BgL_za2za2resza2za2z00_13876 = 
PROCEDURE_ENTRY(BgL_bodyz00_11684)(BgL_bodyz00_11684, BgL_sz00_11685, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13873); 
return BgL_za2za2resza2za2z00_13876;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3408> */
obj_t BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11686, obj_t BgL_sz00_11693)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11687;obj_t BgL_iboxesz00_11688;long BgL_siza7eza7_11689;BgL_ev_absz00_bglt BgL_i1243z00_11690;obj_t BgL_bodyz00_11691;long BgL_siza7ezd2framez75_11692;
BgL_ifreesz00_11687 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)0)))); 
BgL_iboxesz00_11688 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)1)))); 
BgL_siza7eza7_11689 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)2)))); 
BgL_i1243z00_11690 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)3)))); 
BgL_bodyz00_11691 = 
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11692 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11686, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13877;
BgL_bpz00_13877 = 
VECTOR_REF(
((obj_t)BgL_sz00_11693),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13878;
BgL_valza2za2_13878 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11693, BgL_bpz00_13877, BgL_ifreesz00_11687); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13879;
BgL_runz00_13879 = 
MAKE_FX_PROCEDURE(BGl_z62run5095z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)0)), BgL_iboxesz00_11688); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11689)); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)2)), BgL_valza2za2_13878); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11690)); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)4)), BgL_bodyz00_11691); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13880;
BgL_mainz00_13880 = 
MAKE_FX_PROCEDURE(BGl_z62main5094z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)0)), BgL_iboxesz00_11688); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11689)); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)2)), BgL_valza2za2_13878); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11690)); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)4)), BgL_bodyz00_11691); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)5)), BgL_runz00_13879); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11692)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13881;
BgL_objz00_13881 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13879, BgL_objz00_13881); BgL_objz00_13881; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3409z00_13882;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3410z00_13883;
BgL_arg3410z00_13883 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11690))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13884;
BgL_newz00_13884 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24353;
BgL_tmpz00_24353 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24353, BgL_arg3410z00_13883); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24358;int BgL_tmpz00_24356;
BgL_auxz00_24358 = 
BINT(BgL_siza7ezd2framez75_11692); 
BgL_tmpz00_24356 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24356, BgL_auxz00_24358); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24361;
BgL_tmpz00_24361 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24361, BgL_runz00_13879); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24366;int BgL_tmpz00_24364;
BgL_auxz00_24366 = 
BINT(((long)3)); 
BgL_tmpz00_24364 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24364, BgL_auxz00_24366); } 
BgL_arg3409z00_13882 = BgL_newz00_13884; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13880, BgL_arg3409z00_13882); BgL_arg3409z00_13882; } 
return BgL_mainz00_13880;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5094 */
obj_t BGl_z62main5094z62zz__evaluate_compz00(obj_t BgL_envz00_11694, obj_t BgL_bz00_11702, obj_t BgL_cz00_11703, obj_t BgL_dz00_11704)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11700;long BgL_siza7ezd2framez75_11701;
BgL_runz00_11700 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11694, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11701 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11694, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13885;
BgL_sz00_13885 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13886;
BgL_bpz00_13886 = 
VECTOR_REF(
((obj_t)BgL_sz00_13885),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13885, BgL_bpz00_13886, 
BINT(BgL_siza7ezd2framez75_11701)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3413z00_13887;
BgL_arg3413z00_13887 = 
(
(long)CINT(BgL_bpz00_13886)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3413z00_13887,BgL_bz00_11702); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3414z00_13888;
BgL_arg3414z00_13888 = 
(
(long)CINT(BgL_bpz00_13886)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3414z00_13888,BgL_cz00_11703); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3415z00_13889;
BgL_arg3415z00_13889 = 
(
(long)CINT(BgL_bpz00_13886)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3415z00_13889,BgL_dz00_11704); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13890;
BgL_ez00_13890 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13890, BgL_bpz00_13886); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13891;
BgL_accz00_13891 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11700, BgL_sz00_13885, BgL_bpz00_13886); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13890); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),((long)0),BgL_bpz00_13886); 
return BgL_accz00_13891;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13892;
BgL_nsz00_13892 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13892,((long)1),BgL_sz00_13885); 
VECTOR_SET(BgL_nsz00_13892,((long)2),BgL_bz00_11702); 
VECTOR_SET(BgL_nsz00_13892,((long)3),BgL_cz00_11703); 
VECTOR_SET(BgL_nsz00_13892,((long)4),BgL_dz00_11704); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13893;
BgL_z12denvz12_13893 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13893, BgL_nsz00_13892); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13894;
BgL_ez00_13894 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13894, BgL_sz00_13885); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13895;
BgL_____rz00_13895 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11700, BgL_nsz00_13892, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13894); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13893, BgL_sz00_13885); 
return BgL_____rz00_13895;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5095 */
obj_t BGl_z62run5095z62zz__evaluate_compz00(obj_t BgL_envz00_11705, obj_t BgL_sz00_11711)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11706;long BgL_siza7eza7_11707;obj_t BgL_valza2za2_11708;BgL_ev_absz00_bglt BgL_i1243z00_11709;obj_t BgL_bodyz00_11710;
BgL_iboxesz00_11706 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)0)))); 
BgL_siza7eza7_11707 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)1)))); 
BgL_valza2za2_11708 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)2)))); 
BgL_i1243z00_11709 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)3)))); 
BgL_bodyz00_11710 = 
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13896;
BgL_bpz00_13896 = 
VECTOR_REF(
((obj_t)BgL_sz00_11711),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11711, BgL_iboxesz00_11706, BgL_bpz00_13896); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11711, BgL_valza2za2_11708, 
(
(long)CINT(BgL_bpz00_13896)+BgL_siza7eza7_11707)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13897;obj_t BgL_wherez00_13898;obj_t BgL_locz00_13899;
BgL_z12denvz12_13897 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13898 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11709))->BgL_wherez00); 
BgL_locz00_13899 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11709))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13897, BgL_wherez00_13898, BgL_locz00_13899); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13900;
BgL_za2za2resza2za2z00_13900 = 
PROCEDURE_ENTRY(BgL_bodyz00_11710)(BgL_bodyz00_11710, BgL_sz00_11711, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13897); 
return BgL_za2za2resza2za2z00_13900;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3330> */
obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11712, obj_t BgL_sz00_11716)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11713;obj_t BgL_bodyz00_11714;long BgL_siza7ezd2framez75_11715;
BgL_i1243z00_11713 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11712, 
(int)(((long)0)))); 
BgL_bodyz00_11714 = 
PROCEDURE_REF(BgL_envz00_11712, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11715 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11712, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13901;
BgL_bpz00_13901 = 
VECTOR_REF(
((obj_t)BgL_sz00_11716),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13902;
BgL_runz00_13902 = 
MAKE_FX_PROCEDURE(BGl_z62run5097z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13902, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11713)); 
PROCEDURE_SET(BgL_runz00_13902, 
(int)(((long)1)), BgL_bodyz00_11714); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13903;
BgL_mainz00_13903 = 
MAKE_VA_PROCEDURE(BGl_z62main5096z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13903, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11713)); 
PROCEDURE_SET(BgL_mainz00_13903, 
(int)(((long)1)), BgL_bodyz00_11714); 
PROCEDURE_SET(BgL_mainz00_13903, 
(int)(((long)2)), BgL_runz00_13902); 
PROCEDURE_SET(BgL_mainz00_13903, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11715)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13904;
BgL_objz00_13904 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13902, BgL_objz00_13904); BgL_objz00_13904; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3331z00_13905;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3332z00_13906;
BgL_arg3332z00_13906 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11713))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13907;
BgL_newz00_13907 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24477;
BgL_tmpz00_24477 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13907, BgL_tmpz00_24477, BgL_arg3332z00_13906); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24482;int BgL_tmpz00_24480;
BgL_auxz00_24482 = 
BINT(BgL_siza7ezd2framez75_11715); 
BgL_tmpz00_24480 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13907, BgL_tmpz00_24480, BgL_auxz00_24482); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24485;
BgL_tmpz00_24485 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13907, BgL_tmpz00_24485, BgL_runz00_13902); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24490;int BgL_tmpz00_24488;
BgL_auxz00_24490 = 
BINT(((long)-3)); 
BgL_tmpz00_24488 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13907, BgL_tmpz00_24488, BgL_auxz00_24490); } 
BgL_arg3331z00_13905 = BgL_newz00_13907; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13903, BgL_arg3331z00_13905); BgL_arg3331z00_13905; } 
return BgL_mainz00_13903;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5096 */
obj_t BGl_z62main5096z62zz__evaluate_compz00(obj_t BgL_envz00_11717, obj_t BgL_cz00_11722, obj_t BgL_dz00_11723, obj_t BgL_lastz00_11724)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11720;long BgL_siza7ezd2framez75_11721;
BgL_runz00_11720 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11721 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13908;
BgL_sz00_13908 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13909;
BgL_bpz00_13909 = 
VECTOR_REF(
((obj_t)BgL_sz00_13908),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13908, BgL_bpz00_13909, 
BINT(BgL_siza7ezd2framez75_11721)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3335z00_13910;
BgL_arg3335z00_13910 = 
(
(long)CINT(BgL_bpz00_13909)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13908),BgL_arg3335z00_13910,BgL_cz00_11722); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3336z00_13911;
BgL_arg3336z00_13911 = 
(
(long)CINT(BgL_bpz00_13909)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13908),BgL_arg3336z00_13911,BgL_dz00_11723); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3337z00_13912;
BgL_arg3337z00_13912 = 
(
(long)CINT(BgL_bpz00_13909)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13908),BgL_arg3337z00_13912,BgL_lastz00_11724); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13913;
BgL_ez00_13913 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13913, BgL_bpz00_13909); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13914;
BgL_accz00_13914 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11720, BgL_sz00_13908, BgL_bpz00_13909); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13913); 
VECTOR_SET(
((obj_t)BgL_sz00_13908),((long)0),BgL_bpz00_13909); 
return BgL_accz00_13914;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13915;
BgL_nsz00_13915 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13915,((long)1),BgL_sz00_13908); 
VECTOR_SET(BgL_nsz00_13915,((long)2),BgL_cz00_11722); 
VECTOR_SET(BgL_nsz00_13915,((long)3),BgL_dz00_11723); 
VECTOR_SET(BgL_nsz00_13915,((long)4),BgL_lastz00_11724); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13916;
BgL_z12denvz12_13916 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13916, BgL_nsz00_13915); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13917;
BgL_ez00_13917 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13917, BgL_sz00_13908); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13918;
BgL_____rz00_13918 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11720, BgL_nsz00_13915, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13917); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13916, BgL_sz00_13908); 
return BgL_____rz00_13918;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5097 */
obj_t BGl_z62run5097z62zz__evaluate_compz00(obj_t BgL_envz00_11725, obj_t BgL_sz00_11728)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11726;obj_t BgL_bodyz00_11727;
BgL_i1243z00_11726 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11725, 
(int)(((long)0)))); 
BgL_bodyz00_11727 = 
PROCEDURE_REF(BgL_envz00_11725, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13919;
BgL_bpz00_13919 = 
VECTOR_REF(
((obj_t)BgL_sz00_11728),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13920;obj_t BgL_wherez00_13921;obj_t BgL_locz00_13922;
BgL_z12denvz12_13920 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13921 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11726))->BgL_wherez00); 
BgL_locz00_13922 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11726))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13920, BgL_wherez00_13921, BgL_locz00_13922); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13923;
BgL_za2za2resza2za2z00_13923 = 
PROCEDURE_ENTRY(BgL_bodyz00_11727)(BgL_bodyz00_11727, BgL_sz00_11728, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13920); 
return BgL_za2za2resza2za2z00_13923;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3339> */
obj_t BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11729, obj_t BgL_sz00_11734)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11730;BgL_ev_absz00_bglt BgL_i1243z00_11731;obj_t BgL_bodyz00_11732;long BgL_siza7ezd2framez75_11733;
BgL_iboxesz00_11730 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)0)))); 
BgL_i1243z00_11731 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)1)))); 
BgL_bodyz00_11732 = 
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11733 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13924;
BgL_bpz00_13924 = 
VECTOR_REF(
((obj_t)BgL_sz00_11734),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13925;
BgL_runz00_13925 = 
MAKE_FX_PROCEDURE(BGl_z62run5099z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13925, 
(int)(((long)0)), BgL_iboxesz00_11730); 
PROCEDURE_SET(BgL_runz00_13925, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11731)); 
PROCEDURE_SET(BgL_runz00_13925, 
(int)(((long)2)), BgL_bodyz00_11732); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13926;
BgL_mainz00_13926 = 
MAKE_VA_PROCEDURE(BGl_z62main5098z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13926, 
(int)(((long)0)), BgL_iboxesz00_11730); 
PROCEDURE_SET(BgL_mainz00_13926, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11731)); 
PROCEDURE_SET(BgL_mainz00_13926, 
(int)(((long)2)), BgL_bodyz00_11732); 
PROCEDURE_SET(BgL_mainz00_13926, 
(int)(((long)3)), BgL_runz00_13925); 
PROCEDURE_SET(BgL_mainz00_13926, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11733)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13927;
BgL_objz00_13927 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13925, BgL_objz00_13927); BgL_objz00_13927; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3340z00_13928;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3341z00_13929;
BgL_arg3341z00_13929 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11731))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13930;
BgL_newz00_13930 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24595;
BgL_tmpz00_24595 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13930, BgL_tmpz00_24595, BgL_arg3341z00_13929); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24600;int BgL_tmpz00_24598;
BgL_auxz00_24600 = 
BINT(BgL_siza7ezd2framez75_11733); 
BgL_tmpz00_24598 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13930, BgL_tmpz00_24598, BgL_auxz00_24600); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24603;
BgL_tmpz00_24603 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13930, BgL_tmpz00_24603, BgL_runz00_13925); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24608;int BgL_tmpz00_24606;
BgL_auxz00_24608 = 
BINT(((long)-3)); 
BgL_tmpz00_24606 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13930, BgL_tmpz00_24606, BgL_auxz00_24608); } 
BgL_arg3340z00_13928 = BgL_newz00_13930; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13926, BgL_arg3340z00_13928); BgL_arg3340z00_13928; } 
return BgL_mainz00_13926;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5098 */
obj_t BGl_z62main5098z62zz__evaluate_compz00(obj_t BgL_envz00_11735, obj_t BgL_cz00_11741, obj_t BgL_dz00_11742, obj_t BgL_lastz00_11743)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11739;long BgL_siza7ezd2framez75_11740;
BgL_runz00_11739 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11735, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11740 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11735, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13931;
BgL_sz00_13931 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13932;
BgL_bpz00_13932 = 
VECTOR_REF(
((obj_t)BgL_sz00_13931),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13931, BgL_bpz00_13932, 
BINT(BgL_siza7ezd2framez75_11740)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3344z00_13933;
BgL_arg3344z00_13933 = 
(
(long)CINT(BgL_bpz00_13932)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13931),BgL_arg3344z00_13933,BgL_cz00_11741); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3345z00_13934;
BgL_arg3345z00_13934 = 
(
(long)CINT(BgL_bpz00_13932)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13931),BgL_arg3345z00_13934,BgL_dz00_11742); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3346z00_13935;
BgL_arg3346z00_13935 = 
(
(long)CINT(BgL_bpz00_13932)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13931),BgL_arg3346z00_13935,BgL_lastz00_11743); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13936;
BgL_ez00_13936 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13936, BgL_bpz00_13932); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13937;
BgL_accz00_13937 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11739, BgL_sz00_13931, BgL_bpz00_13932); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13936); 
VECTOR_SET(
((obj_t)BgL_sz00_13931),((long)0),BgL_bpz00_13932); 
return BgL_accz00_13937;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13938;
BgL_nsz00_13938 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13938,((long)1),BgL_sz00_13931); 
VECTOR_SET(BgL_nsz00_13938,((long)2),BgL_cz00_11741); 
VECTOR_SET(BgL_nsz00_13938,((long)3),BgL_dz00_11742); 
VECTOR_SET(BgL_nsz00_13938,((long)4),BgL_lastz00_11743); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13939;
BgL_z12denvz12_13939 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13939, BgL_nsz00_13938); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13940;
BgL_ez00_13940 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13940, BgL_sz00_13931); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13941;
BgL_____rz00_13941 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11739, BgL_nsz00_13938, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13940); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13939, BgL_sz00_13931); 
return BgL_____rz00_13941;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5099 */
obj_t BGl_z62run5099z62zz__evaluate_compz00(obj_t BgL_envz00_11744, obj_t BgL_sz00_11748)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11745;BgL_ev_absz00_bglt BgL_i1243z00_11746;obj_t BgL_bodyz00_11747;
BgL_iboxesz00_11745 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11744, 
(int)(((long)0)))); 
BgL_i1243z00_11746 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11744, 
(int)(((long)1)))); 
BgL_bodyz00_11747 = 
PROCEDURE_REF(BgL_envz00_11744, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13942;
BgL_bpz00_13942 = 
VECTOR_REF(
((obj_t)BgL_sz00_11748),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11748, BgL_iboxesz00_11745, BgL_bpz00_13942); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13943;obj_t BgL_wherez00_13944;obj_t BgL_locz00_13945;
BgL_z12denvz12_13943 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13944 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11746))->BgL_wherez00); 
BgL_locz00_13945 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11746))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13943, BgL_wherez00_13944, BgL_locz00_13945); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13946;
BgL_za2za2resza2za2z00_13946 = 
PROCEDURE_ENTRY(BgL_bodyz00_11747)(BgL_bodyz00_11747, BgL_sz00_11748, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13943); 
return BgL_za2za2resza2za2z00_13946;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3351> */
obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11749, obj_t BgL_sz00_11755)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11750;long BgL_siza7eza7_11751;BgL_ev_absz00_bglt BgL_i1243z00_11752;obj_t BgL_bodyz00_11753;long BgL_siza7ezd2framez75_11754;
BgL_ifreesz00_11750 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)0)))); 
BgL_siza7eza7_11751 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)1)))); 
BgL_i1243z00_11752 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)2)))); 
BgL_bodyz00_11753 = 
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11754 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13947;
BgL_bpz00_13947 = 
VECTOR_REF(
((obj_t)BgL_sz00_11755),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13948;
BgL_valza2za2_13948 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11755, BgL_bpz00_13947, BgL_ifreesz00_11750); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13949;
BgL_runz00_13949 = 
MAKE_FX_PROCEDURE(BGl_z62run5101z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11751)); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)1)), BgL_valza2za2_13948); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11752)); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)3)), BgL_bodyz00_11753); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13950;
BgL_mainz00_13950 = 
MAKE_VA_PROCEDURE(BGl_z62main5100z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11751)); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)1)), BgL_valza2za2_13948); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11752)); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)3)), BgL_bodyz00_11753); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)4)), BgL_runz00_13949); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11754)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13951;
BgL_objz00_13951 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13949, BgL_objz00_13951); BgL_objz00_13951; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3352z00_13952;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3353z00_13953;
BgL_arg3353z00_13953 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11752))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13954;
BgL_newz00_13954 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24727;
BgL_tmpz00_24727 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24727, BgL_arg3353z00_13953); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24732;int BgL_tmpz00_24730;
BgL_auxz00_24732 = 
BINT(BgL_siza7ezd2framez75_11754); 
BgL_tmpz00_24730 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24730, BgL_auxz00_24732); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24735;
BgL_tmpz00_24735 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24735, BgL_runz00_13949); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24740;int BgL_tmpz00_24738;
BgL_auxz00_24740 = 
BINT(((long)-3)); 
BgL_tmpz00_24738 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24738, BgL_auxz00_24740); } 
BgL_arg3352z00_13952 = BgL_newz00_13954; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13950, BgL_arg3352z00_13952); BgL_arg3352z00_13952; } 
return BgL_mainz00_13950;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5100 */
obj_t BGl_z62main5100z62zz__evaluate_compz00(obj_t BgL_envz00_11756, obj_t BgL_cz00_11763, obj_t BgL_dz00_11764, obj_t BgL_lastz00_11765)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11761;long BgL_siza7ezd2framez75_11762;
BgL_runz00_11761 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11756, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11762 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11756, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13955;
BgL_sz00_13955 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13956;
BgL_bpz00_13956 = 
VECTOR_REF(
((obj_t)BgL_sz00_13955),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13955, BgL_bpz00_13956, 
BINT(BgL_siza7ezd2framez75_11762)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3356z00_13957;
BgL_arg3356z00_13957 = 
(
(long)CINT(BgL_bpz00_13956)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3356z00_13957,BgL_cz00_11763); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3357z00_13958;
BgL_arg3357z00_13958 = 
(
(long)CINT(BgL_bpz00_13956)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3357z00_13958,BgL_dz00_11764); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3358z00_13959;
BgL_arg3358z00_13959 = 
(
(long)CINT(BgL_bpz00_13956)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3358z00_13959,BgL_lastz00_11765); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13960;
BgL_ez00_13960 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13960, BgL_bpz00_13956); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13961;
BgL_accz00_13961 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11761, BgL_sz00_13955, BgL_bpz00_13956); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13960); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),((long)0),BgL_bpz00_13956); 
return BgL_accz00_13961;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13962;
BgL_nsz00_13962 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13962,((long)1),BgL_sz00_13955); 
VECTOR_SET(BgL_nsz00_13962,((long)2),BgL_cz00_11763); 
VECTOR_SET(BgL_nsz00_13962,((long)3),BgL_dz00_11764); 
VECTOR_SET(BgL_nsz00_13962,((long)4),BgL_lastz00_11765); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13963;
BgL_z12denvz12_13963 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13963, BgL_nsz00_13962); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13964;
BgL_ez00_13964 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13964, BgL_sz00_13955); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13965;
BgL_____rz00_13965 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11761, BgL_nsz00_13962, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13964); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13963, BgL_sz00_13955); 
return BgL_____rz00_13965;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5101 */
obj_t BGl_z62run5101z62zz__evaluate_compz00(obj_t BgL_envz00_11766, obj_t BgL_sz00_11771)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11767;obj_t BgL_valza2za2_11768;BgL_ev_absz00_bglt BgL_i1243z00_11769;obj_t BgL_bodyz00_11770;
BgL_siza7eza7_11767 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11766, 
(int)(((long)0)))); 
BgL_valza2za2_11768 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11766, 
(int)(((long)1)))); 
BgL_i1243z00_11769 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11766, 
(int)(((long)2)))); 
BgL_bodyz00_11770 = 
PROCEDURE_REF(BgL_envz00_11766, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13966;
BgL_bpz00_13966 = 
VECTOR_REF(
((obj_t)BgL_sz00_11771),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11771, BgL_valza2za2_11768, 
(
(long)CINT(BgL_bpz00_13966)+BgL_siza7eza7_11767)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13967;obj_t BgL_wherez00_13968;obj_t BgL_locz00_13969;
BgL_z12denvz12_13967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13968 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11769))->BgL_wherez00); 
BgL_locz00_13969 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11769))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13967, BgL_wherez00_13968, BgL_locz00_13969); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13970;
BgL_za2za2resza2za2z00_13970 = 
PROCEDURE_ENTRY(BgL_bodyz00_11770)(BgL_bodyz00_11770, BgL_sz00_11771, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13967); 
return BgL_za2za2resza2za2z00_13970;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3361> */
obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11772, obj_t BgL_sz00_11779)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11773;obj_t BgL_iboxesz00_11774;long BgL_siza7eza7_11775;BgL_ev_absz00_bglt BgL_i1243z00_11776;obj_t BgL_bodyz00_11777;long BgL_siza7ezd2framez75_11778;
BgL_ifreesz00_11773 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)0)))); 
BgL_iboxesz00_11774 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)1)))); 
BgL_siza7eza7_11775 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)2)))); 
BgL_i1243z00_11776 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)3)))); 
BgL_bodyz00_11777 = 
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11778 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13971;
BgL_bpz00_13971 = 
VECTOR_REF(
((obj_t)BgL_sz00_11779),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13972;
BgL_valza2za2_13972 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11779, BgL_bpz00_13971, BgL_ifreesz00_11773); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13973;
BgL_runz00_13973 = 
MAKE_FX_PROCEDURE(BGl_z62run5103z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)0)), BgL_iboxesz00_11774); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11775)); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)2)), BgL_valza2za2_13972); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11776)); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)4)), BgL_bodyz00_11777); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13974;
BgL_mainz00_13974 = 
MAKE_VA_PROCEDURE(BGl_z62main5102z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)0)), BgL_iboxesz00_11774); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11775)); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)2)), BgL_valza2za2_13972); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11776)); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)4)), BgL_bodyz00_11777); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)5)), BgL_runz00_13973); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11778)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13975;
BgL_objz00_13975 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13973, BgL_objz00_13975); BgL_objz00_13975; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3362z00_13976;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3363z00_13977;
BgL_arg3363z00_13977 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11776))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13978;
BgL_newz00_13978 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24871;
BgL_tmpz00_24871 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24871, BgL_arg3363z00_13977); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24876;int BgL_tmpz00_24874;
BgL_auxz00_24876 = 
BINT(BgL_siza7ezd2framez75_11778); 
BgL_tmpz00_24874 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24874, BgL_auxz00_24876); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24879;
BgL_tmpz00_24879 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24879, BgL_runz00_13973); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24884;int BgL_tmpz00_24882;
BgL_auxz00_24884 = 
BINT(((long)-3)); 
BgL_tmpz00_24882 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24882, BgL_auxz00_24884); } 
BgL_arg3362z00_13976 = BgL_newz00_13978; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13974, BgL_arg3362z00_13976); BgL_arg3362z00_13976; } 
return BgL_mainz00_13974;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5102 */
obj_t BGl_z62main5102z62zz__evaluate_compz00(obj_t BgL_envz00_11780, obj_t BgL_cz00_11788, obj_t BgL_dz00_11789, obj_t BgL_lastz00_11790)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11786;long BgL_siza7ezd2framez75_11787;
BgL_runz00_11786 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11780, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11787 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11780, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13979;
BgL_sz00_13979 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13980;
BgL_bpz00_13980 = 
VECTOR_REF(
((obj_t)BgL_sz00_13979),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13979, BgL_bpz00_13980, 
BINT(BgL_siza7ezd2framez75_11787)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3366z00_13981;
BgL_arg3366z00_13981 = 
(
(long)CINT(BgL_bpz00_13980)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3366z00_13981,BgL_cz00_11788); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3367z00_13982;
BgL_arg3367z00_13982 = 
(
(long)CINT(BgL_bpz00_13980)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3367z00_13982,BgL_dz00_11789); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3368z00_13983;
BgL_arg3368z00_13983 = 
(
(long)CINT(BgL_bpz00_13980)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3368z00_13983,BgL_lastz00_11790); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13984;
BgL_ez00_13984 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13984, BgL_bpz00_13980); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13985;
BgL_accz00_13985 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11786, BgL_sz00_13979, BgL_bpz00_13980); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13984); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),((long)0),BgL_bpz00_13980); 
return BgL_accz00_13985;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13986;
BgL_nsz00_13986 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13986,((long)1),BgL_sz00_13979); 
VECTOR_SET(BgL_nsz00_13986,((long)2),BgL_cz00_11788); 
VECTOR_SET(BgL_nsz00_13986,((long)3),BgL_dz00_11789); 
VECTOR_SET(BgL_nsz00_13986,((long)4),BgL_lastz00_11790); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13987;
BgL_z12denvz12_13987 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13987, BgL_nsz00_13986); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13988;
BgL_ez00_13988 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13988, BgL_sz00_13979); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13989;
BgL_____rz00_13989 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11786, BgL_nsz00_13986, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13988); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13987, BgL_sz00_13979); 
return BgL_____rz00_13989;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5103 */
obj_t BGl_z62run5103z62zz__evaluate_compz00(obj_t BgL_envz00_11791, obj_t BgL_sz00_11797)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11792;long BgL_siza7eza7_11793;obj_t BgL_valza2za2_11794;BgL_ev_absz00_bglt BgL_i1243z00_11795;obj_t BgL_bodyz00_11796;
BgL_iboxesz00_11792 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)0)))); 
BgL_siza7eza7_11793 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)1)))); 
BgL_valza2za2_11794 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)2)))); 
BgL_i1243z00_11795 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)3)))); 
BgL_bodyz00_11796 = 
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13990;
BgL_bpz00_13990 = 
VECTOR_REF(
((obj_t)BgL_sz00_11797),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11797, BgL_iboxesz00_11792, BgL_bpz00_13990); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11797, BgL_valza2za2_11794, 
(
(long)CINT(BgL_bpz00_13990)+BgL_siza7eza7_11793)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13991;obj_t BgL_wherez00_13992;obj_t BgL_locz00_13993;
BgL_z12denvz12_13991 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13992 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11795))->BgL_wherez00); 
BgL_locz00_13993 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11795))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13991, BgL_wherez00_13992, BgL_locz00_13993); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13994;
BgL_za2za2resza2za2z00_13994 = 
PROCEDURE_ENTRY(BgL_bodyz00_11796)(BgL_bodyz00_11796, BgL_sz00_11797, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13991); 
return BgL_za2za2resza2za2z00_13994;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3287> */
obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11798, obj_t BgL_sz00_11802)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11799;obj_t BgL_bodyz00_11800;long BgL_siza7ezd2framez75_11801;
BgL_i1243z00_11799 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11798, 
(int)(((long)0)))); 
BgL_bodyz00_11800 = 
PROCEDURE_REF(BgL_envz00_11798, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11801 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11798, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13995;
BgL_bpz00_13995 = 
VECTOR_REF(
((obj_t)BgL_sz00_11802),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13996;
BgL_runz00_13996 = 
MAKE_FX_PROCEDURE(BGl_z62run5105z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13996, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11799)); 
PROCEDURE_SET(BgL_runz00_13996, 
(int)(((long)1)), BgL_bodyz00_11800); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13997;
BgL_mainz00_13997 = 
MAKE_FX_PROCEDURE(BGl_z62main5104z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13997, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11799)); 
PROCEDURE_SET(BgL_mainz00_13997, 
(int)(((long)1)), BgL_bodyz00_11800); 
PROCEDURE_SET(BgL_mainz00_13997, 
(int)(((long)2)), BgL_runz00_13996); 
PROCEDURE_SET(BgL_mainz00_13997, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11801)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13998;
BgL_objz00_13998 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13996, BgL_objz00_13998); BgL_objz00_13998; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3288z00_13999;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3289z00_14000;
BgL_arg3289z00_14000 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11799))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14001;
BgL_newz00_14001 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24995;
BgL_tmpz00_24995 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14001, BgL_tmpz00_24995, BgL_arg3289z00_14000); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25000;int BgL_tmpz00_24998;
BgL_auxz00_25000 = 
BINT(BgL_siza7ezd2framez75_11801); 
BgL_tmpz00_24998 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14001, BgL_tmpz00_24998, BgL_auxz00_25000); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25003;
BgL_tmpz00_25003 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14001, BgL_tmpz00_25003, BgL_runz00_13996); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25008;int BgL_tmpz00_25006;
BgL_auxz00_25008 = 
BINT(((long)2)); 
BgL_tmpz00_25006 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14001, BgL_tmpz00_25006, BgL_auxz00_25008); } 
BgL_arg3288z00_13999 = BgL_newz00_14001; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13997, BgL_arg3288z00_13999); BgL_arg3288z00_13999; } 
return BgL_mainz00_13997;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5104 */
obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t BgL_envz00_11803, obj_t BgL_cz00_11808, obj_t BgL_dz00_11809)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11806;long BgL_siza7ezd2framez75_11807;
BgL_runz00_11806 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11807 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14002;
BgL_sz00_14002 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14003;
BgL_bpz00_14003 = 
VECTOR_REF(
((obj_t)BgL_sz00_14002),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14002, BgL_bpz00_14003, 
BINT(BgL_siza7ezd2framez75_11807)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3292z00_14004;
BgL_arg3292z00_14004 = 
(
(long)CINT(BgL_bpz00_14003)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14002),BgL_arg3292z00_14004,BgL_cz00_11808); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3293z00_14005;
BgL_arg3293z00_14005 = 
(
(long)CINT(BgL_bpz00_14003)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14002),BgL_arg3293z00_14005,BgL_dz00_11809); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14006;
BgL_ez00_14006 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14006, BgL_bpz00_14003); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14007;
BgL_accz00_14007 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11806, BgL_sz00_14002, BgL_bpz00_14003); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14006); 
VECTOR_SET(
((obj_t)BgL_sz00_14002),((long)0),BgL_bpz00_14003); 
return BgL_accz00_14007;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14008;
BgL_nsz00_14008 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14008,((long)1),BgL_sz00_14002); 
VECTOR_SET(BgL_nsz00_14008,((long)2),BgL_cz00_11808); 
VECTOR_SET(BgL_nsz00_14008,((long)3),BgL_dz00_11809); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14009;
BgL_z12denvz12_14009 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14009, BgL_nsz00_14008); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14010;
BgL_ez00_14010 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14010, BgL_sz00_14002); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14011;
BgL_____rz00_14011 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11806, BgL_nsz00_14008, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14010); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14009, BgL_sz00_14002); 
return BgL_____rz00_14011;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5105 */
obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t BgL_envz00_11810, obj_t BgL_sz00_11813)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11811;obj_t BgL_bodyz00_11812;
BgL_i1243z00_11811 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11810, 
(int)(((long)0)))); 
BgL_bodyz00_11812 = 
PROCEDURE_REF(BgL_envz00_11810, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14012;
BgL_bpz00_14012 = 
VECTOR_REF(
((obj_t)BgL_sz00_11813),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14013;obj_t BgL_wherez00_14014;obj_t BgL_locz00_14015;
BgL_z12denvz12_14013 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14014 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11811))->BgL_wherez00); 
BgL_locz00_14015 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11811))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14013, BgL_wherez00_14014, BgL_locz00_14015); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14016;
BgL_za2za2resza2za2z00_14016 = 
PROCEDURE_ENTRY(BgL_bodyz00_11812)(BgL_bodyz00_11812, BgL_sz00_11813, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14013); 
return BgL_za2za2resza2za2z00_14016;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3295> */
obj_t BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11814, obj_t BgL_sz00_11819)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11815;BgL_ev_absz00_bglt BgL_i1243z00_11816;obj_t BgL_bodyz00_11817;long BgL_siza7ezd2framez75_11818;
BgL_iboxesz00_11815 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)0)))); 
BgL_i1243z00_11816 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)1)))); 
BgL_bodyz00_11817 = 
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11818 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11814, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14017;
BgL_bpz00_14017 = 
VECTOR_REF(
((obj_t)BgL_sz00_11819),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14018;
BgL_runz00_14018 = 
MAKE_FX_PROCEDURE(BGl_z62run5107z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14018, 
(int)(((long)0)), BgL_iboxesz00_11815); 
PROCEDURE_SET(BgL_runz00_14018, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11816)); 
PROCEDURE_SET(BgL_runz00_14018, 
(int)(((long)2)), BgL_bodyz00_11817); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14019;
BgL_mainz00_14019 = 
MAKE_FX_PROCEDURE(BGl_z62main5106z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14019, 
(int)(((long)0)), BgL_iboxesz00_11815); 
PROCEDURE_SET(BgL_mainz00_14019, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11816)); 
PROCEDURE_SET(BgL_mainz00_14019, 
(int)(((long)2)), BgL_bodyz00_11817); 
PROCEDURE_SET(BgL_mainz00_14019, 
(int)(((long)3)), BgL_runz00_14018); 
PROCEDURE_SET(BgL_mainz00_14019, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11818)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14020;
BgL_objz00_14020 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14018, BgL_objz00_14020); BgL_objz00_14020; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3296z00_14021;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3297z00_14022;
BgL_arg3297z00_14022 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11816))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14023;
BgL_newz00_14023 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25108;
BgL_tmpz00_25108 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14023, BgL_tmpz00_25108, BgL_arg3297z00_14022); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25113;int BgL_tmpz00_25111;
BgL_auxz00_25113 = 
BINT(BgL_siza7ezd2framez75_11818); 
BgL_tmpz00_25111 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14023, BgL_tmpz00_25111, BgL_auxz00_25113); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25116;
BgL_tmpz00_25116 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14023, BgL_tmpz00_25116, BgL_runz00_14018); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25121;int BgL_tmpz00_25119;
BgL_auxz00_25121 = 
BINT(((long)2)); 
BgL_tmpz00_25119 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14023, BgL_tmpz00_25119, BgL_auxz00_25121); } 
BgL_arg3296z00_14021 = BgL_newz00_14023; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14019, BgL_arg3296z00_14021); BgL_arg3296z00_14021; } 
return BgL_mainz00_14019;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5106 */
obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t BgL_envz00_11820, obj_t BgL_cz00_11826, obj_t BgL_dz00_11827)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11824;long BgL_siza7ezd2framez75_11825;
BgL_runz00_11824 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11820, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11825 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11820, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14024;
BgL_sz00_14024 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14025;
BgL_bpz00_14025 = 
VECTOR_REF(
((obj_t)BgL_sz00_14024),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14024, BgL_bpz00_14025, 
BINT(BgL_siza7ezd2framez75_11825)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3300z00_14026;
BgL_arg3300z00_14026 = 
(
(long)CINT(BgL_bpz00_14025)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14024),BgL_arg3300z00_14026,BgL_cz00_11826); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3301z00_14027;
BgL_arg3301z00_14027 = 
(
(long)CINT(BgL_bpz00_14025)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14024),BgL_arg3301z00_14027,BgL_dz00_11827); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14028;
BgL_ez00_14028 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14028, BgL_bpz00_14025); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14029;
BgL_accz00_14029 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11824, BgL_sz00_14024, BgL_bpz00_14025); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14028); 
VECTOR_SET(
((obj_t)BgL_sz00_14024),((long)0),BgL_bpz00_14025); 
return BgL_accz00_14029;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14030;
BgL_nsz00_14030 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14030,((long)1),BgL_sz00_14024); 
VECTOR_SET(BgL_nsz00_14030,((long)2),BgL_cz00_11826); 
VECTOR_SET(BgL_nsz00_14030,((long)3),BgL_dz00_11827); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14031;
BgL_z12denvz12_14031 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14031, BgL_nsz00_14030); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14032;
BgL_ez00_14032 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14032, BgL_sz00_14024); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14033;
BgL_____rz00_14033 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11824, BgL_nsz00_14030, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14032); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14031, BgL_sz00_14024); 
return BgL_____rz00_14033;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5107 */
obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t BgL_envz00_11828, obj_t BgL_sz00_11832)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11829;BgL_ev_absz00_bglt BgL_i1243z00_11830;obj_t BgL_bodyz00_11831;
BgL_iboxesz00_11829 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11828, 
(int)(((long)0)))); 
BgL_i1243z00_11830 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11828, 
(int)(((long)1)))); 
BgL_bodyz00_11831 = 
PROCEDURE_REF(BgL_envz00_11828, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14034;
BgL_bpz00_14034 = 
VECTOR_REF(
((obj_t)BgL_sz00_11832),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11832, BgL_iboxesz00_11829, BgL_bpz00_14034); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14035;obj_t BgL_wherez00_14036;obj_t BgL_locz00_14037;
BgL_z12denvz12_14035 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14036 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11830))->BgL_wherez00); 
BgL_locz00_14037 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11830))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14035, BgL_wherez00_14036, BgL_locz00_14037); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14038;
BgL_za2za2resza2za2z00_14038 = 
PROCEDURE_ENTRY(BgL_bodyz00_11831)(BgL_bodyz00_11831, BgL_sz00_11832, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14035); 
return BgL_za2za2resza2za2z00_14038;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3306> */
obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11833, obj_t BgL_sz00_11839)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11834;long BgL_siza7eza7_11835;BgL_ev_absz00_bglt BgL_i1243z00_11836;obj_t BgL_bodyz00_11837;long BgL_siza7ezd2framez75_11838;
BgL_ifreesz00_11834 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)0)))); 
BgL_siza7eza7_11835 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)1)))); 
BgL_i1243z00_11836 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)2)))); 
BgL_bodyz00_11837 = 
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11838 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14039;
BgL_bpz00_14039 = 
VECTOR_REF(
((obj_t)BgL_sz00_11839),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14040;
BgL_valza2za2_14040 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11839, BgL_bpz00_14039, BgL_ifreesz00_11834); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14041;
BgL_runz00_14041 = 
MAKE_FX_PROCEDURE(BGl_z62run5109z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14041, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11835)); 
PROCEDURE_SET(BgL_runz00_14041, 
(int)(((long)1)), BgL_valza2za2_14040); 
PROCEDURE_SET(BgL_runz00_14041, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11836)); 
PROCEDURE_SET(BgL_runz00_14041, 
(int)(((long)3)), BgL_bodyz00_11837); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14042;
BgL_mainz00_14042 = 
MAKE_FX_PROCEDURE(BGl_z62main5108z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11835)); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)1)), BgL_valza2za2_14040); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11836)); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)3)), BgL_bodyz00_11837); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)4)), BgL_runz00_14041); 
PROCEDURE_SET(BgL_mainz00_14042, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11838)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14043;
BgL_objz00_14043 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14041, BgL_objz00_14043); BgL_objz00_14043; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3307z00_14044;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3308z00_14045;
BgL_arg3308z00_14045 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11836))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14046;
BgL_newz00_14046 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25235;
BgL_tmpz00_25235 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14046, BgL_tmpz00_25235, BgL_arg3308z00_14045); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25240;int BgL_tmpz00_25238;
BgL_auxz00_25240 = 
BINT(BgL_siza7ezd2framez75_11838); 
BgL_tmpz00_25238 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14046, BgL_tmpz00_25238, BgL_auxz00_25240); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25243;
BgL_tmpz00_25243 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14046, BgL_tmpz00_25243, BgL_runz00_14041); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25248;int BgL_tmpz00_25246;
BgL_auxz00_25248 = 
BINT(((long)2)); 
BgL_tmpz00_25246 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14046, BgL_tmpz00_25246, BgL_auxz00_25248); } 
BgL_arg3307z00_14044 = BgL_newz00_14046; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14042, BgL_arg3307z00_14044); BgL_arg3307z00_14044; } 
return BgL_mainz00_14042;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5108 */
obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t BgL_envz00_11840, obj_t BgL_cz00_11847, obj_t BgL_dz00_11848)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11845;long BgL_siza7ezd2framez75_11846;
BgL_runz00_11845 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11846 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14047;
BgL_sz00_14047 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14048;
BgL_bpz00_14048 = 
VECTOR_REF(
((obj_t)BgL_sz00_14047),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14047, BgL_bpz00_14048, 
BINT(BgL_siza7ezd2framez75_11846)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3311z00_14049;
BgL_arg3311z00_14049 = 
(
(long)CINT(BgL_bpz00_14048)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14047),BgL_arg3311z00_14049,BgL_cz00_11847); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3312z00_14050;
BgL_arg3312z00_14050 = 
(
(long)CINT(BgL_bpz00_14048)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14047),BgL_arg3312z00_14050,BgL_dz00_11848); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14051;
BgL_ez00_14051 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14051, BgL_bpz00_14048); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14052;
BgL_accz00_14052 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11845, BgL_sz00_14047, BgL_bpz00_14048); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14051); 
VECTOR_SET(
((obj_t)BgL_sz00_14047),((long)0),BgL_bpz00_14048); 
return BgL_accz00_14052;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14053;
BgL_nsz00_14053 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14053,((long)1),BgL_sz00_14047); 
VECTOR_SET(BgL_nsz00_14053,((long)2),BgL_cz00_11847); 
VECTOR_SET(BgL_nsz00_14053,((long)3),BgL_dz00_11848); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14054;
BgL_z12denvz12_14054 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14054, BgL_nsz00_14053); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14055;
BgL_ez00_14055 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14055, BgL_sz00_14047); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14056;
BgL_____rz00_14056 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11845, BgL_nsz00_14053, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14055); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14054, BgL_sz00_14047); 
return BgL_____rz00_14056;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5109 */
obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t BgL_envz00_11849, obj_t BgL_sz00_11854)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11850;obj_t BgL_valza2za2_11851;BgL_ev_absz00_bglt BgL_i1243z00_11852;obj_t BgL_bodyz00_11853;
BgL_siza7eza7_11850 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)0)))); 
BgL_valza2za2_11851 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)1)))); 
BgL_i1243z00_11852 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)2)))); 
BgL_bodyz00_11853 = 
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14057;
BgL_bpz00_14057 = 
VECTOR_REF(
((obj_t)BgL_sz00_11854),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11854, BgL_valza2za2_11851, 
(
(long)CINT(BgL_bpz00_14057)+BgL_siza7eza7_11850)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14058;obj_t BgL_wherez00_14059;obj_t BgL_locz00_14060;
BgL_z12denvz12_14058 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14059 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11852))->BgL_wherez00); 
BgL_locz00_14060 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11852))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14058, BgL_wherez00_14059, BgL_locz00_14060); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14061;
BgL_za2za2resza2za2z00_14061 = 
PROCEDURE_ENTRY(BgL_bodyz00_11853)(BgL_bodyz00_11853, BgL_sz00_11854, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14058); 
return BgL_za2za2resza2za2z00_14061;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3315> */
obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11855, obj_t BgL_sz00_11862)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11856;obj_t BgL_iboxesz00_11857;long BgL_siza7eza7_11858;BgL_ev_absz00_bglt BgL_i1243z00_11859;obj_t BgL_bodyz00_11860;long BgL_siza7ezd2framez75_11861;
BgL_ifreesz00_11856 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)0)))); 
BgL_iboxesz00_11857 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)1)))); 
BgL_siza7eza7_11858 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)2)))); 
BgL_i1243z00_11859 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)3)))); 
BgL_bodyz00_11860 = 
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11861 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14062;
BgL_bpz00_14062 = 
VECTOR_REF(
((obj_t)BgL_sz00_11862),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14063;
BgL_valza2za2_14063 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11862, BgL_bpz00_14062, BgL_ifreesz00_11856); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14064;
BgL_runz00_14064 = 
MAKE_FX_PROCEDURE(BGl_z62run5111z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14064, 
(int)(((long)0)), BgL_iboxesz00_11857); 
PROCEDURE_SET(BgL_runz00_14064, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11858)); 
PROCEDURE_SET(BgL_runz00_14064, 
(int)(((long)2)), BgL_valza2za2_14063); 
PROCEDURE_SET(BgL_runz00_14064, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11859)); 
PROCEDURE_SET(BgL_runz00_14064, 
(int)(((long)4)), BgL_bodyz00_11860); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14065;
BgL_mainz00_14065 = 
MAKE_FX_PROCEDURE(BGl_z62main5110z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)0)), BgL_iboxesz00_11857); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11858)); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)2)), BgL_valza2za2_14063); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11859)); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)4)), BgL_bodyz00_11860); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)5)), BgL_runz00_14064); 
PROCEDURE_SET(BgL_mainz00_14065, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11861)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14066;
BgL_objz00_14066 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14064, BgL_objz00_14066); BgL_objz00_14066; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3316z00_14067;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3317z00_14068;
BgL_arg3317z00_14068 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11859))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14069;
BgL_newz00_14069 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25374;
BgL_tmpz00_25374 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14069, BgL_tmpz00_25374, BgL_arg3317z00_14068); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25379;int BgL_tmpz00_25377;
BgL_auxz00_25379 = 
BINT(BgL_siza7ezd2framez75_11861); 
BgL_tmpz00_25377 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14069, BgL_tmpz00_25377, BgL_auxz00_25379); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25382;
BgL_tmpz00_25382 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14069, BgL_tmpz00_25382, BgL_runz00_14064); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25387;int BgL_tmpz00_25385;
BgL_auxz00_25387 = 
BINT(((long)2)); 
BgL_tmpz00_25385 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14069, BgL_tmpz00_25385, BgL_auxz00_25387); } 
BgL_arg3316z00_14067 = BgL_newz00_14069; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14065, BgL_arg3316z00_14067); BgL_arg3316z00_14067; } 
return BgL_mainz00_14065;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5110 */
obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t BgL_envz00_11863, obj_t BgL_cz00_11871, obj_t BgL_dz00_11872)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11869;long BgL_siza7ezd2framez75_11870;
BgL_runz00_11869 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11863, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11870 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11863, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14070;
BgL_sz00_14070 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14071;
BgL_bpz00_14071 = 
VECTOR_REF(
((obj_t)BgL_sz00_14070),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14070, BgL_bpz00_14071, 
BINT(BgL_siza7ezd2framez75_11870)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3320z00_14072;
BgL_arg3320z00_14072 = 
(
(long)CINT(BgL_bpz00_14071)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14070),BgL_arg3320z00_14072,BgL_cz00_11871); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3321z00_14073;
BgL_arg3321z00_14073 = 
(
(long)CINT(BgL_bpz00_14071)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14070),BgL_arg3321z00_14073,BgL_dz00_11872); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14074;
BgL_ez00_14074 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14074, BgL_bpz00_14071); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14075;
BgL_accz00_14075 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_sz00_14070, BgL_bpz00_14071); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14074); 
VECTOR_SET(
((obj_t)BgL_sz00_14070),((long)0),BgL_bpz00_14071); 
return BgL_accz00_14075;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14076;
BgL_nsz00_14076 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14076,((long)1),BgL_sz00_14070); 
VECTOR_SET(BgL_nsz00_14076,((long)2),BgL_cz00_11871); 
VECTOR_SET(BgL_nsz00_14076,((long)3),BgL_dz00_11872); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14077;
BgL_z12denvz12_14077 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14077, BgL_nsz00_14076); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14078;
BgL_ez00_14078 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14078, BgL_sz00_14070); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14079;
BgL_____rz00_14079 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_nsz00_14076, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14078); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14077, BgL_sz00_14070); 
return BgL_____rz00_14079;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5111 */
obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t BgL_envz00_11873, obj_t BgL_sz00_11879)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11874;long BgL_siza7eza7_11875;obj_t BgL_valza2za2_11876;BgL_ev_absz00_bglt BgL_i1243z00_11877;obj_t BgL_bodyz00_11878;
BgL_iboxesz00_11874 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)0)))); 
BgL_siza7eza7_11875 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)1)))); 
BgL_valza2za2_11876 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)2)))); 
BgL_i1243z00_11877 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)3)))); 
BgL_bodyz00_11878 = 
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14080;
BgL_bpz00_14080 = 
VECTOR_REF(
((obj_t)BgL_sz00_11879),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11879, BgL_iboxesz00_11874, BgL_bpz00_14080); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11879, BgL_valza2za2_11876, 
(
(long)CINT(BgL_bpz00_14080)+BgL_siza7eza7_11875)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14081;obj_t BgL_wherez00_14082;obj_t BgL_locz00_14083;
BgL_z12denvz12_14081 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14082 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11877))->BgL_wherez00); 
BgL_locz00_14083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11877))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14081, BgL_wherez00_14082, BgL_locz00_14083); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14084;
BgL_za2za2resza2za2z00_14084 = 
PROCEDURE_ENTRY(BgL_bodyz00_11878)(BgL_bodyz00_11878, BgL_sz00_11879, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14081); 
return BgL_za2za2resza2za2z00_14084;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3244> */
obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11880, obj_t BgL_sz00_11884)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11881;obj_t BgL_bodyz00_11882;long BgL_siza7ezd2framez75_11883;
BgL_i1243z00_11881 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11880, 
(int)(((long)0)))); 
BgL_bodyz00_11882 = 
PROCEDURE_REF(BgL_envz00_11880, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11883 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11880, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14085;
BgL_bpz00_14085 = 
VECTOR_REF(
((obj_t)BgL_sz00_11884),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14086;
BgL_runz00_14086 = 
MAKE_FX_PROCEDURE(BGl_z62run5113z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14086, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11881)); 
PROCEDURE_SET(BgL_runz00_14086, 
(int)(((long)1)), BgL_bodyz00_11882); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14087;
BgL_mainz00_14087 = 
MAKE_VA_PROCEDURE(BGl_z62main5112z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14087, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11881)); 
PROCEDURE_SET(BgL_mainz00_14087, 
(int)(((long)1)), BgL_bodyz00_11882); 
PROCEDURE_SET(BgL_mainz00_14087, 
(int)(((long)2)), BgL_runz00_14086); 
PROCEDURE_SET(BgL_mainz00_14087, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11883)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14088;
BgL_objz00_14088 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14086, BgL_objz00_14088); BgL_objz00_14088; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3245z00_14089;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3246z00_14090;
BgL_arg3246z00_14090 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11881))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14091;
BgL_newz00_14091 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25493;
BgL_tmpz00_25493 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14091, BgL_tmpz00_25493, BgL_arg3246z00_14090); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25498;int BgL_tmpz00_25496;
BgL_auxz00_25498 = 
BINT(BgL_siza7ezd2framez75_11883); 
BgL_tmpz00_25496 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14091, BgL_tmpz00_25496, BgL_auxz00_25498); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25501;
BgL_tmpz00_25501 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14091, BgL_tmpz00_25501, BgL_runz00_14086); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25506;int BgL_tmpz00_25504;
BgL_auxz00_25506 = 
BINT(((long)-2)); 
BgL_tmpz00_25504 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14091, BgL_tmpz00_25504, BgL_auxz00_25506); } 
BgL_arg3245z00_14089 = BgL_newz00_14091; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14087, BgL_arg3245z00_14089); BgL_arg3245z00_14089; } 
return BgL_mainz00_14087;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5112 */
obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t BgL_envz00_11885, obj_t BgL_dz00_11890, obj_t BgL_lastz00_11891)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11888;long BgL_siza7ezd2framez75_11889;
BgL_runz00_11888 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11885, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11889 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11885, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14092;
BgL_sz00_14092 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14093;
BgL_bpz00_14093 = 
VECTOR_REF(
((obj_t)BgL_sz00_14092),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14092, BgL_bpz00_14093, 
BINT(BgL_siza7ezd2framez75_11889)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3249z00_14094;
BgL_arg3249z00_14094 = 
(
(long)CINT(BgL_bpz00_14093)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14092),BgL_arg3249z00_14094,BgL_dz00_11890); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3250z00_14095;
BgL_arg3250z00_14095 = 
(
(long)CINT(BgL_bpz00_14093)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14092),BgL_arg3250z00_14095,BgL_lastz00_11891); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14096;
BgL_ez00_14096 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14096, BgL_bpz00_14093); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14097;
BgL_accz00_14097 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11888, BgL_sz00_14092, BgL_bpz00_14093); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14096); 
VECTOR_SET(
((obj_t)BgL_sz00_14092),((long)0),BgL_bpz00_14093); 
return BgL_accz00_14097;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14098;
BgL_nsz00_14098 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14098,((long)1),BgL_sz00_14092); 
VECTOR_SET(BgL_nsz00_14098,((long)2),BgL_dz00_11890); 
VECTOR_SET(BgL_nsz00_14098,((long)3),BgL_lastz00_11891); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14099;
BgL_z12denvz12_14099 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14099, BgL_nsz00_14098); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14100;
BgL_ez00_14100 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14100, BgL_sz00_14092); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14101;
BgL_____rz00_14101 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11888, BgL_nsz00_14098, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14100); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14099, BgL_sz00_14092); 
return BgL_____rz00_14101;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5113 */
obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t BgL_envz00_11892, obj_t BgL_sz00_11895)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11893;obj_t BgL_bodyz00_11894;
BgL_i1243z00_11893 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11892, 
(int)(((long)0)))); 
BgL_bodyz00_11894 = 
PROCEDURE_REF(BgL_envz00_11892, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14102;
BgL_bpz00_14102 = 
VECTOR_REF(
((obj_t)BgL_sz00_11895),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14103;obj_t BgL_wherez00_14104;obj_t BgL_locz00_14105;
BgL_z12denvz12_14103 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14104 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11893))->BgL_wherez00); 
BgL_locz00_14105 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11893))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14103, BgL_wherez00_14104, BgL_locz00_14105); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14106;
BgL_za2za2resza2za2z00_14106 = 
PROCEDURE_ENTRY(BgL_bodyz00_11894)(BgL_bodyz00_11894, BgL_sz00_11895, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14103); 
return BgL_za2za2resza2za2z00_14106;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3252> */
obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11896, obj_t BgL_sz00_11901)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11897;BgL_ev_absz00_bglt BgL_i1243z00_11898;obj_t BgL_bodyz00_11899;long BgL_siza7ezd2framez75_11900;
BgL_iboxesz00_11897 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11896, 
(int)(((long)0)))); 
BgL_i1243z00_11898 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11896, 
(int)(((long)1)))); 
BgL_bodyz00_11899 = 
PROCEDURE_REF(BgL_envz00_11896, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11900 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11896, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14107;
BgL_bpz00_14107 = 
VECTOR_REF(
((obj_t)BgL_sz00_11901),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14108;
BgL_runz00_14108 = 
MAKE_FX_PROCEDURE(BGl_z62run5115z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14108, 
(int)(((long)0)), BgL_iboxesz00_11897); 
PROCEDURE_SET(BgL_runz00_14108, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11898)); 
PROCEDURE_SET(BgL_runz00_14108, 
(int)(((long)2)), BgL_bodyz00_11899); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14109;
BgL_mainz00_14109 = 
MAKE_VA_PROCEDURE(BGl_z62main5114z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14109, 
(int)(((long)0)), BgL_iboxesz00_11897); 
PROCEDURE_SET(BgL_mainz00_14109, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11898)); 
PROCEDURE_SET(BgL_mainz00_14109, 
(int)(((long)2)), BgL_bodyz00_11899); 
PROCEDURE_SET(BgL_mainz00_14109, 
(int)(((long)3)), BgL_runz00_14108); 
PROCEDURE_SET(BgL_mainz00_14109, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11900)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14110;
BgL_objz00_14110 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14108, BgL_objz00_14110); BgL_objz00_14110; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3253z00_14111;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3254z00_14112;
BgL_arg3254z00_14112 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11898))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14113;
BgL_newz00_14113 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25606;
BgL_tmpz00_25606 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14113, BgL_tmpz00_25606, BgL_arg3254z00_14112); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25611;int BgL_tmpz00_25609;
BgL_auxz00_25611 = 
BINT(BgL_siza7ezd2framez75_11900); 
BgL_tmpz00_25609 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14113, BgL_tmpz00_25609, BgL_auxz00_25611); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25614;
BgL_tmpz00_25614 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14113, BgL_tmpz00_25614, BgL_runz00_14108); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25619;int BgL_tmpz00_25617;
BgL_auxz00_25619 = 
BINT(((long)-2)); 
BgL_tmpz00_25617 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14113, BgL_tmpz00_25617, BgL_auxz00_25619); } 
BgL_arg3253z00_14111 = BgL_newz00_14113; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14109, BgL_arg3253z00_14111); BgL_arg3253z00_14111; } 
return BgL_mainz00_14109;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5114 */
obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t BgL_envz00_11902, obj_t BgL_dz00_11908, obj_t BgL_lastz00_11909)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11906;long BgL_siza7ezd2framez75_11907;
BgL_runz00_11906 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11902, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11907 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11902, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14114;
BgL_sz00_14114 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14115;
BgL_bpz00_14115 = 
VECTOR_REF(
((obj_t)BgL_sz00_14114),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14114, BgL_bpz00_14115, 
BINT(BgL_siza7ezd2framez75_11907)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3257z00_14116;
BgL_arg3257z00_14116 = 
(
(long)CINT(BgL_bpz00_14115)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14114),BgL_arg3257z00_14116,BgL_dz00_11908); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3258z00_14117;
BgL_arg3258z00_14117 = 
(
(long)CINT(BgL_bpz00_14115)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14114),BgL_arg3258z00_14117,BgL_lastz00_11909); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14118;
BgL_ez00_14118 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14118, BgL_bpz00_14115); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14119;
BgL_accz00_14119 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11906, BgL_sz00_14114, BgL_bpz00_14115); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14118); 
VECTOR_SET(
((obj_t)BgL_sz00_14114),((long)0),BgL_bpz00_14115); 
return BgL_accz00_14119;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14120;
BgL_nsz00_14120 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14120,((long)1),BgL_sz00_14114); 
VECTOR_SET(BgL_nsz00_14120,((long)2),BgL_dz00_11908); 
VECTOR_SET(BgL_nsz00_14120,((long)3),BgL_lastz00_11909); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14121;
BgL_z12denvz12_14121 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14121, BgL_nsz00_14120); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14122;
BgL_ez00_14122 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14122, BgL_sz00_14114); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14123;
BgL_____rz00_14123 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11906, BgL_nsz00_14120, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14122); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14121, BgL_sz00_14114); 
return BgL_____rz00_14123;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5115 */
obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t BgL_envz00_11910, obj_t BgL_sz00_11914)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11911;BgL_ev_absz00_bglt BgL_i1243z00_11912;obj_t BgL_bodyz00_11913;
BgL_iboxesz00_11911 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11910, 
(int)(((long)0)))); 
BgL_i1243z00_11912 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11910, 
(int)(((long)1)))); 
BgL_bodyz00_11913 = 
PROCEDURE_REF(BgL_envz00_11910, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14124;
BgL_bpz00_14124 = 
VECTOR_REF(
((obj_t)BgL_sz00_11914),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11914, BgL_iboxesz00_11911, BgL_bpz00_14124); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14125;obj_t BgL_wherez00_14126;obj_t BgL_locz00_14127;
BgL_z12denvz12_14125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14126 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11912))->BgL_wherez00); 
BgL_locz00_14127 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11912))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14125, BgL_wherez00_14126, BgL_locz00_14127); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14128;
BgL_za2za2resza2za2z00_14128 = 
PROCEDURE_ENTRY(BgL_bodyz00_11913)(BgL_bodyz00_11913, BgL_sz00_11914, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14125); 
return BgL_za2za2resza2za2z00_14128;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3263> */
obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11915, obj_t BgL_sz00_11921)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11916;long BgL_siza7eza7_11917;BgL_ev_absz00_bglt BgL_i1243z00_11918;obj_t BgL_bodyz00_11919;long BgL_siza7ezd2framez75_11920;
BgL_ifreesz00_11916 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11915, 
(int)(((long)0)))); 
BgL_siza7eza7_11917 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11915, 
(int)(((long)1)))); 
BgL_i1243z00_11918 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11915, 
(int)(((long)2)))); 
BgL_bodyz00_11919 = 
PROCEDURE_REF(BgL_envz00_11915, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11920 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11915, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14129;
BgL_bpz00_14129 = 
VECTOR_REF(
((obj_t)BgL_sz00_11921),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14130;
BgL_valza2za2_14130 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11921, BgL_bpz00_14129, BgL_ifreesz00_11916); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14131;
BgL_runz00_14131 = 
MAKE_FX_PROCEDURE(BGl_z62run5117z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14131, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11917)); 
PROCEDURE_SET(BgL_runz00_14131, 
(int)(((long)1)), BgL_valza2za2_14130); 
PROCEDURE_SET(BgL_runz00_14131, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11918)); 
PROCEDURE_SET(BgL_runz00_14131, 
(int)(((long)3)), BgL_bodyz00_11919); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14132;
BgL_mainz00_14132 = 
MAKE_VA_PROCEDURE(BGl_z62main5116z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11917)); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)1)), BgL_valza2za2_14130); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11918)); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)3)), BgL_bodyz00_11919); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)4)), BgL_runz00_14131); 
PROCEDURE_SET(BgL_mainz00_14132, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11920)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14133;
BgL_objz00_14133 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14131, BgL_objz00_14133); BgL_objz00_14133; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3264z00_14134;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3265z00_14135;
BgL_arg3265z00_14135 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11918))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14136;
BgL_newz00_14136 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25733;
BgL_tmpz00_25733 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14136, BgL_tmpz00_25733, BgL_arg3265z00_14135); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25738;int BgL_tmpz00_25736;
BgL_auxz00_25738 = 
BINT(BgL_siza7ezd2framez75_11920); 
BgL_tmpz00_25736 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14136, BgL_tmpz00_25736, BgL_auxz00_25738); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25741;
BgL_tmpz00_25741 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14136, BgL_tmpz00_25741, BgL_runz00_14131); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25746;int BgL_tmpz00_25744;
BgL_auxz00_25746 = 
BINT(((long)-2)); 
BgL_tmpz00_25744 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14136, BgL_tmpz00_25744, BgL_auxz00_25746); } 
BgL_arg3264z00_14134 = BgL_newz00_14136; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14132, BgL_arg3264z00_14134); BgL_arg3264z00_14134; } 
return BgL_mainz00_14132;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5116 */
obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t BgL_envz00_11922, obj_t BgL_dz00_11929, obj_t BgL_lastz00_11930)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11927;long BgL_siza7ezd2framez75_11928;
BgL_runz00_11927 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11922, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11928 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11922, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14137;
BgL_sz00_14137 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14138;
BgL_bpz00_14138 = 
VECTOR_REF(
((obj_t)BgL_sz00_14137),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14137, BgL_bpz00_14138, 
BINT(BgL_siza7ezd2framez75_11928)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3268z00_14139;
BgL_arg3268z00_14139 = 
(
(long)CINT(BgL_bpz00_14138)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14137),BgL_arg3268z00_14139,BgL_dz00_11929); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3269z00_14140;
BgL_arg3269z00_14140 = 
(
(long)CINT(BgL_bpz00_14138)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14137),BgL_arg3269z00_14140,BgL_lastz00_11930); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14141;
BgL_ez00_14141 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14141, BgL_bpz00_14138); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14142;
BgL_accz00_14142 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11927, BgL_sz00_14137, BgL_bpz00_14138); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14141); 
VECTOR_SET(
((obj_t)BgL_sz00_14137),((long)0),BgL_bpz00_14138); 
return BgL_accz00_14142;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14143;
BgL_nsz00_14143 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14143,((long)1),BgL_sz00_14137); 
VECTOR_SET(BgL_nsz00_14143,((long)2),BgL_dz00_11929); 
VECTOR_SET(BgL_nsz00_14143,((long)3),BgL_lastz00_11930); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14144;
BgL_z12denvz12_14144 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14144, BgL_nsz00_14143); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14145;
BgL_ez00_14145 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14145, BgL_sz00_14137); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14146;
BgL_____rz00_14146 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11927, BgL_nsz00_14143, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14145); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14144, BgL_sz00_14137); 
return BgL_____rz00_14146;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5117 */
obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t BgL_envz00_11931, obj_t BgL_sz00_11936)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11932;obj_t BgL_valza2za2_11933;BgL_ev_absz00_bglt BgL_i1243z00_11934;obj_t BgL_bodyz00_11935;
BgL_siza7eza7_11932 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11931, 
(int)(((long)0)))); 
BgL_valza2za2_11933 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11931, 
(int)(((long)1)))); 
BgL_i1243z00_11934 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11931, 
(int)(((long)2)))); 
BgL_bodyz00_11935 = 
PROCEDURE_REF(BgL_envz00_11931, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14147;
BgL_bpz00_14147 = 
VECTOR_REF(
((obj_t)BgL_sz00_11936),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11936, BgL_valza2za2_11933, 
(
(long)CINT(BgL_bpz00_14147)+BgL_siza7eza7_11932)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14148;obj_t BgL_wherez00_14149;obj_t BgL_locz00_14150;
BgL_z12denvz12_14148 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14149 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11934))->BgL_wherez00); 
BgL_locz00_14150 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11934))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14148, BgL_wherez00_14149, BgL_locz00_14150); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14151;
BgL_za2za2resza2za2z00_14151 = 
PROCEDURE_ENTRY(BgL_bodyz00_11935)(BgL_bodyz00_11935, BgL_sz00_11936, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14148); 
return BgL_za2za2resza2za2z00_14151;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3272> */
obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11937, obj_t BgL_sz00_11944)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11938;obj_t BgL_iboxesz00_11939;long BgL_siza7eza7_11940;BgL_ev_absz00_bglt BgL_i1243z00_11941;obj_t BgL_bodyz00_11942;long BgL_siza7ezd2framez75_11943;
BgL_ifreesz00_11938 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)0)))); 
BgL_iboxesz00_11939 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)1)))); 
BgL_siza7eza7_11940 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)2)))); 
BgL_i1243z00_11941 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)3)))); 
BgL_bodyz00_11942 = 
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11943 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14152;
BgL_bpz00_14152 = 
VECTOR_REF(
((obj_t)BgL_sz00_11944),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14153;
BgL_valza2za2_14153 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11944, BgL_bpz00_14152, BgL_ifreesz00_11938); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14154;
BgL_runz00_14154 = 
MAKE_FX_PROCEDURE(BGl_z62run5119z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14154, 
(int)(((long)0)), BgL_iboxesz00_11939); 
PROCEDURE_SET(BgL_runz00_14154, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11940)); 
PROCEDURE_SET(BgL_runz00_14154, 
(int)(((long)2)), BgL_valza2za2_14153); 
PROCEDURE_SET(BgL_runz00_14154, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11941)); 
PROCEDURE_SET(BgL_runz00_14154, 
(int)(((long)4)), BgL_bodyz00_11942); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14155;
BgL_mainz00_14155 = 
MAKE_VA_PROCEDURE(BGl_z62main5118z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)0)), BgL_iboxesz00_11939); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11940)); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)2)), BgL_valza2za2_14153); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11941)); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)4)), BgL_bodyz00_11942); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)5)), BgL_runz00_14154); 
PROCEDURE_SET(BgL_mainz00_14155, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11943)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14156;
BgL_objz00_14156 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14154, BgL_objz00_14156); BgL_objz00_14156; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3273z00_14157;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3274z00_14158;
BgL_arg3274z00_14158 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11941))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14159;
BgL_newz00_14159 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25872;
BgL_tmpz00_25872 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14159, BgL_tmpz00_25872, BgL_arg3274z00_14158); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25877;int BgL_tmpz00_25875;
BgL_auxz00_25877 = 
BINT(BgL_siza7ezd2framez75_11943); 
BgL_tmpz00_25875 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14159, BgL_tmpz00_25875, BgL_auxz00_25877); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25880;
BgL_tmpz00_25880 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14159, BgL_tmpz00_25880, BgL_runz00_14154); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25885;int BgL_tmpz00_25883;
BgL_auxz00_25885 = 
BINT(((long)-2)); 
BgL_tmpz00_25883 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14159, BgL_tmpz00_25883, BgL_auxz00_25885); } 
BgL_arg3273z00_14157 = BgL_newz00_14159; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14155, BgL_arg3273z00_14157); BgL_arg3273z00_14157; } 
return BgL_mainz00_14155;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5118 */
obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t BgL_envz00_11945, obj_t BgL_dz00_11953, obj_t BgL_lastz00_11954)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11951;long BgL_siza7ezd2framez75_11952;
BgL_runz00_11951 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11945, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11952 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11945, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14160;
BgL_sz00_14160 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14161;
BgL_bpz00_14161 = 
VECTOR_REF(
((obj_t)BgL_sz00_14160),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14160, BgL_bpz00_14161, 
BINT(BgL_siza7ezd2framez75_11952)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3277z00_14162;
BgL_arg3277z00_14162 = 
(
(long)CINT(BgL_bpz00_14161)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14160),BgL_arg3277z00_14162,BgL_dz00_11953); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3278z00_14163;
BgL_arg3278z00_14163 = 
(
(long)CINT(BgL_bpz00_14161)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14160),BgL_arg3278z00_14163,BgL_lastz00_11954); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14164;
BgL_ez00_14164 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14164, BgL_bpz00_14161); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14165;
BgL_accz00_14165 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11951, BgL_sz00_14160, BgL_bpz00_14161); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14164); 
VECTOR_SET(
((obj_t)BgL_sz00_14160),((long)0),BgL_bpz00_14161); 
return BgL_accz00_14165;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14166;
BgL_nsz00_14166 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14166,((long)1),BgL_sz00_14160); 
VECTOR_SET(BgL_nsz00_14166,((long)2),BgL_dz00_11953); 
VECTOR_SET(BgL_nsz00_14166,((long)3),BgL_lastz00_11954); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14167;
BgL_z12denvz12_14167 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14167, BgL_nsz00_14166); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14168;
BgL_ez00_14168 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14168, BgL_sz00_14160); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14169;
BgL_____rz00_14169 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11951, BgL_nsz00_14166, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14168); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14167, BgL_sz00_14160); 
return BgL_____rz00_14169;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5119 */
obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t BgL_envz00_11955, obj_t BgL_sz00_11961)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11956;long BgL_siza7eza7_11957;obj_t BgL_valza2za2_11958;BgL_ev_absz00_bglt BgL_i1243z00_11959;obj_t BgL_bodyz00_11960;
BgL_iboxesz00_11956 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)0)))); 
BgL_siza7eza7_11957 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)1)))); 
BgL_valza2za2_11958 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)2)))); 
BgL_i1243z00_11959 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)3)))); 
BgL_bodyz00_11960 = 
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14170;
BgL_bpz00_14170 = 
VECTOR_REF(
((obj_t)BgL_sz00_11961),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11961, BgL_iboxesz00_11956, BgL_bpz00_14170); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11961, BgL_valza2za2_11958, 
(
(long)CINT(BgL_bpz00_14170)+BgL_siza7eza7_11957)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14171;obj_t BgL_wherez00_14172;obj_t BgL_locz00_14173;
BgL_z12denvz12_14171 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14172 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11959))->BgL_wherez00); 
BgL_locz00_14173 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11959))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14171, BgL_wherez00_14172, BgL_locz00_14173); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14174;
BgL_za2za2resza2za2z00_14174 = 
PROCEDURE_ENTRY(BgL_bodyz00_11960)(BgL_bodyz00_11960, BgL_sz00_11961, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14171); 
return BgL_za2za2resza2za2z00_14174;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3205> */
obj_t BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11962, obj_t BgL_sz00_11966)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11963;obj_t BgL_bodyz00_11964;long BgL_siza7ezd2framez75_11965;
BgL_i1243z00_11963 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11962, 
(int)(((long)0)))); 
BgL_bodyz00_11964 = 
PROCEDURE_REF(BgL_envz00_11962, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11965 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11962, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14175;
BgL_bpz00_14175 = 
VECTOR_REF(
((obj_t)BgL_sz00_11966),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14176;
BgL_runz00_14176 = 
MAKE_FX_PROCEDURE(BGl_z62run5121z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14176, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11963)); 
PROCEDURE_SET(BgL_runz00_14176, 
(int)(((long)1)), BgL_bodyz00_11964); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14177;
BgL_mainz00_14177 = 
MAKE_FX_PROCEDURE(BGl_z62main5120z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14177, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11963)); 
PROCEDURE_SET(BgL_mainz00_14177, 
(int)(((long)1)), BgL_bodyz00_11964); 
PROCEDURE_SET(BgL_mainz00_14177, 
(int)(((long)2)), BgL_runz00_14176); 
PROCEDURE_SET(BgL_mainz00_14177, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11965)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14178;
BgL_objz00_14178 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14176, BgL_objz00_14178); BgL_objz00_14178; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3206z00_14179;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3207z00_14180;
BgL_arg3207z00_14180 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11963))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14181;
BgL_newz00_14181 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25991;
BgL_tmpz00_25991 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14181, BgL_tmpz00_25991, BgL_arg3207z00_14180); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25996;int BgL_tmpz00_25994;
BgL_auxz00_25996 = 
BINT(BgL_siza7ezd2framez75_11965); 
BgL_tmpz00_25994 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14181, BgL_tmpz00_25994, BgL_auxz00_25996); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25999;
BgL_tmpz00_25999 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14181, BgL_tmpz00_25999, BgL_runz00_14176); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26004;int BgL_tmpz00_26002;
BgL_auxz00_26004 = 
BINT(((long)1)); 
BgL_tmpz00_26002 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14181, BgL_tmpz00_26002, BgL_auxz00_26004); } 
BgL_arg3206z00_14179 = BgL_newz00_14181; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14177, BgL_arg3206z00_14179); BgL_arg3206z00_14179; } 
return BgL_mainz00_14177;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5120 */
obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t BgL_envz00_11967, obj_t BgL_dz00_11972)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11970;long BgL_siza7ezd2framez75_11971;
BgL_runz00_11970 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11967, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11971 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11967, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14182;
BgL_sz00_14182 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14183;
BgL_bpz00_14183 = 
VECTOR_REF(
((obj_t)BgL_sz00_14182),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14182, BgL_bpz00_14183, 
BINT(BgL_siza7ezd2framez75_11971)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3210z00_14184;
BgL_arg3210z00_14184 = 
(
(long)CINT(BgL_bpz00_14183)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14182),BgL_arg3210z00_14184,BgL_dz00_11972); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14185;
BgL_ez00_14185 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14185, BgL_bpz00_14183); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14186;
BgL_accz00_14186 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11970, BgL_sz00_14182, BgL_bpz00_14183); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14185); 
VECTOR_SET(
((obj_t)BgL_sz00_14182),((long)0),BgL_bpz00_14183); 
return BgL_accz00_14186;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14187;
BgL_nsz00_14187 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14187,((long)1),BgL_sz00_14182); 
VECTOR_SET(BgL_nsz00_14187,((long)2),BgL_dz00_11972); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14188;
BgL_z12denvz12_14188 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14188, BgL_nsz00_14187); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14189;
BgL_ez00_14189 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14189, BgL_sz00_14182); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14190;
BgL_____rz00_14190 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11970, BgL_nsz00_14187, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14189); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14188, BgL_sz00_14182); 
return BgL_____rz00_14190;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5121 */
obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t BgL_envz00_11973, obj_t BgL_sz00_11976)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11974;obj_t BgL_bodyz00_11975;
BgL_i1243z00_11974 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11973, 
(int)(((long)0)))); 
BgL_bodyz00_11975 = 
PROCEDURE_REF(BgL_envz00_11973, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14191;
BgL_bpz00_14191 = 
VECTOR_REF(
((obj_t)BgL_sz00_11976),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14192;obj_t BgL_wherez00_14193;obj_t BgL_locz00_14194;
BgL_z12denvz12_14192 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14193 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11974))->BgL_wherez00); 
BgL_locz00_14194 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11974))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14192, BgL_wherez00_14193, BgL_locz00_14194); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14195;
BgL_za2za2resza2za2z00_14195 = 
PROCEDURE_ENTRY(BgL_bodyz00_11975)(BgL_bodyz00_11975, BgL_sz00_11976, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14192); 
return BgL_za2za2resza2za2z00_14195;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3212> */
obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11977, obj_t BgL_sz00_11982)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11978;BgL_ev_absz00_bglt BgL_i1243z00_11979;obj_t BgL_bodyz00_11980;long BgL_siza7ezd2framez75_11981;
BgL_iboxesz00_11978 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11977, 
(int)(((long)0)))); 
BgL_i1243z00_11979 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11977, 
(int)(((long)1)))); 
BgL_bodyz00_11980 = 
PROCEDURE_REF(BgL_envz00_11977, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11981 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11977, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14196;
BgL_bpz00_14196 = 
VECTOR_REF(
((obj_t)BgL_sz00_11982),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14197;
BgL_runz00_14197 = 
MAKE_FX_PROCEDURE(BGl_z62run5123z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14197, 
(int)(((long)0)), BgL_iboxesz00_11978); 
PROCEDURE_SET(BgL_runz00_14197, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11979)); 
PROCEDURE_SET(BgL_runz00_14197, 
(int)(((long)2)), BgL_bodyz00_11980); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14198;
BgL_mainz00_14198 = 
MAKE_FX_PROCEDURE(BGl_z62main5122z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14198, 
(int)(((long)0)), BgL_iboxesz00_11978); 
PROCEDURE_SET(BgL_mainz00_14198, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11979)); 
PROCEDURE_SET(BgL_mainz00_14198, 
(int)(((long)2)), BgL_bodyz00_11980); 
PROCEDURE_SET(BgL_mainz00_14198, 
(int)(((long)3)), BgL_runz00_14197); 
PROCEDURE_SET(BgL_mainz00_14198, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11981)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14199;
BgL_objz00_14199 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14197, BgL_objz00_14199); BgL_objz00_14199; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3213z00_14200;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3214z00_14201;
BgL_arg3214z00_14201 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11979))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14202;
BgL_newz00_14202 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26099;
BgL_tmpz00_26099 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14202, BgL_tmpz00_26099, BgL_arg3214z00_14201); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26104;int BgL_tmpz00_26102;
BgL_auxz00_26104 = 
BINT(BgL_siza7ezd2framez75_11981); 
BgL_tmpz00_26102 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14202, BgL_tmpz00_26102, BgL_auxz00_26104); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26107;
BgL_tmpz00_26107 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14202, BgL_tmpz00_26107, BgL_runz00_14197); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26112;int BgL_tmpz00_26110;
BgL_auxz00_26112 = 
BINT(((long)1)); 
BgL_tmpz00_26110 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14202, BgL_tmpz00_26110, BgL_auxz00_26112); } 
BgL_arg3213z00_14200 = BgL_newz00_14202; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14198, BgL_arg3213z00_14200); BgL_arg3213z00_14200; } 
return BgL_mainz00_14198;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5122 */
obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t BgL_envz00_11983, obj_t BgL_dz00_11989)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11987;long BgL_siza7ezd2framez75_11988;
BgL_runz00_11987 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11983, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11988 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11983, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14203;
BgL_sz00_14203 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14204;
BgL_bpz00_14204 = 
VECTOR_REF(
((obj_t)BgL_sz00_14203),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14203, BgL_bpz00_14204, 
BINT(BgL_siza7ezd2framez75_11988)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3217z00_14205;
BgL_arg3217z00_14205 = 
(
(long)CINT(BgL_bpz00_14204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14203),BgL_arg3217z00_14205,BgL_dz00_11989); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14206;
BgL_ez00_14206 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14206, BgL_bpz00_14204); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14207;
BgL_accz00_14207 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11987, BgL_sz00_14203, BgL_bpz00_14204); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14206); 
VECTOR_SET(
((obj_t)BgL_sz00_14203),((long)0),BgL_bpz00_14204); 
return BgL_accz00_14207;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14208;
BgL_nsz00_14208 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14208,((long)1),BgL_sz00_14203); 
VECTOR_SET(BgL_nsz00_14208,((long)2),BgL_dz00_11989); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14209;
BgL_z12denvz12_14209 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14209, BgL_nsz00_14208); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14210;
BgL_ez00_14210 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14210, BgL_sz00_14203); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14211;
BgL_____rz00_14211 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11987, BgL_nsz00_14208, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14210); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14209, BgL_sz00_14203); 
return BgL_____rz00_14211;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5123 */
obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t BgL_envz00_11990, obj_t BgL_sz00_11994)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11991;BgL_ev_absz00_bglt BgL_i1243z00_11992;obj_t BgL_bodyz00_11993;
BgL_iboxesz00_11991 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)0)))); 
BgL_i1243z00_11992 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)1)))); 
BgL_bodyz00_11993 = 
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14212;
BgL_bpz00_14212 = 
VECTOR_REF(
((obj_t)BgL_sz00_11994),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11994, BgL_iboxesz00_11991, BgL_bpz00_14212); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14213;obj_t BgL_wherez00_14214;obj_t BgL_locz00_14215;
BgL_z12denvz12_14213 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14214 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11992))->BgL_wherez00); 
BgL_locz00_14215 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11992))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14213, BgL_wherez00_14214, BgL_locz00_14215); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14216;
BgL_za2za2resza2za2z00_14216 = 
PROCEDURE_ENTRY(BgL_bodyz00_11993)(BgL_bodyz00_11993, BgL_sz00_11994, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14213); 
return BgL_za2za2resza2za2z00_14216;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3222> */
obj_t BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11995, obj_t BgL_sz00_12001)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11996;long BgL_siza7eza7_11997;BgL_ev_absz00_bglt BgL_i1243z00_11998;obj_t BgL_bodyz00_11999;long BgL_siza7ezd2framez75_12000;
BgL_ifreesz00_11996 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)0)))); 
BgL_siza7eza7_11997 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)1)))); 
BgL_i1243z00_11998 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)2)))); 
BgL_bodyz00_11999 = 
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12000 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11995, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14217;
BgL_bpz00_14217 = 
VECTOR_REF(
((obj_t)BgL_sz00_12001),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14218;
BgL_valza2za2_14218 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12001, BgL_bpz00_14217, BgL_ifreesz00_11996); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14219;
BgL_runz00_14219 = 
MAKE_FX_PROCEDURE(BGl_z62run5125z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14219, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11997)); 
PROCEDURE_SET(BgL_runz00_14219, 
(int)(((long)1)), BgL_valza2za2_14218); 
PROCEDURE_SET(BgL_runz00_14219, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11998)); 
PROCEDURE_SET(BgL_runz00_14219, 
(int)(((long)3)), BgL_bodyz00_11999); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14220;
BgL_mainz00_14220 = 
MAKE_FX_PROCEDURE(BGl_z62main5124z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11997)); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)1)), BgL_valza2za2_14218); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11998)); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)3)), BgL_bodyz00_11999); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)4)), BgL_runz00_14219); 
PROCEDURE_SET(BgL_mainz00_14220, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12000)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14221;
BgL_objz00_14221 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14219, BgL_objz00_14221); BgL_objz00_14221; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3223z00_14222;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3224z00_14223;
BgL_arg3224z00_14223 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11998))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14224;
BgL_newz00_14224 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26221;
BgL_tmpz00_26221 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14224, BgL_tmpz00_26221, BgL_arg3224z00_14223); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26226;int BgL_tmpz00_26224;
BgL_auxz00_26226 = 
BINT(BgL_siza7ezd2framez75_12000); 
BgL_tmpz00_26224 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14224, BgL_tmpz00_26224, BgL_auxz00_26226); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26229;
BgL_tmpz00_26229 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14224, BgL_tmpz00_26229, BgL_runz00_14219); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26234;int BgL_tmpz00_26232;
BgL_auxz00_26234 = 
BINT(((long)1)); 
BgL_tmpz00_26232 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14224, BgL_tmpz00_26232, BgL_auxz00_26234); } 
BgL_arg3223z00_14222 = BgL_newz00_14224; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14220, BgL_arg3223z00_14222); BgL_arg3223z00_14222; } 
return BgL_mainz00_14220;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5124 */
obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t BgL_envz00_12002, obj_t BgL_dz00_12009)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12007;long BgL_siza7ezd2framez75_12008;
BgL_runz00_12007 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12002, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12008 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12002, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14225;
BgL_sz00_14225 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14226;
BgL_bpz00_14226 = 
VECTOR_REF(
((obj_t)BgL_sz00_14225),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14225, BgL_bpz00_14226, 
BINT(BgL_siza7ezd2framez75_12008)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3227z00_14227;
BgL_arg3227z00_14227 = 
(
(long)CINT(BgL_bpz00_14226)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14225),BgL_arg3227z00_14227,BgL_dz00_12009); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14228;
BgL_ez00_14228 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14228, BgL_bpz00_14226); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14229;
BgL_accz00_14229 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12007, BgL_sz00_14225, BgL_bpz00_14226); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14228); 
VECTOR_SET(
((obj_t)BgL_sz00_14225),((long)0),BgL_bpz00_14226); 
return BgL_accz00_14229;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14230;
BgL_nsz00_14230 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14230,((long)1),BgL_sz00_14225); 
VECTOR_SET(BgL_nsz00_14230,((long)2),BgL_dz00_12009); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14231;
BgL_z12denvz12_14231 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14231, BgL_nsz00_14230); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14232;
BgL_ez00_14232 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14232, BgL_sz00_14225); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14233;
BgL_____rz00_14233 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12007, BgL_nsz00_14230, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14232); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14231, BgL_sz00_14225); 
return BgL_____rz00_14233;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5125 */
obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t BgL_envz00_12010, obj_t BgL_sz00_12015)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12011;obj_t BgL_valza2za2_12012;BgL_ev_absz00_bglt BgL_i1243z00_12013;obj_t BgL_bodyz00_12014;
BgL_siza7eza7_12011 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12010, 
(int)(((long)0)))); 
BgL_valza2za2_12012 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12010, 
(int)(((long)1)))); 
BgL_i1243z00_12013 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12010, 
(int)(((long)2)))); 
BgL_bodyz00_12014 = 
PROCEDURE_REF(BgL_envz00_12010, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14234;
BgL_bpz00_14234 = 
VECTOR_REF(
((obj_t)BgL_sz00_12015),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12015, BgL_valza2za2_12012, 
(
(long)CINT(BgL_bpz00_14234)+BgL_siza7eza7_12011)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14235;obj_t BgL_wherez00_14236;obj_t BgL_locz00_14237;
BgL_z12denvz12_14235 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14236 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12013))->BgL_wherez00); 
BgL_locz00_14237 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12013))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14235, BgL_wherez00_14236, BgL_locz00_14237); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14238;
BgL_za2za2resza2za2z00_14238 = 
PROCEDURE_ENTRY(BgL_bodyz00_12014)(BgL_bodyz00_12014, BgL_sz00_12015, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14235); 
return BgL_za2za2resza2za2z00_14238;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3230> */
obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12016, obj_t BgL_sz00_12023)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12017;obj_t BgL_iboxesz00_12018;long BgL_siza7eza7_12019;BgL_ev_absz00_bglt BgL_i1243z00_12020;obj_t BgL_bodyz00_12021;long BgL_siza7ezd2framez75_12022;
BgL_ifreesz00_12017 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)0)))); 
BgL_iboxesz00_12018 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)1)))); 
BgL_siza7eza7_12019 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)2)))); 
BgL_i1243z00_12020 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)3)))); 
BgL_bodyz00_12021 = 
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12022 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12016, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14239;
BgL_bpz00_14239 = 
VECTOR_REF(
((obj_t)BgL_sz00_12023),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14240;
BgL_valza2za2_14240 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12023, BgL_bpz00_14239, BgL_ifreesz00_12017); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14241;
BgL_runz00_14241 = 
MAKE_FX_PROCEDURE(BGl_z62run5127z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14241, 
(int)(((long)0)), BgL_iboxesz00_12018); 
PROCEDURE_SET(BgL_runz00_14241, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12019)); 
PROCEDURE_SET(BgL_runz00_14241, 
(int)(((long)2)), BgL_valza2za2_14240); 
PROCEDURE_SET(BgL_runz00_14241, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12020)); 
PROCEDURE_SET(BgL_runz00_14241, 
(int)(((long)4)), BgL_bodyz00_12021); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14242;
BgL_mainz00_14242 = 
MAKE_FX_PROCEDURE(BGl_z62main5126z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)0)), BgL_iboxesz00_12018); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12019)); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)2)), BgL_valza2za2_14240); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12020)); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)4)), BgL_bodyz00_12021); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)5)), BgL_runz00_14241); 
PROCEDURE_SET(BgL_mainz00_14242, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12022)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14243;
BgL_objz00_14243 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14241, BgL_objz00_14243); BgL_objz00_14243; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3231z00_14244;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3232z00_14245;
BgL_arg3232z00_14245 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12020))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14246;
BgL_newz00_14246 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26355;
BgL_tmpz00_26355 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14246, BgL_tmpz00_26355, BgL_arg3232z00_14245); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26360;int BgL_tmpz00_26358;
BgL_auxz00_26360 = 
BINT(BgL_siza7ezd2framez75_12022); 
BgL_tmpz00_26358 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14246, BgL_tmpz00_26358, BgL_auxz00_26360); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26363;
BgL_tmpz00_26363 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14246, BgL_tmpz00_26363, BgL_runz00_14241); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26368;int BgL_tmpz00_26366;
BgL_auxz00_26368 = 
BINT(((long)1)); 
BgL_tmpz00_26366 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14246, BgL_tmpz00_26366, BgL_auxz00_26368); } 
BgL_arg3231z00_14244 = BgL_newz00_14246; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14242, BgL_arg3231z00_14244); BgL_arg3231z00_14244; } 
return BgL_mainz00_14242;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5126 */
obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t BgL_envz00_12024, obj_t BgL_dz00_12032)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12030;long BgL_siza7ezd2framez75_12031;
BgL_runz00_12030 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12024, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12031 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12024, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14247;
BgL_sz00_14247 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14248;
BgL_bpz00_14248 = 
VECTOR_REF(
((obj_t)BgL_sz00_14247),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14247, BgL_bpz00_14248, 
BINT(BgL_siza7ezd2framez75_12031)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3235z00_14249;
BgL_arg3235z00_14249 = 
(
(long)CINT(BgL_bpz00_14248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14247),BgL_arg3235z00_14249,BgL_dz00_12032); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14250;
BgL_ez00_14250 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14250, BgL_bpz00_14248); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14251;
BgL_accz00_14251 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12030, BgL_sz00_14247, BgL_bpz00_14248); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14250); 
VECTOR_SET(
((obj_t)BgL_sz00_14247),((long)0),BgL_bpz00_14248); 
return BgL_accz00_14251;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14252;
BgL_nsz00_14252 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14252,((long)1),BgL_sz00_14247); 
VECTOR_SET(BgL_nsz00_14252,((long)2),BgL_dz00_12032); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14253;
BgL_z12denvz12_14253 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14253, BgL_nsz00_14252); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14254;
BgL_ez00_14254 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14254, BgL_sz00_14247); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14255;
BgL_____rz00_14255 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12030, BgL_nsz00_14252, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14254); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14253, BgL_sz00_14247); 
return BgL_____rz00_14255;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5127 */
obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t BgL_envz00_12033, obj_t BgL_sz00_12039)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12034;long BgL_siza7eza7_12035;obj_t BgL_valza2za2_12036;BgL_ev_absz00_bglt BgL_i1243z00_12037;obj_t BgL_bodyz00_12038;
BgL_iboxesz00_12034 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)0)))); 
BgL_siza7eza7_12035 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)1)))); 
BgL_valza2za2_12036 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)2)))); 
BgL_i1243z00_12037 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)3)))); 
BgL_bodyz00_12038 = 
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14256;
BgL_bpz00_14256 = 
VECTOR_REF(
((obj_t)BgL_sz00_12039),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12039, BgL_iboxesz00_12034, BgL_bpz00_14256); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12039, BgL_valza2za2_12036, 
(
(long)CINT(BgL_bpz00_14256)+BgL_siza7eza7_12035)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14257;obj_t BgL_wherez00_14258;obj_t BgL_locz00_14259;
BgL_z12denvz12_14257 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14258 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12037))->BgL_wherez00); 
BgL_locz00_14259 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12037))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14257, BgL_wherez00_14258, BgL_locz00_14259); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14260;
BgL_za2za2resza2za2z00_14260 = 
PROCEDURE_ENTRY(BgL_bodyz00_12038)(BgL_bodyz00_12038, BgL_sz00_12039, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14257); 
return BgL_za2za2resza2za2z00_14260;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3166> */
obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12040, obj_t BgL_sz00_12044)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12041;obj_t BgL_bodyz00_12042;long BgL_siza7ezd2framez75_12043;
BgL_i1243z00_12041 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)0)))); 
BgL_bodyz00_12042 = 
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12043 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14261;
BgL_bpz00_14261 = 
VECTOR_REF(
((obj_t)BgL_sz00_12044),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14262;
BgL_runz00_14262 = 
MAKE_FX_PROCEDURE(BGl_z62run5129z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14262, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12041)); 
PROCEDURE_SET(BgL_runz00_14262, 
(int)(((long)1)), BgL_bodyz00_12042); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14263;
BgL_mainz00_14263 = 
MAKE_VA_PROCEDURE(BGl_z62main5128z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14263, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12041)); 
PROCEDURE_SET(BgL_mainz00_14263, 
(int)(((long)1)), BgL_bodyz00_12042); 
PROCEDURE_SET(BgL_mainz00_14263, 
(int)(((long)2)), BgL_runz00_14262); 
PROCEDURE_SET(BgL_mainz00_14263, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12043)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14264;
BgL_objz00_14264 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14262, BgL_objz00_14264); BgL_objz00_14264; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3167z00_14265;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3168z00_14266;
BgL_arg3168z00_14266 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12041))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14267;
BgL_newz00_14267 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26469;
BgL_tmpz00_26469 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14267, BgL_tmpz00_26469, BgL_arg3168z00_14266); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26474;int BgL_tmpz00_26472;
BgL_auxz00_26474 = 
BINT(BgL_siza7ezd2framez75_12043); 
BgL_tmpz00_26472 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14267, BgL_tmpz00_26472, BgL_auxz00_26474); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26477;
BgL_tmpz00_26477 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14267, BgL_tmpz00_26477, BgL_runz00_14262); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26482;int BgL_tmpz00_26480;
BgL_auxz00_26482 = 
BINT(((long)-1)); 
BgL_tmpz00_26480 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14267, BgL_tmpz00_26480, BgL_auxz00_26482); } 
BgL_arg3167z00_14265 = BgL_newz00_14267; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14263, BgL_arg3167z00_14265); BgL_arg3167z00_14265; } 
return BgL_mainz00_14263;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5128 */
obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t BgL_envz00_12045, obj_t BgL_lastz00_12050)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12048;long BgL_siza7ezd2framez75_12049;
BgL_runz00_12048 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12045, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12049 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12045, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14268;
BgL_sz00_14268 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14269;
BgL_bpz00_14269 = 
VECTOR_REF(
((obj_t)BgL_sz00_14268),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14268, BgL_bpz00_14269, 
BINT(BgL_siza7ezd2framez75_12049)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3171z00_14270;
BgL_arg3171z00_14270 = 
(
(long)CINT(BgL_bpz00_14269)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14268),BgL_arg3171z00_14270,BgL_lastz00_12050); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14271;
BgL_ez00_14271 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14271, BgL_bpz00_14269); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14272;
BgL_accz00_14272 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12048, BgL_sz00_14268, BgL_bpz00_14269); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14271); 
VECTOR_SET(
((obj_t)BgL_sz00_14268),((long)0),BgL_bpz00_14269); 
return BgL_accz00_14272;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14273;
BgL_nsz00_14273 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14273,((long)1),BgL_sz00_14268); 
VECTOR_SET(BgL_nsz00_14273,((long)2),BgL_lastz00_12050); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14274;
BgL_z12denvz12_14274 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14274, BgL_nsz00_14273); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14275;
BgL_ez00_14275 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14275, BgL_sz00_14268); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14276;
BgL_____rz00_14276 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12048, BgL_nsz00_14273, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14275); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14274, BgL_sz00_14268); 
return BgL_____rz00_14276;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5129 */
obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t BgL_envz00_12051, obj_t BgL_sz00_12054)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12052;obj_t BgL_bodyz00_12053;
BgL_i1243z00_12052 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)0)))); 
BgL_bodyz00_12053 = 
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14277;
BgL_bpz00_14277 = 
VECTOR_REF(
((obj_t)BgL_sz00_12054),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14278;obj_t BgL_wherez00_14279;obj_t BgL_locz00_14280;
BgL_z12denvz12_14278 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14279 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12052))->BgL_wherez00); 
BgL_locz00_14280 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12052))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14278, BgL_wherez00_14279, BgL_locz00_14280); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14281;
BgL_za2za2resza2za2z00_14281 = 
PROCEDURE_ENTRY(BgL_bodyz00_12053)(BgL_bodyz00_12053, BgL_sz00_12054, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14278); 
return BgL_za2za2resza2za2z00_14281;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3173> */
obj_t BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12055, obj_t BgL_sz00_12060)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12056;BgL_ev_absz00_bglt BgL_i1243z00_12057;obj_t BgL_bodyz00_12058;long BgL_siza7ezd2framez75_12059;
BgL_iboxesz00_12056 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12055, 
(int)(((long)0)))); 
BgL_i1243z00_12057 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12055, 
(int)(((long)1)))); 
BgL_bodyz00_12058 = 
PROCEDURE_REF(BgL_envz00_12055, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12059 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12055, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14282;
BgL_bpz00_14282 = 
VECTOR_REF(
((obj_t)BgL_sz00_12060),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14283;
BgL_runz00_14283 = 
MAKE_FX_PROCEDURE(BGl_z62run5131z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14283, 
(int)(((long)0)), BgL_iboxesz00_12056); 
PROCEDURE_SET(BgL_runz00_14283, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12057)); 
PROCEDURE_SET(BgL_runz00_14283, 
(int)(((long)2)), BgL_bodyz00_12058); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14284;
BgL_mainz00_14284 = 
MAKE_VA_PROCEDURE(BGl_z62main5130z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14284, 
(int)(((long)0)), BgL_iboxesz00_12056); 
PROCEDURE_SET(BgL_mainz00_14284, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12057)); 
PROCEDURE_SET(BgL_mainz00_14284, 
(int)(((long)2)), BgL_bodyz00_12058); 
PROCEDURE_SET(BgL_mainz00_14284, 
(int)(((long)3)), BgL_runz00_14283); 
PROCEDURE_SET(BgL_mainz00_14284, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12059)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14285;
BgL_objz00_14285 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14283, BgL_objz00_14285); BgL_objz00_14285; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3174z00_14286;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3175z00_14287;
BgL_arg3175z00_14287 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12057))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14288;
BgL_newz00_14288 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26577;
BgL_tmpz00_26577 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14288, BgL_tmpz00_26577, BgL_arg3175z00_14287); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26582;int BgL_tmpz00_26580;
BgL_auxz00_26582 = 
BINT(BgL_siza7ezd2framez75_12059); 
BgL_tmpz00_26580 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14288, BgL_tmpz00_26580, BgL_auxz00_26582); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26585;
BgL_tmpz00_26585 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14288, BgL_tmpz00_26585, BgL_runz00_14283); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26590;int BgL_tmpz00_26588;
BgL_auxz00_26590 = 
BINT(((long)-1)); 
BgL_tmpz00_26588 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14288, BgL_tmpz00_26588, BgL_auxz00_26590); } 
BgL_arg3174z00_14286 = BgL_newz00_14288; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14284, BgL_arg3174z00_14286); BgL_arg3174z00_14286; } 
return BgL_mainz00_14284;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5130 */
obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t BgL_envz00_12061, obj_t BgL_lastz00_12067)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12065;long BgL_siza7ezd2framez75_12066;
BgL_runz00_12065 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12061, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12066 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12061, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14289;
BgL_sz00_14289 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14290;
BgL_bpz00_14290 = 
VECTOR_REF(
((obj_t)BgL_sz00_14289),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14289, BgL_bpz00_14290, 
BINT(BgL_siza7ezd2framez75_12066)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3178z00_14291;
BgL_arg3178z00_14291 = 
(
(long)CINT(BgL_bpz00_14290)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14289),BgL_arg3178z00_14291,BgL_lastz00_12067); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14292;
BgL_ez00_14292 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14292, BgL_bpz00_14290); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14293;
BgL_accz00_14293 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12065, BgL_sz00_14289, BgL_bpz00_14290); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14292); 
VECTOR_SET(
((obj_t)BgL_sz00_14289),((long)0),BgL_bpz00_14290); 
return BgL_accz00_14293;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14294;
BgL_nsz00_14294 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14294,((long)1),BgL_sz00_14289); 
VECTOR_SET(BgL_nsz00_14294,((long)2),BgL_lastz00_12067); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14295;
BgL_z12denvz12_14295 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14295, BgL_nsz00_14294); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14296;
BgL_ez00_14296 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14296, BgL_sz00_14289); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14297;
BgL_____rz00_14297 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12065, BgL_nsz00_14294, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14296); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14295, BgL_sz00_14289); 
return BgL_____rz00_14297;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5131 */
obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t BgL_envz00_12068, obj_t BgL_sz00_12072)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12069;BgL_ev_absz00_bglt BgL_i1243z00_12070;obj_t BgL_bodyz00_12071;
BgL_iboxesz00_12069 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)0)))); 
BgL_i1243z00_12070 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)1)))); 
BgL_bodyz00_12071 = 
PROCEDURE_REF(BgL_envz00_12068, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14298;
BgL_bpz00_14298 = 
VECTOR_REF(
((obj_t)BgL_sz00_12072),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12072, BgL_iboxesz00_12069, BgL_bpz00_14298); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14299;obj_t BgL_wherez00_14300;obj_t BgL_locz00_14301;
BgL_z12denvz12_14299 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14300 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12070))->BgL_wherez00); 
BgL_locz00_14301 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12070))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14299, BgL_wherez00_14300, BgL_locz00_14301); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14302;
BgL_za2za2resza2za2z00_14302 = 
PROCEDURE_ENTRY(BgL_bodyz00_12071)(BgL_bodyz00_12071, BgL_sz00_12072, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14299); 
return BgL_za2za2resza2za2z00_14302;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3183> */
obj_t BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12073, obj_t BgL_sz00_12079)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12074;long BgL_siza7eza7_12075;BgL_ev_absz00_bglt BgL_i1243z00_12076;obj_t BgL_bodyz00_12077;long BgL_siza7ezd2framez75_12078;
BgL_ifreesz00_12074 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)0)))); 
BgL_siza7eza7_12075 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)1)))); 
BgL_i1243z00_12076 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)2)))); 
BgL_bodyz00_12077 = 
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12078 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14303;
BgL_bpz00_14303 = 
VECTOR_REF(
((obj_t)BgL_sz00_12079),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14304;
BgL_valza2za2_14304 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12079, BgL_bpz00_14303, BgL_ifreesz00_12074); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14305;
BgL_runz00_14305 = 
MAKE_FX_PROCEDURE(BGl_z62run5133z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12075)); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)1)), BgL_valza2za2_14304); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12076)); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)3)), BgL_bodyz00_12077); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14306;
BgL_mainz00_14306 = 
MAKE_VA_PROCEDURE(BGl_z62main5132z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12075)); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)1)), BgL_valza2za2_14304); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12076)); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)3)), BgL_bodyz00_12077); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)4)), BgL_runz00_14305); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12078)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14307;
BgL_objz00_14307 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14305, BgL_objz00_14307); BgL_objz00_14307; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3184z00_14308;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3185z00_14309;
BgL_arg3185z00_14309 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12076))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14310;
BgL_newz00_14310 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26699;
BgL_tmpz00_26699 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_26699, BgL_arg3185z00_14309); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26704;int BgL_tmpz00_26702;
BgL_auxz00_26704 = 
BINT(BgL_siza7ezd2framez75_12078); 
BgL_tmpz00_26702 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_26702, BgL_auxz00_26704); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26707;
BgL_tmpz00_26707 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_26707, BgL_runz00_14305); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26712;int BgL_tmpz00_26710;
BgL_auxz00_26712 = 
BINT(((long)-1)); 
BgL_tmpz00_26710 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_26710, BgL_auxz00_26712); } 
BgL_arg3184z00_14308 = BgL_newz00_14310; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14306, BgL_arg3184z00_14308); BgL_arg3184z00_14308; } 
return BgL_mainz00_14306;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5132 */
obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t BgL_envz00_12080, obj_t BgL_lastz00_12087)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12085;long BgL_siza7ezd2framez75_12086;
BgL_runz00_12085 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12086 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14311;
BgL_sz00_14311 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14312;
BgL_bpz00_14312 = 
VECTOR_REF(
((obj_t)BgL_sz00_14311),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14311, BgL_bpz00_14312, 
BINT(BgL_siza7ezd2framez75_12086)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3188z00_14313;
BgL_arg3188z00_14313 = 
(
(long)CINT(BgL_bpz00_14312)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),BgL_arg3188z00_14313,BgL_lastz00_12087); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14314;
BgL_ez00_14314 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14314, BgL_bpz00_14312); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14315;
BgL_accz00_14315 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12085, BgL_sz00_14311, BgL_bpz00_14312); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14314); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),((long)0),BgL_bpz00_14312); 
return BgL_accz00_14315;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14316;
BgL_nsz00_14316 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14316,((long)1),BgL_sz00_14311); 
VECTOR_SET(BgL_nsz00_14316,((long)2),BgL_lastz00_12087); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14317;
BgL_z12denvz12_14317 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14317, BgL_nsz00_14316); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14318;
BgL_ez00_14318 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14318, BgL_sz00_14311); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14319;
BgL_____rz00_14319 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12085, BgL_nsz00_14316, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14318); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14317, BgL_sz00_14311); 
return BgL_____rz00_14319;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5133 */
obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t BgL_envz00_12088, obj_t BgL_sz00_12093)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12089;obj_t BgL_valza2za2_12090;BgL_ev_absz00_bglt BgL_i1243z00_12091;obj_t BgL_bodyz00_12092;
BgL_siza7eza7_12089 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)0)))); 
BgL_valza2za2_12090 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)1)))); 
BgL_i1243z00_12091 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)2)))); 
BgL_bodyz00_12092 = 
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14320;
BgL_bpz00_14320 = 
VECTOR_REF(
((obj_t)BgL_sz00_12093),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12093, BgL_valza2za2_12090, 
(
(long)CINT(BgL_bpz00_14320)+BgL_siza7eza7_12089)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14321;obj_t BgL_wherez00_14322;obj_t BgL_locz00_14323;
BgL_z12denvz12_14321 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14322 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12091))->BgL_wherez00); 
BgL_locz00_14323 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12091))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14321, BgL_wherez00_14322, BgL_locz00_14323); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14324;
BgL_za2za2resza2za2z00_14324 = 
PROCEDURE_ENTRY(BgL_bodyz00_12092)(BgL_bodyz00_12092, BgL_sz00_12093, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14321); 
return BgL_za2za2resza2za2z00_14324;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3191> */
obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12094, obj_t BgL_sz00_12101)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12095;obj_t BgL_iboxesz00_12096;long BgL_siza7eza7_12097;BgL_ev_absz00_bglt BgL_i1243z00_12098;obj_t BgL_bodyz00_12099;long BgL_siza7ezd2framez75_12100;
BgL_ifreesz00_12095 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)0)))); 
BgL_iboxesz00_12096 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)1)))); 
BgL_siza7eza7_12097 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)2)))); 
BgL_i1243z00_12098 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)3)))); 
BgL_bodyz00_12099 = 
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12100 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12094, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14325;
BgL_bpz00_14325 = 
VECTOR_REF(
((obj_t)BgL_sz00_12101),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14326;
BgL_valza2za2_14326 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12101, BgL_bpz00_14325, BgL_ifreesz00_12095); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14327;
BgL_runz00_14327 = 
MAKE_FX_PROCEDURE(BGl_z62run5135z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14327, 
(int)(((long)0)), BgL_iboxesz00_12096); 
PROCEDURE_SET(BgL_runz00_14327, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12097)); 
PROCEDURE_SET(BgL_runz00_14327, 
(int)(((long)2)), BgL_valza2za2_14326); 
PROCEDURE_SET(BgL_runz00_14327, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12098)); 
PROCEDURE_SET(BgL_runz00_14327, 
(int)(((long)4)), BgL_bodyz00_12099); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14328;
BgL_mainz00_14328 = 
MAKE_VA_PROCEDURE(BGl_z62main5134z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)0)), BgL_iboxesz00_12096); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12097)); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)2)), BgL_valza2za2_14326); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12098)); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)4)), BgL_bodyz00_12099); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)5)), BgL_runz00_14327); 
PROCEDURE_SET(BgL_mainz00_14328, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12100)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14329;
BgL_objz00_14329 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14327, BgL_objz00_14329); BgL_objz00_14329; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3192z00_14330;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3193z00_14331;
BgL_arg3193z00_14331 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12098))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14332;
BgL_newz00_14332 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26833;
BgL_tmpz00_26833 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14332, BgL_tmpz00_26833, BgL_arg3193z00_14331); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26838;int BgL_tmpz00_26836;
BgL_auxz00_26838 = 
BINT(BgL_siza7ezd2framez75_12100); 
BgL_tmpz00_26836 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14332, BgL_tmpz00_26836, BgL_auxz00_26838); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26841;
BgL_tmpz00_26841 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14332, BgL_tmpz00_26841, BgL_runz00_14327); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26846;int BgL_tmpz00_26844;
BgL_auxz00_26846 = 
BINT(((long)-1)); 
BgL_tmpz00_26844 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14332, BgL_tmpz00_26844, BgL_auxz00_26846); } 
BgL_arg3192z00_14330 = BgL_newz00_14332; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14328, BgL_arg3192z00_14330); BgL_arg3192z00_14330; } 
return BgL_mainz00_14328;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5134 */
obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t BgL_envz00_12102, obj_t BgL_lastz00_12110)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12108;long BgL_siza7ezd2framez75_12109;
BgL_runz00_12108 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12102, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12109 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12102, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14333;
BgL_sz00_14333 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14334;
BgL_bpz00_14334 = 
VECTOR_REF(
((obj_t)BgL_sz00_14333),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14333, BgL_bpz00_14334, 
BINT(BgL_siza7ezd2framez75_12109)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3196z00_14335;
BgL_arg3196z00_14335 = 
(
(long)CINT(BgL_bpz00_14334)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14333),BgL_arg3196z00_14335,BgL_lastz00_12110); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14336;
BgL_ez00_14336 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14336, BgL_bpz00_14334); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14337;
BgL_accz00_14337 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12108, BgL_sz00_14333, BgL_bpz00_14334); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14336); 
VECTOR_SET(
((obj_t)BgL_sz00_14333),((long)0),BgL_bpz00_14334); 
return BgL_accz00_14337;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14338;
BgL_nsz00_14338 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14338,((long)1),BgL_sz00_14333); 
VECTOR_SET(BgL_nsz00_14338,((long)2),BgL_lastz00_12110); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14339;
BgL_z12denvz12_14339 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14339, BgL_nsz00_14338); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14340;
BgL_ez00_14340 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14340, BgL_sz00_14333); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14341;
BgL_____rz00_14341 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12108, BgL_nsz00_14338, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14340); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14339, BgL_sz00_14333); 
return BgL_____rz00_14341;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5135 */
obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t BgL_envz00_12111, obj_t BgL_sz00_12117)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12112;long BgL_siza7eza7_12113;obj_t BgL_valza2za2_12114;BgL_ev_absz00_bglt BgL_i1243z00_12115;obj_t BgL_bodyz00_12116;
BgL_iboxesz00_12112 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)0)))); 
BgL_siza7eza7_12113 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)1)))); 
BgL_valza2za2_12114 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)2)))); 
BgL_i1243z00_12115 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)3)))); 
BgL_bodyz00_12116 = 
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14342;
BgL_bpz00_14342 = 
VECTOR_REF(
((obj_t)BgL_sz00_12117),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12117, BgL_iboxesz00_12112, BgL_bpz00_14342); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12117, BgL_valza2za2_12114, 
(
(long)CINT(BgL_bpz00_14342)+BgL_siza7eza7_12113)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14343;obj_t BgL_wherez00_14344;obj_t BgL_locz00_14345;
BgL_z12denvz12_14343 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14344 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12115))->BgL_wherez00); 
BgL_locz00_14345 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12115))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14343, BgL_wherez00_14344, BgL_locz00_14345); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14346;
BgL_za2za2resza2za2z00_14346 = 
PROCEDURE_ENTRY(BgL_bodyz00_12116)(BgL_bodyz00_12116, BgL_sz00_12117, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14343); 
return BgL_za2za2resza2za2z00_14346;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3131> */
obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12118, obj_t BgL_sz00_12122)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12119;obj_t BgL_bodyz00_12120;long BgL_siza7ezd2framez75_12121;
BgL_i1243z00_12119 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)0)))); 
BgL_bodyz00_12120 = 
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12121 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14347;
BgL_bpz00_14347 = 
VECTOR_REF(
((obj_t)BgL_sz00_12122),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14348;
BgL_runz00_14348 = 
MAKE_FX_PROCEDURE(BGl_z62run5137z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14348, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12119)); 
PROCEDURE_SET(BgL_runz00_14348, 
(int)(((long)1)), BgL_bodyz00_12120); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14349;
BgL_mainz00_14349 = 
MAKE_FX_PROCEDURE(BGl_z62main5136z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14349, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12119)); 
PROCEDURE_SET(BgL_mainz00_14349, 
(int)(((long)1)), BgL_bodyz00_12120); 
PROCEDURE_SET(BgL_mainz00_14349, 
(int)(((long)2)), BgL_runz00_14348); 
PROCEDURE_SET(BgL_mainz00_14349, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12121)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14350;
BgL_objz00_14350 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14348, BgL_objz00_14350); BgL_objz00_14350; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3132z00_14351;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3133z00_14352;
BgL_arg3133z00_14352 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12119))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14353;
BgL_newz00_14353 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26947;
BgL_tmpz00_26947 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14353, BgL_tmpz00_26947, BgL_arg3133z00_14352); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26952;int BgL_tmpz00_26950;
BgL_auxz00_26952 = 
BINT(BgL_siza7ezd2framez75_12121); 
BgL_tmpz00_26950 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14353, BgL_tmpz00_26950, BgL_auxz00_26952); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26955;
BgL_tmpz00_26955 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14353, BgL_tmpz00_26955, BgL_runz00_14348); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26960;int BgL_tmpz00_26958;
BgL_auxz00_26960 = 
BINT(((long)0)); 
BgL_tmpz00_26958 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14353, BgL_tmpz00_26958, BgL_auxz00_26960); } 
BgL_arg3132z00_14351 = BgL_newz00_14353; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14349, BgL_arg3132z00_14351); BgL_arg3132z00_14351; } 
return BgL_mainz00_14349;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5136 */
obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t BgL_envz00_12123)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12126;long BgL_siza7ezd2framez75_12127;
BgL_runz00_12126 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12127 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14354;
BgL_sz00_14354 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14355;
BgL_bpz00_14355 = 
VECTOR_REF(
((obj_t)BgL_sz00_14354),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14354, BgL_bpz00_14355, 
BINT(BgL_siza7ezd2framez75_12127)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14356;
BgL_ez00_14356 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14356, BgL_bpz00_14355); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14357;
BgL_accz00_14357 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12126, BgL_sz00_14354, BgL_bpz00_14355); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14356); 
VECTOR_SET(
((obj_t)BgL_sz00_14354),((long)0),BgL_bpz00_14355); 
return BgL_accz00_14357;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14358;
BgL_nsz00_14358 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14358,((long)1),BgL_sz00_14354); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14359;
BgL_z12denvz12_14359 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14359, BgL_nsz00_14358); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14360;
BgL_ez00_14360 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14360, BgL_sz00_14354); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14361;
BgL_____rz00_14361 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12126, BgL_nsz00_14358, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14360); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14359, BgL_sz00_14354); 
return BgL_____rz00_14361;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5137 */
obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t BgL_envz00_12128, obj_t BgL_sz00_12131)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12129;obj_t BgL_bodyz00_12130;
BgL_i1243z00_12129 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12128, 
(int)(((long)0)))); 
BgL_bodyz00_12130 = 
PROCEDURE_REF(BgL_envz00_12128, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14362;
BgL_bpz00_14362 = 
VECTOR_REF(
((obj_t)BgL_sz00_12131),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14363;obj_t BgL_wherez00_14364;obj_t BgL_locz00_14365;
BgL_z12denvz12_14363 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14364 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12129))->BgL_wherez00); 
BgL_locz00_14365 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12129))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14363, BgL_wherez00_14364, BgL_locz00_14365); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14366;
BgL_za2za2resza2za2z00_14366 = 
PROCEDURE_ENTRY(BgL_bodyz00_12130)(BgL_bodyz00_12130, BgL_sz00_12131, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14363); 
return BgL_za2za2resza2za2z00_14366;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3137> */
obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12132, obj_t BgL_sz00_12137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12133;BgL_ev_absz00_bglt BgL_i1243z00_12134;obj_t BgL_bodyz00_12135;long BgL_siza7ezd2framez75_12136;
BgL_iboxesz00_12133 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)0)))); 
BgL_i1243z00_12134 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)1)))); 
BgL_bodyz00_12135 = 
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12136 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14367;
BgL_bpz00_14367 = 
VECTOR_REF(
((obj_t)BgL_sz00_12137),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14368;
BgL_runz00_14368 = 
MAKE_FX_PROCEDURE(BGl_z62run5139z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14368, 
(int)(((long)0)), BgL_iboxesz00_12133); 
PROCEDURE_SET(BgL_runz00_14368, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12134)); 
PROCEDURE_SET(BgL_runz00_14368, 
(int)(((long)2)), BgL_bodyz00_12135); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14369;
BgL_mainz00_14369 = 
MAKE_FX_PROCEDURE(BGl_z62main5138z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14369, 
(int)(((long)0)), BgL_iboxesz00_12133); 
PROCEDURE_SET(BgL_mainz00_14369, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12134)); 
PROCEDURE_SET(BgL_mainz00_14369, 
(int)(((long)2)), BgL_bodyz00_12135); 
PROCEDURE_SET(BgL_mainz00_14369, 
(int)(((long)3)), BgL_runz00_14368); 
PROCEDURE_SET(BgL_mainz00_14369, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12136)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14370;
BgL_objz00_14370 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14368, BgL_objz00_14370); BgL_objz00_14370; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3138z00_14371;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3139z00_14372;
BgL_arg3139z00_14372 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12134))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14373;
BgL_newz00_14373 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27050;
BgL_tmpz00_27050 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14373, BgL_tmpz00_27050, BgL_arg3139z00_14372); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27055;int BgL_tmpz00_27053;
BgL_auxz00_27055 = 
BINT(BgL_siza7ezd2framez75_12136); 
BgL_tmpz00_27053 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14373, BgL_tmpz00_27053, BgL_auxz00_27055); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27058;
BgL_tmpz00_27058 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14373, BgL_tmpz00_27058, BgL_runz00_14368); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27063;int BgL_tmpz00_27061;
BgL_auxz00_27063 = 
BINT(((long)0)); 
BgL_tmpz00_27061 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14373, BgL_tmpz00_27061, BgL_auxz00_27063); } 
BgL_arg3138z00_14371 = BgL_newz00_14373; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14369, BgL_arg3138z00_14371); BgL_arg3138z00_14371; } 
return BgL_mainz00_14369;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5138 */
obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t BgL_envz00_12138)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12142;long BgL_siza7ezd2framez75_12143;
BgL_runz00_12142 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12143 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14374;
BgL_sz00_14374 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14375;
BgL_bpz00_14375 = 
VECTOR_REF(
((obj_t)BgL_sz00_14374),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14374, BgL_bpz00_14375, 
BINT(BgL_siza7ezd2framez75_12143)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14376;
BgL_ez00_14376 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14376, BgL_bpz00_14375); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14377;
BgL_accz00_14377 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12142, BgL_sz00_14374, BgL_bpz00_14375); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14376); 
VECTOR_SET(
((obj_t)BgL_sz00_14374),((long)0),BgL_bpz00_14375); 
return BgL_accz00_14377;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14378;
BgL_nsz00_14378 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14378,((long)1),BgL_sz00_14374); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14379;
BgL_z12denvz12_14379 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14379, BgL_nsz00_14378); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14380;
BgL_ez00_14380 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14380, BgL_sz00_14374); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14381;
BgL_____rz00_14381 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12142, BgL_nsz00_14378, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14380); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14379, BgL_sz00_14374); 
return BgL_____rz00_14381;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5139 */
obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t BgL_envz00_12144, obj_t BgL_sz00_12148)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12145;BgL_ev_absz00_bglt BgL_i1243z00_12146;obj_t BgL_bodyz00_12147;
BgL_iboxesz00_12145 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)0)))); 
BgL_i1243z00_12146 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)1)))); 
BgL_bodyz00_12147 = 
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14382;
BgL_bpz00_14382 = 
VECTOR_REF(
((obj_t)BgL_sz00_12148),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12148, BgL_iboxesz00_12145, BgL_bpz00_14382); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14383;obj_t BgL_wherez00_14384;obj_t BgL_locz00_14385;
BgL_z12denvz12_14383 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14384 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12146))->BgL_wherez00); 
BgL_locz00_14385 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12146))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14383, BgL_wherez00_14384, BgL_locz00_14385); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14386;
BgL_za2za2resza2za2z00_14386 = 
PROCEDURE_ENTRY(BgL_bodyz00_12147)(BgL_bodyz00_12147, BgL_sz00_12148, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14383); 
return BgL_za2za2resza2za2z00_14386;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3146> */
obj_t BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12149, obj_t BgL_sz00_12155)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12150;long BgL_siza7eza7_12151;BgL_ev_absz00_bglt BgL_i1243z00_12152;obj_t BgL_bodyz00_12153;long BgL_siza7ezd2framez75_12154;
BgL_ifreesz00_12150 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12149, 
(int)(((long)0)))); 
BgL_siza7eza7_12151 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12149, 
(int)(((long)1)))); 
BgL_i1243z00_12152 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12149, 
(int)(((long)2)))); 
BgL_bodyz00_12153 = 
PROCEDURE_REF(BgL_envz00_12149, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12154 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12149, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14387;
BgL_bpz00_14387 = 
VECTOR_REF(
((obj_t)BgL_sz00_12155),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14388;
BgL_valza2za2_14388 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12155, BgL_bpz00_14387, BgL_ifreesz00_12150); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14389;
BgL_runz00_14389 = 
MAKE_FX_PROCEDURE(BGl_z62run5141z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14389, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12151)); 
PROCEDURE_SET(BgL_runz00_14389, 
(int)(((long)1)), BgL_valza2za2_14388); 
PROCEDURE_SET(BgL_runz00_14389, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12152)); 
PROCEDURE_SET(BgL_runz00_14389, 
(int)(((long)3)), BgL_bodyz00_12153); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14390;
BgL_mainz00_14390 = 
MAKE_FX_PROCEDURE(BGl_z62main5140z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12151)); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)1)), BgL_valza2za2_14388); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12152)); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)3)), BgL_bodyz00_12153); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)4)), BgL_runz00_14389); 
PROCEDURE_SET(BgL_mainz00_14390, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12154)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14391;
BgL_objz00_14391 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14389, BgL_objz00_14391); BgL_objz00_14391; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3147z00_14392;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3148z00_14393;
BgL_arg3148z00_14393 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12152))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14394;
BgL_newz00_14394 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27167;
BgL_tmpz00_27167 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14394, BgL_tmpz00_27167, BgL_arg3148z00_14393); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27172;int BgL_tmpz00_27170;
BgL_auxz00_27172 = 
BINT(BgL_siza7ezd2framez75_12154); 
BgL_tmpz00_27170 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14394, BgL_tmpz00_27170, BgL_auxz00_27172); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27175;
BgL_tmpz00_27175 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14394, BgL_tmpz00_27175, BgL_runz00_14389); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27180;int BgL_tmpz00_27178;
BgL_auxz00_27180 = 
BINT(((long)0)); 
BgL_tmpz00_27178 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14394, BgL_tmpz00_27178, BgL_auxz00_27180); } 
BgL_arg3147z00_14392 = BgL_newz00_14394; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14390, BgL_arg3147z00_14392); BgL_arg3147z00_14392; } 
return BgL_mainz00_14390;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5140 */
obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t BgL_envz00_12156)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12161;long BgL_siza7ezd2framez75_12162;
BgL_runz00_12161 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12162 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14395;
BgL_sz00_14395 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14396;
BgL_bpz00_14396 = 
VECTOR_REF(
((obj_t)BgL_sz00_14395),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14395, BgL_bpz00_14396, 
BINT(BgL_siza7ezd2framez75_12162)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14397;
BgL_ez00_14397 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14397, BgL_bpz00_14396); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14398;
BgL_accz00_14398 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12161, BgL_sz00_14395, BgL_bpz00_14396); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14397); 
VECTOR_SET(
((obj_t)BgL_sz00_14395),((long)0),BgL_bpz00_14396); 
return BgL_accz00_14398;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14399;
BgL_nsz00_14399 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14399,((long)1),BgL_sz00_14395); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14400;
BgL_z12denvz12_14400 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14400, BgL_nsz00_14399); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14401;
BgL_ez00_14401 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14401, BgL_sz00_14395); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14402;
BgL_____rz00_14402 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12161, BgL_nsz00_14399, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14401); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14400, BgL_sz00_14395); 
return BgL_____rz00_14402;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5141 */
obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t BgL_envz00_12163, obj_t BgL_sz00_12168)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12164;obj_t BgL_valza2za2_12165;BgL_ev_absz00_bglt BgL_i1243z00_12166;obj_t BgL_bodyz00_12167;
BgL_siza7eza7_12164 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)0)))); 
BgL_valza2za2_12165 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)1)))); 
BgL_i1243z00_12166 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)2)))); 
BgL_bodyz00_12167 = 
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14403;
BgL_bpz00_14403 = 
VECTOR_REF(
((obj_t)BgL_sz00_12168),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12168, BgL_valza2za2_12165, 
(
(long)CINT(BgL_bpz00_14403)+BgL_siza7eza7_12164)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14404;obj_t BgL_wherez00_14405;obj_t BgL_locz00_14406;
BgL_z12denvz12_14404 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14405 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12166))->BgL_wherez00); 
BgL_locz00_14406 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12166))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14404, BgL_wherez00_14405, BgL_locz00_14406); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14407;
BgL_za2za2resza2za2z00_14407 = 
PROCEDURE_ENTRY(BgL_bodyz00_12167)(BgL_bodyz00_12167, BgL_sz00_12168, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14404); 
return BgL_za2za2resza2za2z00_14407;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3153> */
obj_t BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12169, obj_t BgL_sz00_12176)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12170;obj_t BgL_iboxesz00_12171;long BgL_siza7eza7_12172;BgL_ev_absz00_bglt BgL_i1243z00_12173;obj_t BgL_bodyz00_12174;long BgL_siza7ezd2framez75_12175;
BgL_ifreesz00_12170 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)0)))); 
BgL_iboxesz00_12171 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)1)))); 
BgL_siza7eza7_12172 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)2)))); 
BgL_i1243z00_12173 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)3)))); 
BgL_bodyz00_12174 = 
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12175 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12169, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14408;
BgL_bpz00_14408 = 
VECTOR_REF(
((obj_t)BgL_sz00_12176),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14409;
BgL_valza2za2_14409 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12176, BgL_bpz00_14408, BgL_ifreesz00_12170); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14410;
BgL_runz00_14410 = 
MAKE_FX_PROCEDURE(BGl_z62run5143z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)0)), BgL_iboxesz00_12171); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12172)); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)2)), BgL_valza2za2_14409); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12173)); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)4)), BgL_bodyz00_12174); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14411;
BgL_mainz00_14411 = 
MAKE_FX_PROCEDURE(BGl_z62main5142z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)0)), BgL_iboxesz00_12171); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12172)); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)2)), BgL_valza2za2_14409); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12173)); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)4)), BgL_bodyz00_12174); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)5)), BgL_runz00_14410); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12175)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14412;
BgL_objz00_14412 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14410, BgL_objz00_14412); BgL_objz00_14412; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3154z00_14413;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3155z00_14414;
BgL_arg3155z00_14414 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12173))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14415;
BgL_newz00_14415 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27296;
BgL_tmpz00_27296 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_27296, BgL_arg3155z00_14414); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27301;int BgL_tmpz00_27299;
BgL_auxz00_27301 = 
BINT(BgL_siza7ezd2framez75_12175); 
BgL_tmpz00_27299 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_27299, BgL_auxz00_27301); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27304;
BgL_tmpz00_27304 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_27304, BgL_runz00_14410); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27309;int BgL_tmpz00_27307;
BgL_auxz00_27309 = 
BINT(((long)0)); 
BgL_tmpz00_27307 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_27307, BgL_auxz00_27309); } 
BgL_arg3154z00_14413 = BgL_newz00_14415; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14411, BgL_arg3154z00_14413); BgL_arg3154z00_14413; } 
return BgL_mainz00_14411;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5142 */
obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t BgL_envz00_12177)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12183;long BgL_siza7ezd2framez75_12184;
BgL_runz00_12183 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12184 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14416;
BgL_sz00_14416 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14417;
BgL_bpz00_14417 = 
VECTOR_REF(
((obj_t)BgL_sz00_14416),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14416, BgL_bpz00_14417, 
BINT(BgL_siza7ezd2framez75_12184)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14418;
BgL_ez00_14418 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14418, BgL_bpz00_14417); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14419;
BgL_accz00_14419 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12183, BgL_sz00_14416, BgL_bpz00_14417); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14418); 
VECTOR_SET(
((obj_t)BgL_sz00_14416),((long)0),BgL_bpz00_14417); 
return BgL_accz00_14419;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14420;
BgL_nsz00_14420 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14420,((long)1),BgL_sz00_14416); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14421;
BgL_z12denvz12_14421 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14421, BgL_nsz00_14420); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14422;
BgL_ez00_14422 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14422, BgL_sz00_14416); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14423;
BgL_____rz00_14423 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12183, BgL_nsz00_14420, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14422); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14421, BgL_sz00_14416); 
return BgL_____rz00_14423;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5143 */
obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t BgL_envz00_12185, obj_t BgL_sz00_12191)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12186;long BgL_siza7eza7_12187;obj_t BgL_valza2za2_12188;BgL_ev_absz00_bglt BgL_i1243z00_12189;obj_t BgL_bodyz00_12190;
BgL_iboxesz00_12186 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)0)))); 
BgL_siza7eza7_12187 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)1)))); 
BgL_valza2za2_12188 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)2)))); 
BgL_i1243z00_12189 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)3)))); 
BgL_bodyz00_12190 = 
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14424;
BgL_bpz00_14424 = 
VECTOR_REF(
((obj_t)BgL_sz00_12191),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12191, BgL_iboxesz00_12186, BgL_bpz00_14424); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12191, BgL_valza2za2_12188, 
(
(long)CINT(BgL_bpz00_14424)+BgL_siza7eza7_12187)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14425;obj_t BgL_wherez00_14426;obj_t BgL_locz00_14427;
BgL_z12denvz12_14425 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14426 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12189))->BgL_wherez00); 
BgL_locz00_14427 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12189))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14425, BgL_wherez00_14426, BgL_locz00_14427); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14428;
BgL_za2za2resza2za2z00_14428 = 
PROCEDURE_ENTRY(BgL_bodyz00_12190)(BgL_bodyz00_12190, BgL_sz00_12191, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14425); 
return BgL_za2za2resza2za2z00_14428;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3581> */
obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12192, obj_t BgL_sz00_12196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12193;obj_t BgL_bodyz00_12194;long BgL_siza7ezd2framez75_12195;
BgL_i1243z00_12193 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)0)))); 
BgL_bodyz00_12194 = 
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12195 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14429;
BgL_bpz00_14429 = 
VECTOR_REF(
((obj_t)BgL_sz00_12196),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14430;
BgL_runz00_14430 = 
MAKE_FX_PROCEDURE(BGl_z62run5145z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14430, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12193)); 
PROCEDURE_SET(BgL_runz00_14430, 
(int)(((long)1)), BgL_bodyz00_12194); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14431;
BgL_mainz00_14431 = 
MAKE_VA_PROCEDURE(BGl_z62main5144z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14431, 
(int)(((long)0)), BgL_bodyz00_12194); 
PROCEDURE_SET(BgL_mainz00_14431, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12193)); 
PROCEDURE_SET(BgL_mainz00_14431, 
(int)(((long)2)), BgL_runz00_14430); 
PROCEDURE_SET(BgL_mainz00_14431, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12195)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14432;
BgL_objz00_14432 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14430, BgL_objz00_14432); BgL_objz00_14432; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3582z00_14433;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3583z00_14434;obj_t BgL_arg3584z00_14435;
BgL_arg3583z00_14434 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12193))->BgL_arityz00); 
BgL_arg3584z00_14435 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12193))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14436;
BgL_newz00_14436 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27406;
BgL_tmpz00_27406 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27406, BgL_arg3584z00_14435); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27411;int BgL_tmpz00_27409;
BgL_auxz00_27411 = 
BINT(BgL_siza7ezd2framez75_12195); 
BgL_tmpz00_27409 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27409, BgL_auxz00_27411); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27414;
BgL_tmpz00_27414 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27414, BgL_runz00_14430); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27417;
BgL_tmpz00_27417 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27417, BgL_arg3583z00_14434); } 
BgL_arg3582z00_14433 = BgL_newz00_14436; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14431, BgL_arg3582z00_14433); BgL_arg3582z00_14433; } 
return BgL_mainz00_14431;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5144 */
obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t BgL_envz00_12197, obj_t BgL_az00_12202, obj_t BgL_bz00_12203, obj_t BgL_cz00_12204, obj_t BgL_dz00_12205, obj_t BgL_restz00_12206)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12199;obj_t BgL_runz00_12200;long BgL_siza7ezd2framez75_12201;
BgL_i1243z00_12199 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)1)))); 
BgL_runz00_12200 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12201 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14437;
BgL_sz00_14437 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14438;
BgL_bpz00_14438 = 
VECTOR_REF(
((obj_t)BgL_sz00_14437),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14437, BgL_bpz00_14438, 
BINT(BgL_siza7ezd2framez75_12201)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3587z00_14439;
BgL_arg3587z00_14439 = 
(
(long)CINT(BgL_bpz00_14438)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),BgL_arg3587z00_14439,BgL_az00_12202); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3588z00_14440;
BgL_arg3588z00_14440 = 
(
(long)CINT(BgL_bpz00_14438)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),BgL_arg3588z00_14440,BgL_bz00_12203); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3589z00_14441;
BgL_arg3589z00_14441 = 
(
(long)CINT(BgL_bpz00_14438)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),BgL_arg3589z00_14441,BgL_cz00_12204); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3590z00_14442;
BgL_arg3590z00_14442 = 
(
(long)CINT(BgL_bpz00_14438)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),BgL_arg3590z00_14442,BgL_dz00_12205); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14437, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14438)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_arityz00), ((long)4)), BgL_restz00_12206, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14443;
BgL_ez00_14443 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14443, BgL_bpz00_14438); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14444;
BgL_accz00_14444 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_sz00_14437, BgL_bpz00_14438); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14443); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),((long)0),BgL_bpz00_14438); 
return BgL_accz00_14444;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14445;
BgL_nsz00_14445 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14445,((long)1),BgL_sz00_14437); 
VECTOR_SET(BgL_nsz00_14445,((long)2),BgL_az00_12202); 
VECTOR_SET(BgL_nsz00_14445,((long)3),BgL_bz00_12203); 
VECTOR_SET(BgL_nsz00_14445,((long)4),BgL_cz00_12204); 
VECTOR_SET(BgL_nsz00_14445,((long)5),BgL_dz00_12205); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14445, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_arityz00), ((long)4)), BgL_restz00_12206, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12199))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14446;
BgL_z12denvz12_14446 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14446, BgL_nsz00_14445); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14447;
BgL_ez00_14447 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14447, BgL_sz00_14437); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14448;
BgL_____rz00_14448 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_nsz00_14445, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14447); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14446, BgL_sz00_14437); 
return BgL_____rz00_14448;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5145 */
obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t BgL_envz00_12207, obj_t BgL_sz00_12210)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12208;obj_t BgL_bodyz00_12209;
BgL_i1243z00_12208 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12207, 
(int)(((long)0)))); 
BgL_bodyz00_12209 = 
PROCEDURE_REF(BgL_envz00_12207, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14449;
BgL_bpz00_14449 = 
VECTOR_REF(
((obj_t)BgL_sz00_12210),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14450;obj_t BgL_wherez00_14451;obj_t BgL_locz00_14452;
BgL_z12denvz12_14450 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14451 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12208))->BgL_wherez00); 
BgL_locz00_14452 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12208))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14450, BgL_wherez00_14451, BgL_locz00_14452); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14453;
BgL_za2za2resza2za2z00_14453 = 
PROCEDURE_ENTRY(BgL_bodyz00_12209)(BgL_bodyz00_12209, BgL_sz00_12210, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14450); 
return BgL_za2za2resza2za2z00_14453;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3601> */
obj_t BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12211, obj_t BgL_sz00_12216)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12212;BgL_ev_absz00_bglt BgL_i1243z00_12213;obj_t BgL_bodyz00_12214;long BgL_siza7ezd2framez75_12215;
BgL_iboxesz00_12212 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)0)))); 
BgL_i1243z00_12213 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)1)))); 
BgL_bodyz00_12214 = 
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12215 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14454;
BgL_bpz00_14454 = 
VECTOR_REF(
((obj_t)BgL_sz00_12216),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14455;
BgL_runz00_14455 = 
MAKE_FX_PROCEDURE(BGl_z62run5147z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14455, 
(int)(((long)0)), BgL_iboxesz00_12212); 
PROCEDURE_SET(BgL_runz00_14455, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12213)); 
PROCEDURE_SET(BgL_runz00_14455, 
(int)(((long)2)), BgL_bodyz00_12214); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14456;
BgL_mainz00_14456 = 
MAKE_VA_PROCEDURE(BGl_z62main5146z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14456, 
(int)(((long)0)), BgL_iboxesz00_12212); 
PROCEDURE_SET(BgL_mainz00_14456, 
(int)(((long)1)), BgL_bodyz00_12214); 
PROCEDURE_SET(BgL_mainz00_14456, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12213)); 
PROCEDURE_SET(BgL_mainz00_14456, 
(int)(((long)3)), BgL_runz00_14455); 
PROCEDURE_SET(BgL_mainz00_14456, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12215)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14457;
BgL_objz00_14457 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14455, BgL_objz00_14457); BgL_objz00_14457; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3602z00_14458;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3603z00_14459;obj_t BgL_arg3604z00_14460;
BgL_arg3603z00_14459 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12213))->BgL_arityz00); 
BgL_arg3604z00_14460 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12213))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14461;
BgL_newz00_14461 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27543;
BgL_tmpz00_27543 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14461, BgL_tmpz00_27543, BgL_arg3604z00_14460); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27548;int BgL_tmpz00_27546;
BgL_auxz00_27548 = 
BINT(BgL_siza7ezd2framez75_12215); 
BgL_tmpz00_27546 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14461, BgL_tmpz00_27546, BgL_auxz00_27548); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27551;
BgL_tmpz00_27551 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14461, BgL_tmpz00_27551, BgL_runz00_14455); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27554;
BgL_tmpz00_27554 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14461, BgL_tmpz00_27554, BgL_arg3603z00_14459); } 
BgL_arg3602z00_14458 = BgL_newz00_14461; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14456, BgL_arg3602z00_14458); BgL_arg3602z00_14458; } 
return BgL_mainz00_14456;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5146 */
obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t BgL_envz00_12217, obj_t BgL_az00_12223, obj_t BgL_bz00_12224, obj_t BgL_cz00_12225, obj_t BgL_dz00_12226, obj_t BgL_restz00_12227)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12220;obj_t BgL_runz00_12221;long BgL_siza7ezd2framez75_12222;
BgL_i1243z00_12220 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12217, 
(int)(((long)2)))); 
BgL_runz00_12221 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12217, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12222 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12217, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14462;
BgL_sz00_14462 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14463;
BgL_bpz00_14463 = 
VECTOR_REF(
((obj_t)BgL_sz00_14462),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14462, BgL_bpz00_14463, 
BINT(BgL_siza7ezd2framez75_12222)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3607z00_14464;
BgL_arg3607z00_14464 = 
(
(long)CINT(BgL_bpz00_14463)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14462),BgL_arg3607z00_14464,BgL_az00_12223); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3608z00_14465;
BgL_arg3608z00_14465 = 
(
(long)CINT(BgL_bpz00_14463)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14462),BgL_arg3608z00_14465,BgL_bz00_12224); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3609z00_14466;
BgL_arg3609z00_14466 = 
(
(long)CINT(BgL_bpz00_14463)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14462),BgL_arg3609z00_14466,BgL_cz00_12225); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3610z00_14467;
BgL_arg3610z00_14467 = 
(
(long)CINT(BgL_bpz00_14463)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14462),BgL_arg3610z00_14467,BgL_dz00_12226); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14462, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14463)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_arityz00), ((long)4)), BgL_restz00_12227, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14468;
BgL_ez00_14468 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14468, BgL_bpz00_14463); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14469;
BgL_accz00_14469 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12221, BgL_sz00_14462, BgL_bpz00_14463); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14468); 
VECTOR_SET(
((obj_t)BgL_sz00_14462),((long)0),BgL_bpz00_14463); 
return BgL_accz00_14469;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14470;
BgL_nsz00_14470 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14470,((long)1),BgL_sz00_14462); 
VECTOR_SET(BgL_nsz00_14470,((long)2),BgL_az00_12223); 
VECTOR_SET(BgL_nsz00_14470,((long)3),BgL_bz00_12224); 
VECTOR_SET(BgL_nsz00_14470,((long)4),BgL_cz00_12225); 
VECTOR_SET(BgL_nsz00_14470,((long)5),BgL_dz00_12226); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14470, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_arityz00), ((long)4)), BgL_restz00_12227, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12220))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14471;
BgL_z12denvz12_14471 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14471, BgL_nsz00_14470); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14472;
BgL_ez00_14472 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14472, BgL_sz00_14462); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14473;
BgL_____rz00_14473 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12221, BgL_nsz00_14470, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14472); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14471, BgL_sz00_14462); 
return BgL_____rz00_14473;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5147 */
obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t BgL_envz00_12228, obj_t BgL_sz00_12232)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12229;BgL_ev_absz00_bglt BgL_i1243z00_12230;obj_t BgL_bodyz00_12231;
BgL_iboxesz00_12229 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12228, 
(int)(((long)0)))); 
BgL_i1243z00_12230 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12228, 
(int)(((long)1)))); 
BgL_bodyz00_12231 = 
PROCEDURE_REF(BgL_envz00_12228, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14474;
BgL_bpz00_14474 = 
VECTOR_REF(
((obj_t)BgL_sz00_12232),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12232, BgL_iboxesz00_12229, BgL_bpz00_14474); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14475;obj_t BgL_wherez00_14476;obj_t BgL_locz00_14477;
BgL_z12denvz12_14475 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14476 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12230))->BgL_wherez00); 
BgL_locz00_14477 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12230))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14475, BgL_wherez00_14476, BgL_locz00_14477); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14478;
BgL_za2za2resza2za2z00_14478 = 
PROCEDURE_ENTRY(BgL_bodyz00_12231)(BgL_bodyz00_12231, BgL_sz00_12232, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14475); 
return BgL_za2za2resza2za2z00_14478;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3624> */
obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12233, obj_t BgL_sz00_12239)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12234;long BgL_siza7eza7_12235;BgL_ev_absz00_bglt BgL_i1243z00_12236;obj_t BgL_bodyz00_12237;long BgL_siza7ezd2framez75_12238;
BgL_ifreesz00_12234 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12233, 
(int)(((long)0)))); 
BgL_siza7eza7_12235 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12233, 
(int)(((long)1)))); 
BgL_i1243z00_12236 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12233, 
(int)(((long)2)))); 
BgL_bodyz00_12237 = 
PROCEDURE_REF(BgL_envz00_12233, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12238 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12233, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14479;
BgL_bpz00_14479 = 
VECTOR_REF(
((obj_t)BgL_sz00_12239),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14480;
BgL_valza2za2_14480 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12239, BgL_bpz00_14479, BgL_ifreesz00_12234); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14481;
BgL_runz00_14481 = 
MAKE_FX_PROCEDURE(BGl_z62run5149z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14481, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12235)); 
PROCEDURE_SET(BgL_runz00_14481, 
(int)(((long)1)), BgL_valza2za2_14480); 
PROCEDURE_SET(BgL_runz00_14481, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12236)); 
PROCEDURE_SET(BgL_runz00_14481, 
(int)(((long)3)), BgL_bodyz00_12237); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14482;
BgL_mainz00_14482 = 
MAKE_VA_PROCEDURE(BGl_z62main5148z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12235)); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)1)), BgL_valza2za2_14480); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)2)), BgL_bodyz00_12237); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12236)); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)4)), BgL_runz00_14481); 
PROCEDURE_SET(BgL_mainz00_14482, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12238)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14483;
BgL_objz00_14483 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14481, BgL_objz00_14483); BgL_objz00_14483; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3625z00_14484;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3626z00_14485;obj_t BgL_arg3627z00_14486;
BgL_arg3626z00_14485 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12236))->BgL_arityz00); 
BgL_arg3627z00_14486 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12236))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14487;
BgL_newz00_14487 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27694;
BgL_tmpz00_27694 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14487, BgL_tmpz00_27694, BgL_arg3627z00_14486); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27699;int BgL_tmpz00_27697;
BgL_auxz00_27699 = 
BINT(BgL_siza7ezd2framez75_12238); 
BgL_tmpz00_27697 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14487, BgL_tmpz00_27697, BgL_auxz00_27699); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27702;
BgL_tmpz00_27702 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14487, BgL_tmpz00_27702, BgL_runz00_14481); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27705;
BgL_tmpz00_27705 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14487, BgL_tmpz00_27705, BgL_arg3626z00_14485); } 
BgL_arg3625z00_14484 = BgL_newz00_14487; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14482, BgL_arg3625z00_14484); BgL_arg3625z00_14484; } 
return BgL_mainz00_14482;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5148 */
obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t BgL_envz00_12240, obj_t BgL_az00_12247, obj_t BgL_bz00_12248, obj_t BgL_cz00_12249, obj_t BgL_dz00_12250, obj_t BgL_restz00_12251)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12244;obj_t BgL_runz00_12245;long BgL_siza7ezd2framez75_12246;
BgL_i1243z00_12244 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12240, 
(int)(((long)3)))); 
BgL_runz00_12245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12240, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12246 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12240, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14488;
BgL_sz00_14488 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14489;
BgL_bpz00_14489 = 
VECTOR_REF(
((obj_t)BgL_sz00_14488),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14488, BgL_bpz00_14489, 
BINT(BgL_siza7ezd2framez75_12246)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3630z00_14490;
BgL_arg3630z00_14490 = 
(
(long)CINT(BgL_bpz00_14489)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14488),BgL_arg3630z00_14490,BgL_az00_12247); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3631z00_14491;
BgL_arg3631z00_14491 = 
(
(long)CINT(BgL_bpz00_14489)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14488),BgL_arg3631z00_14491,BgL_bz00_12248); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3632z00_14492;
BgL_arg3632z00_14492 = 
(
(long)CINT(BgL_bpz00_14489)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14488),BgL_arg3632z00_14492,BgL_cz00_12249); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3633z00_14493;
BgL_arg3633z00_14493 = 
(
(long)CINT(BgL_bpz00_14489)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14488),BgL_arg3633z00_14493,BgL_dz00_12250); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14488, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14489)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_arityz00), ((long)4)), BgL_restz00_12251, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14494;
BgL_ez00_14494 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14494, BgL_bpz00_14489); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14495;
BgL_accz00_14495 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12245, BgL_sz00_14488, BgL_bpz00_14489); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14494); 
VECTOR_SET(
((obj_t)BgL_sz00_14488),((long)0),BgL_bpz00_14489); 
return BgL_accz00_14495;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14496;
BgL_nsz00_14496 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14496,((long)1),BgL_sz00_14488); 
VECTOR_SET(BgL_nsz00_14496,((long)2),BgL_az00_12247); 
VECTOR_SET(BgL_nsz00_14496,((long)3),BgL_bz00_12248); 
VECTOR_SET(BgL_nsz00_14496,((long)4),BgL_cz00_12249); 
VECTOR_SET(BgL_nsz00_14496,((long)5),BgL_dz00_12250); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14496, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_arityz00), ((long)4)), BgL_restz00_12251, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14497;
BgL_z12denvz12_14497 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14497, BgL_nsz00_14496); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14498;
BgL_ez00_14498 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14498, BgL_sz00_14488); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14499;
BgL_____rz00_14499 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12245, BgL_nsz00_14496, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14498); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14497, BgL_sz00_14488); 
return BgL_____rz00_14499;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5149 */
obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t BgL_envz00_12252, obj_t BgL_sz00_12257)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12253;obj_t BgL_valza2za2_12254;BgL_ev_absz00_bglt BgL_i1243z00_12255;obj_t BgL_bodyz00_12256;
BgL_siza7eza7_12253 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)0)))); 
BgL_valza2za2_12254 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)1)))); 
BgL_i1243z00_12255 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)2)))); 
BgL_bodyz00_12256 = 
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14500;
BgL_bpz00_14500 = 
VECTOR_REF(
((obj_t)BgL_sz00_12257),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12257, BgL_valza2za2_12254, 
(
(long)CINT(BgL_bpz00_14500)+BgL_siza7eza7_12253)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14501;obj_t BgL_wherez00_14502;obj_t BgL_locz00_14503;
BgL_z12denvz12_14501 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14502 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12255))->BgL_wherez00); 
BgL_locz00_14503 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12255))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14501, BgL_wherez00_14502, BgL_locz00_14503); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14504;
BgL_za2za2resza2za2z00_14504 = 
PROCEDURE_ENTRY(BgL_bodyz00_12256)(BgL_bodyz00_12256, BgL_sz00_12257, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14501); 
return BgL_za2za2resza2za2z00_14504;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3645> */
obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12258, obj_t BgL_sz00_12265)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12259;obj_t BgL_iboxesz00_12260;long BgL_siza7eza7_12261;BgL_ev_absz00_bglt BgL_i1243z00_12262;obj_t BgL_bodyz00_12263;long BgL_siza7ezd2framez75_12264;
BgL_ifreesz00_12259 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)0)))); 
BgL_iboxesz00_12260 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)1)))); 
BgL_siza7eza7_12261 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)2)))); 
BgL_i1243z00_12262 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)3)))); 
BgL_bodyz00_12263 = 
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12264 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12258, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14505;
BgL_bpz00_14505 = 
VECTOR_REF(
((obj_t)BgL_sz00_12265),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14506;
BgL_valza2za2_14506 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12265, BgL_bpz00_14505, BgL_ifreesz00_12259); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14507;
BgL_runz00_14507 = 
MAKE_FX_PROCEDURE(BGl_z62run5151z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14507, 
(int)(((long)0)), BgL_iboxesz00_12260); 
PROCEDURE_SET(BgL_runz00_14507, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12261)); 
PROCEDURE_SET(BgL_runz00_14507, 
(int)(((long)2)), BgL_valza2za2_14506); 
PROCEDURE_SET(BgL_runz00_14507, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12262)); 
PROCEDURE_SET(BgL_runz00_14507, 
(int)(((long)4)), BgL_bodyz00_12263); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14508;
BgL_mainz00_14508 = 
MAKE_VA_PROCEDURE(BGl_z62main5150z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)0)), BgL_iboxesz00_12260); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12261)); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)2)), BgL_valza2za2_14506); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)3)), BgL_bodyz00_12263); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)4)), 
((obj_t)BgL_i1243z00_12262)); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)5)), BgL_runz00_14507); 
PROCEDURE_SET(BgL_mainz00_14508, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12264)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14509;
BgL_objz00_14509 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14507, BgL_objz00_14509); BgL_objz00_14509; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3646z00_14510;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3647z00_14511;obj_t BgL_arg3648z00_14512;
BgL_arg3647z00_14511 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12262))->BgL_arityz00); 
BgL_arg3648z00_14512 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12262))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14513;
BgL_newz00_14513 = 
create_struct(BGl_symbol5181z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27857;
BgL_tmpz00_27857 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14513, BgL_tmpz00_27857, BgL_arg3648z00_14512); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27862;int BgL_tmpz00_27860;
BgL_auxz00_27862 = 
BINT(BgL_siza7ezd2framez75_12264); 
BgL_tmpz00_27860 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14513, BgL_tmpz00_27860, BgL_auxz00_27862); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27865;
BgL_tmpz00_27865 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14513, BgL_tmpz00_27865, BgL_runz00_14507); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27868;
BgL_tmpz00_27868 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14513, BgL_tmpz00_27868, BgL_arg3647z00_14511); } 
BgL_arg3646z00_14510 = BgL_newz00_14513; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14508, BgL_arg3646z00_14510); BgL_arg3646z00_14510; } 
return BgL_mainz00_14508;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5150 */
obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t BgL_envz00_12266, obj_t BgL_az00_12274, obj_t BgL_bz00_12275, obj_t BgL_cz00_12276, obj_t BgL_dz00_12277, obj_t BgL_restz00_12278)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12271;obj_t BgL_runz00_12272;long BgL_siza7ezd2framez75_12273;
BgL_i1243z00_12271 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)4)))); 
BgL_runz00_12272 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12273 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14514;
BgL_sz00_14514 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14515;
BgL_bpz00_14515 = 
VECTOR_REF(
((obj_t)BgL_sz00_14514),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14514, BgL_bpz00_14515, 
BINT(BgL_siza7ezd2framez75_12273)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3651z00_14516;
BgL_arg3651z00_14516 = 
(
(long)CINT(BgL_bpz00_14515)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14514),BgL_arg3651z00_14516,BgL_az00_12274); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3652z00_14517;
BgL_arg3652z00_14517 = 
(
(long)CINT(BgL_bpz00_14515)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14514),BgL_arg3652z00_14517,BgL_bz00_12275); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3653z00_14518;
BgL_arg3653z00_14518 = 
(
(long)CINT(BgL_bpz00_14515)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14514),BgL_arg3653z00_14518,BgL_cz00_12276); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3654z00_14519;
BgL_arg3654z00_14519 = 
(
(long)CINT(BgL_bpz00_14515)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14514),BgL_arg3654z00_14519,BgL_dz00_12277); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14514, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14515)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_arityz00), ((long)4)), BgL_restz00_12278, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14520;
BgL_ez00_14520 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14520, BgL_bpz00_14515); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14521;
BgL_accz00_14521 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12272, BgL_sz00_14514, BgL_bpz00_14515); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14520); 
VECTOR_SET(
((obj_t)BgL_sz00_14514),((long)0),BgL_bpz00_14515); 
return BgL_accz00_14521;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14522;
BgL_nsz00_14522 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14522,((long)1),BgL_sz00_14514); 
VECTOR_SET(BgL_nsz00_14522,((long)2),BgL_az00_12274); 
VECTOR_SET(BgL_nsz00_14522,((long)3),BgL_bz00_12275); 
VECTOR_SET(BgL_nsz00_14522,((long)4),BgL_cz00_12276); 
VECTOR_SET(BgL_nsz00_14522,((long)5),BgL_dz00_12277); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14522, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_arityz00), ((long)4)), BgL_restz00_12278, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12271))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14523;
BgL_z12denvz12_14523 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14523, BgL_nsz00_14522); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14524;
BgL_ez00_14524 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14524, BgL_sz00_14514); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14525;
BgL_____rz00_14525 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12272, BgL_nsz00_14522, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14524); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14523, BgL_sz00_14514); 
return BgL_____rz00_14525;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5151 */
obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t BgL_envz00_12279, obj_t BgL_sz00_12285)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12280;long BgL_siza7eza7_12281;obj_t BgL_valza2za2_12282;BgL_ev_absz00_bglt BgL_i1243z00_12283;obj_t BgL_bodyz00_12284;
BgL_iboxesz00_12280 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)0)))); 
BgL_siza7eza7_12281 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)1)))); 
BgL_valza2za2_12282 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)2)))); 
BgL_i1243z00_12283 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)3)))); 
BgL_bodyz00_12284 = 
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14526;
BgL_bpz00_14526 = 
VECTOR_REF(
((obj_t)BgL_sz00_12285),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12285, BgL_iboxesz00_12280, BgL_bpz00_14526); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12285, BgL_valza2za2_12282, 
(
(long)CINT(BgL_bpz00_14526)+BgL_siza7eza7_12281)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14527;obj_t BgL_wherez00_14528;obj_t BgL_locz00_14529;
BgL_z12denvz12_14527 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14528 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12283))->BgL_wherez00); 
BgL_locz00_14529 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12283))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14527, BgL_wherez00_14528, BgL_locz00_14529); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14530;
BgL_za2za2resza2za2z00_14530 = 
PROCEDURE_ENTRY(BgL_bodyz00_12284)(BgL_bodyz00_12284, BgL_sz00_12285, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14527); 
return BgL_za2za2resza2za2z00_14530;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_app1426 */
obj_t BGl_z62compzd2ev_app1426zb0zz__evaluate_compz00(obj_t BgL_envz00_12286, obj_t BgL_ez00_12287, obj_t BgL_stkz00_12288)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1037 */
{ /* Eval/evaluate_comp.scm 1039 */
obj_t BgL__ortest_1229z00_14532;
BgL__ortest_1229z00_14532 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12287), BgL_stkz00_12288); 
if(
CBOOL(BgL__ortest_1229z00_14532))
{ /* Eval/evaluate_comp.scm 1039 */
return BgL__ortest_1229z00_14532;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
obj_t BgL__ortest_1230z00_14533;
BgL__ortest_1230z00_14533 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_argsz00), BgL_stkz00_12288); 
if(
CBOOL(BgL__ortest_1230z00_14533))
{ /* Eval/evaluate_comp.scm 1040 */
return BgL__ortest_1230z00_14533;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1041 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12287), BgL_stkz00_12288);}  else 
{ /* Eval/evaluate_comp.scm 1043 */
obj_t BgL_fz00_14534;long BgL_siza7eza7_14535;obj_t BgL_symbzd2funzd2_14536;
BgL_fz00_14534 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_stkz00_12288); 
BgL_siza7eza7_14535 = 
bgl_list_length(BgL_stkz00_12288); 
BgL_symbzd2funzd2_14536 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1044 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_symbzd2funzd2_14536, BgL_fz00_14534, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_tailzf3zf3), BgL_stkz00_12288, BgL_siza7eza7_14535);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a1z00_14537;obj_t BgL_argsz00_14538;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3115z00_14539;
BgL_arg3115z00_14539 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_argsz00)); 
BgL_a1z00_14537 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3115z00_14539), BgL_stkz00_12288); } 
BgL_argsz00_14538 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_14538))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_symbzd2funzd2_14536, BgL_fz00_14534, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_tailzf3zf3), BgL_stkz00_12288, BgL_siza7eza7_14535, BgL_a1z00_14537);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a2z00_14540;obj_t BgL_argsz00_14541;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3114z00_14542;
BgL_arg3114z00_14542 = 
CAR(
((obj_t)BgL_argsz00_14538)); 
BgL_a2z00_14540 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3114z00_14542), BgL_stkz00_12288); } 
BgL_argsz00_14541 = 
CDR(
((obj_t)BgL_argsz00_14538)); 
if(
NULLP(BgL_argsz00_14541))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_symbzd2funzd2_14536, BgL_fz00_14534, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_tailzf3zf3), BgL_stkz00_12288, BgL_siza7eza7_14535, BgL_a1z00_14537, BgL_a2z00_14540);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a3z00_14543;obj_t BgL_argsz00_14544;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3113z00_14545;
BgL_arg3113z00_14545 = 
CAR(
((obj_t)BgL_argsz00_14541)); 
BgL_a3z00_14543 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3113z00_14545), BgL_stkz00_12288); } 
BgL_argsz00_14544 = 
CDR(
((obj_t)BgL_argsz00_14541)); 
if(
NULLP(BgL_argsz00_14544))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_symbzd2funzd2_14536, BgL_fz00_14534, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_tailzf3zf3), BgL_stkz00_12288, BgL_siza7eza7_14535, BgL_a1z00_14537, BgL_a2z00_14540, BgL_a3z00_14543);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a4z00_14546;obj_t BgL_argsz00_14547;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3112z00_14548;
BgL_arg3112z00_14548 = 
CAR(
((obj_t)BgL_argsz00_14544)); 
BgL_a4z00_14546 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3112z00_14548), BgL_stkz00_12288); } 
BgL_argsz00_14547 = 
CDR(
((obj_t)BgL_argsz00_14544)); 
if(
NULLP(BgL_argsz00_14547))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_funz00), BgL_symbzd2funzd2_14536, BgL_fz00_14534, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12287)))->BgL_tailzf3zf3), BgL_stkz00_12288, BgL_siza7eza7_14535, BgL_a1z00_14537, BgL_a2z00_14540, BgL_a3z00_14543, BgL_a4z00_14546);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_string5279z00zz__evaluate_compz00, BGl_string5280z00zz__evaluate_compz00);} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_goto1424 */
obj_t BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00(obj_t BgL_envz00_12289, obj_t BgL_ez00_12290, obj_t BgL_stkz00_12291)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 597 */
{ /* Eval/evaluate_comp.scm 600 */
obj_t BgL_slotz00_14552;long BgL_siza7eza7_14553;obj_t BgL_lstkz00_14554;
BgL_slotz00_14552 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_14553 = 
bgl_list_length(BgL_stkz00_12291); 
BgL_lstkz00_14554 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 602 */
long BgL_llstkz00_14555;obj_t BgL_substkz00_14556;obj_t BgL_boxesz00_14557;
BgL_llstkz00_14555 = 
bgl_list_length(BgL_lstkz00_14554); 
BgL_substkz00_14556 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_14554, BgL_stkz00_12291); 
{ /* Eval/evaluate_comp.scm 602 */
obj_t BgL_pairz00_14558;
BgL_pairz00_14558 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_14557 = 
CDR(BgL_pairz00_14558); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_argsz00), BgL_substkz00_14556))
{ /* Eval/evaluate_comp.scm 605 */
obj_t BgL_argsz00_14559;long BgL_nbargsz00_14560;
BgL_argsz00_14559 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_argsz00), BgL_stkz00_12291); 
BgL_nbargsz00_14560 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_zc3anonymousza33070ze3z83_14561;
BgL_zc3anonymousza33070ze3z83_14561 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14553)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)1)), 
BINT(BgL_llstkz00_14555)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12290))); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)3)), BgL_argsz00_14559); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)4)), BgL_boxesz00_14557); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_14560)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14561, 
(int)(((long)6)), BgL_slotz00_14552); 
return BgL_zc3anonymousza33070ze3z83_14561;} }  else 
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_argsz00_14562;
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_lz00_14563;long BgL_nz00_14564;
BgL_lz00_14563 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12290)))->BgL_argsz00); 
BgL_nz00_14564 = 
(BgL_siza7eza7_14553-BgL_llstkz00_14555); 
BgL_argsz00_14562 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12291, BgL_lz00_14563, BgL_nz00_14564); } 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_zc3anonymousza33076ze3z83_14565;
BgL_zc3anonymousza33076ze3z83_14565 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14565, 
(int)(((long)0)), 
BINT(BgL_llstkz00_14555)); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14565, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12290))); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14565, 
(int)(((long)2)), BgL_argsz00_14562); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14565, 
(int)(((long)3)), BgL_boxesz00_14557); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14565, 
(int)(((long)4)), BgL_slotz00_14552); 
return BgL_zc3anonymousza33076ze3z83_14565;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3070> */
obj_t BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12292, obj_t BgL_sz00_12300)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 606 */
{ /* Eval/evaluate_comp.scm 606 */
long BgL_siza7eza7_12293;long BgL_llstkz00_12294;BgL_ev_gotoz00_bglt BgL_i1141z00_12295;obj_t BgL_argsz00_12296;obj_t BgL_boxesz00_12297;long BgL_nbargsz00_12298;obj_t BgL_slotz00_12299;
BgL_siza7eza7_12293 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)0)))); 
BgL_llstkz00_12294 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)1)))); 
BgL_i1141z00_12295 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)2)))); 
BgL_argsz00_12296 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)3)))); 
BgL_boxesz00_12297 = 
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)4))); 
BgL_nbargsz00_12298 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)5)))); 
BgL_slotz00_12299 = 
PROCEDURE_REF(BgL_envz00_12292, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_bpz00_14566;
BgL_bpz00_14566 = 
VECTOR_REF(
((obj_t)BgL_sz00_12300),((long)0)); 
{ /* Eval/evaluate_comp.scm 607 */
long BgL_spz00_14567;long BgL_lspz00_14568;
BgL_spz00_14567 = 
(
(long)CINT(BgL_bpz00_14566)+BgL_siza7eza7_12293); 
BgL_lspz00_14568 = 
(
(long)CINT(BgL_bpz00_14566)+BgL_llstkz00_12294); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12300, BgL_argsz00_12296, BgL_boxesz00_12297, BgL_spz00_14567, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1141z00_12295))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_arg3072z00_14569;
BgL_arg3072z00_14569 = 
(BgL_spz00_14567+BgL_nbargsz00_12298); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12300, BgL_lspz00_14568, BgL_sz00_12300, 
BINT(BgL_spz00_14567), 
BINT(BgL_arg3072z00_14569)); } 
return 
CDR(
((obj_t)BgL_slotz00_12299));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3076> */
obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12301, obj_t BgL_sz00_12307)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 612 */
{ /* Eval/evaluate_comp.scm 612 */
long BgL_llstkz00_12302;BgL_ev_gotoz00_bglt BgL_i1141z00_12303;obj_t BgL_argsz00_12304;obj_t BgL_boxesz00_12305;obj_t BgL_slotz00_12306;
BgL_llstkz00_12302 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12301, 
(int)(((long)0)))); 
BgL_i1141z00_12303 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12301, 
(int)(((long)1)))); 
BgL_argsz00_12304 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12301, 
(int)(((long)2)))); 
BgL_boxesz00_12305 = 
PROCEDURE_REF(BgL_envz00_12301, 
(int)(((long)3))); 
BgL_slotz00_12306 = 
PROCEDURE_REF(BgL_envz00_12301, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_bpz00_14570;
BgL_bpz00_14570 = 
VECTOR_REF(
((obj_t)BgL_sz00_12307),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12307, BgL_argsz00_12304, BgL_boxesz00_12305, 
(
(long)CINT(BgL_bpz00_14570)+BgL_llstkz00_12302), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1141z00_12303))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12306));} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_labels1422 */
obj_t BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00(obj_t BgL_envz00_12308, obj_t BgL_ez00_12309, obj_t BgL_stkz00_12310)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 565 */
{ 
obj_t BgL_fz00_14573;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12309)))->BgL_stkz00)=((obj_t)BgL_stkz00_12310),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_envz00_14575;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_l1326z00_14576;
BgL_l1326z00_14576 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12309)))->BgL_varsz00); 
if(
NULLP(BgL_l1326z00_14576))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14575 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_head1328z00_14577;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4699z00_14578;
BgL_res4699z00_14578 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1328z00_14577 = BgL_res4699z00_14578; } 
{ 
obj_t BgL_l1326z00_14580;obj_t BgL_tail1329z00_14581;
BgL_l1326z00_14580 = BgL_l1326z00_14576; 
BgL_tail1329z00_14581 = BgL_head1328z00_14577; 
BgL_zc3anonymousza33061ze3z83_14579:
if(
NULLP(BgL_l1326z00_14580))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14575 = 
CDR(BgL_head1328z00_14577); }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_newtail1330z00_14582;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3064z00_14583;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_vz00_14584;
BgL_vz00_14584 = 
CAR(
((obj_t)BgL_l1326z00_14580)); 
BgL_arg3064z00_14583 = 
MAKE_YOUNG_PAIR(BgL_vz00_14584, BGl_symbol5281z00zz__evaluate_compz00); } 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4701z00_14585;
BgL_res4701z00_14585 = 
MAKE_YOUNG_PAIR(BgL_arg3064z00_14583, BNIL); 
BgL_newtail1330z00_14582 = BgL_res4701z00_14585; } } 
SET_CDR(BgL_tail1329z00_14581, BgL_newtail1330z00_14582); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3063z00_14586;
BgL_arg3063z00_14586 = 
CDR(
((obj_t)BgL_l1326z00_14580)); 
{ 
obj_t BgL_tail1329z00_28210;obj_t BgL_l1326z00_28209;
BgL_l1326z00_28209 = BgL_arg3063z00_14586; 
BgL_tail1329z00_28210 = BgL_newtail1330z00_14582; 
BgL_tail1329z00_14581 = BgL_tail1329z00_28210; 
BgL_l1326z00_14580 = BgL_l1326z00_28209; 
goto BgL_zc3anonymousza33061ze3z83_14579;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12309)))->BgL_envz00)=((obj_t)BgL_envz00_14575),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_g1334z00_14587;
BgL_g1334z00_14587 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12309)))->BgL_valsz00); 
{ 
obj_t BgL_ll1331z00_14589;obj_t BgL_ll1332z00_14590;
BgL_ll1331z00_14589 = BgL_envz00_14575; 
BgL_ll1332z00_14590 = BgL_g1334z00_14587; 
BgL_zc3anonymousza33051ze3z83_14588:
if(
NULLP(BgL_ll1331z00_14589))
{ /* Eval/evaluate_comp.scm 575 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 575 */
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_slotz00_14591;obj_t BgL_valz00_14592;
BgL_slotz00_14591 = 
CAR(
((obj_t)BgL_ll1331z00_14589)); 
BgL_valz00_14592 = 
CAR(
((obj_t)BgL_ll1332z00_14590)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3053z00_14593;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3054z00_14594;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3055z00_14595;obj_t BgL_arg3056z00_14596;
BgL_arg3055z00_14595 = 
CDR(
((obj_t)BgL_valz00_14592)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3057z00_14597;
BgL_arg3057z00_14597 = 
CAR(
((obj_t)BgL_valz00_14592)); 
BgL_arg3056z00_14596 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12310, BgL_arg3057z00_14597); } 
BgL_arg3054z00_14594 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3055z00_14595), BgL_arg3056z00_14596); } 
BgL_fz00_14573 = BgL_arg3054z00_14594; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_objz00_14574;
BgL_objz00_14574 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_tmpz00_28228;
BgL_tmpz00_28228 = 
((obj_t)BgL_fz00_14573); 
PROCEDURE_ATTR_SET(BgL_tmpz00_28228, BgL_objz00_14574); } BgL_objz00_14574; } 
BgL_arg3053z00_14593 = BgL_fz00_14573; } 
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_tmpz00_28231;
BgL_tmpz00_28231 = 
((obj_t)BgL_slotz00_14591); 
SET_CDR(BgL_tmpz00_28231, BgL_arg3053z00_14593); } } } 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_arg3058z00_14598;obj_t BgL_arg3059z00_14599;
BgL_arg3058z00_14598 = 
CDR(
((obj_t)BgL_ll1331z00_14589)); 
BgL_arg3059z00_14599 = 
CDR(
((obj_t)BgL_ll1332z00_14590)); 
{ 
obj_t BgL_ll1332z00_28239;obj_t BgL_ll1331z00_28238;
BgL_ll1331z00_28238 = BgL_arg3058z00_14598; 
BgL_ll1332z00_28239 = BgL_arg3059z00_14599; 
BgL_ll1332z00_14590 = BgL_ll1332z00_28239; 
BgL_ll1331z00_14589 = BgL_ll1331z00_28238; 
goto BgL_zc3anonymousza33051ze3z83_14588;} } } } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_bodyz00_14600;
BgL_bodyz00_14600 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12309)))->BgL_bodyz00), BgL_stkz00_12310); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_zc3anonymousza33065ze3z83_14601;
BgL_zc3anonymousza33065ze3z83_14601 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33065ze3z83_14601, 
(int)(((long)0)), BgL_bodyz00_14600); 
return BgL_zc3anonymousza33065ze3z83_14601;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3065> */
obj_t BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12311, obj_t BgL_sz00_12313)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 583 */
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bodyz00_12312;
BgL_bodyz00_12312 = 
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bpz00_14602;
BgL_bpz00_14602 = 
VECTOR_REF(
((obj_t)BgL_sz00_12313),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12312, BgL_sz00_12313);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_synchronize1420 */
obj_t BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00(obj_t BgL_envz00_12314, obj_t BgL_ez00_12315, obj_t BgL_stkz00_12316)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 545 */
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_mutexz00_14604;obj_t BgL_prelockz00_14605;obj_t BgL_bodyz00_14606;
BgL_mutexz00_14604 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12315)))->BgL_mutexz00), BgL_stkz00_12316); 
BgL_prelockz00_14605 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12315)))->BgL_prelockz00), BgL_stkz00_12316); 
BgL_bodyz00_14606 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12315)))->BgL_bodyz00), BgL_stkz00_12316); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_zc3anonymousza33044ze3z83_14607;
BgL_zc3anonymousza33044ze3z83_14607 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14607, 
(int)(((long)0)), BgL_mutexz00_14604); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14607, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12315))); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14607, 
(int)(((long)2)), BgL_prelockz00_14605); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14607, 
(int)(((long)3)), BgL_bodyz00_14606); 
return BgL_zc3anonymousza33044ze3z83_14607;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3044> */
obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12317, obj_t BgL_sz00_12322)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 550 */
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_mutexz00_12318;BgL_ev_synchroniza7eza7_bglt BgL_i1138z00_12319;obj_t BgL_prelockz00_12320;obj_t BgL_bodyz00_12321;
BgL_mutexz00_12318 = 
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)0))); 
BgL_i1138z00_12319 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)1)))); 
BgL_prelockz00_12320 = 
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)2))); 
BgL_bodyz00_12321 = 
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_bpz00_14608;
BgL_bpz00_14608 = 
VECTOR_REF(
((obj_t)BgL_sz00_12322),((long)0)); 
{ /* Eval/evaluate_comp.scm 551 */
obj_t BgL_mz00_14609;
BgL_mz00_14609 = 
PROCEDURE_ENTRY(BgL_mutexz00_12318)(BgL_mutexz00_12318, BgL_sz00_12322, BEOA); 
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_testz00_28290;
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_res4696z00_14610;
BgL_res4696z00_14610 = 
BGL_MUTEXP(BgL_mz00_14609); 
BgL_testz00_28290 = BgL_res4696z00_14610; } 
if(BgL_testz00_28290)
{ /* Eval/evaluate_comp.scm 553 */
obj_t BgL_pz00_14611;
BgL_pz00_14611 = 
PROCEDURE_ENTRY(BgL_prelockz00_12320)(BgL_prelockz00_12320, BgL_sz00_12322, BEOA); 
{ /* Eval/evaluate_comp.scm 555 */
obj_t BgL_za2za2resza2za2z00_14612;
if(
PAIRP(BgL_pz00_14611))
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_top5418z00_28299;
BgL_top5418z00_28299 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_14609, BgL_pz00_14611); 
BGL_EXITD_PUSH_PROTECT(BgL_top5418z00_28299, BgL_mz00_14609); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_tmp5417z00_28298;
BgL_tmp5417z00_28298 = 
PROCEDURE_ENTRY(BgL_bodyz00_12321)(BgL_bodyz00_12321, BgL_sz00_12322, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5418z00_28299); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14609); 
BgL_za2za2resza2za2z00_14612 = BgL_tmp5417z00_28298; } }  else 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_top5420z00_28310;
BgL_top5420z00_28310 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_14609); 
BGL_EXITD_PUSH_PROTECT(BgL_top5420z00_28310, BgL_mz00_14609); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_tmp5419z00_28309;
BgL_tmp5419z00_28309 = 
PROCEDURE_ENTRY(BgL_bodyz00_12321)(BgL_bodyz00_12321, BgL_sz00_12322, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5420z00_28310); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14609); 
BgL_za2za2resza2za2z00_14612 = BgL_tmp5419z00_28309; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12322),((long)0),BgL_bpz00_14608); 
return BgL_za2za2resza2za2z00_14612;} }  else 
{ /* Eval/evaluate_comp.scm 552 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string5283z00zz__evaluate_compz00, BGl_string5284z00zz__evaluate_compz00, BgL_mz00_14609, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1138z00_12319))->BgL_locz00));} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_with-handler1418 */
obj_t BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00(obj_t BgL_envz00_12323, obj_t BgL_ez00_12324, obj_t BgL_stkz00_12325)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 536 */
{ /* Eval/evaluate_comp.scm 538 */
obj_t BgL_handlerz00_14614;obj_t BgL_bodyz00_14615;
BgL_handlerz00_14614 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12324)))->BgL_handlerz00), BgL_stkz00_12325); 
BgL_bodyz00_14615 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12324)))->BgL_bodyz00), BgL_stkz00_12325); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_zc3anonymousza33030ze3z83_14616;
BgL_zc3anonymousza33030ze3z83_14616 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33030ze3z83_14616, 
(int)(((long)0)), BgL_handlerz00_14614); 
PROCEDURE_SET(BgL_zc3anonymousza33030ze3z83_14616, 
(int)(((long)1)), BgL_bodyz00_14615); 
return BgL_zc3anonymousza33030ze3z83_14616;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3030> */
obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12326, obj_t BgL_sz00_12329)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_handlerz00_12327;obj_t BgL_bodyz00_12328;
BgL_handlerz00_12327 = 
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)0))); 
BgL_bodyz00_12328 = 
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_bpz00_14617;
BgL_bpz00_14617 = 
VECTOR_REF(
((obj_t)BgL_sz00_12329),((long)0)); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_hz00_14618;
BgL_hz00_14618 = 
PROCEDURE_ENTRY(BgL_handlerz00_12327)(BgL_handlerz00_12327, BgL_sz00_12329, BEOA); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_za2za2resza2za2z00_14619;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1128z00_14620;
BgL_res1128z00_14620 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(BgL_sz00_12329, BgL_bodyz00_12328, BgL_res1128z00_14620)))
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14619 = 
PROCEDURE_ENTRY(BgL_hz00_14618)(BgL_hz00_14618, 
CELL_REF(BgL_res1128z00_14620), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14619 = 
CELL_REF(BgL_res1128z00_14620); } } 
VECTOR_SET(
((obj_t)BgL_sz00_12329),((long)0),BgL_bpz00_14617); 
return BgL_za2za2resza2za2z00_14619;} } } } } 
BGL_FUNCTION_END;
}



/* <exit:3037>~0 */
obj_t BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_12517, obj_t BgL_bodyz00_12516, obj_t BgL_res1128z00_12515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1131z00_4185;
if( SET_EXIT(BgL_an_exit1131z00_4185) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1131z00_4185 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 542 */

PUSH_EXIT(BgL_an_exit1131z00_4185, ((long)1)); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_an_exitd1132z00_4186;
BgL_an_exitd1132z00_4186 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_res1134z00_4189;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_ohs1126z00_4190;
BgL_ohs1126z00_4190 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_exitd1135z00_4191;
BgL_exitd1135z00_4191 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza33041ze3z83_11297;
BgL_zc3anonymousza33041ze3z83_11297 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_11297, 
(int)(((long)0)), BgL_ohs1126z00_4190); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1135z00_4191, BgL_zc3anonymousza33041ze3z83_11297); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_tmp1137z00_4193;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_arg3038z00_4194;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_zc3anonymousza33040ze3z83_11296;
BgL_zc3anonymousza33040ze3z83_11296 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_11296, 
(int)(((long)0)), 
((obj_t)BgL_res1128z00_12515)); 
PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_11296, 
(int)(((long)1)), BgL_an_exitd1132z00_4186); 
BgL_arg3038z00_4194 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza33040ze3z83_11296, BgL_ohs1126z00_4190); } 
BGL_ERROR_HANDLER_SET(BgL_arg3038z00_4194); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_auxz00_12331;
BgL_auxz00_12331 = 
PROCEDURE_ENTRY(BgL_bodyz00_12516)(BgL_bodyz00_12516, BgL_sz00_12517, BEOA); 
CELL_SET(BgL_res1128z00_12515, BgL_auxz00_12331); } 
BgL_tmp1137z00_4193 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1135z00_4191); 
BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33041ze3z83_11297); 
BgL_res1134z00_4189 = BgL_tmp1137z00_4193; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1134z00_4189);} } } 
} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3040> */
obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12333, obj_t BgL_ez00_12336)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1128z00_12334;obj_t BgL_an_exitd1132z00_12335;
BgL_res1128z00_12334 = 
PROCEDURE_REF(BgL_envz00_12333, 
(int)(((long)0))); 
BgL_an_exitd1132z00_12335 = 
PROCEDURE_REF(BgL_envz00_12333, 
(int)(((long)1))); 
CELL_SET(BgL_res1128z00_12334, BgL_ez00_12336); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1132z00_12335, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3041> */
obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12338)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ 
obj_t BgL_ohs1126z00_12339;
BgL_ohs1126z00_12339 = 
PROCEDURE_REF(BgL_envz00_12338, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_12339); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* &comp-ev_unwind-prote1416 */
obj_t BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00(obj_t BgL_envz00_12340, obj_t BgL_ez00_12341, obj_t BgL_stkz00_12342)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_ez00_14622;obj_t BgL_bodyz00_14623;
BgL_ez00_14622 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12341)))->BgL_ez00), BgL_stkz00_12342); 
BgL_bodyz00_14623 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12341)))->BgL_bodyz00), BgL_stkz00_12342); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_zc3anonymousza33026ze3z83_14624;
BgL_zc3anonymousza33026ze3z83_14624 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33026ze3z83_14624, 
(int)(((long)0)), BgL_bodyz00_14623); 
PROCEDURE_SET(BgL_zc3anonymousza33026ze3z83_14624, 
(int)(((long)1)), BgL_ez00_14622); 
return BgL_zc3anonymousza33026ze3z83_14624;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3026> */
obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12343, obj_t BgL_sz00_12346)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 530 */
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bodyz00_12344;obj_t BgL_ez00_12345;
BgL_bodyz00_12344 = 
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)0))); 
BgL_ez00_12345 = 
PROCEDURE_REF(BgL_envz00_12343, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bpz00_14625;
BgL_bpz00_14625 = 
VECTOR_REF(
((obj_t)BgL_sz00_12346),((long)0)); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_exitd1122z00_14626;
BgL_exitd1122z00_14626 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_zc3anonymousza33027ze3z83_14627;
BgL_zc3anonymousza33027ze3z83_14627 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14627, 
(int)(((long)0)), BgL_sz00_12346); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14627, 
(int)(((long)1)), BgL_bpz00_14625); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14627, 
(int)(((long)2)), BgL_bodyz00_12344); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1122z00_14626, BgL_zc3anonymousza33027ze3z83_14627); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_tmp1124z00_14628;
BgL_tmp1124z00_14628 = 
PROCEDURE_ENTRY(BgL_ez00_12345)(BgL_ez00_12345, BgL_sz00_12346, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1122z00_14626); 
BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33027ze3z83_14627); 
return BgL_tmp1124z00_14628;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3027> */
obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12347)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 532 */
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_sz00_12348;obj_t BgL_savedzd2bpzd2_12349;obj_t BgL_bodyz00_12350;
BgL_sz00_12348 = 
PROCEDURE_REF(BgL_envz00_12347, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12349 = 
PROCEDURE_REF(BgL_envz00_12347, 
(int)(((long)1))); 
BgL_bodyz00_12350 = 
PROCEDURE_REF(BgL_envz00_12347, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12348),((long)0),BgL_savedzd2bpzd2_12349); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12350)(BgL_bodyz00_12350, BgL_sz00_12348, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp-ev_bind-exit1414 */
obj_t BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00(obj_t BgL_envz00_12351, obj_t BgL_ez00_12352, obj_t BgL_stkz00_12353)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 516 */
{ /* Eval/evaluate_comp.scm 518 */
long BgL_siza7eza7_14630;obj_t BgL_nstkz00_14631;
BgL_siza7eza7_14630 = 
bgl_list_length(BgL_stkz00_12353); 
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3024z00_14632;
{ /* Eval/evaluate_comp.scm 518 */
BgL_ev_varz00_bglt BgL_arg3025z00_14633;
BgL_arg3025z00_14633 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12352)))->BgL_varz00); 
BgL_arg3024z00_14632 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3025z00_14633), BNIL); } 
BgL_nstkz00_14631 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12353, BgL_arg3024z00_14632); } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_bodyz00_14634;obj_t BgL_effzf3zf3_14635;
BgL_bodyz00_14634 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12352)))->BgL_bodyz00), BgL_nstkz00_14631); 
BgL_effzf3zf3_14635 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12352)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_zc3anonymousza33019ze3z83_14636;
BgL_zc3anonymousza33019ze3z83_14636 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14636, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14630)); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14636, 
(int)(((long)1)), BgL_effzf3zf3_14635); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14636, 
(int)(((long)2)), BgL_bodyz00_14634); 
return BgL_zc3anonymousza33019ze3z83_14636;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3019> */
obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12354, obj_t BgL_sz00_12358)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 520 */
{ /* Eval/evaluate_comp.scm 520 */
long BgL_siza7eza7_12355;obj_t BgL_effzf3zf3_12356;obj_t BgL_bodyz00_12357;
BgL_siza7eza7_12355 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12354, 
(int)(((long)0)))); 
BgL_effzf3zf3_12356 = 
PROCEDURE_REF(BgL_envz00_12354, 
(int)(((long)1))); 
BgL_bodyz00_12357 = 
PROCEDURE_REF(BgL_envz00_12354, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_bpz00_14637;
BgL_bpz00_14637 = 
VECTOR_REF(
((obj_t)BgL_sz00_12358),((long)0)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_za2za2resza2za2z00_14638;
BgL_za2za2resza2za2z00_14638 = 
BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(BgL_bodyz00_12357, BgL_sz00_12358, BgL_effzf3zf3_12356, BgL_siza7eza7_12355, BgL_bpz00_14637); 
VECTOR_SET(
((obj_t)BgL_sz00_12358),((long)0),BgL_bpz00_14637); 
return BgL_za2za2resza2za2z00_14638;} } } } 
BGL_FUNCTION_END;
}



/* <exit:3020>~0 */
obj_t BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(obj_t BgL_bodyz00_12514, obj_t BgL_sz00_12513, obj_t BgL_effzf3zf3_12512, long BgL_siza7eza7_12511, obj_t BgL_bpz00_12510)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1117z00_4120;
if( SET_EXIT(BgL_an_exit1117z00_4120) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1117z00_4120 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 522 */

PUSH_EXIT(BgL_an_exit1117z00_4120, ((long)1)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_an_exitd1118z00_4121;
BgL_an_exitd1118z00_4121 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_exitz00_11303;
BgL_exitz00_11303 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11303, 
(int)(((long)0)), BgL_an_exitd1118z00_4121); 
{ /* Eval/evaluate_comp.scm 523 */
obj_t BgL_res1120z00_4124;
{ /* Eval/evaluate_comp.scm 523 */
long BgL_arg3021z00_4125;obj_t BgL_arg3022z00_4126;
BgL_arg3021z00_4125 = 
(
(long)CINT(BgL_bpz00_12510)+BgL_siza7eza7_12511); 
if(
CBOOL(BgL_effzf3zf3_12512))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8834;
BgL_newz00_8834 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28488;
BgL_tmpz00_28488 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8834, BgL_tmpz00_28488, BgL_exitz00_11303); } 
BgL_arg3022z00_4126 = BgL_newz00_8834; }  else 
{ /* Eval/evaluate_comp.scm 523 */
BgL_arg3022z00_4126 = BgL_exitz00_11303; } 
VECTOR_SET(
((obj_t)BgL_sz00_12513),BgL_arg3021z00_4125,BgL_arg3022z00_4126); } 
BgL_res1120z00_4124 = 
PROCEDURE_ENTRY(BgL_bodyz00_12514)(BgL_bodyz00_12514, BgL_sz00_12513, BEOA); 
POP_EXIT(); 
return BgL_res1120z00_4124;} } } } 
} } 
BGL_FUNCTION_END;
}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12359, obj_t BgL_val1119z00_12361)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_12359, 
(int)(((long)0))), BgL_val1119z00_12361);} 
BGL_FUNCTION_END;
}



/* &comp-ev_letrec1412 */
obj_t BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00(obj_t BgL_envz00_12362, obj_t BgL_ez00_12363, obj_t BgL_stkz00_12364)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 487 */
{ /* Eval/evaluate_comp.scm 489 */
long BgL_siza7eza7_14640;obj_t BgL_nstkz00_14641;
BgL_siza7eza7_14640 = 
bgl_list_length(BgL_stkz00_12364); 
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_arg3018z00_14642;
BgL_arg3018z00_14642 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12363))))->BgL_varsz00); 
BgL_nstkz00_14641 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12364, BgL_arg3018z00_14642); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_cvalsz00_14643;obj_t BgL_bodyz00_14644;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_l1312z00_14645;
BgL_l1312z00_14645 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12363))))->BgL_valsz00); 
if(
NULLP(BgL_l1312z00_14645))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14643 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_head1314z00_14646;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4675z00_14647;
BgL_res4675z00_14647 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1314z00_14646 = BgL_res4675z00_14647; } 
{ 
obj_t BgL_l1312z00_14649;obj_t BgL_tail1315z00_14650;
BgL_l1312z00_14649 = BgL_l1312z00_14645; 
BgL_tail1315z00_14650 = BgL_head1314z00_14646; 
BgL_zc3anonymousza33013ze3z83_14648:
if(
NULLP(BgL_l1312z00_14649))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14643 = 
CDR(BgL_head1314z00_14646); }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_newtail1316z00_14651;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3016z00_14652;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_vz00_14653;
BgL_vz00_14653 = 
CAR(
((obj_t)BgL_l1312z00_14649)); 
BgL_arg3016z00_14652 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14653), BgL_nstkz00_14641); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4677z00_14654;
BgL_res4677z00_14654 = 
MAKE_YOUNG_PAIR(BgL_arg3016z00_14652, BNIL); 
BgL_newtail1316z00_14651 = BgL_res4677z00_14654; } } 
SET_CDR(BgL_tail1315z00_14650, BgL_newtail1316z00_14651); 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3015z00_14655;
BgL_arg3015z00_14655 = 
CDR(
((obj_t)BgL_l1312z00_14649)); 
{ 
obj_t BgL_tail1315z00_28524;obj_t BgL_l1312z00_28523;
BgL_l1312z00_28523 = BgL_arg3015z00_14655; 
BgL_tail1315z00_28524 = BgL_newtail1316z00_14651; 
BgL_tail1315z00_14650 = BgL_tail1315z00_28524; 
BgL_l1312z00_14649 = BgL_l1312z00_28523; 
goto BgL_zc3anonymousza33013ze3z83_14648;} } } } } } 
{ /* Eval/evaluate_comp.scm 491 */
BgL_ev_exprz00_bglt BgL_arg3017z00_14656;
BgL_arg3017z00_14656 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12363))))->BgL_bodyz00); 
BgL_bodyz00_14644 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3017z00_14656, BgL_nstkz00_14641); } 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28529;
{ 
obj_t BgL_l1317z00_14658;
BgL_l1317z00_14658 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12363))))->BgL_valsz00); 
BgL_zc3anonymousza33010ze3z83_14657:
if(
NULLP(BgL_l1317z00_14658))
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28529 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28532;
{ /* Eval/evaluate_comp.scm 492 */
obj_t BgL_vz00_14659;
BgL_vz00_14659 = 
CAR(
((obj_t)BgL_l1317z00_14658)); 
BgL_testz00_28532 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_14659, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_testz00_28532)
{ 
obj_t BgL_l1317z00_28536;
BgL_l1317z00_28536 = 
CDR(
((obj_t)BgL_l1317z00_14658)); 
BgL_l1317z00_14658 = BgL_l1317z00_28536; 
goto BgL_zc3anonymousza33010ze3z83_14657;}  else 
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28529 = ((bool_t)0)
; } } } 
if(BgL_testz00_28529)
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_zc3anonymousza32980ze3z83_14660;
BgL_zc3anonymousza32980ze3z83_14660 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14660, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14640)); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14660, 
(int)(((long)1)), BgL_cvalsz00_14643); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14660, 
(int)(((long)2)), BgL_bodyz00_14644); 
return BgL_zc3anonymousza32980ze3z83_14660;}  else 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_zc3anonymousza32993ze3z83_14661;
BgL_zc3anonymousza32993ze3z83_14661 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14661, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14640)); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14661, 
(int)(((long)1)), BgL_cvalsz00_14643); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14661, 
(int)(((long)2)), BgL_bodyz00_14644); 
return BgL_zc3anonymousza32993ze3z83_14661;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2980> */
obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12365, obj_t BgL_sz00_12369)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 493 */
{ /* Eval/evaluate_comp.scm 493 */
long BgL_siza7eza7_12366;obj_t BgL_cvalsz00_12367;obj_t BgL_bodyz00_12368;
BgL_siza7eza7_12366 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)0)))); 
BgL_cvalsz00_12367 = 
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)1))); 
BgL_bodyz00_12368 = 
PROCEDURE_REF(BgL_envz00_12365, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_bpz00_14662;
BgL_bpz00_14662 = 
VECTOR_REF(
((obj_t)BgL_sz00_12369),((long)0)); 
{ /* Eval/evaluate_comp.scm 494 */
long BgL_g1111z00_14663;
BgL_g1111z00_14663 = 
(
(long)CINT(BgL_bpz00_14662)+BgL_siza7eza7_12366); 
{ 
obj_t BgL_lz00_14665;long BgL_iz00_14666;
BgL_lz00_14665 = BgL_cvalsz00_12367; 
BgL_iz00_14666 = BgL_g1111z00_14663; 
BgL_recz00_14664:
if(
NULLP(BgL_lz00_14665))
{ /* Eval/evaluate_comp.scm 495 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 495 */
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg2983z00_14667;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14668;
BgL_newz00_14668 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28577;
BgL_tmpz00_28577 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14668, BgL_tmpz00_28577, BUNSPEC); } 
BgL_arg2983z00_14667 = BgL_newz00_14668; } 
VECTOR_SET(
((obj_t)BgL_sz00_12369),BgL_iz00_14666,BgL_arg2983z00_14667); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg2984z00_14669;long BgL_arg2985z00_14670;
BgL_arg2984z00_14669 = 
CDR(
((obj_t)BgL_lz00_14665)); 
BgL_arg2985z00_14670 = 
(BgL_iz00_14666+((long)1)); 
{ 
long BgL_iz00_28586;obj_t BgL_lz00_28585;
BgL_lz00_28585 = BgL_arg2984z00_14669; 
BgL_iz00_28586 = BgL_arg2985z00_14670; 
BgL_iz00_14666 = BgL_iz00_28586; 
BgL_lz00_14665 = BgL_lz00_28585; 
goto BgL_recz00_14664;} } } } } 
{ /* Eval/evaluate_comp.scm 498 */
long BgL_g1112z00_14671;
BgL_g1112z00_14671 = 
(
(long)CINT(BgL_bpz00_14662)+BgL_siza7eza7_12366); 
{ 
obj_t BgL_lz00_14673;long BgL_iz00_14674;
BgL_lz00_14673 = BgL_cvalsz00_12367; 
BgL_iz00_14674 = BgL_g1112z00_14671; 
BgL_recz00_14672:
if(
NULLP(BgL_lz00_14673))
{ /* Eval/evaluate_comp.scm 499 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 499 */
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_arg2988z00_14675;obj_t BgL_arg2989z00_14676;
BgL_arg2988z00_14675 = 
VECTOR_REF(
((obj_t)BgL_sz00_12369),BgL_iz00_14674); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_fun2990z00_14677;
BgL_fun2990z00_14677 = 
CAR(
((obj_t)BgL_lz00_14673)); 
BgL_arg2989z00_14676 = 
PROCEDURE_ENTRY(BgL_fun2990z00_14677)(BgL_fun2990z00_14677, BgL_sz00_12369, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28601;obj_t BgL_tmpz00_28599;
BgL_auxz00_28601 = 
(int)(((long)0)); 
BgL_tmpz00_28599 = 
((obj_t)BgL_arg2988z00_14675); 
STRUCT_SET(BgL_tmpz00_28599, BgL_auxz00_28601, BgL_arg2989z00_14676); } } 
{ /* Eval/evaluate_comp.scm 501 */
obj_t BgL_arg2991z00_14678;long BgL_arg2992z00_14679;
BgL_arg2991z00_14678 = 
CDR(
((obj_t)BgL_lz00_14673)); 
BgL_arg2992z00_14679 = 
(BgL_iz00_14674+((long)1)); 
{ 
long BgL_iz00_28608;obj_t BgL_lz00_28607;
BgL_lz00_28607 = BgL_arg2991z00_14678; 
BgL_iz00_28608 = BgL_arg2992z00_14679; 
BgL_iz00_14674 = BgL_iz00_28608; 
BgL_lz00_14673 = BgL_lz00_28607; 
goto BgL_recz00_14672;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12368)(BgL_bodyz00_12368, BgL_sz00_12369, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2993> */
obj_t BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12370, obj_t BgL_sz00_12374)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 503 */
{ /* Eval/evaluate_comp.scm 503 */
long BgL_siza7eza7_12371;obj_t BgL_cvalsz00_12372;obj_t BgL_bodyz00_12373;
BgL_siza7eza7_12371 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)0)))); 
BgL_cvalsz00_12372 = 
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)1))); 
BgL_bodyz00_12373 = 
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_bpz00_14680;
BgL_bpz00_14680 = 
VECTOR_REF(
((obj_t)BgL_sz00_12374),((long)0)); 
{ /* Eval/evaluate_comp.scm 504 */
long BgL_g1113z00_14681;
BgL_g1113z00_14681 = 
(
(long)CINT(BgL_bpz00_14680)+BgL_siza7eza7_12371); 
{ 
obj_t BgL_lz00_14683;long BgL_iz00_14684;
BgL_lz00_14683 = BgL_cvalsz00_12372; 
BgL_iz00_14684 = BgL_g1113z00_14681; 
BgL_recz00_14682:
if(
NULLP(BgL_lz00_14683))
{ /* Eval/evaluate_comp.scm 505 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 505 */
{ /* Eval/evaluate_comp.scm 506 */
obj_t BgL_arg2996z00_14685;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14686;
BgL_newz00_14686 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28628;
BgL_tmpz00_28628 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14686, BgL_tmpz00_28628, BUNSPEC); } 
BgL_arg2996z00_14685 = BgL_newz00_14686; } 
VECTOR_SET(
((obj_t)BgL_sz00_12374),BgL_iz00_14684,BgL_arg2996z00_14685); } 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg2997z00_14687;long BgL_arg2998z00_14688;
BgL_arg2997z00_14687 = 
CDR(
((obj_t)BgL_lz00_14683)); 
BgL_arg2998z00_14688 = 
(BgL_iz00_14684+((long)1)); 
{ 
long BgL_iz00_28637;obj_t BgL_lz00_28636;
BgL_lz00_28636 = BgL_arg2997z00_14687; 
BgL_iz00_28637 = BgL_arg2998z00_14688; 
BgL_iz00_14684 = BgL_iz00_28637; 
BgL_lz00_14683 = BgL_lz00_28636; 
goto BgL_recz00_14682;} } } } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_rvalsz00_14689;
if(
NULLP(BgL_cvalsz00_12372))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14689 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_head1323z00_14690;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4689z00_14691;
BgL_res4689z00_14691 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1323z00_14690 = BgL_res4689z00_14691; } 
{ 
obj_t BgL_l1321z00_14693;obj_t BgL_tail1324z00_14694;
BgL_l1321z00_14693 = BgL_cvalsz00_12372; 
BgL_tail1324z00_14694 = BgL_head1323z00_14690; 
BgL_zc3anonymousza33006ze3z83_14692:
if(
NULLP(BgL_l1321z00_14693))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14689 = 
CDR(BgL_head1323z00_14690); }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_newtail1325z00_14695;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3009z00_14696;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_vz00_14697;
BgL_vz00_14697 = 
CAR(
((obj_t)BgL_l1321z00_14693)); 
BgL_arg3009z00_14696 = 
PROCEDURE_ENTRY(BgL_vz00_14697)(BgL_vz00_14697, BgL_sz00_12374, BEOA); } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4691z00_14698;
BgL_res4691z00_14698 = 
MAKE_YOUNG_PAIR(BgL_arg3009z00_14696, BNIL); 
BgL_newtail1325z00_14695 = BgL_res4691z00_14698; } } 
SET_CDR(BgL_tail1324z00_14694, BgL_newtail1325z00_14695); 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3008z00_14699;
BgL_arg3008z00_14699 = 
CDR(
((obj_t)BgL_l1321z00_14693)); 
{ 
obj_t BgL_tail1324z00_28655;obj_t BgL_l1321z00_28654;
BgL_l1321z00_28654 = BgL_arg3008z00_14699; 
BgL_tail1324z00_28655 = BgL_newtail1325z00_14695; 
BgL_tail1324z00_14694 = BgL_tail1324z00_28655; 
BgL_l1321z00_14693 = BgL_l1321z00_28654; 
goto BgL_zc3anonymousza33006ze3z83_14692;} } } } } 
{ /* Eval/evaluate_comp.scm 509 */
long BgL_g1114z00_14700;
BgL_g1114z00_14700 = 
(
(long)CINT(BgL_bpz00_14680)+BgL_siza7eza7_12371); 
{ 
obj_t BgL_lz00_14702;long BgL_iz00_14703;
BgL_lz00_14702 = BgL_rvalsz00_14689; 
BgL_iz00_14703 = BgL_g1114z00_14700; 
BgL_recz00_14701:
if(
NULLP(BgL_lz00_14702))
{ /* Eval/evaluate_comp.scm 510 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 511 */
obj_t BgL_arg3001z00_14704;obj_t BgL_arg3002z00_14705;
BgL_arg3001z00_14704 = 
VECTOR_REF(
((obj_t)BgL_sz00_12374),BgL_iz00_14703); 
BgL_arg3002z00_14705 = 
CAR(
((obj_t)BgL_lz00_14702)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28666;obj_t BgL_tmpz00_28664;
BgL_auxz00_28666 = 
(int)(((long)0)); 
BgL_tmpz00_28664 = 
((obj_t)BgL_arg3001z00_14704); 
STRUCT_SET(BgL_tmpz00_28664, BgL_auxz00_28666, BgL_arg3002z00_14705); } } 
{ /* Eval/evaluate_comp.scm 512 */
obj_t BgL_arg3003z00_14706;long BgL_arg3004z00_14707;
BgL_arg3003z00_14706 = 
CDR(
((obj_t)BgL_lz00_14702)); 
BgL_arg3004z00_14707 = 
(BgL_iz00_14703+((long)1)); 
{ 
long BgL_iz00_28673;obj_t BgL_lz00_28672;
BgL_lz00_28672 = BgL_arg3003z00_14706; 
BgL_iz00_28673 = BgL_arg3004z00_14707; 
BgL_iz00_14703 = BgL_iz00_28673; 
BgL_lz00_14702 = BgL_lz00_28672; 
goto BgL_recz00_14701;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12373)(BgL_bodyz00_12373, BgL_sz00_12374, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let*1410 */
obj_t BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00(obj_t BgL_envz00_12375, obj_t BgL_ez00_12376, obj_t BgL_stkz00_12377)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 474 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_siza7eza7_14709;obj_t BgL_nstkz00_14710;
BgL_siza7eza7_14709 = 
bgl_list_length(BgL_stkz00_12377); 
{ /* Eval/evaluate_comp.scm 476 */
obj_t BgL_arg2975z00_14711;
BgL_arg2975z00_14711 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12376))))->BgL_varsz00); 
BgL_nstkz00_14710 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12377, BgL_arg2975z00_14711); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_valsz00_14712;obj_t BgL_bodyz00_14713;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_l1307z00_14714;
BgL_l1307z00_14714 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12376))))->BgL_valsz00); 
if(
NULLP(BgL_l1307z00_14714))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14712 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_head1309z00_14715;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4668z00_14716;
BgL_res4668z00_14716 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1309z00_14715 = BgL_res4668z00_14716; } 
{ 
obj_t BgL_l1307z00_14718;obj_t BgL_tail1310z00_14719;
BgL_l1307z00_14718 = BgL_l1307z00_14714; 
BgL_tail1310z00_14719 = BgL_head1309z00_14715; 
BgL_zc3anonymousza32970ze3z83_14717:
if(
NULLP(BgL_l1307z00_14718))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14712 = 
CDR(BgL_head1309z00_14715); }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_newtail1311z00_14720;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2973z00_14721;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_vz00_14722;
BgL_vz00_14722 = 
CAR(
((obj_t)BgL_l1307z00_14718)); 
BgL_arg2973z00_14721 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14722), BgL_nstkz00_14710); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4670z00_14723;
BgL_res4670z00_14723 = 
MAKE_YOUNG_PAIR(BgL_arg2973z00_14721, BNIL); 
BgL_newtail1311z00_14720 = BgL_res4670z00_14723; } } 
SET_CDR(BgL_tail1310z00_14719, BgL_newtail1311z00_14720); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2972z00_14724;
BgL_arg2972z00_14724 = 
CDR(
((obj_t)BgL_l1307z00_14718)); 
{ 
obj_t BgL_tail1310z00_28701;obj_t BgL_l1307z00_28700;
BgL_l1307z00_28700 = BgL_arg2972z00_14724; 
BgL_tail1310z00_28701 = BgL_newtail1311z00_14720; 
BgL_tail1310z00_14719 = BgL_tail1310z00_28701; 
BgL_l1307z00_14718 = BgL_l1307z00_28700; 
goto BgL_zc3anonymousza32970ze3z83_14717;} } } } } } 
{ /* Eval/evaluate_comp.scm 478 */
BgL_ev_exprz00_bglt BgL_arg2974z00_14725;
BgL_arg2974z00_14725 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12376))))->BgL_bodyz00); 
BgL_bodyz00_14713 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2974z00_14725, BgL_nstkz00_14710); } 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_zc3anonymousza32959ze3z83_14726;
BgL_zc3anonymousza32959ze3z83_14726 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14726, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14709)); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14726, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12376))); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14726, 
(int)(((long)2)), BgL_valsz00_14712); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14726, 
(int)(((long)3)), BgL_bodyz00_14713); 
return BgL_zc3anonymousza32959ze3z83_14726;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2959> */
obj_t BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12378, obj_t BgL_sz00_12383)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 479 */
{ /* Eval/evaluate_comp.scm 479 */
long BgL_siza7eza7_12379;BgL_ev_letza2za2_bglt BgL_i1108z00_12380;obj_t BgL_valsz00_12381;obj_t BgL_bodyz00_12382;
BgL_siza7eza7_12379 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)0)))); 
BgL_i1108z00_12380 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)1)))); 
BgL_valsz00_12381 = 
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)2))); 
BgL_bodyz00_12382 = 
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_bpz00_14727;
BgL_bpz00_14727 = 
VECTOR_REF(
((obj_t)BgL_sz00_12383),((long)0)); 
{ /* Eval/evaluate_comp.scm 480 */
long BgL_g1109z00_14728;
BgL_g1109z00_14728 = 
(
(long)CINT(BgL_bpz00_14727)+BgL_siza7eza7_12379); 
{ 
obj_t BgL_lz00_14730;long BgL_iz00_14731;obj_t BgL_bza2za2_14732;
BgL_lz00_14730 = BgL_valsz00_12381; 
BgL_iz00_14731 = BgL_g1109z00_14728; 
BgL_bza2za2_14732 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1108z00_12380))->BgL_boxesz00); 
BgL_recz00_14729:
if(
NULLP(BgL_lz00_14730))
{ /* Eval/evaluate_comp.scm 481 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_valz00_14733;
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_fun2965z00_14734;
BgL_fun2965z00_14734 = 
CAR(
((obj_t)BgL_lz00_14730)); 
BgL_valz00_14733 = 
PROCEDURE_ENTRY(BgL_fun2965z00_14734)(BgL_fun2965z00_14734, BgL_sz00_12383, BEOA); } 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg2963z00_14735;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_14732))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14736;
BgL_newz00_14736 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28748;
BgL_tmpz00_28748 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14736, BgL_tmpz00_28748, BgL_valz00_14733); } 
BgL_arg2963z00_14735 = BgL_newz00_14736; }  else 
{ /* Eval/evaluate_comp.scm 483 */
BgL_arg2963z00_14735 = BgL_valz00_14733; } 
VECTOR_SET(
((obj_t)BgL_sz00_12383),BgL_iz00_14731,BgL_arg2963z00_14735); } } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2966z00_14737;long BgL_arg2967z00_14738;obj_t BgL_arg2968z00_14739;
BgL_arg2966z00_14737 = 
CDR(
((obj_t)BgL_lz00_14730)); 
BgL_arg2967z00_14738 = 
(BgL_iz00_14731+((long)1)); 
BgL_arg2968z00_14739 = 
CDR(
((obj_t)BgL_bza2za2_14732)); 
{ 
obj_t BgL_bza2za2_28760;long BgL_iz00_28759;obj_t BgL_lz00_28758;
BgL_lz00_28758 = BgL_arg2966z00_14737; 
BgL_iz00_28759 = BgL_arg2967z00_14738; 
BgL_bza2za2_28760 = BgL_arg2968z00_14739; 
BgL_bza2za2_14732 = BgL_bza2za2_28760; 
BgL_iz00_14731 = BgL_iz00_28759; 
BgL_lz00_14730 = BgL_lz00_28758; 
goto BgL_recz00_14729;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12382)(BgL_bodyz00_12382, BgL_sz00_12383, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let1408 */
obj_t BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00(obj_t BgL_envz00_12384, obj_t BgL_ez00_12385, obj_t BgL_stkz00_12386)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 455 */
{ /* Eval/evaluate_comp.scm 457 */
long BgL_siza7eza7_14741;obj_t BgL_nstkz00_14742;
BgL_siza7eza7_14741 = 
bgl_list_length(BgL_stkz00_12386); 
{ /* Eval/evaluate_comp.scm 457 */
obj_t BgL_arg2958z00_14743;
BgL_arg2958z00_14743 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12385))))->BgL_varsz00); 
BgL_nstkz00_14742 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12386, BgL_arg2958z00_14743); } 
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_valsz00_14744;obj_t BgL_iboxesz00_14745;obj_t BgL_bodyz00_14746;
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_arg2951z00_14747;
BgL_arg2951z00_14747 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12385))))->BgL_valsz00); 
BgL_valsz00_14744 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2951z00_14747, BgL_stkz00_12386); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_l1302z00_14748;
BgL_l1302z00_14748 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12385)))->BgL_boxesz00); 
if(
NULLP(BgL_l1302z00_14748))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14745 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_head1304z00_14749;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4659z00_14750;
BgL_res4659z00_14750 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1304z00_14749 = BgL_res4659z00_14750; } 
{ 
obj_t BgL_l1302z00_14752;obj_t BgL_tail1305z00_14753;
BgL_l1302z00_14752 = BgL_l1302z00_14748; 
BgL_tail1305z00_14753 = BgL_head1304z00_14749; 
BgL_zc3anonymousza32953ze3z83_14751:
if(
NULLP(BgL_l1302z00_14752))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14745 = 
CDR(BgL_head1304z00_14749); }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_newtail1306z00_14754;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2956z00_14755;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_vz00_14756;
BgL_vz00_14756 = 
CAR(
((obj_t)BgL_l1302z00_14752)); 
BgL_arg2956z00_14755 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14756, BgL_nstkz00_14742); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4661z00_14757;
BgL_res4661z00_14757 = 
MAKE_YOUNG_PAIR(BgL_arg2956z00_14755, BNIL); 
BgL_newtail1306z00_14754 = BgL_res4661z00_14757; } } 
SET_CDR(BgL_tail1305z00_14753, BgL_newtail1306z00_14754); 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2955z00_14758;
BgL_arg2955z00_14758 = 
CDR(
((obj_t)BgL_l1302z00_14752)); 
{ 
obj_t BgL_tail1305z00_28791;obj_t BgL_l1302z00_28790;
BgL_l1302z00_28790 = BgL_arg2955z00_14758; 
BgL_tail1305z00_28791 = BgL_newtail1306z00_14754; 
BgL_tail1305z00_14753 = BgL_tail1305z00_28791; 
BgL_l1302z00_14752 = BgL_l1302z00_28790; 
goto BgL_zc3anonymousza32953ze3z83_14751;} } } } } } 
{ /* Eval/evaluate_comp.scm 461 */
BgL_ev_exprz00_bglt BgL_arg2957z00_14759;
BgL_arg2957z00_14759 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12385))))->BgL_bodyz00); 
BgL_bodyz00_14746 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2957z00_14759, BgL_nstkz00_14742); } 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_zc3anonymousza32938ze3z83_14760;
BgL_zc3anonymousza32938ze3z83_14760 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14760, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14741)); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14760, 
(int)(((long)1)), BgL_valsz00_14744); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14760, 
(int)(((long)2)), BgL_iboxesz00_14745); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14760, 
(int)(((long)3)), BgL_bodyz00_14746); 
return BgL_zc3anonymousza32938ze3z83_14760;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2938> */
obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12387, obj_t BgL_sz00_12392)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 462 */
long BgL_siza7eza7_12388;obj_t BgL_valsz00_12389;obj_t BgL_iboxesz00_12390;obj_t BgL_bodyz00_12391;
BgL_siza7eza7_12388 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12387, 
(int)(((long)0)))); 
BgL_valsz00_12389 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12387, 
(int)(((long)1)))); 
BgL_iboxesz00_12390 = 
PROCEDURE_REF(BgL_envz00_12387, 
(int)(((long)2))); 
BgL_bodyz00_12391 = 
PROCEDURE_REF(BgL_envz00_12387, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_bpz00_14761;
BgL_bpz00_14761 = 
VECTOR_REF(
((obj_t)BgL_sz00_12392),((long)0)); 
{ /* Eval/evaluate_comp.scm 463 */
long BgL_g1107z00_14762;
BgL_g1107z00_14762 = 
(
(long)CINT(BgL_bpz00_14761)+BgL_siza7eza7_12388); 
{ 
obj_t BgL_lz00_14764;long BgL_iz00_14765;
BgL_lz00_14764 = BgL_valsz00_12389; 
BgL_iz00_14765 = BgL_g1107z00_14762; 
BgL_recz00_14763:
if(
NULLP(BgL_lz00_14764))
{ /* Eval/evaluate_comp.scm 464 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 464 */
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_arg2941z00_14766;
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_fun2942z00_14767;
BgL_fun2942z00_14767 = 
CAR(
((obj_t)BgL_lz00_14764)); 
BgL_arg2941z00_14766 = 
PROCEDURE_ENTRY(BgL_fun2942z00_14767)(BgL_fun2942z00_14767, BgL_sz00_12392, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12392),BgL_iz00_14765,BgL_arg2941z00_14766); } 
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg2943z00_14768;long BgL_arg2944z00_14769;
BgL_arg2943z00_14768 = 
CDR(
((obj_t)BgL_lz00_14764)); 
BgL_arg2944z00_14769 = 
(BgL_iz00_14765+((long)1)); 
{ 
long BgL_iz00_28836;obj_t BgL_lz00_28835;
BgL_lz00_28835 = BgL_arg2943z00_14768; 
BgL_iz00_28836 = BgL_arg2944z00_14769; 
BgL_iz00_14765 = BgL_iz00_28836; 
BgL_lz00_14764 = BgL_lz00_28835; 
goto BgL_recz00_14763;} } } } } 
{ 
obj_t BgL_lz00_14771;
BgL_lz00_14771 = BgL_iboxesz00_12390; 
BgL_recz00_14770:
if(
NULLP(BgL_lz00_14771))
{ /* Eval/evaluate_comp.scm 468 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 468 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_iz00_14772;
BgL_iz00_14772 = 
(
(long)CINT(BgL_bpz00_14761)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_14771)))); 
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2947z00_14773;
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2948z00_14774;
BgL_arg2948z00_14774 = 
VECTOR_REF(
((obj_t)BgL_sz00_12392),BgL_iz00_14772); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14775;
BgL_newz00_14775 = 
create_struct(BGl_symbol5174z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28848;
BgL_tmpz00_28848 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14775, BgL_tmpz00_28848, BgL_arg2948z00_14774); } 
BgL_arg2947z00_14773 = BgL_newz00_14775; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12392),BgL_iz00_14772,BgL_arg2947z00_14773); } } 
{ /* Eval/evaluate_comp.scm 471 */
obj_t BgL_arg2950z00_14776;
BgL_arg2950z00_14776 = 
CDR(
((obj_t)BgL_lz00_14771)); 
{ 
obj_t BgL_lz00_28855;
BgL_lz00_28855 = BgL_arg2950z00_14776; 
BgL_lz00_14771 = BgL_lz00_28855; 
goto BgL_recz00_14770;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12391)(BgL_bodyz00_12391, BgL_sz00_12392, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_prog21406 */
obj_t BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00(obj_t BgL_envz00_12393, obj_t BgL_ez00_12394, obj_t BgL_stkz00_12395)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 451 */
obj_t BgL_e1z00_14778;obj_t BgL_e2z00_14779;
BgL_e1z00_14778 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12394)))->BgL_e1z00), BgL_stkz00_12395); 
BgL_e2z00_14779 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12394)))->BgL_e2z00), BgL_stkz00_12395); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_zc3anonymousza32935ze3z83_14780;
BgL_zc3anonymousza32935ze3z83_14780 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14780, 
(int)(((long)0)), BgL_e1z00_14778); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14780, 
(int)(((long)1)), BgL_e2z00_14779); 
return BgL_zc3anonymousza32935ze3z83_14780;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2935> */
obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12396, obj_t BgL_sz00_12399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 452 */
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_e1z00_12397;obj_t BgL_e2z00_12398;
BgL_e1z00_12397 = 
PROCEDURE_REF(BgL_envz00_12396, 
(int)(((long)0))); 
BgL_e2z00_12398 = 
PROCEDURE_REF(BgL_envz00_12396, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_bpz00_14781;
BgL_bpz00_14781 = 
VECTOR_REF(
((obj_t)BgL_sz00_12399),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12397)(BgL_e1z00_12397, BgL_sz00_12399, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12398)(BgL_e2z00_12398, BgL_sz00_12399, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_and1404 */
obj_t BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00(obj_t BgL_envz00_12400, obj_t BgL_ez00_12401, obj_t BgL_stkz00_12402)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 439 */
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_argsz00_14783;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_l1297z00_14784;
BgL_l1297z00_14784 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12401))))->BgL_argsz00); 
if(
NULLP(BgL_l1297z00_14784))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14783 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_head1299z00_14785;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4654z00_14786;
BgL_res4654z00_14786 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1299z00_14785 = BgL_res4654z00_14786; } 
{ 
obj_t BgL_l1297z00_14788;obj_t BgL_tail1300z00_14789;
BgL_l1297z00_14788 = BgL_l1297z00_14784; 
BgL_tail1300z00_14789 = BgL_head1299z00_14785; 
BgL_zc3anonymousza32931ze3z83_14787:
if(
NULLP(BgL_l1297z00_14788))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14783 = 
CDR(BgL_head1299z00_14785); }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_newtail1301z00_14790;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2934z00_14791;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_ez00_14792;
BgL_ez00_14792 = 
CAR(
((obj_t)BgL_l1297z00_14788)); 
BgL_arg2934z00_14791 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14792), BgL_stkz00_12402); } 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4656z00_14793;
BgL_res4656z00_14793 = 
MAKE_YOUNG_PAIR(BgL_arg2934z00_14791, BNIL); 
BgL_newtail1301z00_14790 = BgL_res4656z00_14793; } } 
SET_CDR(BgL_tail1300z00_14789, BgL_newtail1301z00_14790); 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2933z00_14794;
BgL_arg2933z00_14794 = 
CDR(
((obj_t)BgL_l1297z00_14788)); 
{ 
obj_t BgL_tail1300z00_28905;obj_t BgL_l1297z00_28904;
BgL_l1297z00_28904 = BgL_arg2933z00_14794; 
BgL_tail1300z00_28905 = BgL_newtail1301z00_14790; 
BgL_tail1300z00_14789 = BgL_tail1300z00_28905; 
BgL_l1297z00_14788 = BgL_l1297z00_28904; 
goto BgL_zc3anonymousza32931ze3z83_14787;} } } } } } 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_zc3anonymousza32925ze3z83_14795;
BgL_zc3anonymousza32925ze3z83_14795 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32925ze3z83_14795, 
(int)(((long)0)), BgL_argsz00_14783); 
return BgL_zc3anonymousza32925ze3z83_14795;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2925> */
obj_t BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12403, obj_t BgL_sz00_12405)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 442 */
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_argsz00_12404;
BgL_argsz00_12404 = 
PROCEDURE_REF(BgL_envz00_12403, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_bpz00_14796;
BgL_bpz00_14796 = 
VECTOR_REF(
((obj_t)BgL_sz00_12405),((long)0)); 
{ 
obj_t BgL_lz00_14798;obj_t BgL_rz00_14799;
BgL_lz00_14798 = BgL_argsz00_12404; 
BgL_rz00_14799 = BTRUE; 
BgL_recz00_14797:
if(
NULLP(BgL_lz00_14798))
{ /* Eval/evaluate_comp.scm 444 */
return BgL_rz00_14799;}  else 
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_vz00_14800;
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_fun2929z00_14801;
BgL_fun2929z00_14801 = 
CAR(
((obj_t)BgL_lz00_14798)); 
BgL_vz00_14800 = 
PROCEDURE_ENTRY(BgL_fun2929z00_14801)(BgL_fun2929z00_14801, BgL_sz00_12405, BEOA); } 
if(
CBOOL(BgL_vz00_14800))
{ /* Eval/evaluate_comp.scm 447 */
obj_t BgL_arg2928z00_14802;
BgL_arg2928z00_14802 = 
CDR(
((obj_t)BgL_lz00_14798)); 
{ 
obj_t BgL_rz00_28928;obj_t BgL_lz00_28927;
BgL_lz00_28927 = BgL_arg2928z00_14802; 
BgL_rz00_28928 = BgL_vz00_14800; 
BgL_rz00_14799 = BgL_rz00_28928; 
BgL_lz00_14798 = BgL_lz00_28927; 
goto BgL_recz00_14797;} }  else 
{ /* Eval/evaluate_comp.scm 447 */
return BFALSE;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_or1402 */
obj_t BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00(obj_t BgL_envz00_12406, obj_t BgL_ez00_12407, obj_t BgL_stkz00_12408)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 430 */
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_argsz00_14804;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_l1292z00_14805;
BgL_l1292z00_14805 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12407))))->BgL_argsz00); 
if(
NULLP(BgL_l1292z00_14805))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14804 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_head1294z00_14806;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4649z00_14807;
BgL_res4649z00_14807 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1294z00_14806 = BgL_res4649z00_14807; } 
{ 
obj_t BgL_l1292z00_14809;obj_t BgL_tail1295z00_14810;
BgL_l1292z00_14809 = BgL_l1292z00_14805; 
BgL_tail1295z00_14810 = BgL_head1294z00_14806; 
BgL_zc3anonymousza32921ze3z83_14808:
if(
NULLP(BgL_l1292z00_14809))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14804 = 
CDR(BgL_head1294z00_14806); }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_newtail1296z00_14811;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2924z00_14812;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_ez00_14813;
BgL_ez00_14813 = 
CAR(
((obj_t)BgL_l1292z00_14809)); 
BgL_arg2924z00_14812 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14813), BgL_stkz00_12408); } 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4651z00_14814;
BgL_res4651z00_14814 = 
MAKE_YOUNG_PAIR(BgL_arg2924z00_14812, BNIL); 
BgL_newtail1296z00_14811 = BgL_res4651z00_14814; } } 
SET_CDR(BgL_tail1295z00_14810, BgL_newtail1296z00_14811); 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2923z00_14815;
BgL_arg2923z00_14815 = 
CDR(
((obj_t)BgL_l1292z00_14809)); 
{ 
obj_t BgL_tail1295z00_28947;obj_t BgL_l1292z00_28946;
BgL_l1292z00_28946 = BgL_arg2923z00_14815; 
BgL_tail1295z00_28947 = BgL_newtail1296z00_14811; 
BgL_tail1295z00_14810 = BgL_tail1295z00_28947; 
BgL_l1292z00_14809 = BgL_l1292z00_28946; 
goto BgL_zc3anonymousza32921ze3z83_14808;} } } } } } 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_zc3anonymousza32915ze3z83_14816;
BgL_zc3anonymousza32915ze3z83_14816 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32915ze3z83_14816, 
(int)(((long)0)), BgL_argsz00_14804); 
return BgL_zc3anonymousza32915ze3z83_14816;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2915> */
obj_t BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12409, obj_t BgL_sz00_12411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 433 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_argsz00_12410;
BgL_argsz00_12410 = 
PROCEDURE_REF(BgL_envz00_12409, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_bpz00_14817;
BgL_bpz00_14817 = 
VECTOR_REF(
((obj_t)BgL_sz00_12411),((long)0)); 
{ 
obj_t BgL_lz00_14819;
BgL_lz00_14819 = BgL_argsz00_12410; 
BgL_recz00_14818:
if(
NULLP(BgL_lz00_14819))
{ /* Eval/evaluate_comp.scm 435 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL__ortest_1102z00_14820;
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_fun2919z00_14821;
BgL_fun2919z00_14821 = 
CAR(
((obj_t)BgL_lz00_14819)); 
BgL__ortest_1102z00_14820 = 
PROCEDURE_ENTRY(BgL_fun2919z00_14821)(BgL_fun2919z00_14821, BgL_sz00_12411, BEOA); } 
if(
CBOOL(BgL__ortest_1102z00_14820))
{ /* Eval/evaluate_comp.scm 437 */
return BgL__ortest_1102z00_14820;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_arg2918z00_14822;
BgL_arg2918z00_14822 = 
CDR(
((obj_t)BgL_lz00_14819)); 
{ 
obj_t BgL_lz00_28969;
BgL_lz00_28969 = BgL_arg2918z00_14822; 
BgL_lz00_14819 = BgL_lz00_28969; 
goto BgL_recz00_14818;} } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_if1400 */
obj_t BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00(obj_t BgL_envz00_12412, obj_t BgL_ez00_12413, obj_t BgL_stkz00_12414)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 424 */
{ /* Eval/evaluate_comp.scm 426 */
obj_t BgL_pz00_14824;obj_t BgL_tz00_14825;obj_t BgL_ez00_14826;
BgL_pz00_14824 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12413)))->BgL_pz00), BgL_stkz00_12414); 
BgL_tz00_14825 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12413)))->BgL_tz00), BgL_stkz00_12414); 
BgL_ez00_14826 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12413)))->BgL_ez00), BgL_stkz00_12414); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_zc3anonymousza32910ze3z83_14827;
BgL_zc3anonymousza32910ze3z83_14827 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14827, 
(int)(((long)0)), BgL_ez00_14826); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14827, 
(int)(((long)1)), BgL_tz00_14825); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14827, 
(int)(((long)2)), BgL_pz00_14824); 
return BgL_zc3anonymousza32910ze3z83_14827;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2910> */
obj_t BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12415, obj_t BgL_sz00_12419)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 427 */
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_ez00_12416;obj_t BgL_tz00_12417;obj_t BgL_pz00_12418;
BgL_ez00_12416 = 
PROCEDURE_REF(BgL_envz00_12415, 
(int)(((long)0))); 
BgL_tz00_12417 = 
PROCEDURE_REF(BgL_envz00_12415, 
(int)(((long)1))); 
BgL_pz00_12418 = 
PROCEDURE_REF(BgL_envz00_12415, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_bpz00_14828;
BgL_bpz00_14828 = 
VECTOR_REF(
((obj_t)BgL_sz00_12419),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12418)(BgL_pz00_12418, BgL_sz00_12419, BEOA)))
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_tz00_12417)(BgL_tz00_12417, BgL_sz00_12419, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_ez00_12416)(BgL_ez00_12416, BgL_sz00_12419, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_litt1398 */
obj_t BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00(obj_t BgL_envz00_12420, obj_t BgL_ez00_12421, obj_t BgL_stkz00_12422)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 419 */
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_zc3anonymousza32909ze3z83_14830;
BgL_zc3anonymousza32909ze3z83_14830 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32909ze3z83_14830, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12421))); 
return BgL_zc3anonymousza32909ze3z83_14830;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2909> */
obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12423, obj_t BgL_sz00_12425)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 421 */
{ /* Eval/evaluate_comp.scm 421 */
BgL_ev_littz00_bglt BgL_i1099z00_12424;
BgL_i1099z00_12424 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12423, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_bpz00_14831;
BgL_bpz00_14831 = 
VECTOR_REF(
((obj_t)BgL_sz00_12425),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1099z00_12424))->BgL_valuez00);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_defglobal1396 */
obj_t BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00(obj_t BgL_envz00_12426, obj_t BgL_ez00_12427, obj_t BgL_stkz00_12428)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 388 */
{ /* Eval/evaluate_comp.scm 390 */
obj_t BgL_ez00_14833;
{ /* Eval/evaluate_comp.scm 390 */
BgL_ev_exprz00_bglt BgL_arg2908z00_14834;
BgL_arg2908z00_14834 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12427))))->BgL_ez00); 
BgL_ez00_14833 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2908z00_14834, BgL_stkz00_12428); } 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_zc3anonymousza32883ze3z83_14835;
BgL_zc3anonymousza32883ze3z83_14835 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_14835, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12427))); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_14835, 
(int)(((long)1)), BgL_ez00_14833); 
return BgL_zc3anonymousza32883ze3z83_14835;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2883> */
obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12429, obj_t BgL_sz00_12432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 391 */
{ /* Eval/evaluate_comp.scm 391 */
BgL_ev_defglobalz00_bglt BgL_i1096z00_12430;obj_t BgL_ez00_12431;
BgL_i1096z00_12430 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12429, 
(int)(((long)0)))); 
BgL_ez00_12431 = 
PROCEDURE_REF(BgL_envz00_12429, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_bpz00_14836;
BgL_bpz00_14836 = 
VECTOR_REF(
((obj_t)BgL_sz00_12432),((long)0)); 
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_gz00_14837;
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_arg2906z00_14838;obj_t BgL_arg2907z00_14839;
BgL_arg2906z00_14838 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_modz00); 
BgL_arg2907z00_14839 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
BgL_gz00_14837 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2906z00_14838, BgL_arg2907z00_14839); } 
if(
CBOOL(BgL_gz00_14837))
{ /* Eval/evaluate_comp.scm 394 */
{ 

{ /* Eval/evaluate_comp.scm 396 */
int BgL_aux1098z00_14843;
{ /* Eval/evaluate_comp.scm 396 */
int BgL_res4647z00_14844;
BgL_res4647z00_14844 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14837),((long)0))); 
BgL_aux1098z00_14843 = BgL_res4647z00_14844; } 
switch( 
(long)(BgL_aux1098z00_14843)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_arg2885z00_14845;obj_t BgL_arg2886z00_14846;
BgL_arg2885z00_14845 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_locz00); 
BgL_arg2886z00_14846 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2885z00_14845, BGl_string5285z00zz__evaluate_compz00, BGl_string5286z00zz__evaluate_compz00, BgL_arg2886z00_14846); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2887z00_14847;obj_t BgL_arg2888z00_14848;
BgL_arg2887z00_14847 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_locz00); 
BgL_arg2888z00_14848 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_list2889z00_14849;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2890z00_14850;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2891z00_14851;
BgL_arg2891z00_14851 = 
MAKE_YOUNG_PAIR(BgL_arg2888z00_14848, BNIL); 
BgL_arg2890z00_14850 = 
MAKE_YOUNG_PAIR(BGl_string5287z00zz__evaluate_compz00, BgL_arg2891z00_14851); } 
BgL_list2889z00_14849 = 
MAKE_YOUNG_PAIR(BGl_string5164z00zz__evaluate_compz00, BgL_arg2890z00_14850); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2887z00_14847, BgL_list2889z00_14849); } } 
{ /* Eval/evaluate_comp.scm 402 */
obj_t BgL_arg2892z00_14852;obj_t BgL_arg2893z00_14853;
BgL_arg2892z00_14852 = 
VECTOR_REF(
((obj_t)BgL_gz00_14837),((long)2)); 
BgL_arg2893z00_14853 = 
PROCEDURE_ENTRY(BgL_ez00_12431)(BgL_ez00_12431, BgL_sz00_12432, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2892z00_14852, BgL_arg2893z00_14853); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 404 */
obj_t BgL_arg2894z00_14854;
BgL_arg2894z00_14854 = 
PROCEDURE_ENTRY(BgL_ez00_12431)(BgL_ez00_12431, BgL_sz00_12432, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14837),((long)2),BgL_arg2894z00_14854); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 406 */
obj_t BgL_arg2895z00_14855;
BgL_arg2895z00_14855 = 
PROCEDURE_ENTRY(BgL_ez00_12431)(BgL_ez00_12431, BgL_sz00_12432, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14837),((long)2),BgL_arg2895z00_14855); } 
VECTOR_SET(
((obj_t)BgL_gz00_14837),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2896z00_14856;
BgL_arg2896z00_14856 = 
PROCEDURE_ENTRY(BgL_ez00_12431)(BgL_ez00_12431, BgL_sz00_12432, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14837),((long)2),BgL_arg2896z00_14856); } 
VECTOR_SET(
((obj_t)BgL_gz00_14837),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 412 */
obj_t BgL_arg2897z00_14841;obj_t BgL_arg2898z00_14842;
BgL_arg2897z00_14841 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_locz00); 
BgL_arg2898z00_14842 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2897z00_14841, BGl_string5285z00zz__evaluate_compz00, BGl_string5286z00zz__evaluate_compz00, BgL_arg2898z00_14842); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_gz00_14857;
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_arg2903z00_14858;obj_t BgL_arg2904z00_14859;obj_t BgL_arg2905z00_14860;
BgL_arg2903z00_14858 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
BgL_arg2904z00_14859 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_modz00); 
BgL_arg2905z00_14860 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_v1370z00_14861;
BgL_v1370z00_14861 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1370z00_14861,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1370z00_14861,((long)1),BgL_arg2903z00_14858); 
VECTOR_SET(BgL_v1370z00_14861,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1370z00_14861,((long)3),BgL_arg2904z00_14859); 
VECTOR_SET(BgL_v1370z00_14861,((long)4),BgL_arg2905z00_14860); 
BgL_gz00_14857 = BgL_v1370z00_14861; } } 
{ /* Eval/evaluate_comp.scm 415 */
obj_t BgL_arg2899z00_14862;
BgL_arg2899z00_14862 = 
PROCEDURE_ENTRY(BgL_ez00_12431)(BgL_ez00_12431, BgL_sz00_12432, BEOA); 
VECTOR_SET(BgL_gz00_14857,((long)2),BgL_arg2899z00_14862); } 
{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2900z00_14863;obj_t BgL_arg2901z00_14864;obj_t BgL_arg2902z00_14865;
BgL_arg2900z00_14863 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_modz00); 
BgL_arg2901z00_14864 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00); 
BgL_arg2902z00_14865 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2900z00_14863, BgL_arg2901z00_14864, BgL_gz00_14857, BgL_arg2902z00_14865); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12430)))->BgL_namez00);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setglobal1394 */
obj_t BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00(obj_t BgL_envz00_12433, obj_t BgL_ez00_12434, obj_t BgL_stkz00_12435)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 365 */
{ /* Eval/evaluate_comp.scm 367 */
obj_t BgL_gz00_14867;obj_t BgL_ez00_14868;
BgL_gz00_14867 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 367 */
BgL_ev_exprz00_bglt BgL_arg2882z00_14869;
BgL_arg2882z00_14869 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434))))->BgL_ez00); 
BgL_ez00_14868 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2882z00_14869, BgL_stkz00_12435); } 
if(
CBOOL(BgL_gz00_14867))
{ 

{ /* Eval/evaluate_comp.scm 369 */
int BgL_aux1095z00_14872;
{ /* Eval/evaluate_comp.scm 369 */
int BgL_res4646z00_14873;
BgL_res4646z00_14873 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14867),((long)0))); 
BgL_aux1095z00_14872 = BgL_res4646z00_14873; } 
switch( 
(long)(BgL_aux1095z00_14872)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_zc3anonymousza32858ze3z83_14874;
BgL_zc3anonymousza32858ze3z83_14874 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32858ze3z83_14874, 
(int)(((long)0)), BgL_gz00_14867); 
PROCEDURE_SET(BgL_zc3anonymousza32858ze3z83_14874, 
(int)(((long)1)), BgL_ez00_14868); 
return BgL_zc3anonymousza32858ze3z83_14874;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_locz00), BGl_string5285z00zz__evaluate_compz00, BGl_string5286z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_zc3anonymousza32863ze3z83_14871;
BgL_zc3anonymousza32863ze3z83_14871 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32863ze3z83_14871, 
(int)(((long)0)), BgL_ez00_14868); 
PROCEDURE_SET(BgL_zc3anonymousza32863ze3z83_14871, 
(int)(((long)1)), BgL_gz00_14867); 
return BgL_zc3anonymousza32863ze3z83_14871;} } } }  else 
{ /* Eval/evaluate_comp.scm 377 */
obj_t BgL_slotz00_14875;
BgL_slotz00_14875 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_gz00_14876;
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2870z00_14877;obj_t BgL_arg2871z00_14878;obj_t BgL_arg2872z00_14879;
BgL_arg2870z00_14877 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_namez00); 
BgL_arg2871z00_14878 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_modz00); 
BgL_arg2872z00_14879 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_v1370z00_14880;
BgL_v1370z00_14880 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1370z00_14880,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1370z00_14880,((long)1),BgL_arg2870z00_14877); 
VECTOR_SET(BgL_v1370z00_14880,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1370z00_14880,((long)3),BgL_arg2871z00_14878); 
VECTOR_SET(BgL_v1370z00_14880,((long)4),BgL_arg2872z00_14879); 
BgL_gz00_14876 = BgL_v1370z00_14880; } } 
VECTOR_SET(BgL_gz00_14876,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_namez00), BgL_gz00_14876, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 378 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_zc3anonymousza32874ze3z83_14881;
BgL_zc3anonymousza32874ze3z83_14881 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14881, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12434))); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14881, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14875)); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14881, 
(int)(((long)2)), BgL_ez00_14868); 
return BgL_zc3anonymousza32874ze3z83_14881;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2858> */
obj_t BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12438, obj_t BgL_sz00_12441)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 371 */
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_gz00_12439;obj_t BgL_ez00_12440;
BgL_gz00_12439 = 
PROCEDURE_REF(BgL_envz00_12438, 
(int)(((long)0))); 
BgL_ez00_12440 = 
PROCEDURE_REF(BgL_envz00_12438, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_bpz00_14882;
BgL_bpz00_14882 = 
VECTOR_REF(
((obj_t)BgL_sz00_12441),((long)0)); 
{ /* Eval/evaluate_comp.scm 372 */
obj_t BgL_arg2859z00_14883;obj_t BgL_arg2860z00_14884;
BgL_arg2859z00_14883 = 
VECTOR_REF(
((obj_t)BgL_gz00_12439),((long)2)); 
BgL_arg2860z00_14884 = 
PROCEDURE_ENTRY(BgL_ez00_12440)(BgL_ez00_12440, BgL_sz00_12441, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2859z00_14883, BgL_arg2860z00_14884);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2863> */
obj_t BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12442, obj_t BgL_sz00_12445)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 376 */
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_ez00_12443;obj_t BgL_gz00_12444;
BgL_ez00_12443 = 
PROCEDURE_REF(BgL_envz00_12442, 
(int)(((long)0))); 
BgL_gz00_12444 = 
PROCEDURE_REF(BgL_envz00_12442, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_bpz00_14885;
BgL_bpz00_14885 = 
VECTOR_REF(
((obj_t)BgL_sz00_12445),((long)0)); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_arg2864z00_14886;
BgL_arg2864z00_14886 = 
PROCEDURE_ENTRY(BgL_ez00_12443)(BgL_ez00_12443, BgL_sz00_12445, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12444),((long)2),BgL_arg2864z00_14886);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2874> */
obj_t BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12446, obj_t BgL_sz00_12450)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 382 */
{ /* Eval/evaluate_comp.scm 382 */
BgL_ev_setglobalz00_bglt BgL_i1093z00_12447;obj_t BgL_slotz00_12448;obj_t BgL_ez00_12449;
BgL_i1093z00_12447 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12446, 
(int)(((long)0)))); 
BgL_slotz00_12448 = 
PROCEDURE_REF(BgL_envz00_12446, 
(int)(((long)1))); 
BgL_ez00_12449 = 
PROCEDURE_REF(BgL_envz00_12446, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_bpz00_14887;
BgL_bpz00_14887 = 
VECTOR_REF(
((obj_t)BgL_sz00_12450),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12448)))
{ /* Eval/evaluate_comp.scm 383 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_auxz00_14888;
BgL_auxz00_14888 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12447))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12447))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12448, BgL_auxz00_14888); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12448)))
{ /* Eval/evaluate_comp.scm 385 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 385 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12447))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5288z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12447))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2879z00_14889;
BgL_arg2879z00_14889 = 
PROCEDURE_ENTRY(BgL_ez00_12449)(BgL_ez00_12449, BgL_sz00_12450, BEOA); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_evalzd2globalzd2_14890;
BgL_evalzd2globalzd2_14890 = 
CELL_REF(BgL_slotz00_12448); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_14890,((long)2),BgL_arg2879z00_14889);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_global1391 */
obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t BgL_envz00_12452, obj_t BgL_varz00_12453, obj_t BgL_stkz00_12454)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_14892;
BgL_gz00_14892 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_14892))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_testz00_29262;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2835z00_14893;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4642z00_14894;
BgL_res4642z00_14894 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14892),((long)0))); 
BgL_arg2835z00_14893 = BgL_res4642z00_14894; } 
BgL_testz00_29262 = 
(
BINT(BgL_arg2835z00_14893)==
BINT(((long)1))); } 
if(BgL_testz00_29262)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3anonymousza32832ze3z83_14895;
BgL_zc3anonymousza32832ze3z83_14895 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32832ze3z83_14895, 
(int)(((long)0)), BgL_gz00_14892); 
return BgL_zc3anonymousza32832ze3z83_14895;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3anonymousza32834ze3z83_14896;
BgL_zc3anonymousza32834ze3z83_14896 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32834ze3z83_14896, 
(int)(((long)0)), BgL_gz00_14892); 
return BgL_zc3anonymousza32834ze3z83_14896;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_14897;
BgL_slotz00_14897 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_14898;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2841z00_14899;obj_t BgL_arg2842z00_14900;obj_t BgL_arg2843z00_14901;
BgL_arg2841z00_14899 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_namez00); 
BgL_arg2842z00_14900 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_modz00); 
BgL_arg2843z00_14901 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1370z00_14902;
BgL_v1370z00_14902 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1370z00_14902,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1370z00_14902,((long)1),BgL_arg2841z00_14899); 
VECTOR_SET(BgL_v1370z00_14902,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1370z00_14902,((long)3),BgL_arg2842z00_14900); 
VECTOR_SET(BgL_v1370z00_14902,((long)4),BgL_arg2843z00_14901); 
BgL_gz00_14898 = BgL_v1370z00_14902; } } 
VECTOR_SET(BgL_gz00_14898,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_namez00), BgL_gz00_14898, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12453)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3anonymousza32845ze3z83_14903;
BgL_zc3anonymousza32845ze3z83_14903 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_14903, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12453))); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_14903, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14897)); 
return BgL_zc3anonymousza32845ze3z83_14903;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2832> */
obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12457, obj_t BgL_sz00_12459)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_12458;
BgL_gz00_12458 = 
PROCEDURE_REF(BgL_envz00_12457, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_14904;
BgL_bpz00_14904 = 
VECTOR_REF(
((obj_t)BgL_sz00_12459),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2833z00_14905;
BgL_arg2833z00_14905 = 
VECTOR_REF(
((obj_t)BgL_gz00_12458),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2833z00_14905);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2834> */
obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12460, obj_t BgL_sz00_12462)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_12461;
BgL_gz00_12461 = 
PROCEDURE_REF(BgL_envz00_12460, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_14906;
BgL_bpz00_14906 = 
VECTOR_REF(
((obj_t)BgL_sz00_12462),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12461),((long)2));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2845> */
obj_t BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12463, obj_t BgL_sz00_12466)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1092z00_12464;obj_t BgL_slotz00_12465;
BgL_i1092z00_12464 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12463, 
(int)(((long)0)))); 
BgL_slotz00_12465 = 
PROCEDURE_REF(BgL_envz00_12463, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_14907;
BgL_bpz00_14907 = 
VECTOR_REF(
((obj_t)BgL_sz00_12466),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12465)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_14908;
BgL_auxz00_14908 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12465, BgL_auxz00_14908); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12465)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 356 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5288z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_vz00_14909;
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_evalzd2globalzd2_14910;
BgL_evalzd2globalzd2_14910 = 
CELL_REF(BgL_slotz00_12465); 
BgL_vz00_14909 = 
VECTOR_REF(BgL_evalzd2globalzd2_14910,((long)2)); } 
if(
(BgL_vz00_14909==BUNSPEC))
{ /* Eval/evaluate_comp.scm 359 */
int BgL_tz00_14911;
{ /* Eval/evaluate_comp.scm 359 */
int BgL_res4643z00_14912;
{ /* Eval/evaluate_comp.scm 359 */
obj_t BgL_evalzd2globalzd2_14913;
BgL_evalzd2globalzd2_14913 = 
CELL_REF(BgL_slotz00_12465); 
BgL_res4643z00_14912 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_14913,((long)0))); } 
BgL_tz00_14911 = BgL_res4643z00_14912; } 
{ /* Eval/evaluate_comp.scm 360 */
bool_t BgL_testz00_29350;
if(
(
(long)(BgL_tz00_14911)==((long)3)))
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29350 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29350 = 
(
(long)(BgL_tz00_14911)==((long)4))
; } 
if(BgL_testz00_29350)
{ /* Eval/evaluate_comp.scm 360 */
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_locz00), BGl_string5164z00zz__evaluate_compz00, BGl_string5289z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12464))->BgL_namez00));}  else 
{ /* Eval/evaluate_comp.scm 360 */
return BgL_vz00_14909;} } }  else 
{ /* Eval/evaluate_comp.scm 358 */
return BgL_vz00_14909;} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setlocal1389 */
obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t BgL_envz00_12468, obj_t BgL_ez00_12469, obj_t BgL_stkz00_12470)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_14915;obj_t BgL_ez00_14916;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2828z00_14917;
BgL_arg2828z00_14917 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12469)))->BgL_vz00); 
BgL_iz00_14915 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2828z00_14917), BgL_stkz00_12470); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2829z00_14918;
BgL_arg2829z00_14918 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12469))))->BgL_ez00); 
BgL_ez00_14916 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2829z00_14918, BgL_stkz00_12470); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12469)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3anonymousza32821ze3z83_14919;
BgL_zc3anonymousza32821ze3z83_14919 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32821ze3z83_14919, 
(int)(((long)0)), BgL_iz00_14915); 
PROCEDURE_SET(BgL_zc3anonymousza32821ze3z83_14919, 
(int)(((long)1)), BgL_ez00_14916); 
return BgL_zc3anonymousza32821ze3z83_14919;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3anonymousza32825ze3z83_14920;
BgL_zc3anonymousza32825ze3z83_14920 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14920, 
(int)(((long)0)), BgL_iz00_14915); 
PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14920, 
(int)(((long)1)), BgL_ez00_14916); 
return BgL_zc3anonymousza32825ze3z83_14920;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2821> */
obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12471, obj_t BgL_sz00_12474)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_12472;obj_t BgL_ez00_12473;
BgL_iz00_12472 = 
PROCEDURE_REF(BgL_envz00_12471, 
(int)(((long)0))); 
BgL_ez00_12473 = 
PROCEDURE_REF(BgL_envz00_12471, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_14921;
BgL_bpz00_14921 = 
VECTOR_REF(
((obj_t)BgL_sz00_12474),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2822z00_14922;obj_t BgL_arg2823z00_14923;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2824z00_14924;
BgL_arg2824z00_14924 = 
(
(long)CINT(BgL_bpz00_14921)+
(long)CINT(BgL_iz00_12472)); 
BgL_arg2822z00_14922 = 
VECTOR_REF(
((obj_t)BgL_sz00_12474),BgL_arg2824z00_14924); } 
BgL_arg2823z00_14923 = 
PROCEDURE_ENTRY(BgL_ez00_12473)(BgL_ez00_12473, BgL_sz00_12474, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_14925;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_29403;obj_t BgL_tmpz00_29401;
BgL_auxz00_29403 = 
(int)(((long)0)); 
BgL_tmpz00_29401 = 
((obj_t)BgL_arg2822z00_14922); 
BgL_xz00_14925 = 
STRUCT_SET(BgL_tmpz00_29401, BgL_auxz00_29403, BgL_arg2823z00_14923); } 
return BUNSPEC;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2825> */
obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12475, obj_t BgL_sz00_12478)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_12476;obj_t BgL_ez00_12477;
BgL_iz00_12476 = 
PROCEDURE_REF(BgL_envz00_12475, 
(int)(((long)0))); 
BgL_ez00_12477 = 
PROCEDURE_REF(BgL_envz00_12475, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_14926;
BgL_bpz00_14926 = 
VECTOR_REF(
((obj_t)BgL_sz00_12478),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2826z00_14927;obj_t BgL_arg2827z00_14928;
BgL_arg2826z00_14927 = 
(
(long)CINT(BgL_bpz00_14926)+
(long)CINT(BgL_iz00_12476)); 
BgL_arg2827z00_14928 = 
PROCEDURE_ENTRY(BgL_ez00_12477)(BgL_ez00_12477, BgL_sz00_12478, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12478),BgL_arg2826z00_14927,BgL_arg2827z00_14928);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_var1387 */
obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t BgL_envz00_12479, obj_t BgL_varz00_12480, obj_t BgL_stkz00_12481)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_14930;
BgL_iz00_14930 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12480)), BgL_stkz00_12481); 
{ 

if(
INTEGERP(BgL_iz00_14930))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_14930)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12480)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5290z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5291z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12480)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5292z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5293z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12480)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5294z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5295z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12480)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5296z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5297z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1087z00_14931:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12480)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32815ze3z83_14932;
BgL_zc3anonymousza32815ze3z83_14932 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_14932, 
(int)(((long)0)), BgL_iz00_14930); 
return BgL_zc3anonymousza32815ze3z83_14932;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32818ze3z83_14933;
BgL_zc3anonymousza32818ze3z83_14933 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14933, 
(int)(((long)0)), BgL_iz00_14930); 
return BgL_zc3anonymousza32818ze3z83_14933;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1087z00_14931;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2809> */
obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12482, obj_t BgL_sz00_12483)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14934;
BgL_bpz00_14934 = 
VECTOR_REF(
((obj_t)BgL_sz00_12483),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2810z00_14935;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2811z00_14936;
BgL_arg2811z00_14936 = 
(
(long)CINT(BgL_bpz00_14934)+((long)3)); 
BgL_arg2810z00_14935 = 
VECTOR_REF(
((obj_t)BgL_sz00_12483),BgL_arg2811z00_14936); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2810z00_14935), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2812> */
obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12484, obj_t BgL_sz00_12485)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14937;
BgL_bpz00_14937 = 
VECTOR_REF(
((obj_t)BgL_sz00_12485),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2813z00_14938;
BgL_arg2813z00_14938 = 
(
(long)CINT(BgL_bpz00_14937)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12485),BgL_arg2813z00_14938);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2803> */
obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12486, obj_t BgL_sz00_12487)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14939;
BgL_bpz00_14939 = 
VECTOR_REF(
((obj_t)BgL_sz00_12487),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2804z00_14940;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2805z00_14941;
BgL_arg2805z00_14941 = 
(
(long)CINT(BgL_bpz00_14939)+((long)2)); 
BgL_arg2804z00_14940 = 
VECTOR_REF(
((obj_t)BgL_sz00_12487),BgL_arg2805z00_14941); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2804z00_14940), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2806> */
obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12488, obj_t BgL_sz00_12489)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14942;
BgL_bpz00_14942 = 
VECTOR_REF(
((obj_t)BgL_sz00_12489),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2807z00_14943;
BgL_arg2807z00_14943 = 
(
(long)CINT(BgL_bpz00_14942)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12489),BgL_arg2807z00_14943);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2797> */
obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12490, obj_t BgL_sz00_12491)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14944;
BgL_bpz00_14944 = 
VECTOR_REF(
((obj_t)BgL_sz00_12491),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2798z00_14945;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2799z00_14946;
BgL_arg2799z00_14946 = 
(
(long)CINT(BgL_bpz00_14944)+((long)1)); 
BgL_arg2798z00_14945 = 
VECTOR_REF(
((obj_t)BgL_sz00_12491),BgL_arg2799z00_14946); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2798z00_14945), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2800> */
obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12492, obj_t BgL_sz00_12493)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14947;
BgL_bpz00_14947 = 
VECTOR_REF(
((obj_t)BgL_sz00_12493),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2801z00_14948;
BgL_arg2801z00_14948 = 
(
(long)CINT(BgL_bpz00_14947)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12493),BgL_arg2801z00_14948);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2791> */
obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12494, obj_t BgL_sz00_12495)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14949;
BgL_bpz00_14949 = 
VECTOR_REF(
((obj_t)BgL_sz00_12495),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2792z00_14950;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2793z00_14951;
BgL_arg2793z00_14951 = 
(
(long)CINT(BgL_bpz00_14949)+((long)0)); 
BgL_arg2792z00_14950 = 
VECTOR_REF(
((obj_t)BgL_sz00_12495),BgL_arg2793z00_14951); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2792z00_14950), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2794> */
obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12496, obj_t BgL_sz00_12497)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14952;
BgL_bpz00_14952 = 
VECTOR_REF(
((obj_t)BgL_sz00_12497),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2795z00_14953;
BgL_arg2795z00_14953 = 
(
(long)CINT(BgL_bpz00_14952)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12497),BgL_arg2795z00_14953);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2815> */
obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12498, obj_t BgL_sz00_12500)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12499;
BgL_iz00_12499 = 
PROCEDURE_REF(BgL_envz00_12498, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14954;
BgL_bpz00_14954 = 
VECTOR_REF(
((obj_t)BgL_sz00_12500),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2816z00_14955;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2817z00_14956;
BgL_arg2817z00_14956 = 
(
(long)CINT(BgL_bpz00_14954)+
(long)CINT(BgL_iz00_12499)); 
BgL_arg2816z00_14955 = 
VECTOR_REF(
((obj_t)BgL_sz00_12500),BgL_arg2817z00_14956); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2816z00_14955), 
(int)(((long)0)));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2818> */
obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12501, obj_t BgL_sz00_12503)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12502;
BgL_iz00_12502 = 
PROCEDURE_REF(BgL_envz00_12501, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14957;
BgL_bpz00_14957 = 
VECTOR_REF(
((obj_t)BgL_sz00_12503),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2819z00_14958;
BgL_arg2819z00_14958 = 
(
(long)CINT(BgL_bpz00_14957)+
(long)CINT(BgL_iz00_12502)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12503),BgL_arg2819z00_14958);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_trap1385 */
obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t BgL_envz00_12504, obj_t BgL_ez00_12505, obj_t BgL_stkz00_12506)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_14960;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2788z00_14961;
BgL_arg2788z00_14961 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12505))))->BgL_ez00); 
BgL_ez00_14960 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2788z00_14961, BgL_stkz00_12506); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3anonymousza32782ze3z83_14962;
BgL_zc3anonymousza32782ze3z83_14962 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32782ze3z83_14962, 
(int)(((long)0)), BgL_ez00_14960); 
return BgL_zc3anonymousza32782ze3z83_14962;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2782> */
obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12507, obj_t BgL_sz00_12509)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_12508;
BgL_ez00_12508 = 
PROCEDURE_REF(BgL_envz00_12507, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_14963;
BgL_bpz00_14963 = 
VECTOR_REF(
((obj_t)BgL_sz00_12509),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_14964;
BgL_cmdz00_14964 = 
PROCEDURE_ENTRY(BgL_ez00_12508)(BgL_ez00_12508, BgL_sz00_12509, BEOA); 
if(
(BgL_cmdz00_14964==BGl_symbol5298z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_14963;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14964==BGl_symbol5300z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14964==BGl_symbol5302z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14964==BGl_symbol5304z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2787z00_14965;
BgL_arg2787z00_14965 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2787z00_14965),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string5164z00zz__evaluate_compz00, BGl_string5306z00zz__evaluate_compz00, BgL_cmdz00_14964);} } } } } } } } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117125), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564244), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)338601822), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262938), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-298277921), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089688), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758625), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string5307z00zz__evaluate_compz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
