/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 08:00:10 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3b/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3b/lib/bigloo/4.3b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2562z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2567z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2589z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31978ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2594z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31700ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31522ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31506ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3anonymousza31720ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31438ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31549ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1414z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31925ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31658ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_globalz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_setglobalz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2414z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2418z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2423z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2427z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_defglobalz00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letrecz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31964ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2610z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2621z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2627z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1689z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2644z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2487z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2657z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2659z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2664z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2669z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31405ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2674z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static BgL_ev_appz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31480ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31465ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31395ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31809ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31843ze3ze1zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_listz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_andz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1391z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1393z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2360z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2364z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2535z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2373z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2377z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31957ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2542z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2546z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_absz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1469za7622686z00, BGl_z62lambda1469z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72687za7, BGl_z62zc3anonymousza31465ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1463za7622688z00, BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1461za7622689z00, BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762lambda1485za7622690z00, BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1484za7622691z00, BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__evaluate_typesz00, BgL_bgl_za762lambda1491za7622692z00, BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1490za7622693z00, BGl_z62lambda1490z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2501z00zz__evaluate_typesz00, BgL_bgl_string2501za700za7za7_2694za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__evaluate_typesz00, BgL_bgl_za762lambda1496za7622695z00, BGl_z62lambda1496z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1495za7622696z00, BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2506z00zz__evaluate_typesz00, BgL_bgl_string2506za700za7za7_2697za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72698za7, BGl_z62zc3anonymousza31480ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1478za7622699z00, BGl_z62lambda1478z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622700z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762lambda1511za7622701z00, BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1510za7622702z00, BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2515z00zz__evaluate_typesz00, BgL_bgl_string2515za700za7za7_2703za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72704za7, BGl_z62zc3anonymousza31506ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2519z00zz__evaluate_typesz00, BgL_bgl_string2519za700za7za7_2705za7, "handler", 7 );
DEFINE_STRING( BGl_string2359z00zz__evaluate_typesz00, BgL_bgl_string2359za700za7za7_2706za7, "ev_expr", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1504za7622707z00, BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1502za7622708z00, BGl_z62lambda1502z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72709za7, BGl_z62zc3anonymousza31522ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1519za7622710z00, BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1517za7622711z00, BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2361z00zz__evaluate_typesz00, BgL_bgl_string2361za700za7za7_2712za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2526z00zz__evaluate_typesz00, BgL_bgl_string2526za700za7za7_2713za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72714za7, BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2365z00zz__evaluate_typesz00, BgL_bgl_string2365za700za7za7_2715za7, "name", 4 );
DEFINE_STRING( BGl_string2367z00zz__evaluate_typesz00, BgL_bgl_string2367za700za7za7_2716za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1853za7622717z00, BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72718za7, BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1817za7622719z00, BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1532za7622720z00, BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1815za7622721z00, BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1529za7622722z00, BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1870za7622723z00, BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1554za7622724z00, BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1869za7622725z00, BGl_z62lambda1869z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2532z00zz__evaluate_typesz00, BgL_bgl_string2532za700za7za7_2726za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1553za7622727z00, BGl_z62lambda1553z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1875za7622728z00, BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762lambda1874za7622729z00, BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2372z00zz__evaluate_typesz00, BgL_bgl_string2372za700za7za7_2730za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762lambda1559za7622731z00, BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2536z00zz__evaluate_typesz00, BgL_bgl_string2536za700za7za7_2732za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1558za7622733z00, BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2374z00zz__evaluate_typesz00, BgL_bgl_string2374za700za7za7_2734za7, "obj", 3 );
DEFINE_STRING( BGl_string2378z00zz__evaluate_typesz00, BgL_bgl_string2378za700za7za7_2735za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1880za7622736z00, BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762lambda1879za7622737z00, BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72738za7, BGl_z62zc3anonymousza31549ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1547za7622739z00, BGl_z62lambda1547z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1885za7622740z00, BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1543za7622741z00, BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622742z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72743za7, BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2543z00zz__evaluate_typesz00, BgL_bgl_string2543za700za7za7_2744za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762lambda1863za7622745z00, BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1576za7622746z00, BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762lambda1575za7622747z00, BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2383z00zz__evaluate_typesz00, BgL_bgl_string2383za700za7za7_2748za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72749za7, BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2547z00zz__evaluate_typesz00, BgL_bgl_string2547za700za7za7_2750za7, "vars", 4 );
DEFINE_STRING( BGl_string2387z00zz__evaluate_typesz00, BgL_bgl_string2387za700za7za7_2751za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762lambda1861za7622752z00, BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1569za7622753z00, BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762lambda1900za7622754z00, BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622755z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1899za7622756z00, BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1905za7622757z00, BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda1904za7622758z00, BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2551z00zz__evaluate_typesz00, BgL_bgl_string2551za700za7za7_2759za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72760za7, BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1585za7622761z00, BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1583za7622762z00, BGl_z62lambda1583z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda1910za7622763z00, BGl_z62lambda1910z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2393z00zz__evaluate_typesz00, BgL_bgl_string2393za700za7za7_2764za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1603za7622765z00, BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2558z00zz__evaluate_typesz00, BgL_bgl_string2558za700za7za7_2766za7, "ev_binder", 9 );
DEFINE_STRING( BGl_string2398z00zz__evaluate_typesz00, BgL_bgl_string2398za700za7za7_2767za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762lambda1909za7622768z00, BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622769z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622770z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1602za7622771z00, BGl_z62lambda1602z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72772za7, BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72773za7, BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__evaluate_typesz00, BgL_bgl_za762lambda1893za7622774z00, BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1596za7622775z00, BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda1891za7622776z00, BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622777z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2563z00zz__evaluate_typesz00, BgL_bgl_string2563za700za7za7_2778za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1620za7622779z00, BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1619za7622780z00, BGl_z62lambda1619z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2568z00zz__evaluate_typesz00, BgL_bgl_string2568za700za7za7_2781za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622782z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622783z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda1935za7622784z00, BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__evaluate_typesz00, BgL_bgl_za762lambda1626za7622785z00, BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762lambda1934za7622786z00, BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1625za7622787z00, BGl_z62lambda1625z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1634za7622788z00, BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1633za7622789z00, BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda1940za7622790z00, BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72791za7, BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda1939za7622792z00, BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1611za7622793z00, BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1609za7622794z00, BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2576z00zz__evaluate_typesz00, BgL_bgl_string2576za700za7za7_2795za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72796za7, BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622797z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762lambda1944za7622798z00, BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622799z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1644za7622800z00, BGl_z62lambda1644z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622801z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1642za7622802z00, BGl_z62lambda1642z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72803za7, BGl_z62zc3anonymousza31957ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1956za7622804z00, BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622805z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2581z00zz__evaluate_typesz00, BgL_bgl_string2581za700za7za7_2806za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1663za7622807z00, BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1662za7622808z00, BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1668za7622809z00, BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1667za7622810z00, BGl_z62lambda1667z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72811za7, BGl_z62zc3anonymousza31964ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__evaluate_typesz00, BgL_bgl_za762lambda1963za7622812z00, BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__evaluate_typesz00, BgL_bgl_za762lambda1962za7622813z00, BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2590z00zz__evaluate_typesz00, BgL_bgl_string2590za700za7za7_2814za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72815za7, BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2667z00zz__evaluate_typesz00, BgL_bgl_za762lambda1970za7622816z00, BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__evaluate_typesz00, BgL_bgl_za762lambda1969za7622817z00, BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2595z00zz__evaluate_typesz00, BgL_bgl_string2595za700za7za7_2818za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72819za7, BGl_z62zc3anonymousza31978ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__evaluate_typesz00, BgL_bgl_za762lambda1977za7622820z00, BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__evaluate_typesz00, BgL_bgl_za762lambda1976za7622821z00, BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72822za7, BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__evaluate_typesz00, BgL_bgl_za762lambda1984za7622823z00, BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__evaluate_typesz00, BgL_bgl_za762lambda1983za7622824z00, BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72825za7, BGl_z62zc3anonymousza31925ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__evaluate_typesz00, BgL_bgl_za762lambda1923za7622826z00, BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__evaluate_typesz00, BgL_bgl_za762lambda1921za7622827z00, BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STRING( BGl_string2402z00zz__evaluate_typesz00, BgL_bgl_string2402za700za7za7_2828za7, "value", 5 );
DEFINE_STRING( BGl_string2407z00zz__evaluate_typesz00, BgL_bgl_string2407za700za7za7_2829za7, "ev_litt", 7 );
DEFINE_STRING( BGl_string2411z00zz__evaluate_typesz00, BgL_bgl_string2411za700za7za7_2830za7, "p", 1 );
DEFINE_STRING( BGl_string2415z00zz__evaluate_typesz00, BgL_bgl_string2415za700za7za7_2831za7, "t", 1 );
DEFINE_STRING( BGl_string2419z00zz__evaluate_typesz00, BgL_bgl_string2419za700za7za7_2832za7, "e", 1 );
DEFINE_STRING( BGl_string2424z00zz__evaluate_typesz00, BgL_bgl_string2424za700za7za7_2833za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2428z00zz__evaluate_typesz00, BgL_bgl_string2428za700za7za7_2834za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72835za7, BGl_z62zc3anonymousza31658ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622836z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1654za7622837z00, BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1685za7622838z00, BGl_z62lambda1685z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1684za7622839z00, BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2433z00zz__evaluate_typesz00, BgL_bgl_string2433za700za7za7_2840za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1690za7622841z00, BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2438z00zz__evaluate_typesz00, BgL_bgl_string2438za700za7za7_2842za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1689za7622843z00, BGl_z62lambda1689z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72844za7, BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762lambda1678za7622845z00, BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1676za7622846z00, BGl_z62lambda1676z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1705za7622847z00, BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1704za7622848z00, BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72849za7, BGl_z62zc3anonymousza31395ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2605z00zz__evaluate_typesz00, BgL_bgl_string2605za700za7za7_2850za7, "ev_labels", 9 );
DEFINE_STRING( BGl_string2443z00zz__evaluate_typesz00, BgL_bgl_string2443za700za7za7_2851za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1393za7622852z00, BGl_z62lambda1393z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__evaluate_typesz00, BgL_bgl_za762lambda1391za7622853z00, BGl_z62lambda1391z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2447z00zz__evaluate_typesz00, BgL_bgl_string2447za700za7za7_2854za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762lambda1710za7622855z00, BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1709za7622856z00, BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72857za7, BGl_z62zc3anonymousza31700ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762lambda1698za7622858z00, BGl_z62lambda1698z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2611z00zz__evaluate_typesz00, BgL_bgl_string2611za700za7za7_2859za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1696za7622860z00, BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__evaluate_typesz00, BgL_bgl_za762lambda1414za7622861z00, BGl_z62lambda1414z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__evaluate_typesz00, BgL_bgl_za762lambda1413za7622862z00, BGl_z62lambda1413z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2451z00zz__evaluate_typesz00, BgL_bgl_string2451za700za7za7_2863za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1725za7622864z00, BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2615z00zz__evaluate_typesz00, BgL_bgl_string2615za700za7za7_2865za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1724za7622866z00, BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1730za7622867z00, BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72868za7, BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2456z00zz__evaluate_typesz00, BgL_bgl_string2456za700za7za7_2869za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762lambda1421za7622870z00, BGl_z62lambda1421z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1729za7622871z00, BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762lambda1420za7622872z00, BGl_z62lambda1420z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762lambda1735za7622873z00, BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1734za7622874z00, BGl_z62lambda1734z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2622z00zz__evaluate_typesz00, BgL_bgl_string2622za700za7za7_2875za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762lambda1740za7622876z00, BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__evaluate_typesz00, BgL_bgl_za762lambda1427za7622877z00, BGl_z62lambda1427z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762lambda1739za7622878z00, BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2463z00zz__evaluate_typesz00, BgL_bgl_string2463za700za7za7_2879za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__evaluate_typesz00, BgL_bgl_za762lambda1426za7622880z00, BGl_z62lambda1426z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72881za7, BGl_z62zc3anonymousza31720ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2628z00zz__evaluate_typesz00, BgL_bgl_string2628za700za7za7_2882za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72883za7, BGl_z62zc3anonymousza31405ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2468z00zz__evaluate_typesz00, BgL_bgl_string2468za700za7za7_2884za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1718za7622885z00, BGl_z62lambda1718z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762lambda1716za7622886z00, BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__evaluate_typesz00, BgL_bgl_za762lambda1403za7622887z00, BGl_z62lambda1403z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762lambda1401za7622888z00, BGl_z62lambda1401z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622889z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1754za7622890z00, BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1444za7622891z00, BGl_z62lambda1444z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2634z00zz__evaluate_typesz00, BgL_bgl_string2634za700za7za7_2892za7, "tail?", 5 );
DEFINE_STRING( BGl_string2472z00zz__evaluate_typesz00, BgL_bgl_string2472za700za7za7_2893za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__evaluate_typesz00, BgL_bgl_za762lambda1443za7622894z00, BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1760za7622895z00, BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1759za7622896z00, BGl_z62lambda1759z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1450za7622897z00, BGl_z62lambda1450z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622898z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2639z00zz__evaluate_typesz00, BgL_bgl_string2639za700za7za7_2899za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2477z00zz__evaluate_typesz00, BgL_bgl_string2477za700za7za7_2900za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1765za7622901z00, BGl_z62lambda1765z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622902z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622903z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622904z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72905za7, BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622906z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1746za7622907z00, BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72908za7, BGl_z62zc3anonymousza31438ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762lambda1436za7622909z00, BGl_z62lambda1436z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2645z00zz__evaluate_typesz00, BgL_bgl_string2645za700za7za7_2910za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622911z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72912za7, BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622913z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2649z00zz__evaluate_typesz00, BgL_bgl_string2649za700za7za7_2914za7, "arity", 5 );
DEFINE_STRING( BGl_string2488z00zz__evaluate_typesz00, BgL_bgl_string2488za700za7za7_2915za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1781za7622916z00, BGl_z62lambda1781z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622917z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72918za7, BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622919z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1771za7622920z00, BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2493z00zz__evaluate_typesz00, BgL_bgl_string2493za700za7za7_2921za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72922za7, BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2658z00zz__evaluate_typesz00, BgL_bgl_string2658za700za7za7_2923za7, "size", 4 );
DEFINE_STRING( BGl_string2497z00zz__evaluate_typesz00, BgL_bgl_string2497za700za7za7_2924za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1798za7622925z00, BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1797za7622926z00, BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72927za7, BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2660z00zz__evaluate_typesz00, BgL_bgl_string2660za700za7za7_2928za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1790za7622929z00, BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1788za7622930z00, BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72931za7, BGl_z62zc3anonymousza31809ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2665z00zz__evaluate_typesz00, BgL_bgl_string2665za700za7za7_2932za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1807za7622933z00, BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622934z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1824za7622935z00, BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2670z00zz__evaluate_typesz00, BgL_bgl_string2670za700za7za7_2936za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1823za7622937z00, BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1829za7622938z00, BGl_z62lambda1829z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1828za7622939z00, BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72940za7, BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762lambda1835za7622941z00, BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2675z00zz__evaluate_typesz00, BgL_bgl_string2675za700za7za7_2942za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1834za7622943z00, BGl_z62lambda1834z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72944za7, BGl_z62zc3anonymousza31843ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1842za7622945z00, BGl_z62lambda1842z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1841za7622946z00, BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2683z00zz__evaluate_typesz00, BgL_bgl_string2683za700za7za7_2947za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622948z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1847za7622949z00, BGl_z62lambda1847z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2685z00zz__evaluate_typesz00, BgL_bgl_string2685za700za7za7_2950za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72951za7, BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1854za7622952z00, BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2562z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2567z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2575z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2580z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2589z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2594z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2401z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2406z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2410z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2414z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2418z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2423z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2427z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2432z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2437z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2604z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2442z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2446z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2610z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2450z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2614z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2455z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2621z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2462z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2627z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2467z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2633z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2471z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2638z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2476z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2644z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2648z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2487z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2492z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2657z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2496z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2659z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2664z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2669z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2674z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2682z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2684z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2500z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2505z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2514z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2518z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2358z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2360z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2525z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2364z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2366z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2531z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2371z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2535z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2373z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2377z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2542z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2382z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2546z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2386z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2550z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2392z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2557z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2397z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1925>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31925ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1985>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1978>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31978ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1971>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1964>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31964ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1957>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31957ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1895>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1865>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1819>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1855>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1843>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31843ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1836>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1809>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3anonymousza31809ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1792>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1799>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1775>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1782>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1750>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1720>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3anonymousza31720ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1700>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3anonymousza31700ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1680>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1658>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3anonymousza31658ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1646>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1613>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1598>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1587>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1571>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1549>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3anonymousza31549ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1534>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1522>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3anonymousza31522ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1506>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3anonymousza31506ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1480>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3anonymousza31480ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1465>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3anonymousza31465ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1438>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3anonymousza31438ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1405>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31405ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1422>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1395>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3anonymousza31395ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4261, char * BgL_fromz00_4262)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2358z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00); 
BGl_symbol2360z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2361z00zz__evaluate_typesz00); 
BGl_symbol2364z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2365z00zz__evaluate_typesz00); 
BGl_symbol2366z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00); 
BGl_symbol2371z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00); 
BGl_symbol2373z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2374z00zz__evaluate_typesz00); 
BGl_symbol2377z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2378z00zz__evaluate_typesz00); 
BGl_symbol2382z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00); 
BGl_symbol2386z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00); 
BGl_symbol2392z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00); 
BGl_symbol2397z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00); 
BGl_symbol2401z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00); 
BGl_symbol2406z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00); 
BGl_symbol2410z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00); 
BGl_symbol2414z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2415z00zz__evaluate_typesz00); 
BGl_symbol2418z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2419z00zz__evaluate_typesz00); 
BGl_symbol2423z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2424z00zz__evaluate_typesz00); 
BGl_symbol2427z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2428z00zz__evaluate_typesz00); 
BGl_symbol2432z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00); 
BGl_symbol2437z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00); 
BGl_symbol2442z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00); 
BGl_symbol2446z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00); 
BGl_symbol2450z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00); 
BGl_symbol2455z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00); 
BGl_symbol2462z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00); 
BGl_symbol2467z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00); 
BGl_symbol2471z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00); 
BGl_symbol2476z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00); 
BGl_symbol2487z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2488z00zz__evaluate_typesz00); 
BGl_symbol2492z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00); 
BGl_symbol2496z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00); 
BGl_symbol2500z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00); 
BGl_symbol2505z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00); 
BGl_symbol2514z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00); 
BGl_symbol2518z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00); 
BGl_symbol2525z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00); 
BGl_symbol2531z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00); 
BGl_symbol2535z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2536z00zz__evaluate_typesz00); 
BGl_symbol2542z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2543z00zz__evaluate_typesz00); 
BGl_symbol2546z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2547z00zz__evaluate_typesz00); 
BGl_symbol2550z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00); 
BGl_symbol2557z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00); 
BGl_symbol2562z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2563z00zz__evaluate_typesz00); 
BGl_symbol2567z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2568z00zz__evaluate_typesz00); 
BGl_symbol2575z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00); 
BGl_symbol2580z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00); 
BGl_symbol2589z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2590z00zz__evaluate_typesz00); 
BGl_symbol2594z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2595z00zz__evaluate_typesz00); 
BGl_symbol2604z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00); 
BGl_symbol2610z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2611z00zz__evaluate_typesz00); 
BGl_symbol2614z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00); 
BGl_symbol2621z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2622z00zz__evaluate_typesz00); 
BGl_symbol2627z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2628z00zz__evaluate_typesz00); 
BGl_symbol2633z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00); 
BGl_symbol2638z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00); 
BGl_symbol2644z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2645z00zz__evaluate_typesz00); 
BGl_symbol2648z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00); 
BGl_symbol2657z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2658z00zz__evaluate_typesz00); 
BGl_symbol2659z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2660z00zz__evaluate_typesz00); 
BGl_symbol2664z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2665z00zz__evaluate_typesz00); 
BGl_symbol2669z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2670z00zz__evaluate_typesz00); 
BGl_symbol2674z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2675z00zz__evaluate_typesz00); 
BGl_symbol2682z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2684z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1389z00_1045;obj_t BgL_arg1390z00_1046;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1279z00_1056;
BgL_v1279z00_1056 = 
create_vector(((long)0)); 
BgL_arg1389z00_1045 = BgL_v1279z00_1056; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1280z00_1057;
BgL_v1280z00_1057 = 
create_vector(((long)0)); 
BgL_arg1390z00_1046 = BgL_v1280z00_1057; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2358z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2357z00zz__evaluate_typesz00, BGl_proc2356z00zz__evaluate_typesz00, BFALSE, BGl_proc2355z00zz__evaluate_typesz00, BFALSE, BgL_arg1389z00_1045, BgL_arg1390z00_1046); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1399z00_1064;obj_t BgL_arg1400z00_1065;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1281z00_1078;
BgL_v1281z00_1078 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1281z00_1078,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2364z00zz__evaluate_typesz00, BGl_proc2363z00zz__evaluate_typesz00, BGl_proc2362z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1281z00_1078,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2371z00zz__evaluate_typesz00, BGl_proc2370z00zz__evaluate_typesz00, BGl_proc2369z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2368z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1281z00_1078,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2377z00zz__evaluate_typesz00, BGl_proc2376z00zz__evaluate_typesz00, BGl_proc2375z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1399z00_1064 = BgL_v1281z00_1078; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1282z00_1112;
BgL_v1282z00_1112 = 
create_vector(((long)0)); 
BgL_arg1400z00_1065 = BgL_v1282z00_1112; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2382z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2381z00zz__evaluate_typesz00, BGl_proc2380z00zz__evaluate_typesz00, BFALSE, BGl_proc2379z00zz__evaluate_typesz00, BFALSE, BgL_arg1399z00_1064, BgL_arg1400z00_1065); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1432z00_1119;obj_t BgL_arg1433z00_1120;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1283z00_1133;
BgL_v1283z00_1133 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1283z00_1133,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2385z00zz__evaluate_typesz00, BGl_proc2384z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1133,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2364z00zz__evaluate_typesz00, BGl_proc2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1133,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, BGl_proc2390z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1432z00_1119 = BgL_v1283z00_1133; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1284z00_1164;
BgL_v1284z00_1164 = 
create_vector(((long)0)); 
BgL_arg1433z00_1120 = BgL_v1284z00_1164; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2397z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2396z00zz__evaluate_typesz00, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BGl_proc2394z00zz__evaluate_typesz00, BFALSE, BgL_arg1432z00_1119, BgL_arg1433z00_1120); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1459z00_1171;obj_t BgL_arg1460z00_1172;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1285z00_1183;
BgL_v1285z00_1183 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1285z00_1183,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, BGl_proc2399z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1459z00_1171 = BgL_v1285z00_1183; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1286z00_1194;
BgL_v1286z00_1194 = 
create_vector(((long)0)); 
BgL_arg1460z00_1172 = BgL_v1286z00_1194; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2406z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2405z00zz__evaluate_typesz00, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1459z00_1171, BgL_arg1460z00_1172); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1474z00_1201;obj_t BgL_arg1475z00_1202;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1287z00_1215;
BgL_v1287z00_1215 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1287z00_1215,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, BGl_proc2408z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1215,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, BGl_proc2412z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1215,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2418z00zz__evaluate_typesz00, BGl_proc2417z00zz__evaluate_typesz00, BGl_proc2416z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1474z00_1201 = BgL_v1287z00_1215; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1288z00_1246;
BgL_v1288z00_1246 = 
create_vector(((long)0)); 
BgL_arg1475z00_1202 = BgL_v1288z00_1246; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2423z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2422z00zz__evaluate_typesz00, BGl_proc2421z00zz__evaluate_typesz00, BFALSE, BGl_proc2420z00zz__evaluate_typesz00, BFALSE, BgL_arg1474z00_1201, BgL_arg1475z00_1202); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1500z00_1253;obj_t BgL_arg1501z00_1254;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1289z00_1265;
BgL_v1289z00_1265 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1289z00_1265,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, BGl_proc2425z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1500z00_1253 = BgL_v1289z00_1265; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1290z00_1276;
BgL_v1290z00_1276 = 
create_vector(((long)0)); 
BgL_arg1501z00_1254 = BgL_v1290z00_1276; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2432z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2431z00zz__evaluate_typesz00, BGl_proc2430z00zz__evaluate_typesz00, BFALSE, BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BgL_arg1500z00_1253, BgL_arg1501z00_1254); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1515z00_1283;obj_t BgL_arg1516z00_1284;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1291z00_1295;
BgL_v1291z00_1295 = 
create_vector(((long)0)); 
BgL_arg1515z00_1283 = BgL_v1291z00_1295; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1292z00_1296;
BgL_v1292z00_1296 = 
create_vector(((long)0)); 
BgL_arg1516z00_1284 = BgL_v1292z00_1296; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2437z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1515z00_1283, BgL_arg1516z00_1284); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1527z00_1303;obj_t BgL_arg1528z00_1304;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1293z00_1315;
BgL_v1293z00_1315 = 
create_vector(((long)0)); 
BgL_arg1527z00_1303 = BgL_v1293z00_1315; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1294z00_1316;
BgL_v1294z00_1316 = 
create_vector(((long)0)); 
BgL_arg1528z00_1304 = BgL_v1294z00_1316; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2441z00zz__evaluate_typesz00, BGl_proc2440z00zz__evaluate_typesz00, BFALSE, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1527z00_1303, BgL_arg1528z00_1304); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1540z00_1323;obj_t BgL_arg1542z00_1324;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1295z00_1336;
BgL_v1295z00_1336 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1295z00_1336,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2446z00zz__evaluate_typesz00, BGl_proc2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1295z00_1336,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2450z00zz__evaluate_typesz00, BGl_proc2449z00zz__evaluate_typesz00, BGl_proc2448z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1540z00_1323 = BgL_v1295z00_1336; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1296z00_1357;
BgL_v1296z00_1357 = 
create_vector(((long)0)); 
BgL_arg1542z00_1324 = BgL_v1296z00_1357; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2455z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2454z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, BFALSE, BGl_proc2452z00zz__evaluate_typesz00, BFALSE, BgL_arg1540z00_1323, BgL_arg1542z00_1324); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1563z00_1364;obj_t BgL_arg1566z00_1365;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1297z00_1376;
BgL_v1297z00_1376 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1297z00_1376,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2418z00zz__evaluate_typesz00, BGl_proc2458z00zz__evaluate_typesz00, BGl_proc2457z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1563z00_1364 = BgL_v1297z00_1376; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1298z00_1387;
BgL_v1298z00_1387 = 
create_vector(((long)0)); 
BgL_arg1566z00_1365 = BgL_v1298z00_1387; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2462z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BFALSE, BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1364, BgL_arg1566z00_1365); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1581z00_1394;obj_t BgL_arg1582z00_1395;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1299z00_1406;
BgL_v1299z00_1406 = 
create_vector(((long)0)); 
BgL_arg1581z00_1394 = BgL_v1299z00_1406; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1300z00_1407;
BgL_v1300z00_1407 = 
create_vector(((long)0)); 
BgL_arg1582z00_1395 = BgL_v1300z00_1407; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2467z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2466z00zz__evaluate_typesz00, BGl_proc2465z00zz__evaluate_typesz00, BFALSE, BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1581z00_1394, BgL_arg1582z00_1395); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1591z00_1414;obj_t BgL_arg1592z00_1415;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1301z00_1427;
BgL_v1301z00_1427 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1301z00_1427,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1591z00_1414 = BgL_v1301z00_1427; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1302z00_1438;
BgL_v1302z00_1438 = 
create_vector(((long)0)); 
BgL_arg1592z00_1415 = BgL_v1302z00_1438; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2475z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, BFALSE, BGl_proc2473z00zz__evaluate_typesz00, BFALSE, BgL_arg1591z00_1414, BgL_arg1592z00_1415); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1607z00_1445;obj_t BgL_arg1608z00_1446;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1303z00_1460;
BgL_v1303z00_1460 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1303z00_1460,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1303z00_1460,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2364z00zz__evaluate_typesz00, BGl_proc2481z00zz__evaluate_typesz00, BGl_proc2480z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1303z00_1460,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1607z00_1445 = BgL_v1303z00_1460; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1304z00_1491;
BgL_v1304z00_1491 = 
create_vector(((long)0)); 
BgL_arg1608z00_1446 = BgL_v1304z00_1491; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2487z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2486z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, BFALSE, BGl_proc2484z00zz__evaluate_typesz00, BFALSE, BgL_arg1607z00_1445, BgL_arg1608z00_1446); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1640z00_1498;obj_t BgL_arg1641z00_1499;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1305z00_1513;
BgL_v1305z00_1513 = 
create_vector(((long)0)); 
BgL_arg1640z00_1498 = BgL_v1305z00_1513; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1306z00_1514;
BgL_v1306z00_1514 = 
create_vector(((long)0)); 
BgL_arg1641z00_1499 = BgL_v1306z00_1514; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2492z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2491z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, BFALSE, BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BgL_arg1640z00_1498, BgL_arg1641z00_1499); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1652z00_1521;obj_t BgL_arg1653z00_1522;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1307z00_1534;
BgL_v1307z00_1534 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1307z00_1534,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1307z00_1534,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1652z00_1521 = BgL_v1307z00_1534; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1308z00_1555;
BgL_v1308z00_1555 = 
create_vector(((long)0)); 
BgL_arg1653z00_1522 = BgL_v1308z00_1555; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, BFALSE, BGl_proc2502z00zz__evaluate_typesz00, BFALSE, BgL_arg1652z00_1521, BgL_arg1653z00_1522); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1674z00_1562;obj_t BgL_arg1675z00_1563;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1309z00_1575;
BgL_v1309z00_1575 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1309z00_1575,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2418z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BGl_proc2507z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1575,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1674z00_1562 = BgL_v1309z00_1575; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1310z00_1596;
BgL_v1310z00_1596 = 
create_vector(((long)0)); 
BgL_arg1675z00_1563 = BgL_v1310z00_1596; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2514z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2513z00zz__evaluate_typesz00, BGl_proc2512z00zz__evaluate_typesz00, BFALSE, BGl_proc2511z00zz__evaluate_typesz00, BFALSE, BgL_arg1674z00_1562, BgL_arg1675z00_1563); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1694z00_1603;obj_t BgL_arg1695z00_1604;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1311z00_1616;
BgL_v1311z00_1616 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1311z00_1616,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1311z00_1616,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BGl_proc2520z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1694z00_1603 = BgL_v1311z00_1616; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1312z00_1637;
BgL_v1312z00_1637 = 
create_vector(((long)0)); 
BgL_arg1695z00_1604 = BgL_v1312z00_1637; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2524z00zz__evaluate_typesz00, BGl_proc2523z00zz__evaluate_typesz00, BFALSE, BGl_proc2522z00zz__evaluate_typesz00, BFALSE, BgL_arg1694z00_1603, BgL_arg1695z00_1604); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1714z00_1644;obj_t BgL_arg1715z00_1645;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1313z00_1659;
BgL_v1313z00_1659 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1313z00_1659,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1659,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, BGl_proc2529z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1659,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, BGl_proc2533z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1659,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2538z00zz__evaluate_typesz00, BGl_proc2537z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1714z00_1644 = BgL_v1313z00_1659; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1314z00_1700;
BgL_v1314z00_1700 = 
create_vector(((long)0)); 
BgL_arg1715z00_1645 = BgL_v1314z00_1700; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2542z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2541z00zz__evaluate_typesz00, BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BgL_arg1714z00_1644, BgL_arg1715z00_1645); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1744z00_1707;obj_t BgL_arg1745z00_1708;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1315z00_1721;
BgL_v1315z00_1721 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1315z00_1721,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, BGl_proc2544z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1721,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1721,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1744z00_1707 = BgL_v1315z00_1721; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1316z00_1752;
BgL_v1316z00_1752 = 
create_vector(((long)0)); 
BgL_arg1745z00_1708 = BgL_v1316z00_1752; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2557z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2556z00zz__evaluate_typesz00, BGl_proc2555z00zz__evaluate_typesz00, BFALSE, BGl_proc2554z00zz__evaluate_typesz00, BFALSE, BgL_arg1744z00_1707, BgL_arg1745z00_1708); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1769z00_1759;obj_t BgL_arg1770z00_1760;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1317z00_1774;
BgL_v1317z00_1774 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1317z00_1774,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2562z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2559z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1769z00_1759 = BgL_v1317z00_1774; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1318z00_1788;
BgL_v1318z00_1788 = 
create_vector(((long)0)); 
BgL_arg1770z00_1760 = BgL_v1318z00_1788; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2567z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2566z00zz__evaluate_typesz00, BGl_proc2565z00zz__evaluate_typesz00, BFALSE, BGl_proc2564z00zz__evaluate_typesz00, BFALSE, BgL_arg1769z00_1759, BgL_arg1770z00_1760); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1786z00_1795;obj_t BgL_arg1787z00_1796;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1319z00_1810;
BgL_v1319z00_1810 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1319z00_1810,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2562z00zz__evaluate_typesz00, BGl_proc2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2569z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1786z00_1795 = BgL_v1319z00_1810; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1320z00_1824;
BgL_v1320z00_1824 = 
create_vector(((long)0)); 
BgL_arg1787z00_1796 = BgL_v1320z00_1824; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2575z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2574z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, BFALSE, BGl_proc2572z00zz__evaluate_typesz00, BFALSE, BgL_arg1786z00_1795, BgL_arg1787z00_1796); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1803z00_1831;obj_t BgL_arg1804z00_1832;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1321z00_1845;
BgL_v1321z00_1845 = 
create_vector(((long)0)); 
BgL_arg1803z00_1831 = BgL_v1321z00_1845; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1322z00_1846;
BgL_v1322z00_1846 = 
create_vector(((long)0)); 
BgL_arg1804z00_1832 = BgL_v1322z00_1846; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2579z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, BFALSE, BGl_proc2577z00zz__evaluate_typesz00, BFALSE, BgL_arg1803z00_1831, BgL_arg1804z00_1832); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1813z00_1853;obj_t BgL_arg1814z00_1854;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1323z00_1870;
BgL_v1323z00_1870 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1323z00_1870,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2546z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_1870,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, BGl_proc2584z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_1870,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, BGl_proc2587z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2586z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_1870,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2591z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_1870,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_1870,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2562z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2598z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1813z00_1853 = BgL_v1323z00_1870; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1324z00_1940;
BgL_v1324z00_1940 = 
create_vector(((long)0)); 
BgL_arg1814z00_1854 = BgL_v1324z00_1940; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2604z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, BFALSE, BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1813z00_1853, BgL_arg1814z00_1854); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1859z00_1947;obj_t BgL_arg1860z00_1948;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1325z00_1962;
BgL_v1325z00_1962 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1325z00_1962,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1962,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2610z00zz__evaluate_typesz00, BGl_proc2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1962,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2614z00zz__evaluate_typesz00, BGl_proc2613z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1962,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1859z00_1947 = BgL_v1325z00_1962; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1326z00_2003;
BgL_v1326z00_2003 = 
create_vector(((long)0)); 
BgL_arg1860z00_1948 = BgL_v1326z00_2003; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2621z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2620z00zz__evaluate_typesz00, BGl_proc2619z00zz__evaluate_typesz00, BFALSE, BGl_proc2618z00zz__evaluate_typesz00, BFALSE, BgL_arg1859z00_1947, BgL_arg1860z00_1948); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1889z00_2010;obj_t BgL_arg1890z00_2011;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1327z00_2025;
BgL_v1327z00_2025 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1327z00_2025,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, BGl_proc2623z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_2025,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2627z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_2025,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2630z00zz__evaluate_typesz00, BGl_proc2629z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_2025,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2633z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1889z00_2010 = BgL_v1327z00_2025; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1328z00_2066;
BgL_v1328z00_2066 = 
create_vector(((long)0)); 
BgL_arg1890z00_2011 = BgL_v1328z00_2066; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2638z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2637z00zz__evaluate_typesz00, BGl_proc2636z00zz__evaluate_typesz00, BFALSE, BGl_proc2635z00zz__evaluate_typesz00, BFALSE, BgL_arg1889z00_2010, BgL_arg1890z00_2011); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1919z00_2073;obj_t BgL_arg1920z00_2074;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1329z00_2094;
BgL_v1329z00_2094 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1329z00_2094,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, BGl_proc2640z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2644z00zz__evaluate_typesz00, BGl_proc2643z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2648z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, BGl_proc2646z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2546z00zz__evaluate_typesz00, BGl_proc2651z00zz__evaluate_typesz00, BGl_proc2650z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_proc2653z00zz__evaluate_typesz00, BGl_proc2652z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2657z00zz__evaluate_typesz00, BGl_proc2656z00zz__evaluate_typesz00, BGl_proc2655z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2654z00zz__evaluate_typesz00, BGl_symbol2659z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2664z00zz__evaluate_typesz00, BGl_proc2663z00zz__evaluate_typesz00, BGl_proc2662z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2661z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2669z00zz__evaluate_typesz00, BGl_proc2668z00zz__evaluate_typesz00, BGl_proc2667z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2666z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2674z00zz__evaluate_typesz00, BGl_proc2673z00zz__evaluate_typesz00, BGl_proc2672z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2671z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2094,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2562z00zz__evaluate_typesz00, BGl_proc2678z00zz__evaluate_typesz00, BGl_proc2677z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2676z00zz__evaluate_typesz00, BGl_symbol2373z00zz__evaluate_typesz00)); 
BgL_arg1919z00_2073 = BgL_v1329z00_2094; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1330z00_2210;
BgL_v1330z00_2210 = 
create_vector(((long)0)); 
BgL_arg1920z00_2074 = BgL_v1330z00_2210; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2682z00zz__evaluate_typesz00, BGl_symbol2360z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2681z00zz__evaluate_typesz00, BGl_proc2680z00zz__evaluate_typesz00, BFALSE, BGl_proc2679z00zz__evaluate_typesz00, BFALSE, BgL_arg1919z00_2073, BgL_arg1920z00_2074), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1925> */
obj_t BGl_z62zc3anonymousza31925ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3346, obj_t BgL_new1189z00_3347)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_new1189z00_2092;
{ 
BgL_ev_absz00_bglt BgL_auxz00_4529;
BgL_new1189z00_2092 = 
((BgL_ev_absz00_bglt)BgL_new1189z00_3347); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4534;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_2909;
BgL_classz00_2909 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1278z00_2910;
BgL__ortest_1278z00_2910 = 
BGL_CLASS_NIL(BgL_classz00_2909); 
if(
CBOOL(BgL__ortest_1278z00_2910))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4534 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2910)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4534 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2909))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4534),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1189z00_2092))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4529 = BgL_new1189z00_2092; 
return 
((obj_t)BgL_auxz00_4529);} } } 
BGL_FUNCTION_END;
}



/* &lambda1923 */
BgL_ev_absz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t BgL_envz00_3348)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1188z00_3824;
BgL_new1188z00_3824 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1924z00_3825;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2306z00_3826;
BgL_res2306z00_3826 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1924z00_3825 = BgL_res2306z00_3826; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_3824), BgL_arg1924z00_3825); } 
return BgL_new1188z00_3824;} } 
BGL_FUNCTION_END;
}



/* &lambda1921 */
BgL_ev_absz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3349, obj_t BgL_loc1178z00_3350, obj_t BgL_where1179z00_3351, obj_t BgL_arity1180z00_3352, obj_t BgL_vars1181z00_3353, obj_t BgL_body1182z00_3354, obj_t BgL_siza7e1183za7_3355, obj_t BgL_bind1184z00_3356, obj_t BgL_free1185z00_3357, obj_t BgL_inner1186z00_3358, obj_t BgL_boxes1187z00_3359)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1183za7_3828;
BgL_siza7e1183za7_3828 = 
CINT(BgL_siza7e1183za7_3355); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3829;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1240z00_3830;
BgL_new1240z00_3830 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1922z00_3831;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2305z00_3832;
BgL_res2305z00_3832 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1922z00_3831 = BgL_res2305z00_3832; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3830), BgL_arg1922z00_3831); } 
BgL_new1241z00_3829 = BgL_new1240z00_3830; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_locz00)=((obj_t)BgL_loc1178z00_3350),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_wherez00)=((obj_t)BgL_where1179z00_3351),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_arityz00)=((obj_t)BgL_arity1180z00_3352),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_varsz00)=((obj_t)BgL_vars1181z00_3353),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1182z00_3354)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_siza7eza7)=((int)BgL_siza7e1183za7_3828),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_bindz00)=((obj_t)BgL_bind1184z00_3356),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_freez00)=((obj_t)BgL_free1185z00_3357),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_innerz00)=((obj_t)BgL_inner1186z00_3358),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3829))->BgL_boxesz00)=((obj_t)BgL_boxes1187z00_3359),BUNSPEC); 
return BgL_new1241z00_3829;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1985> */
obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3360)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3361, obj_t BgL_oz00_3362, obj_t BgL_vz00_3363)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3362)))->BgL_boxesz00)=((obj_t)BgL_vz00_3363),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t BgL_envz00_3364, obj_t BgL_oz00_3365)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3365)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1978> */
obj_t BGl_z62zc3anonymousza31978ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3366)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3367, obj_t BgL_oz00_3368, obj_t BgL_vz00_3369)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3368)))->BgL_innerz00)=((obj_t)BgL_vz00_3369),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3370, obj_t BgL_oz00_3371)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3371)))->BgL_innerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1971> */
obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3372)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t BgL_envz00_3373, obj_t BgL_oz00_3374, obj_t BgL_vz00_3375)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3374)))->BgL_freez00)=((obj_t)BgL_vz00_3375),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t BgL_envz00_3376, obj_t BgL_oz00_3377)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3377)))->BgL_freez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1964> */
obj_t BGl_z62zc3anonymousza31964ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3378)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1963 */
obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3379, obj_t BgL_oz00_3380, obj_t BgL_vz00_3381)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3380)))->BgL_bindz00)=((obj_t)BgL_vz00_3381),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1962 */
obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3382, obj_t BgL_oz00_3383)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3383)))->BgL_bindz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1957> */
obj_t BGl_z62zc3anonymousza31957ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3384)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda1956 */
obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t BgL_envz00_3385, obj_t BgL_oz00_3386, obj_t BgL_vz00_3387)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3842;
BgL_vz00_3842 = 
CINT(BgL_vz00_3387); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3386)))->BgL_siza7eza7)=((int)BgL_vz00_3842),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3388, obj_t BgL_oz00_3389)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3389)))->BgL_siza7eza7));} 
BGL_FUNCTION_END;
}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3390, obj_t BgL_oz00_3391, obj_t BgL_vz00_3392)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3391)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3392)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1949 */
BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3393, obj_t BgL_oz00_3394)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3394)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396, obj_t BgL_vz00_3397)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3396)))->BgL_varsz00)=((obj_t)BgL_vz00_3397),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3399)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3400, obj_t BgL_oz00_3401, obj_t BgL_vz00_3402)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3401)))->BgL_arityz00)=((obj_t)BgL_vz00_3402),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t BgL_envz00_3403, obj_t BgL_oz00_3404)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3404)))->BgL_arityz00);} 
BGL_FUNCTION_END;
}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3405, obj_t BgL_oz00_3406, obj_t BgL_vz00_3407)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3406)))->BgL_wherez00)=((obj_t)BgL_vz00_3407),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1934 */
obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3408, obj_t BgL_oz00_3409)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3409)))->BgL_wherez00);} 
BGL_FUNCTION_END;
}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411, obj_t BgL_vz00_3412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3411)))->BgL_locz00)=((obj_t)BgL_vz00_3412),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3413, obj_t BgL_oz00_3414)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3414)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1895> */
obj_t BGl_z62zc3anonymousza31895ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3415, obj_t BgL_new1176z00_3416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_new1176z00_2023;
{ 
BgL_ev_appz00_bglt BgL_auxz00_4614;
BgL_new1176z00_2023 = 
((BgL_ev_appz00_bglt)BgL_new1176z00_3416); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1176z00_2023))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4616;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_2889;
BgL_classz00_2889 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1278z00_2890;
BgL__ortest_1278z00_2890 = 
BGL_CLASS_NIL(BgL_classz00_2889); 
if(
CBOOL(BgL__ortest_1278z00_2890))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4616 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2890)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4616 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2889))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1176z00_2023))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4616),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1176z00_2023))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1176z00_2023))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4614 = BgL_new1176z00_2023; 
return 
((obj_t)BgL_auxz00_4614);} } } 
BGL_FUNCTION_END;
}



/* &lambda1893 */
BgL_ev_appz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t BgL_envz00_3417)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1175z00_3858;
BgL_new1175z00_3858 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1894z00_3859;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2304z00_3860;
BgL_res2304z00_3860 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1894z00_3859 = BgL_res2304z00_3860; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_3858), BgL_arg1894z00_3859); } 
return BgL_new1175z00_3858;} } 
BGL_FUNCTION_END;
}



/* &lambda1891 */
BgL_ev_appz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3418, obj_t BgL_loc1171z00_3419, obj_t BgL_fun1172z00_3420, obj_t BgL_args1173z00_3421, obj_t BgL_tailzf31174zf3_3422)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3862;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1238z00_3863;
BgL_new1238z00_3863 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1892z00_3864;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2303z00_3865;
BgL_res2303z00_3865 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1892z00_3864 = BgL_res2303z00_3865; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3863), BgL_arg1892z00_3864); } 
BgL_new1239z00_3862 = BgL_new1238z00_3863; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3862))->BgL_locz00)=((obj_t)BgL_loc1171z00_3419),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3862))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1172z00_3420)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3862))->BgL_argsz00)=((obj_t)BgL_args1173z00_3421),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3862))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31174zf3_3422),BUNSPEC); 
return BgL_new1239z00_3862;} } 
BGL_FUNCTION_END;
}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3423, obj_t BgL_oz00_3424, obj_t BgL_vz00_3425)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3424)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3425),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3426, obj_t BgL_oz00_3427)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3427)))->BgL_tailzf3zf3);} 
BGL_FUNCTION_END;
}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t BgL_envz00_3428, obj_t BgL_oz00_3429, obj_t BgL_vz00_3430)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3429)))->BgL_argsz00)=((obj_t)BgL_vz00_3430),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1909 */
obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t BgL_envz00_3431, obj_t BgL_oz00_3432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3432)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3433, obj_t BgL_oz00_3434, obj_t BgL_vz00_3435)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3434)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3435)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1904 */
BgL_ev_exprz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3436, obj_t BgL_oz00_3437)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3437)))->BgL_funz00);} 
BGL_FUNCTION_END;
}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3438, obj_t BgL_oz00_3439, obj_t BgL_vz00_3440)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3439)))->BgL_locz00)=((obj_t)BgL_vz00_3440),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3441, obj_t BgL_oz00_3442)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3442)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1865> */
obj_t BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3443, obj_t BgL_new1169z00_3444)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_new1169z00_1960;
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4658;
BgL_new1169z00_1960 = 
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3444); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1169z00_1960))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4660;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2873;
BgL_classz00_2873 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1278z00_2874;
BgL__ortest_1278z00_2874 = 
BGL_CLASS_NIL(BgL_classz00_2873); 
if(
CBOOL(BgL__ortest_1278z00_2874))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4660 = 
((BgL_ev_varz00_bglt)BgL__ortest_1278z00_2874)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4660 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2873))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1169z00_1960))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4660),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4668;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2875;
BgL_classz00_2875 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1278z00_2876;
BgL__ortest_1278z00_2876 = 
BGL_CLASS_NIL(BgL_classz00_2875); 
if(
CBOOL(BgL__ortest_1278z00_2876))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4668 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1278z00_2876)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4668 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2875))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1169z00_1960))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4668),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1169z00_1960))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4658 = BgL_new1169z00_1960; 
return 
((obj_t)BgL_auxz00_4658);} } } 
BGL_FUNCTION_END;
}



/* &lambda1863 */
BgL_ev_gotoz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t BgL_envz00_3445)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1168z00_3880;
BgL_new1168z00_3880 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1864z00_3881;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2302z00_3882;
BgL_res2302z00_3882 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1864z00_3881 = BgL_res2302z00_3882; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_3880), BgL_arg1864z00_3881); } 
return BgL_new1168z00_3880;} } 
BGL_FUNCTION_END;
}



/* &lambda1861 */
BgL_ev_gotoz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t BgL_envz00_3446, obj_t BgL_loc1164z00_3447, obj_t BgL_label1165z00_3448, obj_t BgL_labels1166z00_3449, obj_t BgL_args1167z00_3450)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3885;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1236z00_3886;
BgL_new1236z00_3886 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1862z00_3887;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2301z00_3888;
BgL_res2301z00_3888 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1862z00_3887 = BgL_res2301z00_3888; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3886), BgL_arg1862z00_3887); } 
BgL_new1237z00_3885 = BgL_new1236z00_3886; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3885))->BgL_locz00)=((obj_t)BgL_loc1164z00_3447),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3885))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1165z00_3448)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3885))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1166z00_3449)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3885))->BgL_argsz00)=((obj_t)BgL_args1167z00_3450),BUNSPEC); 
return BgL_new1237z00_3885;} } 
BGL_FUNCTION_END;
}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3451, obj_t BgL_oz00_3452, obj_t BgL_vz00_3453)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3452)))->BgL_argsz00)=((obj_t)BgL_vz00_3453),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3454, obj_t BgL_oz00_3455)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3455)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t BgL_envz00_3456, obj_t BgL_oz00_3457, obj_t BgL_vz00_3458)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3457)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3458)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1879 */
BgL_ev_labelsz00_bglt BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3459, obj_t BgL_oz00_3460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3460)))->BgL_labelsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t BgL_envz00_3461, obj_t BgL_oz00_3462, obj_t BgL_vz00_3463)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3462)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3463)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1874 */
BgL_ev_varz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3464, obj_t BgL_oz00_3465)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3465)))->BgL_labelz00);} 
BGL_FUNCTION_END;
}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3466, obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3467)))->BgL_locz00)=((obj_t)BgL_vz00_3468),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t BgL_envz00_3469, obj_t BgL_oz00_3470)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3470)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1819> */
obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3471, obj_t BgL_new1162z00_3472)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_new1162z00_1868;
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4711;
BgL_new1162z00_1868 = 
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3472); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4716;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_2859;
BgL_classz00_2859 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1278z00_2860;
BgL__ortest_1278z00_2860 = 
BGL_CLASS_NIL(BgL_classz00_2859); 
if(
CBOOL(BgL__ortest_1278z00_2860))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4716 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2860)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4716 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2859))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4716),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1162z00_1868))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4711 = BgL_new1162z00_1868; 
return 
((obj_t)BgL_auxz00_4711);} } } 
BGL_FUNCTION_END;
}



/* &lambda1817 */
BgL_ev_labelsz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t BgL_envz00_3473)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1161z00_3902;
BgL_new1161z00_3902 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1818z00_3903;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2300z00_3904;
BgL_res2300z00_3904 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1818z00_3903 = BgL_res2300z00_3904; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_3902), BgL_arg1818z00_3903); } 
return BgL_new1161z00_3902;} } 
BGL_FUNCTION_END;
}



/* &lambda1815 */
BgL_ev_labelsz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t BgL_envz00_3474, obj_t BgL_vars1155z00_3475, obj_t BgL_vals1156z00_3476, obj_t BgL_env1157z00_3477, obj_t BgL_stk1158z00_3478, obj_t BgL_body1159z00_3479, obj_t BgL_boxes1160z00_3480)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3906;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1234z00_3907;
BgL_new1234z00_3907 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1816z00_3908;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2299z00_3909;
BgL_res2299z00_3909 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1816z00_3908 = BgL_res2299z00_3909; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3907), BgL_arg1816z00_3908); } 
BgL_new1235z00_3906 = BgL_new1234z00_3907; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_varsz00)=((obj_t)BgL_vars1155z00_3475),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_valsz00)=((obj_t)BgL_vals1156z00_3476),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_envz00)=((obj_t)BgL_env1157z00_3477),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_stkz00)=((obj_t)BgL_stk1158z00_3478),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1159z00_3479)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3906))->BgL_boxesz00)=((obj_t)BgL_boxes1160z00_3480),BUNSPEC); 
return BgL_new1235z00_3906;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1855> */
obj_t BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3481)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1854 */
obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3482, obj_t BgL_oz00_3483, obj_t BgL_vz00_3484)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3483)))->BgL_boxesz00)=((obj_t)BgL_vz00_3484),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1853 */
obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t BgL_envz00_3485, obj_t BgL_oz00_3486)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3486)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3487, obj_t BgL_oz00_3488, obj_t BgL_vz00_3489)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3488)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3489)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1847 */
BgL_ev_exprz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t BgL_envz00_3490, obj_t BgL_oz00_3491)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3491)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1843> */
obj_t BGl_z62zc3anonymousza31843ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3492)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1842 */
obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t BgL_envz00_3493, obj_t BgL_oz00_3494, obj_t BgL_vz00_3495)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3494)))->BgL_stkz00)=((obj_t)BgL_vz00_3495),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t BgL_envz00_3496, obj_t BgL_oz00_3497)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3497)))->BgL_stkz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1836> */
obj_t BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3498)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1835 */
obj_t BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t BgL_envz00_3499, obj_t BgL_oz00_3500, obj_t BgL_vz00_3501)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3500)))->BgL_envz00)=((obj_t)BgL_vz00_3501),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1834 */
obj_t BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t BgL_envz00_3502, obj_t BgL_oz00_3503)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3503)))->BgL_envz00);} 
BGL_FUNCTION_END;
}



/* &lambda1829 */
obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t BgL_envz00_3504, obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3505)))->BgL_valsz00)=((obj_t)BgL_vz00_3506),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1828 */
obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3508)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1824 */
obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3509, obj_t BgL_oz00_3510, obj_t BgL_vz00_3511)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3510)))->BgL_varsz00)=((obj_t)BgL_vz00_3511),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1823 */
obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t BgL_envz00_3512, obj_t BgL_oz00_3513)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3513)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1809> */
obj_t BGl_z62zc3anonymousza31809ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3514, obj_t BgL_new1153z00_3515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_new1153z00_1843;
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4767;
BgL_new1153z00_1843 = 
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3515); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1843)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1843)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4772;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_2843;
BgL_classz00_2843 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1278z00_2844;
BgL__ortest_1278z00_2844 = 
BGL_CLASS_NIL(BgL_classz00_2843); 
if(
CBOOL(BgL__ortest_1278z00_2844))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4772 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2844)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4772 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2843))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1843)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4772),BUNSPEC); } 
BgL_auxz00_4767 = BgL_new1153z00_1843; 
return 
((obj_t)BgL_auxz00_4767);} } } 
BGL_FUNCTION_END;
}



/* &lambda1807 */
BgL_ev_letrecz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t BgL_envz00_3516)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1152z00_3926;
BgL_new1152z00_3926 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1808z00_3927;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2298z00_3928;
BgL_res2298z00_3928 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1808z00_3927 = BgL_res2298z00_3928; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_3926), BgL_arg1808z00_3927); } 
return BgL_new1152z00_3926;} } 
BGL_FUNCTION_END;
}



/* &lambda1805 */
BgL_ev_letrecz00_bglt BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3517, obj_t BgL_vars1149z00_3518, obj_t BgL_vals1150z00_3519, obj_t BgL_body1151z00_3520)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3930;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1232z00_3931;
BgL_new1232z00_3931 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1806z00_3932;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2297z00_3933;
BgL_res2297z00_3933 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1806z00_3932 = BgL_res2297z00_3933; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3931), BgL_arg1806z00_3932); } 
BgL_new1233z00_3930 = BgL_new1232z00_3931; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3930)))->BgL_varsz00)=((obj_t)BgL_vars1149z00_3518),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3930)))->BgL_valsz00)=((obj_t)BgL_vals1150z00_3519),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3930)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1151z00_3520)),BUNSPEC); 
return BgL_new1233z00_3930;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1792> */
obj_t BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_new1147z00_3522)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_new1147z00_1808;
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4798;
BgL_new1147z00_1808 = 
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3522); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1808)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1808)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4803;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_2833;
BgL_classz00_2833 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1278z00_2834;
BgL__ortest_1278z00_2834 = 
BGL_CLASS_NIL(BgL_classz00_2833); 
if(
CBOOL(BgL__ortest_1278z00_2834))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4803 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2834)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4803 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2833))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1808)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4803),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1147z00_1808))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4798 = BgL_new1147z00_1808; 
return 
((obj_t)BgL_auxz00_4798);} } } 
BGL_FUNCTION_END;
}



/* &lambda1790 */
BgL_ev_letza2za2_bglt BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t BgL_envz00_3523)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1146z00_3937;
BgL_new1146z00_3937 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1791z00_3938;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2296z00_3939;
BgL_res2296z00_3939 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1791z00_3938 = BgL_res2296z00_3939; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_3937), BgL_arg1791z00_3938); } 
return BgL_new1146z00_3937;} } 
BGL_FUNCTION_END;
}



/* &lambda1788 */
BgL_ev_letza2za2_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3524, obj_t BgL_vars1142z00_3525, obj_t BgL_vals1143z00_3526, obj_t BgL_body1144z00_3527, obj_t BgL_boxes1145z00_3528)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3941;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1230z00_3942;
BgL_new1230z00_3942 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1789z00_3943;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2295z00_3944;
BgL_res2295z00_3944 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1789z00_3943 = BgL_res2295z00_3944; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3942), BgL_arg1789z00_3943); } 
BgL_new1231z00_3941 = BgL_new1230z00_3942; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3941)))->BgL_varsz00)=((obj_t)BgL_vars1142z00_3525),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3941)))->BgL_valsz00)=((obj_t)BgL_vals1143z00_3526),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3941)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1144z00_3527)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1231z00_3941))->BgL_boxesz00)=((obj_t)BgL_boxes1145z00_3528),BUNSPEC); 
return BgL_new1231z00_3941;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1799> */
obj_t BGl_z62zc3anonymousza31799ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3529)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1798 */
obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t BgL_envz00_3530, obj_t BgL_oz00_3531, obj_t BgL_vz00_3532)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3531)))->BgL_boxesz00)=((obj_t)BgL_vz00_3532),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1797 */
obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3534)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1775> */
obj_t BGl_z62zc3anonymousza31775ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3535, obj_t BgL_new1140z00_3536)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_new1140z00_1772;
{ 
BgL_ev_letz00_bglt BgL_auxz00_4835;
BgL_new1140z00_1772 = 
((BgL_ev_letz00_bglt)BgL_new1140z00_3536); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1772)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1772)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4840;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_2822;
BgL_classz00_2822 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1278z00_2823;
BgL__ortest_1278z00_2823 = 
BGL_CLASS_NIL(BgL_classz00_2822); 
if(
CBOOL(BgL__ortest_1278z00_2823))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4840 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2823)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4840 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2822))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1772)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4840),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1140z00_1772))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4835 = BgL_new1140z00_1772; 
return 
((obj_t)BgL_auxz00_4835);} } } 
BGL_FUNCTION_END;
}



/* &lambda1773 */
BgL_ev_letz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3537)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1139z00_3950;
BgL_new1139z00_3950 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1774z00_3951;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2294z00_3952;
BgL_res2294z00_3952 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1774z00_3951 = BgL_res2294z00_3952; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_3950), BgL_arg1774z00_3951); } 
return BgL_new1139z00_3950;} } 
BGL_FUNCTION_END;
}



/* &lambda1771 */
BgL_ev_letz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3538, obj_t BgL_vars1135z00_3539, obj_t BgL_vals1136z00_3540, obj_t BgL_body1137z00_3541, obj_t BgL_boxes1138z00_3542)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3954;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1228z00_3955;
BgL_new1228z00_3955 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1772z00_3956;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2293z00_3957;
BgL_res2293z00_3957 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1772z00_3956 = BgL_res2293z00_3957; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3955), BgL_arg1772z00_3956); } 
BgL_new1229z00_3954 = BgL_new1228z00_3955; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3954)))->BgL_varsz00)=((obj_t)BgL_vars1135z00_3539),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3954)))->BgL_valsz00)=((obj_t)BgL_vals1136z00_3540),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3954)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1137z00_3541)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1229z00_3954))->BgL_boxesz00)=((obj_t)BgL_boxes1138z00_3542),BUNSPEC); 
return BgL_new1229z00_3954;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1782> */
obj_t BGl_z62zc3anonymousza31782ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3543)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1781 */
obj_t BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t BgL_envz00_3544, obj_t BgL_oz00_3545, obj_t BgL_vz00_3546)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3545)))->BgL_boxesz00)=((obj_t)BgL_vz00_3546),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1780 */
obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3547, obj_t BgL_oz00_3548)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3548)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1750> */
obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3549, obj_t BgL_new1133z00_3550)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_new1133z00_1719;
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4872;
BgL_new1133z00_1719 = 
((BgL_ev_binderz00_bglt)BgL_new1133z00_3550); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1133z00_1719))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1133z00_1719))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4875;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_2811;
BgL_classz00_2811 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1278z00_2812;
BgL__ortest_1278z00_2812 = 
BGL_CLASS_NIL(BgL_classz00_2811); 
if(
CBOOL(BgL__ortest_1278z00_2812))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4875 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2812)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4875 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2811))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1133z00_1719))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4875),BUNSPEC); } 
BgL_auxz00_4872 = BgL_new1133z00_1719; 
return 
((obj_t)BgL_auxz00_4872);} } } 
BGL_FUNCTION_END;
}



/* &lambda1748 */
BgL_ev_binderz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3551)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1132z00_3963;
BgL_new1132z00_3963 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1749z00_3964;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2292z00_3965;
BgL_res2292z00_3965 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1749z00_3964 = BgL_res2292z00_3965; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_3963), BgL_arg1749z00_3964); } 
return BgL_new1132z00_3963;} } 
BGL_FUNCTION_END;
}



/* &lambda1746 */
BgL_ev_binderz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t BgL_envz00_3552, obj_t BgL_vars1129z00_3553, obj_t BgL_vals1130z00_3554, obj_t BgL_body1131z00_3555)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_3967;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1226z00_3968;
BgL_new1226z00_3968 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1747z00_3969;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2291z00_3970;
BgL_res2291z00_3970 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1747z00_3969 = BgL_res2291z00_3970; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3968), BgL_arg1747z00_3969); } 
BgL_new1227z00_3967 = BgL_new1226z00_3968; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3967))->BgL_varsz00)=((obj_t)BgL_vars1129z00_3553),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3967))->BgL_valsz00)=((obj_t)BgL_vals1130z00_3554),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3967))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1131z00_3555)),BUNSPEC); 
return BgL_new1227z00_3967;} } 
BGL_FUNCTION_END;
}



/* &lambda1765 */
obj_t BGl_z62lambda1765z62zz__evaluate_typesz00(obj_t BgL_envz00_3556, obj_t BgL_oz00_3557, obj_t BgL_vz00_3558)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3557)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3558)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1764 */
BgL_ev_exprz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3559, obj_t BgL_oz00_3560)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3560)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1760 */
obj_t BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t BgL_envz00_3561, obj_t BgL_oz00_3562, obj_t BgL_vz00_3563)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3562)))->BgL_valsz00)=((obj_t)BgL_vz00_3563),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1759 */
obj_t BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3565)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1755 */
obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3566, obj_t BgL_oz00_3567, obj_t BgL_vz00_3568)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3567)))->BgL_varsz00)=((obj_t)BgL_vz00_3568),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1754 */
obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t BgL_envz00_3569, obj_t BgL_oz00_3570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3570)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1720> */
obj_t BGl_z62zc3anonymousza31720ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3571, obj_t BgL_new1127z00_3572)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_1657;
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4910;
BgL_new1127z00_1657 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3572); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1127z00_1657))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4912;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2794;
BgL_classz00_2794 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1278z00_2795;
BgL__ortest_1278z00_2795 = 
BGL_CLASS_NIL(BgL_classz00_2794); 
if(
CBOOL(BgL__ortest_1278z00_2795))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2795)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2794))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1127z00_1657))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4912),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4920;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2796;
BgL_classz00_2796 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1278z00_2797;
BgL__ortest_1278z00_2797 = 
BGL_CLASS_NIL(BgL_classz00_2796); 
if(
CBOOL(BgL__ortest_1278z00_2797))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4920 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2797)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4920 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2796))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1127z00_1657))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4920),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4928;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2798;
BgL_classz00_2798 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1278z00_2799;
BgL__ortest_1278z00_2799 = 
BGL_CLASS_NIL(BgL_classz00_2798); 
if(
CBOOL(BgL__ortest_1278z00_2799))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4928 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2799)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4928 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2798))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1127z00_1657))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4928),BUNSPEC); } 
BgL_auxz00_4910 = BgL_new1127z00_1657; 
return 
((obj_t)BgL_auxz00_4910);} } } 
BGL_FUNCTION_END;
}



/* &lambda1718 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t BgL_envz00_3573)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_3985;
BgL_new1126z00_3985 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1719z00_3986;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2290z00_3987;
BgL_res2290z00_3987 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1719z00_3986 = BgL_res2290z00_3987; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_3985), BgL_arg1719z00_3986); } 
return BgL_new1126z00_3985;} } 
BGL_FUNCTION_END;
}



/* &lambda1716 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t BgL_envz00_3574, obj_t BgL_loc1122z00_3575, obj_t BgL_mutex1123z00_3576, obj_t BgL_prelock1124z00_3577, obj_t BgL_body1125z00_3578)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3991;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1224z00_3992;
BgL_new1224z00_3992 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1717z00_3993;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2289z00_3994;
BgL_res2289z00_3994 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1717z00_3993 = BgL_res2289z00_3994; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_3992), BgL_arg1717z00_3993); } 
BgL_new1225z00_3991 = BgL_new1224z00_3992; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3991))->BgL_locz00)=((obj_t)BgL_loc1122z00_3575),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3991))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1123z00_3576)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3991))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1124z00_3577)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3991))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1125z00_3578)),BUNSPEC); 
return BgL_new1225z00_3991;} } 
BGL_FUNCTION_END;
}



/* &lambda1740 */
obj_t BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t BgL_envz00_3579, obj_t BgL_oz00_3580, obj_t BgL_vz00_3581)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3580)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3581)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1739 */
BgL_ev_exprz00_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3582, obj_t BgL_oz00_3583)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3583)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1735 */
obj_t BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t BgL_envz00_3584, obj_t BgL_oz00_3585, obj_t BgL_vz00_3586)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3585)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3586)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1734 */
BgL_ev_exprz00_bglt BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t BgL_envz00_3587, obj_t BgL_oz00_3588)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3588)))->BgL_prelockz00);} 
BGL_FUNCTION_END;
}



/* &lambda1730 */
obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t BgL_envz00_3589, obj_t BgL_oz00_3590, obj_t BgL_vz00_3591)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3590)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3591)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1729 */
BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t BgL_envz00_3592, obj_t BgL_oz00_3593)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3593)))->BgL_mutexz00);} 
BGL_FUNCTION_END;
}



/* &lambda1725 */
obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3594, obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3595)))->BgL_locz00)=((obj_t)BgL_vz00_3596),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1724 */
obj_t BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t BgL_envz00_3597, obj_t BgL_oz00_3598)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3598)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1700> */
obj_t BGl_z62zc3anonymousza31700ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3599, obj_t BgL_new1120z00_3600)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_1614;
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4972;
BgL_new1120z00_1614 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3600); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4973;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2778;
BgL_classz00_2778 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1278z00_2779;
BgL__ortest_1278z00_2779 = 
BGL_CLASS_NIL(BgL_classz00_2778); 
if(
CBOOL(BgL__ortest_1278z00_2779))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4973 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2779)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4973 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2778))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1120z00_1614))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4973),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4981;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2780;
BgL_classz00_2780 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1278z00_2781;
BgL__ortest_1278z00_2781 = 
BGL_CLASS_NIL(BgL_classz00_2780); 
if(
CBOOL(BgL__ortest_1278z00_2781))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4981 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2781)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4981 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2780))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1120z00_1614))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4981),BUNSPEC); } 
BgL_auxz00_4972 = BgL_new1120z00_1614; 
return 
((obj_t)BgL_auxz00_4972);} } } 
BGL_FUNCTION_END;
}



/* &lambda1698 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t BgL_envz00_3601)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_4011;
BgL_new1119z00_4011 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1699z00_4012;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2288z00_4013;
BgL_res2288z00_4013 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1699z00_4012 = BgL_res2288z00_4013; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_4011), BgL_arg1699z00_4012); } 
return BgL_new1119z00_4011;} } 
BGL_FUNCTION_END;
}



/* &lambda1696 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t BgL_envz00_3602, obj_t BgL_handler1117z00_3603, obj_t BgL_body1118z00_3604)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_4016;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1222z00_4017;
BgL_new1222z00_4017 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1697z00_4018;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2287z00_4019;
BgL_res2287z00_4019 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1697z00_4018 = BgL_res2287z00_4019; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_4017), BgL_arg1697z00_4018); } 
BgL_new1223z00_4016 = BgL_new1222z00_4017; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_4016))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1117z00_3603)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_4016))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1118z00_3604)),BUNSPEC); 
return BgL_new1223z00_4016;} } 
BGL_FUNCTION_END;
}



/* &lambda1710 */
obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3605, obj_t BgL_oz00_3606, obj_t BgL_vz00_3607)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3606)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3607)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1709 */
BgL_ev_exprz00_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3608, obj_t BgL_oz00_3609)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3609)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1705 */
obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t BgL_envz00_3610, obj_t BgL_oz00_3611, obj_t BgL_vz00_3612)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3611)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3612)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1704 */
BgL_ev_exprz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3613, obj_t BgL_oz00_3614)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3614)))->BgL_handlerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1680> */
obj_t BGl_z62zc3anonymousza31680ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3615, obj_t BgL_new1115z00_3616)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_1573;
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5013;
BgL_new1115z00_1573 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3616); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5014;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2764;
BgL_classz00_2764 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1278z00_2765;
BgL__ortest_1278z00_2765 = 
BGL_CLASS_NIL(BgL_classz00_2764); 
if(
CBOOL(BgL__ortest_1278z00_2765))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5014 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2765)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5014 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2764))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1115z00_1573))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5014),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5022;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2766;
BgL_classz00_2766 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1278z00_2767;
BgL__ortest_1278z00_2767 = 
BGL_CLASS_NIL(BgL_classz00_2766); 
if(
CBOOL(BgL__ortest_1278z00_2767))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5022 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2767)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5022 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2766))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1115z00_1573))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5022),BUNSPEC); } 
BgL_auxz00_5013 = BgL_new1115z00_1573; 
return 
((obj_t)BgL_auxz00_5013);} } } 
BGL_FUNCTION_END;
}



/* &lambda1678 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3617)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_4031;
BgL_new1114z00_4031 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1679z00_4032;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2286z00_4033;
BgL_res2286z00_4033 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1679z00_4032 = BgL_res2286z00_4033; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_4031), BgL_arg1679z00_4032); } 
return BgL_new1114z00_4031;} } 
BGL_FUNCTION_END;
}



/* &lambda1676 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t BgL_envz00_3618, obj_t BgL_e1112z00_3619, obj_t BgL_body1113z00_3620)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4036;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1220z00_4037;
BgL_new1220z00_4037 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1677z00_4038;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2285z00_4039;
BgL_res2285z00_4039 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1677z00_4038 = BgL_res2285z00_4039; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_4037), BgL_arg1677z00_4038); } 
BgL_new1221z00_4036 = BgL_new1220z00_4037; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4036))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1112z00_3619)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4036))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1113z00_3620)),BUNSPEC); 
return BgL_new1221z00_4036;} } 
BGL_FUNCTION_END;
}



/* &lambda1690 */
obj_t BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t BgL_envz00_3621, obj_t BgL_oz00_3622, obj_t BgL_vz00_3623)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3622)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3623)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1689 */
BgL_ev_exprz00_bglt BGl_z62lambda1689z62zz__evaluate_typesz00(obj_t BgL_envz00_3624, obj_t BgL_oz00_3625)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3625)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1685 */
obj_t BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t BgL_envz00_3626, obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3627)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3628)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1684 */
BgL_ev_exprz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t BgL_envz00_3629, obj_t BgL_oz00_3630)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3630)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1658> */
obj_t BGl_z62zc3anonymousza31658ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3631, obj_t BgL_new1110z00_3632)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_1532;
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5054;
BgL_new1110z00_1532 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3632); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5055;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2750;
BgL_classz00_2750 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1278z00_2751;
BgL__ortest_1278z00_2751 = 
BGL_CLASS_NIL(BgL_classz00_2750); 
if(
CBOOL(BgL__ortest_1278z00_2751))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5055 = 
((BgL_ev_varz00_bglt)BgL__ortest_1278z00_2751)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5055 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2750))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1110z00_1532))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5055),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5063;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2752;
BgL_classz00_2752 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1278z00_2753;
BgL__ortest_1278z00_2753 = 
BGL_CLASS_NIL(BgL_classz00_2752); 
if(
CBOOL(BgL__ortest_1278z00_2753))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5063 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2753)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5063 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2752))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1110z00_1532))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5063),BUNSPEC); } 
BgL_auxz00_5054 = BgL_new1110z00_1532; 
return 
((obj_t)BgL_auxz00_5054);} } } 
BGL_FUNCTION_END;
}



/* &lambda1656 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_4051;
BgL_new1109z00_4051 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1657z00_4052;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2284z00_4053;
BgL_res2284z00_4053 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1657z00_4052 = BgL_res2284z00_4053; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_4051), BgL_arg1657z00_4052); } 
return BgL_new1109z00_4051;} } 
BGL_FUNCTION_END;
}



/* &lambda1654 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t BgL_envz00_3634, obj_t BgL_var1107z00_3635, obj_t BgL_body1108z00_3636)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4056;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1218z00_4057;
BgL_new1218z00_4057 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1655z00_4058;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2283z00_4059;
BgL_res2283z00_4059 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1655z00_4058 = BgL_res2283z00_4059; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_4057), BgL_arg1655z00_4058); } 
BgL_new1219z00_4056 = BgL_new1218z00_4057; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4056))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1107z00_3635)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4056))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1108z00_3636)),BUNSPEC); 
return BgL_new1219z00_4056;} } 
BGL_FUNCTION_END;
}



/* &lambda1668 */
obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t BgL_envz00_3637, obj_t BgL_oz00_3638, obj_t BgL_vz00_3639)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3638)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3639)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1667 */
BgL_ev_exprz00_bglt BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t BgL_envz00_3640, obj_t BgL_oz00_3641)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3641)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1663 */
obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3642, obj_t BgL_oz00_3643, obj_t BgL_vz00_3644)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3643)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3644)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1662 */
BgL_ev_varz00_bglt BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t BgL_envz00_3645, obj_t BgL_oz00_3646)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3646)))->BgL_varz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1646> */
obj_t BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3647, obj_t BgL_new1105z00_3648)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_new1105z00_1511;
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5095;
BgL_new1105z00_1511 = 
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3648); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5096;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_2738;
BgL_classz00_2738 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1278z00_2739;
BgL__ortest_1278z00_2739 = 
BGL_CLASS_NIL(BgL_classz00_2738); 
if(
CBOOL(BgL__ortest_1278z00_2739))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2739)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2738))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1105z00_1511)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5096),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1511)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1511)))->BgL_namez00)=((obj_t)BGl_symbol2684z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1511)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5095 = BgL_new1105z00_1511; 
return 
((obj_t)BgL_auxz00_5095);} } } 
BGL_FUNCTION_END;
}



/* &lambda1644 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t BgL_envz00_3649)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1104z00_4069;
BgL_new1104z00_4069 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1645z00_4070;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2282z00_4071;
BgL_res2282z00_4071 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1645z00_4070 = BgL_res2282z00_4071; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_4069), BgL_arg1645z00_4070); } 
return BgL_new1104z00_4069;} } 
BGL_FUNCTION_END;
}



/* &lambda1642 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t BgL_envz00_3650, obj_t BgL_e1100z00_3651, obj_t BgL_loc1101z00_3652, obj_t BgL_name1102z00_3653, obj_t BgL_mod1103z00_3654)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_4074;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1216z00_4075;
BgL_new1216z00_4075 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1643z00_4076;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2281z00_4077;
BgL_res2281z00_4077 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1643z00_4076 = BgL_res2281z00_4077; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_4075), BgL_arg1643z00_4076); } 
BgL_new1217z00_4074 = BgL_new1216z00_4075; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1217z00_4074)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1100z00_3651)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4074)))->BgL_locz00)=((obj_t)BgL_loc1101z00_3652),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4074)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1102z00_3653)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4074)))->BgL_modz00)=((obj_t)BgL_mod1103z00_3654),BUNSPEC); 
return BgL_new1217z00_4074;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1613> */
obj_t BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3655, obj_t BgL_new1098z00_3656)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_new1098z00_1458;
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5131;
BgL_new1098z00_1458 = 
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3656); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5132;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_2728;
BgL_classz00_2728 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1278z00_2729;
BgL__ortest_1278z00_2729 = 
BGL_CLASS_NIL(BgL_classz00_2728); 
if(
CBOOL(BgL__ortest_1278z00_2729))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5132 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2729)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5132 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2728))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1098z00_1458)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5132),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1098z00_1458))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1098z00_1458))->BgL_namez00)=((obj_t)BGl_symbol2684z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1098z00_1458))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5131 = BgL_new1098z00_1458; 
return 
((obj_t)BgL_auxz00_5131);} } } 
BGL_FUNCTION_END;
}



/* &lambda1611 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t BgL_envz00_3657)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1097z00_4081;
BgL_new1097z00_4081 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1612z00_4082;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2280z00_4083;
BgL_res2280z00_4083 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1612z00_4082 = BgL_res2280z00_4083; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_4081), BgL_arg1612z00_4082); } 
return BgL_new1097z00_4081;} } 
BGL_FUNCTION_END;
}



/* &lambda1609 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t BgL_envz00_3658, obj_t BgL_e1093z00_3659, obj_t BgL_loc1094z00_3660, obj_t BgL_name1095z00_3661, obj_t BgL_mod1096z00_3662)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_4086;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1214z00_4087;
BgL_new1214z00_4087 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1610z00_4088;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2279z00_4089;
BgL_res2279z00_4089 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1610z00_4088 = BgL_res2279z00_4089; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_4087), BgL_arg1610z00_4088); } 
BgL_new1215z00_4086 = BgL_new1214z00_4087; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1215z00_4086)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1093z00_3659)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4086))->BgL_locz00)=((obj_t)BgL_loc1094z00_3660),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4086))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1095z00_3661)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4086))->BgL_modz00)=((obj_t)BgL_mod1096z00_3662),BUNSPEC); 
return BgL_new1215z00_4086;} } 
BGL_FUNCTION_END;
}



/* &lambda1634 */
obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3663, obj_t BgL_oz00_3664, obj_t BgL_vz00_3665)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3664)))->BgL_modz00)=((obj_t)BgL_vz00_3665),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1633 */
obj_t BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t BgL_envz00_3666, obj_t BgL_oz00_3667)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3667)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1626 */
obj_t BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t BgL_envz00_3668, obj_t BgL_oz00_3669, obj_t BgL_vz00_3670)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3669)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3670)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1625 */
obj_t BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_oz00_3672)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3672)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1620 */
obj_t BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t BgL_envz00_3673, obj_t BgL_oz00_3674, obj_t BgL_vz00_3675)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3674)))->BgL_locz00)=((obj_t)BgL_vz00_3675),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1619 */
obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t BgL_envz00_3676, obj_t BgL_oz00_3677)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3677)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1598> */
obj_t BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3678, obj_t BgL_new1091z00_3679)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_new1091z00_1425;
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5174;
BgL_new1091z00_1425 = 
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3679); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5175;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2713;
BgL_classz00_2713 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1278z00_2714;
BgL__ortest_1278z00_2714 = 
BGL_CLASS_NIL(BgL_classz00_2713); 
if(
CBOOL(BgL__ortest_1278z00_2714))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2714)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2713))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1091z00_1425)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5175),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5184;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2715;
BgL_classz00_2715 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1278z00_2716;
BgL__ortest_1278z00_2716 = 
BGL_CLASS_NIL(BgL_classz00_2715); 
if(
CBOOL(BgL__ortest_1278z00_2716))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5184 = 
((BgL_ev_varz00_bglt)BgL__ortest_1278z00_2716)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5184 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2715))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1091z00_1425))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5184),BUNSPEC); } 
BgL_auxz00_5174 = BgL_new1091z00_1425; 
return 
((obj_t)BgL_auxz00_5174);} } } 
BGL_FUNCTION_END;
}



/* &lambda1596 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t BgL_envz00_3680)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1090z00_4102;
BgL_new1090z00_4102 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1597z00_4103;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2278z00_4104;
BgL_res2278z00_4104 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1597z00_4103 = BgL_res2278z00_4104; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_4102), BgL_arg1597z00_4103); } 
return BgL_new1090z00_4102;} } 
BGL_FUNCTION_END;
}



/* &lambda1593 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3681, obj_t BgL_e1088z00_3682, obj_t BgL_v1089z00_3683)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_4107;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1212z00_4108;
BgL_new1212z00_4108 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1595z00_4109;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2277z00_4110;
BgL_res2277z00_4110 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1595z00_4109 = BgL_res2277z00_4110; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_4108), BgL_arg1595z00_4109); } 
BgL_new1213z00_4107 = BgL_new1212z00_4108; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1213z00_4107)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1088z00_3682)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1213z00_4107))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1089z00_3683)),BUNSPEC); 
return BgL_new1213z00_4107;} } 
BGL_FUNCTION_END;
}



/* &lambda1603 */
obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t BgL_envz00_3684, obj_t BgL_oz00_3685, obj_t BgL_vz00_3686)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3685)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3686)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1602 */
BgL_ev_varz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t BgL_envz00_3687, obj_t BgL_oz00_3688)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3688)))->BgL_vz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1587> */
obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3689, obj_t BgL_new1086z00_3690)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_new1086z00_1404;
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5212;
BgL_new1086z00_1404 = 
((BgL_ev_trapz00_bglt)BgL_new1086z00_3690); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5213;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_2702;
BgL_classz00_2702 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1278z00_2703;
BgL__ortest_1278z00_2703 = 
BGL_CLASS_NIL(BgL_classz00_2702); 
if(
CBOOL(BgL__ortest_1278z00_2703))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5213 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2703)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5213 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2702))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1086z00_1404)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5213),BUNSPEC); } 
BgL_auxz00_5212 = BgL_new1086z00_1404; 
return 
((obj_t)BgL_auxz00_5212);} } } 
BGL_FUNCTION_END;
}



/* &lambda1585 */
BgL_ev_trapz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t BgL_envz00_3691)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1085z00_4117;
BgL_new1085z00_4117 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1586z00_4118;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2276z00_4119;
BgL_res2276z00_4119 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1586z00_4118 = BgL_res2276z00_4119; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_4117), BgL_arg1586z00_4118); } 
return BgL_new1085z00_4117;} } 
BGL_FUNCTION_END;
}



/* &lambda1583 */
BgL_ev_trapz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t BgL_envz00_3692, obj_t BgL_e1084z00_3693)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4121;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1210z00_4122;
BgL_new1210z00_4122 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1584z00_4123;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2275z00_4124;
BgL_res2275z00_4124 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1584z00_4123 = BgL_res2275z00_4124; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4122), BgL_arg1584z00_4123); } 
BgL_new1211z00_4121 = BgL_new1210z00_4122; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1211z00_4121)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1084z00_3693)),BUNSPEC); 
return BgL_new1211z00_4121;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1571> */
obj_t BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3694, obj_t BgL_new1082z00_3695)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_new1082z00_1374;
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5235;
BgL_new1082z00_1374 = 
((BgL_ev_hookz00_bglt)BgL_new1082z00_3695); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5236;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_2692;
BgL_classz00_2692 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1278z00_2693;
BgL__ortest_1278z00_2693 = 
BGL_CLASS_NIL(BgL_classz00_2692); 
if(
CBOOL(BgL__ortest_1278z00_2693))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5236 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2693)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5236 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2692))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1082z00_1374))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5236),BUNSPEC); } 
BgL_auxz00_5235 = BgL_new1082z00_1374; 
return 
((obj_t)BgL_auxz00_5235);} } } 
BGL_FUNCTION_END;
}



/* &lambda1569 */
BgL_ev_hookz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t BgL_envz00_3696)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1081z00_4128;
BgL_new1081z00_4128 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1570z00_4129;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2274z00_4130;
BgL_res2274z00_4130 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1570z00_4129 = BgL_res2274z00_4130; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_4128), BgL_arg1570z00_4129); } 
return BgL_new1081z00_4128;} } 
BGL_FUNCTION_END;
}



/* &lambda1567 */
BgL_ev_hookz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3697, obj_t BgL_e1080z00_3698)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4132;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1208z00_4133;
BgL_new1208z00_4133 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1568z00_4134;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2273z00_4135;
BgL_res2273z00_4135 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1568z00_4134 = BgL_res2273z00_4135; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4133), BgL_arg1568z00_4134); } 
BgL_new1209z00_4132 = BgL_new1208z00_4133; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1209z00_4132))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1080z00_3698)),BUNSPEC); 
return BgL_new1209z00_4132;} } 
BGL_FUNCTION_END;
}



/* &lambda1576 */
obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3699, obj_t BgL_oz00_3700, obj_t BgL_vz00_3701)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3700)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3701)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1575 */
BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t BgL_envz00_3702, obj_t BgL_oz00_3703)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3703)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1549> */
obj_t BGl_z62zc3anonymousza31549ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3704, obj_t BgL_new1078z00_3705)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_new1078z00_1334;
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5261;
BgL_new1078z00_1334 = 
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3705); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5262;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2679;
BgL_classz00_2679 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1278z00_2680;
BgL__ortest_1278z00_2680 = 
BGL_CLASS_NIL(BgL_classz00_2679); 
if(
CBOOL(BgL__ortest_1278z00_2680))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5262 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2680)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5262 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2679))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1078z00_1334))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5262),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5270;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2681;
BgL_classz00_2681 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1278z00_2682;
BgL__ortest_1278z00_2682 = 
BGL_CLASS_NIL(BgL_classz00_2681); 
if(
CBOOL(BgL__ortest_1278z00_2682))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5270 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2682)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5270 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2681))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1078z00_1334))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5270),BUNSPEC); } 
BgL_auxz00_5261 = BgL_new1078z00_1334; 
return 
((obj_t)BgL_auxz00_5261);} } } 
BGL_FUNCTION_END;
}



/* &lambda1547 */
BgL_ev_prog2z00_bglt BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t BgL_envz00_3706)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1077z00_4144;
BgL_new1077z00_4144 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1548z00_4145;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2272z00_4146;
BgL_res2272z00_4146 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1548z00_4145 = BgL_res2272z00_4146; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_4144), BgL_arg1548z00_4145); } 
return BgL_new1077z00_4144;} } 
BGL_FUNCTION_END;
}



/* &lambda1543 */
BgL_ev_prog2z00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3707, obj_t BgL_e11075z00_3708, obj_t BgL_e21076z00_3709)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4149;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1206z00_4150;
BgL_new1206z00_4150 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1546z00_4151;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2271z00_4152;
BgL_res2271z00_4152 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1546z00_4151 = BgL_res2271z00_4152; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4150), BgL_arg1546z00_4151); } 
BgL_new1207z00_4149 = BgL_new1206z00_4150; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4149))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11075z00_3708)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4149))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21076z00_3709)),BUNSPEC); 
return BgL_new1207z00_4149;} } 
BGL_FUNCTION_END;
}



/* &lambda1559 */
obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3710, obj_t BgL_oz00_3711, obj_t BgL_vz00_3712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3711)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3712)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1558 */
BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t BgL_envz00_3713, obj_t BgL_oz00_3714)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3714)))->BgL_e2z00);} 
BGL_FUNCTION_END;
}



/* &lambda1554 */
obj_t BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t BgL_envz00_3715, obj_t BgL_oz00_3716, obj_t BgL_vz00_3717)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3716)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3717)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1553 */
BgL_ev_exprz00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_oz00_3719)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3719)))->BgL_e1z00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1534> */
obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3720, obj_t BgL_new1073z00_3721)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_new1073z00_1313;
{ 
BgL_ev_andz00_bglt BgL_auxz00_5302;
BgL_new1073z00_1313 = 
((BgL_ev_andz00_bglt)BgL_new1073z00_3721); 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1073z00_1313)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5302 = BgL_new1073z00_1313; 
return 
((obj_t)BgL_auxz00_5302);} } } 
BGL_FUNCTION_END;
}



/* &lambda1532 */
BgL_ev_andz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t BgL_envz00_3722)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1072z00_4160;
BgL_new1072z00_4160 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1533z00_4161;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2270z00_4162;
BgL_res2270z00_4162 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1533z00_4161 = BgL_res2270z00_4162; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_4160), BgL_arg1533z00_4161); } 
return BgL_new1072z00_4160;} } 
BGL_FUNCTION_END;
}



/* &lambda1529 */
BgL_ev_andz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t BgL_envz00_3723, obj_t BgL_args1071z00_3724)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4163;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1204z00_4164;
BgL_new1204z00_4164 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1531z00_4165;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2269z00_4166;
BgL_res2269z00_4166 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1531z00_4165 = BgL_res2269z00_4166; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4164), BgL_arg1531z00_4165); } 
BgL_new1205z00_4163 = BgL_new1204z00_4164; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1205z00_4163)))->BgL_argsz00)=((obj_t)BgL_args1071z00_3724),BUNSPEC); 
return BgL_new1205z00_4163;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1522> */
obj_t BGl_z62zc3anonymousza31522ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3725, obj_t BgL_new1069z00_3726)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_new1069z00_1293;
{ 
BgL_ev_orz00_bglt BgL_auxz00_5317;
BgL_new1069z00_1293 = 
((BgL_ev_orz00_bglt)BgL_new1069z00_3726); 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1069z00_1293)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5317 = BgL_new1069z00_1293; 
return 
((obj_t)BgL_auxz00_5317);} } } 
BGL_FUNCTION_END;
}



/* &lambda1519 */
BgL_ev_orz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3727)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1068z00_4168;
BgL_new1068z00_4168 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1521z00_4169;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2268z00_4170;
BgL_res2268z00_4170 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1521z00_4169 = BgL_res2268z00_4170; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4168), BgL_arg1521z00_4169); } 
return BgL_new1068z00_4168;} } 
BGL_FUNCTION_END;
}



/* &lambda1517 */
BgL_ev_orz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t BgL_envz00_3728, obj_t BgL_args1067z00_3729)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4171;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1202z00_4172;
BgL_new1202z00_4172 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1518z00_4173;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2267z00_4174;
BgL_res2267z00_4174 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1518z00_4173 = BgL_res2267z00_4174; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4172), BgL_arg1518z00_4173); } 
BgL_new1203z00_4171 = BgL_new1202z00_4172; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1203z00_4171)))->BgL_argsz00)=((obj_t)BgL_args1067z00_3729),BUNSPEC); 
return BgL_new1203z00_4171;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1506> */
obj_t BGl_z62zc3anonymousza31506ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3730, obj_t BgL_new1065z00_3731)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_new1065z00_1263;
{ 
BgL_ev_listz00_bglt BgL_auxz00_5332;
BgL_new1065z00_1263 = 
((BgL_ev_listz00_bglt)BgL_new1065z00_3731); 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1065z00_1263))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5332 = BgL_new1065z00_1263; 
return 
((obj_t)BgL_auxz00_5332);} } } 
BGL_FUNCTION_END;
}



/* &lambda1504 */
BgL_ev_listz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3732)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1064z00_4176;
BgL_new1064z00_4176 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1505z00_4177;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2266z00_4178;
BgL_res2266z00_4178 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1505z00_4177 = BgL_res2266z00_4178; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_4176), BgL_arg1505z00_4177); } 
return BgL_new1064z00_4176;} } 
BGL_FUNCTION_END;
}



/* &lambda1502 */
BgL_ev_listz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t BgL_envz00_3733, obj_t BgL_args1063z00_3734)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4179;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1200z00_4180;
BgL_new1200z00_4180 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1503z00_4181;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2265z00_4182;
BgL_res2265z00_4182 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1503z00_4181 = BgL_res2265z00_4182; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4180), BgL_arg1503z00_4181); } 
BgL_new1201z00_4179 = BgL_new1200z00_4180; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1201z00_4179))->BgL_argsz00)=((obj_t)BgL_args1063z00_3734),BUNSPEC); 
return BgL_new1201z00_4179;} } 
BGL_FUNCTION_END;
}



/* &lambda1511 */
obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t BgL_envz00_3735, obj_t BgL_oz00_3736, obj_t BgL_vz00_3737)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3736)))->BgL_argsz00)=((obj_t)BgL_vz00_3737),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1510 */
obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3738, obj_t BgL_oz00_3739)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3739)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1480> */
obj_t BGl_z62zc3anonymousza31480ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3740, obj_t BgL_new1061z00_3741)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_new1061z00_1213;
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5349;
BgL_new1061z00_1213 = 
((BgL_ev_ifz00_bglt)BgL_new1061z00_3741); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5350;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2638;
BgL_classz00_2638 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1278z00_2639;
BgL__ortest_1278z00_2639 = 
BGL_CLASS_NIL(BgL_classz00_2638); 
if(
CBOOL(BgL__ortest_1278z00_2639))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5350 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2639)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5350 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2638))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1061z00_1213))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5350),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5358;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2640;
BgL_classz00_2640 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1278z00_2641;
BgL__ortest_1278z00_2641 = 
BGL_CLASS_NIL(BgL_classz00_2640); 
if(
CBOOL(BgL__ortest_1278z00_2641))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5358 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2641)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5358 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2640))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1061z00_1213))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5358),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5366;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2642;
BgL_classz00_2642 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1278z00_2643;
BgL__ortest_1278z00_2643 = 
BGL_CLASS_NIL(BgL_classz00_2642); 
if(
CBOOL(BgL__ortest_1278z00_2643))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5366 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1278z00_2643)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5366 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2642))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1061z00_1213))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5366),BUNSPEC); } 
BgL_auxz00_5349 = BgL_new1061z00_1213; 
return 
((obj_t)BgL_auxz00_5349);} } } 
BGL_FUNCTION_END;
}



/* &lambda1478 */
BgL_ev_ifz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t BgL_envz00_3742)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1059z00_4192;
BgL_new1059z00_4192 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1479z00_4193;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2264z00_4194;
BgL_res2264z00_4194 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1479z00_4193 = BgL_res2264z00_4194; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_4192), BgL_arg1479z00_4193); } 
return BgL_new1059z00_4192;} } 
BGL_FUNCTION_END;
}



/* &lambda1476 */
BgL_ev_ifz00_bglt BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3743, obj_t BgL_p1056z00_3744, obj_t BgL_t1057z00_3745, obj_t BgL_e1058z00_3746)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4198;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1198z00_4199;
BgL_new1198z00_4199 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1477z00_4200;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2263z00_4201;
BgL_res2263z00_4201 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1477z00_4200 = BgL_res2263z00_4201; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4199), BgL_arg1477z00_4200); } 
BgL_new1199z00_4198 = BgL_new1198z00_4199; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4198))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1056z00_3744)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4198))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1057z00_3745)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4198))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1058z00_3746)),BUNSPEC); 
return BgL_new1199z00_4198;} } 
BGL_FUNCTION_END;
}



/* &lambda1496 */
obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_oz00_3748, obj_t BgL_vz00_3749)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3748)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3749)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1495 */
BgL_ev_exprz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t BgL_envz00_3750, obj_t BgL_oz00_3751)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3751)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &lambda1491 */
obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t BgL_envz00_3752, obj_t BgL_oz00_3753, obj_t BgL_vz00_3754)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3753)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3754)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1490 */
BgL_ev_exprz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t BgL_envz00_3755, obj_t BgL_oz00_3756)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3756)))->BgL_tz00);} 
BGL_FUNCTION_END;
}



/* &lambda1485 */
obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t BgL_envz00_3757, obj_t BgL_oz00_3758, obj_t BgL_vz00_3759)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3758)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3759)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1484 */
BgL_ev_exprz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3760, obj_t BgL_oz00_3761)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3761)))->BgL_pz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1465> */
obj_t BGl_z62zc3anonymousza31465ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3762, obj_t BgL_new1054z00_3763)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_new1054z00_1181;
{ 
BgL_ev_littz00_bglt BgL_auxz00_5405;
BgL_new1054z00_1181 = 
((BgL_ev_littz00_bglt)BgL_new1054z00_3763); 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1054z00_1181))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5405 = BgL_new1054z00_1181; 
return 
((obj_t)BgL_auxz00_5405);} } } 
BGL_FUNCTION_END;
}



/* &lambda1463 */
BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t BgL_envz00_3764)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1053z00_4212;
BgL_new1053z00_4212 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1464z00_4213;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2262z00_4214;
BgL_res2262z00_4214 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1464z00_4213 = BgL_res2262z00_4214; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_4212), BgL_arg1464z00_4213); } 
return BgL_new1053z00_4212;} } 
BGL_FUNCTION_END;
}



/* &lambda1461 */
BgL_ev_littz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3765, obj_t BgL_value1052z00_3766)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4215;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1196z00_4216;
BgL_new1196z00_4216 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1462z00_4217;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2261z00_4218;
BgL_res2261z00_4218 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1462z00_4217 = BgL_res2261z00_4218; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4216), BgL_arg1462z00_4217); } 
BgL_new1197z00_4215 = BgL_new1196z00_4216; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1197z00_4215))->BgL_valuez00)=((obj_t)BgL_value1052z00_3766),BUNSPEC); 
return BgL_new1197z00_4215;} } 
BGL_FUNCTION_END;
}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3767, obj_t BgL_oz00_3768, obj_t BgL_vz00_3769)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3768)))->BgL_valuez00)=((obj_t)BgL_vz00_3769),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1469 */
obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t BgL_envz00_3770, obj_t BgL_oz00_3771)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3771)))->BgL_valuez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1438> */
obj_t BGl_z62zc3anonymousza31438ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3772, obj_t BgL_new1050z00_3773)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_new1050z00_1131;
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5422;
BgL_new1050z00_1131 = 
((BgL_ev_globalz00_bglt)BgL_new1050z00_3773); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1131))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1131))->BgL_namez00)=((obj_t)BGl_symbol2684z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1131))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5422 = BgL_new1050z00_1131; 
return 
((obj_t)BgL_auxz00_5422);} } } 
BGL_FUNCTION_END;
}



/* &lambda1436 */
BgL_ev_globalz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t BgL_envz00_3774)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1049z00_4222;
BgL_new1049z00_4222 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1437z00_4223;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2260z00_4224;
BgL_res2260z00_4224 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1437z00_4223 = BgL_res2260z00_4224; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_4222), BgL_arg1437z00_4223); } 
return BgL_new1049z00_4222;} } 
BGL_FUNCTION_END;
}



/* &lambda1434 */
BgL_ev_globalz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3775, obj_t BgL_loc1046z00_3776, obj_t BgL_name1047z00_3777, obj_t BgL_mod1048z00_3778)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4226;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1194z00_4227;
BgL_new1194z00_4227 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1435z00_4228;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2259z00_4229;
BgL_res2259z00_4229 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1435z00_4228 = BgL_res2259z00_4229; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4227), BgL_arg1435z00_4228); } 
BgL_new1195z00_4226 = BgL_new1194z00_4227; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4226))->BgL_locz00)=((obj_t)BgL_loc1046z00_3776),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4226))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1047z00_3777)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4226))->BgL_modz00)=((obj_t)BgL_mod1048z00_3778),BUNSPEC); 
return BgL_new1195z00_4226;} } 
BGL_FUNCTION_END;
}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3779, obj_t BgL_oz00_3780, obj_t BgL_vz00_3781)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3780)))->BgL_modz00)=((obj_t)BgL_vz00_3781),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3782, obj_t BgL_oz00_3783)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3783)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1450 */
obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t BgL_envz00_3784, obj_t BgL_oz00_3785, obj_t BgL_vz00_3786)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3785)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3786)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3787, obj_t BgL_oz00_3788)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3788)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1444 */
obj_t BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t BgL_envz00_3789, obj_t BgL_oz00_3790, obj_t BgL_vz00_3791)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3790)))->BgL_locz00)=((obj_t)BgL_vz00_3791),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1443 */
obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3792, obj_t BgL_oz00_3793)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3793)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1405> */
obj_t BGl_z62zc3anonymousza31405ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3794, obj_t BgL_new1044z00_3795)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_new1044z00_1076;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5453;
BgL_new1044z00_1076 = 
((BgL_ev_varz00_bglt)BgL_new1044z00_3795); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1076))->BgL_namez00)=((obj_t)BGl_symbol2684z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1076))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1076))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5453 = BgL_new1044z00_1076; 
return 
((obj_t)BgL_auxz00_5453);} } } 
BGL_FUNCTION_END;
}



/* &lambda1403 */
BgL_ev_varz00_bglt BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t BgL_envz00_3796)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1043z00_4238;
BgL_new1043z00_4238 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1404z00_4239;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2258z00_4240;
BgL_res2258z00_4240 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1404z00_4239 = BgL_res2258z00_4240; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1043z00_4238), BgL_arg1404z00_4239); } 
return BgL_new1043z00_4238;} } 
BGL_FUNCTION_END;
}



/* &lambda1401 */
BgL_ev_varz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t BgL_envz00_3797, obj_t BgL_name1040z00_3798, obj_t BgL_eff1041z00_3799, obj_t BgL_type1042z00_3800)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4242;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1192z00_4243;
BgL_new1192z00_4243 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1402z00_4244;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2257z00_4245;
BgL_res2257z00_4245 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1402z00_4244 = BgL_res2257z00_4245; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4243), BgL_arg1402z00_4244); } 
BgL_new1193z00_4242 = BgL_new1192z00_4243; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4242))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1040z00_3798)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4242))->BgL_effz00)=((obj_t)BgL_eff1041z00_3799),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4242))->BgL_typez00)=((obj_t)BgL_type1042z00_3800),BUNSPEC); 
return BgL_new1193z00_4242;} } 
BGL_FUNCTION_END;
}



/* &lambda1427 */
obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t BgL_envz00_3801, obj_t BgL_oz00_3802, obj_t BgL_vz00_3803)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3802)))->BgL_typez00)=((obj_t)BgL_vz00_3803),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1426 */
obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t BgL_envz00_3804, obj_t BgL_oz00_3805)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3805)))->BgL_typez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1422> */
obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3806)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1421 */
obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t BgL_envz00_3807, obj_t BgL_oz00_3808, obj_t BgL_vz00_3809)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3808)))->BgL_effz00)=((obj_t)BgL_vz00_3809),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1420 */
obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t BgL_envz00_3810, obj_t BgL_oz00_3811)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3811)))->BgL_effz00);} 
BGL_FUNCTION_END;
}



/* &lambda1414 */
obj_t BGl_z62lambda1414z62zz__evaluate_typesz00(obj_t BgL_envz00_3812, obj_t BgL_oz00_3813, obj_t BgL_vz00_3814)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3813)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3814)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1413 */
obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t BgL_envz00_3815, obj_t BgL_oz00_3816)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3816)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1395> */
obj_t BGl_z62zc3anonymousza31395ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3817, obj_t BgL_new1038z00_3818)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ 
BgL_ev_exprz00_bglt BgL_new1038z00_1054;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5485;
BgL_new1038z00_1054 = 
((BgL_ev_exprz00_bglt)BgL_new1038z00_3818); 
BgL_auxz00_5485 = BgL_new1038z00_1054; 
return 
((obj_t)BgL_auxz00_5485);} } } 
BGL_FUNCTION_END;
}



/* &lambda1393 */
BgL_ev_exprz00_bglt BGl_z62lambda1393z62zz__evaluate_typesz00(obj_t BgL_envz00_3819)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1037z00_4254;
BgL_new1037z00_4254 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1394z00_4255;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2256z00_4256;
BgL_res2256z00_4256 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1394z00_4255 = BgL_res2256z00_4256; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1037z00_4254), BgL_arg1394z00_4255); } 
return BgL_new1037z00_4254;} } 
BGL_FUNCTION_END;
}



/* &lambda1391 */
BgL_ev_exprz00_bglt BGl_z62lambda1391z62zz__evaluate_typesz00(obj_t BgL_envz00_3820)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4257;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1190z00_4258;
BgL_new1190z00_4258 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1392z00_4259;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2255z00_4260;
BgL_res2255z00_4260 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1392z00_4259 = BgL_res2255z00_4260; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_4258), BgL_arg1392z00_4259); } 
BgL_new1191z00_4257 = BgL_new1190z00_4258; } 
return BgL_new1191z00_4257;} } 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117125), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564244), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)338601822), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262938), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-298277921), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089688), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758625), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
