/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol3291z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3294z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3296z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3298z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31360ze3ze1zz__evaluatez00(obj_t);
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_keyword3322z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3300z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3302z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3304z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3306z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3308z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3310z00zz__evaluatez00 = BUNSPEC;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol3312z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3314z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3316z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3318z00zz__evaluatez00 = BUNSPEC;
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3320z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3324z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol3211z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3219z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol3221z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3223z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_symbol3224z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3226z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_symbol3228z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol3230z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3232z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3234z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3236z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3237z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3239z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	static obj_t BGl_symbol3241z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3243z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3245z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3247z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3249z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3251z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3253z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3255z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3257z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3259z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_symbol3261z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3263z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3265z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3267z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3269z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static obj_t BGl_symbol3271z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3273z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3275z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3277z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3279z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol3281z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3283z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3285z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3289z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3327z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3205z00zz__evaluatez00,
		BgL_bgl_string3205za700za7za7_3328za7, "", 0);
	      DEFINE_STRING(BGl_string3206z00zz__evaluatez00,
		BgL_bgl_string3206za700za7za7_3329za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string3207z00zz__evaluatez00,
		BgL_bgl_string3207za700za7za7_3330za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string3208z00zz__evaluatez00,
		BgL_bgl_string3208za700za7za7_3331za7, "bint", 4);
	      DEFINE_STRING(BGl_string3209z00zz__evaluatez00,
		BgL_bgl_string3209za700za7za7_3332za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string3210z00zz__evaluatez00,
		BgL_bgl_string3210za700za7za7_3333za7, "vector", 6);
	      DEFINE_STRING(BGl_string3212z00zz__evaluatez00,
		BgL_bgl_string3212za700za7za7_3334za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string3213z00zz__evaluatez00,
		BgL_bgl_string3213za700za7za7_3335za7, "eval", 4);
	      DEFINE_STRING(BGl_string3214z00zz__evaluatez00,
		BgL_bgl_string3214za700za7za7_3336za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string3215z00zz__evaluatez00,
		BgL_bgl_string3215za700za7za7_3337za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string3216z00zz__evaluatez00,
		BgL_bgl_string3216za700za7za7_3338za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string3217z00zz__evaluatez00,
		BgL_bgl_string3217za700za7za7_3339za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string3218z00zz__evaluatez00,
		BgL_bgl_string3218za700za7za7_3340za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string3220z00zz__evaluatez00,
		BgL_bgl_string3220za700za7za7_3341za7, "pair", 4);
	      DEFINE_STRING(BGl_string3222z00zz__evaluatez00,
		BgL_bgl_string3222za700za7za7_3342za7, "pair?", 5);
	      DEFINE_STRING(BGl_string3225z00zz__evaluatez00,
		BgL_bgl_string3225za700za7za7_3343za7, "vector?", 7);
	      DEFINE_STRING(BGl_string3227z00zz__evaluatez00,
		BgL_bgl_string3227za700za7za7_3344za7, "symbol", 6);
	      DEFINE_STRING(BGl_string3229z00zz__evaluatez00,
		BgL_bgl_string3229za700za7za7_3345za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string3231z00zz__evaluatez00,
		BgL_bgl_string3231za700za7za7_3346za7, "char", 4);
	      DEFINE_STRING(BGl_string3233z00zz__evaluatez00,
		BgL_bgl_string3233za700za7za7_3347za7, "char?", 5);
	      DEFINE_STRING(BGl_string3235z00zz__evaluatez00,
		BgL_bgl_string3235za700za7za7_3348za7, "int", 3);
	      DEFINE_STRING(BGl_string3238z00zz__evaluatez00,
		BgL_bgl_string3238za700za7za7_3349za7, "integer?", 8);
	      DEFINE_STRING(BGl_string3240z00zz__evaluatez00,
		BgL_bgl_string3240za700za7za7_3350za7, "real", 4);
	      DEFINE_STRING(BGl_string3242z00zz__evaluatez00,
		BgL_bgl_string3242za700za7za7_3351za7, "breal", 5);
	      DEFINE_STRING(BGl_string3244z00zz__evaluatez00,
		BgL_bgl_string3244za700za7za7_3352za7, "real?", 5);
	      DEFINE_STRING(BGl_string3246z00zz__evaluatez00,
		BgL_bgl_string3246za700za7za7_3353za7, "bool", 4);
	      DEFINE_STRING(BGl_string3248z00zz__evaluatez00,
		BgL_bgl_string3248za700za7za7_3354za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string3250z00zz__evaluatez00,
		BgL_bgl_string3250za700za7za7_3355za7, "struct", 6);
	      DEFINE_STRING(BGl_string3252z00zz__evaluatez00,
		BgL_bgl_string3252za700za7za7_3356za7, "struct?", 7);
	      DEFINE_STRING(BGl_string3254z00zz__evaluatez00,
		BgL_bgl_string3254za700za7za7_3357za7, "class", 5);
	      DEFINE_STRING(BGl_string3256z00zz__evaluatez00,
		BgL_bgl_string3256za700za7za7_3358za7, "class?", 6);
	      DEFINE_STRING(BGl_string3258z00zz__evaluatez00,
		BgL_bgl_string3258za700za7za7_3359za7, "string", 6);
	      DEFINE_STRING(BGl_string3260z00zz__evaluatez00,
		BgL_bgl_string3260za700za7za7_3360za7, "bstring", 7);
	      DEFINE_STRING(BGl_string3262z00zz__evaluatez00,
		BgL_bgl_string3262za700za7za7_3361za7, "string?", 7);
	      DEFINE_STRING(BGl_string3264z00zz__evaluatez00,
		BgL_bgl_string3264za700za7za7_3362za7, "o", 1);
	      DEFINE_STRING(BGl_string3266z00zz__evaluatez00,
		BgL_bgl_string3266za700za7za7_3363za7, "quote", 5);
	      DEFINE_STRING(BGl_string3268z00zz__evaluatez00,
		BgL_bgl_string3268za700za7za7_3364za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string3270z00zz__evaluatez00,
		BgL_bgl_string3270za700za7za7_3365za7, "c", 1);
	      DEFINE_STRING(BGl_string3272z00zz__evaluatez00,
		BgL_bgl_string3272za700za7za7_3366za7, "isa?", 4);
	      DEFINE_STRING(BGl_string3274z00zz__evaluatez00,
		BgL_bgl_string3274za700za7za7_3367za7, "if", 2);
	      DEFINE_STRING(BGl_string3276z00zz__evaluatez00,
		BgL_bgl_string3276za700za7za7_3368za7, "let", 3);
	      DEFINE_STRING(BGl_string3278z00zz__evaluatez00,
		BgL_bgl_string3278za700za7za7_3369za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3280z00zz__evaluatez00,
		BgL_bgl_string3280za700za7za7_3370za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string3282z00zz__evaluatez00,
		BgL_bgl_string3282za700za7za7_3371za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string3284z00zz__evaluatez00,
		BgL_bgl_string3284za700za7za7_3372za7, "at", 2);
	      DEFINE_STRING(BGl_string3286z00zz__evaluatez00,
		BgL_bgl_string3286za700za7za7_3373za7, "tmp", 3);
	      DEFINE_STRING(BGl_string3287z00zz__evaluatez00,
		BgL_bgl_string3287za700za7za7_3374za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3288z00zz__evaluatez00,
		BgL_bgl_string3288za700za7za7_3375za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3290z00zz__evaluatez00,
		BgL_bgl_string3290za700za7za7_3376za7, "begin", 5);
	      DEFINE_STRING(BGl_string3292z00zz__evaluatez00,
		BgL_bgl_string3292za700za7za7_3377za7, " ", 1);
	      DEFINE_STRING(BGl_string3293z00zz__evaluatez00,
		BgL_bgl_string3293za700za7za7_3378za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3295z00zz__evaluatez00,
		BgL_bgl_string3295za700za7za7_3379za7, "module", 6);
	      DEFINE_STRING(BGl_string3297z00zz__evaluatez00,
		BgL_bgl_string3297za700za7za7_3380za7, "@", 1);
	      DEFINE_STRING(BGl_string3299z00zz__evaluatez00,
		BgL_bgl_string3299za700za7za7_3381za7, "->", 2);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string3301z00zz__evaluatez00,
		BgL_bgl_string3301za700za7za7_3382za7, "trap", 4);
	      DEFINE_STRING(BGl_string3303z00zz__evaluatez00,
		BgL_bgl_string3303za700za7za7_3383za7, "or", 2);
	      DEFINE_STRING(BGl_string3305z00zz__evaluatez00,
		BgL_bgl_string3305za700za7za7_3384za7, "and", 3);
	      DEFINE_STRING(BGl_string3307z00zz__evaluatez00,
		BgL_bgl_string3307za700za7za7_3385za7, "let*", 4);
	      DEFINE_STRING(BGl_string3309z00zz__evaluatez00,
		BgL_bgl_string3309za700za7za7_3386za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3311z00zz__evaluatez00,
		BgL_bgl_string3311za700za7za7_3387za7, "set!", 4);
	      DEFINE_STRING(BGl_string3313z00zz__evaluatez00,
		BgL_bgl_string3313za700za7za7_3388za7, "define", 6);
	      DEFINE_STRING(BGl_string3315z00zz__evaluatez00,
		BgL_bgl_string3315za700za7za7_3389za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3317z00zz__evaluatez00,
		BgL_bgl_string3317za700za7za7_3390za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3319z00zz__evaluatez00,
		BgL_bgl_string3319za700za7za7_3391za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3321z00zz__evaluatez00,
		BgL_bgl_string3321za700za7za7_3392za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3323z00zz__evaluatez00,
		BgL_bgl_string3323za700za7za7_3393za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3325z00zz__evaluatez00,
		BgL_bgl_string3325za700za7za7_3394za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3326z00zz__evaluatez00,
		BgL_bgl_string3326za700za7za7_3395za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3396z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3397z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3398z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73399za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol3291z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3294z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3296z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3298z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3322z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3300z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3302z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3304z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3306z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3308z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3310z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3312z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3314z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3316z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3318z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3320z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3324z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3211z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3219z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3221z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3223z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3224z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3226z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3228z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3230z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3232z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3234z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3236z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3237z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3239z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3241z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3243z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3245z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3247z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3249z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3251z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3253z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3255z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3257z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3259z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3261z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3263z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3265z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3267z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3269z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3271z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3273z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3275z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3277z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3279z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3281z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3283z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3285z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3289z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4924, char *BgL_fromz00_4925)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol3211z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3212z00zz__evaluatez00);
			BGl_symbol3219z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3220z00zz__evaluatez00);
			BGl_symbol3221z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3222z00zz__evaluatez00);
			BGl_symbol3223z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3210z00zz__evaluatez00);
			BGl_symbol3224z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3225z00zz__evaluatez00);
			BGl_symbol3226z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3227z00zz__evaluatez00);
			BGl_symbol3228z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3229z00zz__evaluatez00);
			BGl_symbol3230z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3231z00zz__evaluatez00);
			BGl_symbol3232z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3233z00zz__evaluatez00);
			BGl_symbol3234z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3235z00zz__evaluatez00);
			BGl_symbol3236z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3208z00zz__evaluatez00);
			BGl_symbol3237z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3238z00zz__evaluatez00);
			BGl_symbol3239z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3240z00zz__evaluatez00);
			BGl_symbol3241z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3242z00zz__evaluatez00);
			BGl_symbol3243z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3244z00zz__evaluatez00);
			BGl_symbol3245z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3246z00zz__evaluatez00);
			BGl_symbol3247z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3248z00zz__evaluatez00);
			BGl_symbol3249z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3250z00zz__evaluatez00);
			BGl_symbol3251z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3252z00zz__evaluatez00);
			BGl_symbol3253z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3254z00zz__evaluatez00);
			BGl_symbol3255z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3256z00zz__evaluatez00);
			BGl_symbol3257z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3258z00zz__evaluatez00);
			BGl_symbol3259z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3260z00zz__evaluatez00);
			BGl_symbol3261z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3262z00zz__evaluatez00);
			BGl_symbol3263z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3264z00zz__evaluatez00);
			BGl_symbol3265z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3266z00zz__evaluatez00);
			BGl_symbol3267z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3268z00zz__evaluatez00);
			BGl_symbol3269z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3270z00zz__evaluatez00);
			BGl_symbol3271z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3272z00zz__evaluatez00);
			BGl_symbol3273z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3274z00zz__evaluatez00);
			BGl_symbol3275z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3276z00zz__evaluatez00);
			BGl_symbol3277z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3278z00zz__evaluatez00);
			BGl_symbol3279z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3280z00zz__evaluatez00);
			BGl_symbol3281z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3282z00zz__evaluatez00);
			BGl_symbol3283z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3284z00zz__evaluatez00);
			BGl_symbol3285z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3286z00zz__evaluatez00);
			BGl_symbol3289z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3290z00zz__evaluatez00);
			BGl_symbol3291z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3292z00zz__evaluatez00);
			BGl_symbol3294z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3295z00zz__evaluatez00);
			BGl_symbol3296z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3297z00zz__evaluatez00);
			BGl_symbol3298z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3299z00zz__evaluatez00);
			BGl_symbol3300z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3301z00zz__evaluatez00);
			BGl_symbol3302z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3303z00zz__evaluatez00);
			BGl_symbol3304z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3305z00zz__evaluatez00);
			BGl_symbol3306z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3307z00zz__evaluatez00);
			BGl_symbol3308z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3309z00zz__evaluatez00);
			BGl_symbol3310z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3311z00zz__evaluatez00);
			BGl_symbol3312z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3313z00zz__evaluatez00);
			BGl_symbol3314z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3315z00zz__evaluatez00);
			BGl_symbol3316z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3317z00zz__evaluatez00);
			BGl_symbol3318z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3319z00zz__evaluatez00);
			BGl_symbol3320z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3321z00zz__evaluatez00);
			BGl_keyword3322z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3323z00zz__evaluatez00);
			return (BGl_symbol3324z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3325z00zz__evaluatez00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1122;

				BgL_headz00_1122 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3104;
					obj_t BgL_tailz00_3105;

					BgL_prevz00_3104 = BgL_headz00_1122;
					BgL_tailz00_3105 = BgL_l1z00_1;
				BgL_loopz00_3103:
					if (PAIRP(BgL_tailz00_3105))
						{
							obj_t BgL_newzd2prevzd2_3111;

							BgL_newzd2prevzd2_3111 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3105), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3104, BgL_newzd2prevzd2_3111);
							{
								obj_t BgL_tailz00_4995;
								obj_t BgL_prevz00_4994;

								BgL_prevz00_4994 = BgL_newzd2prevzd2_3111;
								BgL_tailz00_4995 = CDR(BgL_tailz00_3105);
								BgL_tailz00_3105 = BgL_tailz00_4995;
								BgL_prevz00_3104 = BgL_prevz00_4994;
								goto BgL_loopz00_3103;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1122);
			}
		}
		BGL_FUNCTION_END;
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1130;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_res2829z00_3121;

					{	/* Eval/evaluate.scm 74 */
						obj_t BgL_arg2624z00_3120;

						BgL_arg2624z00_3120 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2829z00_3121 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2624z00_3120);
					}
					BgL_stringz00_1130 = BgL_res2829z00_3121;
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1131;

					BgL_lenz00_1131 = STRING_LENGTH(BgL_stringz00_1130);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1133;

							BgL_walkerz00_1133 = ((long) 0);
						BgL_zc3anonymousza31322ze3z83_1134:
							if ((BgL_walkerz00_1133 == BgL_lenz00_1131))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_testz00_5004;

									if (
										(STRING_REF(BgL_stringz00_1130,
												BgL_walkerz00_1133) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1133 < (BgL_lenz00_1131 - ((long) 1))))
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_5004 =
														(STRING_REF(BgL_stringz00_1130,
															(BgL_walkerz00_1133 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_5004 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_testz00_5004 = ((bool_t) 0);
										}
									if (BgL_testz00_5004)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1335z00_1145;
											obj_t BgL_arg1336z00_1146;

											BgL_arg1335z00_1145 =
												bstring_to_symbol(c_substring(BgL_stringz00_1130,
													((long) 0), BgL_walkerz00_1133));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1338z00_1148;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1339z00_1149;

													BgL_arg1339z00_1149 =
														(BgL_walkerz00_1133 + ((long) 2));
													{	/* Ieee/string.scm 186 */
														long BgL_endz00_1152;

														BgL_endz00_1152 = STRING_LENGTH(BgL_stringz00_1130);
														{	/* Ieee/string.scm 186 */

															BgL_arg1338z00_1148 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1130, BgL_arg1339z00_1149,
																BgL_endz00_1152);
												}}}
												BgL_arg1336z00_1146 =
													bstring_to_symbol(BgL_arg1338z00_1148);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1335z00_1145,
												BgL_arg1336z00_1146);
										}
									else
										{
											long BgL_walkerz00_5021;

											BgL_walkerz00_5021 = (BgL_walkerz00_1133 + ((long) 1));
											BgL_walkerz00_1133 = BgL_walkerz00_5021;
											goto BgL_zc3anonymousza31322ze3z83_1134;
										}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1161;

				BgL_sz00_1161 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1162;

					BgL_bpz00_1162 = VECTOR_REF(((obj_t) BgL_sz00_1161), ((long) 0));
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1163;

						BgL_rz00_1163 =
							make_vector(
							(long) CINT(BgL_bpz00_1162), BGl_string3205z00zz__evaluatez00);
						{
							long BgL_iz00_3170;

							BgL_iz00_3170 = ((long) 0);
						BgL_recz00_3169:
							if ((BgL_iz00_3170 < (long) CINT(BgL_bpz00_1162)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1348z00_3175;

										BgL_arg1348z00_3175 =
											VECTOR_REF(((obj_t) BgL_sz00_1161), BgL_iz00_3170);
										VECTOR_SET(BgL_rz00_1163, BgL_iz00_3170,
											BgL_arg1348z00_3175);
									}
									{
										long BgL_iz00_5034;

										BgL_iz00_5034 = (BgL_iz00_3170 + ((long) 1));
										BgL_iz00_3170 = BgL_iz00_5034;
										goto BgL_recz00_3169;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1163;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4881)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
		BGL_FUNCTION_END;
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1171;

				BgL_sz00_1171 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1172;

					BgL_bpz00_1172 = VECTOR_REF(((obj_t) BgL_vz00_4), ((long) 0));
					{
						long BgL_iz00_3194;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_5040;

							BgL_iz00_3194 = ((long) 0);
						BgL_recz00_3193:
							if ((BgL_iz00_3194 < (long) CINT(BgL_bpz00_1172)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1352z00_3199;

										BgL_arg1352z00_3199 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3194);
										VECTOR_SET(
											((obj_t) BgL_sz00_1171), BgL_iz00_3194,
											BgL_arg1352z00_3199);
									}
									{
										long BgL_iz00_5048;

										BgL_iz00_5048 = (BgL_iz00_3194 + ((long) 1));
										BgL_iz00_3194 = BgL_iz00_5048;
										goto BgL_recz00_3193;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_5040 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_5040);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4882, obj_t BgL_vz00_4883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4883);
		}
		BGL_FUNCTION_END;
	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3207;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5052;

					BgL_tmpz00_5052 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3207 = BGL_ENV_EVSTATE(BgL_tmpz00_5052);
				}
				return
					VECTOR_SET(((obj_t) BgL_sz00_3207), ((long) 0), BINT(BgL_bpz00_5));
		}}
		BGL_FUNCTION_END;
	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4884, obj_t BgL_bpz00_4885)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_5058;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5059;

					if (INTEGERP(BgL_bpz00_4885))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_5059 = BgL_bpz00_4885;
						}
					else
						{
							obj_t BgL_auxz00_5062;

							BgL_auxz00_5062 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string3206z00zz__evaluatez00, BINT(((long) 3890)),
								BGl_string3207z00zz__evaluatez00,
								BGl_string3208z00zz__evaluatez00, BgL_bpz00_4885);
							FAILURE(BgL_auxz00_5062, BFALSE, BFALSE);
						}
					BgL_auxz00_5058 = CINT(BgL_tmpz00_5059);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_5058);
			}
		}
		BGL_FUNCTION_END;
	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_5068;

				BgL_tmpz00_5068 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_5068, BgL_statez00_6);
			}
		}
		BGL_FUNCTION_END;
	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4886, obj_t BgL_statez00_4887)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_5071;

				if (VECTORP(BgL_statez00_4887))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_5071 = BgL_statez00_4887;
					}
				else
					{
						obj_t BgL_auxz00_5074;

						BgL_auxz00_5074 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string3206z00zz__evaluatez00,
							BINT(((long) 4240)), BGl_string3209z00zz__evaluatez00,
							BGl_string3210z00zz__evaluatez00, BgL_statez00_4887);
						FAILURE(BgL_auxz00_5074, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_5071);
			}
		}
		BGL_FUNCTION_END;
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1183;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1361z00_1198;

					BgL_arg1361z00_1198 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol3211z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1183 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1361z00_1198));
				}
				{	/* Eval/evaluate.scm 131 */
					bool_t BgL_testz00_5082;

					{	/* Eval/evaluate.scm 131 */
						int BgL_arg1359z00_1188;

						BgL_arg1359z00_1188 = bgl_debug();
						BgL_testz00_5082 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1359z00_1188),
							BINT(((long) 10)));
					}
					if (BgL_testz00_5082)
						{	/* Eval/evaluate.scm 131 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_1183), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 131 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1183);
				{	/* Eval/evaluate.scm 133 */
					int BgL_nz00_1189;

					BgL_nz00_1189 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1183);
					{	/* Eval/evaluate.scm 134 */
						obj_t BgL_fz00_1190;

						BgL_fz00_1190 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1183);
						{	/* Eval/evaluate.scm 135 */
							obj_t BgL_sz00_1191;

							BgL_sz00_1191 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 136 */
								obj_t BgL_bpz00_1192;

								BgL_bpz00_1192 =
									VECTOR_REF(((obj_t) BgL_sz00_1191), ((long) 0));
								{	/* Eval/evaluate.scm 137 */
									obj_t BgL_exitd1064z00_1193;

									BgL_exitd1064z00_1193 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 139 */
										obj_t BgL_zc3anonymousza31360ze3z83_4888;

										BgL_zc3anonymousza31360ze3z83_4888 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31360ze3ze1zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31360ze3z83_4888,
											(int) (((long) 0)), BgL_sz00_1191);
										PROCEDURE_SET(BgL_zc3anonymousza31360ze3z83_4888,
											(int) (((long) 1)), BgL_bpz00_1192);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_1193,
											BgL_zc3anonymousza31360ze3z83_4888);
										{	/* Eval/evaluate.scm 138 */
											obj_t BgL_tmp1066z00_1195;

											BgL_tmp1066z00_1195 =
												PROCEDURE_ENTRY(BgL_fz00_1190) (BgL_fz00_1190,
												BgL_sz00_1191, BEOA);
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1064z00_1193);
											VECTOR_SET(((obj_t) BgL_sz00_1191), ((long) 0),
												BgL_bpz00_1192);
											return BgL_tmp1066z00_1195;
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4889,
		obj_t BgL_sexpz00_4890, obj_t BgL_envz00_4891, obj_t BgL_locz00_4892)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4890, BgL_envz00_4891,
				BgL_locz00_4892);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1360> */
	obj_t BGl_z62zc3anonymousza31360ze3ze1zz__evaluatez00(obj_t BgL_envz00_4893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 137 */
			{	/* Eval/evaluate.scm 139 */
				obj_t BgL_sz00_4894;
				obj_t BgL_bpz00_4895;

				BgL_sz00_4894 = PROCEDURE_REF(BgL_envz00_4893, (int) (((long) 0)));
				BgL_bpz00_4895 = PROCEDURE_REF(BgL_envz00_4893, (int) (((long) 1)));
				return VECTOR_SET(((obj_t) BgL_sz00_4894), ((long) 0), BgL_bpz00_4895);
		}}
		BGL_FUNCTION_END;
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 144 */
			{	/* Eval/evaluate.scm 145 */
				obj_t BgL__ortest_1067z00_3216;

				BgL__ortest_1067z00_3216 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1067z00_3216))
					{	/* Eval/evaluate.scm 145 */
						return BgL__ortest_1067z00_3216;
					}
				else
					{	/* Eval/evaluate.scm 145 */
						return BgL_locz00_11;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 164 */
			{
				obj_t BgL_lz00_1203;

				BgL_lz00_1203 = BgL_localsz00_19;
			BgL_zc3anonymousza31362ze3z83_1204:
				if (NULLP(BgL_lz00_1203))
					{	/* Eval/evaluate.scm 166 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 168 */
						obj_t BgL_rvz00_1206;

						BgL_rvz00_1206 = CAR(((obj_t) BgL_lz00_1203));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1206)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 170 */
								return BgL_rvz00_1206;
							}
						else
							{
								obj_t BgL_lz00_5129;

								BgL_lz00_5129 = CDR(((obj_t) BgL_lz00_1203));
								BgL_lz00_1203 = BgL_lz00_5129;
								goto BgL_zc3anonymousza31362ze3z83_1204;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 177 */
			{	/* Eval/evaluate.scm 178 */
				obj_t BgL_locz00_1213;

				{	/* Eval/evaluate.scm 145 */
					obj_t BgL__ortest_1067z00_3222;

					BgL__ortest_1067z00_3222 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1067z00_3222))
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1213 = BgL__ortest_1067z00_3222;
						}
					else
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1213 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1217;
					obj_t BgL_rz00_1218;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5137;

							{	/* Eval/evaluate.scm 181 */
								BgL_ev_littz00_bglt BgL_new1072z00_1230;

								{	/* Eval/evaluate.scm 182 */
									BgL_ev_littz00_bglt BgL_new1071z00_1231;

									BgL_new1071z00_1231 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 182 */
										long BgL_arg1376z00_1232;

										{	/* Eval/evaluate.scm 182 */
											long BgL_res2852z00_3224;

											BgL_res2852z00_3224 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1376z00_1232 = BgL_res2852z00_3224;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1071z00_1231),
											BgL_arg1376z00_1232);
									}
									BgL_new1072z00_1230 = BgL_new1071z00_1231;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1072z00_1230))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5137 = BgL_new1072z00_1230;
							}
							return ((obj_t) BgL_auxz00_5137);
						}
					else
						{	/* Eval/evaluate.scm 179 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 179 */
									if (NULLP(CDR(BgL_lz00_20)))
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1372z00_1226;

											BgL_arg1372z00_1226 = CAR(BgL_lz00_20);
											{	/* Eval/evaluate.scm 184 */
												obj_t BgL_arg1377z00_3239;

												{	/* Eval/evaluate.scm 145 */
													obj_t BgL__ortest_1067z00_3240;

													BgL__ortest_1067z00_3240 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1372z00_1226);
													if (CBOOL(BgL__ortest_1067z00_3240))
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1377z00_3239 = BgL__ortest_1067z00_3240;
														}
													else
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1377z00_3239 = BgL_locz00_1213;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1372z00_1226,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1377z00_3239, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1373z00_1227;
											obj_t BgL_arg1374z00_1228;

											BgL_arg1373z00_1227 = CAR(BgL_lz00_20);
											BgL_arg1374z00_1228 = CDR(BgL_lz00_20);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5156;

												BgL_e1z00_1217 = BgL_arg1373z00_1227;
												BgL_rz00_1218 = BgL_arg1374z00_1228;
												{	/* Eval/evaluate.scm 186 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_1234;

													{	/* Eval/evaluate.scm 187 */
														BgL_ev_prog2z00_bglt BgL_new1073z00_1236;

														BgL_new1073z00_1236 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 187 */
															long BgL_arg1379z00_1237;

															{	/* Eval/evaluate.scm 187 */
																long BgL_res2853z00_3230;

																BgL_res2853z00_3230 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1379z00_1237 = BgL_res2853z00_3230;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1073z00_1236),
																BgL_arg1379z00_1237);
														}
														BgL_new1074z00_1234 = BgL_new1073z00_1236;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5161;

														{	/* Eval/evaluate.scm 187 */
															obj_t BgL_arg1378z00_1235;

															{	/* Eval/evaluate.scm 145 */
																obj_t BgL__ortest_1067z00_3233;

																BgL__ortest_1067z00_3233 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1217);
																if (CBOOL(BgL__ortest_1067z00_3233))
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1378z00_1235 =
																			BgL__ortest_1067z00_3233;
																	}
																else
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1378z00_1235 = BgL_locz00_1213;
																	}
															}
															BgL_auxz00_5161 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1217,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1378z00_1235,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1074z00_1234))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5161), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1074z00_1234))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1218, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1213,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5156 = BgL_new1074z00_1234;
												}
												return ((obj_t) BgL_auxz00_5156);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 179 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1213,
										BGl_string3213z00zz__evaluatez00,
										BGl_string3214z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 204 */
			{	/* Eval/evaluate.scm 205 */
				obj_t BgL_lz00_1242;

				BgL_lz00_1242 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 205 */
					obj_t BgL_vz00_1243;

					BgL_vz00_1243 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1242)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 206 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1243,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 209 */
								obj_t BgL_g1078z00_1246;
								obj_t BgL_g1079z00_1247;

								{	/* Eval/evaluate.scm 210 */
									obj_t BgL_arg1400z00_1270;

									BgL_arg1400z00_1270 =
										(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_vz00_1243)))->BgL_typez00);
									BgL_g1078z00_1246 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1400z00_1270);
								}
								BgL_g1079z00_1247 = CDR(((obj_t) BgL_lz00_1242));
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1249;
									obj_t BgL_klassz00_1250;
									obj_t BgL_fieldsz00_1251;

									BgL_nodez00_1249 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1243));
									BgL_klassz00_1250 = BgL_g1078z00_1246;
									BgL_fieldsz00_1251 = BgL_g1079z00_1247;
								BgL_zc3anonymousza31383ze3z83_1252:
									if (NULLP(BgL_fieldsz00_1251))
										{	/* Eval/evaluate.scm 213 */
											return ((obj_t) BgL_nodez00_1249);
										}
									else
										{	/* Eval/evaluate.scm 213 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1250))
												{	/* Eval/evaluate.scm 216 */
													obj_t BgL_fieldz00_1255;

													{	/* Eval/evaluate.scm 216 */
														obj_t BgL_arg1398z00_1266;

														BgL_arg1398z00_1266 =
															CAR(((obj_t) BgL_fieldsz00_1251));
														BgL_fieldz00_1255 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_1250, BgL_arg1398z00_1266);
													}
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1255))
														{	/* Eval/evaluate.scm 218 */
															BgL_ev_appz00_bglt BgL_nodez00_1257;

															{	/* Eval/evaluate.scm 272 */
																obj_t BgL_getz00_3256;

																BgL_getz00_3256 =
																	BGl_classzd2fieldzd2accessorz00zz__objectz00
																	(BgL_fieldz00_1255);
																{	/* Eval/evaluate.scm 273 */
																	BgL_ev_appz00_bglt BgL_new1086z00_3257;

																	{	/* Eval/evaluate.scm 274 */
																		BgL_ev_appz00_bglt BgL_new1085z00_3258;

																		BgL_new1085z00_3258 =
																			((BgL_ev_appz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_ev_appz00_bgl))));
																		{	/* Eval/evaluate.scm 274 */
																			long BgL_arg1436z00_3259;

																			{	/* Eval/evaluate.scm 274 */
																				long BgL_res2859z00_3265;

																				BgL_res2859z00_3265 =
																					BGL_CLASS_INDEX
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BgL_arg1436z00_3259 =
																					BgL_res2859z00_3265;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1085z00_3258),
																				BgL_arg1436z00_3259);
																		}
																		BgL_new1086z00_3257 = BgL_new1085z00_3258;
																	}
																	((((BgL_ev_appz00_bglt)
																				COBJECT(BgL_new1086z00_3257))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_35), BUNSPEC);
																	{
																		BgL_ev_exprz00_bglt BgL_auxz00_5201;

																		{	/* Eval/evaluate.scm 275 */
																			BgL_ev_littz00_bglt BgL_new1088z00_3260;

																			{	/* Eval/evaluate.scm 275 */
																				BgL_ev_littz00_bglt BgL_new1087z00_3261;

																				BgL_new1087z00_3261 =
																					((BgL_ev_littz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_ev_littz00_bgl))));
																				{	/* Eval/evaluate.scm 275 */
																					long BgL_arg1432z00_3262;

																					{	/* Eval/evaluate.scm 275 */
																						long BgL_res2860z00_3269;

																						{	/* Eval/evaluate.scm 275 */
																							obj_t BgL_classz00_3268;

																							BgL_classz00_3268 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_res2860z00_3269 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_3268);
																						}
																						BgL_arg1432z00_3262 =
																							BgL_res2860z00_3269;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1087z00_3261),
																						BgL_arg1432z00_3262);
																				}
																				BgL_new1088z00_3260 =
																					BgL_new1087z00_3261;
																			}
																			((((BgL_ev_littz00_bglt)
																						COBJECT(BgL_new1088z00_3260))->
																					BgL_valuez00) =
																				((obj_t) BgL_getz00_3256), BUNSPEC);
																			BgL_auxz00_5201 =
																				((BgL_ev_exprz00_bglt)
																				BgL_new1088z00_3260);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1086z00_3257))->
																				BgL_funz00) =
																			((BgL_ev_exprz00_bglt) BgL_auxz00_5201),
																			BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_5209;

																		{	/* Eval/evaluate.scm 276 */
																			obj_t BgL_list1433z00_3263;

																			BgL_list1433z00_3263 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_nodez00_1249), BNIL);
																			BgL_auxz00_5209 = BgL_list1433z00_3263;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1086z00_3257))->
																				BgL_argsz00) =
																			((obj_t) BgL_auxz00_5209), BUNSPEC);
																	}
																	((((BgL_ev_appz00_bglt)
																				COBJECT(BgL_new1086z00_3257))->
																			BgL_tailzf3zf3) =
																		((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																	BgL_nodez00_1257 = BgL_new1086z00_3257;
															}}
															{	/* Eval/evaluate.scm 221 */
																obj_t BgL_arg1387z00_1258;
																obj_t BgL_arg1389z00_1259;

																BgL_arg1387z00_1258 =
																	BGl_classzd2fieldzd2typez00zz__objectz00
																	(BgL_fieldz00_1255);
																BgL_arg1389z00_1259 =
																	CDR(((obj_t) BgL_fieldsz00_1251));
																{
																	obj_t BgL_fieldsz00_5220;
																	obj_t BgL_klassz00_5219;
																	BgL_ev_exprz00_bglt BgL_nodez00_5217;

																	BgL_nodez00_5217 =
																		((BgL_ev_exprz00_bglt) BgL_nodez00_1257);
																	BgL_klassz00_5219 = BgL_arg1387z00_1258;
																	BgL_fieldsz00_5220 = BgL_arg1389z00_1259;
																	BgL_fieldsz00_1251 = BgL_fieldsz00_5220;
																	BgL_klassz00_1250 = BgL_klassz00_5219;
																	BgL_nodez00_1249 = BgL_nodez00_5217;
																	goto BgL_zc3anonymousza31383ze3z83_1252;
																}
															}
														}
													else
														{	/* Eval/evaluate.scm 223 */
															obj_t BgL_arg1390z00_1260;
															obj_t BgL_arg1391z00_1261;

															BgL_arg1390z00_1260 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1243)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 224 */
																obj_t BgL_arg1394z00_1262;
																obj_t BgL_arg1395z00_1263;

																BgL_arg1394z00_1262 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1243)))->
																	BgL_typez00);
																BgL_arg1395z00_1263 =
																	CAR(((obj_t) BgL_fieldsz00_1251));
																{	/* Eval/evaluate.scm 224 */
																	obj_t BgL_list1396z00_1264;

																	{	/* Eval/evaluate.scm 224 */
																		obj_t BgL_arg1397z00_1265;

																		BgL_arg1397z00_1265 =
																			MAKE_YOUNG_PAIR(BgL_arg1395z00_1263,
																			BNIL);
																		BgL_list1396z00_1264 =
																			MAKE_YOUNG_PAIR(BgL_arg1394z00_1262,
																			BgL_arg1397z00_1265);
																	}
																	BgL_arg1391z00_1261 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3215z00zz__evaluatez00,
																		BgL_list1396z00_1264);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_35, BgL_arg1390z00_1260,
																BgL_arg1391z00_1261, BgL_ez00_30);
														}
												}
											else
												{	/* Eval/evaluate.scm 227 */
													obj_t BgL_arg1399z00_1267;

													{	/* Eval/evaluate.scm 227 */
														obj_t BgL__ortest_1080z00_1268;

														BgL__ortest_1080z00_1268 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_vz00_1243)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1080z00_1268))
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1399z00_1267 = BgL__ortest_1080z00_1268;
															}
														else
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1399z00_1267 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1243)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_35, BgL_arg1399z00_1267,
														BGl_string3216z00zz__evaluatez00, BgL_ez00_30);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 229 */
								obj_t BgL_arg1401z00_1271;

								{	/* Eval/evaluate.scm 229 */
									obj_t BgL_pairz00_3278;

									BgL_pairz00_3278 = CDR(((obj_t) BgL_ez00_30));
									BgL_arg1401z00_1271 = CAR(BgL_pairz00_3278);
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
									BgL_arg1401z00_1271, BGl_string3217z00zz__evaluatez00,
									BgL_ez00_30);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 234 */
			{	/* Eval/evaluate.scm 235 */
				obj_t BgL_vz00_1273;

				BgL_vz00_1273 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 235 */
					obj_t BgL_e2z00_1274;

					BgL_e2z00_1274 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 236 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1273,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 239 */
								obj_t BgL_g1082z00_1277;
								obj_t BgL_g1083z00_1278;

								{	/* Eval/evaluate.scm 240 */
									obj_t BgL_arg1429z00_1309;

									BgL_arg1429z00_1309 =
										(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_vz00_1273)))->BgL_typez00);
									BgL_g1082z00_1277 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1429z00_1309);
								}
								BgL_g1083z00_1278 = CDR(BgL_lz00_37);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1280;
									obj_t BgL_klassz00_1281;
									obj_t BgL_fieldsz00_1282;

									BgL_nodez00_1280 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1273));
									BgL_klassz00_1281 = BgL_g1082z00_1277;
									BgL_fieldsz00_1282 = BgL_g1083z00_1278;
								BgL_zc3anonymousza31404ze3z83_1283:
									if (NULLP(BgL_fieldsz00_1282))
										{	/* Eval/evaluate.scm 243 */
											return ((obj_t) BgL_nodez00_1280);
										}
									else
										{	/* Eval/evaluate.scm 243 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1281))
												{	/* Eval/evaluate.scm 246 */
													obj_t BgL_fieldz00_1286;

													{	/* Eval/evaluate.scm 246 */
														obj_t BgL_arg1427z00_1305;

														BgL_arg1427z00_1305 =
															CAR(((obj_t) BgL_fieldsz00_1282));
														BgL_fieldz00_1286 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_1281, BgL_arg1427z00_1305);
													}
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1286))
														{	/* Eval/evaluate.scm 247 */
															if (NULLP(CDR(((obj_t) BgL_fieldsz00_1282))))
																{	/* Eval/evaluate.scm 248 */
																	if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1286))
																		{	/* Eval/evaluate.scm 251 */
																			obj_t BgL_arg1411z00_1291;

																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_list1412z00_1292;

																				{	/* Eval/evaluate.scm 251 */
																					obj_t BgL_arg1414z00_1293;

																					BgL_arg1414z00_1293 =
																						MAKE_YOUNG_PAIR(BgL_e2z00_1274,
																						BNIL);
																					BgL_list1412z00_1292 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_nodez00_1280),
																						BgL_arg1414z00_1293);
																				}
																				BgL_arg1411z00_1291 =
																					BgL_list1412z00_1292;
																			}
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_setz00_3286;

																				BgL_setz00_3286 =
																					BGl_classzd2fieldzd2mutatorz00zz__objectz00
																					(BgL_fieldz00_1286);
																				{	/* Eval/evaluate.scm 284 */
																					BgL_ev_appz00_bglt
																						BgL_new1090z00_3287;
																					{	/* Eval/evaluate.scm 285 */
																						BgL_ev_appz00_bglt
																							BgL_new1089z00_3288;
																						BgL_new1089z00_3288 =
																							((BgL_ev_appz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_appz00_bgl))));
																						{	/* Eval/evaluate.scm 285 */
																							long BgL_arg1438z00_3289;

																							{	/* Eval/evaluate.scm 285 */
																								long BgL_res2865z00_3294;

																								BgL_res2865z00_3294 =
																									BGL_CLASS_INDEX
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BgL_arg1438z00_3289 =
																									BgL_res2865z00_3294;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1089z00_3288),
																								BgL_arg1438z00_3289);
																						}
																						BgL_new1090z00_3287 =
																							BgL_new1089z00_3288;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3287))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_44), BUNSPEC);
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_5278;

																						{	/* Eval/evaluate.scm 286 */
																							BgL_ev_littz00_bglt
																								BgL_new1092z00_3290;
																							{	/* Eval/evaluate.scm 286 */
																								BgL_ev_littz00_bglt
																									BgL_new1091z00_3291;
																								BgL_new1091z00_3291 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 286 */
																									long BgL_arg1437z00_3292;

																									{	/* Eval/evaluate.scm 286 */
																										long BgL_res2866z00_3298;

																										{	/* Eval/evaluate.scm 286 */
																											obj_t BgL_classz00_3297;

																											BgL_classz00_3297 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_res2866z00_3298 =
																												BGL_CLASS_INDEX
																												(BgL_classz00_3297);
																										}
																										BgL_arg1437z00_3292 =
																											BgL_res2866z00_3298;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1091z00_3291),
																										BgL_arg1437z00_3292);
																								}
																								BgL_new1092z00_3290 =
																									BgL_new1091z00_3291;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3290))->
																									BgL_valuez00) =
																								((obj_t) BgL_setz00_3286),
																								BUNSPEC);
																							BgL_auxz00_5278 =
																								((BgL_ev_exprz00_bglt)
																								BgL_new1092z00_3290);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3287))->
																								BgL_funz00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_5278), BUNSPEC);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3287))->
																							BgL_argsz00) =
																						((obj_t) BgL_arg1411z00_1291),
																						BUNSPEC);
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3287))->
																							BgL_tailzf3zf3) =
																						((obj_t) BgL_tailzf3zf3_42),
																						BUNSPEC);
																					return ((obj_t) BgL_new1090z00_3287);
																				}
																			}
																		}
																	else
																		{	/* Eval/evaluate.scm 252 */
																			obj_t BgL_arg1415z00_1294;

																			BgL_arg1415z00_1294 =
																				CAR(((obj_t) BgL_fieldsz00_1282));
																			return
																				BGl_evcompilezd2errorzd2zz__evcompilez00
																				(BgL_locz00_44, BgL_arg1415z00_1294,
																				BGl_string3218z00zz__evaluatez00,
																				BgL_ez00_39);
																		}
																}
															else
																{	/* Eval/evaluate.scm 255 */
																	BgL_ev_appz00_bglt BgL_nodez00_1295;

																	{	/* Eval/evaluate.scm 272 */
																		obj_t BgL_getz00_3302;

																		BgL_getz00_3302 =
																			BGl_classzd2fieldzd2accessorz00zz__objectz00
																			(BgL_fieldz00_1286);
																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1086z00_3303;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_appz00_bglt BgL_new1085z00_3304;

																				BgL_new1085z00_3304 =
																					((BgL_ev_appz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_ev_appz00_bgl))));
																				{	/* Eval/evaluate.scm 274 */
																					long BgL_arg1436z00_3305;

																					{	/* Eval/evaluate.scm 274 */
																						long BgL_res2867z00_3311;

																						BgL_res2867z00_3311 =
																							BGL_CLASS_INDEX
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BgL_arg1436z00_3305 =
																							BgL_res2867z00_3311;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1085z00_3304),
																						BgL_arg1436z00_3305);
																				}
																				BgL_new1086z00_3303 =
																					BgL_new1085z00_3304;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1086z00_3303))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_44), BUNSPEC);
																			{
																				BgL_ev_exprz00_bglt BgL_auxz00_5298;

																				{	/* Eval/evaluate.scm 275 */
																					BgL_ev_littz00_bglt
																						BgL_new1088z00_3306;
																					{	/* Eval/evaluate.scm 275 */
																						BgL_ev_littz00_bglt
																							BgL_new1087z00_3307;
																						BgL_new1087z00_3307 =
																							((BgL_ev_littz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_littz00_bgl))));
																						{	/* Eval/evaluate.scm 275 */
																							long BgL_arg1432z00_3308;

																							{	/* Eval/evaluate.scm 275 */
																								long BgL_res2868z00_3315;

																								{	/* Eval/evaluate.scm 275 */
																									obj_t BgL_classz00_3314;

																									BgL_classz00_3314 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_res2868z00_3315 =
																										BGL_CLASS_INDEX
																										(BgL_classz00_3314);
																								}
																								BgL_arg1432z00_3308 =
																									BgL_res2868z00_3315;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1087z00_3307),
																								BgL_arg1432z00_3308);
																						}
																						BgL_new1088z00_3306 =
																							BgL_new1087z00_3307;
																					}
																					((((BgL_ev_littz00_bglt)
																								COBJECT(BgL_new1088z00_3306))->
																							BgL_valuez00) =
																						((obj_t) BgL_getz00_3302), BUNSPEC);
																					BgL_auxz00_5298 =
																						((BgL_ev_exprz00_bglt)
																						BgL_new1088z00_3306);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1086z00_3303))->
																						BgL_funz00) =
																					((BgL_ev_exprz00_bglt)
																						BgL_auxz00_5298), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_5306;

																				{	/* Eval/evaluate.scm 276 */
																					obj_t BgL_list1433z00_3309;

																					BgL_list1433z00_3309 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_nodez00_1280), BNIL);
																					BgL_auxz00_5306 =
																						BgL_list1433z00_3309;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1086z00_3303))->
																						BgL_argsz00) =
																					((obj_t) BgL_auxz00_5306), BUNSPEC);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1086z00_3303))->
																					BgL_tailzf3zf3) =
																				((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																			BgL_nodez00_1295 = BgL_new1086z00_3303;
																	}}
																	{	/* Eval/evaluate.scm 258 */
																		obj_t BgL_arg1416z00_1296;
																		obj_t BgL_arg1417z00_1297;

																		BgL_arg1416z00_1296 =
																			BGl_classzd2fieldzd2typez00zz__objectz00
																			(BgL_fieldz00_1286);
																		BgL_arg1417z00_1297 =
																			CDR(((obj_t) BgL_fieldsz00_1282));
																		{
																			obj_t BgL_fieldsz00_5317;
																			obj_t BgL_klassz00_5316;
																			BgL_ev_exprz00_bglt BgL_nodez00_5314;

																			BgL_nodez00_5314 =
																				((BgL_ev_exprz00_bglt)
																				BgL_nodez00_1295);
																			BgL_klassz00_5316 = BgL_arg1416z00_1296;
																			BgL_fieldsz00_5317 = BgL_arg1417z00_1297;
																			BgL_fieldsz00_1282 = BgL_fieldsz00_5317;
																			BgL_klassz00_1281 = BgL_klassz00_5316;
																			BgL_nodez00_1280 = BgL_nodez00_5314;
																			goto BgL_zc3anonymousza31404ze3z83_1283;
																		}
																	}
																}
														}
													else
														{	/* Eval/evaluate.scm 260 */
															obj_t BgL_arg1421z00_1299;
															obj_t BgL_arg1422z00_1300;

															BgL_arg1421z00_1299 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1273)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 261 */
																obj_t BgL_arg1423z00_1301;
																obj_t BgL_arg1424z00_1302;

																BgL_arg1423z00_1301 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1273)))->
																	BgL_typez00);
																BgL_arg1424z00_1302 =
																	CAR(((obj_t) BgL_fieldsz00_1282));
																{	/* Eval/evaluate.scm 261 */
																	obj_t BgL_list1425z00_1303;

																	{	/* Eval/evaluate.scm 261 */
																		obj_t BgL_arg1426z00_1304;

																		BgL_arg1426z00_1304 =
																			MAKE_YOUNG_PAIR(BgL_arg1424z00_1302,
																			BNIL);
																		BgL_list1425z00_1303 =
																			MAKE_YOUNG_PAIR(BgL_arg1423z00_1301,
																			BgL_arg1426z00_1304);
																	}
																	BgL_arg1422z00_1300 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3215z00zz__evaluatez00,
																		BgL_list1425z00_1303);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_44, BgL_arg1421z00_1299,
																BgL_arg1422z00_1300, BgL_ez00_39);
														}
												}
											else
												{	/* Eval/evaluate.scm 265 */
													obj_t BgL_arg1428z00_1306;

													{	/* Eval/evaluate.scm 265 */
														obj_t BgL__ortest_1084z00_1307;

														BgL__ortest_1084z00_1307 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_vz00_1273)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1084z00_1307))
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1428z00_1306 = BgL__ortest_1084z00_1307;
															}
														else
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1428z00_1306 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1273)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_44, BgL_arg1428z00_1306,
														BGl_string3216z00zz__evaluatez00, BgL_ez00_39);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 237 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
									CAR(BgL_lz00_37), BGl_string3217z00zz__evaluatez00,
									BgL_ez00_39);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 299 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 302 */
					obj_t BgL_predz00_1330;

					if ((BgL_tnamez00_57 == BGl_symbol3219z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 302 */
							BgL_predz00_1330 = BGl_symbol3221z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 302 */
							if ((BgL_tnamez00_57 == BGl_symbol3223z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 302 */
									BgL_predz00_1330 = BGl_symbol3224z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 302 */
									if ((BgL_tnamez00_57 == BGl_symbol3226z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 302 */
											BgL_predz00_1330 = BGl_symbol3228z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 302 */
											if ((BgL_tnamez00_57 == BGl_symbol3230z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 302 */
													BgL_predz00_1330 = BGl_symbol3232z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 302 */
													bool_t BgL_testz00_5349;

													{	/* Eval/evaluate.scm 302 */
														bool_t BgL__ortest_1093z00_1406;

														BgL__ortest_1093z00_1406 =
															(BgL_tnamez00_57 ==
															BGl_symbol3234z00zz__evaluatez00);
														if (BgL__ortest_1093z00_1406)
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5349 = BgL__ortest_1093z00_1406;
															}
														else
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5349 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3236z00zz__evaluatez00);
															}
													}
													if (BgL_testz00_5349)
														{	/* Eval/evaluate.scm 302 */
															BgL_predz00_1330 =
																BGl_symbol3237z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 302 */
															bool_t BgL_testz00_5353;

															{	/* Eval/evaluate.scm 302 */
																bool_t BgL__ortest_1094z00_1405;

																BgL__ortest_1094z00_1405 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3239z00zz__evaluatez00);
																if (BgL__ortest_1094z00_1405)
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5353 = BgL__ortest_1094z00_1405;
																	}
																else
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5353 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol3241z00zz__evaluatez00);
																	}
															}
															if (BgL_testz00_5353)
																{	/* Eval/evaluate.scm 302 */
																	BgL_predz00_1330 =
																		BGl_symbol3243z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 302 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol3245z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 302 */
																			BgL_predz00_1330 =
																				BGl_symbol3247z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 302 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol3249z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 302 */
																					BgL_predz00_1330 =
																						BGl_symbol3251z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 302 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol3253z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 302 */
																							BgL_predz00_1330 =
																								BGl_symbol3255z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 302 */
																							bool_t BgL_testz00_5363;

																							{	/* Eval/evaluate.scm 302 */
																								bool_t BgL__ortest_1095z00_1404;

																								BgL__ortest_1095z00_1404 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol3257z00zz__evaluatez00);
																								if (BgL__ortest_1095z00_1404)
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5363 =
																											BgL__ortest_1095z00_1404;
																									}
																								else
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5363 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol3259z00zz__evaluatez00);
																									}
																							}
																							if (BgL_testz00_5363)
																								{	/* Eval/evaluate.scm 302 */
																									BgL_predz00_1330 =
																										BGl_symbol3261z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 313 */
																									obj_t BgL_arg1486z00_1384;

																									{	/* Eval/evaluate.scm 313 */
																										obj_t BgL_arg1487z00_1385;
																										obj_t BgL_arg1488z00_1386;

																										BgL_arg1487z00_1385 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol3263z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 314 */
																											obj_t BgL_arg1490z00_1387;

																											{	/* Eval/evaluate.scm 314 */
																												obj_t
																													BgL_arg1491z00_1388;
																												{	/* Eval/evaluate.scm 314 */
																													obj_t
																														BgL_arg1493z00_1389;
																													obj_t
																														BgL_arg1494z00_1390;
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1495z00_1391;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1496z00_1392;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1497z00_1393;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1498z00_1394;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1500z00_1395;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1501z00_1396;
																																			BgL_arg1501z00_1396
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1500z00_1395
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3265z00zz__evaluatez00,
																																				BgL_arg1501z00_1396);
																																		}
																																		BgL_arg1498z00_1394
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1500z00_1395,
																																			BNIL);
																																	}
																																	BgL_arg1497z00_1393
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol3267z00zz__evaluatez00,
																																		BgL_arg1498z00_1394);
																																}
																																BgL_arg1496z00_1392
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1497z00_1393,
																																	BNIL);
																															}
																															BgL_arg1495z00_1391
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3269z00zz__evaluatez00,
																																BgL_arg1496z00_1392);
																														}
																														BgL_arg1493z00_1389
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1495z00_1391,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 315 */
																														obj_t
																															BgL_arg1503z00_1397;
																														{	/* Eval/evaluate.scm 315 */
																															obj_t
																																BgL_arg1504z00_1398;
																															{	/* Eval/evaluate.scm 315 */
																																obj_t
																																	BgL_arg1505z00_1399;
																																{	/* Eval/evaluate.scm 315 */
																																	obj_t
																																		BgL_arg1506z00_1400;
																																	obj_t
																																		BgL_arg1507z00_1401;
																																	{	/* Eval/evaluate.scm 315 */
																																		obj_t
																																			BgL_arg1508z00_1402;
																																		{	/* Eval/evaluate.scm 315 */
																																			obj_t
																																				BgL_arg1509z00_1403;
																																			BgL_arg1509z00_1403
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3269z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1508z00_1402
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3263z00zz__evaluatez00,
																																				BgL_arg1509z00_1403);
																																		}
																																		BgL_arg1506z00_1400
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol3271z00zz__evaluatez00,
																																			BgL_arg1508z00_1402);
																																	}
																																	BgL_arg1507z00_1401
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1505z00_1399
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1506z00_1400,
																																		BgL_arg1507z00_1401);
																																}
																																BgL_arg1504z00_1398
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol3269z00zz__evaluatez00,
																																	BgL_arg1505z00_1399);
																															}
																															BgL_arg1503z00_1397
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3273z00zz__evaluatez00,
																																BgL_arg1504z00_1398);
																														}
																														BgL_arg1494z00_1390
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1503z00_1397,
																															BNIL);
																													}
																													BgL_arg1491z00_1388 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1493z00_1389,
																														BgL_arg1494z00_1390);
																												}
																												BgL_arg1490z00_1387 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol3275z00zz__evaluatez00,
																													BgL_arg1491z00_1388);
																											}
																											BgL_arg1488z00_1386 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1490z00_1387,
																												BNIL);
																										}
																										BgL_arg1486z00_1384 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1487z00_1385,
																											BgL_arg1488z00_1386);
																									}
																									BgL_predz00_1330 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol3277z00zz__evaluatez00,
																										BgL_arg1486z00_1384);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 317 */
						obj_t BgL_arg1442z00_1331;

						{	/* Eval/evaluate.scm 317 */
							obj_t BgL_arg1443z00_1332;

							{	/* Eval/evaluate.scm 317 */
								obj_t BgL_arg1444z00_1333;
								obj_t BgL_arg1446z00_1334;

								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1447z00_1335;

									BgL_arg1447z00_1335 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1444z00_1333 =
										MAKE_YOUNG_PAIR(BgL_predz00_1330, BgL_arg1447z00_1335);
								}
								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1448z00_1336;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg1449z00_1337;

										{
											obj_t BgL_fnamez00_1338;
											obj_t BgL_posz00_1339;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 317 */
													obj_t BgL_cdrzd2138zd2_1344;

													BgL_cdrzd2138zd2_1344 = CDR(BgL_locz00_58);
													if (
														(CAR(BgL_locz00_58) ==
															BGl_symbol3283z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 317 */
															if (PAIRP(BgL_cdrzd2138zd2_1344))
																{	/* Eval/evaluate.scm 317 */
																	obj_t BgL_cdrzd2142zd2_1348;

																	BgL_cdrzd2142zd2_1348 =
																		CDR(BgL_cdrzd2138zd2_1344);
																	if (PAIRP(BgL_cdrzd2142zd2_1348))
																		{	/* Eval/evaluate.scm 317 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1348)))
																				{	/* Eval/evaluate.scm 317 */
																					BgL_fnamez00_1338 =
																						CAR(BgL_cdrzd2138zd2_1344);
																					BgL_posz00_1339 =
																						CAR(BgL_cdrzd2142zd2_1348);
																					{	/* Eval/evaluate.scm 322 */
																						obj_t BgL_arg1461z00_1356;

																						{	/* Eval/evaluate.scm 322 */
																							obj_t BgL_arg1462z00_1357;
																							obj_t BgL_arg1463z00_1358;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_res2885z00_3377;

																									{	/* Eval/evaluate.scm 322 */
																										obj_t BgL_arg2624z00_3376;

																										BgL_arg2624z00_3376 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2885z00_3377 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2624z00_3376);
																									}
																									BgL_arg1462z00_1357 =
																										BgL_res2885z00_3377;
																								}
																							else
																								{	/* Eval/evaluate.scm 322 */
																									BgL_arg1462z00_1357 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 323 */
																								obj_t BgL_arg1465z00_1360;
																								obj_t BgL_arg1466z00_1361;

																								{	/* Eval/evaluate.scm 323 */
																									obj_t BgL_res2886z00_3380;

																									{	/* Eval/evaluate.scm 323 */
																										obj_t BgL_arg2624z00_3379;

																										BgL_arg2624z00_3379 =
																											SYMBOL_TO_STRING(
																											((obj_t)
																												BgL_tnamez00_57));
																										BgL_res2886z00_3380 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2624z00_3379);
																									}
																									BgL_arg1465z00_1360 =
																										BgL_res2886z00_3380;
																								}
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg1467z00_1362;

																									{	/* Eval/evaluate.scm 321 */
																										obj_t BgL_arg1468z00_1363;

																										BgL_arg1468z00_1363 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1339, BNIL);
																										BgL_arg1467z00_1362 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1338,
																											BgL_arg1468z00_1363);
																									}
																									BgL_arg1466z00_1361 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1467z00_1362);
																								}
																								BgL_arg1463z00_1358 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1465z00_1360,
																									BgL_arg1466z00_1361);
																							}
																							BgL_arg1461z00_1356 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1462z00_1357,
																								BgL_arg1463z00_1358);
																						}
																						BgL_arg1449z00_1337 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3279z00zz__evaluatez00,
																							BgL_arg1461z00_1356);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 317 */
																				BgL_tagzd2131zd2_1341:
																					{	/* Eval/evaluate.scm 327 */
																						obj_t BgL_arg1469z00_1364;

																						{	/* Eval/evaluate.scm 327 */
																							obj_t BgL_arg1470z00_1365;
																							obj_t BgL_arg1472z00_1366;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_res2888z00_3384;

																									{	/* Eval/evaluate.scm 327 */
																										obj_t BgL_arg2624z00_3383;

																										BgL_arg2624z00_3383 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2888z00_3384 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2624z00_3383);
																									}
																									BgL_arg1470z00_1365 =
																										BgL_res2888z00_3384;
																								}
																							else
																								{	/* Eval/evaluate.scm 327 */
																									BgL_arg1470z00_1365 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 328 */
																								obj_t BgL_arg1474z00_1368;
																								obj_t BgL_arg1475z00_1369;

																								{	/* Eval/evaluate.scm 328 */
																									obj_t BgL_res2889z00_3387;

																									{	/* Eval/evaluate.scm 328 */
																										obj_t BgL_arg2624z00_3386;

																										BgL_arg2624z00_3386 =
																											SYMBOL_TO_STRING(
																											((obj_t)
																												BgL_tnamez00_57));
																										BgL_res2889z00_3387 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2624z00_3386);
																									}
																									BgL_arg1474z00_1368 =
																										BgL_res2889z00_3387;
																								}
																								BgL_arg1475z00_1369 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1472z00_1366 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1474z00_1368,
																									BgL_arg1475z00_1369);
																							}
																							BgL_arg1469z00_1364 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1470z00_1365,
																								BgL_arg1472z00_1366);
																						}
																						BgL_arg1449z00_1337 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3281z00zz__evaluatez00,
																							BgL_arg1469z00_1364);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 317 */
																			goto BgL_tagzd2131zd2_1341;
																		}
																}
															else
																{	/* Eval/evaluate.scm 317 */
																	goto BgL_tagzd2131zd2_1341;
																}
														}
													else
														{	/* Eval/evaluate.scm 317 */
															goto BgL_tagzd2131zd2_1341;
														}
												}
											else
												{	/* Eval/evaluate.scm 317 */
													goto BgL_tagzd2131zd2_1341;
												}
										}
										BgL_arg1448z00_1336 =
											MAKE_YOUNG_PAIR(BgL_arg1449z00_1337, BNIL);
									}
									BgL_arg1446z00_1334 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1448z00_1336);
								}
								BgL_arg1443z00_1332 =
									MAKE_YOUNG_PAIR(BgL_arg1444z00_1333, BgL_arg1446z00_1334);
							}
							BgL_arg1442z00_1331 =
								MAKE_YOUNG_PAIR(BGl_symbol3273z00zz__evaluatez00,
								BgL_arg1443z00_1332);
						}
						{	/* Eval/evaluate.scm 294 */
							obj_t BgL_arg1439z00_3398;
							obj_t BgL_arg1440z00_3399;

							BgL_arg1439z00_3398 = CAR(BgL_arg1442z00_1331);
							BgL_arg1440z00_3399 = CDR(BgL_arg1442z00_1331);
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_res2894z00_3402;

								BgL_res2894z00_3402 =
									MAKE_YOUNG_EPAIR(BgL_arg1439z00_3398, BgL_arg1440z00_3399,
									BgL_locz00_58);
								return BgL_res2894z00_3402;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 301 */
					return BgL_bodyz00_60;
				}
		}
		BGL_FUNCTION_END;
	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 335 */
			{	/* Eval/evaluate.scm 336 */
				bool_t BgL_testz00_5437;

				{	/* Eval/evaluate.scm 336 */
					int BgL_arg1525z00_1425;

					BgL_arg1525z00_1425 = bgl_debug();
					BgL_testz00_5437 = ((long) (BgL_arg1525z00_1425) <= ((long) 0));
				}
				if (BgL_testz00_5437)
					{	/* Eval/evaluate.scm 336 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 336 */
						return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4919,
		obj_t BgL_procnamez00_4918, obj_t BgL_locz00_4917, obj_t BgL_varsz00_1410,
		obj_t BgL_srcsz00_1411)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 338 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1410))
				{	/* Eval/evaluate.scm 340 */
					return BgL_bodyz00_4919;
				}
			else
				{	/* Eval/evaluate.scm 342 */
					obj_t BgL_vz00_1414;

					BgL_vz00_1414 = CAR(((obj_t) BgL_varsz00_1410));
					{	/* Eval/evaluate.scm 342 */
						obj_t BgL_idz00_1415;

						BgL_idz00_1415 = CAR(((obj_t) BgL_vz00_1414));
						{	/* Eval/evaluate.scm 343 */
							obj_t BgL_tnamez00_1416;

							BgL_tnamez00_1416 = CDR(((obj_t) BgL_vz00_1414));
							{	/* Eval/evaluate.scm 344 */

								if (CBOOL(BgL_tnamez00_1416))
									{	/* Eval/evaluate.scm 346 */
										obj_t BgL_locz00_1417;

										{	/* Eval/evaluate.scm 346 */
											obj_t BgL_arg1521z00_1421;

											BgL_arg1521z00_1421 = CAR(((obj_t) BgL_srcsz00_1411));
											{	/* Eval/evaluate.scm 151 */
												obj_t BgL__ortest_1068z00_3410;

												BgL__ortest_1068z00_3410 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1521z00_1421);
												if (CBOOL(BgL__ortest_1068z00_3410))
													{	/* Eval/evaluate.scm 151 */
														BgL_locz00_1417 = BgL__ortest_1068z00_3410;
													}
												else
													{	/* Eval/evaluate.scm 152 */
														obj_t BgL__ortest_1069z00_3411;

														BgL__ortest_1069z00_3411 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1411);
														if (CBOOL(BgL__ortest_1069z00_3411))
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1417 = BgL__ortest_1069z00_3411;
															}
														else
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1417 = BgL_locz00_4917;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 348 */
											obj_t BgL_arg1516z00_1418;

											{	/* Eval/evaluate.scm 348 */
												obj_t BgL_arg1519z00_1419;
												obj_t BgL_arg1520z00_1420;

												BgL_arg1519z00_1419 = CDR(((obj_t) BgL_varsz00_1410));
												BgL_arg1520z00_1420 = CDR(((obj_t) BgL_srcsz00_1411));
												BgL_arg1516z00_1418 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4919,
													BgL_procnamez00_4918, BgL_locz00_4917,
													BgL_arg1519z00_1419, BgL_arg1520z00_1420);
											}
											return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1415,
												BgL_tnamez00_1416, BgL_locz00_1417,
												BgL_procnamez00_4918, BgL_arg1516z00_1418);
										}
									}
								else
									{	/* Eval/evaluate.scm 349 */
										obj_t BgL_arg1522z00_1422;
										obj_t BgL_arg1523z00_1423;

										BgL_arg1522z00_1422 = CDR(((obj_t) BgL_varsz00_1410));
										BgL_arg1523z00_1423 = CDR(((obj_t) BgL_srcsz00_1411));
										{
											obj_t BgL_srcsz00_5471;
											obj_t BgL_varsz00_5470;

											BgL_varsz00_5470 = BgL_arg1522z00_1422;
											BgL_srcsz00_5471 = BgL_arg1523z00_1423;
											BgL_srcsz00_1411 = BgL_srcsz00_5471;
											BgL_varsz00_1410 = BgL_varsz00_5470;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 354 */
			{	/* Eval/evaluate.scm 355 */
				bool_t BgL_testz00_5472;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 355 */
						int BgL_arg1544z00_1440;

						BgL_arg1544z00_1440 = bgl_debug();
						BgL_testz00_5472 = ((long) (BgL_arg1544z00_1440) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 355 */
						BgL_testz00_5472 = ((bool_t) 0);
					}
				if (BgL_testz00_5472)
					{	/* Eval/evaluate.scm 356 */
						obj_t BgL_tmpz00_1428;

						BgL_tmpz00_1428 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol3285z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 358 */
							obj_t BgL_arg1528z00_1429;
							obj_t BgL_arg1530z00_1430;

							{	/* Eval/evaluate.scm 358 */
								obj_t BgL_arg1532z00_1431;

								{	/* Eval/evaluate.scm 358 */
									obj_t BgL_arg1533z00_1432;
									obj_t BgL_arg1536z00_1433;

									{	/* Eval/evaluate.scm 358 */
										obj_t BgL_arg1537z00_1434;

										{	/* Eval/evaluate.scm 358 */
											obj_t BgL_arg1538z00_1435;
											obj_t BgL_arg1539z00_1436;

											{	/* Eval/evaluate.scm 358 */
												obj_t BgL_arg1541z00_1437;

												{	/* Eval/evaluate.scm 358 */
													obj_t BgL_list1542z00_1438;

													{	/* Eval/evaluate.scm 358 */
														obj_t BgL_arg1543z00_1439;

														BgL_arg1543z00_1439 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1542z00_1438 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1428,
															BgL_arg1543z00_1439);
													}
													BgL_arg1541z00_1437 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string3287z00zz__evaluatez00,
														BgL_list1542z00_1438);
												}
												BgL_arg1538z00_1435 =
													bstring_to_symbol(BgL_arg1541z00_1437);
											}
											BgL_arg1539z00_1436 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1537z00_1434 =
												MAKE_YOUNG_PAIR(BgL_arg1538z00_1435,
												BgL_arg1539z00_1436);
										}
										BgL_arg1533z00_1432 =
											MAKE_YOUNG_PAIR(BgL_arg1537z00_1434, BNIL);
									}
									BgL_arg1536z00_1433 = MAKE_YOUNG_PAIR(BgL_tmpz00_1428, BNIL);
									BgL_arg1532z00_1431 =
										MAKE_YOUNG_PAIR(BgL_arg1533z00_1432, BgL_arg1536z00_1433);
								}
								BgL_arg1528z00_1429 =
									MAKE_YOUNG_PAIR(BGl_symbol3275z00zz__evaluatez00,
									BgL_arg1532z00_1431);
							}
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1067z00_3420;

								BgL__ortest_1067z00_3420 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1067z00_3420))
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1530z00_1430 = BgL__ortest_1067z00_3420;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1530z00_1430 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_arg1439z00_3421;
								obj_t BgL_arg1440z00_3422;

								BgL_arg1439z00_3421 = CAR(BgL_arg1528z00_1429);
								BgL_arg1440z00_3422 = CDR(BgL_arg1528z00_1429);
								{	/* Eval/evaluate.scm 294 */
									obj_t BgL_res2899z00_3425;

									BgL_res2899z00_3425 =
										MAKE_YOUNG_EPAIR(BgL_arg1439z00_3421, BgL_arg1440z00_3422,
										BgL_arg1530z00_1430);
									return BgL_res2899z00_3425;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 355 */
						return BgL_bodyz00_67;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 366 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1449;
				obj_t BgL_bahz00_1451;
				obj_t BgL_lz00_1456;
				obj_t BgL_funz00_1458;
				obj_t BgL_argsz00_1459;
				obj_t BgL_pz00_1465;
				obj_t BgL_tz00_1466;
				obj_t BgL_oz00_1467;
				obj_t BgL_pz00_1469;
				obj_t BgL_tz00_1470;
				obj_t BgL_bindsz00_1478;
				obj_t BgL_bodyz00_1479;
				obj_t BgL_bindsz00_1481;
				obj_t BgL_bodyz00_1482;
				obj_t BgL_bindsz00_1484;
				obj_t BgL_bodyz00_1485;
				obj_t BgL_lz00_1491;
				obj_t BgL_e2z00_1492;
				obj_t BgL_vz00_1494;
				obj_t BgL_ez00_1495;
				obj_t BgL_gvz00_1498;
				obj_t BgL_formalsz00_1499;
				obj_t BgL_bodyz00_1500;
				obj_t BgL_gvz00_1502;
				obj_t BgL_gez00_1503;
				obj_t BgL_vz00_1505;
				obj_t BgL_bodyz00_1506;
				obj_t BgL_mz00_1518;
				obj_t BgL_bodyz00_1519;
				obj_t BgL_fz00_1524;
				obj_t BgL_argsz00_1525;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 425 */
						if ((CAR(BgL_ez00_69) == BGl_symbol3294z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 425 */
								BgL_bahz00_1451 = CDR(BgL_ez00_69);
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 433 */
										obj_t BgL_formsz00_2309;

										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2259z00_2312;

											{	/* Eval/evaluate.scm 145 */
												obj_t BgL__ortest_1067z00_3477;

												BgL__ortest_1067z00_3477 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1067z00_3477))
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2259z00_2312 = BgL__ortest_1067z00_3477;
													}
												else
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2259z00_2312 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2309 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2259z00_2312);
										}
										{	/* Eval/evaluate.scm 434 */
											obj_t BgL_arg2257z00_2310;
											obj_t BgL_arg2258z00_2311;

											BgL_arg2257z00_2310 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2309);
											BgL_arg2258z00_2311 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5511;
												obj_t BgL_wherez00_5510;
												obj_t BgL_tailzf3zf3_5509;
												obj_t BgL_globalsz00_5508;
												obj_t BgL_ez00_5507;

												BgL_ez00_5507 = BgL_arg2257z00_2310;
												BgL_globalsz00_5508 = BgL_arg2258z00_2311;
												BgL_tailzf3zf3_5509 = BgL_wherez00_73;
												BgL_wherez00_5510 = BFALSE;
												BgL_topzf3zf3_5511 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5511;
												BgL_wherez00_73 = BgL_wherez00_5510;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5509;
												BgL_globalsz00_71 = BgL_globalsz00_5508;
												BgL_ez00_69 = BgL_ez00_5507;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 432 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string3213z00zz__evaluatez00,
											BGl_string3293z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 425 */
								obj_t BgL_cdrzd2249zd2_1533;

								BgL_cdrzd2249zd2_1533 = CDR(BgL_ez00_69);
								if ((CAR(BgL_ez00_69) == BGl_symbol3296z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 425 */
										if (PAIRP(BgL_cdrzd2249zd2_1533))
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd2252zd2_1537;
												obj_t BgL_cdrzd2253zd2_1538;

												BgL_carzd2252zd2_1537 = CAR(BgL_cdrzd2249zd2_1533);
												BgL_cdrzd2253zd2_1538 = CDR(BgL_cdrzd2249zd2_1533);
												if (SYMBOLP(BgL_carzd2252zd2_1537))
													{	/* Eval/evaluate.scm 425 */
														if (PAIRP(BgL_cdrzd2253zd2_1538))
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd2257zd2_1541;

																BgL_carzd2257zd2_1541 =
																	CAR(BgL_cdrzd2253zd2_1538);
																if (SYMBOLP(BgL_carzd2257zd2_1541))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2253zd2_1538)))
																			{	/* Eval/evaluate.scm 438 */
																				BgL_ev_globalz00_bglt
																					BgL_new1105z00_3876;
																				{	/* Eval/evaluate.scm 439 */
																					BgL_ev_globalz00_bglt
																						BgL_new1104z00_3877;
																					BgL_new1104z00_3877 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 439 */
																						long BgL_arg2260z00_3878;

																						{	/* Eval/evaluate.scm 439 */
																							long BgL_res3000z00_3880;

																							BgL_res3000z00_3880 =
																								BGL_CLASS_INDEX
																								(BGl_ev_globalz00zz__evaluate_typesz00);
																							BgL_arg2260z00_3878 =
																								BgL_res3000z00_3880;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1104z00_3877),
																							BgL_arg2260z00_3878);
																					}
																					BgL_new1105z00_3876 =
																						BgL_new1104z00_3877;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3876))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3876))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2252zd2_1537),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3876))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2257zd2_1541)), BUNSPEC);
																				return ((obj_t) BgL_new1105z00_3876);
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_carzd2302zd2_1545;

																				BgL_carzd2302zd2_1545 =
																					CAR(BgL_ez00_69);
																				if (SYMBOLP(BgL_carzd2302zd2_1545))
																					{	/* Eval/evaluate.scm 425 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2302zd2_1545,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5547;
																								BgL_funz00_1458 =
																									BgL_carzd2302zd2_1545;
																								BgL_argsz00_1459 =
																									BgL_cdrzd2249zd2_1533;
																							BgL_tagzd2152zd2_1460:
																								{	/* Eval/evaluate.scm 450 */
																									obj_t BgL_funz00_2342;
																									obj_t BgL_argsz00_2343;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2416z00_3492;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1067z00_3493;
																											BgL__ortest_1067z00_3493 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1458);
																											if (CBOOL
																												(BgL__ortest_1067z00_3493))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2416z00_3492 =
																														BgL__ortest_1067z00_3493;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2416z00_3492 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2342 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1458,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2416z00_3492,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2343 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1459);
																									{	/* Eval/evaluate.scm 451 */
																										BgL_ev_appz00_bglt
																											BgL_new1107z00_2344;
																										{	/* Eval/evaluate.scm 452 */
																											BgL_ev_appz00_bglt
																												BgL_new1106z00_2345;
																											BgL_new1106z00_2345 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 452 */
																												long
																													BgL_arg2275z00_2346;
																												{	/* Eval/evaluate.scm 452 */
																													long
																														BgL_res2921z00_3495;
																													BgL_res2921z00_3495 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2275z00_2346 =
																														BgL_res2921z00_3495;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1106z00_2345),
																													BgL_arg2275z00_2346);
																											}
																											BgL_new1107z00_2344 =
																												BgL_new1106z00_2345;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2344))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2344))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2342)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2344))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2343),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2344))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5547 =
																											BgL_new1107z00_2344;
																								}}
																								return
																									((obj_t) BgL_auxz00_5547);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5563;
																								BgL_fz00_1524 =
																									BgL_carzd2302zd2_1545;
																								BgL_argsz00_1525 =
																									BgL_cdrzd2249zd2_1533;
																							BgL_tagzd2175zd2_1526:
																								{	/* Eval/evaluate.scm 598 */
																									obj_t BgL_funz00_2608;
																									obj_t BgL_argsz00_2609;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2416z00_3856;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1067z00_3857;
																											BgL__ortest_1067z00_3857 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1524);
																											if (CBOOL
																												(BgL__ortest_1067z00_3857))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2416z00_3856 =
																														BgL__ortest_1067z00_3857;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2416z00_3856 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2608 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1524,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2416z00_3856,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2609 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1525);
																									{	/* Eval/evaluate.scm 599 */
																										BgL_ev_appz00_bglt
																											BgL_new1161z00_2610;
																										{	/* Eval/evaluate.scm 600 */
																											BgL_ev_appz00_bglt
																												BgL_new1160z00_2611;
																											BgL_new1160z00_2611 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 600 */
																												long
																													BgL_arg2409z00_2612;
																												{	/* Eval/evaluate.scm 600 */
																													long
																														BgL_res2993z00_3859;
																													BgL_res2993z00_3859 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2409z00_2612 =
																														BgL_res2993z00_3859;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1160z00_2611),
																													BgL_arg2409z00_2612);
																											}
																											BgL_new1161z00_2610 =
																												BgL_new1160z00_2611;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2610))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2610))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2608)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2610))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2609),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2610))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5563 =
																											BgL_new1161z00_2610;
																								}}
																								return
																									((obj_t) BgL_auxz00_5563);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5579;

																						{
																							obj_t BgL_argsz00_5581;
																							obj_t BgL_fz00_5580;

																							BgL_fz00_5580 =
																								BgL_carzd2302zd2_1545;
																							BgL_argsz00_5581 =
																								BgL_cdrzd2249zd2_1533;
																							BgL_argsz00_1525 =
																								BgL_argsz00_5581;
																							BgL_fz00_1524 = BgL_fz00_5580;
																							goto BgL_tagzd2175zd2_1526;
																						}
																						return ((obj_t) BgL_auxz00_5579);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_carzd21005zd2_1556;

																		BgL_carzd21005zd2_1556 = CAR(BgL_ez00_69);
																		if (SYMBOLP(BgL_carzd21005zd2_1556))
																			{	/* Eval/evaluate.scm 425 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21005zd2_1556,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5589;

																						{
																							obj_t BgL_argsz00_5591;
																							obj_t BgL_funz00_5590;

																							BgL_funz00_5590 =
																								BgL_carzd21005zd2_1556;
																							BgL_argsz00_5591 =
																								BgL_cdrzd2249zd2_1533;
																							BgL_argsz00_1459 =
																								BgL_argsz00_5591;
																							BgL_funz00_1458 = BgL_funz00_5590;
																							goto BgL_tagzd2152zd2_1460;
																						}
																						return ((obj_t) BgL_auxz00_5589);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5593;

																						{
																							obj_t BgL_argsz00_5595;
																							obj_t BgL_fz00_5594;

																							BgL_fz00_5594 =
																								BgL_carzd21005zd2_1556;
																							BgL_argsz00_5595 =
																								BgL_cdrzd2249zd2_1533;
																							BgL_argsz00_1525 =
																								BgL_argsz00_5595;
																							BgL_fz00_1524 = BgL_fz00_5594;
																							goto BgL_tagzd2175zd2_1526;
																						}
																						return ((obj_t) BgL_auxz00_5593);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5597;

																				{
																					obj_t BgL_argsz00_5599;
																					obj_t BgL_fz00_5598;

																					BgL_fz00_5598 =
																						BgL_carzd21005zd2_1556;
																					BgL_argsz00_5599 =
																						BgL_cdrzd2249zd2_1533;
																					BgL_argsz00_1525 = BgL_argsz00_5599;
																					BgL_fz00_1524 = BgL_fz00_5598;
																					goto BgL_tagzd2175zd2_1526;
																				}
																				return ((obj_t) BgL_auxz00_5597);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd21708zd2_1566;

																BgL_carzd21708zd2_1566 = CAR(BgL_ez00_69);
																if (SYMBOLP(BgL_carzd21708zd2_1566))
																	{	/* Eval/evaluate.scm 425 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21708zd2_1566,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5607;

																				{
																					obj_t BgL_argsz00_5609;
																					obj_t BgL_funz00_5608;

																					BgL_funz00_5608 =
																						BgL_carzd21708zd2_1566;
																					BgL_argsz00_5609 =
																						BgL_cdrzd2249zd2_1533;
																					BgL_argsz00_1459 = BgL_argsz00_5609;
																					BgL_funz00_1458 = BgL_funz00_5608;
																					goto BgL_tagzd2152zd2_1460;
																				}
																				return ((obj_t) BgL_auxz00_5607);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5611;

																				{
																					obj_t BgL_argsz00_5613;
																					obj_t BgL_fz00_5612;

																					BgL_fz00_5612 =
																						BgL_carzd21708zd2_1566;
																					BgL_argsz00_5613 =
																						BgL_cdrzd2249zd2_1533;
																					BgL_argsz00_1525 = BgL_argsz00_5613;
																					BgL_fz00_1524 = BgL_fz00_5612;
																					goto BgL_tagzd2175zd2_1526;
																				}
																				return ((obj_t) BgL_auxz00_5611);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5615;

																		{
																			obj_t BgL_argsz00_5617;
																			obj_t BgL_fz00_5616;

																			BgL_fz00_5616 = BgL_carzd21708zd2_1566;
																			BgL_argsz00_5617 = BgL_cdrzd2249zd2_1533;
																			BgL_argsz00_1525 = BgL_argsz00_5617;
																			BgL_fz00_1524 = BgL_fz00_5616;
																			goto BgL_tagzd2175zd2_1526;
																		}
																		return ((obj_t) BgL_auxz00_5615);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														obj_t BgL_carzd22411zd2_1576;

														BgL_carzd22411zd2_1576 = CAR(BgL_ez00_69);
														if (SYMBOLP(BgL_carzd22411zd2_1576))
															{	/* Eval/evaluate.scm 425 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22411zd2_1576, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5625;

																		{
																			obj_t BgL_argsz00_5627;
																			obj_t BgL_funz00_5626;

																			BgL_funz00_5626 = BgL_carzd22411zd2_1576;
																			BgL_argsz00_5627 = BgL_cdrzd2249zd2_1533;
																			BgL_argsz00_1459 = BgL_argsz00_5627;
																			BgL_funz00_1458 = BgL_funz00_5626;
																			goto BgL_tagzd2152zd2_1460;
																		}
																		return ((obj_t) BgL_auxz00_5625);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5629;

																		{
																			obj_t BgL_argsz00_5631;
																			obj_t BgL_fz00_5630;

																			BgL_fz00_5630 = BgL_carzd22411zd2_1576;
																			BgL_argsz00_5631 = BgL_cdrzd2249zd2_1533;
																			BgL_argsz00_1525 = BgL_argsz00_5631;
																			BgL_fz00_1524 = BgL_fz00_5630;
																			goto BgL_tagzd2175zd2_1526;
																		}
																		return ((obj_t) BgL_auxz00_5629);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5633;

																{
																	obj_t BgL_argsz00_5635;
																	obj_t BgL_fz00_5634;

																	BgL_fz00_5634 = BgL_carzd22411zd2_1576;
																	BgL_argsz00_5635 = BgL_cdrzd2249zd2_1533;
																	BgL_argsz00_1525 = BgL_argsz00_5635;
																	BgL_fz00_1524 = BgL_fz00_5634;
																	goto BgL_tagzd2175zd2_1526;
																}
																return ((obj_t) BgL_auxz00_5633);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23114zd2_1586;

												BgL_carzd23114zd2_1586 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23114zd2_1586))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23114zd2_1586, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5643;

																{
																	obj_t BgL_argsz00_5645;
																	obj_t BgL_funz00_5644;

																	BgL_funz00_5644 = BgL_carzd23114zd2_1586;
																	BgL_argsz00_5645 = BgL_cdrzd2249zd2_1533;
																	BgL_argsz00_1459 = BgL_argsz00_5645;
																	BgL_funz00_1458 = BgL_funz00_5644;
																	goto BgL_tagzd2152zd2_1460;
																}
																return ((obj_t) BgL_auxz00_5643);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5647;

																{
																	obj_t BgL_argsz00_5649;
																	obj_t BgL_fz00_5648;

																	BgL_fz00_5648 = BgL_carzd23114zd2_1586;
																	BgL_argsz00_5649 = BgL_cdrzd2249zd2_1533;
																	BgL_argsz00_1525 = BgL_argsz00_5649;
																	BgL_fz00_1524 = BgL_fz00_5648;
																	goto BgL_tagzd2175zd2_1526;
																}
																return ((obj_t) BgL_auxz00_5647);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5651;

														{
															obj_t BgL_argsz00_5653;
															obj_t BgL_fz00_5652;

															BgL_fz00_5652 = BgL_carzd23114zd2_1586;
															BgL_argsz00_5653 = BgL_cdrzd2249zd2_1533;
															BgL_argsz00_1525 = BgL_argsz00_5653;
															BgL_fz00_1524 = BgL_fz00_5652;
															goto BgL_tagzd2175zd2_1526;
														}
														return ((obj_t) BgL_auxz00_5651);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 425 */
										if ((CAR(BgL_ez00_69) == BGl_symbol3298z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 425 */
												BgL_lz00_1456 = BgL_cdrzd2249zd2_1533;
												{	/* Eval/evaluate.scm 443 */
													bool_t BgL_testz00_5658;

													if (PAIRP(BgL_lz00_1456))
														{	/* Eval/evaluate.scm 443 */
															bool_t BgL_testz00_5661;

															{	/* Eval/evaluate.scm 443 */
																obj_t BgL_tmpz00_5662;

																BgL_tmpz00_5662 = CDR(BgL_lz00_1456);
																BgL_testz00_5661 = PAIRP(BgL_tmpz00_5662);
															}
															if (BgL_testz00_5661)
																{
																	obj_t BgL_l1208z00_2333;

																	BgL_l1208z00_2333 = BgL_lz00_1456;
																BgL_zc3anonymousza32271ze3z83_2334:
																	if (NULLP(BgL_l1208z00_2333))
																		{	/* Eval/evaluate.scm 443 */
																			BgL_testz00_5658 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 443 */
																			bool_t BgL_testz00_5667;

																			{	/* Eval/evaluate.scm 443 */
																				obj_t BgL_tmpz00_5668;

																				BgL_tmpz00_5668 =
																					CAR(((obj_t) BgL_l1208z00_2333));
																				BgL_testz00_5667 =
																					SYMBOLP(BgL_tmpz00_5668);
																			}
																			if (BgL_testz00_5667)
																				{
																					obj_t BgL_l1208z00_5672;

																					BgL_l1208z00_5672 =
																						CDR(((obj_t) BgL_l1208z00_2333));
																					BgL_l1208z00_2333 = BgL_l1208z00_5672;
																					goto
																						BgL_zc3anonymousza32271ze3z83_2334;
																				}
																			else
																				{	/* Eval/evaluate.scm 443 */
																					BgL_testz00_5658 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 443 */
																	BgL_testz00_5658 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 443 */
															BgL_testz00_5658 = ((bool_t) 0);
														}
													if (BgL_testz00_5658)
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string3213z00zz__evaluatez00,
																BGl_string3288z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23820zd2_1599;

												BgL_carzd23820zd2_1599 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23820zd2_1599))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23820zd2_1599, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5683;

																{
																	obj_t BgL_argsz00_5685;
																	obj_t BgL_funz00_5684;

																	BgL_funz00_5684 = BgL_carzd23820zd2_1599;
																	BgL_argsz00_5685 = BgL_cdrzd2249zd2_1533;
																	BgL_argsz00_1459 = BgL_argsz00_5685;
																	BgL_funz00_1458 = BgL_funz00_5684;
																	goto BgL_tagzd2152zd2_1460;
																}
																return ((obj_t) BgL_auxz00_5683);
															}
														else
															{	/* Eval/evaluate.scm 425 */
																if (
																	(BgL_carzd23820zd2_1599 ==
																		BGl_symbol3300z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd2249zd2_1533))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd2249zd2_1533)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1611z00_1610;

																						BgL_arg1611z00_1610 =
																							CAR(BgL_cdrzd2249zd2_1533);
																						{	/* Eval/evaluate.scm 457 */
																							BgL_ev_trapz00_bglt
																								BgL_new1109z00_3929;
																							{	/* Eval/evaluate.scm 458 */
																								BgL_ev_trapz00_bglt
																									BgL_new1108z00_3930;
																								BgL_new1108z00_3930 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 458 */
																									long BgL_arg2277z00_3931;

																									{	/* Eval/evaluate.scm 458 */
																										long BgL_res3009z00_3933;

																										BgL_res3009z00_3933 =
																											BGL_CLASS_INDEX
																											(BGl_ev_trapz00zz__evaluate_typesz00);
																										BgL_arg2277z00_3931 =
																											BgL_res3009z00_3933;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1108z00_3930),
																										BgL_arg2277z00_3931);
																								}
																								BgL_new1109z00_3929 =
																									BgL_new1108z00_3930;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5699;
																								{	/* Eval/evaluate.scm 381 */
																									obj_t BgL_arg2416z00_3936;

																									BgL_arg2416z00_3936 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1611z00_1610,
																										BgL_locz00_74);
																									BgL_auxz00_5699 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1611z00_1610,
																											BgL_arg2416z00_3936));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1109z00_3929)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5699), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1109z00_3929);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1613z00_1611;
																						obj_t BgL_arg1616z00_1612;

																						BgL_arg1613z00_1611 =
																							CAR(BgL_ez00_69);
																						BgL_arg1616z00_1612 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5708;
																							{
																								obj_t BgL_argsz00_5710;
																								obj_t BgL_fz00_5709;

																								BgL_fz00_5709 =
																									BgL_arg1613z00_1611;
																								BgL_argsz00_5710 =
																									BgL_arg1616z00_1612;
																								BgL_argsz00_1525 =
																									BgL_argsz00_5710;
																								BgL_fz00_1524 = BgL_fz00_5709;
																								goto BgL_tagzd2175zd2_1526;
																							}
																							return ((obj_t) BgL_auxz00_5708);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1619z00_1614;
																				obj_t BgL_arg1620z00_1615;

																				BgL_arg1619z00_1614 = CAR(BgL_ez00_69);
																				BgL_arg1620z00_1615 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5714;

																					{
																						obj_t BgL_argsz00_5716;
																						obj_t BgL_fz00_5715;

																						BgL_fz00_5715 = BgL_arg1619z00_1614;
																						BgL_argsz00_5716 =
																							BgL_arg1620z00_1615;
																						BgL_argsz00_1525 = BgL_argsz00_5716;
																						BgL_fz00_1524 = BgL_fz00_5715;
																						goto BgL_tagzd2175zd2_1526;
																					}
																					return ((obj_t) BgL_auxz00_5714);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_cdrzd24489zd2_1616;

																		BgL_cdrzd24489zd2_1616 = CDR(BgL_ez00_69);
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3265z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd24489zd2_1616))
																					{	/* Eval/evaluate.scm 425 */
																						if (NULLP(CDR
																								(BgL_cdrzd24489zd2_1616)))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1629z00_1622;

																								BgL_arg1629z00_1622 =
																									CAR(BgL_cdrzd24489zd2_1616);
																								{	/* Eval/evaluate.scm 460 */
																									BgL_ev_littz00_bglt
																										BgL_new1111z00_3947;
																									{	/* Eval/evaluate.scm 461 */
																										BgL_ev_littz00_bglt
																											BgL_new1110z00_3948;
																										BgL_new1110z00_3948 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 461 */
																											long BgL_arg2278z00_3949;

																											{	/* Eval/evaluate.scm 461 */
																												long
																													BgL_res3012z00_3951;
																												BgL_res3012z00_3951 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg2278z00_3949 =
																													BgL_res3012z00_3951;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1110z00_3948),
																												BgL_arg2278z00_3949);
																										}
																										BgL_new1111z00_3947 =
																											BgL_new1110z00_3948;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1111z00_3947))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1629z00_1622),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1111z00_3947);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1636z00_1623;

																								BgL_arg1636z00_1623 =
																									CAR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5735;
																									{
																										obj_t BgL_argsz00_5737;
																										obj_t BgL_fz00_5736;

																										BgL_fz00_5736 =
																											BgL_arg1636z00_1623;
																										BgL_argsz00_5737 =
																											BgL_cdrzd24489zd2_1616;
																										BgL_argsz00_1525 =
																											BgL_argsz00_5737;
																										BgL_fz00_1524 =
																											BgL_fz00_5736;
																										goto BgL_tagzd2175zd2_1526;
																									}
																									return
																										((obj_t) BgL_auxz00_5735);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1639z00_1626;

																						BgL_arg1639z00_1626 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5740;
																							{
																								obj_t BgL_argsz00_5742;
																								obj_t BgL_fz00_5741;

																								BgL_fz00_5741 =
																									BgL_arg1639z00_1626;
																								BgL_argsz00_5742 =
																									BgL_cdrzd24489zd2_1616;
																								BgL_argsz00_1525 =
																									BgL_argsz00_5742;
																								BgL_fz00_1524 = BgL_fz00_5741;
																								goto BgL_tagzd2175zd2_1526;
																							}
																							return ((obj_t) BgL_auxz00_5740);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3273z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						if (PAIRP(BgL_cdrzd24489zd2_1616))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd25099zd2_1632;

																								BgL_cdrzd25099zd2_1632 =
																									CDR(BgL_cdrzd24489zd2_1616);
																								if (PAIRP
																									(BgL_cdrzd25099zd2_1632))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd25104zd2_1634;
																										BgL_cdrzd25104zd2_1634 =
																											CDR
																											(BgL_cdrzd25099zd2_1632);
																										if (PAIRP
																											(BgL_cdrzd25104zd2_1634))
																											{	/* Eval/evaluate.scm 425 */
																												if (NULLP(CDR
																														(BgL_cdrzd25104zd2_1634)))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1651z00_1638;
																														obj_t
																															BgL_arg1653z00_1639;
																														obj_t
																															BgL_arg1656z00_1640;
																														BgL_arg1651z00_1638
																															=
																															CAR
																															(BgL_cdrzd24489zd2_1616);
																														BgL_arg1653z00_1639
																															=
																															CAR
																															(BgL_cdrzd25099zd2_1632);
																														BgL_arg1656z00_1640
																															=
																															CAR
																															(BgL_cdrzd25104zd2_1634);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5761;
																															BgL_pz00_1465 =
																																BgL_arg1651z00_1638;
																															BgL_tz00_1466 =
																																BgL_arg1653z00_1639;
																															BgL_oz00_1467 =
																																BgL_arg1656z00_1640;
																														BgL_tagzd2155zd2_1468:
																															{	/* Eval/evaluate.scm 463 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1113z00_2353;
																																{	/* Eval/evaluate.scm 464 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1112z00_2357;
																																	BgL_new1112z00_2357
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 464 */
																																		long
																																			BgL_arg2283z00_2358;
																																		{	/* Eval/evaluate.scm 464 */
																																			long
																																				BgL_res2924z00_3515;
																																			BgL_res2924z00_3515
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg2283z00_2358
																																				=
																																				BgL_res2924z00_3515;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1112z00_2357), BgL_arg2283z00_2358);
																																	}
																																	BgL_new1113z00_2353
																																		=
																																		BgL_new1112z00_2357;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5766;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2280z00_2354;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3518;
																																			BgL__ortest_1067z00_3518
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1465);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3518))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2280z00_2354
																																						=
																																						BgL__ortest_1067z00_3518;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2280z00_2354
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5766
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1465,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2280z00_2354,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2353))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5766), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5773;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2281z00_2355;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3519;
																																			BgL__ortest_1067z00_3519
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1466);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3519))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2281z00_2355
																																						=
																																						BgL__ortest_1067z00_3519;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2281z00_2355
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5773
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1466,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2281z00_2355,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2353))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5773), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5780;
																																	{	/* Eval/evaluate.scm 466 */
																																		obj_t
																																			BgL_arg2282z00_2356;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3520;
																																			BgL__ortest_1067z00_3520
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1467);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3520))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2282z00_2356
																																						=
																																						BgL__ortest_1067z00_3520;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2282z00_2356
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5780
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1467,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2282z00_2356,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2353))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5780), BUNSPEC);
																																}
																																BgL_auxz00_5761
																																	=
																																	BgL_new1113z00_2353;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5761);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1657z00_1641;
																														obj_t
																															BgL_arg1658z00_1642;
																														BgL_arg1657z00_1641
																															=
																															CAR(BgL_ez00_69);
																														BgL_arg1658z00_1642
																															=
																															CDR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5790;
																															{
																																obj_t
																																	BgL_argsz00_5792;
																																obj_t
																																	BgL_fz00_5791;
																																BgL_fz00_5791 =
																																	BgL_arg1657z00_1641;
																																BgL_argsz00_5792
																																	=
																																	BgL_arg1658z00_1642;
																																BgL_argsz00_1525
																																	=
																																	BgL_argsz00_5792;
																																BgL_fz00_1524 =
																																	BgL_fz00_5791;
																																goto
																																	BgL_tagzd2175zd2_1526;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5790);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd25402zd2_1644;
																												BgL_cdrzd25402zd2_1644 =
																													CDR(BgL_ez00_69);
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_cdrzd25408zd2_1645;
																													BgL_cdrzd25408zd2_1645
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25402zd2_1644));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25408zd2_1645))))
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1663z00_1648;
																															obj_t
																																BgL_arg1664z00_1649;
																															BgL_arg1663z00_1648
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25402zd2_1644));
																															BgL_arg1664z00_1649
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25408zd2_1645));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5805;
																																BgL_pz00_1469 =
																																	BgL_arg1663z00_1648;
																																BgL_tz00_1470 =
																																	BgL_arg1664z00_1649;
																															BgL_tagzd2156zd2_1471:
																																{	/* Eval/evaluate.scm 468 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1115z00_2359;
																																	{	/* Eval/evaluate.scm 469 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1114z00_2363;
																																		BgL_new1114z00_2363
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 469 */
																																			long
																																				BgL_arg2287z00_2364;
																																			{	/* Eval/evaluate.scm 469 */
																																				long
																																					BgL_res2925z00_3522;
																																				BgL_res2925z00_3522
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg2287z00_2364
																																					=
																																					BgL_res2925z00_3522;
																																			}
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1114z00_2363), BgL_arg2287z00_2364);
																																		}
																																		BgL_new1115z00_2359
																																			=
																																			BgL_new1114z00_2363;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5810;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2284z00_2360;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3525;
																																				BgL__ortest_1067z00_3525
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1469);
																																				if (CBOOL(BgL__ortest_1067z00_3525))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2284z00_2360
																																							=
																																							BgL__ortest_1067z00_3525;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2284z00_2360
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5810
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1469,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2284z00_2360,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2359))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5810), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5817;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2285z00_2361;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3526;
																																				BgL__ortest_1067z00_3526
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1470);
																																				if (CBOOL(BgL__ortest_1067z00_3526))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2285z00_2361
																																							=
																																							BgL__ortest_1067z00_3526;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2285z00_2361
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5817
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1470,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2285z00_2361,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2359))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5817), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5824;
																																		{	/* Eval/evaluate.scm 471 */
																																			obj_t
																																				BgL_arg2286z00_2362;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3527;
																																				BgL__ortest_1067z00_3527
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1067z00_3527))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2286z00_2362
																																							=
																																							BgL__ortest_1067z00_3527;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2286z00_2362
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5824
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2286z00_2362,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2359))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5824), BUNSPEC);
																																	}
																																	BgL_auxz00_5805
																																		=
																																		BgL_new1115z00_2359;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5805);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1665z00_1650;
																															BgL_arg1665z00_1650
																																=
																																CAR
																																(BgL_ez00_69);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5833;
																																{
																																	obj_t
																																		BgL_argsz00_5835;
																																	obj_t
																																		BgL_fz00_5834;
																																	BgL_fz00_5834
																																		=
																																		BgL_arg1665z00_1650;
																																	BgL_argsz00_5835
																																		=
																																		BgL_cdrzd25402zd2_1644;
																																	BgL_argsz00_1525
																																		=
																																		BgL_argsz00_5835;
																																	BgL_fz00_1524
																																		=
																																		BgL_fz00_5834;
																																	goto
																																		BgL_tagzd2175zd2_1526;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5833);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1668z00_1653;
																										obj_t BgL_arg1669z00_1654;

																										BgL_arg1668z00_1653 =
																											CAR(BgL_ez00_69);
																										BgL_arg1669z00_1654 =
																											CDR(BgL_ez00_69);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5839;
																											{
																												obj_t BgL_argsz00_5841;
																												obj_t BgL_fz00_5840;

																												BgL_fz00_5840 =
																													BgL_arg1668z00_1653;
																												BgL_argsz00_5841 =
																													BgL_arg1669z00_1654;
																												BgL_argsz00_1525 =
																													BgL_argsz00_5841;
																												BgL_fz00_1524 =
																													BgL_fz00_5840;
																												goto
																													BgL_tagzd2175zd2_1526;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5839);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1670z00_1655;
																								obj_t BgL_arg1671z00_1656;

																								BgL_arg1670z00_1655 =
																									CAR(BgL_ez00_69);
																								BgL_arg1671z00_1656 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5845;
																									{
																										obj_t BgL_argsz00_5847;
																										obj_t BgL_fz00_5846;

																										BgL_fz00_5846 =
																											BgL_arg1670z00_1655;
																										BgL_argsz00_5847 =
																											BgL_arg1671z00_1656;
																										BgL_argsz00_1525 =
																											BgL_argsz00_5847;
																										BgL_fz00_1524 =
																											BgL_fz00_5846;
																										goto BgL_tagzd2175zd2_1526;
																									}
																									return
																										((obj_t) BgL_auxz00_5845);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3302z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1675z00_1659;

																								BgL_arg1675z00_1659 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 473 */
																									BgL_ev_orz00_bglt
																										BgL_new1118z00_3986;
																									{	/* Eval/evaluate.scm 474 */
																										BgL_ev_orz00_bglt
																											BgL_new1117z00_3987;
																										BgL_new1117z00_3987 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 474 */
																											long BgL_arg2288z00_3988;

																											{	/* Eval/evaluate.scm 474 */
																												long
																													BgL_res3018z00_3990;
																												BgL_res3018z00_3990 =
																													BGL_CLASS_INDEX
																													(BGl_ev_orz00zz__evaluate_typesz00);
																												BgL_arg2288z00_3988 =
																													BgL_res3018z00_3990;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1117z00_3987),
																												BgL_arg2288z00_3988);
																										}
																										BgL_new1118z00_3986 =
																											BgL_new1117z00_3987;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1118z00_3986)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1675z00_1659)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1118z00_3986);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3304z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1678z00_1662;

																										BgL_arg1678z00_1662 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 476 */
																											BgL_ev_andz00_bglt
																												BgL_new1120z00_3995;
																											{	/* Eval/evaluate.scm 477 */
																												BgL_ev_andz00_bglt
																													BgL_new1119z00_3996;
																												BgL_new1119z00_3996 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 477 */
																													long
																														BgL_arg2289z00_3997;
																													{	/* Eval/evaluate.scm 477 */
																														long
																															BgL_res3019z00_3999;
																														BgL_res3019z00_3999
																															=
																															BGL_CLASS_INDEX
																															(BGl_ev_andz00zz__evaluate_typesz00);
																														BgL_arg2289z00_3997
																															=
																															BgL_res3019z00_3999;
																													}
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1119z00_3996), BgL_arg2289z00_3997);
																												}
																												BgL_new1120z00_3995 =
																													BgL_new1119z00_3996;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1120z00_3995)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1678z00_1662)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1120z00_3995);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										if (
																											(CAR(BgL_ez00_69) ==
																												BGl_symbol3289z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_69),
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd26301zd2_1666;
																												BgL_cdrzd26301zd2_1666 =
																													CDR(BgL_ez00_69);
																												if ((CAR(BgL_ez00_69) ==
																														BGl_symbol3275z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd26301zd2_1666))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1686z00_1670;
																																obj_t
																																	BgL_arg1687z00_1671;
																																BgL_arg1686z00_1670
																																	=
																																	CAR
																																	(BgL_cdrzd26301zd2_1666);
																																BgL_arg1687z00_1671
																																	=
																																	CDR
																																	(BgL_cdrzd26301zd2_1666);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5886;
																																	BgL_bindsz00_1478
																																		=
																																		BgL_arg1686z00_1670;
																																	BgL_bodyz00_1479
																																		=
																																		BgL_arg1687z00_1671;
																																BgL_tagzd2160zd2_1480:
																																	{	/* Eval/evaluate.scm 481 */
																																		obj_t
																																			BgL_ubindsz00_2371;
																																		if (NULLP
																																			(BgL_bindsz00_1478))
																																			{	/* Eval/evaluate.scm 481 */
																																				BgL_ubindsz00_2371
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_head1213z00_2416;
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_res2929z00_3543;
																																					BgL_res2929z00_3543
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1213z00_2416
																																						=
																																						BgL_res2929z00_3543;
																																				}
																																				{
																																					obj_t
																																						BgL_l1211z00_3571;
																																					obj_t
																																						BgL_tail1214z00_3572;
																																					BgL_l1211z00_3571
																																						=
																																						BgL_bindsz00_1478;
																																					BgL_tail1214z00_3572
																																						=
																																						BgL_head1213z00_2416;
																																				BgL_zc3anonymousza32310ze3z83_3570:
																																					if (NULLP(BgL_l1211z00_3571))
																																						{	/* Eval/evaluate.scm 481 */
																																							BgL_ubindsz00_2371
																																								=
																																								CDR
																																								(BgL_head1213z00_2416);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 481 */
																																							obj_t
																																								BgL_newtail1215z00_3580;
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_arg2313z00_3581;
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_bz00_3582;
																																									BgL_bz00_3582
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1211z00_3571));
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_arg2314z00_3583;
																																										BgL_arg2314z00_3583
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3582));
																																										BgL_arg2313z00_3581
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2314z00_3583);
																																									}
																																								}
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_res2935z00_3589;
																																									BgL_res2935z00_3589
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2313z00_3581,
																																										BNIL);
																																									BgL_newtail1215z00_3580
																																										=
																																										BgL_res2935z00_3589;
																																								}
																																							}
																																							SET_CDR
																																								(BgL_tail1214z00_3572,
																																								BgL_newtail1215z00_3580);
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_arg2312z00_3584;
																																								BgL_arg2312z00_3584
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1211z00_3571));
																																								{
																																									obj_t
																																										BgL_tail1214z00_5903;
																																									obj_t
																																										BgL_l1211z00_5902;
																																									BgL_l1211z00_5902
																																										=
																																										BgL_arg2312z00_3584;
																																									BgL_tail1214z00_5903
																																										=
																																										BgL_newtail1215z00_3580;
																																									BgL_tail1214z00_3572
																																										=
																																										BgL_tail1214z00_5903;
																																									BgL_l1211z00_3571
																																										=
																																										BgL_l1211z00_5902;
																																									goto
																																										BgL_zc3anonymousza32310ze3z83_3570;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 481 */
																																			obj_t
																																				BgL_varsz00_2372;
																																			if (NULLP
																																				(BgL_ubindsz00_2371))
																																				{	/* Eval/evaluate.scm 482 */
																																					BgL_varsz00_2372
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 482 */
																																					obj_t
																																						BgL_head1218z00_2400;
																																					{	/* Eval/evaluate.scm 482 */
																																						obj_t
																																							BgL_res2937z00_3593;
																																						BgL_res2937z00_3593
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head1218z00_2400
																																							=
																																							BgL_res2937z00_3593;
																																					}
																																					{
																																						obj_t
																																							BgL_l1216z00_2402;
																																						obj_t
																																							BgL_tail1219z00_2403;
																																						BgL_l1216z00_2402
																																							=
																																							BgL_ubindsz00_2371;
																																						BgL_tail1219z00_2403
																																							=
																																							BgL_head1218z00_2400;
																																					BgL_zc3anonymousza32303ze3z83_2404:
																																						if (NULLP(BgL_l1216z00_2402))
																																							{	/* Eval/evaluate.scm 482 */
																																								BgL_varsz00_2372
																																									=
																																									CDR
																																									(BgL_head1218z00_2400);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 482 */
																																								obj_t
																																									BgL_newtail1220z00_2406;
																																								{	/* Eval/evaluate.scm 482 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2307z00_2408;
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_iz00_2409;
																																										BgL_iz00_2409
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1216z00_2402));
																																										{	/* Eval/evaluate.scm 483 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1123z00_2410;
																																											{	/* Eval/evaluate.scm 485 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1121z00_2411;
																																												BgL_new1121z00_2411
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 485 */
																																													long
																																														BgL_arg2308z00_2412;
																																													{	/* Eval/evaluate.scm 485 */
																																														long
																																															BgL_res2939z00_3598;
																																														BgL_res2939z00_3598
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg2308z00_2412
																																															=
																																															BgL_res2939z00_3598;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1121z00_2411), BgL_arg2308z00_2412);
																																												}
																																												BgL_new1123z00_2410
																																													=
																																													BgL_new1121z00_2411;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2410))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2409))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2410))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2410))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2409))), BUNSPEC);
																																											BgL_arg2307z00_2408
																																												=
																																												BgL_new1123z00_2410;
																																									}}
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_res2940z00_3603;
																																										BgL_res2940z00_3603
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2307z00_2408), BNIL);
																																										BgL_newtail1220z00_2406
																																											=
																																											BgL_res2940z00_3603;
																																								}}
																																								SET_CDR
																																									(BgL_tail1219z00_2403,
																																									BgL_newtail1220z00_2406);
																																								{	/* Eval/evaluate.scm 482 */
																																									obj_t
																																										BgL_arg2306z00_2407;
																																									BgL_arg2306z00_2407
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1216z00_2402));
																																									{
																																										obj_t
																																											BgL_tail1219z00_5929;
																																										obj_t
																																											BgL_l1216z00_5928;
																																										BgL_l1216z00_5928
																																											=
																																											BgL_arg2306z00_2407;
																																										BgL_tail1219z00_5929
																																											=
																																											BgL_newtail1220z00_2406;
																																										BgL_tail1219z00_2403
																																											=
																																											BgL_tail1219z00_5929;
																																										BgL_l1216z00_2402
																																											=
																																											BgL_l1216z00_5928;
																																										goto
																																											BgL_zc3anonymousza32303ze3z83_2404;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 482 */
																																				obj_t
																																					BgL_bodyz00_2373;
																																				{	/* Eval/evaluate.scm 487 */
																																					bool_t
																																						BgL_testz00_5930;
																																					{	/* Eval/evaluate.scm 487 */
																																						obj_t
																																							BgL_tmpz00_5931;
																																						BgL_tmpz00_5931
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1479));
																																						BgL_testz00_5930
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5931);
																																					}
																																					if (BgL_testz00_5930)
																																						{	/* Eval/evaluate.scm 487 */
																																							obj_t
																																								BgL_res2942z00_3609;
																																							BgL_res2942z00_3609
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol3289z00zz__evaluatez00,
																																								BgL_bodyz00_1479,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2373
																																								=
																																								BgL_res2942z00_3609;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 487 */
																																							BgL_bodyz00_2373
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1479));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 487 */
																																					obj_t
																																						BgL_tbodyz00_2374;
																																					BgL_tbodyz00_2374
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2371,
																																						BgL_bindsz00_1478,
																																						BgL_bodyz00_2373,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 488 */

																																						{	/* Eval/evaluate.scm 489 */
																																							obj_t
																																								BgL_blocz00_2375;
																																							{	/* Eval/evaluate.scm 145 */
																																								obj_t
																																									BgL__ortest_1067z00_3611;
																																								BgL__ortest_1067z00_3611
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1478);
																																								if (CBOOL(BgL__ortest_1067z00_3611))
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2375
																																											=
																																											BgL__ortest_1067z00_3611;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2375
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 490 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1125z00_2376;
																																								{	/* Eval/evaluate.scm 491 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1124z00_2393;
																																									BgL_new1124z00_2393
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 491 */
																																										long
																																											BgL_arg2298z00_2394;
																																										{	/* Eval/evaluate.scm 491 */
																																											long
																																												BgL_res2943z00_3613;
																																											BgL_res2943z00_3613
																																												=
																																												BGL_CLASS_INDEX
																																												(BGl_ev_letz00zz__evaluate_typesz00);
																																											BgL_arg2298z00_2394
																																												=
																																												BgL_res2943z00_3613;
																																										}
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1124z00_2393), BgL_arg2298z00_2394);
																																									}
																																									BgL_new1125z00_2376
																																										=
																																										BgL_new1124z00_2393;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1125z00_2376)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2372), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5948;
																																									if (NULLP(BgL_bindsz00_1478))
																																										{	/* Eval/evaluate.scm 492 */
																																											BgL_auxz00_5948
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 492 */
																																											obj_t
																																												BgL_head1223z00_2379;
																																											{	/* Eval/evaluate.scm 492 */
																																												obj_t
																																													BgL_res2945z00_3617;
																																												BgL_res2945z00_3617
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_head1223z00_2379
																																													=
																																													BgL_res2945z00_3617;
																																											}
																																											{
																																												obj_t
																																													BgL_l1221z00_2381;
																																												obj_t
																																													BgL_tail1224z00_2382;
																																												BgL_l1221z00_2381
																																													=
																																													BgL_bindsz00_1478;
																																												BgL_tail1224z00_2382
																																													=
																																													BgL_head1223z00_2379;
																																											BgL_zc3anonymousza32291ze3z83_2383:
																																												if (NULLP(BgL_l1221z00_2381))
																																													{	/* Eval/evaluate.scm 492 */
																																														BgL_auxz00_5948
																																															=
																																															CDR
																																															(BgL_head1223z00_2379);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 492 */
																																														obj_t
																																															BgL_newtail1225z00_2385;
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2294z00_2387;
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_bz00_2388;
																																																BgL_bz00_2388
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1221z00_2381));
																																																{	/* Eval/evaluate.scm 493 */
																																																	obj_t
																																																		BgL_locz00_2389;
																																																	{	/* Eval/evaluate.scm 145 */
																																																		obj_t
																																																			BgL__ortest_1067z00_3621;
																																																		BgL__ortest_1067z00_3621
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2388);
																																																		if (CBOOL(BgL__ortest_1067z00_3621))
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2389
																																																					=
																																																					BgL__ortest_1067z00_3621;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2389
																																																					=
																																																					BgL_blocz00_2375;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 494 */
																																																		obj_t
																																																			BgL_arg2295z00_2390;
																																																		{	/* Eval/evaluate.scm 494 */
																																																			obj_t
																																																				BgL_pairz00_3625;
																																																			BgL_pairz00_3625
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2388));
																																																			BgL_arg2295z00_2390
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3625);
																																																		}
																																																		BgL_arg2294z00_2387
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2295z00_2390,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2389,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_res2947z00_3626;
																																																BgL_res2947z00_3626
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BgL_arg2294z00_2387,
																																																	BNIL);
																																																BgL_newtail1225z00_2385
																																																	=
																																																	BgL_res2947z00_3626;
																																															}
																																														}
																																														SET_CDR
																																															(BgL_tail1224z00_2382,
																																															BgL_newtail1225z00_2385);
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2293z00_2386;
																																															BgL_arg2293z00_2386
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1221z00_2381));
																																															{
																																																obj_t
																																																	BgL_tail1224z00_5970;
																																																obj_t
																																																	BgL_l1221z00_5969;
																																																BgL_l1221z00_5969
																																																	=
																																																	BgL_arg2293z00_2386;
																																																BgL_tail1224z00_5970
																																																	=
																																																	BgL_newtail1225z00_2385;
																																																BgL_tail1224z00_2382
																																																	=
																																																	BgL_tail1224z00_5970;
																																																BgL_l1221z00_2381
																																																	=
																																																	BgL_l1221z00_5969;
																																																goto
																																																	BgL_zc3anonymousza32291ze3z83_2383;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1125z00_2376)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5948), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5972;
																																									{	/* Eval/evaluate.scm 496 */
																																										obj_t
																																											BgL_arg2297z00_2392;
																																										BgL_arg2297z00_2392
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2372,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5972
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2374,
																																												BgL_arg2297z00_2392,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1125z00_2376)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5972), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1125z00_2376))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5886
																																									=
																																									BgL_new1125z00_2376;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5886);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1688z00_1672;
																																BgL_arg1688z00_1672
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5981;
																																	{
																																		obj_t
																																			BgL_argsz00_5983;
																																		obj_t
																																			BgL_fz00_5982;
																																		BgL_fz00_5982
																																			=
																																			BgL_arg1688z00_1672;
																																		BgL_argsz00_5983
																																			=
																																			BgL_cdrzd26301zd2_1666;
																																		BgL_argsz00_1525
																																			=
																																			BgL_argsz00_5983;
																																		BgL_fz00_1524
																																			=
																																			BgL_fz00_5982;
																																		goto
																																			BgL_tagzd2175zd2_1526;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5981);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														if (
																															(CAR(BgL_ez00_69)
																																==
																																BGl_symbol3306z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd26301zd2_1666))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1694z00_1678;
																																		obj_t
																																			BgL_arg1695z00_1679;
																																		BgL_arg1694z00_1678
																																			=
																																			CAR
																																			(BgL_cdrzd26301zd2_1666);
																																		BgL_arg1695z00_1679
																																			=
																																			CDR
																																			(BgL_cdrzd26301zd2_1666);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5992;
																																			BgL_bindsz00_1481
																																				=
																																				BgL_arg1694z00_1678;
																																			BgL_bodyz00_1482
																																				=
																																				BgL_arg1695z00_1679;
																																		BgL_tagzd2161zd2_1483:
																																			{	/* Eval/evaluate.scm 504 */
																																				obj_t
																																					BgL_varsz00_2429;
																																				obj_t
																																					BgL_blocz00_2430;
																																				if (NULLP(BgL_bindsz00_1481))
																																					{	/* Eval/evaluate.scm 504 */
																																						BgL_varsz00_2429
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 504 */
																																						obj_t
																																							BgL_head1228z00_2438;
																																						{	/* Eval/evaluate.scm 504 */
																																							obj_t
																																								BgL_res2950z00_3652;
																																							BgL_res2950z00_3652
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1228z00_2438
																																								=
																																								BgL_res2950z00_3652;
																																						}
																																						{
																																							obj_t
																																								BgL_l1226z00_2440;
																																							obj_t
																																								BgL_tail1229z00_2441;
																																							BgL_l1226z00_2440
																																								=
																																								BgL_bindsz00_1481;
																																							BgL_tail1229z00_2441
																																								=
																																								BgL_head1228z00_2438;
																																						BgL_zc3anonymousza32319ze3z83_2442:
																																							if (NULLP(BgL_l1226z00_2440))
																																								{	/* Eval/evaluate.scm 504 */
																																									BgL_varsz00_2429
																																										=
																																										CDR
																																										(BgL_head1228z00_2438);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 504 */
																																									obj_t
																																										BgL_newtail1230z00_2444;
																																									{	/* Eval/evaluate.scm 504 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2323z00_2446;
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_bz00_2447;
																																											BgL_bz00_2447
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1226z00_2440));
																																											{	/* Eval/evaluate.scm 505 */
																																												obj_t
																																													BgL_iz00_2448;
																																												{	/* Eval/evaluate.scm 505 */
																																													obj_t
																																														BgL_arg2325z00_2452;
																																													BgL_arg2325z00_2452
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2447));
																																													BgL_iz00_2448
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2325z00_2452);
																																												}
																																												{	/* Eval/evaluate.scm 506 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1129z00_2449;
																																													{	/* Eval/evaluate.scm 508 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1127z00_2450;
																																														BgL_new1127z00_2450
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 508 */
																																															long
																																																BgL_arg2324z00_2451;
																																															{	/* Eval/evaluate.scm 508 */
																																																long
																																																	BgL_res2952z00_3658;
																																																BgL_res2952z00_3658
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2324z00_2451
																																																	=
																																																	BgL_res2952z00_3658;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1127z00_2450), BgL_arg2324z00_2451);
																																														}
																																														BgL_new1129z00_2449
																																															=
																																															BgL_new1127z00_2450;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1129z00_2449))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2448)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1129z00_2449))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1129z00_2449))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2448)), BUNSPEC);
																																													BgL_arg2323z00_2446
																																														=
																																														BgL_new1129z00_2449;
																																										}}}
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_res2953z00_3663;
																																											BgL_res2953z00_3663
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) BgL_arg2323z00_2446), BNIL);
																																											BgL_newtail1230z00_2444
																																												=
																																												BgL_res2953z00_3663;
																																									}}
																																									SET_CDR
																																										(BgL_tail1229z00_2441,
																																										BgL_newtail1230z00_2444);
																																									{	/* Eval/evaluate.scm 504 */
																																										obj_t
																																											BgL_arg2322z00_2445;
																																										BgL_arg2322z00_2445
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1226z00_2440));
																																										{
																																											obj_t
																																												BgL_tail1229z00_6019;
																																											obj_t
																																												BgL_l1226z00_6018;
																																											BgL_l1226z00_6018
																																												=
																																												BgL_arg2322z00_2445;
																																											BgL_tail1229z00_6019
																																												=
																																												BgL_newtail1230z00_2444;
																																											BgL_tail1229z00_2441
																																												=
																																												BgL_tail1229z00_6019;
																																											BgL_l1226z00_2440
																																												=
																																												BgL_l1226z00_6018;
																																											goto
																																												BgL_zc3anonymousza32319ze3z83_2442;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 145 */
																																					obj_t
																																						BgL__ortest_1067z00_3666;
																																					BgL__ortest_1067z00_3666
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1481);
																																					if (CBOOL(BgL__ortest_1067z00_3666))
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2430
																																								=
																																								BgL__ortest_1067z00_3666;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2430
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 511 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1131z00_2431;
																																					{	/* Eval/evaluate.scm 512 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1130z00_2434;
																																						BgL_new1130z00_2434
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 512 */
																																							long
																																								BgL_arg2317z00_2435;
																																							{	/* Eval/evaluate.scm 512 */
																																								long
																																									BgL_res2954z00_3668;
																																								BgL_res2954z00_3668
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2317z00_2435
																																									=
																																									BgL_res2954z00_3668;
																																							}
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1130z00_2434), BgL_arg2317z00_2435);
																																						}
																																						BgL_new1131z00_2431
																																							=
																																							BgL_new1130z00_2434;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1131z00_2431)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2429), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1131z00_2431)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1481, BgL_varsz00_2429, BgL_localsz00_70, BgL_blocz00_2430)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_6032;
																																						{	/* Eval/evaluate.scm 514 */
																																							obj_t
																																								BgL_arg2315z00_2432;
																																							{	/* Eval/evaluate.scm 514 */
																																								obj_t
																																									BgL_arg2316z00_2433;
																																								BgL_arg2316z00_2433
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2429);
																																								BgL_arg2315z00_2432
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2316z00_2433,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_6032
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1482,
																																									BgL_arg2315z00_2432,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1131z00_2431)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6032), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1131z00_2431))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5992
																																						=
																																						BgL_new1131z00_2431;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5992);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1696z00_1680;
																																		obj_t
																																			BgL_arg1697z00_1681;
																																		BgL_arg1696z00_1680
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		BgL_arg1697z00_1681
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6043;
																																			{
																																				obj_t
																																					BgL_argsz00_6045;
																																				obj_t
																																					BgL_fz00_6044;
																																				BgL_fz00_6044
																																					=
																																					BgL_arg1696z00_1680;
																																				BgL_argsz00_6045
																																					=
																																					BgL_arg1697z00_1681;
																																				BgL_argsz00_1525
																																					=
																																					BgL_argsz00_6045;
																																				BgL_fz00_1524
																																					=
																																					BgL_fz00_6044;
																																				goto
																																					BgL_tagzd2175zd2_1526;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6043);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_cdrzd26695zd2_1682;
																																BgL_cdrzd26695zd2_1682
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																if ((CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3308z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd26695zd2_1682))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1701z00_1686;
																																				obj_t
																																					BgL_arg1702z00_1687;
																																				BgL_arg1701z00_1686
																																					=
																																					CAR
																																					(BgL_cdrzd26695zd2_1682);
																																				BgL_arg1702z00_1687
																																					=
																																					CDR
																																					(BgL_cdrzd26695zd2_1682);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6055;
																																					BgL_bindsz00_1484
																																						=
																																						BgL_arg1701z00_1686;
																																					BgL_bodyz00_1485
																																						=
																																						BgL_arg1702z00_1687;
																																				BgL_tagzd2162zd2_1486:
																																					{	/* Eval/evaluate.scm 516 */
																																						obj_t
																																							BgL_ubindsz00_2470;
																																						if (NULLP(BgL_bindsz00_1484))
																																							{	/* Eval/evaluate.scm 516 */
																																								BgL_ubindsz00_2470
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_head1233z00_2520;
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_res2956z00_3672;
																																									BgL_res2956z00_3672
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1233z00_2520
																																										=
																																										BgL_res2956z00_3672;
																																								}
																																								{
																																									obj_t
																																										BgL_l1231z00_3700;
																																									obj_t
																																										BgL_tail1234z00_3701;
																																									BgL_l1231z00_3700
																																										=
																																										BgL_bindsz00_1484;
																																									BgL_tail1234z00_3701
																																										=
																																										BgL_head1233z00_2520;
																																								BgL_zc3anonymousza32359ze3z83_3699:
																																									if (NULLP(BgL_l1231z00_3700))
																																										{	/* Eval/evaluate.scm 516 */
																																											BgL_ubindsz00_2470
																																												=
																																												CDR
																																												(BgL_head1233z00_2520);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 516 */
																																											obj_t
																																												BgL_newtail1235z00_3709;
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_arg2362z00_3710;
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_bz00_3711;
																																													BgL_bz00_3711
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1231z00_3700));
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_arg2363z00_3712;
																																														BgL_arg2363z00_3712
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3711));
																																														BgL_arg2362z00_3710
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2363z00_3712);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_res2962z00_3718;
																																													BgL_res2962z00_3718
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg2362z00_3710,
																																														BNIL);
																																													BgL_newtail1235z00_3709
																																														=
																																														BgL_res2962z00_3718;
																																												}
																																											}
																																											SET_CDR
																																												(BgL_tail1234z00_3701,
																																												BgL_newtail1235z00_3709);
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_arg2361z00_3713;
																																												BgL_arg2361z00_3713
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1231z00_3700));
																																												{
																																													obj_t
																																														BgL_tail1234z00_6072;
																																													obj_t
																																														BgL_l1231z00_6071;
																																													BgL_l1231z00_6071
																																														=
																																														BgL_arg2361z00_3713;
																																													BgL_tail1234z00_6072
																																														=
																																														BgL_newtail1235z00_3709;
																																													BgL_tail1234z00_3701
																																														=
																																														BgL_tail1234z00_6072;
																																													BgL_l1231z00_3700
																																														=
																																														BgL_l1231z00_6071;
																																													goto
																																														BgL_zc3anonymousza32359ze3z83_3699;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 516 */
																																							obj_t
																																								BgL_varsz00_2471;
																																							if (NULLP(BgL_ubindsz00_2470))
																																								{	/* Eval/evaluate.scm 517 */
																																									BgL_varsz00_2471
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 517 */
																																									obj_t
																																										BgL_head1238z00_2504;
																																									{	/* Eval/evaluate.scm 517 */
																																										obj_t
																																											BgL_res2964z00_3722;
																																										BgL_res2964z00_3722
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_head1238z00_2504
																																											=
																																											BgL_res2964z00_3722;
																																									}
																																									{
																																										obj_t
																																											BgL_l1236z00_2506;
																																										obj_t
																																											BgL_tail1239z00_2507;
																																										BgL_l1236z00_2506
																																											=
																																											BgL_ubindsz00_2470;
																																										BgL_tail1239z00_2507
																																											=
																																											BgL_head1238z00_2504;
																																									BgL_zc3anonymousza32353ze3z83_2508:
																																										if (NULLP(BgL_l1236z00_2506))
																																											{	/* Eval/evaluate.scm 517 */
																																												BgL_varsz00_2471
																																													=
																																													CDR
																																													(BgL_head1238z00_2504);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 517 */
																																												obj_t
																																													BgL_newtail1240z00_2510;
																																												{	/* Eval/evaluate.scm 517 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2356z00_2512;
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_iz00_2513;
																																														BgL_iz00_2513
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1236z00_2506));
																																														{	/* Eval/evaluate.scm 518 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1134z00_2514;
																																															{	/* Eval/evaluate.scm 520 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1133z00_2515;
																																																BgL_new1133z00_2515
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 520 */
																																																	long
																																																		BgL_arg2357z00_2516;
																																																	{	/* Eval/evaluate.scm 520 */
																																																		long
																																																			BgL_res2966z00_3727;
																																																		BgL_res2966z00_3727
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2357z00_2516
																																																			=
																																																			BgL_res2966z00_3727;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1133z00_2515), BgL_arg2357z00_2516);
																																																}
																																																BgL_new1134z00_2514
																																																	=
																																																	BgL_new1133z00_2515;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2514))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2513))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2514))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2514))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2513))), BUNSPEC);
																																															BgL_arg2356z00_2512
																																																=
																																																BgL_new1134z00_2514;
																																													}}
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_res2967z00_3732;
																																														BgL_res2967z00_3732
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) BgL_arg2356z00_2512), BNIL);
																																														BgL_newtail1240z00_2510
																																															=
																																															BgL_res2967z00_3732;
																																												}}
																																												SET_CDR
																																													(BgL_tail1239z00_2507,
																																													BgL_newtail1240z00_2510);
																																												{	/* Eval/evaluate.scm 517 */
																																													obj_t
																																														BgL_arg2355z00_2511;
																																													BgL_arg2355z00_2511
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1236z00_2506));
																																													{
																																														obj_t
																																															BgL_tail1239z00_6098;
																																														obj_t
																																															BgL_l1236z00_6097;
																																														BgL_l1236z00_6097
																																															=
																																															BgL_arg2355z00_2511;
																																														BgL_tail1239z00_6098
																																															=
																																															BgL_newtail1240z00_2510;
																																														BgL_tail1239z00_2507
																																															=
																																															BgL_tail1239z00_6098;
																																														BgL_l1236z00_2506
																																															=
																																															BgL_l1236z00_6097;
																																														goto
																																															BgL_zc3anonymousza32353ze3z83_2508;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 517 */
																																								obj_t
																																									BgL_localsz00_2472;
																																								BgL_localsz00_2472
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2471,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 522 */
																																									obj_t
																																										BgL_bodyz00_2473;
																																									{	/* Eval/evaluate.scm 523 */
																																										bool_t
																																											BgL_testz00_6100;
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_tmpz00_6101;
																																											BgL_tmpz00_6101
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1485));
																																											BgL_testz00_6100
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6101);
																																										}
																																										if (BgL_testz00_6100)
																																											{	/* Eval/evaluate.scm 523 */
																																												obj_t
																																													BgL_res2969z00_3738;
																																												BgL_res2969z00_3738
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol3289z00zz__evaluatez00,
																																													BgL_bodyz00_1485,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2473
																																													=
																																													BgL_res2969z00_3738;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 523 */
																																												BgL_bodyz00_2473
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1485));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 523 */
																																										obj_t
																																											BgL_tbodyz00_2474;
																																										BgL_tbodyz00_2474
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2470,
																																											BgL_bindsz00_1484,
																																											BgL_bodyz00_2473,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 524 */
																																											obj_t
																																												BgL_blocz00_2475;
																																											{	/* Eval/evaluate.scm 145 */
																																												obj_t
																																													BgL__ortest_1067z00_3740;
																																												BgL__ortest_1067z00_3740
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1484);
																																												if (CBOOL(BgL__ortest_1067z00_3740))
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2475
																																															=
																																															BgL__ortest_1067z00_3740;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2475
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 525 */

																																												{	/* Eval/evaluate.scm 526 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1136z00_2476;
																																													{	/* Eval/evaluate.scm 527 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1135z00_2497;
																																														BgL_new1135z00_2497
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 527 */
																																															long
																																																BgL_arg2348z00_2498;
																																															{	/* Eval/evaluate.scm 527 */
																																																long
																																																	BgL_res2970z00_3742;
																																																BgL_res2970z00_3742
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_letrecz00zz__evaluate_typesz00);
																																																BgL_arg2348z00_2498
																																																	=
																																																	BgL_res2970z00_3742;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1135z00_2497), BgL_arg2348z00_2498);
																																														}
																																														BgL_new1136z00_2476
																																															=
																																															BgL_new1135z00_2497;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2476)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2471), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6118;
																																														if (NULLP(BgL_bindsz00_1484))
																																															{	/* Eval/evaluate.scm 528 */
																																																BgL_auxz00_6118
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 528 */
																																																obj_t
																																																	BgL_head1243z00_2479;
																																																{	/* Eval/evaluate.scm 528 */
																																																	obj_t
																																																		BgL_res2972z00_3746;
																																																	BgL_res2972z00_3746
																																																		=
																																																		MAKE_YOUNG_PAIR
																																																		(BNIL,
																																																		BNIL);
																																																	BgL_head1243z00_2479
																																																		=
																																																		BgL_res2972z00_3746;
																																																}
																																																{
																																																	obj_t
																																																		BgL_l1241z00_2481;
																																																	obj_t
																																																		BgL_tail1244z00_2482;
																																																	BgL_l1241z00_2481
																																																		=
																																																		BgL_bindsz00_1484;
																																																	BgL_tail1244z00_2482
																																																		=
																																																		BgL_head1243z00_2479;
																																																BgL_zc3anonymousza32337ze3z83_2483:
																																																	if (NULLP(BgL_l1241z00_2481))
																																																		{	/* Eval/evaluate.scm 528 */
																																																			BgL_auxz00_6118
																																																				=
																																																				CDR
																																																				(BgL_head1243z00_2479);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 528 */
																																																			obj_t
																																																				BgL_newtail1245z00_2485;
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2340z00_2487;
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_bz00_2488;
																																																					BgL_bz00_2488
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1241z00_2481));
																																																					{	/* Eval/evaluate.scm 529 */
																																																						obj_t
																																																							BgL_arg2341z00_2489;
																																																						obj_t
																																																							BgL_arg2342z00_2490;
																																																						obj_t
																																																							BgL_arg2343z00_2491;
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_pairz00_3753;
																																																							BgL_pairz00_3753
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2488));
																																																							BgL_arg2341z00_2489
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3753);
																																																						}
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_arg2344z00_2492;
																																																							BgL_arg2344z00_2492
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2488));
																																																							{	/* Eval/evaluate.scm 529 */
																																																								obj_t
																																																									BgL_list2345z00_2493;
																																																								{	/* Eval/evaluate.scm 529 */
																																																									obj_t
																																																										BgL_arg2346z00_2494;
																																																									{	/* Eval/evaluate.scm 529 */
																																																										obj_t
																																																											BgL_arg2347z00_2495;
																																																										BgL_arg2347z00_2495
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2346z00_2494
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol3291z00zz__evaluatez00,
																																																											BgL_arg2347z00_2495);
																																																									}
																																																									BgL_list2345z00_2493
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2344z00_2492,
																																																										BgL_arg2346z00_2494);
																																																								}
																																																								BgL_arg2342z00_2490
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2345z00_2493);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 145 */
																																																							obj_t
																																																								BgL__ortest_1067z00_3755;
																																																							BgL__ortest_1067z00_3755
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2488);
																																																							if (CBOOL(BgL__ortest_1067z00_3755))
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2343z00_2491
																																																										=
																																																										BgL__ortest_1067z00_3755;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2343z00_2491
																																																										=
																																																										BgL_blocz00_2475;
																																																								}
																																																						}
																																																						BgL_arg2340z00_2487
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2341z00_2489,
																																																							BgL_localsz00_2472,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2342z00_2490,
																																																							BgL_arg2343z00_2491,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_res2974z00_3756;
																																																					BgL_res2974z00_3756
																																																						=
																																																						MAKE_YOUNG_PAIR
																																																						(BgL_arg2340z00_2487,
																																																						BNIL);
																																																					BgL_newtail1245z00_2485
																																																						=
																																																						BgL_res2974z00_3756;
																																																				}
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1244z00_2482,
																																																				BgL_newtail1245z00_2485);
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2339z00_2486;
																																																				BgL_arg2339z00_2486
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1241z00_2481));
																																																				{
																																																					obj_t
																																																						BgL_tail1244z00_6146;
																																																					obj_t
																																																						BgL_l1241z00_6145;
																																																					BgL_l1241z00_6145
																																																						=
																																																						BgL_arg2339z00_2486;
																																																					BgL_tail1244z00_6146
																																																						=
																																																						BgL_newtail1245z00_2485;
																																																					BgL_tail1244z00_2482
																																																						=
																																																						BgL_tail1244z00_6146;
																																																					BgL_l1241z00_2481
																																																						=
																																																						BgL_l1241z00_6145;
																																																					goto
																																																						BgL_zc3anonymousza32337ze3z83_2483;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2476)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6118), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2476)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2474, BgL_localsz00_2472, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6055
																																														=
																																														BgL_new1136z00_2476;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6055);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1704z00_1688;
																																				BgL_arg1704z00_1688
																																					=
																																					CAR
																																					(BgL_ez00_69);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6154;
																																					{
																																						obj_t
																																							BgL_argsz00_6156;
																																						obj_t
																																							BgL_fz00_6155;
																																						BgL_fz00_6155
																																							=
																																							BgL_arg1704z00_1688;
																																						BgL_argsz00_6156
																																							=
																																							BgL_cdrzd26695zd2_1682;
																																						BgL_argsz00_1525
																																							=
																																							BgL_argsz00_6156;
																																						BgL_fz00_1524
																																							=
																																							BgL_fz00_6155;
																																						goto
																																							BgL_tagzd2175zd2_1526;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6154);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		if (
																																			(CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3310z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd26695zd2_1682))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_carzd26869zd2_1694;
																																						obj_t
																																							BgL_cdrzd26870zd2_1695;
																																						BgL_carzd26869zd2_1694
																																							=
																																							CAR
																																							(BgL_cdrzd26695zd2_1682);
																																						BgL_cdrzd26870zd2_1695
																																							=
																																							CDR
																																							(BgL_cdrzd26695zd2_1682);
																																						if (PAIRP(BgL_carzd26869zd2_1694))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd26874zd2_1697;
																																								BgL_cdrzd26874zd2_1697
																																									=
																																									CDR
																																									(BgL_carzd26869zd2_1694);
																																								if ((CAR(BgL_carzd26869zd2_1694) == BGl_symbol3296z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd26874zd2_1697))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_carzd26877zd2_1701;
																																												obj_t
																																													BgL_cdrzd26878zd2_1702;
																																												BgL_carzd26877zd2_1701
																																													=
																																													CAR
																																													(BgL_cdrzd26874zd2_1697);
																																												BgL_cdrzd26878zd2_1702
																																													=
																																													CDR
																																													(BgL_cdrzd26874zd2_1697);
																																												if (SYMBOLP(BgL_carzd26877zd2_1701))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd26878zd2_1702))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_carzd26882zd2_1705;
																																																BgL_carzd26882zd2_1705
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26878zd2_1702);
																																																if (SYMBOLP(BgL_carzd26882zd2_1705))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd26878zd2_1702)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd26870zd2_1695))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						if (NULLP(CDR(BgL_cdrzd26870zd2_1695)))
																																																							{	/* Eval/evaluate.scm 425 */
																																																								obj_t
																																																									BgL_arg1721z00_1712;
																																																								BgL_arg1721z00_1712
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26870zd2_1695);
																																																								{	/* Eval/evaluate.scm 532 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1138z00_4046;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1137z00_4047;
																																																										BgL_new1137z00_4047
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 536 */
																																																											long
																																																												BgL_arg2364z00_4048;
																																																											{	/* Eval/evaluate.scm 536 */
																																																												long
																																																													BgL_res3032z00_4050;
																																																												BgL_res3032z00_4050
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2364z00_4048
																																																													=
																																																													BgL_res3032z00_4050;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1137z00_4047), BgL_arg2364z00_4048);
																																																										}
																																																										BgL_new1138z00_4046
																																																											=
																																																											BgL_new1137z00_4047;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6195;
																																																										{	/* Eval/evaluate.scm 381 */
																																																											obj_t
																																																												BgL_arg2416z00_4053;
																																																											BgL_arg2416z00_4053
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1721z00_1712,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6195
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1721z00_1712,
																																																													BgL_arg2416z00_4053));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1138z00_4046)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6195), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4046))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4046))->BgL_namez00) = ((obj_t) BgL_carzd26877zd2_1701), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4046))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26882zd2_1705)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1138z00_4046);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 425 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string3213z00zz__evaluatez00,
																																																									BGl_string3288z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3213z00zz__evaluatez00,
																																																							BGl_string3288z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd26998zd2_1714;
																																																				BgL_cdrzd26998zd2_1714
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_cdrzd27002zd2_1715;
																																																					BgL_cdrzd27002zd2_1715
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd26998zd2_1714));
																																																					if (PAIRP(BgL_cdrzd27002zd2_1715))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							if (NULLP(CDR(BgL_cdrzd27002zd2_1715)))
																																																								{	/* Eval/evaluate.scm 425 */
																																																									obj_t
																																																										BgL_arg1726z00_1719;
																																																									obj_t
																																																										BgL_arg1727z00_1720;
																																																									BgL_arg1726z00_1719
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd26998zd2_1714));
																																																									BgL_arg1727z00_1720
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27002zd2_1715);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6219;
																																																										BgL_vz00_1494
																																																											=
																																																											BgL_arg1726z00_1719;
																																																										BgL_ez00_1495
																																																											=
																																																											BgL_arg1727z00_1720;
																																																									BgL_tagzd2165zd2_1496:
																																																										{	/* Eval/evaluate.scm 542 */
																																																											obj_t
																																																												BgL_cvz00_2561;
																																																											obj_t
																																																												BgL_ez00_2562;
																																																											BgL_cvz00_2561
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1494,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 381 */
																																																												obj_t
																																																													BgL_arg2416z00_3775;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3776;
																																																													BgL__ortest_1067z00_3776
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1495);
																																																													if (CBOOL(BgL__ortest_1067z00_3776))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2416z00_3775
																																																																=
																																																																BgL__ortest_1067z00_3776;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2416z00_3775
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2562
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1495,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2416z00_3775,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2561))
																																																												{	/* Eval/evaluate.scm 544 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1140z00_2563;
																																																													{	/* Eval/evaluate.scm 546 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1139z00_2564;
																																																														BgL_new1139z00_2564
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 546 */
																																																															long
																																																																BgL_arg2380z00_2565;
																																																															{	/* Eval/evaluate.scm 546 */
																																																																long
																																																																	BgL_res2980z00_3778;
																																																																BgL_res2980z00_3778
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2380z00_2565
																																																																	=
																																																																	BgL_res2980z00_3778;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1139z00_2564), BgL_arg2380z00_2565);
																																																														}
																																																														BgL_new1140z00_2563
																																																															=
																																																															BgL_new1139z00_2564;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1140z00_2563)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2562)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1140z00_2563))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2561)), BUNSPEC);
																																																													BgL_auxz00_6219
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1140z00_2563);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 547 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1142z00_2566;
																																																													{	/* Eval/evaluate.scm 551 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1141z00_2568;
																																																														BgL_new1141z00_2568
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 551 */
																																																															long
																																																																BgL_arg2382z00_2569;
																																																															{	/* Eval/evaluate.scm 551 */
																																																																long
																																																																	BgL_res2981z00_3782;
																																																																BgL_res2981z00_3782
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2382z00_2569
																																																																	=
																																																																	BgL_res2981z00_3782;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1141z00_2568), BgL_arg2382z00_2569);
																																																														}
																																																														BgL_new1142z00_2566
																																																															=
																																																															BgL_new1141z00_2568;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1142z00_2566)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2562)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2566))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2566))->BgL_namez00) = ((obj_t) BgL_vz00_1494), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6246;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6246
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6246
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2566))->BgL_modz00) = ((obj_t) BgL_auxz00_6246), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6219
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1142z00_2566);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6219);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 425 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string3213z00zz__evaluatez00,
																																																										BGl_string3288z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3213z00zz__evaluatez00,
																																																								BGl_string3288z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27059zd2_1723;
																																																		BgL_cdrzd27059zd2_1723
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd27063zd2_1724;
																																																			BgL_cdrzd27063zd2_1724
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27059zd2_1723));
																																																			if (PAIRP(BgL_cdrzd27063zd2_1724))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd27063zd2_1724)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg1734z00_1728;
																																																							obj_t
																																																								BgL_arg1735z00_1729;
																																																							BgL_arg1734z00_1728
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27059zd2_1723));
																																																							BgL_arg1735z00_1729
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27063zd2_1724);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6266;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6268;
																																																									obj_t
																																																										BgL_vz00_6267;
																																																									BgL_vz00_6267
																																																										=
																																																										BgL_arg1734z00_1728;
																																																									BgL_ez00_6268
																																																										=
																																																										BgL_arg1735z00_1729;
																																																									BgL_ez00_1495
																																																										=
																																																										BgL_ez00_6268;
																																																									BgL_vz00_1494
																																																										=
																																																										BgL_vz00_6267;
																																																									goto
																																																										BgL_tagzd2165zd2_1496;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6266);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3213z00zz__evaluatez00,
																																																								BGl_string3288z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3213z00zz__evaluatez00,
																																																						BGl_string3288z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27120zd2_1731;
																																																BgL_cdrzd27120zd2_1731
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd27124zd2_1732;
																																																	BgL_cdrzd27124zd2_1732
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27120zd2_1731));
																																																	if (PAIRP(BgL_cdrzd27124zd2_1732))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd27124zd2_1732)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg1740z00_1736;
																																																					obj_t
																																																						BgL_arg1741z00_1737;
																																																					BgL_arg1740z00_1736
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27120zd2_1731));
																																																					BgL_arg1741z00_1737
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27124zd2_1732);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6283;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6285;
																																																							obj_t
																																																								BgL_vz00_6284;
																																																							BgL_vz00_6284
																																																								=
																																																								BgL_arg1740z00_1736;
																																																							BgL_ez00_6285
																																																								=
																																																								BgL_arg1741z00_1737;
																																																							BgL_ez00_1495
																																																								=
																																																								BgL_ez00_6285;
																																																							BgL_vz00_1494
																																																								=
																																																								BgL_vz00_6284;
																																																							goto
																																																								BgL_tagzd2165zd2_1496;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6283);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3213z00zz__evaluatez00,
																																																						BGl_string3288z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3213z00zz__evaluatez00,
																																																				BGl_string3288z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27181zd2_1739;
																																														BgL_cdrzd27181zd2_1739
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd27185zd2_1740;
																																															BgL_cdrzd27185zd2_1740
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27181zd2_1739));
																																															if (PAIRP(BgL_cdrzd27185zd2_1740))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd27185zd2_1740)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg1746z00_1744;
																																																			obj_t
																																																				BgL_arg1747z00_1745;
																																																			BgL_arg1746z00_1744
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27181zd2_1739));
																																																			BgL_arg1747z00_1745
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27185zd2_1740);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6300;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6302;
																																																					obj_t
																																																						BgL_vz00_6301;
																																																					BgL_vz00_6301
																																																						=
																																																						BgL_arg1746z00_1744;
																																																					BgL_ez00_6302
																																																						=
																																																						BgL_arg1747z00_1745;
																																																					BgL_ez00_1495
																																																						=
																																																						BgL_ez00_6302;
																																																					BgL_vz00_1494
																																																						=
																																																						BgL_vz00_6301;
																																																					goto
																																																						BgL_tagzd2165zd2_1496;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6300);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3213z00zz__evaluatez00,
																																																				BGl_string3288z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27242zd2_1747;
																																												BgL_cdrzd27242zd2_1747
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27246zd2_1748;
																																													BgL_cdrzd27246zd2_1748
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27242zd2_1747));
																																													if (PAIRP(BgL_cdrzd27246zd2_1748))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27246zd2_1748)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1752z00_1752;
																																																	obj_t
																																																		BgL_arg1753z00_1753;
																																																	BgL_arg1752z00_1752
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27242zd2_1747));
																																																	BgL_arg1753z00_1753
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27246zd2_1748);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6317;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6319;
																																																			obj_t
																																																				BgL_vz00_6318;
																																																			BgL_vz00_6318
																																																				=
																																																				BgL_arg1752z00_1752;
																																																			BgL_ez00_6319
																																																				=
																																																				BgL_arg1753z00_1753;
																																																			BgL_ez00_1495
																																																				=
																																																				BgL_ez00_6319;
																																																			BgL_vz00_1494
																																																				=
																																																				BgL_vz00_6318;
																																																			goto
																																																				BgL_tagzd2165zd2_1496;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6317);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd27290zd2_1755;
																																										BgL_cdrzd27290zd2_1755
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_carzd27293zd2_1756;
																																											obj_t
																																												BgL_cdrzd27294zd2_1757;
																																											BgL_carzd27293zd2_1756
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27290zd2_1755));
																																											BgL_cdrzd27294zd2_1757
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27290zd2_1755));
																																											if ((CAR(((obj_t) BgL_carzd27293zd2_1756)) == BGl_symbol3298z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (PAIRP(BgL_cdrzd27294zd2_1757))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27294zd2_1757)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1760z00_1763;
																																																	obj_t
																																																		BgL_arg1763z00_1764;
																																																	BgL_arg1760z00_1763
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27293zd2_1756));
																																																	BgL_arg1763z00_1764
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27294zd2_1757);
																																																	BgL_lz00_1491
																																																		=
																																																		BgL_arg1760z00_1763;
																																																	BgL_e2z00_1492
																																																		=
																																																		BgL_arg1763z00_1764;
																																																BgL_tagzd2164zd2_1493:
																																																	{	/* Eval/evaluate.scm 538 */
																																																		bool_t
																																																			BgL_testz00_6340;
																																																		if (PAIRP(BgL_lz00_1491))
																																																			{	/* Eval/evaluate.scm 538 */
																																																				bool_t
																																																					BgL_testz00_6343;
																																																				{	/* Eval/evaluate.scm 538 */
																																																					obj_t
																																																						BgL_tmpz00_6344;
																																																					BgL_tmpz00_6344
																																																						=
																																																						CDR
																																																						(BgL_lz00_1491);
																																																					BgL_testz00_6343
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6344);
																																																				}
																																																				if (BgL_testz00_6343)
																																																					{
																																																						obj_t
																																																							BgL_l1246z00_2552;
																																																						BgL_l1246z00_2552
																																																							=
																																																							BgL_lz00_1491;
																																																					BgL_zc3anonymousza32374ze3z83_2553:
																																																						if (NULLP(BgL_l1246z00_2552))
																																																							{	/* Eval/evaluate.scm 538 */
																																																								BgL_testz00_6340
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 538 */
																																																								bool_t
																																																									BgL_testz00_6349;
																																																								{	/* Eval/evaluate.scm 538 */
																																																									obj_t
																																																										BgL_tmpz00_6350;
																																																									BgL_tmpz00_6350
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1246z00_2552));
																																																									BgL_testz00_6349
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6350);
																																																								}
																																																								if (BgL_testz00_6349)
																																																									{
																																																										obj_t
																																																											BgL_l1246z00_6354;
																																																										BgL_l1246z00_6354
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1246z00_2552));
																																																										BgL_l1246z00_2552
																																																											=
																																																											BgL_l1246z00_6354;
																																																										goto
																																																											BgL_zc3anonymousza32374ze3z83_2553;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 538 */
																																																										BgL_testz00_6340
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 538 */
																																																						BgL_testz00_6340
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				BgL_testz00_6340
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_6340)
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1491,
																																																					BgL_e2z00_1492,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3213z00zz__evaluatez00,
																																																					BGl_string3288z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27370zd2_1767;
																																													BgL_cdrzd27370zd2_1767
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27290zd2_1755));
																																													if (PAIRP(BgL_cdrzd27370zd2_1767))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27370zd2_1767)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1769z00_1771;
																																																	obj_t
																																																		BgL_arg1770z00_1772;
																																																	BgL_arg1769z00_1771
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27290zd2_1755));
																																																	BgL_arg1770z00_1772
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27370zd2_1767);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6371;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6373;
																																																			obj_t
																																																				BgL_vz00_6372;
																																																			BgL_vz00_6372
																																																				=
																																																				BgL_arg1769z00_1771;
																																																			BgL_ez00_6373
																																																				=
																																																				BgL_arg1770z00_1772;
																																																			BgL_ez00_1495
																																																				=
																																																				BgL_ez00_6373;
																																																			BgL_vz00_1494
																																																				=
																																																				BgL_vz00_6372;
																																																			goto
																																																				BgL_tagzd2165zd2_1496;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6371);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27427zd2_1776;
																																								BgL_cdrzd27427zd2_1776
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_cdrzd27431zd2_1777;
																																									BgL_cdrzd27431zd2_1777
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27427zd2_1776));
																																									if (PAIRP(BgL_cdrzd27431zd2_1777))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (NULLP(CDR(BgL_cdrzd27431zd2_1777)))
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_arg1779z00_1781;
																																													obj_t
																																														BgL_arg1780z00_1782;
																																													BgL_arg1779z00_1781
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27427zd2_1776));
																																													BgL_arg1780z00_1782
																																														=
																																														CAR
																																														(BgL_cdrzd27431zd2_1777);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6388;
																																														{
																																															obj_t
																																																BgL_ez00_6390;
																																															obj_t
																																																BgL_vz00_6389;
																																															BgL_vz00_6389
																																																=
																																																BgL_arg1779z00_1781;
																																															BgL_ez00_6390
																																																=
																																																BgL_arg1780z00_1782;
																																															BgL_ez00_1495
																																																=
																																																BgL_ez00_6390;
																																															BgL_vz00_1494
																																																=
																																																BgL_vz00_6389;
																																															goto
																																																BgL_tagzd2165zd2_1496;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6388);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3213z00zz__evaluatez00,
																																														BGl_string3288z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3213z00zz__evaluatez00,
																																												BGl_string3288z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string3213z00zz__evaluatez00,
																																							BGl_string3288z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_cdrzd27552zd2_1784;
																																				BgL_cdrzd27552zd2_1784
																																					=
																																					CDR
																																					(BgL_ez00_69);
																																				if ((CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3312z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd27552zd2_1784))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27557zd2_1788;
																																								BgL_cdrzd27557zd2_1788
																																									=
																																									CDR
																																									(BgL_cdrzd27552zd2_1784);
																																								if (PAIRP(BgL_cdrzd27557zd2_1788))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd27561zd2_1790;
																																										BgL_carzd27561zd2_1790
																																											=
																																											CAR
																																											(BgL_cdrzd27557zd2_1788);
																																										if (PAIRP(BgL_carzd27561zd2_1790))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27566zd2_1792;
																																												BgL_cdrzd27566zd2_1792
																																													=
																																													CDR
																																													(BgL_carzd27561zd2_1790);
																																												if ((CAR(BgL_carzd27561zd2_1790) == BGl_symbol3277z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd27566zd2_1792))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27570zd2_1796;
																																																BgL_cdrzd27570zd2_1796
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27566zd2_1792);
																																																if (PAIRP(BgL_cdrzd27570zd2_1796))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd27570zd2_1796)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd27557zd2_1788)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1795z00_1802;
																																																						obj_t
																																																							BgL_arg1797z00_1803;
																																																						obj_t
																																																							BgL_arg1798z00_1804;
																																																						BgL_arg1795z00_1802
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1784);
																																																						BgL_arg1797z00_1803
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27566zd2_1792);
																																																						BgL_arg1798z00_1804
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27570zd2_1796);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6425;
																																																							BgL_gvz00_1498
																																																								=
																																																								BgL_arg1795z00_1802;
																																																							BgL_formalsz00_1499
																																																								=
																																																								BgL_arg1797z00_1803;
																																																							BgL_bodyz00_1500
																																																								=
																																																								BgL_arg1798z00_1804;
																																																						BgL_tagzd2167zd2_1501:
																																																							{	/* Eval/evaluate.scm 555 */
																																																								obj_t
																																																									BgL_tidz00_2570;
																																																								BgL_tidz00_2570
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1498);
																																																								{	/* Eval/evaluate.scm 556 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1144z00_2571;
																																																									{	/* Eval/evaluate.scm 560 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1143z00_2574;
																																																										BgL_new1143z00_2574
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 560 */
																																																											long
																																																												BgL_arg2385z00_2575;
																																																											{	/* Eval/evaluate.scm 560 */
																																																												long
																																																													BgL_res2982z00_3786;
																																																												BgL_res2982z00_3786
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2385z00_2575
																																																													=
																																																													BgL_res2982z00_3786;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1143z00_2574), BgL_arg2385z00_2575);
																																																										}
																																																										BgL_new1144z00_2571
																																																											=
																																																											BgL_new1143z00_2574;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6431;
																																																										{	/* Eval/evaluate.scm 560 */
																																																											obj_t
																																																												BgL_arg2383z00_2572;
																																																											BgL_arg2383z00_2572
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2570);
																																																											BgL_auxz00_6431
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1499,
																																																													BgL_bodyz00_1500,
																																																													BgL_gvz00_1498,
																																																													BgL_arg2383z00_2572));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1144z00_2571)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6431), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2571)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2571)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2570)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6442;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6442
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6442
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2571)))->BgL_modz00) = ((obj_t) BgL_auxz00_6442), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6425
																																																										=
																																																										BgL_new1144z00_2571;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6425);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1799z00_1805;
																																																						BgL_arg1799z00_1805
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6450;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6452;
																																																								obj_t
																																																									BgL_fz00_6451;
																																																								BgL_fz00_6451
																																																									=
																																																									BgL_arg1799z00_1805;
																																																								BgL_argsz00_6452
																																																									=
																																																									BgL_cdrzd27552zd2_1784;
																																																								BgL_argsz00_1525
																																																									=
																																																									BgL_argsz00_6452;
																																																								BgL_fz00_1524
																																																									=
																																																									BgL_fz00_6451;
																																																								goto
																																																									BgL_tagzd2175zd2_1526;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6450);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd27670zd2_1809;
																																																				BgL_cdrzd27670zd2_1809
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27552zd2_1784));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27670zd2_1809))))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1804z00_1812;
																																																						obj_t
																																																							BgL_arg1805z00_1813;
																																																						BgL_arg1804z00_1812
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27552zd2_1784));
																																																						BgL_arg1805z00_1813
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27670zd2_1809));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6464;
																																																							BgL_gvz00_1502
																																																								=
																																																								BgL_arg1804z00_1812;
																																																							BgL_gez00_1503
																																																								=
																																																								BgL_arg1805z00_1813;
																																																						BgL_tagzd2168zd2_1504:
																																																							{	/* Eval/evaluate.scm 562 */
																																																								obj_t
																																																									BgL_tidz00_2576;
																																																								BgL_tidz00_2576
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1502);
																																																								{	/* Eval/evaluate.scm 563 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1146z00_2577;
																																																									{	/* Eval/evaluate.scm 567 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1145z00_2582;
																																																										BgL_new1145z00_2582
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 567 */
																																																											long
																																																												BgL_arg2391z00_2583;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												long
																																																													BgL_res2983z00_3792;
																																																												BgL_res2983z00_3792
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2391z00_2583
																																																													=
																																																													BgL_res2983z00_3792;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1145z00_2582), BgL_arg2391z00_2583);
																																																										}
																																																										BgL_new1146z00_2577
																																																											=
																																																											BgL_new1145z00_2582;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6470;
																																																										{	/* Eval/evaluate.scm 568 */
																																																											obj_t
																																																												BgL_arg2387z00_2578;
																																																											{	/* Eval/evaluate.scm 568 */
																																																												obj_t
																																																													BgL_arg2389z00_2580;
																																																												BgL_arg2389z00_2580
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2576);
																																																												BgL_arg2387z00_2578
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2389z00_2580,
																																																													BgL_gez00_1503,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 384 */
																																																												obj_t
																																																													BgL_arg2419z00_3796;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3797;
																																																													BgL__ortest_1067z00_3797
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2387z00_2578);
																																																													if (CBOOL(BgL__ortest_1067z00_3797))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2419z00_3796
																																																																=
																																																																BgL__ortest_1067z00_3797;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2419z00_3796
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6477;
																																																													{	/* Eval/evaluate.scm 375 */
																																																														obj_t
																																																															BgL_auxz00_6478;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6478
																																																																	=
																																																																	BgL_gvz00_1502;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6478
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6477
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2387z00_2578,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6478,
																																																															BgL_arg2419z00_3796,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6470
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6477);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1146z00_2577)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6470), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2577)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2577)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2576)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6488;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6488
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6488
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2577)))->BgL_modz00) = ((obj_t) BgL_auxz00_6488), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6464
																																																										=
																																																										BgL_new1146z00_2577;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6464);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1806z00_1814;
																																																						obj_t
																																																							BgL_arg1807z00_1815;
																																																						BgL_arg1806z00_1814
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1807z00_1815
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6497;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6499;
																																																								obj_t
																																																									BgL_fz00_6498;
																																																								BgL_fz00_6498
																																																									=
																																																									BgL_arg1806z00_1814;
																																																								BgL_argsz00_6499
																																																									=
																																																									BgL_arg1807z00_1815;
																																																								BgL_argsz00_1525
																																																									=
																																																									BgL_argsz00_6499;
																																																								BgL_fz00_1524
																																																									=
																																																									BgL_fz00_6498;
																																																								goto
																																																									BgL_tagzd2175zd2_1526;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6497);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27757zd2_1819;
																																																		BgL_cdrzd27757zd2_1819
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27552zd2_1784));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27757zd2_1819))))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1814z00_1822;
																																																				obj_t
																																																					BgL_arg1816z00_1823;
																																																				BgL_arg1814z00_1822
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27552zd2_1784));
																																																				BgL_arg1816z00_1823
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27757zd2_1819));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6511;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6513;
																																																						obj_t
																																																							BgL_gvz00_6512;
																																																						BgL_gvz00_6512
																																																							=
																																																							BgL_arg1814z00_1822;
																																																						BgL_gez00_6513
																																																							=
																																																							BgL_arg1816z00_1823;
																																																						BgL_gez00_1503
																																																							=
																																																							BgL_gez00_6513;
																																																						BgL_gvz00_1502
																																																							=
																																																							BgL_gvz00_6512;
																																																						goto
																																																							BgL_tagzd2168zd2_1504;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6511);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1817z00_1824;
																																																				obj_t
																																																					BgL_arg1819z00_1825;
																																																				BgL_arg1817z00_1824
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1819z00_1825
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6517;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6519;
																																																						obj_t
																																																							BgL_fz00_6518;
																																																						BgL_fz00_6518
																																																							=
																																																							BgL_arg1817z00_1824;
																																																						BgL_argsz00_6519
																																																							=
																																																							BgL_arg1819z00_1825;
																																																						BgL_argsz00_1525
																																																							=
																																																							BgL_argsz00_6519;
																																																						BgL_fz00_1524
																																																							=
																																																							BgL_fz00_6518;
																																																						goto
																																																							BgL_tagzd2175zd2_1526;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6517);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27844zd2_1828;
																																																BgL_cdrzd27844zd2_1828
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27552zd2_1784));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27844zd2_1828))))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1826z00_1831;
																																																		obj_t
																																																			BgL_arg1827z00_1832;
																																																		BgL_arg1826z00_1831
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27552zd2_1784));
																																																		BgL_arg1827z00_1832
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27844zd2_1828));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6531;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6533;
																																																				obj_t
																																																					BgL_gvz00_6532;
																																																				BgL_gvz00_6532
																																																					=
																																																					BgL_arg1826z00_1831;
																																																				BgL_gez00_6533
																																																					=
																																																					BgL_arg1827z00_1832;
																																																				BgL_gez00_1503
																																																					=
																																																					BgL_gez00_6533;
																																																				BgL_gvz00_1502
																																																					=
																																																					BgL_gvz00_6532;
																																																				goto
																																																					BgL_tagzd2168zd2_1504;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6531);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1830z00_1833;
																																																		obj_t
																																																			BgL_arg1834z00_1834;
																																																		BgL_arg1830z00_1833
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1834z00_1834
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6537;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6539;
																																																				obj_t
																																																					BgL_fz00_6538;
																																																				BgL_fz00_6538
																																																					=
																																																					BgL_arg1830z00_1833;
																																																				BgL_argsz00_6539
																																																					=
																																																					BgL_arg1834z00_1834;
																																																				BgL_argsz00_1525
																																																					=
																																																					BgL_argsz00_6539;
																																																				BgL_fz00_1524
																																																					=
																																																					BgL_fz00_6538;
																																																				goto
																																																					BgL_tagzd2175zd2_1526;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6537);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27931zd2_1837;
																																														BgL_cdrzd27931zd2_1837
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27552zd2_1784));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27931zd2_1837))))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1838z00_1840;
																																																obj_t
																																																	BgL_arg1839z00_1841;
																																																BgL_arg1838z00_1840
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27552zd2_1784));
																																																BgL_arg1839z00_1841
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27931zd2_1837));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6551;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6553;
																																																		obj_t
																																																			BgL_gvz00_6552;
																																																		BgL_gvz00_6552
																																																			=
																																																			BgL_arg1838z00_1840;
																																																		BgL_gez00_6553
																																																			=
																																																			BgL_arg1839z00_1841;
																																																		BgL_gez00_1503
																																																			=
																																																			BgL_gez00_6553;
																																																		BgL_gvz00_1502
																																																			=
																																																			BgL_gvz00_6552;
																																																		goto
																																																			BgL_tagzd2168zd2_1504;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6551);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1840z00_1842;
																																																obj_t
																																																	BgL_arg1842z00_1843;
																																																BgL_arg1840z00_1842
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1842z00_1843
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6557;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6559;
																																																		obj_t
																																																			BgL_fz00_6558;
																																																		BgL_fz00_6558
																																																			=
																																																			BgL_arg1840z00_1842;
																																																		BgL_argsz00_6559
																																																			=
																																																			BgL_arg1842z00_1843;
																																																		BgL_argsz00_1525
																																																			=
																																																			BgL_argsz00_6559;
																																																		BgL_fz00_1524
																																																			=
																																																			BgL_fz00_6558;
																																																		goto
																																																			BgL_tagzd2175zd2_1526;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6557);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28018zd2_1847;
																																												BgL_cdrzd28018zd2_1847
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27552zd2_1784));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28018zd2_1847))))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1847z00_1850;
																																														obj_t
																																															BgL_arg1848z00_1851;
																																														BgL_arg1847z00_1850
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27552zd2_1784));
																																														BgL_arg1848z00_1851
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28018zd2_1847));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6571;
																																															{
																																																obj_t
																																																	BgL_gez00_6573;
																																																obj_t
																																																	BgL_gvz00_6572;
																																																BgL_gvz00_6572
																																																	=
																																																	BgL_arg1847z00_1850;
																																																BgL_gez00_6573
																																																	=
																																																	BgL_arg1848z00_1851;
																																																BgL_gez00_1503
																																																	=
																																																	BgL_gez00_6573;
																																																BgL_gvz00_1502
																																																	=
																																																	BgL_gvz00_6572;
																																																goto
																																																	BgL_tagzd2168zd2_1504;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6571);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1852z00_1852;
																																														obj_t
																																															BgL_arg1853z00_1853;
																																														BgL_arg1852z00_1852
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1853z00_1853
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6577;
																																															{
																																																obj_t
																																																	BgL_argsz00_6579;
																																																obj_t
																																																	BgL_fz00_6578;
																																																BgL_fz00_6578
																																																	=
																																																	BgL_arg1852z00_1852;
																																																BgL_argsz00_6579
																																																	=
																																																	BgL_arg1853z00_1853;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_6579;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_6578;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6577);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1855z00_1855;
																																										BgL_arg1855z00_1855
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6582;
																																											{
																																												obj_t
																																													BgL_argsz00_6584;
																																												obj_t
																																													BgL_fz00_6583;
																																												BgL_fz00_6583
																																													=
																																													BgL_arg1855z00_1855;
																																												BgL_argsz00_6584
																																													=
																																													BgL_cdrzd27552zd2_1784;
																																												BgL_argsz00_1525
																																													=
																																													BgL_argsz00_6584;
																																												BgL_fz00_1524
																																													=
																																													BgL_fz00_6583;
																																												goto
																																													BgL_tagzd2175zd2_1526;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6582);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg1857z00_1857;
																																								BgL_arg1857z00_1857
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6587;
																																									{
																																										obj_t
																																											BgL_argsz00_6589;
																																										obj_t
																																											BgL_fz00_6588;
																																										BgL_fz00_6588
																																											=
																																											BgL_arg1857z00_1857;
																																										BgL_argsz00_6589
																																											=
																																											BgL_cdrzd27552zd2_1784;
																																										BgL_argsz00_1525
																																											=
																																											BgL_argsz00_6589;
																																										BgL_fz00_1524
																																											=
																																											BgL_fz00_6588;
																																										goto
																																											BgL_tagzd2175zd2_1526;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6587);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3314z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd27552zd2_1784))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd28260zd2_1863;
																																										BgL_carzd28260zd2_1863
																																											=
																																											CAR
																																											(BgL_cdrzd27552zd2_1784);
																																										if (PAIRP(BgL_carzd28260zd2_1863))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (NULLP(CDR(BgL_carzd28260zd2_1863)))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1865z00_1867;
																																														obj_t
																																															BgL_arg1866z00_1868;
																																														BgL_arg1865z00_1867
																																															=
																																															CAR
																																															(BgL_carzd28260zd2_1863);
																																														BgL_arg1866z00_1868
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1784);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6604;
																																															BgL_vz00_1505
																																																=
																																																BgL_arg1865z00_1867;
																																															BgL_bodyz00_1506
																																																=
																																																BgL_arg1866z00_1868;
																																														BgL_tagzd2169zd2_1507:
																																															{	/* Eval/evaluate.scm 571 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2584;
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1148z00_2589;
																																																	{	/* Eval/evaluate.scm 571 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1147z00_2590;
																																																		BgL_new1147z00_2590
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 571 */
																																																			long
																																																				BgL_arg2395z00_2591;
																																																			{	/* Eval/evaluate.scm 571 */
																																																				long
																																																					BgL_res2984z00_3800;
																																																				BgL_res2984z00_3800
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2395z00_2591
																																																					=
																																																					BgL_res2984z00_3800;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1147z00_2590), BgL_arg2395z00_2591);
																																																		}
																																																		BgL_new1148z00_2589
																																																			=
																																																			BgL_new1147z00_2590;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2589))->BgL_namez00) = ((obj_t) BgL_vz00_1505), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2589))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2589))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2584
																																																		=
																																																		BgL_new1148z00_2589;
																																																}
																																																{	/* Eval/evaluate.scm 572 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1150z00_2585;
																																																	{	/* Eval/evaluate.scm 573 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1149z00_2587;
																																																		BgL_new1149z00_2587
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 573 */
																																																			long
																																																				BgL_arg2394z00_2588;
																																																			{	/* Eval/evaluate.scm 573 */
																																																				long
																																																					BgL_res2985z00_3804;
																																																				BgL_res2985z00_3804
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2394z00_2588
																																																					=
																																																					BgL_res2985z00_3804;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1149z00_2587), BgL_arg2394z00_2588);
																																																		}
																																																		BgL_new1150z00_2585
																																																			=
																																																			BgL_new1149z00_2587;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1150z00_2585))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2584), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6617;
																																																		{	/* Eval/evaluate.scm 574 */
																																																			obj_t
																																																				BgL_arg2392z00_2586;
																																																			BgL_arg2392z00_2586
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2584), BgL_localsz00_70);
																																																			BgL_auxz00_6617
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1506,
																																																					BgL_arg2392z00_2586,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1150z00_2585))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6617), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6604
																																																		=
																																																		BgL_new1150z00_2585;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6604);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1867z00_1869;
																																														obj_t
																																															BgL_arg1868z00_1870;
																																														BgL_arg1867z00_1869
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1868z00_1870
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6626;
																																															{
																																																obj_t
																																																	BgL_argsz00_6628;
																																																obj_t
																																																	BgL_fz00_6627;
																																																BgL_fz00_6627
																																																	=
																																																	BgL_arg1867z00_1869;
																																																BgL_argsz00_6628
																																																	=
																																																	BgL_arg1868z00_1870;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_6628;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_6627;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6626);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1870z00_1872;
																																												obj_t
																																													BgL_arg1871z00_1873;
																																												BgL_arg1870z00_1872
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg1871z00_1873
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6632;
																																													{
																																														obj_t
																																															BgL_argsz00_6634;
																																														obj_t
																																															BgL_fz00_6633;
																																														BgL_fz00_6633
																																															=
																																															BgL_arg1870z00_1872;
																																														BgL_argsz00_6634
																																															=
																																															BgL_arg1871z00_1873;
																																														BgL_argsz00_1525
																																															=
																																															BgL_argsz00_6634;
																																														BgL_fz00_1524
																																															=
																																															BgL_fz00_6633;
																																														goto
																																															BgL_tagzd2175zd2_1526;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6632);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1872z00_1874;
																																										obj_t
																																											BgL_arg1873z00_1875;
																																										BgL_arg1872z00_1874
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg1873z00_1875
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6638;
																																											{
																																												obj_t
																																													BgL_argsz00_6640;
																																												obj_t
																																													BgL_fz00_6639;
																																												BgL_fz00_6639
																																													=
																																													BgL_arg1872z00_1874;
																																												BgL_argsz00_6640
																																													=
																																													BgL_arg1873z00_1875;
																																												BgL_argsz00_1525
																																													=
																																													BgL_argsz00_6640;
																																												BgL_fz00_1524
																																													=
																																													BgL_fz00_6639;
																																												goto
																																													BgL_tagzd2175zd2_1526;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6638);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd28425zd2_1876;
																																								BgL_cdrzd28425zd2_1876
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3316z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd28425zd2_1876))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1877z00_1880;
																																												obj_t
																																													BgL_arg1879z00_1881;
																																												BgL_arg1877z00_1880
																																													=
																																													CAR
																																													(BgL_cdrzd28425zd2_1876);
																																												BgL_arg1879z00_1881
																																													=
																																													CDR
																																													(BgL_cdrzd28425zd2_1876);
																																												{	/* Eval/evaluate.scm 576 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1152z00_4197;
																																													{	/* Eval/evaluate.scm 577 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1151z00_4198;
																																														BgL_new1151z00_4198
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 577 */
																																															long
																																																BgL_arg2396z00_4199;
																																															{	/* Eval/evaluate.scm 577 */
																																																long
																																																	BgL_res3065z00_4201;
																																																BgL_res3065z00_4201
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																BgL_arg2396z00_4199
																																																	=
																																																	BgL_res3065z00_4201;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1151z00_4198), BgL_arg2396z00_4199);
																																														}
																																														BgL_new1152z00_4197
																																															=
																																															BgL_new1151z00_4198;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6654;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2416z00_4204;
																																															BgL_arg2416z00_4204
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1877z00_1880,
																																																BgL_locz00_74);
																																															BgL_auxz00_6654
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1877z00_1880,
																																																	BgL_arg2416z00_4204));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1152z00_4197))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6654), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1152z00_4197))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1879z00_1881, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1152z00_4197);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1880z00_1882;
																																												BgL_arg1880z00_1882
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6664;
																																													{
																																														obj_t
																																															BgL_argsz00_6666;
																																														obj_t
																																															BgL_fz00_6665;
																																														BgL_fz00_6665
																																															=
																																															BgL_arg1880z00_1882;
																																														BgL_argsz00_6666
																																															=
																																															BgL_cdrzd28425zd2_1876;
																																														BgL_argsz00_1525
																																															=
																																															BgL_argsz00_6666;
																																														BgL_fz00_1524
																																															=
																																															BgL_fz00_6665;
																																														goto
																																															BgL_tagzd2175zd2_1526;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6664);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3318z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd28425zd2_1876))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1885z00_1888;
																																														obj_t
																																															BgL_arg1886z00_1889;
																																														BgL_arg1885z00_1888
																																															=
																																															CAR
																																															(BgL_cdrzd28425zd2_1876);
																																														BgL_arg1886z00_1889
																																															=
																																															CDR
																																															(BgL_cdrzd28425zd2_1876);
																																														{	/* Eval/evaluate.scm 580 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1154z00_4212;
																																															{	/* Eval/evaluate.scm 581 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1153z00_4213;
																																																BgL_new1153z00_4213
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 581 */
																																																	long
																																																		BgL_arg2397z00_4214;
																																																	{	/* Eval/evaluate.scm 581 */
																																																		long
																																																			BgL_res3067z00_4216;
																																																		BgL_res3067z00_4216
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																		BgL_arg2397z00_4214
																																																			=
																																																			BgL_res3067z00_4216;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1153z00_4213), BgL_arg2397z00_4214);
																																																}
																																																BgL_new1154z00_4212
																																																	=
																																																	BgL_new1153z00_4213;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6679;
																																																{	/* Eval/evaluate.scm 381 */
																																																	obj_t
																																																		BgL_arg2416z00_4219;
																																																	BgL_arg2416z00_4219
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1885z00_1888,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6679
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1885z00_1888,
																																																			BgL_arg2416z00_4219));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1154z00_4212))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6679), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1154z00_4212))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1886z00_1889, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1154z00_4212);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1887z00_1890;
																																														obj_t
																																															BgL_arg1888z00_1891;
																																														BgL_arg1887z00_1890
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1888z00_1891
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6690;
																																															{
																																																obj_t
																																																	BgL_argsz00_6692;
																																																obj_t
																																																	BgL_fz00_6691;
																																																BgL_fz00_6691
																																																	=
																																																	BgL_arg1887z00_1890;
																																																BgL_argsz00_6692
																																																	=
																																																	BgL_arg1888z00_1891;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_6692;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_6691;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6690);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28528zd2_1892;
																																												BgL_cdrzd28528zd2_1892
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3320z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd28528zd2_1892))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd28533zd2_1896;
																																																BgL_cdrzd28533zd2_1896
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28528zd2_1892);
																																																if (PAIRP(BgL_cdrzd28533zd2_1896))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28538zd2_1898;
																																																		BgL_cdrzd28538zd2_1898
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28533zd2_1896);
																																																		if ((CAR(BgL_cdrzd28533zd2_1896) == BGl_keyword3322z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd28538zd2_1898))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1896z00_1902;
																																																						obj_t
																																																							BgL_arg1897z00_1903;
																																																						obj_t
																																																							BgL_arg1898z00_1904;
																																																						BgL_arg1896z00_1902
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1892);
																																																						BgL_arg1897z00_1903
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28538zd2_1898);
																																																						BgL_arg1898z00_1904
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28538zd2_1898);
																																																						{	/* Eval/evaluate.scm 584 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1157z00_4233;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1156z00_4234;
																																																								BgL_new1156z00_4234
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 585 */
																																																									long
																																																										BgL_arg2398z00_4235;
																																																									{	/* Eval/evaluate.scm 585 */
																																																										long
																																																											BgL_res3071z00_4237;
																																																										BgL_res3071z00_4237
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BgL_arg2398z00_4235
																																																											=
																																																											BgL_res3071z00_4237;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1156z00_4234), BgL_arg2398z00_4235);
																																																								}
																																																								BgL_new1157z00_4233
																																																									=
																																																									BgL_new1156z00_4234;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4233))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6717;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2416z00_4240;
																																																									BgL_arg2416z00_4240
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1896z00_1902,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6717
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1896z00_1902,
																																																											BgL_arg2416z00_4240));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4233))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6717), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6722;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2416z00_4241;
																																																									BgL_arg2416z00_4241
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1897z00_1903,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6722
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1897z00_1903,
																																																											BgL_arg2416z00_4241));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4233))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6722), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4233))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1898z00_1904, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1157z00_4233);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1899z00_1906;
																																																						obj_t
																																																							BgL_arg1900z00_1907;
																																																						BgL_arg1899z00_1906
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28528zd2_1892));
																																																						BgL_arg1900z00_1907
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28528zd2_1892));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6735;
																																																							BgL_mz00_1518
																																																								=
																																																								BgL_arg1899z00_1906;
																																																							BgL_bodyz00_1519
																																																								=
																																																								BgL_arg1900z00_1907;
																																																						BgL_tagzd2173zd2_1520:
																																																							{	/* Eval/evaluate.scm 590 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_2601;
																																																								{	/* Eval/evaluate.scm 591 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1158z00_2602;
																																																									BgL_new1158z00_2602
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 591 */
																																																										long
																																																											BgL_arg2399z00_2603;
																																																										{	/* Eval/evaluate.scm 591 */
																																																											long
																																																												BgL_res2989z00_3837;
																																																											BgL_res2989z00_3837
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2399z00_2603
																																																												=
																																																												BgL_res2989z00_3837;
																																																										}
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1158z00_2602), BgL_arg2399z00_2603);
																																																									}
																																																									BgL_new1159z00_2601
																																																										=
																																																										BgL_new1158z00_2602;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2601))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6741;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2416z00_3840;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3841;
																																																											BgL__ortest_1067z00_3841
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1518);
																																																											if (CBOOL(BgL__ortest_1067z00_3841))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2416z00_3840
																																																														=
																																																														BgL__ortest_1067z00_3841;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2416z00_3840
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6741
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1518,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2416z00_3840,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2601))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6741), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6748;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2416z00_3842;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3843;
																																																											BgL__ortest_1067z00_3843
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1067z00_3843))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2416z00_3842
																																																														=
																																																														BgL__ortest_1067z00_3843;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2416z00_3842
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6748
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2416z00_3842,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2601))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6748), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2601))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1519, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6735
																																																									=
																																																									BgL_new1159z00_2601;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6735);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1901z00_1909;
																																																				obj_t
																																																					BgL_arg1902z00_1910;
																																																				BgL_arg1901z00_1909
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28528zd2_1892));
																																																				BgL_arg1902z00_1910
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28528zd2_1892));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6763;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6765;
																																																						obj_t
																																																							BgL_mz00_6764;
																																																						BgL_mz00_6764
																																																							=
																																																							BgL_arg1901z00_1909;
																																																						BgL_bodyz00_6765
																																																							=
																																																							BgL_arg1902z00_1910;
																																																						BgL_bodyz00_1519
																																																							=
																																																							BgL_bodyz00_6765;
																																																						BgL_mz00_1518
																																																							=
																																																							BgL_mz00_6764;
																																																						goto
																																																							BgL_tagzd2173zd2_1520;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6763);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1904z00_1913;
																																																		obj_t
																																																			BgL_arg1905z00_1914;
																																																		BgL_arg1904z00_1913
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28528zd2_1892));
																																																		BgL_arg1905z00_1914
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28528zd2_1892));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6771;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6773;
																																																				obj_t
																																																					BgL_mz00_6772;
																																																				BgL_mz00_6772
																																																					=
																																																					BgL_arg1904z00_1913;
																																																				BgL_bodyz00_6773
																																																					=
																																																					BgL_arg1905z00_1914;
																																																				BgL_bodyz00_1519
																																																					=
																																																					BgL_bodyz00_6773;
																																																				BgL_mz00_1518
																																																					=
																																																					BgL_mz00_6772;
																																																				goto
																																																					BgL_tagzd2173zd2_1520;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6771);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1906z00_1915;
																																																BgL_arg1906z00_1915
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6776;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6778;
																																																		obj_t
																																																			BgL_fz00_6777;
																																																		BgL_fz00_6777
																																																			=
																																																			BgL_arg1906z00_1915;
																																																		BgL_argsz00_6778
																																																			=
																																																			BgL_cdrzd28528zd2_1892;
																																																		BgL_argsz00_1525
																																																			=
																																																			BgL_argsz00_6778;
																																																		BgL_fz00_1524
																																																			=
																																																			BgL_fz00_6777;
																																																		goto
																																																			BgL_tagzd2175zd2_1526;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6776);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														if ((CAR(BgL_ez00_69) == BGl_symbol3277z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (PAIRP(BgL_cdrzd28528zd2_1892))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28638zd2_1921;
																																																		BgL_cdrzd28638zd2_1921
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1892);
																																																		if (PAIRP(BgL_cdrzd28638zd2_1921))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd28638zd2_1921)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1915z00_1925;
																																																						obj_t
																																																							BgL_arg1916z00_1926;
																																																						BgL_arg1915z00_1925
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1892);
																																																						BgL_arg1916z00_1926
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28638zd2_1921);
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2402z00_4262;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_arg2404z00_4263;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2405z00_4264;
																																																									obj_t
																																																										BgL_arg2407z00_4265;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3075z00_4268;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_symbolz00_4266;
																																																											BgL_symbolz00_4266
																																																												=
																																																												BGl_symbol3324z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 596 */
																																																												obj_t
																																																													BgL_arg2624z00_4267;
																																																												BgL_arg2624z00_4267
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_4266);
																																																												BgL_res3075z00_4268
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2624z00_4267);
																																																											}
																																																										}
																																																										BgL_arg2405z00_4264
																																																											=
																																																											BgL_res3075z00_4268;
																																																									}
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3076z00_4271;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_arg2624z00_4270;
																																																											BgL_arg2624z00_4270
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(
																																																												((obj_t) BgL_wherez00_73));
																																																											BgL_res3076z00_4271
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2624z00_4270);
																																																										}
																																																										BgL_arg2407z00_4265
																																																											=
																																																											BgL_res3076z00_4271;
																																																									}
																																																									BgL_arg2404z00_4263
																																																										=
																																																										string_append
																																																										(BgL_arg2405z00_4264,
																																																										BgL_arg2407z00_4265);
																																																								}
																																																								BgL_arg2402z00_4262
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2404z00_4263);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1915z00_1925,
																																																									BgL_arg1916z00_1926,
																																																									BgL_arg2402z00_4262,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1917z00_1927;
																																																						obj_t
																																																							BgL_arg1918z00_1928;
																																																						BgL_arg1917z00_1927
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1918z00_1928
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6804;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6806;
																																																								obj_t
																																																									BgL_fz00_6805;
																																																								BgL_fz00_6805
																																																									=
																																																									BgL_arg1917z00_1927;
																																																								BgL_argsz00_6806
																																																									=
																																																									BgL_arg1918z00_1928;
																																																								BgL_argsz00_1525
																																																									=
																																																									BgL_argsz00_6806;
																																																								BgL_fz00_1524
																																																									=
																																																									BgL_fz00_6805;
																																																								goto
																																																									BgL_tagzd2175zd2_1526;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6804);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1920z00_1930;
																																																				obj_t
																																																					BgL_arg1921z00_1931;
																																																				BgL_arg1920z00_1930
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1921z00_1931
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6810;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6812;
																																																						obj_t
																																																							BgL_fz00_6811;
																																																						BgL_fz00_6811
																																																							=
																																																							BgL_arg1920z00_1930;
																																																						BgL_argsz00_6812
																																																							=
																																																							BgL_arg1921z00_1931;
																																																						BgL_argsz00_1525
																																																							=
																																																							BgL_argsz00_6812;
																																																						BgL_fz00_1524
																																																							=
																																																							BgL_fz00_6811;
																																																						goto
																																																							BgL_tagzd2175zd2_1526;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6810);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1922z00_1932;
																																																		obj_t
																																																			BgL_arg1923z00_1933;
																																																		BgL_arg1922z00_1932
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1923z00_1933
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6816;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6818;
																																																				obj_t
																																																					BgL_fz00_6817;
																																																				BgL_fz00_6817
																																																					=
																																																					BgL_arg1922z00_1932;
																																																				BgL_argsz00_6818
																																																					=
																																																					BgL_arg1923z00_1933;
																																																				BgL_argsz00_1525
																																																					=
																																																					BgL_argsz00_6818;
																																																				BgL_fz00_1524
																																																					=
																																																					BgL_fz00_6817;
																																																				goto
																																																					BgL_tagzd2175zd2_1526;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6816);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1924z00_1934;
																																																obj_t
																																																	BgL_arg1925z00_1935;
																																																BgL_arg1924z00_1934
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1925z00_1935
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6822;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6824;
																																																		obj_t
																																																			BgL_fz00_6823;
																																																		BgL_fz00_6823
																																																			=
																																																			BgL_arg1924z00_1934;
																																																		BgL_argsz00_6824
																																																			=
																																																			BgL_arg1925z00_1935;
																																																		BgL_argsz00_1525
																																																			=
																																																			BgL_argsz00_6824;
																																																		BgL_fz00_1524
																																																			=
																																																			BgL_fz00_6823;
																																																		goto
																																																			BgL_tagzd2175zd2_1526;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6822);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														if (
															(BgL_carzd23820zd2_1599 ==
																BGl_symbol3300z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 425 */
																if (PAIRP(BgL_cdrzd2249zd2_1533))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2249zd2_1533)))
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1950z00_1959;

																				BgL_arg1950z00_1959 =
																					CAR(BgL_cdrzd2249zd2_1533);
																				{	/* Eval/evaluate.scm 457 */
																					BgL_ev_trapz00_bglt
																						BgL_new1109z00_4288;
																					{	/* Eval/evaluate.scm 458 */
																						BgL_ev_trapz00_bglt
																							BgL_new1108z00_4289;
																						BgL_new1108z00_4289 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 458 */
																							long BgL_arg2277z00_4290;

																							{	/* Eval/evaluate.scm 458 */
																								long BgL_res3080z00_4292;

																								BgL_res3080z00_4292 =
																									BGL_CLASS_INDEX
																									(BGl_ev_trapz00zz__evaluate_typesz00);
																								BgL_arg2277z00_4290 =
																									BgL_res3080z00_4292;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1108z00_4289),
																								BgL_arg2277z00_4290);
																						}
																						BgL_new1109z00_4288 =
																							BgL_new1108z00_4289;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6838;

																						{	/* Eval/evaluate.scm 381 */
																							obj_t BgL_arg2416z00_4295;

																							BgL_arg2416z00_4295 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1950z00_1959,
																								BgL_locz00_74);
																							BgL_auxz00_6838 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1950z00_1959,
																									BgL_arg2416z00_4295));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1109z00_4288)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6838), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1109z00_4288);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1951z00_1960;
																				obj_t BgL_arg1952z00_1961;

																				BgL_arg1951z00_1960 = CAR(BgL_ez00_69);
																				BgL_arg1952z00_1961 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6847;

																					{
																						obj_t BgL_argsz00_6849;
																						obj_t BgL_fz00_6848;

																						BgL_fz00_6848 = BgL_arg1951z00_1960;
																						BgL_argsz00_6849 =
																							BgL_arg1952z00_1961;
																						BgL_argsz00_1525 = BgL_argsz00_6849;
																						BgL_fz00_1524 = BgL_fz00_6848;
																						goto BgL_tagzd2175zd2_1526;
																					}
																					return ((obj_t) BgL_auxz00_6847);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_arg1954z00_1963;
																		obj_t BgL_arg1955z00_1964;

																		BgL_arg1954z00_1963 = CAR(BgL_ez00_69);
																		BgL_arg1955z00_1964 = CDR(BgL_ez00_69);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6853;

																			{
																				obj_t BgL_argsz00_6855;
																				obj_t BgL_fz00_6854;

																				BgL_fz00_6854 = BgL_arg1954z00_1963;
																				BgL_argsz00_6855 = BgL_arg1955z00_1964;
																				BgL_argsz00_1525 = BgL_argsz00_6855;
																				BgL_fz00_1524 = BgL_fz00_6854;
																				goto BgL_tagzd2175zd2_1526;
																			}
																			return ((obj_t) BgL_auxz00_6853);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_cdrzd29337zd2_1965;

																BgL_cdrzd29337zd2_1965 = CDR(BgL_ez00_69);
																if (
																	(CAR(BgL_ez00_69) ==
																		BGl_symbol3265z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd29337zd2_1965))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd29337zd2_1965)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1961z00_1971;

																						BgL_arg1961z00_1971 =
																							CAR(BgL_cdrzd29337zd2_1965);
																						{	/* Eval/evaluate.scm 460 */
																							BgL_ev_littz00_bglt
																								BgL_new1111z00_4306;
																							{	/* Eval/evaluate.scm 461 */
																								BgL_ev_littz00_bglt
																									BgL_new1110z00_4307;
																								BgL_new1110z00_4307 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 461 */
																									long BgL_arg2278z00_4308;

																									{	/* Eval/evaluate.scm 461 */
																										long BgL_res3083z00_4310;

																										BgL_res3083z00_4310 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg2278z00_4308 =
																											BgL_res3083z00_4310;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1110z00_4307),
																										BgL_arg2278z00_4308);
																								}
																								BgL_new1111z00_4306 =
																									BgL_new1110z00_4307;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1111z00_4306))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1961z00_1971),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1111z00_4306);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1962z00_1972;

																						BgL_arg1962z00_1972 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6874;
																							{
																								obj_t BgL_argsz00_6876;
																								obj_t BgL_fz00_6875;

																								BgL_fz00_6875 =
																									BgL_arg1962z00_1972;
																								BgL_argsz00_6876 =
																									BgL_cdrzd29337zd2_1965;
																								BgL_argsz00_1525 =
																									BgL_argsz00_6876;
																								BgL_fz00_1524 = BgL_fz00_6875;
																								goto BgL_tagzd2175zd2_1526;
																							}
																							return ((obj_t) BgL_auxz00_6874);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1966z00_1975;

																				BgL_arg1966z00_1975 = CAR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6879;

																					{
																						obj_t BgL_argsz00_6881;
																						obj_t BgL_fz00_6880;

																						BgL_fz00_6880 = BgL_arg1966z00_1975;
																						BgL_argsz00_6881 =
																							BgL_cdrzd29337zd2_1965;
																						BgL_argsz00_1525 = BgL_argsz00_6881;
																						BgL_fz00_1524 = BgL_fz00_6880;
																						goto BgL_tagzd2175zd2_1526;
																					}
																					return ((obj_t) BgL_auxz00_6879);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3273z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd29337zd2_1965))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_cdrzd29947zd2_1981;

																						BgL_cdrzd29947zd2_1981 =
																							CDR(BgL_cdrzd29337zd2_1965);
																						if (PAIRP(BgL_cdrzd29947zd2_1981))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd29952zd2_1983;

																								BgL_cdrzd29952zd2_1983 =
																									CDR(BgL_cdrzd29947zd2_1981);
																								if (PAIRP
																									(BgL_cdrzd29952zd2_1983))
																									{	/* Eval/evaluate.scm 425 */
																										if (NULLP(CDR
																												(BgL_cdrzd29952zd2_1983)))
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1976z00_1987;
																												obj_t
																													BgL_arg1977z00_1988;
																												obj_t
																													BgL_arg1979z00_1989;
																												BgL_arg1976z00_1987 =
																													CAR
																													(BgL_cdrzd29337zd2_1965);
																												BgL_arg1977z00_1988 =
																													CAR
																													(BgL_cdrzd29947zd2_1981);
																												BgL_arg1979z00_1989 =
																													CAR
																													(BgL_cdrzd29952zd2_1983);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6900;
																													{
																														obj_t BgL_oz00_6903;
																														obj_t BgL_tz00_6902;
																														obj_t BgL_pz00_6901;

																														BgL_pz00_6901 =
																															BgL_arg1976z00_1987;
																														BgL_tz00_6902 =
																															BgL_arg1977z00_1988;
																														BgL_oz00_6903 =
																															BgL_arg1979z00_1989;
																														BgL_oz00_1467 =
																															BgL_oz00_6903;
																														BgL_tz00_1466 =
																															BgL_tz00_6902;
																														BgL_pz00_1465 =
																															BgL_pz00_6901;
																														goto
																															BgL_tagzd2155zd2_1468;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6900);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1980z00_1990;
																												obj_t
																													BgL_arg1981z00_1991;
																												BgL_arg1980z00_1990 =
																													CAR(BgL_ez00_69);
																												BgL_arg1981z00_1991 =
																													CDR(BgL_ez00_69);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6907;
																													{
																														obj_t
																															BgL_argsz00_6909;
																														obj_t BgL_fz00_6908;

																														BgL_fz00_6908 =
																															BgL_arg1980z00_1990;
																														BgL_argsz00_6909 =
																															BgL_arg1981z00_1991;
																														BgL_argsz00_1525 =
																															BgL_argsz00_6909;
																														BgL_fz00_1524 =
																															BgL_fz00_6908;
																														goto
																															BgL_tagzd2175zd2_1526;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6907);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd210250zd2_1993;
																										BgL_cdrzd210250zd2_1993 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 425 */
																											obj_t
																												BgL_cdrzd210256zd2_1994;
																											BgL_cdrzd210256zd2_1994 =
																												CDR(((obj_t)
																													BgL_cdrzd210250zd2_1993));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210256zd2_1994))))
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1985z00_1997;
																													obj_t
																														BgL_arg1986z00_1998;
																													BgL_arg1985z00_1997 =
																														CAR(((obj_t)
																															BgL_cdrzd210250zd2_1993));
																													BgL_arg1986z00_1998 =
																														CAR(((obj_t)
																															BgL_cdrzd210256zd2_1994));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6922;
																														{
																															obj_t
																																BgL_tz00_6924;
																															obj_t
																																BgL_pz00_6923;
																															BgL_pz00_6923 =
																																BgL_arg1985z00_1997;
																															BgL_tz00_6924 =
																																BgL_arg1986z00_1998;
																															BgL_tz00_1470 =
																																BgL_tz00_6924;
																															BgL_pz00_1469 =
																																BgL_pz00_6923;
																															goto
																																BgL_tagzd2156zd2_1471;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6922);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1987z00_1999;
																													BgL_arg1987z00_1999 =
																														CAR(BgL_ez00_69);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6927;
																														{
																															obj_t
																																BgL_argsz00_6929;
																															obj_t
																																BgL_fz00_6928;
																															BgL_fz00_6928 =
																																BgL_arg1987z00_1999;
																															BgL_argsz00_6929 =
																																BgL_cdrzd210250zd2_1993;
																															BgL_argsz00_1525 =
																																BgL_argsz00_6929;
																															BgL_fz00_1524 =
																																BgL_fz00_6928;
																															goto
																																BgL_tagzd2175zd2_1526;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6927);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1992z00_2002;
																								obj_t BgL_arg1993z00_2003;

																								BgL_arg1992z00_2002 =
																									CAR(BgL_ez00_69);
																								BgL_arg1993z00_2003 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6933;
																									{
																										obj_t BgL_argsz00_6935;
																										obj_t BgL_fz00_6934;

																										BgL_fz00_6934 =
																											BgL_arg1992z00_2002;
																										BgL_argsz00_6935 =
																											BgL_arg1993z00_2003;
																										BgL_argsz00_1525 =
																											BgL_argsz00_6935;
																										BgL_fz00_1524 =
																											BgL_fz00_6934;
																										goto BgL_tagzd2175zd2_1526;
																									}
																									return
																										((obj_t) BgL_auxz00_6933);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1994z00_2004;
																						obj_t BgL_arg1995z00_2005;

																						BgL_arg1994z00_2004 =
																							CAR(BgL_ez00_69);
																						BgL_arg1995z00_2005 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6939;
																							{
																								obj_t BgL_argsz00_6941;
																								obj_t BgL_fz00_6940;

																								BgL_fz00_6940 =
																									BgL_arg1994z00_2004;
																								BgL_argsz00_6941 =
																									BgL_arg1995z00_2005;
																								BgL_argsz00_1525 =
																									BgL_argsz00_6941;
																								BgL_fz00_1524 = BgL_fz00_6940;
																								goto BgL_tagzd2175zd2_1526;
																							}
																							return ((obj_t) BgL_auxz00_6939);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3302z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1998z00_2008;

																						BgL_arg1998z00_2008 =
																							CDR(BgL_ez00_69);
																						{	/* Eval/evaluate.scm 473 */
																							BgL_ev_orz00_bglt
																								BgL_new1118z00_4345;
																							{	/* Eval/evaluate.scm 474 */
																								BgL_ev_orz00_bglt
																									BgL_new1117z00_4346;
																								BgL_new1117z00_4346 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 474 */
																									long BgL_arg2288z00_4347;

																									{	/* Eval/evaluate.scm 474 */
																										long BgL_res3089z00_4349;

																										BgL_res3089z00_4349 =
																											BGL_CLASS_INDEX
																											(BGl_ev_orz00zz__evaluate_typesz00);
																										BgL_arg2288z00_4347 =
																											BgL_res3089z00_4349;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1117z00_4346),
																										BgL_arg2288z00_4347);
																								}
																								BgL_new1118z00_4345 =
																									BgL_new1117z00_4346;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1118z00_4345)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg1998z00_2008)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1118z00_4345);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3304z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg2001z00_2011;

																								BgL_arg2001z00_2011 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 476 */
																									BgL_ev_andz00_bglt
																										BgL_new1120z00_4354;
																									{	/* Eval/evaluate.scm 477 */
																										BgL_ev_andz00_bglt
																											BgL_new1119z00_4355;
																										BgL_new1119z00_4355 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 477 */
																											long BgL_arg2289z00_4356;

																											{	/* Eval/evaluate.scm 477 */
																												long
																													BgL_res3090z00_4358;
																												BgL_res3090z00_4358 =
																													BGL_CLASS_INDEX
																													(BGl_ev_andz00zz__evaluate_typesz00);
																												BgL_arg2289z00_4356 =
																													BgL_res3090z00_4358;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1119z00_4355),
																												BgL_arg2289z00_4356);
																										}
																										BgL_new1120z00_4354 =
																											BgL_new1119z00_4355;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1120z00_4354)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg2001z00_2011)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1120z00_4354);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3289z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_69),
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd211149zd2_2015;
																										BgL_cdrzd211149zd2_2015 =
																											CDR(BgL_ez00_69);
																										if ((CAR(BgL_ez00_69) ==
																												BGl_symbol3275z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												if (PAIRP
																													(BgL_cdrzd211149zd2_2015))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg2009z00_2019;
																														obj_t
																															BgL_arg2010z00_2020;
																														BgL_arg2009z00_2019
																															=
																															CAR
																															(BgL_cdrzd211149zd2_2015);
																														BgL_arg2010z00_2020
																															=
																															CDR
																															(BgL_cdrzd211149zd2_2015);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_6980;
																															{
																																obj_t
																																	BgL_bodyz00_6982;
																																obj_t
																																	BgL_bindsz00_6981;
																																BgL_bindsz00_6981
																																	=
																																	BgL_arg2009z00_2019;
																																BgL_bodyz00_6982
																																	=
																																	BgL_arg2010z00_2020;
																																BgL_bodyz00_1479
																																	=
																																	BgL_bodyz00_6982;
																																BgL_bindsz00_1478
																																	=
																																	BgL_bindsz00_6981;
																																goto
																																	BgL_tagzd2160zd2_1480;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6980);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg2012z00_2021;
																														BgL_arg2012z00_2021
																															=
																															CAR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_6985;
																															{
																																obj_t
																																	BgL_argsz00_6987;
																																obj_t
																																	BgL_fz00_6986;
																																BgL_fz00_6986 =
																																	BgL_arg2012z00_2021;
																																BgL_argsz00_6987
																																	=
																																	BgL_cdrzd211149zd2_2015;
																																BgL_argsz00_1525
																																	=
																																	BgL_argsz00_6987;
																																BgL_fz00_1524 =
																																	BgL_fz00_6986;
																																goto
																																	BgL_tagzd2175zd2_1526;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6985);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												if (
																													(CAR(BgL_ez00_69) ==
																														BGl_symbol3306z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd211149zd2_2015))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg2017z00_2027;
																																obj_t
																																	BgL_arg2018z00_2028;
																																BgL_arg2017z00_2027
																																	=
																																	CAR
																																	(BgL_cdrzd211149zd2_2015);
																																BgL_arg2018z00_2028
																																	=
																																	CDR
																																	(BgL_cdrzd211149zd2_2015);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_6996;
																																	{
																																		obj_t
																																			BgL_bodyz00_6998;
																																		obj_t
																																			BgL_bindsz00_6997;
																																		BgL_bindsz00_6997
																																			=
																																			BgL_arg2017z00_2027;
																																		BgL_bodyz00_6998
																																			=
																																			BgL_arg2018z00_2028;
																																		BgL_bodyz00_1482
																																			=
																																			BgL_bodyz00_6998;
																																		BgL_bindsz00_1481
																																			=
																																			BgL_bindsz00_6997;
																																		goto
																																			BgL_tagzd2161zd2_1483;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6996);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg2020z00_2029;
																																obj_t
																																	BgL_arg2021z00_2030;
																																BgL_arg2020z00_2029
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																BgL_arg2021z00_2030
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_7002;
																																	{
																																		obj_t
																																			BgL_argsz00_7004;
																																		obj_t
																																			BgL_fz00_7003;
																																		BgL_fz00_7003
																																			=
																																			BgL_arg2020z00_2029;
																																		BgL_argsz00_7004
																																			=
																																			BgL_arg2021z00_2030;
																																		BgL_argsz00_1525
																																			=
																																			BgL_argsz00_7004;
																																		BgL_fz00_1524
																																			=
																																			BgL_fz00_7003;
																																		goto
																																			BgL_tagzd2175zd2_1526;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7002);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_cdrzd211543zd2_2031;
																														BgL_cdrzd211543zd2_2031
																															=
																															CDR(BgL_ez00_69);
																														if ((CAR
																																(BgL_ez00_69) ==
																																BGl_symbol3308z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd211543zd2_2031))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2025z00_2035;
																																		obj_t
																																			BgL_arg2026z00_2036;
																																		BgL_arg2025z00_2035
																																			=
																																			CAR
																																			(BgL_cdrzd211543zd2_2031);
																																		BgL_arg2026z00_2036
																																			=
																																			CDR
																																			(BgL_cdrzd211543zd2_2031);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_7014;
																																			{
																																				obj_t
																																					BgL_bodyz00_7016;
																																				obj_t
																																					BgL_bindsz00_7015;
																																				BgL_bindsz00_7015
																																					=
																																					BgL_arg2025z00_2035;
																																				BgL_bodyz00_7016
																																					=
																																					BgL_arg2026z00_2036;
																																				BgL_bodyz00_1485
																																					=
																																					BgL_bodyz00_7016;
																																				BgL_bindsz00_1484
																																					=
																																					BgL_bindsz00_7015;
																																				goto
																																					BgL_tagzd2162zd2_1486;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7014);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2027z00_2037;
																																		BgL_arg2027z00_2037
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_7019;
																																			{
																																				obj_t
																																					BgL_argsz00_7021;
																																				obj_t
																																					BgL_fz00_7020;
																																				BgL_fz00_7020
																																					=
																																					BgL_arg2027z00_2037;
																																				BgL_argsz00_7021
																																					=
																																					BgL_cdrzd211543zd2_2031;
																																				BgL_argsz00_1525
																																					=
																																					BgL_argsz00_7021;
																																				BgL_fz00_1524
																																					=
																																					BgL_fz00_7020;
																																				goto
																																					BgL_tagzd2175zd2_1526;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7019);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																if (
																																	(CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3310z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd211543zd2_2031))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_carzd211717zd2_2043;
																																				obj_t
																																					BgL_cdrzd211718zd2_2044;
																																				BgL_carzd211717zd2_2043
																																					=
																																					CAR
																																					(BgL_cdrzd211543zd2_2031);
																																				BgL_cdrzd211718zd2_2044
																																					=
																																					CDR
																																					(BgL_cdrzd211543zd2_2031);
																																				if (PAIRP(BgL_carzd211717zd2_2043))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd211722zd2_2046;
																																						BgL_cdrzd211722zd2_2046
																																							=
																																							CDR
																																							(BgL_carzd211717zd2_2043);
																																						if (
																																							(CAR
																																								(BgL_carzd211717zd2_2043)
																																								==
																																								BGl_symbol3296z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd211722zd2_2046))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd211725zd2_2050;
																																										obj_t
																																											BgL_cdrzd211726zd2_2051;
																																										BgL_carzd211725zd2_2050
																																											=
																																											CAR
																																											(BgL_cdrzd211722zd2_2046);
																																										BgL_cdrzd211726zd2_2051
																																											=
																																											CDR
																																											(BgL_cdrzd211722zd2_2046);
																																										if (SYMBOLP(BgL_carzd211725zd2_2050))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd211726zd2_2051))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_carzd211730zd2_2054;
																																														BgL_carzd211730zd2_2054
																																															=
																																															CAR
																																															(BgL_cdrzd211726zd2_2051);
																																														if (SYMBOLP(BgL_carzd211730zd2_2054))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd211726zd2_2051)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd211718zd2_2044))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd211718zd2_2044)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg2045z00_2061;
																																																						BgL_arg2045z00_2061
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211718zd2_2044);
																																																						{	/* Eval/evaluate.scm 532 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1138z00_4405;
																																																							{	/* Eval/evaluate.scm 536 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1137z00_4406;
																																																								BgL_new1137z00_4406
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 536 */
																																																									long
																																																										BgL_arg2364z00_4407;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										long
																																																											BgL_res3103z00_4409;
																																																										BgL_res3103z00_4409
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																										BgL_arg2364z00_4407
																																																											=
																																																											BgL_res3103z00_4409;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1137z00_4406), BgL_arg2364z00_4407);
																																																								}
																																																								BgL_new1138z00_4405
																																																									=
																																																									BgL_new1137z00_4406;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7060;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2416z00_4412;
																																																									BgL_arg2416z00_4412
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2045z00_2061,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7060
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2045z00_2061,
																																																											BgL_arg2416z00_4412));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1138z00_4405)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7060), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4405))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4405))->BgL_namez00) = ((obj_t) BgL_carzd211725zd2_2050), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4405))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211730zd2_2054)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1138z00_4405);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3213z00zz__evaluatez00,
																																																							BGl_string3288z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3213z00zz__evaluatez00,
																																																					BGl_string3288z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd211846zd2_2063;
																																																		BgL_cdrzd211846zd2_2063
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd211850zd2_2064;
																																																			BgL_cdrzd211850zd2_2064
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211846zd2_2063));
																																																			if (PAIRP(BgL_cdrzd211850zd2_2064))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd211850zd2_2064)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg2050z00_2068;
																																																							obj_t
																																																								BgL_arg2051z00_2069;
																																																							BgL_arg2050z00_2068
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211846zd2_2063));
																																																							BgL_arg2051z00_2069
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211850zd2_2064);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7084;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7086;
																																																									obj_t
																																																										BgL_vz00_7085;
																																																									BgL_vz00_7085
																																																										=
																																																										BgL_arg2050z00_2068;
																																																									BgL_ez00_7086
																																																										=
																																																										BgL_arg2051z00_2069;
																																																									BgL_ez00_1495
																																																										=
																																																										BgL_ez00_7086;
																																																									BgL_vz00_1494
																																																										=
																																																										BgL_vz00_7085;
																																																									goto
																																																										BgL_tagzd2165zd2_1496;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7084);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3213z00zz__evaluatez00,
																																																								BGl_string3288z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3213z00zz__evaluatez00,
																																																						BGl_string3288z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd211907zd2_2072;
																																																BgL_cdrzd211907zd2_2072
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd211911zd2_2073;
																																																	BgL_cdrzd211911zd2_2073
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd211907zd2_2072));
																																																	if (PAIRP(BgL_cdrzd211911zd2_2073))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd211911zd2_2073)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg2058z00_2077;
																																																					obj_t
																																																						BgL_arg2059z00_2078;
																																																					BgL_arg2058z00_2077
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd211907zd2_2072));
																																																					BgL_arg2059z00_2078
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211911zd2_2073);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7101;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7103;
																																																							obj_t
																																																								BgL_vz00_7102;
																																																							BgL_vz00_7102
																																																								=
																																																								BgL_arg2058z00_2077;
																																																							BgL_ez00_7103
																																																								=
																																																								BgL_arg2059z00_2078;
																																																							BgL_ez00_1495
																																																								=
																																																								BgL_ez00_7103;
																																																							BgL_vz00_1494
																																																								=
																																																								BgL_vz00_7102;
																																																							goto
																																																								BgL_tagzd2165zd2_1496;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7101);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3213z00zz__evaluatez00,
																																																						BGl_string3288z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3213z00zz__evaluatez00,
																																																				BGl_string3288z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd211968zd2_2080;
																																														BgL_cdrzd211968zd2_2080
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd211972zd2_2081;
																																															BgL_cdrzd211972zd2_2081
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd211968zd2_2080));
																																															if (PAIRP(BgL_cdrzd211972zd2_2081))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd211972zd2_2081)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg2064z00_2085;
																																																			obj_t
																																																				BgL_arg2065z00_2086;
																																																			BgL_arg2064z00_2085
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd211968zd2_2080));
																																																			BgL_arg2065z00_2086
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211972zd2_2081);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7118;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7120;
																																																					obj_t
																																																						BgL_vz00_7119;
																																																					BgL_vz00_7119
																																																						=
																																																						BgL_arg2064z00_2085;
																																																					BgL_ez00_7120
																																																						=
																																																						BgL_arg2065z00_2086;
																																																					BgL_ez00_1495
																																																						=
																																																						BgL_ez00_7120;
																																																					BgL_vz00_1494
																																																						=
																																																						BgL_vz00_7119;
																																																					goto
																																																						BgL_tagzd2165zd2_1496;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7118);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3213z00zz__evaluatez00,
																																																				BGl_string3288z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212029zd2_2088;
																																												BgL_cdrzd212029zd2_2088
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd212033zd2_2089;
																																													BgL_cdrzd212033zd2_2089
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212029zd2_2088));
																																													if (PAIRP(BgL_cdrzd212033zd2_2089))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd212033zd2_2089)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg2071z00_2093;
																																																	obj_t
																																																		BgL_arg2072z00_2094;
																																																	BgL_arg2071z00_2093
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212029zd2_2088));
																																																	BgL_arg2072z00_2094
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212033zd2_2089);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7135;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7137;
																																																			obj_t
																																																				BgL_vz00_7136;
																																																			BgL_vz00_7136
																																																				=
																																																				BgL_arg2071z00_2093;
																																																			BgL_ez00_7137
																																																				=
																																																				BgL_arg2072z00_2094;
																																																			BgL_ez00_1495
																																																				=
																																																				BgL_ez00_7137;
																																																			BgL_vz00_1494
																																																				=
																																																				BgL_vz00_7136;
																																																			goto
																																																				BgL_tagzd2165zd2_1496;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7135);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3213z00zz__evaluatez00,
																																																		BGl_string3288z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212090zd2_2096;
																																										BgL_cdrzd212090zd2_2096
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212094zd2_2097;
																																											BgL_cdrzd212094zd2_2097
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212090zd2_2096));
																																											if (PAIRP(BgL_cdrzd212094zd2_2097))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212094zd2_2097)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2078z00_2101;
																																															obj_t
																																																BgL_arg2079z00_2102;
																																															BgL_arg2078z00_2101
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212090zd2_2096));
																																															BgL_arg2079z00_2102
																																																=
																																																CAR
																																																(BgL_cdrzd212094zd2_2097);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7152;
																																																{
																																																	obj_t
																																																		BgL_ez00_7154;
																																																	obj_t
																																																		BgL_vz00_7153;
																																																	BgL_vz00_7153
																																																		=
																																																		BgL_arg2078z00_2101;
																																																	BgL_ez00_7154
																																																		=
																																																		BgL_arg2079z00_2102;
																																																	BgL_ez00_1495
																																																		=
																																																		BgL_ez00_7154;
																																																	BgL_vz00_1494
																																																		=
																																																		BgL_vz00_7153;
																																																	goto
																																																		BgL_tagzd2165zd2_1496;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7152);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3213z00zz__evaluatez00,
																																														BGl_string3288z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd212138zd2_2104;
																																								BgL_cdrzd212138zd2_2104
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_carzd212141zd2_2105;
																																									obj_t
																																										BgL_cdrzd212142zd2_2106;
																																									BgL_carzd212141zd2_2105
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212138zd2_2104));
																																									BgL_cdrzd212142zd2_2106
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212138zd2_2104));
																																									if ((CAR(((obj_t) BgL_carzd212141zd2_2105)) == BGl_symbol3298z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (PAIRP(BgL_cdrzd212142zd2_2106))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212142zd2_2106)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2086z00_2112;
																																															obj_t
																																																BgL_arg2087z00_2113;
																																															BgL_arg2086z00_2112
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212141zd2_2105));
																																															BgL_arg2087z00_2113
																																																=
																																																CAR
																																																(BgL_cdrzd212142zd2_2106);
																																															{
																																																obj_t
																																																	BgL_e2z00_7176;
																																																obj_t
																																																	BgL_lz00_7175;
																																																BgL_lz00_7175
																																																	=
																																																	BgL_arg2086z00_2112;
																																																BgL_e2z00_7176
																																																	=
																																																	BgL_arg2087z00_2113;
																																																BgL_e2z00_1492
																																																	=
																																																	BgL_e2z00_7176;
																																																BgL_lz00_1491
																																																	=
																																																	BgL_lz00_7175;
																																																goto
																																																	BgL_tagzd2164zd2_1493;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3213z00zz__evaluatez00,
																																														BGl_string3288z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212218zd2_2116;
																																											BgL_cdrzd212218zd2_2116
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212138zd2_2104));
																																											if (PAIRP(BgL_cdrzd212218zd2_2116))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212218zd2_2116)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2093z00_2120;
																																															obj_t
																																																BgL_arg2094z00_2121;
																																															BgL_arg2093z00_2120
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212138zd2_2104));
																																															BgL_arg2094z00_2121
																																																=
																																																CAR
																																																(BgL_cdrzd212218zd2_2116);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7189;
																																																{
																																																	obj_t
																																																		BgL_ez00_7191;
																																																	obj_t
																																																		BgL_vz00_7190;
																																																	BgL_vz00_7190
																																																		=
																																																		BgL_arg2093z00_2120;
																																																	BgL_ez00_7191
																																																		=
																																																		BgL_arg2094z00_2121;
																																																	BgL_ez00_1495
																																																		=
																																																		BgL_ez00_7191;
																																																	BgL_vz00_1494
																																																		=
																																																		BgL_vz00_7190;
																																																	goto
																																																		BgL_tagzd2165zd2_1496;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7189);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3213z00zz__evaluatez00,
																																																BGl_string3288z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3213z00zz__evaluatez00,
																																														BGl_string3288z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212275zd2_2125;
																																						BgL_cdrzd212275zd2_2125
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						{	/* Eval/evaluate.scm 425 */
																																							obj_t
																																								BgL_cdrzd212279zd2_2126;
																																							BgL_cdrzd212279zd2_2126
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212275zd2_2125));
																																							if (PAIRP(BgL_cdrzd212279zd2_2126))
																																								{	/* Eval/evaluate.scm 425 */
																																									if (NULLP(CDR(BgL_cdrzd212279zd2_2126)))
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_arg2101z00_2130;
																																											obj_t
																																												BgL_arg2102z00_2131;
																																											BgL_arg2101z00_2130
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212275zd2_2125));
																																											BgL_arg2102z00_2131
																																												=
																																												CAR
																																												(BgL_cdrzd212279zd2_2126);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7206;
																																												{
																																													obj_t
																																														BgL_ez00_7208;
																																													obj_t
																																														BgL_vz00_7207;
																																													BgL_vz00_7207
																																														=
																																														BgL_arg2101z00_2130;
																																													BgL_ez00_7208
																																														=
																																														BgL_arg2102z00_2131;
																																													BgL_ez00_1495
																																														=
																																														BgL_ez00_7208;
																																													BgL_vz00_1494
																																														=
																																														BgL_vz00_7207;
																																													goto
																																														BgL_tagzd2165zd2_1496;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7206);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3213z00zz__evaluatez00,
																																												BGl_string3288z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 425 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string3213z00zz__evaluatez00,
																																										BGl_string3288z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string3213z00zz__evaluatez00,
																																					BGl_string3288z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_cdrzd212400zd2_2133;
																																		BgL_cdrzd212400zd2_2133
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		if ((CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3312z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd212400zd2_2133))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212405zd2_2137;
																																						BgL_cdrzd212405zd2_2137
																																							=
																																							CDR
																																							(BgL_cdrzd212400zd2_2133);
																																						if (PAIRP(BgL_cdrzd212405zd2_2137))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd212409zd2_2139;
																																								BgL_carzd212409zd2_2139
																																									=
																																									CAR
																																									(BgL_cdrzd212405zd2_2137);
																																								if (PAIRP(BgL_carzd212409zd2_2139))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212414zd2_2141;
																																										BgL_cdrzd212414zd2_2141
																																											=
																																											CDR
																																											(BgL_carzd212409zd2_2139);
																																										if ((CAR(BgL_carzd212409zd2_2139) == BGl_symbol3277z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd212414zd2_2141))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212418zd2_2145;
																																														BgL_cdrzd212418zd2_2145
																																															=
																																															CDR
																																															(BgL_cdrzd212414zd2_2141);
																																														if (PAIRP(BgL_cdrzd212418zd2_2145))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd212418zd2_2145)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd212405zd2_2137)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2117z00_2151;
																																																				obj_t
																																																					BgL_arg2118z00_2152;
																																																				obj_t
																																																					BgL_arg2119z00_2153;
																																																				BgL_arg2117z00_2151
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_2133);
																																																				BgL_arg2118z00_2152
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212414zd2_2141);
																																																				BgL_arg2119z00_2153
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212418zd2_2145);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7243;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7246;
																																																						obj_t
																																																							BgL_formalsz00_7245;
																																																						obj_t
																																																							BgL_gvz00_7244;
																																																						BgL_gvz00_7244
																																																							=
																																																							BgL_arg2117z00_2151;
																																																						BgL_formalsz00_7245
																																																							=
																																																							BgL_arg2118z00_2152;
																																																						BgL_bodyz00_7246
																																																							=
																																																							BgL_arg2119z00_2153;
																																																						BgL_bodyz00_1500
																																																							=
																																																							BgL_bodyz00_7246;
																																																						BgL_formalsz00_1499
																																																							=
																																																							BgL_formalsz00_7245;
																																																						BgL_gvz00_1498
																																																							=
																																																							BgL_gvz00_7244;
																																																						goto
																																																							BgL_tagzd2167zd2_1501;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7243);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2120z00_2154;
																																																				BgL_arg2120z00_2154
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7249;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7251;
																																																						obj_t
																																																							BgL_fz00_7250;
																																																						BgL_fz00_7250
																																																							=
																																																							BgL_arg2120z00_2154;
																																																						BgL_argsz00_7251
																																																							=
																																																							BgL_cdrzd212400zd2_2133;
																																																						BgL_argsz00_1525
																																																							=
																																																							BgL_argsz00_7251;
																																																						BgL_fz00_1524
																																																							=
																																																							BgL_fz00_7250;
																																																						goto
																																																							BgL_tagzd2175zd2_1526;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7249);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd212518zd2_2158;
																																																		BgL_cdrzd212518zd2_2158
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212400zd2_2133));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212518zd2_2158))))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2126z00_2161;
																																																				obj_t
																																																					BgL_arg2127z00_2162;
																																																				BgL_arg2126z00_2161
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212400zd2_2133));
																																																				BgL_arg2127z00_2162
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212518zd2_2158));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7263;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7265;
																																																						obj_t
																																																							BgL_gvz00_7264;
																																																						BgL_gvz00_7264
																																																							=
																																																							BgL_arg2126z00_2161;
																																																						BgL_gez00_7265
																																																							=
																																																							BgL_arg2127z00_2162;
																																																						BgL_gez00_1503
																																																							=
																																																							BgL_gez00_7265;
																																																						BgL_gvz00_1502
																																																							=
																																																							BgL_gvz00_7264;
																																																						goto
																																																							BgL_tagzd2168zd2_1504;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7263);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2128z00_2163;
																																																				obj_t
																																																					BgL_arg2129z00_2164;
																																																				BgL_arg2128z00_2163
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2129z00_2164
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7269;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7271;
																																																						obj_t
																																																							BgL_fz00_7270;
																																																						BgL_fz00_7270
																																																							=
																																																							BgL_arg2128z00_2163;
																																																						BgL_argsz00_7271
																																																							=
																																																							BgL_arg2129z00_2164;
																																																						BgL_argsz00_1525
																																																							=
																																																							BgL_argsz00_7271;
																																																						BgL_fz00_1524
																																																							=
																																																							BgL_fz00_7270;
																																																						goto
																																																							BgL_tagzd2175zd2_1526;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7269);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd212605zd2_2168;
																																																BgL_cdrzd212605zd2_2168
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212400zd2_2133));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212605zd2_2168))))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2134z00_2171;
																																																		obj_t
																																																			BgL_arg2135z00_2172;
																																																		BgL_arg2134z00_2171
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212400zd2_2133));
																																																		BgL_arg2135z00_2172
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212605zd2_2168));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7283;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7285;
																																																				obj_t
																																																					BgL_gvz00_7284;
																																																				BgL_gvz00_7284
																																																					=
																																																					BgL_arg2134z00_2171;
																																																				BgL_gez00_7285
																																																					=
																																																					BgL_arg2135z00_2172;
																																																				BgL_gez00_1503
																																																					=
																																																					BgL_gez00_7285;
																																																				BgL_gvz00_1502
																																																					=
																																																					BgL_gvz00_7284;
																																																				goto
																																																					BgL_tagzd2168zd2_1504;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7283);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2136z00_2173;
																																																		obj_t
																																																			BgL_arg2137z00_2174;
																																																		BgL_arg2136z00_2173
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2137z00_2174
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7289;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7291;
																																																				obj_t
																																																					BgL_fz00_7290;
																																																				BgL_fz00_7290
																																																					=
																																																					BgL_arg2136z00_2173;
																																																				BgL_argsz00_7291
																																																					=
																																																					BgL_arg2137z00_2174;
																																																				BgL_argsz00_1525
																																																					=
																																																					BgL_argsz00_7291;
																																																				BgL_fz00_1524
																																																					=
																																																					BgL_fz00_7290;
																																																				goto
																																																					BgL_tagzd2175zd2_1526;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7289);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212692zd2_2177;
																																														BgL_cdrzd212692zd2_2177
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212400zd2_2133));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212692zd2_2177))))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2141z00_2180;
																																																obj_t
																																																	BgL_arg2142z00_2181;
																																																BgL_arg2141z00_2180
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212400zd2_2133));
																																																BgL_arg2142z00_2181
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212692zd2_2177));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7303;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7305;
																																																		obj_t
																																																			BgL_gvz00_7304;
																																																		BgL_gvz00_7304
																																																			=
																																																			BgL_arg2141z00_2180;
																																																		BgL_gez00_7305
																																																			=
																																																			BgL_arg2142z00_2181;
																																																		BgL_gez00_1503
																																																			=
																																																			BgL_gez00_7305;
																																																		BgL_gvz00_1502
																																																			=
																																																			BgL_gvz00_7304;
																																																		goto
																																																			BgL_tagzd2168zd2_1504;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7303);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2143z00_2182;
																																																obj_t
																																																	BgL_arg2144z00_2183;
																																																BgL_arg2143z00_2182
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2144z00_2183
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7309;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7311;
																																																		obj_t
																																																			BgL_fz00_7310;
																																																		BgL_fz00_7310
																																																			=
																																																			BgL_arg2143z00_2182;
																																																		BgL_argsz00_7311
																																																			=
																																																			BgL_arg2144z00_2183;
																																																		BgL_argsz00_1525
																																																			=
																																																			BgL_argsz00_7311;
																																																		BgL_fz00_1524
																																																			=
																																																			BgL_fz00_7310;
																																																		goto
																																																			BgL_tagzd2175zd2_1526;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7309);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212779zd2_2186;
																																												BgL_cdrzd212779zd2_2186
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212400zd2_2133));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212779zd2_2186))))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2148z00_2189;
																																														obj_t
																																															BgL_arg2149z00_2190;
																																														BgL_arg2148z00_2189
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212400zd2_2133));
																																														BgL_arg2149z00_2190
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212779zd2_2186));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7323;
																																															{
																																																obj_t
																																																	BgL_gez00_7325;
																																																obj_t
																																																	BgL_gvz00_7324;
																																																BgL_gvz00_7324
																																																	=
																																																	BgL_arg2148z00_2189;
																																																BgL_gez00_7325
																																																	=
																																																	BgL_arg2149z00_2190;
																																																BgL_gez00_1503
																																																	=
																																																	BgL_gez00_7325;
																																																BgL_gvz00_1502
																																																	=
																																																	BgL_gvz00_7324;
																																																goto
																																																	BgL_tagzd2168zd2_1504;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7323);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2150z00_2191;
																																														obj_t
																																															BgL_arg2151z00_2192;
																																														BgL_arg2150z00_2191
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2151z00_2192
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7329;
																																															{
																																																obj_t
																																																	BgL_argsz00_7331;
																																																obj_t
																																																	BgL_fz00_7330;
																																																BgL_fz00_7330
																																																	=
																																																	BgL_arg2150z00_2191;
																																																BgL_argsz00_7331
																																																	=
																																																	BgL_arg2151z00_2192;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_7331;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_7330;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7329);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212866zd2_2196;
																																										BgL_cdrzd212866zd2_2196
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212400zd2_2133));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212866zd2_2196))))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2156z00_2199;
																																												obj_t
																																													BgL_arg2157z00_2200;
																																												BgL_arg2156z00_2199
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212400zd2_2133));
																																												BgL_arg2157z00_2200
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212866zd2_2196));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7343;
																																													{
																																														obj_t
																																															BgL_gez00_7345;
																																														obj_t
																																															BgL_gvz00_7344;
																																														BgL_gvz00_7344
																																															=
																																															BgL_arg2156z00_2199;
																																														BgL_gez00_7345
																																															=
																																															BgL_arg2157z00_2200;
																																														BgL_gez00_1503
																																															=
																																															BgL_gez00_7345;
																																														BgL_gvz00_1502
																																															=
																																															BgL_gvz00_7344;
																																														goto
																																															BgL_tagzd2168zd2_1504;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7343);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2158z00_2201;
																																												obj_t
																																													BgL_arg2159z00_2202;
																																												BgL_arg2158z00_2201
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2159z00_2202
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7349;
																																													{
																																														obj_t
																																															BgL_argsz00_7351;
																																														obj_t
																																															BgL_fz00_7350;
																																														BgL_fz00_7350
																																															=
																																															BgL_arg2158z00_2201;
																																														BgL_argsz00_7351
																																															=
																																															BgL_arg2159z00_2202;
																																														BgL_argsz00_1525
																																															=
																																															BgL_argsz00_7351;
																																														BgL_fz00_1524
																																															=
																																															BgL_fz00_7350;
																																														goto
																																															BgL_tagzd2175zd2_1526;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7349);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2161z00_2204;
																																								BgL_arg2161z00_2204
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7354;
																																									{
																																										obj_t
																																											BgL_argsz00_7356;
																																										obj_t
																																											BgL_fz00_7355;
																																										BgL_fz00_7355
																																											=
																																											BgL_arg2161z00_2204;
																																										BgL_argsz00_7356
																																											=
																																											BgL_cdrzd212400zd2_2133;
																																										BgL_argsz00_1525
																																											=
																																											BgL_argsz00_7356;
																																										BgL_fz00_1524
																																											=
																																											BgL_fz00_7355;
																																										goto
																																											BgL_tagzd2175zd2_1526;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7354);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_arg2163z00_2206;
																																						BgL_arg2163z00_2206
																																							=
																																							CAR
																																							(BgL_ez00_69);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7359;
																																							{
																																								obj_t
																																									BgL_argsz00_7361;
																																								obj_t
																																									BgL_fz00_7360;
																																								BgL_fz00_7360
																																									=
																																									BgL_arg2163z00_2206;
																																								BgL_argsz00_7361
																																									=
																																									BgL_cdrzd212400zd2_2133;
																																								BgL_argsz00_1525
																																									=
																																									BgL_argsz00_7361;
																																								BgL_fz00_1524
																																									=
																																									BgL_fz00_7360;
																																								goto
																																									BgL_tagzd2175zd2_1526;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7359);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				if (
																																					(CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3314z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd212400zd2_2133))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd213108zd2_2212;
																																								BgL_carzd213108zd2_2212
																																									=
																																									CAR
																																									(BgL_cdrzd212400zd2_2133);
																																								if (PAIRP(BgL_carzd213108zd2_2212))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (NULLP(CDR(BgL_carzd213108zd2_2212)))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2171z00_2216;
																																												obj_t
																																													BgL_arg2172z00_2217;
																																												BgL_arg2171z00_2216
																																													=
																																													CAR
																																													(BgL_carzd213108zd2_2212);
																																												BgL_arg2172z00_2217
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_2133);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7376;
																																													{
																																														obj_t
																																															BgL_bodyz00_7378;
																																														obj_t
																																															BgL_vz00_7377;
																																														BgL_vz00_7377
																																															=
																																															BgL_arg2171z00_2216;
																																														BgL_bodyz00_7378
																																															=
																																															BgL_arg2172z00_2217;
																																														BgL_bodyz00_1506
																																															=
																																															BgL_bodyz00_7378;
																																														BgL_vz00_1505
																																															=
																																															BgL_vz00_7377;
																																														goto
																																															BgL_tagzd2169zd2_1507;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7376);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2173z00_2218;
																																												obj_t
																																													BgL_arg2174z00_2219;
																																												BgL_arg2173z00_2218
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2174z00_2219
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7382;
																																													{
																																														obj_t
																																															BgL_argsz00_7384;
																																														obj_t
																																															BgL_fz00_7383;
																																														BgL_fz00_7383
																																															=
																																															BgL_arg2173z00_2218;
																																														BgL_argsz00_7384
																																															=
																																															BgL_arg2174z00_2219;
																																														BgL_argsz00_1525
																																															=
																																															BgL_argsz00_7384;
																																														BgL_fz00_1524
																																															=
																																															BgL_fz00_7383;
																																														goto
																																															BgL_tagzd2175zd2_1526;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7382);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2176z00_2221;
																																										obj_t
																																											BgL_arg2177z00_2222;
																																										BgL_arg2176z00_2221
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg2177z00_2222
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7388;
																																											{
																																												obj_t
																																													BgL_argsz00_7390;
																																												obj_t
																																													BgL_fz00_7389;
																																												BgL_fz00_7389
																																													=
																																													BgL_arg2176z00_2221;
																																												BgL_argsz00_7390
																																													=
																																													BgL_arg2177z00_2222;
																																												BgL_argsz00_1525
																																													=
																																													BgL_argsz00_7390;
																																												BgL_fz00_1524
																																													=
																																													BgL_fz00_7389;
																																												goto
																																													BgL_tagzd2175zd2_1526;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7388);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2178z00_2223;
																																								obj_t
																																									BgL_arg2179z00_2224;
																																								BgL_arg2178z00_2223
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								BgL_arg2179z00_2224
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7394;
																																									{
																																										obj_t
																																											BgL_argsz00_7396;
																																										obj_t
																																											BgL_fz00_7395;
																																										BgL_fz00_7395
																																											=
																																											BgL_arg2178z00_2223;
																																										BgL_argsz00_7396
																																											=
																																											BgL_arg2179z00_2224;
																																										BgL_argsz00_1525
																																											=
																																											BgL_argsz00_7396;
																																										BgL_fz00_1524
																																											=
																																											BgL_fz00_7395;
																																										goto
																																											BgL_tagzd2175zd2_1526;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7394);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd213273zd2_2225;
																																						BgL_cdrzd213273zd2_2225
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3316z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd213273zd2_2225))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2183z00_2229;
																																										obj_t
																																											BgL_arg2184z00_2230;
																																										BgL_arg2183z00_2229
																																											=
																																											CAR
																																											(BgL_cdrzd213273zd2_2225);
																																										BgL_arg2184z00_2230
																																											=
																																											CDR
																																											(BgL_cdrzd213273zd2_2225);
																																										{	/* Eval/evaluate.scm 576 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1152z00_4556;
																																											{	/* Eval/evaluate.scm 577 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1151z00_4557;
																																												BgL_new1151z00_4557
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 577 */
																																													long
																																														BgL_arg2396z00_4558;
																																													{	/* Eval/evaluate.scm 577 */
																																														long
																																															BgL_res3136z00_4560;
																																														BgL_res3136z00_4560
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																														BgL_arg2396z00_4558
																																															=
																																															BgL_res3136z00_4560;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1151z00_4557), BgL_arg2396z00_4558);
																																												}
																																												BgL_new1152z00_4556
																																													=
																																													BgL_new1151z00_4557;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7410;
																																												{	/* Eval/evaluate.scm 381 */
																																													obj_t
																																														BgL_arg2416z00_4563;
																																													BgL_arg2416z00_4563
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2183z00_2229,
																																														BgL_locz00_74);
																																													BgL_auxz00_7410
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2183z00_2229,
																																															BgL_arg2416z00_4563));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1152z00_4556))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7410), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1152z00_4556))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2184z00_2230, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1152z00_4556);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2185z00_2231;
																																										BgL_arg2185z00_2231
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7420;
																																											{
																																												obj_t
																																													BgL_argsz00_7422;
																																												obj_t
																																													BgL_fz00_7421;
																																												BgL_fz00_7421
																																													=
																																													BgL_arg2185z00_2231;
																																												BgL_argsz00_7422
																																													=
																																													BgL_cdrzd213273zd2_2225;
																																												BgL_argsz00_1525
																																													=
																																													BgL_argsz00_7422;
																																												BgL_fz00_1524
																																													=
																																													BgL_fz00_7421;
																																												goto
																																													BgL_tagzd2175zd2_1526;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7420);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3318z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd213273zd2_2225))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2191z00_2237;
																																												obj_t
																																													BgL_arg2192z00_2238;
																																												BgL_arg2191z00_2237
																																													=
																																													CAR
																																													(BgL_cdrzd213273zd2_2225);
																																												BgL_arg2192z00_2238
																																													=
																																													CDR
																																													(BgL_cdrzd213273zd2_2225);
																																												{	/* Eval/evaluate.scm 580 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1154z00_4571;
																																													{	/* Eval/evaluate.scm 581 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1153z00_4572;
																																														BgL_new1153z00_4572
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 581 */
																																															long
																																																BgL_arg2397z00_4573;
																																															{	/* Eval/evaluate.scm 581 */
																																																long
																																																	BgL_res3138z00_4575;
																																																BgL_res3138z00_4575
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																BgL_arg2397z00_4573
																																																	=
																																																	BgL_res3138z00_4575;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1153z00_4572), BgL_arg2397z00_4573);
																																														}
																																														BgL_new1154z00_4571
																																															=
																																															BgL_new1153z00_4572;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7435;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2416z00_4578;
																																															BgL_arg2416z00_4578
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2191z00_2237,
																																																BgL_locz00_74);
																																															BgL_auxz00_7435
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2191z00_2237,
																																																	BgL_arg2416z00_4578));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1154z00_4571))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7435), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1154z00_4571))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2192z00_2238, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1154z00_4571);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2193z00_2239;
																																												obj_t
																																													BgL_arg2194z00_2240;
																																												BgL_arg2193z00_2239
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2194z00_2240
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7446;
																																													{
																																														obj_t
																																															BgL_argsz00_7448;
																																														obj_t
																																															BgL_fz00_7447;
																																														BgL_fz00_7447
																																															=
																																															BgL_arg2193z00_2239;
																																														BgL_argsz00_7448
																																															=
																																															BgL_arg2194z00_2240;
																																														BgL_argsz00_1525
																																															=
																																															BgL_argsz00_7448;
																																														BgL_fz00_1524
																																															=
																																															BgL_fz00_7447;
																																														goto
																																															BgL_tagzd2175zd2_1526;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7446);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd213376zd2_2241;
																																										BgL_cdrzd213376zd2_2241
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3320z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd213376zd2_2241))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd213381zd2_2245;
																																														BgL_cdrzd213381zd2_2245
																																															=
																																															CDR
																																															(BgL_cdrzd213376zd2_2241);
																																														if (PAIRP(BgL_cdrzd213381zd2_2245))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213386zd2_2247;
																																																BgL_cdrzd213386zd2_2247
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213381zd2_2245);
																																																if ((CAR(BgL_cdrzd213381zd2_2245) == BGl_keyword3322z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd213386zd2_2247))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2202z00_2251;
																																																				obj_t
																																																					BgL_arg2203z00_2252;
																																																				obj_t
																																																					BgL_arg2204z00_2253;
																																																				BgL_arg2202z00_2251
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2241);
																																																				BgL_arg2203z00_2252
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213386zd2_2247);
																																																				BgL_arg2204z00_2253
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213386zd2_2247);
																																																				{	/* Eval/evaluate.scm 584 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1157z00_4592;
																																																					{	/* Eval/evaluate.scm 585 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1156z00_4593;
																																																						BgL_new1156z00_4593
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 585 */
																																																							long
																																																								BgL_arg2398z00_4594;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								long
																																																									BgL_res3142z00_4596;
																																																								BgL_res3142z00_4596
																																																									=
																																																									BGL_CLASS_INDEX
																																																									(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																								BgL_arg2398z00_4594
																																																									=
																																																									BgL_res3142z00_4596;
																																																							}
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1156z00_4593), BgL_arg2398z00_4594);
																																																						}
																																																						BgL_new1157z00_4592
																																																							=
																																																							BgL_new1156z00_4593;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4592))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7473;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2416z00_4599;
																																																							BgL_arg2416z00_4599
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2202z00_2251,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7473
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2202z00_2251,
																																																									BgL_arg2416z00_4599));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4592))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7473), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7478;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2416z00_4600;
																																																							BgL_arg2416z00_4600
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2203z00_2252,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7478
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2203z00_2252,
																																																									BgL_arg2416z00_4600));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4592))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7478), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4592))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2204z00_2253, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1157z00_4592);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2205z00_2255;
																																																				obj_t
																																																					BgL_arg2206z00_2256;
																																																				BgL_arg2205z00_2255
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213376zd2_2241));
																																																				BgL_arg2206z00_2256
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213376zd2_2241));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7491;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7493;
																																																						obj_t
																																																							BgL_mz00_7492;
																																																						BgL_mz00_7492
																																																							=
																																																							BgL_arg2205z00_2255;
																																																						BgL_bodyz00_7493
																																																							=
																																																							BgL_arg2206z00_2256;
																																																						BgL_bodyz00_1519
																																																							=
																																																							BgL_bodyz00_7493;
																																																						BgL_mz00_1518
																																																							=
																																																							BgL_mz00_7492;
																																																						goto
																																																							BgL_tagzd2173zd2_1520;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7491);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2207z00_2258;
																																																		obj_t
																																																			BgL_arg2208z00_2259;
																																																		BgL_arg2207z00_2258
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213376zd2_2241));
																																																		BgL_arg2208z00_2259
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213376zd2_2241));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7499;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7501;
																																																				obj_t
																																																					BgL_mz00_7500;
																																																				BgL_mz00_7500
																																																					=
																																																					BgL_arg2207z00_2258;
																																																				BgL_bodyz00_7501
																																																					=
																																																					BgL_arg2208z00_2259;
																																																				BgL_bodyz00_1519
																																																					=
																																																					BgL_bodyz00_7501;
																																																				BgL_mz00_1518
																																																					=
																																																					BgL_mz00_7500;
																																																				goto
																																																					BgL_tagzd2173zd2_1520;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7499);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2210z00_2262;
																																																obj_t
																																																	BgL_arg2211z00_2263;
																																																BgL_arg2210z00_2262
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213376zd2_2241));
																																																BgL_arg2211z00_2263
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213376zd2_2241));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7507;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7509;
																																																		obj_t
																																																			BgL_mz00_7508;
																																																		BgL_mz00_7508
																																																			=
																																																			BgL_arg2210z00_2262;
																																																		BgL_bodyz00_7509
																																																			=
																																																			BgL_arg2211z00_2263;
																																																		BgL_bodyz00_1519
																																																			=
																																																			BgL_bodyz00_7509;
																																																		BgL_mz00_1518
																																																			=
																																																			BgL_mz00_7508;
																																																		goto
																																																			BgL_tagzd2173zd2_1520;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7507);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2212z00_2264;
																																														BgL_arg2212z00_2264
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7512;
																																															{
																																																obj_t
																																																	BgL_argsz00_7514;
																																																obj_t
																																																	BgL_fz00_7513;
																																																BgL_fz00_7513
																																																	=
																																																	BgL_arg2212z00_2264;
																																																BgL_argsz00_7514
																																																	=
																																																	BgL_cdrzd213376zd2_2241;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_7514;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_7513;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7512);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3277z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd213376zd2_2241))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213486zd2_2270;
																																																BgL_cdrzd213486zd2_2270
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_2241);
																																																if (PAIRP(BgL_cdrzd213486zd2_2270))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd213486zd2_2270)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2221z00_2274;
																																																				obj_t
																																																					BgL_arg2222z00_2275;
																																																				BgL_arg2221z00_2274
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2241);
																																																				BgL_arg2222z00_2275
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213486zd2_2270);
																																																				{	/* Eval/evaluate.scm 596 */
																																																					obj_t
																																																						BgL_arg2402z00_4621;
																																																					{	/* Eval/evaluate.scm 596 */
																																																						obj_t
																																																							BgL_arg2404z00_4622;
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2405z00_4623;
																																																							obj_t
																																																								BgL_arg2407z00_4624;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3146z00_4627;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_symbolz00_4625;
																																																									BgL_symbolz00_4625
																																																										=
																																																										BGl_symbol3324z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_arg2624z00_4626;
																																																										BgL_arg2624z00_4626
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_4625);
																																																										BgL_res3146z00_4627
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2624z00_4626);
																																																									}
																																																								}
																																																								BgL_arg2405z00_4623
																																																									=
																																																									BgL_res3146z00_4627;
																																																							}
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3147z00_4630;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2624z00_4629;
																																																									BgL_arg2624z00_4629
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(
																																																										((obj_t) BgL_wherez00_73));
																																																									BgL_res3147z00_4630
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2624z00_4629);
																																																								}
																																																								BgL_arg2407z00_4624
																																																									=
																																																									BgL_res3147z00_4630;
																																																							}
																																																							BgL_arg2404z00_4622
																																																								=
																																																								string_append
																																																								(BgL_arg2405z00_4623,
																																																								BgL_arg2407z00_4624);
																																																						}
																																																						BgL_arg2402z00_4621
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2404z00_4622);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2221z00_2274,
																																																							BgL_arg2222z00_2275,
																																																							BgL_arg2402z00_4621,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2223z00_2276;
																																																				obj_t
																																																					BgL_arg2224z00_2277;
																																																				BgL_arg2223z00_2276
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2224z00_2277
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7540;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7542;
																																																						obj_t
																																																							BgL_fz00_7541;
																																																						BgL_fz00_7541
																																																							=
																																																							BgL_arg2223z00_2276;
																																																						BgL_argsz00_7542
																																																							=
																																																							BgL_arg2224z00_2277;
																																																						BgL_argsz00_1525
																																																							=
																																																							BgL_argsz00_7542;
																																																						BgL_fz00_1524
																																																							=
																																																							BgL_fz00_7541;
																																																						goto
																																																							BgL_tagzd2175zd2_1526;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7540);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2226z00_2279;
																																																		obj_t
																																																			BgL_arg2228z00_2280;
																																																		BgL_arg2226z00_2279
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2228z00_2280
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7546;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7548;
																																																				obj_t
																																																					BgL_fz00_7547;
																																																				BgL_fz00_7547
																																																					=
																																																					BgL_arg2226z00_2279;
																																																				BgL_argsz00_7548
																																																					=
																																																					BgL_arg2228z00_2280;
																																																				BgL_argsz00_1525
																																																					=
																																																					BgL_argsz00_7548;
																																																				BgL_fz00_1524
																																																					=
																																																					BgL_fz00_7547;
																																																				goto
																																																					BgL_tagzd2175zd2_1526;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7546);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2229z00_2281;
																																																obj_t
																																																	BgL_arg2230z00_2282;
																																																BgL_arg2229z00_2281
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2230z00_2282
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7552;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7554;
																																																		obj_t
																																																			BgL_fz00_7553;
																																																		BgL_fz00_7553
																																																			=
																																																			BgL_arg2229z00_2281;
																																																		BgL_argsz00_7554
																																																			=
																																																			BgL_arg2230z00_2282;
																																																		BgL_argsz00_1525
																																																			=
																																																			BgL_argsz00_7554;
																																																		BgL_fz00_1524
																																																			=
																																																			BgL_fz00_7553;
																																																		goto
																																																			BgL_tagzd2175zd2_1526;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7552);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2231z00_2283;
																																														obj_t
																																															BgL_arg2233z00_2284;
																																														BgL_arg2231z00_2283
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2233z00_2284
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7558;
																																															{
																																																obj_t
																																																	BgL_argsz00_7560;
																																																obj_t
																																																	BgL_fz00_7559;
																																																BgL_fz00_7559
																																																	=
																																																	BgL_arg2231z00_2283;
																																																BgL_argsz00_7560
																																																	=
																																																	BgL_arg2233z00_2284;
																																																BgL_argsz00_1525
																																																	=
																																																	BgL_argsz00_7560;
																																																BgL_fz00_1524
																																																	=
																																																	BgL_fz00_7559;
																																																goto
																																																	BgL_tagzd2175zd2_1526;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7558);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 425 */
						BgL_xz00_1449 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1449))
							{	/* Eval/evaluate.scm 428 */
								obj_t BgL__ortest_1101z00_2305;

								BgL__ortest_1101z00_2305 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1449,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1101z00_2305))
									{	/* Eval/evaluate.scm 428 */
										return BgL__ortest_1101z00_2305;
									}
								else
									{	/* Eval/evaluate.scm 196 */
										BgL_ev_globalz00_bglt BgL_new1076z00_3465;

										{	/* Eval/evaluate.scm 197 */
											BgL_ev_globalz00_bglt BgL_new1075z00_3466;

											BgL_new1075z00_3466 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 197 */
												long BgL_arg1381z00_3467;

												{	/* Eval/evaluate.scm 197 */
													long BgL_res2914z00_3470;

													BgL_res2914z00_3470 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1381z00_3467 = BgL_res2914z00_3470;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1075z00_3466),
													BgL_arg1381z00_3467);
											}
											BgL_new1076z00_3465 = BgL_new1075z00_3466;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1076z00_3465))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1076z00_3465))->
												BgL_namez00) = ((obj_t) BgL_xz00_1449), BUNSPEC);
										{
											obj_t BgL_auxz00_7573;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7573 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7573 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1076z00_3465))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7573), BUNSPEC);
										}
										return ((obj_t) BgL_new1076z00_3465);
									}
							}
						else
							{	/* Eval/evaluate.scm 429 */
								BgL_ev_littz00_bglt BgL_new1103z00_2306;

								{	/* Eval/evaluate.scm 430 */
									BgL_ev_littz00_bglt BgL_new1102z00_2307;

									BgL_new1102z00_2307 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 430 */
										long BgL_arg2256z00_2308;

										{	/* Eval/evaluate.scm 430 */
											long BgL_res2915z00_3474;

											BgL_res2915z00_3474 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg2256z00_2308 = BgL_res2915z00_3474;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1102z00_2307),
											BgL_arg2256z00_2308);
									}
									BgL_new1103z00_2306 = BgL_new1102z00_2307;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1103z00_2306))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1449), BUNSPEC);
								return ((obj_t) BgL_new1103z00_2306);
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4903,
		obj_t BgL_globalsz00_4902, obj_t BgL_localsz00_4901, obj_t BgL_locz00_4900,
		obj_t BgL_esz00_2636)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 387 */
			if (NULLP(BgL_esz00_2636))
				{	/* Eval/evaluate.scm 388 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 390 */
					obj_t BgL_ez00_2639;

					BgL_ez00_2639 = CAR(((obj_t) BgL_esz00_2636));
					{	/* Eval/evaluate.scm 391 */
						obj_t BgL_arg2423z00_2640;
						obj_t BgL_arg2425z00_2641;

						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2426z00_2642;

							{	/* Eval/evaluate.scm 151 */
								obj_t BgL__ortest_1068z00_3432;

								BgL__ortest_1068z00_3432 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2639);
								if (CBOOL(BgL__ortest_1068z00_3432))
									{	/* Eval/evaluate.scm 151 */
										BgL_arg2426z00_2642 = BgL__ortest_1068z00_3432;
									}
								else
									{	/* Eval/evaluate.scm 152 */
										obj_t BgL__ortest_1069z00_3433;

										BgL__ortest_1069z00_3433 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2636);
										if (CBOOL(BgL__ortest_1069z00_3433))
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2426z00_2642 = BgL__ortest_1069z00_3433;
											}
										else
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2426z00_2642 = BgL_locz00_4900;
											}
									}
							}
							BgL_arg2423z00_2640 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2639, BgL_localsz00_4901,
								BgL_globalsz00_4902, BFALSE, BgL_wherez00_4903,
								BgL_arg2426z00_2642, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 392 */
							obj_t BgL_arg2427z00_2643;

							BgL_arg2427z00_2643 = CDR(((obj_t) BgL_esz00_2636));
							BgL_arg2425z00_2641 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4903,
								BgL_globalsz00_4902, BgL_localsz00_4901, BgL_locz00_4900,
								BgL_arg2427z00_2643);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2423z00_2640, BgL_arg2425z00_2641);
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4905,
		obj_t BgL_globalsz00_4904, obj_t BgL_lz00_2454, obj_t BgL_varsz00_2455,
		obj_t BgL_localsz00_2456, obj_t BgL_locz00_2457)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 503 */
			if (NULLP(BgL_lz00_2454))
				{	/* Eval/evaluate.scm 499 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 501 */
					obj_t BgL_locz00_3630;

					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2335z00_3631;

						BgL_arg2335z00_3631 = CAR(((obj_t) BgL_lz00_2454));
						{	/* Eval/evaluate.scm 145 */
							obj_t BgL__ortest_1067z00_3641;

							BgL__ortest_1067z00_3641 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2335z00_3631);
							if (CBOOL(BgL__ortest_1067z00_3641))
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3630 = BgL__ortest_1067z00_3641;
								}
							else
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3630 = BgL_locz00_2457;
								}
						}
					}
					{	/* Eval/evaluate.scm 502 */
						obj_t BgL_arg2328z00_3632;
						obj_t BgL_arg2329z00_3633;

						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2330z00_3634;

							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_pairz00_3647;

								{	/* Eval/evaluate.scm 502 */
									obj_t BgL_pairz00_3646;

									BgL_pairz00_3646 = CAR(((obj_t) BgL_lz00_2454));
									BgL_pairz00_3647 = CDR(BgL_pairz00_3646);
								}
								BgL_arg2330z00_3634 = CAR(BgL_pairz00_3647);
							}
							BgL_arg2328z00_3632 =
								BGl_convz00zz__evaluatez00(BgL_arg2330z00_3634,
								BgL_localsz00_2456, BgL_globalsz00_4904, BFALSE,
								BgL_wherez00_4905, BgL_locz00_3630, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 503 */
							obj_t BgL_arg2331z00_3635;
							obj_t BgL_arg2332z00_3636;
							obj_t BgL_arg2333z00_3637;

							BgL_arg2331z00_3635 = CDR(((obj_t) BgL_lz00_2454));
							BgL_arg2332z00_3636 = CDR(((obj_t) BgL_varsz00_2455));
							{	/* Eval/evaluate.scm 503 */
								obj_t BgL_arg2334z00_3638;

								BgL_arg2334z00_3638 = CAR(((obj_t) BgL_varsz00_2455));
								BgL_arg2333z00_3637 =
									MAKE_YOUNG_PAIR(BgL_arg2334z00_3638, BgL_localsz00_2456);
							}
							BgL_arg2329z00_3633 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4905,
								BgL_globalsz00_4904, BgL_arg2331z00_3635, BgL_arg2332z00_3636,
								BgL_arg2333z00_3637, BgL_locz00_3630);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2328z00_3632, BgL_arg2329z00_3633);
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4909, obj_t BgL_localsz00_4908, obj_t BgL_ez00_4907,
		obj_t BgL_locz00_4906, obj_t BgL_formalsz00_2645, obj_t BgL_bodyz00_2646,
		obj_t BgL_wherez00_2647, obj_t BgL_typez00_2648)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 405 */
			{
				obj_t BgL_lz00_2679;

				{	/* Eval/evaluate.scm 407 */
					obj_t BgL_argsz00_2651;

					BgL_lz00_2679 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2645, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2683;
						obj_t BgL_flatz00_2684;
						long BgL_arityz00_2685;

						BgL_rz00_2683 = BgL_lz00_2679;
						BgL_flatz00_2684 = BNIL;
						BgL_arityz00_2685 = ((long) 0);
					BgL_zc3anonymousza32442ze3z83_2686:
						if (NULLP(BgL_rz00_2683))
							{	/* Eval/evaluate.scm 400 */
								obj_t BgL_val0_1199z00_2688;

								BgL_val0_1199z00_2688 = bgl_reverse_bang(BgL_flatz00_2684);
								{	/* Eval/evaluate.scm 400 */
									int BgL_res2902z00_3436;

									{	/* Eval/evaluate.scm 400 */
										int BgL_tmpz00_7624;

										BgL_tmpz00_7624 = (int) (((long) 2));
										BgL_res2902z00_3436 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7624);
									} BgL_res2902z00_3436;
								}
								{	/* Eval/evaluate.scm 400 */
									obj_t BgL_auxz00_7629;
									int BgL_tmpz00_7627;

									BgL_auxz00_7629 = BINT(BgL_arityz00_2685);
									BgL_tmpz00_7627 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7627, BgL_auxz00_7629);
								}
								BgL_argsz00_2651 = BgL_val0_1199z00_2688;
							}
						else
							{	/* Eval/evaluate.scm 399 */
								if (PAIRP(BgL_rz00_2683))
									{	/* Eval/evaluate.scm 404 */
										obj_t BgL_arg2445z00_2691;
										obj_t BgL_arg2446z00_2692;
										long BgL_arg2447z00_2693;

										BgL_arg2445z00_2691 = CDR(BgL_rz00_2683);
										BgL_arg2446z00_2692 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2683)), BgL_flatz00_2684);
										BgL_arg2447z00_2693 = (BgL_arityz00_2685 + ((long) 1));
										{
											long BgL_arityz00_7641;
											obj_t BgL_flatz00_7640;
											obj_t BgL_rz00_7639;

											BgL_rz00_7639 = BgL_arg2445z00_2691;
											BgL_flatz00_7640 = BgL_arg2446z00_2692;
											BgL_arityz00_7641 = BgL_arg2447z00_2693;
											BgL_arityz00_2685 = BgL_arityz00_7641;
											BgL_flatz00_2684 = BgL_flatz00_7640;
											BgL_rz00_2683 = BgL_rz00_7639;
											goto BgL_zc3anonymousza32442ze3z83_2686;
										}
									}
								else
									{	/* Eval/evaluate.scm 402 */
										obj_t BgL_val0_1201z00_2696;
										long BgL_val1_1202z00_2697;

										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_arg2451z00_2698;

											BgL_arg2451z00_2698 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2683), BgL_flatz00_2684);
											BgL_val0_1201z00_2696 =
												bgl_reverse_bang(BgL_arg2451z00_2698);
										}
										BgL_val1_1202z00_2697 = (((long) -1) - BgL_arityz00_2685);
										{	/* Eval/evaluate.scm 402 */
											int BgL_res2906z00_3444;

											{	/* Eval/evaluate.scm 402 */
												int BgL_tmpz00_7646;

												BgL_tmpz00_7646 = (int) (((long) 2));
												BgL_res2906z00_3444 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7646);
											} BgL_res2906z00_3444;
										}
										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_auxz00_7651;
											int BgL_tmpz00_7649;

											BgL_auxz00_7651 = BINT(BgL_val1_1202z00_2697);
											BgL_tmpz00_7649 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7649, BgL_auxz00_7651);
										}
										BgL_argsz00_2651 = BgL_val0_1201z00_2696;
					}}}
					{	/* Eval/evaluate.scm 408 */
						obj_t BgL_arityz00_2652;

						{	/* Eval/evaluate.scm 409 */
							int BgL_tmpz00_7655;

							BgL_tmpz00_7655 = (int) (((long) 1));
							BgL_arityz00_2652 = BGL_MVALUES_VAL(BgL_tmpz00_7655);
						}
						{	/* Eval/evaluate.scm 409 */
							obj_t BgL_varsz00_2653;
							obj_t BgL_bodyz00_2654;
							obj_t BgL_nlocz00_2655;

							if (NULLP(BgL_argsz00_2651))
								{	/* Eval/evaluate.scm 409 */
									BgL_varsz00_2653 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 409 */
									obj_t BgL_head1205z00_2662;

									{	/* Eval/evaluate.scm 409 */
										obj_t BgL_res2908z00_3446;

										BgL_res2908z00_3446 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1205z00_2662 = BgL_res2908z00_3446;
									}
									{
										obj_t BgL_l1203z00_2664;
										obj_t BgL_tail1206z00_2665;

										BgL_l1203z00_2664 = BgL_argsz00_2651;
										BgL_tail1206z00_2665 = BgL_head1205z00_2662;
									BgL_zc3anonymousza32432ze3z83_2666:
										if (NULLP(BgL_l1203z00_2664))
											{	/* Eval/evaluate.scm 409 */
												BgL_varsz00_2653 = CDR(BgL_head1205z00_2662);
											}
										else
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_newtail1207z00_2668;

												{	/* Eval/evaluate.scm 409 */
													BgL_ev_varz00_bglt BgL_arg2435z00_2670;

													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_vz00_2671;

														BgL_vz00_2671 = CAR(((obj_t) BgL_l1203z00_2664));
														{	/* Eval/evaluate.scm 410 */
															BgL_ev_varz00_bglt BgL_new1098z00_2672;

															{	/* Eval/evaluate.scm 412 */
																BgL_ev_varz00_bglt BgL_new1097z00_2673;

																BgL_new1097z00_2673 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 412 */
																	long BgL_arg2436z00_2674;

																	{	/* Eval/evaluate.scm 412 */
																		long BgL_res2910z00_3451;

																		BgL_res2910z00_3451 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2436z00_2674 = BgL_res2910z00_3451;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1097z00_2673),
																		BgL_arg2436z00_2674);
																}
																BgL_new1098z00_2672 = BgL_new1097z00_2673;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2672))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2671))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2672))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2672))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2671))),
																BUNSPEC);
															BgL_arg2435z00_2670 = BgL_new1098z00_2672;
													}}
													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_res2911z00_3456;

														BgL_res2911z00_3456 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2435z00_2670), BNIL);
														BgL_newtail1207z00_2668 = BgL_res2911z00_3456;
												}}
												SET_CDR(BgL_tail1206z00_2665, BgL_newtail1207z00_2668);
												{	/* Eval/evaluate.scm 409 */
													obj_t BgL_arg2434z00_2669;

													BgL_arg2434z00_2669 =
														CDR(((obj_t) BgL_l1203z00_2664));
													{
														obj_t BgL_tail1206z00_7683;
														obj_t BgL_l1203z00_7682;

														BgL_l1203z00_7682 = BgL_arg2434z00_2669;
														BgL_tail1206z00_7683 = BgL_newtail1207z00_2668;
														BgL_tail1206z00_2665 = BgL_tail1206z00_7683;
														BgL_l1203z00_2664 = BgL_l1203z00_7682;
														goto BgL_zc3anonymousza32432ze3z83_2666;
													}
												}
											}
									}
								}
							BgL_bodyz00_2654 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4907, BgL_formalsz00_2645,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2651,
									BgL_argsz00_2651,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2648,
										BgL_bodyz00_2646, BgL_locz00_4906), BgL_locz00_4906,
									BgL_wherez00_2647), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1067z00_3459;

								BgL__ortest_1067z00_3459 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2646);
								if (CBOOL(BgL__ortest_1067z00_3459))
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2655 = BgL__ortest_1067z00_3459;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2655 = BgL_locz00_4906;
									}
							}
							{	/* Eval/evaluate.scm 418 */
								BgL_ev_absz00_bglt BgL_new1100z00_2656;

								{	/* Eval/evaluate.scm 419 */
									BgL_ev_absz00_bglt BgL_new1099z00_2658;

									BgL_new1099z00_2658 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 419 */
										long BgL_arg2430z00_2659;

										{	/* Eval/evaluate.scm 419 */
											long BgL_res2912z00_3461;

											BgL_res2912z00_3461 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2430z00_2659 = BgL_res2912z00_3461;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1099z00_2658),
											BgL_arg2430z00_2659);
									}
									BgL_new1100z00_2656 = BgL_new1099z00_2658;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_locz00) = ((obj_t) BgL_locz00_4906), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2647), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2652), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2653), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7698;

									{	/* Eval/evaluate.scm 423 */
										obj_t BgL_arg2429z00_2657;

										BgL_arg2429z00_2657 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2653,
											BgL_localsz00_4908);
										BgL_auxz00_7698 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2654,
												BgL_arg2429z00_2657, BgL_globalsz00_4909, BTRUE,
												BgL_wherez00_2647, BgL_nlocz00_2655, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7698), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2656))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1100z00_2656;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4916,
		obj_t BgL_globalsz00_4915, obj_t BgL_localsz00_4914, obj_t BgL_ez00_2623,
		obj_t BgL_locz00_2624)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 378 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2623, BgL_localsz00_4914,
				BgL_globalsz00_4915, BFALSE, BgL_wherez00_4916, BgL_locz00_2624,
				((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117125),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564244),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					338601822), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262938),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -298277921),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089688),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758625),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string3326z00zz__evaluatez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
