/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62main5654z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5656z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5658z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33015ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33952ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5660z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31798ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5662z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5664z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5666z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5668z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33775ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32884ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32868ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5670z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5672z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5674z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5676z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5678z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33865ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5680z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5682z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5684z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5686z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62main5688z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32143ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32886ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5690z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5692z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5694z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5696z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5698z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32323ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33973ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32889ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5800z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5802z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5804z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5806z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol5808z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33161ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol5810z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5812z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5814z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5816z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5818z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_symbol5820z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5822z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_symbol5824z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5826z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5828z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5830z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5832z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5834z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5836z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5838z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32364ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33077ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5869z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5886z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33363ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5888z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33436ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5890z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5892z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32368ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug();
	static obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62run5701z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5703z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5705z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5707z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5709z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5711z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5713z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5715z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5717z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5719z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33474ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5721z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5723z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5725z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5727z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5729z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31871ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5731z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5733z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5735z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5737z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5739z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32852ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32836ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33001ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33582ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32200ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_zc3exitza33326ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31891ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5700z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5702z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5704z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5706z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5708z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32872ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5710z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33909ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5712z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5714z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5716z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5718z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32114ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5720z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5722z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5724z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5726z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5728z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5730z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5732z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5734z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5736z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5738z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33677ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32892ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33929ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32876ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33025ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32241ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t bgl_reverse_bang(obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33316ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5744z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5746z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5748z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32426ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5754z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33334ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5762z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5764z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5766z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5769z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32282ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5772z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5774z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5776z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5778z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5780z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5782z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5784z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5786z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5788z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol5790z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5792z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5794z00zz__evaluate_compz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_symbol5796z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33516ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5798z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33623ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32481ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32198ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33713ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza33803ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32840ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31917ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31935ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33199ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5655z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5657z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5659z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31953ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33484ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5661z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5663z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5665z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5667z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33752ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5669z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33663ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62comp1384z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5671z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5673z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5675z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5677z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5679z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33309ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62run5681z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5683z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5685z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5687z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5689z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62run5691z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5693z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5695z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5697z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32864ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5699z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32848ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75896z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5897z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75898za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5801z00zz__evaluate_compz00,
		BgL_bgl_string5801za700za7za7_5899za7, "/fx", 3);
	      DEFINE_STRING(BGl_string5803z00zz__evaluate_compz00,
		BgL_bgl_string5803za700za7za7_5900za7, "<fx", 3);
	      DEFINE_STRING(BGl_string5805z00zz__evaluate_compz00,
		BgL_bgl_string5805za700za7za7_5901za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5807z00zz__evaluate_compz00,
		BgL_bgl_string5807za700za7za7_5902za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string5809z00zz__evaluate_compz00,
		BgL_bgl_string5809za700za7za7_5903za7, ">=fx", 4);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5811z00zz__evaluate_compz00,
		BgL_bgl_string5811za700za7za7_5904za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5813z00zz__evaluate_compz00,
		BgL_bgl_string5813za700za7za7_5905za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5815z00zz__evaluate_compz00,
		BgL_bgl_string5815za700za7za7_5906za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5817z00zz__evaluate_compz00,
		BgL_bgl_string5817za700za7za7_5907za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5819z00zz__evaluate_compz00,
		BgL_bgl_string5819za700za7za7_5908za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5821z00zz__evaluate_compz00,
		BgL_bgl_string5821za700za7za7_5909za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5823z00zz__evaluate_compz00,
		BgL_bgl_string5823za700za7za7_5910za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5825z00zz__evaluate_compz00,
		BgL_bgl_string5825za700za7za7_5911za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5827z00zz__evaluate_compz00,
		BgL_bgl_string5827za700za7za7_5912za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5829z00zz__evaluate_compz00,
		BgL_bgl_string5829za700za7za7_5913za7, ">=fl", 4);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5914z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5831z00zz__evaluate_compz00,
		BgL_bgl_string5831za700za7za7_5915za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5833z00zz__evaluate_compz00,
		BgL_bgl_string5833za700za7za7_5916za7, "car", 3);
	      DEFINE_STRING(BGl_string5835z00zz__evaluate_compz00,
		BgL_bgl_string5835za700za7za7_5917za7, "pair", 4);
	      DEFINE_STRING(BGl_string5837z00zz__evaluate_compz00,
		BgL_bgl_string5837za700za7za7_5918za7, "cdr", 3);
	      DEFINE_STRING(BGl_string5839z00zz__evaluate_compz00,
		BgL_bgl_string5839za700za7za7_5919za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5841z00zz__evaluate_compz00,
		BgL_bgl_string5841za700za7za7_5920za7, "comp1384", 8);
	      DEFINE_STRING(BGl_string5842z00zz__evaluate_compz00,
		BgL_bgl_string5842za700za7za7_5921za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5843z00zz__evaluate_compz00,
		BgL_bgl_string5843za700za7za7_5922za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5845z00zz__evaluate_compz00,
		BgL_bgl_string5845za700za7za7_5923za7, "comp", 4);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5867z00zz__evaluate_compz00,
		BgL_bgl_string5867za700za7za7_5924za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5868z00zz__evaluate_compz00,
		BgL_bgl_string5868za700za7za7_5925za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5870z00zz__evaluate_compz00,
		BgL_bgl_string5870za700za7za7_5926za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5871z00zz__evaluate_compz00,
		BgL_bgl_string5871za700za7za7_5927za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string5872z00zz__evaluate_compz00,
		BgL_bgl_string5872za700za7za7_5928za7, "mutex", 5);
	      DEFINE_STRING(BGl_string5873z00zz__evaluate_compz00,
		BgL_bgl_string5873za700za7za7_5929za7, "set!", 4);
	      DEFINE_STRING(BGl_string5874z00zz__evaluate_compz00,
		BgL_bgl_string5874za700za7za7_5930za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5875z00zz__evaluate_compz00,
		BgL_bgl_string5875za700za7za7_5931za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5876z00zz__evaluate_compz00,
		BgL_bgl_string5876za700za7za7_5932za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5877z00zz__evaluate_compz00,
		BgL_bgl_string5877za700za7za7_5933za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string5887z00zz__evaluate_compz00,
		BgL_bgl_string5887za700za7za7_5934za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5889z00zz__evaluate_compz00,
		BgL_bgl_string5889za700za7za7_5935za7, "reset_profile", 13);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5891z00zz__evaluate_compz00,
		BgL_bgl_string5891za700za7za7_5936za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5893z00zz__evaluate_compz00,
		BgL_bgl_string5893za700za7za7_5937za7, "reset_stack", 11);
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5894z00zz__evaluate_compz00,
		BgL_bgl_string5894za700za7za7_5938za7, "internal error: unknown command",
		31);
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5895z00zz__evaluate_compz00,
		BgL_bgl_string5895za700za7za7_5939za7, "__evaluate_comp", 15);
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5745z00zz__evaluate_compz00,
		BgL_bgl_string5745za700za7za7_5940za7, "all", 3);
	      DEFINE_STRING(BGl_string5747z00zz__evaluate_compz00,
		BgL_bgl_string5747za700za7za7_5941za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5749z00zz__evaluate_compz00,
		BgL_bgl_string5749za700za7za7_5942za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5750z00zz__evaluate_compz00,
		BgL_bgl_string5750za700za7za7_5943za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5751z00zz__evaluate_compz00,
		BgL_bgl_string5751za700za7za7_5944za7, " in ", 4);
	      DEFINE_STRING(BGl_string5752z00zz__evaluate_compz00,
		BgL_bgl_string5752za700za7za7_5945za7, "eval", 4);
	      DEFINE_STRING(BGl_string5753z00zz__evaluate_compz00,
		BgL_bgl_string5753za700za7za7_5946za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5755z00zz__evaluate_compz00,
		BgL_bgl_string5755za700za7za7_5947za7, "at", 2);
	      DEFINE_STRING(BGl_string5756z00zz__evaluate_compz00,
		BgL_bgl_string5756za700za7za7_5948za7, "", 0);
	      DEFINE_STRING(BGl_string5757z00zz__evaluate_compz00,
		BgL_bgl_string5757za700za7za7_5949za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5758z00zz__evaluate_compz00,
		BgL_bgl_string5758za700za7za7_5950za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5759z00zz__evaluate_compz00,
		BgL_bgl_string5759za700za7za7_5951za7, "ev_expr", 7);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5760z00zz__evaluate_compz00,
		BgL_bgl_string5760za700za7za7_5952za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5761z00zz__evaluate_compz00,
		BgL_bgl_string5761za700za7za7_5953za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5763z00zz__evaluate_compz00,
		BgL_bgl_string5763za700za7za7_5954za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5765z00zz__evaluate_compz00,
		BgL_bgl_string5765za700za7za7_5955za7, "internal", 8);
	      DEFINE_STRING(BGl_string5767z00zz__evaluate_compz00,
		BgL_bgl_string5767za700za7za7_5956za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5768z00zz__evaluate_compz00,
		BgL_bgl_string5768za700za7za7_5957za7, "procedure", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5840z00zz__evaluate_compz00,
		BgL_bgl_za762comp1384za762za7za75958z00,
		BGl_z62comp1384z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5844z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5959z00,
		BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5770z00zz__evaluate_compz00,
		BgL_bgl_string5770za700za7za7_5960za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5846z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5961z00,
		BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5771z00zz__evaluate_compz00,
		BgL_bgl_string5771za700za7za7_5962za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5847z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5963z00,
		BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5848z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5964z00,
		BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5773z00zz__evaluate_compz00,
		BgL_bgl_string5773za700za7za7_5965za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5849z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5966z00,
		BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5775z00zz__evaluate_compz00,
		BgL_bgl_string5775za700za7za7_5967za7, "number", 6);
	      DEFINE_STRING(BGl_string5777z00zz__evaluate_compz00,
		BgL_bgl_string5777za700za7za7_5968za7, "-", 1);
	      DEFINE_STRING(BGl_string5779z00zz__evaluate_compz00,
		BgL_bgl_string5779za700za7za7_5969za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5850z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5970z00,
		BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5851z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5971z00,
		BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5852z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15972z00,
		BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5853z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15973z00,
		BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5854z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5974z00,
		BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5855z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5975z00,
		BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5856z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5976z00,
		BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5781z00zz__evaluate_compz00,
		BgL_bgl_string5781za700za7za7_5977za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5857z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5978z00,
		BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5858z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5979z00,
		BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5783z00zz__evaluate_compz00,
		BgL_bgl_string5783za700za7za7_5980za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5859z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5981z00,
		BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5785z00zz__evaluate_compz00,
		BgL_bgl_string5785za700za7za7_5982za7, ">", 1);
	      DEFINE_STRING(BGl_string5787z00zz__evaluate_compz00,
		BgL_bgl_string5787za700za7za7_5983za7, "<=", 2);
	      DEFINE_STRING(BGl_string5789z00zz__evaluate_compz00,
		BgL_bgl_string5789za700za7za7_5984za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5860z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5985z00,
		BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5861z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5986z00,
		BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5862z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn5987z00,
		BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5863z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5988z00,
		BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5864z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5989z00,
		BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5865z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5990z00,
		BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5866z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5991z00,
		BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5791z00zz__evaluate_compz00,
		BgL_bgl_string5791za700za7za7_5992za7, "=", 1);
	      DEFINE_STRING(BGl_string5793z00zz__evaluate_compz00,
		BgL_bgl_string5793za700za7za7_5993za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5795z00zz__evaluate_compz00,
		BgL_bgl_string5795za700za7za7_5994za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5797z00zz__evaluate_compz00,
		BgL_bgl_string5797za700za7za7_5995za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5799z00zz__evaluate_compz00,
		BgL_bgl_string5799za700za7za7_5996za7, "*fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5878z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75997za7,
		BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5879z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75998za7,
		BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5880z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75999za7,
		BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5881z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76000za7,
		BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5882z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76001za7,
		BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5883z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76002za7,
		BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5884z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76003za7,
		BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5885z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76004za7,
		BGl_z62zc3anonymousza33001ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol5800z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5802z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5804z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5806z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5808z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5810z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5812z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5814z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5816z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5818z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5820z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5822z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5824z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5826z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5828z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5830z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5832z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5834z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5836z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5838z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5869z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5886z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5888z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5890z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5892z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5744z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5746z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5748z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5754z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5762z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5764z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5766z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5769z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5772z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5774z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5776z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5778z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5780z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5782z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5784z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5786z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5788z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5790z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5792z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5794z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5796z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5798z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_18282, char *BgL_fromz00_18283)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5744z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5745z00zz__evaluate_compz00);
			BGl_symbol5746z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5747z00zz__evaluate_compz00);
			BGl_symbol5748z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5749z00zz__evaluate_compz00);
			BGl_symbol5754z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5755z00zz__evaluate_compz00);
			BGl_symbol5762z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5763z00zz__evaluate_compz00);
			BGl_symbol5764z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5765z00zz__evaluate_compz00);
			BGl_symbol5766z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5767z00zz__evaluate_compz00);
			BGl_symbol5769z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5770z00zz__evaluate_compz00);
			BGl_symbol5772z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5773z00zz__evaluate_compz00);
			BGl_symbol5774z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5775z00zz__evaluate_compz00);
			BGl_symbol5776z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5777z00zz__evaluate_compz00);
			BGl_symbol5778z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5779z00zz__evaluate_compz00);
			BGl_symbol5780z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5781z00zz__evaluate_compz00);
			BGl_symbol5782z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5783z00zz__evaluate_compz00);
			BGl_symbol5784z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5785z00zz__evaluate_compz00);
			BGl_symbol5786z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5787z00zz__evaluate_compz00);
			BGl_symbol5788z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5789z00zz__evaluate_compz00);
			BGl_symbol5790z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5791z00zz__evaluate_compz00);
			BGl_symbol5792z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5793z00zz__evaluate_compz00);
			BGl_symbol5794z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5795z00zz__evaluate_compz00);
			BGl_symbol5796z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5797z00zz__evaluate_compz00);
			BGl_symbol5798z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5799z00zz__evaluate_compz00);
			BGl_symbol5800z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5801z00zz__evaluate_compz00);
			BGl_symbol5802z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5803z00zz__evaluate_compz00);
			BGl_symbol5804z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5805z00zz__evaluate_compz00);
			BGl_symbol5806z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5807z00zz__evaluate_compz00);
			BGl_symbol5808z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5809z00zz__evaluate_compz00);
			BGl_symbol5810z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5811z00zz__evaluate_compz00);
			BGl_symbol5812z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5813z00zz__evaluate_compz00);
			BGl_symbol5814z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5815z00zz__evaluate_compz00);
			BGl_symbol5816z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5817z00zz__evaluate_compz00);
			BGl_symbol5818z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5819z00zz__evaluate_compz00);
			BGl_symbol5820z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5821z00zz__evaluate_compz00);
			BGl_symbol5822z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5823z00zz__evaluate_compz00);
			BGl_symbol5824z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5825z00zz__evaluate_compz00);
			BGl_symbol5826z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5827z00zz__evaluate_compz00);
			BGl_symbol5828z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5829z00zz__evaluate_compz00);
			BGl_symbol5830z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5831z00zz__evaluate_compz00);
			BGl_symbol5832z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5833z00zz__evaluate_compz00);
			BGl_symbol5834z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5835z00zz__evaluate_compz00);
			BGl_symbol5836z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5837z00zz__evaluate_compz00);
			BGl_symbol5838z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5839z00zz__evaluate_compz00);
			BGl_symbol5869z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5870z00zz__evaluate_compz00);
			BGl_symbol5886z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5887z00zz__evaluate_compz00);
			BGl_symbol5888z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5889z00zz__evaluate_compz00);
			BGl_symbol5890z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5891z00zz__evaluate_compz00);
			return (BGl_symbol5892z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5893z00zz__evaluate_compz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1474z00_1337;

				{	/* Eval/evaluate_comp.scm 114 */
					BGL_LONGLONG_T BgL_res4286z00_6366;

					BgL_res4286z00_6366 = LONG_TO_LLONG(((long) 0));
					BgL_arg1474z00_1337 = BgL_res4286z00_6366;
				}
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1475z00_1338;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1477z00_1339;

						BgL_arg1477z00_1339 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1474z00_1337), BNIL);
						BgL_list1475z00_1338 =
							MAKE_YOUNG_PAIR(BGl_symbol5744z00zz__evaluate_compz00,
							BgL_arg1477z00_1339);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1475z00_1338;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5746z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5748z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1340;

				BgL_headz00_1340 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6391;
					obj_t BgL_tailz00_6392;

					BgL_prevz00_6391 = BgL_headz00_1340;
					BgL_tailz00_6392 = BgL_l1z00_1;
				BgL_loopz00_6390:
					if (PAIRP(BgL_tailz00_6392))
						{
							obj_t BgL_newzd2prevzd2_6398;

							BgL_newzd2prevzd2_6398 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6392), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6391, BgL_newzd2prevzd2_6398);
							{
								obj_t BgL_tailz00_18356;
								obj_t BgL_prevz00_18355;

								BgL_prevz00_18355 = BgL_newzd2prevzd2_6398;
								BgL_tailz00_18356 = CDR(BgL_tailz00_6392);
								BgL_tailz00_6392 = BgL_tailz00_18356;
								BgL_prevz00_6391 = BgL_prevz00_18355;
								goto BgL_loopz00_6390;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1340);
			}
		}
		BGL_FUNCTION_END;
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1498z00_1368;

				{	/* Eval/evaluate_comp.scm 133 */
					BGL_LONGLONG_T BgL_res4295z00_6406;

					BgL_res4295z00_6406 = LONG_TO_LLONG(((long) 0));
					BgL_arg1498z00_1368 = BgL_res4295z00_6406;
				}
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1499z00_1369;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1500z00_1370;

						BgL_arg1500z00_1370 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1498z00_1368), BNIL);
						BgL_list1499z00_1369 =
							MAKE_YOUNG_PAIR(BGl_symbol5744z00zz__evaluate_compz00,
							BgL_arg1500z00_1370);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1499z00_1369, BUNSPEC);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1379)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1379))
				{	/* Ieee/fixnum.scm 976 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1379), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1379))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_res4298z00_6411;

							{	/* Eval/evaluate_comp.scm 139 */
								obj_t BgL_arg4143z00_6410;

								BgL_arg4143z00_6410 = SYMBOL_TO_STRING(BgL_vz00_1379);
								BgL_res4298z00_6411 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg4143z00_6410);
							}
							return BgL_res4298z00_6411;
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1379))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1379;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string5750z00zz__evaluate_compz00;
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13468,
		obj_t BgL_t1z00_13469, obj_t BgL_t2z00_13470)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_18373;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15459;
					obj_t BgL_v2z00_15460;

					BgL_v1z00_15459 = CAR(((obj_t) BgL_t1z00_13469));
					BgL_v2z00_15460 = CAR(((obj_t) BgL_t2z00_13470));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_testz00_18378;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15459))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18378 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15460);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18378 = ((bool_t) 0);
							}
						if (BgL_testz00_18378)
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18373 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15459,
									BgL_v2z00_15460);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18373 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15459),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15460));
							}
					}
				}
				return BBOOL(BgL_tmpz00_18373);
			}
		}
		BGL_FUNCTION_END;
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
		BGL_FUNCTION_END;
	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1388)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1513z00_1390;
				obj_t BgL_arg1516z00_1391;

				BgL_arg1513z00_1390 = CDR(((obj_t) BgL_tz00_1388));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1519z00_1392;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6422;

						BgL_pairz00_6422 = CDR(((obj_t) BgL_tz00_1388));
						BgL_arg1519z00_1392 = CDR(BgL_pairz00_6422);
					}
					BgL_arg1516z00_1391 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1519z00_1392);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_18394;

					BgL_tmpz00_18394 = ((obj_t) BgL_arg1513z00_1390);
					SET_CDR(BgL_tmpz00_18394, BgL_arg1516z00_1391);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1287z00_1393;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6427;

					BgL_pairz00_6427 = CDR(((obj_t) BgL_tz00_1388));
					BgL_g1287z00_1393 = CDR(BgL_pairz00_6427);
				}
				{
					obj_t BgL_l1285z00_6441;

					BgL_l1285z00_6441 = BgL_g1287z00_1393;
				BgL_zc3anonymousza31520ze3z83_6440:
					if (PAIRP(BgL_l1285z00_6441))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1285z00_6441));
							{
								obj_t BgL_l1285z00_18404;

								BgL_l1285z00_18404 = CDR(BgL_l1285z00_6441);
								BgL_l1285z00_6441 = BgL_l1285z00_18404;
								goto BgL_zc3anonymousza31520ze3z83_6440;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6472;
				long BgL_nz00_6473;

				BgL_lz00_6472 = BgL_lz00_7;
				BgL_nz00_6473 = ((long) 0);
			BgL_walkz00_6471:
				if (NULLP(BgL_lz00_6472))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6472))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6473);
							}
						else
							{
								long BgL_nz00_18416;
								obj_t BgL_lz00_18413;

								BgL_lz00_18413 = CDR(((obj_t) BgL_lz00_6472));
								BgL_nz00_18416 = (BgL_nz00_6473 + ((long) 1));
								BgL_nz00_6473 = BgL_nz00_18416;
								BgL_lz00_6472 = BgL_lz00_18413;
								goto BgL_walkz00_6471;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1078z00_1413;

				BgL__ortest_1078z00_1413 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1078z00_1413))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1078z00_1413;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1532z00_1414;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1533z00_1415;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1533z00_1415 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1290z00_1421;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1544z00_1433;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1545z00_1434;

											BgL_arg1545z00_1434 = CAR(((obj_t) BgL_lz00_9));
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1545z00_1434,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1544z00_1433 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt) BgL_arg1545z00_1434)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1544z00_1433 = BgL_arg1545z00_1434;
												}
										}
										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_res4311z00_6493;

											BgL_res4311z00_6493 =
												MAKE_YOUNG_PAIR(BgL_arg1544z00_1433, BNIL);
											BgL_head1290z00_1421 = BgL_res4311z00_6493;
										}
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1293z00_1422;

										BgL_g1293z00_1422 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1288z00_6518;
											obj_t BgL_tail1291z00_6519;

											BgL_l1288z00_6518 = BgL_g1293z00_1422;
											BgL_tail1291z00_6519 = BgL_head1290z00_1421;
										BgL_zc3anonymousza31539ze3z83_6517:
											if (NULLP(BgL_l1288z00_6518))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1533z00_1415 = BgL_head1290z00_1421;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1292z00_6526;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1542z00_6527;

														BgL_arg1542z00_6527 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1288z00_6518)));
														{	/* Eval/evaluate_comp.scm 164 */
															obj_t BgL_res4317z00_6532;

															BgL_res4317z00_6532 =
																MAKE_YOUNG_PAIR(BgL_arg1542z00_6527, BNIL);
															BgL_newtail1292z00_6526 = BgL_res4317z00_6532;
														}
													}
													SET_CDR(BgL_tail1291z00_6519,
														BgL_newtail1292z00_6526);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1541z00_6529;

														BgL_arg1541z00_6529 =
															CDR(((obj_t) BgL_l1288z00_6518));
														{
															obj_t BgL_tail1291z00_18442;
															obj_t BgL_l1288z00_18441;

															BgL_l1288z00_18441 = BgL_arg1541z00_6529;
															BgL_tail1291z00_18442 = BgL_newtail1292z00_6526;
															BgL_tail1291z00_6519 = BgL_tail1291z00_18442;
															BgL_l1288z00_6518 = BgL_l1288z00_18441;
															goto BgL_zc3anonymousza31539ze3z83_6517;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1534z00_1416;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1536z00_1417;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1537z00_1418;

										BgL_arg1537z00_1418 =
											MAKE_YOUNG_PAIR(BgL_arg1533z00_1415, BNIL);
										BgL_arg1536z00_1417 =
											MAKE_YOUNG_PAIR(BGl_string5751z00zz__evaluate_compz00,
											BgL_arg1537z00_1418);
									}
									BgL_list1534z00_1416 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1536z00_1417);
								}
								BgL_arg1532z00_1414 = BgL_list1534z00_1416;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5752z00zz__evaluate_compz00,
							BGl_string5753z00zz__evaluate_compz00, BgL_arg1532z00_1414);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 188 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 189 */
					return
						(((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 189 */
					return BgL_vz00_16;
				}
		}
		BGL_FUNCTION_END;
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1460;

					BgL_cdrzd2194zd2_1460 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5754z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1460))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1464;

									BgL_cdrzd2198zd2_1464 = CDR(BgL_cdrzd2194zd2_1460);
									if (PAIRP(BgL_cdrzd2198zd2_1464))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1464)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1460),
														CAR(BgL_cdrzd2198zd2_1464));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
		BGL_FUNCTION_END;
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1480;

				BgL_stkz00_1480 =
					make_vector(((long) 8192), BGl_string5756z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1480, ((long) 0), BINT(((long) 2)));
				return BgL_stkz00_1480;
			}
		}
		BGL_FUNCTION_END;
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1481;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_18476;

					BgL_tmpz00_18476 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1481 = BGL_ENV_EVSTATE(BgL_tmpz00_18476);
				}
				if (VECTORP(BgL_sz00_1481))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1481;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1483;

						BgL_statez00_1483 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_18482;

							BgL_tmpz00_18482 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_18482, BgL_statez00_1483);
						}
						return BgL_statez00_1483;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13471)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
		BGL_FUNCTION_END;
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
		BGL_FUNCTION_END;
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13472,
		obj_t BgL_ez00_13473)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_18487;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13473,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_18487 = ((BgL_ev_exprz00_bglt) BgL_ez00_13473);
					}
				else
					{
						obj_t BgL_auxz00_18491;

						BgL_auxz00_18491 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5757z00zz__evaluate_compz00, BINT(((long) 7006)),
							BGl_string5758z00zz__evaluate_compz00,
							BGl_string5759z00zz__evaluate_compz00, BgL_ez00_13473);
						FAILURE(BgL_auxz00_18491, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_18487);
			}
		}
		BGL_FUNCTION_END;
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 332 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 335 */
					obj_t BgL_gz00_1539;

					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_arg1636z00_1540;
						obj_t BgL_arg1637z00_1541;

						BgL_arg1636z00_1540 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
						BgL_arg1637z00_1541 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
						BgL_gz00_1539 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg1636z00_1540, BgL_arg1637z00_1541);
					}
					if (CBOOL(BgL_gz00_1539))
						{	/* Eval/evaluate_comp.scm 336 */
							return VECTOR_REF(((obj_t) BgL_gz00_1539), ((long) 2));
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 333 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 616 */
			{
				obj_t BgL_lz00_1561;
				obj_t BgL_bsz00_1562;
				long BgL_spz00_1563;

				BgL_lz00_1561 = BgL_argsz00_83;
				BgL_bsz00_1562 = BgL_boxesz00_84;
				BgL_spz00_1563 = BgL_spz00_85;
			BgL_zc3anonymousza31652ze3z83_1564:
				if (NULLP(BgL_lz00_1561))
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1562))
							{	/* Eval/evaluate_comp.scm 619 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 622 */
								obj_t BgL_arg1656z00_1567;

								{	/* Eval/evaluate_comp.scm 622 */
									long BgL_arg1657z00_1568;
									long BgL_arg1658z00_1569;

									BgL_arg1657z00_1568 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1658z00_1569 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 621 */
										obj_t BgL_list1659z00_1570;

										{	/* Eval/evaluate_comp.scm 621 */
											obj_t BgL_arg1660z00_1571;

											BgL_arg1660z00_1571 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1658z00_1569), BNIL);
											BgL_list1659z00_1570 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1657z00_1568),
												BgL_arg1660z00_1571);
										}
										BgL_arg1656z00_1567 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5760z00zz__evaluate_compz00,
											BgL_list1659z00_1570);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5761z00zz__evaluate_compz00, BgL_arg1656z00_1567);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1562))
							{	/* Eval/evaluate_comp.scm 626 */
								obj_t BgL_arg1662z00_1573;

								{	/* Eval/evaluate_comp.scm 626 */
									long BgL_arg1663z00_1574;
									long BgL_arg1664z00_1575;

									BgL_arg1663z00_1574 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1664z00_1575 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 625 */
										obj_t BgL_list1665z00_1576;

										{	/* Eval/evaluate_comp.scm 625 */
											obj_t BgL_arg1666z00_1577;

											BgL_arg1666z00_1577 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1664z00_1575), BNIL);
											BgL_list1665z00_1576 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1663z00_1574),
												BgL_arg1666z00_1577);
										}
										BgL_arg1662z00_1573 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5760z00zz__evaluate_compz00,
											BgL_list1665z00_1576);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5761z00zz__evaluate_compz00, BgL_arg1662z00_1573);
							}
						else
							{	/* Eval/evaluate_comp.scm 623 */
								{	/* Eval/evaluate_comp.scm 629 */
									obj_t BgL_arg1667z00_1578;

									{	/* Eval/evaluate_comp.scm 629 */
										obj_t BgL_vz00_1579;

										{	/* Eval/evaluate_comp.scm 629 */
											obj_t BgL_fun1669z00_1581;

											BgL_fun1669z00_1581 = CAR(((obj_t) BgL_lz00_1561));
											BgL_vz00_1579 =
												PROCEDURE_ENTRY(BgL_fun1669z00_1581)
												(BgL_fun1669z00_1581, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1562))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6582;

												BgL_newz00_6582 =
													create_struct(BGl_symbol5762z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_18542;

													BgL_tmpz00_18542 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6582, BgL_tmpz00_18542,
														BgL_vz00_1579);
												}
												BgL_arg1667z00_1578 = BgL_newz00_6582;
											}
										else
											{	/* Eval/evaluate_comp.scm 630 */
												BgL_arg1667z00_1578 = BgL_vz00_1579;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1563, BgL_arg1667z00_1578);
								}
								{	/* Eval/evaluate_comp.scm 633 */
									obj_t BgL_arg1670z00_1582;
									obj_t BgL_arg1671z00_1583;
									long BgL_arg1673z00_1584;

									BgL_arg1670z00_1582 = CDR(((obj_t) BgL_lz00_1561));
									BgL_arg1671z00_1583 = CDR(((obj_t) BgL_bsz00_1562));
									BgL_arg1673z00_1584 = (BgL_spz00_1563 + ((long) 1));
									{
										long BgL_spz00_18554;
										obj_t BgL_bsz00_18553;
										obj_t BgL_lz00_18552;

										BgL_lz00_18552 = BgL_arg1670z00_1582;
										BgL_bsz00_18553 = BgL_arg1671z00_1583;
										BgL_spz00_18554 = BgL_arg1673z00_1584;
										BgL_spz00_1563 = BgL_spz00_18554;
										BgL_bsz00_1562 = BgL_bsz00_18553;
										BgL_lz00_1561 = BgL_lz00_18552;
										goto BgL_zc3anonymousza31652ze3z83_1564;
									}
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 638 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 639 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 639 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 642 */
							obj_t BgL_arg1678z00_1590;
							obj_t BgL_arg1679z00_1591;

							BgL_arg1678z00_1590 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1679z00_1591 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_18568;
								obj_t BgL_l1z00_18567;

								BgL_l1z00_18567 = BgL_arg1678z00_1590;
								BgL_l2z00_18568 = BgL_arg1679z00_1591;
								BgL_l2z00_89 = BgL_l2z00_18568;
								BgL_l1z00_88 = BgL_l1z00_18567;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 640 */
							return
								BGl_errorz00zz__errorz00(BGl_string5752z00zz__evaluate_compz00,
								BGl_symbol5764z00zz__evaluate_compz00,
								BGl_symbol5766z00zz__evaluate_compz00);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 662 */
			{	/* Eval/evaluate_comp.scm 663 */
				obj_t BgL_savedzd2bpzd2_1602;

				BgL_savedzd2bpzd2_1602 = VECTOR_REF(((obj_t) BgL_sz00_94), ((long) 0));
				VECTOR_SET(((obj_t) BgL_sz00_94), ((long) 0), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1604;

					BgL_fz00_1604 = BgL_fz00_93;
				BgL_zc3anonymousza31689ze3z83_1605:
					{	/* Eval/evaluate_comp.scm 666 */
						obj_t BgL_rz00_1606;

						BgL_rz00_1606 =
							PROCEDURE_ENTRY(BgL_fz00_1604) (BgL_fz00_1604, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 667 */
							bool_t BgL_testz00_18578;

							if (PROCEDUREP(BgL_rz00_1606))
								{	/* Eval/evaluate_comp.scm 667 */
									obj_t BgL_arg1693z00_1611;

									BgL_arg1693z00_1611 = PROCEDURE_ATTR(BgL_rz00_1606);
									if (STRUCTP(BgL_arg1693z00_1611))
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18578 =
												(STRUCT_KEY(BgL_arg1693z00_1611) ==
												BGl_symbol5748z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18578 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									BgL_testz00_18578 = ((bool_t) 0);
								}
							if (BgL_testz00_18578)
								{
									obj_t BgL_fz00_18586;

									BgL_fz00_18586 = BgL_rz00_1606;
									BgL_fz00_1604 = BgL_fz00_18586;
									goto BgL_zc3anonymousza31689ze3z83_1605;
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									VECTOR_SET(
										((obj_t) BgL_sz00_94), ((long) 0), BgL_savedzd2bpzd2_1602);
									return BgL_rz00_1606;
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 681 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 683 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 685 */
					obj_t BgL_arg1704z00_1624;
					obj_t BgL_arg1705z00_1625;

					{	/* Eval/evaluate_comp.scm 685 */
						obj_t BgL_arg1706z00_1626;

						BgL_arg1706z00_1626 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1704z00_1624 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1706z00_1626), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 686 */
						obj_t BgL_arg1707z00_1627;
						obj_t BgL_arg1708z00_1628;

						BgL_arg1707z00_1627 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 686 */
							obj_t BgL_arg1709z00_1629;

							BgL_arg1709z00_1629 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1708z00_1628 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1709z00_1629);
						}
						BgL_arg1705z00_1625 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1707z00_1627,
							BgL_arg1708z00_1628);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1704z00_1624, BgL_arg1705z00_1625);
				}
		}
		BGL_FUNCTION_END;
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15444,
		obj_t BgL_lz00_1631, long BgL_iz00_1632)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 689 */
			if (NULLP(BgL_lz00_1631))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 690 */
					if ((BgL_iz00_1632 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 691 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1631,
								BgL_stkz00_15444);
						}
					else
						{	/* Eval/evaluate_comp.scm 692 */
							obj_t BgL_arg1713z00_1636;
							obj_t BgL_arg1714z00_1637;

							{	/* Eval/evaluate_comp.scm 692 */
								obj_t BgL_arg1715z00_1638;

								BgL_arg1715z00_1638 = CAR(((obj_t) BgL_lz00_1631));
								BgL_arg1713z00_1636 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1715z00_1638),
									BgL_stkz00_15444);
							}
							{	/* Eval/evaluate_comp.scm 693 */
								obj_t BgL_arg1716z00_1639;
								long BgL_arg1717z00_1640;

								BgL_arg1716z00_1639 = CDR(((obj_t) BgL_lz00_1631));
								BgL_arg1717z00_1640 = (BgL_iz00_1632 - ((long) 1));
								BgL_arg1714z00_1637 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15444,
									BgL_arg1716z00_1639, BgL_arg1717z00_1640);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1713z00_1636, BgL_arg1714z00_1637);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 695 */
			{	/* Eval/evaluate_comp.scm 697 */
				obj_t BgL_argsz00_1642;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 697 */
						BgL_argsz00_1642 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 697 */
						obj_t BgL_head1339z00_1647;

						{	/* Eval/evaluate_comp.scm 697 */
							obj_t BgL_res4350z00_6649;

							BgL_res4350z00_6649 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							BgL_head1339z00_1647 = BgL_res4350z00_6649;
						}
						{
							obj_t BgL_l1337z00_6673;
							obj_t BgL_tail1340z00_6674;

							BgL_l1337z00_6673 = BgL_argsz00_124;
							BgL_tail1340z00_6674 = BgL_head1339z00_1647;
						BgL_zc3anonymousza31720ze3z83_6672:
							if (NULLP(BgL_l1337z00_6673))
								{	/* Eval/evaluate_comp.scm 697 */
									BgL_argsz00_1642 = CDR(BgL_head1339z00_1647);
								}
							else
								{	/* Eval/evaluate_comp.scm 697 */
									obj_t BgL_newtail1341z00_6681;

									{	/* Eval/evaluate_comp.scm 697 */
										obj_t BgL_arg1724z00_6682;

										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_az00_6683;

											BgL_az00_6683 = CAR(((obj_t) BgL_l1337z00_6673));
											BgL_arg1724z00_6682 =
												PROCEDURE_ENTRY(BgL_az00_6683) (BgL_az00_6683,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_res4356z00_6688;

											BgL_res4356z00_6688 =
												MAKE_YOUNG_PAIR(BgL_arg1724z00_6682, BNIL);
											BgL_newtail1341z00_6681 = BgL_res4356z00_6688;
										}
									}
									SET_CDR(BgL_tail1340z00_6674, BgL_newtail1341z00_6681);
									{	/* Eval/evaluate_comp.scm 697 */
										obj_t BgL_arg1722z00_6684;

										BgL_arg1722z00_6684 = CDR(((obj_t) BgL_l1337z00_6673));
										{
											obj_t BgL_tail1340z00_18632;
											obj_t BgL_l1337z00_18631;

											BgL_l1337z00_18631 = BgL_arg1722z00_6684;
											BgL_tail1340z00_18632 = BgL_newtail1341z00_6681;
											BgL_tail1340z00_6674 = BgL_tail1340z00_18632;
											BgL_l1337z00_6673 = BgL_l1337z00_18631;
											goto BgL_zc3anonymousza31720ze3z83_6672;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 698 */
					long BgL_arg1718z00_1643;

					BgL_arg1718z00_1643 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(
						((obj_t) BgL_sz00_122), ((long) 0), BINT(BgL_arg1718z00_1643));
				}
				{	/* Eval/evaluate_comp.scm 699 */
					obj_t BgL_za2za2resza2za2z00_1644;

					BgL_za2za2resza2za2z00_1644 = apply(BgL_fz00_123, BgL_argsz00_1642);
					VECTOR_SET(((obj_t) BgL_sz00_122), ((long) 0), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1644;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 708 */
			{	/* Eval/evaluate_comp.scm 709 */
				long BgL_g1147z00_1668;

				BgL_g1147z00_1668 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1670;
					obj_t BgL_spz00_1671;
					long BgL_nz00_1672;

					BgL_lz00_1670 = BgL_argsz00_132;
					BgL_spz00_1671 = BgL_spz00_133;
					BgL_nz00_1672 = BgL_g1147z00_1668;
				BgL_zc3anonymousza31731ze3z83_1673:
					if ((BgL_nz00_1672 == ((long) 0)))
						{
							obj_t BgL_lz00_6775;
							obj_t BgL_rz00_6776;

							BgL_lz00_6775 = BgL_lz00_1670;
							BgL_rz00_6776 = BNIL;
						BgL_rec2z00_6774:
							if (NULLP(BgL_lz00_6775))
								{	/* Eval/evaluate_comp.scm 713 */
									obj_t BgL_arg1735z00_6784;

									BgL_arg1735z00_6784 = bgl_reverse_bang(BgL_rz00_6776);
									{	/* Eval/evaluate_comp.scm 713 */
										long BgL_kz00_6791;

										BgL_kz00_6791 = (long) CINT(BgL_spz00_1671);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6791,
											BgL_arg1735z00_6784);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 714 */
									obj_t BgL_arg1736z00_6785;
									obj_t BgL_arg1738z00_6786;

									BgL_arg1736z00_6785 = CDR(((obj_t) BgL_lz00_6775));
									{	/* Eval/evaluate_comp.scm 714 */
										obj_t BgL_arg1739z00_6787;

										{	/* Eval/evaluate_comp.scm 714 */
											obj_t BgL_fun1740z00_6788;

											BgL_fun1740z00_6788 = CAR(((obj_t) BgL_lz00_6775));
											BgL_arg1739z00_6787 =
												PROCEDURE_ENTRY(BgL_fun1740z00_6788)
												(BgL_fun1740z00_6788, BgL_sz00_131, BEOA);
										}
										BgL_arg1738z00_6786 =
											MAKE_YOUNG_PAIR(BgL_arg1739z00_6787, BgL_rz00_6776);
									}
									{
										obj_t BgL_rz00_18663;
										obj_t BgL_lz00_18662;

										BgL_lz00_18662 = BgL_arg1736z00_6785;
										BgL_rz00_18663 = BgL_arg1738z00_6786;
										BgL_rz00_6776 = BgL_rz00_18663;
										BgL_lz00_6775 = BgL_lz00_18662;
										goto BgL_rec2z00_6774;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 710 */
							{	/* Eval/evaluate_comp.scm 715 */
								obj_t BgL_arg1741z00_1687;

								{	/* Eval/evaluate_comp.scm 715 */
									obj_t BgL_fun1743z00_1688;

									BgL_fun1743z00_1688 = CAR(((obj_t) BgL_lz00_1670));
									BgL_arg1741z00_1687 =
										PROCEDURE_ENTRY(BgL_fun1743z00_1688) (BgL_fun1743z00_1688,
										BgL_sz00_131, BEOA);
								}
								{	/* Eval/evaluate_comp.scm 715 */
									long BgL_kz00_6796;

									BgL_kz00_6796 = (long) CINT(BgL_spz00_1671);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6796, BgL_arg1741z00_1687);
							}}
							{	/* Eval/evaluate_comp.scm 716 */
								obj_t BgL_arg1744z00_1689;
								long BgL_arg1745z00_1690;
								long BgL_arg1746z00_1691;

								BgL_arg1744z00_1689 = CDR(((obj_t) BgL_lz00_1670));
								BgL_arg1745z00_1690 =
									((long) CINT(BgL_spz00_1671) + ((long) 1));
								BgL_arg1746z00_1691 = (BgL_nz00_1672 - ((long) 1));
								{
									long BgL_nz00_18681;
									obj_t BgL_spz00_18679;
									obj_t BgL_lz00_18678;

									BgL_lz00_18678 = BgL_arg1744z00_1689;
									BgL_spz00_18679 = BINT(BgL_arg1745z00_1690);
									BgL_nz00_18681 = BgL_arg1746z00_1691;
									BgL_nz00_1672 = BgL_nz00_18681;
									BgL_spz00_1671 = BgL_spz00_18679;
									BgL_lz00_1670 = BgL_lz00_18678;
									goto BgL_zc3anonymousza31731ze3z83_1673;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 759 */
			{
				obj_t BgL_lz00_1694;
				obj_t BgL_stkz00_1695;

				BgL_lz00_1694 = BgL_argsz00_134;
				BgL_stkz00_1695 = BgL_stkz00_135;
			BgL_zc3anonymousza31747ze3z83_1696:
				{	/* Eval/evaluate_comp.scm 763 */
					bool_t BgL_testz00_18682;

					if (NULLP(BgL_lz00_1694))
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18682 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18682 = NULLP(BgL_stkz00_1695);
						}
					if (BgL_testz00_18682)
						{	/* Eval/evaluate_comp.scm 763 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 765 */
							bool_t BgL_testz00_18686;

							{	/* Eval/evaluate_comp.scm 765 */
								obj_t BgL_g1344z00_1713;

								BgL_g1344z00_1713 = CDR(((obj_t) BgL_lz00_1694));
								{
									obj_t BgL_l1342z00_1715;

									{	/* Eval/evaluate_comp.scm 765 */
										obj_t BgL_tmpz00_18689;

										BgL_l1342z00_1715 = BgL_g1344z00_1713;
									BgL_zc3anonymousza31758ze3z83_1716:
										if (NULLP(BgL_l1342z00_1715))
											{	/* Eval/evaluate_comp.scm 765 */
												BgL_tmpz00_18689 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 765 */
												obj_t BgL__ortest_1345z00_1718;

												{	/* Eval/evaluate_comp.scm 765 */
													obj_t BgL_ez00_1720;

													BgL_ez00_1720 = CAR(((obj_t) BgL_l1342z00_1715));
													{	/* Eval/evaluate_comp.scm 765 */
														obj_t BgL_arg1763z00_1721;
														obj_t BgL_arg1765z00_1722;

														BgL_arg1763z00_1721 =
															CAR(((obj_t) BgL_stkz00_1695));
														BgL_arg1765z00_1722 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1720), BNIL);
														BgL__ortest_1345z00_1718 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1763z00_1721, BgL_arg1765z00_1722);
													}
												}
												if (CBOOL(BgL__ortest_1345z00_1718))
													{	/* Eval/evaluate_comp.scm 765 */
														BgL_tmpz00_18689 = BgL__ortest_1345z00_1718;
													}
												else
													{	/* Eval/evaluate_comp.scm 765 */
														obj_t BgL_arg1760z00_1719;

														BgL_arg1760z00_1719 =
															CDR(((obj_t) BgL_l1342z00_1715));
														{
															obj_t BgL_l1342z00_18703;

															BgL_l1342z00_18703 = BgL_arg1760z00_1719;
															BgL_l1342z00_1715 = BgL_l1342z00_18703;
															goto BgL_zc3anonymousza31758ze3z83_1716;
														}
													}
											}
										BgL_testz00_18686 = CBOOL(BgL_tmpz00_18689);
									}
								}
							}
							if (BgL_testz00_18686)
								{	/* Eval/evaluate_comp.scm 765 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 767 */
									obj_t BgL_arg1756z00_1711;
									obj_t BgL_arg1757z00_1712;

									BgL_arg1756z00_1711 = CDR(((obj_t) BgL_lz00_1694));
									BgL_arg1757z00_1712 = CDR(((obj_t) BgL_stkz00_1695));
									{
										obj_t BgL_stkz00_18710;
										obj_t BgL_lz00_18709;

										BgL_lz00_18709 = BgL_arg1756z00_1711;
										BgL_stkz00_18710 = BgL_arg1757z00_1712;
										BgL_stkz00_1695 = BgL_stkz00_18710;
										BgL_lz00_1694 = BgL_lz00_18709;
										goto BgL_zc3anonymousza31747ze3z83_1696;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 771 */
				long BgL_siza7eza7_1727;
				long BgL_nbargsz00_1728;
				obj_t BgL_fz00_1729;
				obj_t BgL_symbzd2funzd2_1730;

				BgL_siza7eza7_1727 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1728 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1729 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1730 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 773 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18724;

								{	/* Eval/evaluate_comp.scm 780 */
									int BgL_arg1820z00_1809;

									BgL_arg1820z00_1809 = bgl_debug();
									BgL_testz00_18724 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1820z00_1809),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18724)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1736;

										BgL_argsz00_1736 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31771ze3z83_13474;

											BgL_zc3anonymousza31771ze3z83_13474 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 0)), BgL_fz00_1729);
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 2)), BgL_symbzd2funzd2_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 4)), BgL_argsz00_1736);
											PROCEDURE_SET(BgL_zc3anonymousza31771ze3z83_13474,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1727));
											return BgL_zc3anonymousza31771ze3z83_13474;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1774;

										BgL_argsz00_1774 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31798ze3z83_13475;

											BgL_zc3anonymousza31798ze3z83_13475 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31798ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 0)), BgL_fz00_1729);
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 2)), BgL_symbzd2funzd2_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 4)), BgL_argsz00_1774);
											PROCEDURE_SET(BgL_zc3anonymousza31798ze3z83_13475,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1727));
											return BgL_zc3anonymousza31798ze3z83_13475;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_18769;

								{	/* Eval/evaluate_comp.scm 788 */
									int BgL_arg1867z00_1879;

									BgL_arg1867z00_1879 = bgl_debug();
									BgL_testz00_18769 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1867z00_1879),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18769)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1812;

										BgL_argsz00_1812 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1727);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31825ze3z83_13476;

											BgL_zc3anonymousza31825ze3z83_13476 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31825ze3z83_13476,
												(int) (((long) 0)), BgL_fz00_1729);
											PROCEDURE_SET(BgL_zc3anonymousza31825ze3z83_13476,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31825ze3z83_13476,
												(int) (((long) 2)), BgL_symbzd2funzd2_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31825ze3z83_13476,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
											PROCEDURE_SET(BgL_zc3anonymousza31825ze3z83_13476,
												(int) (((long) 4)), BgL_argsz00_1812);
											return BgL_zc3anonymousza31825ze3z83_13476;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1847;

										BgL_argsz00_1847 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1727);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31849ze3z83_13477;

											BgL_zc3anonymousza31849ze3z83_13477 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31849ze3z83_13477,
												(int) (((long) 0)), BgL_fz00_1729);
											PROCEDURE_SET(BgL_zc3anonymousza31849ze3z83_13477,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31849ze3z83_13477,
												(int) (((long) 2)), BgL_symbzd2funzd2_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31849ze3z83_13477,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
											PROCEDURE_SET(BgL_zc3anonymousza31849ze3z83_13477,
												(int) (((long) 4)), BgL_argsz00_1847);
											return BgL_zc3anonymousza31849ze3z83_13477;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 774 */
						bool_t BgL_testz00_18808;

						{	/* Eval/evaluate_comp.scm 774 */
							int BgL_arg1909z00_1950;

							BgL_arg1909z00_1950 = bgl_debug();
							BgL_testz00_18808 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1909z00_1950),
								BINT(((long) 0)));
						}
						if (BgL_testz00_18808)
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1883;

								BgL_argsz00_1883 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31871ze3z83_13478;

									BgL_zc3anonymousza31871ze3z83_13478 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31871ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 0)), BgL_fz00_1729);
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 2)), BgL_symbzd2funzd2_1730);
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 4)), BgL_argsz00_1883);
									PROCEDURE_SET(BgL_zc3anonymousza31871ze3z83_13478,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1727));
									return BgL_zc3anonymousza31871ze3z83_13478;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1918;

								BgL_argsz00_1918 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31891ze3z83_13479;

									BgL_zc3anonymousza31891ze3z83_13479 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31891ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 0)), BgL_fz00_1729);
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 2)), BgL_symbzd2funzd2_1730);
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1728));
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 4)), BgL_argsz00_1918);
									PROCEDURE_SET(BgL_zc3anonymousza31891ze3z83_13479,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1727));
									return BgL_zc3anonymousza31891ze3z83_13479;
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1771> */
	obj_t BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13480, obj_t BgL_sz00_13487)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13481;
				BgL_ev_appz00_bglt BgL_i1155z00_13482;
				obj_t BgL_symbzd2funzd2_13483;
				long BgL_nbargsz00_13484;
				obj_t BgL_argsz00_13485;
				long BgL_siza7eza7_13486;

				BgL_fz00_13481 = PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 0)));
				BgL_i1155z00_13482 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 1))));
				BgL_symbzd2funzd2_13483 =
					PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 2)));
				BgL_nbargsz00_13484 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 3))));
				BgL_argsz00_13485 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 4))));
				BgL_siza7eza7_13486 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13480, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15465;

					BgL_bpz00_15465 = VECTOR_REF(((obj_t) BgL_sz00_13487), ((long) 0));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15466;

						BgL_fz00_15466 =
							PROCEDURE_ENTRY(BgL_fz00_13481) (BgL_fz00_13481, BgL_sz00_13487,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15466))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13482))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15466);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15467;

							{	/* Eval/evaluate_comp.scm 780 */
								obj_t BgL_tmpz00_18879;

								BgL_tmpz00_18879 = ((obj_t) BgL_fz00_15466);
								BgL_ufz00_15467 = PROCEDURE_ATTR(BgL_tmpz00_18879);
							}
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18882;

								if (STRUCTP(BgL_ufz00_15467))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18882 =
											(STRUCT_KEY(BgL_ufz00_15467) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18882 = ((bool_t) 0);
									}
								if (BgL_testz00_18882)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15468;
										obj_t BgL_runz00_15469;
										obj_t BgL_sfz00_15470;

										BgL_arityz00_15468 =
											STRUCT_REF(BgL_ufz00_15467, (int) (((long) 0)));
										BgL_runz00_15469 =
											STRUCT_REF(BgL_ufz00_15467, (int) (((long) 1)));
										BgL_sfz00_15470 =
											STRUCT_REF(BgL_ufz00_15467, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15471;

											BgL_spz00_15471 =
												((long) CINT(BgL_bpz00_15465) + BgL_siza7eza7_13486);
											if (
												((long) CINT(BgL_arityz00_15468) ==
													BgL_nbargsz00_13484))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15473;
														long BgL_spz00_15474;

														BgL_lz00_15473 = BgL_argsz00_13485;
														BgL_spz00_15474 = BgL_spz00_15471;
													BgL_recz00_15472:
														if (NULLP(BgL_lz00_15473))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15475;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15476;

																		BgL_fun1728z00_15476 =
																			CAR(((obj_t) BgL_lz00_15473));
																		BgL_arg1727z00_15475 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15476)
																			(BgL_fun1728z00_15476, BgL_sz00_13487,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13487), BgL_spz00_15474,
																		BgL_arg1727z00_15475);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15477;
																	long BgL_arg1730z00_15478;

																	BgL_arg1729z00_15477 =
																		CDR(((obj_t) BgL_lz00_15473));
																	BgL_arg1730z00_15478 =
																		(BgL_spz00_15474 + ((long) 1));
																	{
																		long BgL_spz00_18912;
																		obj_t BgL_lz00_18911;

																		BgL_lz00_18911 = BgL_arg1729z00_15477;
																		BgL_spz00_18912 = BgL_arg1730z00_15478;
																		BgL_spz00_15474 = BgL_spz00_18912;
																		BgL_lz00_15473 = BgL_lz00_18911;
																		goto BgL_recz00_15472;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1777z00_15479;

														BgL_arg1777z00_15479 =
															(BgL_spz00_15471 + BgL_nbargsz00_13484);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13487, (long) CINT(BgL_bpz00_15465),
															BgL_sz00_13487, BINT(BgL_spz00_15471),
															BINT(BgL_arg1777z00_15479));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_18918;

													if (((long) CINT(BgL_arityz00_15468) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18918 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18918 =
																(
																(long) CINT(BgL_arityz00_15468) <
																(((long) -1) - BgL_nbargsz00_13484));
														}
													if (BgL_testz00_18918)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1155z00_13482))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15467, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13484),
																CINT(BgL_arityz00_15468));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15468, BgL_sz00_13487,
																BgL_argsz00_13485, BINT(BgL_spz00_15471));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1783z00_15480;

																BgL_arg1783z00_15480 =
																	(BgL_spz00_15471 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15468)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13487, (long) CINT(BgL_bpz00_15465),
																	BgL_sz00_13487, BINT(BgL_spz00_15471),
																	BINT(BgL_arg1783z00_15480));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15481;

												BgL_z12denvz12_15481 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_tmpz00_18941;

													BgL_tmpz00_18941 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1155z00_13482))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15481,
														BgL_tmpz00_18941);
												}
												if (
													(((long) CINT(BgL_bpz00_15465) +
															(long) CINT(BgL_sfz00_15470)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13487))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15469;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15482;

														BgL_nsz00_15482 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1789z00_15483;

															BgL_arg1789z00_15483 =
																(
																(long) CINT(BgL_bpz00_15465) +
																BgL_nbargsz00_13484);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15482, ((long) 2), BgL_sz00_13487,
																BgL_bpz00_15465, BINT(BgL_arg1789z00_15483));
														}
														VECTOR_SET(BgL_nsz00_15482, ((long) 1),
															BgL_sz00_13487);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15481,
															BgL_nsz00_15482);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15484;

															BgL_ez00_15484 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15484, BgL_sz00_13487);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15485;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15486;

																	BgL_savedzd2bpzd2_15486 =
																		VECTOR_REF(BgL_nsz00_15482, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15482, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15488;

																		BgL_fz00_15488 = BgL_runz00_15469;
																	BgL_recz00_15487:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15489;

																			BgL_rz00_15489 =
																				PROCEDURE_ENTRY(BgL_fz00_15488)
																				(BgL_fz00_15488, BgL_nsz00_15482, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_18967;

																				if (PROCEDUREP(BgL_rz00_15489))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15490;

																						BgL_arg1693z00_15490 =
																							PROCEDURE_ATTR(BgL_rz00_15489);
																						if (STRUCTP(BgL_arg1693z00_15490))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18967 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15490) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18967 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_18967 = ((bool_t) 0);
																					}
																				if (BgL_testz00_18967)
																					{
																						obj_t BgL_fz00_18975;

																						BgL_fz00_18975 = BgL_rz00_15489;
																						BgL_fz00_15488 = BgL_fz00_18975;
																						goto BgL_recz00_15487;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15482,
																							((long) 0),
																							BgL_savedzd2bpzd2_15486);
																						BgL_____rz00_15485 = BgL_rz00_15489;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15484);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15481,
																	BgL_sz00_13487);
																return BgL_____rz00_15485;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15466,
												(int) (BgL_nbargsz00_13484)))
											{	/* Eval/evaluate_comp.scm 780 */
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_auxz00_18984;
													obj_t BgL_tmpz00_18982;

													BgL_auxz00_18984 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1155z00_13482))->BgL_locz00);
													BgL_tmpz00_18982 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18982,
														BgL_auxz00_18984);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13487, BgL_fz00_15466, BgL_argsz00_13485,
													BgL_bpz00_15465, BINT(BgL_siza7eza7_13486));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13482))->
														BgL_locz00), BgL_symbzd2funzd2_13483,
													(int) (BgL_nbargsz00_13484),
													PROCEDURE_ARITY(BgL_fz00_15466));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1798> */
	obj_t BGl_z62zc3anonymousza31798ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13488, obj_t BgL_sz00_13495)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13489;
				BgL_ev_appz00_bglt BgL_i1155z00_13490;
				obj_t BgL_symbzd2funzd2_13491;
				long BgL_nbargsz00_13492;
				obj_t BgL_argsz00_13493;
				long BgL_siza7eza7_13494;

				BgL_fz00_13489 = PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 0)));
				BgL_i1155z00_13490 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 1))));
				BgL_symbzd2funzd2_13491 =
					PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 2)));
				BgL_nbargsz00_13492 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 3))));
				BgL_argsz00_13493 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 4))));
				BgL_siza7eza7_13494 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13488, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15491;

					BgL_bpz00_15491 = VECTOR_REF(((obj_t) BgL_sz00_13495), ((long) 0));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15492;

						BgL_fz00_15492 =
							PROCEDURE_ENTRY(BgL_fz00_13489) (BgL_fz00_13489, BgL_sz00_13495,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15492))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13490))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15492);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15493;

							{	/* Eval/evaluate_comp.scm 780 */
								obj_t BgL_tmpz00_19019;

								BgL_tmpz00_19019 = ((obj_t) BgL_fz00_15492);
								BgL_ufz00_15493 = PROCEDURE_ATTR(BgL_tmpz00_19019);
							}
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_19022;

								if (STRUCTP(BgL_ufz00_15493))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19022 =
											(STRUCT_KEY(BgL_ufz00_15493) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19022 = ((bool_t) 0);
									}
								if (BgL_testz00_19022)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15494;
										obj_t BgL_runz00_15495;
										obj_t BgL_sfz00_15496;

										BgL_arityz00_15494 =
											STRUCT_REF(BgL_ufz00_15493, (int) (((long) 0)));
										BgL_runz00_15495 =
											STRUCT_REF(BgL_ufz00_15493, (int) (((long) 1)));
										BgL_sfz00_15496 =
											STRUCT_REF(BgL_ufz00_15493, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15497;

											BgL_spz00_15497 =
												((long) CINT(BgL_bpz00_15491) + BgL_siza7eza7_13494);
											if (
												((long) CINT(BgL_arityz00_15494) ==
													BgL_nbargsz00_13492))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15499;
														long BgL_spz00_15500;

														BgL_lz00_15499 = BgL_argsz00_13493;
														BgL_spz00_15500 = BgL_spz00_15497;
													BgL_recz00_15498:
														if (NULLP(BgL_lz00_15499))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15501;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15502;

																		BgL_fun1728z00_15502 =
																			CAR(((obj_t) BgL_lz00_15499));
																		BgL_arg1727z00_15501 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15502)
																			(BgL_fun1728z00_15502, BgL_sz00_13495,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13495), BgL_spz00_15500,
																		BgL_arg1727z00_15501);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15503;
																	long BgL_arg1730z00_15504;

																	BgL_arg1729z00_15503 =
																		CDR(((obj_t) BgL_lz00_15499));
																	BgL_arg1730z00_15504 =
																		(BgL_spz00_15500 + ((long) 1));
																	{
																		long BgL_spz00_19052;
																		obj_t BgL_lz00_19051;

																		BgL_lz00_19051 = BgL_arg1729z00_15503;
																		BgL_spz00_19052 = BgL_arg1730z00_15504;
																		BgL_spz00_15500 = BgL_spz00_19052;
																		BgL_lz00_15499 = BgL_lz00_19051;
																		goto BgL_recz00_15498;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1803z00_15505;

														BgL_arg1803z00_15505 =
															(BgL_spz00_15497 + BgL_nbargsz00_13492);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13495, (long) CINT(BgL_bpz00_15491),
															BgL_sz00_13495, BINT(BgL_spz00_15497),
															BINT(BgL_arg1803z00_15505));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_19058;

													if (((long) CINT(BgL_arityz00_15494) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_19058 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_19058 =
																(
																(long) CINT(BgL_arityz00_15494) <
																(((long) -1) - BgL_nbargsz00_13492));
														}
													if (BgL_testz00_19058)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1155z00_13490))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15493, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13492),
																CINT(BgL_arityz00_15494));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15494, BgL_sz00_13495,
																BgL_argsz00_13493, BINT(BgL_spz00_15497));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1810z00_15506;

																BgL_arg1810z00_15506 =
																	(BgL_spz00_15497 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15494)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13495, (long) CINT(BgL_bpz00_15491),
																	BgL_sz00_13495, BINT(BgL_spz00_15497),
																	BINT(BgL_arg1810z00_15506));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15507;

												BgL_z12denvz12_15507 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15491) +
															(long) CINT(BgL_sfz00_15496)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13495))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15495;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15508;

														BgL_nsz00_15508 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1814z00_15509;

															BgL_arg1814z00_15509 =
																(
																(long) CINT(BgL_bpz00_15491) +
																BgL_nbargsz00_13492);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15508, ((long) 2), BgL_sz00_13495,
																BgL_bpz00_15491, BINT(BgL_arg1814z00_15509));
														}
														VECTOR_SET(BgL_nsz00_15508, ((long) 1),
															BgL_sz00_13495);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15507,
															BgL_nsz00_15508);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15510;

															BgL_ez00_15510 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15510, BgL_sz00_13495);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15511;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15512;

																	BgL_savedzd2bpzd2_15512 =
																		VECTOR_REF(BgL_nsz00_15508, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15508, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15514;

																		BgL_fz00_15514 = BgL_runz00_15495;
																	BgL_recz00_15513:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15515;

																			BgL_rz00_15515 =
																				PROCEDURE_ENTRY(BgL_fz00_15514)
																				(BgL_fz00_15514, BgL_nsz00_15508, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19104;

																				if (PROCEDUREP(BgL_rz00_15515))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15516;

																						BgL_arg1693z00_15516 =
																							PROCEDURE_ATTR(BgL_rz00_15515);
																						if (STRUCTP(BgL_arg1693z00_15516))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19104 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15516) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19104 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19104 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19104)
																					{
																						obj_t BgL_fz00_19112;

																						BgL_fz00_19112 = BgL_rz00_15515;
																						BgL_fz00_15514 = BgL_fz00_19112;
																						goto BgL_recz00_15513;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15508,
																							((long) 0),
																							BgL_savedzd2bpzd2_15512);
																						BgL_____rz00_15511 = BgL_rz00_15515;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15510);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15507,
																	BgL_sz00_13495);
																return BgL_____rz00_15511;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15492,
												(int) (BgL_nbargsz00_13492)))
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13495, BgL_fz00_15492, BgL_argsz00_13493,
													BgL_bpz00_15491, BINT(BgL_siza7eza7_13494));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13490))->
														BgL_locz00), BgL_symbzd2funzd2_13491,
													(int) (BgL_nbargsz00_13492),
													PROCEDURE_ARITY(BgL_fz00_15492));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1825> */
	obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13496, obj_t BgL_sz00_13502)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13497;
				BgL_ev_appz00_bglt BgL_i1155z00_13498;
				obj_t BgL_symbzd2funzd2_13499;
				long BgL_nbargsz00_13500;
				obj_t BgL_argsz00_13501;

				BgL_fz00_13497 = PROCEDURE_REF(BgL_envz00_13496, (int) (((long) 0)));
				BgL_i1155z00_13498 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13496, (int) (((long) 1))));
				BgL_symbzd2funzd2_13499 =
					PROCEDURE_REF(BgL_envz00_13496, (int) (((long) 2)));
				BgL_nbargsz00_13500 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13496, (int) (((long) 3))));
				BgL_argsz00_13501 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13496, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15517;

					BgL_bpz00_15517 = VECTOR_REF(((obj_t) BgL_sz00_13502), ((long) 0));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15518;

						BgL_fz00_15518 =
							PROCEDURE_ENTRY(BgL_fz00_13497) (BgL_fz00_13497, BgL_sz00_13502,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15518))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13498))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15518);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15519;

							{	/* Eval/evaluate_comp.scm 788 */
								obj_t BgL_tmpz00_19148;

								BgL_tmpz00_19148 = ((obj_t) BgL_fz00_15518);
								BgL_ufz00_15519 = PROCEDURE_ATTR(BgL_tmpz00_19148);
							}
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_19151;

								if (STRUCTP(BgL_ufz00_15519))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19151 =
											(STRUCT_KEY(BgL_ufz00_15519) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19151 = ((bool_t) 0);
									}
								if (BgL_testz00_19151)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15520;
										obj_t BgL_runz00_15521;
										obj_t BgL_sfz00_15522;

										BgL_arityz00_15520 =
											STRUCT_REF(BgL_ufz00_15519, (int) (((long) 0)));
										BgL_runz00_15521 =
											STRUCT_REF(BgL_ufz00_15519, (int) (((long) 1)));
										BgL_sfz00_15522 =
											STRUCT_REF(BgL_ufz00_15519, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15520) == BgL_nbargsz00_13500))
											{
												obj_t BgL_lz00_15524;
												obj_t BgL_spz00_15525;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_19165;

													BgL_lz00_15524 = BgL_argsz00_13501;
													BgL_spz00_15525 = BgL_bpz00_15517;
												BgL_recz00_15523:
													if (NULLP(BgL_lz00_15524))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_19165 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1727z00_15526;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1728z00_15527;

																	BgL_fun1728z00_15527 =
																		CAR(((obj_t) BgL_lz00_15524));
																	BgL_arg1727z00_15526 =
																		PROCEDURE_ENTRY(BgL_fun1728z00_15527)
																		(BgL_fun1728z00_15527, BgL_sz00_13502,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 705 */
																	long BgL_kz00_15528;

																	BgL_kz00_15528 = (long) CINT(BgL_spz00_15525);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13502), BgL_kz00_15528,
																		BgL_arg1727z00_15526);
															}}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1729z00_15529;
																long BgL_arg1730z00_15530;

																BgL_arg1729z00_15529 =
																	CDR(((obj_t) BgL_lz00_15524));
																BgL_arg1730z00_15530 =
																	((long) CINT(BgL_spz00_15525) + ((long) 1));
																{
																	obj_t BgL_spz00_19182;
																	obj_t BgL_lz00_19181;

																	BgL_lz00_19181 = BgL_arg1729z00_15529;
																	BgL_spz00_19182 = BINT(BgL_arg1730z00_15530);
																	BgL_spz00_15525 = BgL_spz00_19182;
																	BgL_lz00_15524 = BgL_lz00_19181;
																	goto BgL_recz00_15523;
																}
															}
														}
													BBOOL(BgL_tmpz00_19165);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_19185;

												if (((long) CINT(BgL_arityz00_15520) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19185 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19185 =
															(
															(long) CINT(BgL_arityz00_15520) <
															(((long) -1) - BgL_nbargsz00_13500));
													}
												if (BgL_testz00_19185)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1155z00_13498))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15519, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13500),
															CINT(BgL_arityz00_15520));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15520, BgL_sz00_13502,
															BgL_argsz00_13501, BgL_bpz00_15517);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15531;

											BgL_z12denvz12_15531 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 788 */
												obj_t BgL_tmpz00_19200;

												BgL_tmpz00_19200 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13498))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15531,
													BgL_tmpz00_19200);
											}
											if (
												(((long) CINT(BgL_bpz00_15517) +
														(long) CINT(BgL_sfz00_15522)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13502))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15521;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15532;

													BgL_nsz00_15532 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1842z00_15533;

														BgL_arg1842z00_15533 =
															(
															(long) CINT(BgL_bpz00_15517) +
															BgL_nbargsz00_13500);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15532, ((long) 2), BgL_sz00_13502,
															BgL_bpz00_15517, BINT(BgL_arg1842z00_15533));
													}
													VECTOR_SET(BgL_nsz00_15532, ((long) 1),
														BgL_sz00_13502);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15531,
														BgL_nsz00_15532);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15534;

														BgL_ez00_15534 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15534, BgL_sz00_13502);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15535;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15536;

																BgL_savedzd2bpzd2_15536 =
																	VECTOR_REF(BgL_nsz00_15532, ((long) 0));
																VECTOR_SET(BgL_nsz00_15532, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15538;

																	BgL_fz00_15538 = BgL_runz00_15521;
																BgL_recz00_15537:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15539;

																		BgL_rz00_15539 =
																			PROCEDURE_ENTRY(BgL_fz00_15538)
																			(BgL_fz00_15538, BgL_nsz00_15532, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19226;

																			if (PROCEDUREP(BgL_rz00_15539))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15540;

																					BgL_arg1693z00_15540 =
																						PROCEDURE_ATTR(BgL_rz00_15539);
																					if (STRUCTP(BgL_arg1693z00_15540))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19226 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15540) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19226 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19226 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19226)
																				{
																					obj_t BgL_fz00_19234;

																					BgL_fz00_19234 = BgL_rz00_15539;
																					BgL_fz00_15538 = BgL_fz00_19234;
																					goto BgL_recz00_15537;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15532,
																						((long) 0),
																						BgL_savedzd2bpzd2_15536);
																					BgL_____rz00_15535 = BgL_rz00_15539;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15534);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15531,
																BgL_sz00_13502);
															return BgL_____rz00_15535;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15518,
												(int) (BgL_nbargsz00_13500)))
											{	/* Eval/evaluate_comp.scm 788 */
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_auxz00_19243;
													obj_t BgL_tmpz00_19241;

													BgL_auxz00_19243 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1155z00_13498))->BgL_locz00);
													BgL_tmpz00_19241 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19241,
														BgL_auxz00_19243);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13502, BgL_fz00_15518, BgL_argsz00_13501,
													BgL_bpz00_15517, BINT(BgL_nbargsz00_13500));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13498))->
														BgL_locz00), BgL_symbzd2funzd2_13499,
													(int) (BgL_nbargsz00_13500),
													PROCEDURE_ARITY(BgL_fz00_15518));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1849> */
	obj_t BGl_z62zc3anonymousza31849ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13503, obj_t BgL_sz00_13509)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13504;
				BgL_ev_appz00_bglt BgL_i1155z00_13505;
				obj_t BgL_symbzd2funzd2_13506;
				long BgL_nbargsz00_13507;
				obj_t BgL_argsz00_13508;

				BgL_fz00_13504 = PROCEDURE_REF(BgL_envz00_13503, (int) (((long) 0)));
				BgL_i1155z00_13505 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13503, (int) (((long) 1))));
				BgL_symbzd2funzd2_13506 =
					PROCEDURE_REF(BgL_envz00_13503, (int) (((long) 2)));
				BgL_nbargsz00_13507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13503, (int) (((long) 3))));
				BgL_argsz00_13508 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13503, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15541;

					BgL_bpz00_15541 = VECTOR_REF(((obj_t) BgL_sz00_13509), ((long) 0));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15542;

						BgL_fz00_15542 =
							PROCEDURE_ENTRY(BgL_fz00_13504) (BgL_fz00_13504, BgL_sz00_13509,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15542))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13505))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15542);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15543;

							{	/* Eval/evaluate_comp.scm 788 */
								obj_t BgL_tmpz00_19275;

								BgL_tmpz00_19275 = ((obj_t) BgL_fz00_15542);
								BgL_ufz00_15543 = PROCEDURE_ATTR(BgL_tmpz00_19275);
							}
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_19278;

								if (STRUCTP(BgL_ufz00_15543))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19278 =
											(STRUCT_KEY(BgL_ufz00_15543) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19278 = ((bool_t) 0);
									}
								if (BgL_testz00_19278)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15544;
										obj_t BgL_runz00_15545;
										obj_t BgL_sfz00_15546;

										BgL_arityz00_15544 =
											STRUCT_REF(BgL_ufz00_15543, (int) (((long) 0)));
										BgL_runz00_15545 =
											STRUCT_REF(BgL_ufz00_15543, (int) (((long) 1)));
										BgL_sfz00_15546 =
											STRUCT_REF(BgL_ufz00_15543, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15544) == BgL_nbargsz00_13507))
											{
												obj_t BgL_lz00_15548;
												obj_t BgL_spz00_15549;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_19292;

													BgL_lz00_15548 = BgL_argsz00_13508;
													BgL_spz00_15549 = BgL_bpz00_15541;
												BgL_recz00_15547:
													if (NULLP(BgL_lz00_15548))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_19292 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1727z00_15550;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1728z00_15551;

																	BgL_fun1728z00_15551 =
																		CAR(((obj_t) BgL_lz00_15548));
																	BgL_arg1727z00_15550 =
																		PROCEDURE_ENTRY(BgL_fun1728z00_15551)
																		(BgL_fun1728z00_15551, BgL_sz00_13509,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 705 */
																	long BgL_kz00_15552;

																	BgL_kz00_15552 = (long) CINT(BgL_spz00_15549);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13509), BgL_kz00_15552,
																		BgL_arg1727z00_15550);
															}}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1729z00_15553;
																long BgL_arg1730z00_15554;

																BgL_arg1729z00_15553 =
																	CDR(((obj_t) BgL_lz00_15548));
																BgL_arg1730z00_15554 =
																	((long) CINT(BgL_spz00_15549) + ((long) 1));
																{
																	obj_t BgL_spz00_19309;
																	obj_t BgL_lz00_19308;

																	BgL_lz00_19308 = BgL_arg1729z00_15553;
																	BgL_spz00_19309 = BINT(BgL_arg1730z00_15554);
																	BgL_spz00_15549 = BgL_spz00_19309;
																	BgL_lz00_15548 = BgL_lz00_19308;
																	goto BgL_recz00_15547;
																}
															}
														}
													BBOOL(BgL_tmpz00_19292);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_19312;

												if (((long) CINT(BgL_arityz00_15544) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19312 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19312 =
															(
															(long) CINT(BgL_arityz00_15544) <
															(((long) -1) - BgL_nbargsz00_13507));
													}
												if (BgL_testz00_19312)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1155z00_13505))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15543, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13507),
															CINT(BgL_arityz00_15544));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15544, BgL_sz00_13509,
															BgL_argsz00_13508, BgL_bpz00_15541);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15555;

											BgL_z12denvz12_15555 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15541) +
														(long) CINT(BgL_sfz00_15546)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13509))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15545;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15556;

													BgL_nsz00_15556 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1862z00_15557;

														BgL_arg1862z00_15557 =
															(
															(long) CINT(BgL_bpz00_15541) +
															BgL_nbargsz00_13507);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15556, ((long) 2), BgL_sz00_13509,
															BgL_bpz00_15541, BINT(BgL_arg1862z00_15557));
													}
													VECTOR_SET(BgL_nsz00_15556, ((long) 1),
														BgL_sz00_13509);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15555,
														BgL_nsz00_15556);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15558;

														BgL_ez00_15558 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15558, BgL_sz00_13509);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15559;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15560;

																BgL_savedzd2bpzd2_15560 =
																	VECTOR_REF(BgL_nsz00_15556, ((long) 0));
																VECTOR_SET(BgL_nsz00_15556, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15562;

																	BgL_fz00_15562 = BgL_runz00_15545;
																BgL_recz00_15561:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15563;

																		BgL_rz00_15563 =
																			PROCEDURE_ENTRY(BgL_fz00_15562)
																			(BgL_fz00_15562, BgL_nsz00_15556, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19350;

																			if (PROCEDUREP(BgL_rz00_15563))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15564;

																					BgL_arg1693z00_15564 =
																						PROCEDURE_ATTR(BgL_rz00_15563);
																					if (STRUCTP(BgL_arg1693z00_15564))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19350 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15564) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19350 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19350 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19350)
																				{
																					obj_t BgL_fz00_19358;

																					BgL_fz00_19358 = BgL_rz00_15563;
																					BgL_fz00_15562 = BgL_fz00_19358;
																					goto BgL_recz00_15561;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15556,
																						((long) 0),
																						BgL_savedzd2bpzd2_15560);
																					BgL_____rz00_15559 = BgL_rz00_15563;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15558);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15555,
																BgL_sz00_13509);
															return BgL_____rz00_15559;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15542,
												(int) (BgL_nbargsz00_13507)))
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13509, BgL_fz00_15542, BgL_argsz00_13508,
													BgL_bpz00_15541, BINT(BgL_nbargsz00_13507));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13505))->
														BgL_locz00), BgL_symbzd2funzd2_13506,
													(int) (BgL_nbargsz00_13507),
													PROCEDURE_ARITY(BgL_fz00_15542));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1871> */
	obj_t BGl_z62zc3anonymousza31871ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13510, obj_t BgL_sz00_13517)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13511;
				BgL_ev_appz00_bglt BgL_i1155z00_13512;
				obj_t BgL_symbzd2funzd2_13513;
				long BgL_nbargsz00_13514;
				obj_t BgL_argsz00_13515;
				long BgL_siza7eza7_13516;

				BgL_fz00_13511 = PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 0)));
				BgL_i1155z00_13512 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 1))));
				BgL_symbzd2funzd2_13513 =
					PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 2)));
				BgL_nbargsz00_13514 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 3))));
				BgL_argsz00_13515 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 4))));
				BgL_siza7eza7_13516 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15565;

					BgL_bpz00_15565 = VECTOR_REF(((obj_t) BgL_sz00_13517), ((long) 0));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15566;

						BgL_fz00_15566 =
							PROCEDURE_ENTRY(BgL_fz00_13511) (BgL_fz00_13511, BgL_sz00_13517,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15566))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13512))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15566);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15567;

							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_tmpz00_19397;

								BgL_tmpz00_19397 = ((obj_t) BgL_fz00_15566);
								BgL_ufz00_15567 = PROCEDURE_ATTR(BgL_tmpz00_19397);
							}
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19400;

								if (STRUCTP(BgL_ufz00_15567))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19400 =
											(STRUCT_KEY(BgL_ufz00_15567) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19400 = ((bool_t) 0);
									}
								if (BgL_testz00_19400)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15568;
										obj_t BgL_runz00_15569;
										obj_t BgL_sfz00_15570;

										BgL_arityz00_15568 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 0)));
										BgL_runz00_15569 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 1)));
										BgL_sfz00_15570 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15571;

											BgL_spz00_15571 =
												((long) CINT(BgL_bpz00_15565) + BgL_siza7eza7_13516);
											if (
												((long) CINT(BgL_arityz00_15568) ==
													BgL_nbargsz00_13514))
												{
													obj_t BgL_lz00_15573;
													long BgL_spz00_15574;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19416;

														BgL_lz00_15573 = BgL_argsz00_13515;
														BgL_spz00_15574 = BgL_spz00_15571;
													BgL_recz00_15572:
														if (NULLP(BgL_lz00_15573))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19416 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15575;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15576;

																		BgL_fun1728z00_15576 =
																			CAR(((obj_t) BgL_lz00_15573));
																		BgL_arg1727z00_15575 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15576)
																			(BgL_fun1728z00_15576, BgL_sz00_13517,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13517), BgL_spz00_15574,
																		BgL_arg1727z00_15575);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15577;
																	long BgL_arg1730z00_15578;

																	BgL_arg1729z00_15577 =
																		CDR(((obj_t) BgL_lz00_15573));
																	BgL_arg1730z00_15578 =
																		(BgL_spz00_15574 + ((long) 1));
																	{
																		long BgL_spz00_19431;
																		obj_t BgL_lz00_19430;

																		BgL_lz00_19430 = BgL_arg1729z00_15577;
																		BgL_spz00_19431 = BgL_arg1730z00_15578;
																		BgL_spz00_15574 = BgL_spz00_19431;
																		BgL_lz00_15573 = BgL_lz00_19430;
																		goto BgL_recz00_15572;
																	}
																}
															}
														BBOOL(BgL_tmpz00_19416);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19433;

													if (((long) CINT(BgL_arityz00_15568) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19433 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19433 =
																(
																(long) CINT(BgL_arityz00_15568) <
																(((long) -1) - BgL_nbargsz00_13514));
														}
													if (BgL_testz00_19433)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1155z00_13512))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15567, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13514),
																CINT(BgL_arityz00_15568));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15568, BgL_sz00_13517,
																BgL_argsz00_13515, BINT(BgL_spz00_15571));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15579;

												BgL_z12denvz12_15579 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_tmpz00_19449;

													BgL_tmpz00_19449 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1155z00_13512))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15579,
														BgL_tmpz00_19449);
												}
												if (
													((BgL_spz00_15571 +
															(long) CINT(BgL_sfz00_15570)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13517))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15569, BgL_sz00_13517,
															BINT(BgL_spz00_15571));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15580;

														BgL_nsz00_15580 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1884z00_15581;

															BgL_arg1884z00_15581 =
																(BgL_spz00_15571 + BgL_nbargsz00_13514);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15580, ((long) 2), BgL_sz00_13517,
																BINT(BgL_spz00_15571),
																BINT(BgL_arg1884z00_15581));
														}
														VECTOR_SET(BgL_nsz00_15580, ((long) 1),
															BgL_sz00_13517);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15579,
															BgL_nsz00_15580);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15582;

															BgL_ez00_15582 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15582, BgL_sz00_13517);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15583;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15584;

																	BgL_savedzd2bpzd2_15584 =
																		VECTOR_REF(BgL_nsz00_15580, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15580, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15586;

																		BgL_fz00_15586 = BgL_runz00_15569;
																	BgL_recz00_15585:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15587;

																			BgL_rz00_15587 =
																				PROCEDURE_ENTRY(BgL_fz00_15586)
																				(BgL_fz00_15586, BgL_nsz00_15580, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19476;

																				if (PROCEDUREP(BgL_rz00_15587))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15588;

																						BgL_arg1693z00_15588 =
																							PROCEDURE_ATTR(BgL_rz00_15587);
																						if (STRUCTP(BgL_arg1693z00_15588))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19476 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15588) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19476 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19476 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19476)
																					{
																						obj_t BgL_fz00_19484;

																						BgL_fz00_19484 = BgL_rz00_15587;
																						BgL_fz00_15586 = BgL_fz00_19484;
																						goto BgL_recz00_15585;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15580,
																							((long) 0),
																							BgL_savedzd2bpzd2_15584);
																						BgL_____rz00_15583 = BgL_rz00_15587;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15582);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15579,
																	BgL_sz00_13517);
																return BgL_____rz00_15583;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15566,
												(int) (BgL_nbargsz00_13514)))
											{	/* Eval/evaluate_comp.scm 774 */
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_auxz00_19493;
													obj_t BgL_tmpz00_19491;

													BgL_auxz00_19493 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1155z00_13512))->BgL_locz00);
													BgL_tmpz00_19491 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19491,
														BgL_auxz00_19493);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13517, BgL_fz00_15566, BgL_argsz00_13515,
													BgL_bpz00_15565, BINT(BgL_siza7eza7_13516));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13512))->
														BgL_locz00), BgL_symbzd2funzd2_13513,
													(int) (BgL_nbargsz00_13514),
													PROCEDURE_ARITY(BgL_fz00_15566));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1891> */
	obj_t BGl_z62zc3anonymousza31891ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13518, obj_t BgL_sz00_13525)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13519;
				BgL_ev_appz00_bglt BgL_i1155z00_13520;
				obj_t BgL_symbzd2funzd2_13521;
				long BgL_nbargsz00_13522;
				obj_t BgL_argsz00_13523;
				long BgL_siza7eza7_13524;

				BgL_fz00_13519 = PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 0)));
				BgL_i1155z00_13520 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 1))));
				BgL_symbzd2funzd2_13521 =
					PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 2)));
				BgL_nbargsz00_13522 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 3))));
				BgL_argsz00_13523 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 4))));
				BgL_siza7eza7_13524 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15589;

					BgL_bpz00_15589 = VECTOR_REF(((obj_t) BgL_sz00_13525), ((long) 0));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15590;

						BgL_fz00_15590 =
							PROCEDURE_ENTRY(BgL_fz00_13519) (BgL_fz00_13519, BgL_sz00_13525,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15590))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13520))->
										BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15590);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15591;

							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_tmpz00_19528;

								BgL_tmpz00_19528 = ((obj_t) BgL_fz00_15590);
								BgL_ufz00_15591 = PROCEDURE_ATTR(BgL_tmpz00_19528);
							}
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19531;

								if (STRUCTP(BgL_ufz00_15591))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19531 =
											(STRUCT_KEY(BgL_ufz00_15591) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19531 = ((bool_t) 0);
									}
								if (BgL_testz00_19531)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15592;
										obj_t BgL_runz00_15593;
										obj_t BgL_sfz00_15594;

										BgL_arityz00_15592 =
											STRUCT_REF(BgL_ufz00_15591, (int) (((long) 0)));
										BgL_runz00_15593 =
											STRUCT_REF(BgL_ufz00_15591, (int) (((long) 1)));
										BgL_sfz00_15594 =
											STRUCT_REF(BgL_ufz00_15591, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15595;

											BgL_spz00_15595 =
												((long) CINT(BgL_bpz00_15589) + BgL_siza7eza7_13524);
											if (
												((long) CINT(BgL_arityz00_15592) ==
													BgL_nbargsz00_13522))
												{
													obj_t BgL_lz00_15597;
													long BgL_spz00_15598;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19547;

														BgL_lz00_15597 = BgL_argsz00_13523;
														BgL_spz00_15598 = BgL_spz00_15595;
													BgL_recz00_15596:
														if (NULLP(BgL_lz00_15597))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19547 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15599;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15600;

																		BgL_fun1728z00_15600 =
																			CAR(((obj_t) BgL_lz00_15597));
																		BgL_arg1727z00_15599 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15600)
																			(BgL_fun1728z00_15600, BgL_sz00_13525,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13525), BgL_spz00_15598,
																		BgL_arg1727z00_15599);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15601;
																	long BgL_arg1730z00_15602;

																	BgL_arg1729z00_15601 =
																		CDR(((obj_t) BgL_lz00_15597));
																	BgL_arg1730z00_15602 =
																		(BgL_spz00_15598 + ((long) 1));
																	{
																		long BgL_spz00_19562;
																		obj_t BgL_lz00_19561;

																		BgL_lz00_19561 = BgL_arg1729z00_15601;
																		BgL_spz00_19562 = BgL_arg1730z00_15602;
																		BgL_spz00_15598 = BgL_spz00_19562;
																		BgL_lz00_15597 = BgL_lz00_19561;
																		goto BgL_recz00_15596;
																	}
																}
															}
														BBOOL(BgL_tmpz00_19547);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19564;

													if (((long) CINT(BgL_arityz00_15592) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19564 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19564 =
																(
																(long) CINT(BgL_arityz00_15592) <
																(((long) -1) - BgL_nbargsz00_13522));
														}
													if (BgL_testz00_19564)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1155z00_13520))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15591, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13522),
																CINT(BgL_arityz00_15592));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15592, BgL_sz00_13525,
																BgL_argsz00_13523, BINT(BgL_spz00_15595));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15603;

												BgL_z12denvz12_15603 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15595 +
															(long) CINT(BgL_sfz00_15594)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13525))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15593, BgL_sz00_13525,
															BINT(BgL_spz00_15595));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15604;

														BgL_nsz00_15604 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1903z00_15605;

															BgL_arg1903z00_15605 =
																(BgL_spz00_15595 + BgL_nbargsz00_13522);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15604, ((long) 2), BgL_sz00_13525,
																BINT(BgL_spz00_15595),
																BINT(BgL_arg1903z00_15605));
														}
														VECTOR_SET(BgL_nsz00_15604, ((long) 1),
															BgL_sz00_13525);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15603,
															BgL_nsz00_15604);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15606;

															BgL_ez00_15606 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15606, BgL_sz00_13525);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15607;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15608;

																	BgL_savedzd2bpzd2_15608 =
																		VECTOR_REF(BgL_nsz00_15604, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15604, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15610;

																		BgL_fz00_15610 = BgL_runz00_15593;
																	BgL_recz00_15609:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15611;

																			BgL_rz00_15611 =
																				PROCEDURE_ENTRY(BgL_fz00_15610)
																				(BgL_fz00_15610, BgL_nsz00_15604, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19604;

																				if (PROCEDUREP(BgL_rz00_15611))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15612;

																						BgL_arg1693z00_15612 =
																							PROCEDURE_ATTR(BgL_rz00_15611);
																						if (STRUCTP(BgL_arg1693z00_15612))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19604 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15612) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19604 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19604 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19604)
																					{
																						obj_t BgL_fz00_19612;

																						BgL_fz00_19612 = BgL_rz00_15611;
																						BgL_fz00_15610 = BgL_fz00_19612;
																						goto BgL_recz00_15609;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15604,
																							((long) 0),
																							BgL_savedzd2bpzd2_15608);
																						BgL_____rz00_15607 = BgL_rz00_15611;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15606);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15603,
																	BgL_sz00_13525);
																return BgL_____rz00_15607;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15590,
												(int) (BgL_nbargsz00_13522)))
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13525, BgL_fz00_15590, BgL_argsz00_13523,
													BgL_bpz00_15589, BINT(BgL_siza7eza7_13524));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1155z00_13520))->
														BgL_locz00), BgL_symbzd2funzd2_13521,
													(int) (BgL_nbargsz00_13522),
													PROCEDURE_ARITY(BgL_fz00_15590));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_1954;

				BgL_cfunz00_1954 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1954))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_19628;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1918z00_1968;

							BgL_arg1918z00_1968 = bgl_debug();
							BgL_testz00_19628 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1918z00_1968),
								BINT(((long) 0)));
						}
						if (BgL_testz00_19628)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31915ze3z83_13526;

								BgL_zc3anonymousza31915ze3z83_13526 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31915ze3z83_13526,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31915ze3z83_13526,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza31915ze3z83_13526,
									(int) (((long) 2)), BgL_cfunz00_1954);
								return BgL_zc3anonymousza31915ze3z83_13526;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31917ze3z83_13527;

								BgL_zc3anonymousza31917ze3z83_13527 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31917ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza31917ze3z83_13527,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31917ze3z83_13527,
									(int) (((long) 1)), BgL_cfunz00_1954);
								return BgL_zc3anonymousza31917ze3z83_13527;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19653;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1950z00_2032;

									BgL_arg1950z00_2032 = bgl_debug();
									BgL_testz00_19653 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1950z00_2032),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19653)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31921ze3z83_13528;

										BgL_zc3anonymousza31921ze3z83_13528 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31921ze3z83_13528,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31921ze3z83_13528,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31921ze3z83_13528,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31921ze3z83_13528,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31921ze3z83_13528;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31935ze3z83_13529;

										BgL_zc3anonymousza31935ze3z83_13529 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31935ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31935ze3z83_13529,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31935ze3z83_13529,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31935ze3z83_13529,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31935ze3z83_13529,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31935ze3z83_13529;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19682;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1982z00_2096;

									BgL_arg1982z00_2096 = bgl_debug();
									BgL_testz00_19682 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1982z00_2096),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19682)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31953ze3z83_13530;

										BgL_zc3anonymousza31953ze3z83_13530 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31953ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_13530,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_13530,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_13530,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_13530,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31953ze3z83_13530;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31967ze3z83_13531;

										BgL_zc3anonymousza31967ze3z83_13531 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31967ze3z83_13531,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31967ze3z83_13531,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31967ze3z83_13531,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31967ze3z83_13531,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31967ze3z83_13531;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1915> */
	obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13532, obj_t BgL_sz00_13536)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13533;
				obj_t BgL_locz00_13534;
				obj_t BgL_cfunz00_13535;

				BgL_siza7eza7_13533 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13532, (int) (((long) 0))));
				BgL_locz00_13534 = PROCEDURE_REF(BgL_envz00_13532, (int) (((long) 1)));
				BgL_cfunz00_13535 = PROCEDURE_REF(BgL_envz00_13532, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15613;

					BgL_bpz00_15613 = VECTOR_REF(((obj_t) BgL_sz00_13536), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15614;

							BgL_nbpz00_15614 =
								((long) CINT(BgL_bpz00_15613) + BgL_siza7eza7_13533);
							VECTOR_SET(
								((obj_t) BgL_sz00_13536), ((long) 0), BINT(BgL_nbpz00_15614));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19725;

								BgL_tmpz00_19725 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19725, BgL_locz00_13534);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15615;

								BgL_rz00_15615 =
									PROCEDURE_ENTRY(BgL_cfunz00_13535) (BgL_cfunz00_13535, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13536), ((long) 0), BgL_bpz00_15613);
								return BgL_rz00_15615;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1917> */
	obj_t BGl_z62zc3anonymousza31917ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13537, obj_t BgL_sz00_13540)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13538;
				obj_t BgL_cfunz00_13539;

				BgL_siza7eza7_13538 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13537, (int) (((long) 0))));
				BgL_cfunz00_13539 = PROCEDURE_REF(BgL_envz00_13537, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15616;

					BgL_bpz00_15616 = VECTOR_REF(((obj_t) BgL_sz00_13540), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15617;

							BgL_nbpz00_15617 =
								((long) CINT(BgL_bpz00_15616) + BgL_siza7eza7_13538);
							VECTOR_SET(
								((obj_t) BgL_sz00_13540), ((long) 0), BINT(BgL_nbpz00_15617));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15618;

								BgL_rz00_15618 =
									PROCEDURE_ENTRY(BgL_cfunz00_13539) (BgL_cfunz00_13539, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13540), ((long) 0), BgL_bpz00_15616);
								return BgL_rz00_15618;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1921> */
	obj_t BGl_z62zc3anonymousza31921ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13541, obj_t BgL_sz00_13546)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13542;
				obj_t BgL_locz00_13543;
				obj_t BgL_symbzd2funzd2_13544;
				long BgL_siza7eza7_13545;

				BgL_funz00_13542 = PROCEDURE_REF(BgL_envz00_13541, (int) (((long) 0)));
				BgL_locz00_13543 = PROCEDURE_REF(BgL_envz00_13541, (int) (((long) 1)));
				BgL_symbzd2funzd2_13544 =
					PROCEDURE_REF(BgL_envz00_13541, (int) (((long) 2)));
				BgL_siza7eza7_13545 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13541, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15619;

					BgL_bpz00_15619 = VECTOR_REF(((obj_t) BgL_sz00_13546), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15620;

						BgL_fz00_15620 =
							PROCEDURE_ENTRY(BgL_funz00_13542) (BgL_funz00_13542,
							BgL_sz00_13546, BEOA);
						if (PROCEDUREP(BgL_fz00_15620))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13543,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15620);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15621;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19768;

								BgL_tmpz00_19768 = ((obj_t) BgL_fz00_15620);
								BgL_ufz00_15621 = PROCEDURE_ATTR(BgL_tmpz00_19768);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19771;

								if (STRUCTP(BgL_ufz00_15621))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19771 =
											(STRUCT_KEY(BgL_ufz00_15621) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19771 = ((bool_t) 0);
									}
								if (BgL_testz00_19771)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15622;
										obj_t BgL_runz00_15623;
										obj_t BgL_sfz00_15624;

										BgL_arityz00_15622 =
											STRUCT_REF(BgL_ufz00_15621, (int) (((long) 0)));
										BgL_runz00_15623 =
											STRUCT_REF(BgL_ufz00_15621, (int) (((long) 1)));
										BgL_sfz00_15624 =
											STRUCT_REF(BgL_ufz00_15621, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15622) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15622))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15622))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1926z00_15625;
																	obj_t BgL_arg1927z00_15626;

																	BgL_arg1926z00_15625 =
																		((long) CINT(BgL_bpz00_15619) + ((long) 0));
																	BgL_arg1927z00_15626 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13546),
																		BgL_arg1926z00_15625, BgL_arg1927z00_15626);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13543, STRUCT_REF(BgL_ufz00_15621,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15622));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13543, STRUCT_REF(BgL_ufz00_15621,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15622));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15627;

											BgL_z12denvz12_15627 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15627,
												BgL_locz00_13543);
											if ((((long) CINT(BgL_bpz00_15619) +
														(long) CINT(BgL_sfz00_15624)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13546))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15623;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15628;

													BgL_nsz00_15628 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1931z00_15629;

														BgL_arg1931z00_15629 =
															((long) CINT(BgL_bpz00_15619) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15628, ((long) 2), BgL_sz00_13546,
															BgL_bpz00_15619, BINT(BgL_arg1931z00_15629));
													}
													VECTOR_SET(BgL_nsz00_15628, ((long) 1),
														BgL_sz00_13546);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15627,
														BgL_nsz00_15628);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15630;

														BgL_ez00_15630 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15630, BgL_sz00_13546);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15631;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15632;

																BgL_savedzd2bpzd2_15632 =
																	VECTOR_REF(BgL_nsz00_15628, ((long) 0));
																VECTOR_SET(BgL_nsz00_15628, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15634;

																	BgL_fz00_15634 = BgL_runz00_15623;
																BgL_recz00_15633:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15635;

																		BgL_rz00_15635 =
																			PROCEDURE_ENTRY(BgL_fz00_15634)
																			(BgL_fz00_15634, BgL_nsz00_15628, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19828;

																			if (PROCEDUREP(BgL_rz00_15635))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15636;

																					BgL_arg1693z00_15636 =
																						PROCEDURE_ATTR(BgL_rz00_15635);
																					if (STRUCTP(BgL_arg1693z00_15636))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19828 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15636) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19828 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19828 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19828)
																				{
																					obj_t BgL_fz00_19836;

																					BgL_fz00_19836 = BgL_rz00_15635;
																					BgL_fz00_15634 = BgL_fz00_19836;
																					goto BgL_recz00_15633;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15628,
																						((long) 0),
																						BgL_savedzd2bpzd2_15632);
																					BgL_____rz00_15631 = BgL_rz00_15635;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15630);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15627,
																BgL_sz00_13546);
															return BgL_____rz00_15631;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15620,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15637;

												BgL_nbpz00_15637 =
													((long) CINT(BgL_bpz00_15619) + BgL_siza7eza7_13545);
												VECTOR_SET(
													((obj_t) BgL_sz00_13546), ((long) 0),
													BINT(BgL_nbpz00_15637));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_19848;

													BgL_tmpz00_19848 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19848,
														BgL_locz00_13543);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15638;

													BgL_rz00_15638 =
														PROCEDURE_ENTRY(BgL_fz00_15620) (BgL_fz00_15620,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13546), ((long) 0),
														BgL_bpz00_15619);
													return BgL_rz00_15638;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13543,
													BgL_symbzd2funzd2_13544, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15620));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1935> */
	obj_t BGl_z62zc3anonymousza31935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13547, obj_t BgL_sz00_13552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13548;
				obj_t BgL_locz00_13549;
				obj_t BgL_symbzd2funzd2_13550;
				long BgL_siza7eza7_13551;

				BgL_funz00_13548 = PROCEDURE_REF(BgL_envz00_13547, (int) (((long) 0)));
				BgL_locz00_13549 = PROCEDURE_REF(BgL_envz00_13547, (int) (((long) 1)));
				BgL_symbzd2funzd2_13550 =
					PROCEDURE_REF(BgL_envz00_13547, (int) (((long) 2)));
				BgL_siza7eza7_13551 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13547, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15639;

					BgL_bpz00_15639 = VECTOR_REF(((obj_t) BgL_sz00_13552), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15640;

						BgL_fz00_15640 =
							PROCEDURE_ENTRY(BgL_funz00_13548) (BgL_funz00_13548,
							BgL_sz00_13552, BEOA);
						if (PROCEDUREP(BgL_fz00_15640))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13549,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15640);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15641;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19877;

								BgL_tmpz00_19877 = ((obj_t) BgL_fz00_15640);
								BgL_ufz00_15641 = PROCEDURE_ATTR(BgL_tmpz00_19877);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19880;

								if (STRUCTP(BgL_ufz00_15641))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19880 =
											(STRUCT_KEY(BgL_ufz00_15641) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19880 = ((bool_t) 0);
									}
								if (BgL_testz00_19880)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15642;
										obj_t BgL_runz00_15643;
										obj_t BgL_sfz00_15644;

										BgL_arityz00_15642 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 0)));
										BgL_runz00_15643 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 1)));
										BgL_sfz00_15644 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15642) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15642))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15642))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1941z00_15645;
																	obj_t BgL_arg1942z00_15646;

																	BgL_arg1941z00_15645 =
																		((long) CINT(BgL_bpz00_15639) + ((long) 0));
																	BgL_arg1942z00_15646 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13552),
																		BgL_arg1941z00_15645, BgL_arg1942z00_15646);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13549, STRUCT_REF(BgL_ufz00_15641,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15642));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13549, STRUCT_REF(BgL_ufz00_15641,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15642));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15647;

											BgL_z12denvz12_15647 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15639) +
														(long) CINT(BgL_sfz00_15644)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13552))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15643;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15648;

													BgL_nsz00_15648 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1947z00_15649;

														BgL_arg1947z00_15649 =
															((long) CINT(BgL_bpz00_15639) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15648, ((long) 2), BgL_sz00_13552,
															BgL_bpz00_15639, BINT(BgL_arg1947z00_15649));
													}
													VECTOR_SET(BgL_nsz00_15648, ((long) 1),
														BgL_sz00_13552);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15647,
														BgL_nsz00_15648);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15650;

														BgL_ez00_15650 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15650, BgL_sz00_13552);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15651;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15652;

																BgL_savedzd2bpzd2_15652 =
																	VECTOR_REF(BgL_nsz00_15648, ((long) 0));
																VECTOR_SET(BgL_nsz00_15648, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15654;

																	BgL_fz00_15654 = BgL_runz00_15643;
																BgL_recz00_15653:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15655;

																		BgL_rz00_15655 =
																			PROCEDURE_ENTRY(BgL_fz00_15654)
																			(BgL_fz00_15654, BgL_nsz00_15648, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19936;

																			if (PROCEDUREP(BgL_rz00_15655))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15656;

																					BgL_arg1693z00_15656 =
																						PROCEDURE_ATTR(BgL_rz00_15655);
																					if (STRUCTP(BgL_arg1693z00_15656))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19936 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15656) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19936 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19936 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19936)
																				{
																					obj_t BgL_fz00_19944;

																					BgL_fz00_19944 = BgL_rz00_15655;
																					BgL_fz00_15654 = BgL_fz00_19944;
																					goto BgL_recz00_15653;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15648,
																						((long) 0),
																						BgL_savedzd2bpzd2_15652);
																					BgL_____rz00_15651 = BgL_rz00_15655;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15650);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15647,
																BgL_sz00_13552);
															return BgL_____rz00_15651;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15640,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15657;

												BgL_nbpz00_15657 =
													((long) CINT(BgL_bpz00_15639) + BgL_siza7eza7_13551);
												VECTOR_SET(
													((obj_t) BgL_sz00_13552), ((long) 0),
													BINT(BgL_nbpz00_15657));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15658;

													BgL_rz00_15658 =
														PROCEDURE_ENTRY(BgL_fz00_15640) (BgL_fz00_15640,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13552), ((long) 0),
														BgL_bpz00_15639);
													return BgL_rz00_15658;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13549,
													BgL_symbzd2funzd2_13550, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15640));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1953> */
	obj_t BGl_z62zc3anonymousza31953ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13553, obj_t BgL_sz00_13558)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13554;
				obj_t BgL_locz00_13555;
				obj_t BgL_symbzd2funzd2_13556;
				long BgL_siza7eza7_13557;

				BgL_funz00_13554 = PROCEDURE_REF(BgL_envz00_13553, (int) (((long) 0)));
				BgL_locz00_13555 = PROCEDURE_REF(BgL_envz00_13553, (int) (((long) 1)));
				BgL_symbzd2funzd2_13556 =
					PROCEDURE_REF(BgL_envz00_13553, (int) (((long) 2)));
				BgL_siza7eza7_13557 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13553, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15659;

					BgL_bpz00_15659 = VECTOR_REF(((obj_t) BgL_sz00_13558), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15660;

						BgL_fz00_15660 =
							PROCEDURE_ENTRY(BgL_funz00_13554) (BgL_funz00_13554,
							BgL_sz00_13558, BEOA);
						if (PROCEDUREP(BgL_fz00_15660))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13555,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15660);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15661;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19982;

								BgL_tmpz00_19982 = ((obj_t) BgL_fz00_15660);
								BgL_ufz00_15661 = PROCEDURE_ATTR(BgL_tmpz00_19982);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19985;

								if (STRUCTP(BgL_ufz00_15661))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19985 =
											(STRUCT_KEY(BgL_ufz00_15661) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19985 = ((bool_t) 0);
									}
								if (BgL_testz00_19985)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15662;
										obj_t BgL_runz00_15663;
										obj_t BgL_sfz00_15664;

										BgL_arityz00_15662 =
											STRUCT_REF(BgL_ufz00_15661, (int) (((long) 0)));
										BgL_runz00_15663 =
											STRUCT_REF(BgL_ufz00_15661, (int) (((long) 1)));
										BgL_sfz00_15664 =
											STRUCT_REF(BgL_ufz00_15661, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15665;

											BgL_spz00_15665 =
												((long) CINT(BgL_bpz00_15659) + BgL_siza7eza7_13557);
											if (((long) CINT(BgL_arityz00_15662) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15662))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15662))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1958z00_15666;
																		obj_t BgL_arg1959z00_15667;

																		BgL_arg1958z00_15666 =
																			(BgL_spz00_15665 + ((long) 0));
																		BgL_arg1959z00_15667 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13558),
																			BgL_arg1958z00_15666,
																			BgL_arg1959z00_15667);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13555,
																		STRUCT_REF(BgL_ufz00_15661,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15662));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13555, STRUCT_REF(BgL_ufz00_15661,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15662));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15668;

												BgL_z12denvz12_15668 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15668,
													BgL_locz00_13555);
												if (((BgL_spz00_15665 + (long) CINT(BgL_sfz00_15664)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13558))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15663, BgL_sz00_13558,
															BINT(BgL_spz00_15665));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15669;

														BgL_nsz00_15669 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1963z00_15670;

															BgL_arg1963z00_15670 =
																(BgL_spz00_15665 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15669, ((long) 2), BgL_sz00_13558,
																BINT(BgL_spz00_15665),
																BINT(BgL_arg1963z00_15670));
														}
														VECTOR_SET(BgL_nsz00_15669, ((long) 1),
															BgL_sz00_13558);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15668,
															BgL_nsz00_15669);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15671;

															BgL_ez00_15671 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15671, BgL_sz00_13558);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15672;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15673;

																	BgL_savedzd2bpzd2_15673 =
																		VECTOR_REF(BgL_nsz00_15669, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15669, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15675;

																		BgL_fz00_15675 = BgL_runz00_15663;
																	BgL_recz00_15674:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15676;

																			BgL_rz00_15676 =
																				PROCEDURE_ENTRY(BgL_fz00_15675)
																				(BgL_fz00_15675, BgL_nsz00_15669, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20044;

																				if (PROCEDUREP(BgL_rz00_15676))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15677;

																						BgL_arg1693z00_15677 =
																							PROCEDURE_ATTR(BgL_rz00_15676);
																						if (STRUCTP(BgL_arg1693z00_15677))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20044 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15677) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20044 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20044 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20044)
																					{
																						obj_t BgL_fz00_20052;

																						BgL_fz00_20052 = BgL_rz00_15676;
																						BgL_fz00_15675 = BgL_fz00_20052;
																						goto BgL_recz00_15674;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15669,
																							((long) 0),
																							BgL_savedzd2bpzd2_15673);
																						BgL_____rz00_15672 = BgL_rz00_15676;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15671);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15668,
																	BgL_sz00_13558);
																return BgL_____rz00_15672;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15660,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15678;

												BgL_nbpz00_15678 =
													((long) CINT(BgL_bpz00_15659) + BgL_siza7eza7_13557);
												VECTOR_SET(
													((obj_t) BgL_sz00_13558), ((long) 0),
													BINT(BgL_nbpz00_15678));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20064;

													BgL_tmpz00_20064 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20064,
														BgL_locz00_13555);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15679;

													BgL_rz00_15679 =
														PROCEDURE_ENTRY(BgL_fz00_15660) (BgL_fz00_15660,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13558), ((long) 0),
														BgL_bpz00_15659);
													return BgL_rz00_15679;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13555,
													BgL_symbzd2funzd2_13556, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15660));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1967> */
	obj_t BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13559, obj_t BgL_sz00_13564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13560;
				obj_t BgL_locz00_13561;
				obj_t BgL_symbzd2funzd2_13562;
				long BgL_siza7eza7_13563;

				BgL_funz00_13560 = PROCEDURE_REF(BgL_envz00_13559, (int) (((long) 0)));
				BgL_locz00_13561 = PROCEDURE_REF(BgL_envz00_13559, (int) (((long) 1)));
				BgL_symbzd2funzd2_13562 =
					PROCEDURE_REF(BgL_envz00_13559, (int) (((long) 2)));
				BgL_siza7eza7_13563 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13559, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15680;

					BgL_bpz00_15680 = VECTOR_REF(((obj_t) BgL_sz00_13564), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15681;

						BgL_fz00_15681 =
							PROCEDURE_ENTRY(BgL_funz00_13560) (BgL_funz00_13560,
							BgL_sz00_13564, BEOA);
						if (PROCEDUREP(BgL_fz00_15681))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13561,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15681);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15682;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20093;

								BgL_tmpz00_20093 = ((obj_t) BgL_fz00_15681);
								BgL_ufz00_15682 = PROCEDURE_ATTR(BgL_tmpz00_20093);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20096;

								if (STRUCTP(BgL_ufz00_15682))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20096 =
											(STRUCT_KEY(BgL_ufz00_15682) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20096 = ((bool_t) 0);
									}
								if (BgL_testz00_20096)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15683;
										obj_t BgL_runz00_15684;
										obj_t BgL_sfz00_15685;

										BgL_arityz00_15683 =
											STRUCT_REF(BgL_ufz00_15682, (int) (((long) 0)));
										BgL_runz00_15684 =
											STRUCT_REF(BgL_ufz00_15682, (int) (((long) 1)));
										BgL_sfz00_15685 =
											STRUCT_REF(BgL_ufz00_15682, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15686;

											BgL_spz00_15686 =
												((long) CINT(BgL_bpz00_15680) + BgL_siza7eza7_13563);
											if (((long) CINT(BgL_arityz00_15683) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15683))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15683))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1973z00_15687;
																		obj_t BgL_arg1974z00_15688;

																		BgL_arg1973z00_15687 =
																			(BgL_spz00_15686 + ((long) 0));
																		BgL_arg1974z00_15688 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13564),
																			BgL_arg1973z00_15687,
																			BgL_arg1974z00_15688);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13561,
																		STRUCT_REF(BgL_ufz00_15682,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15683));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13561, STRUCT_REF(BgL_ufz00_15682,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15683));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15689;

												BgL_z12denvz12_15689 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15686 +
															(long) CINT(BgL_sfz00_15685)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13564))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15684, BgL_sz00_13564,
															BINT(BgL_spz00_15686));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15690;

														BgL_nsz00_15690 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1979z00_15691;

															BgL_arg1979z00_15691 =
																(BgL_spz00_15686 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15690, ((long) 2), BgL_sz00_13564,
																BINT(BgL_spz00_15686),
																BINT(BgL_arg1979z00_15691));
														}
														VECTOR_SET(BgL_nsz00_15690, ((long) 1),
															BgL_sz00_13564);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15689,
															BgL_nsz00_15690);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15692;

															BgL_ez00_15692 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15692, BgL_sz00_13564);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15693;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15694;

																	BgL_savedzd2bpzd2_15694 =
																		VECTOR_REF(BgL_nsz00_15690, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15690, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15696;

																		BgL_fz00_15696 = BgL_runz00_15684;
																	BgL_recz00_15695:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15697;

																			BgL_rz00_15697 =
																				PROCEDURE_ENTRY(BgL_fz00_15696)
																				(BgL_fz00_15696, BgL_nsz00_15690, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20154;

																				if (PROCEDUREP(BgL_rz00_15697))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15698;

																						BgL_arg1693z00_15698 =
																							PROCEDURE_ATTR(BgL_rz00_15697);
																						if (STRUCTP(BgL_arg1693z00_15698))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20154 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15698) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20154 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20154 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20154)
																					{
																						obj_t BgL_fz00_20162;

																						BgL_fz00_20162 = BgL_rz00_15697;
																						BgL_fz00_15696 = BgL_fz00_20162;
																						goto BgL_recz00_15695;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15690,
																							((long) 0),
																							BgL_savedzd2bpzd2_15694);
																						BgL_____rz00_15693 = BgL_rz00_15697;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15692);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15689,
																	BgL_sz00_13564);
																return BgL_____rz00_15693;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15681,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15699;

												BgL_nbpz00_15699 =
													((long) CINT(BgL_bpz00_15680) + BgL_siza7eza7_13563);
												VECTOR_SET(
													((obj_t) BgL_sz00_13564), ((long) 0),
													BINT(BgL_nbpz00_15699));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15700;

													BgL_rz00_15700 =
														PROCEDURE_ENTRY(BgL_fz00_15681) (BgL_fz00_15681,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13564), ((long) 0),
														BgL_bpz00_15680);
													return BgL_rz00_15700;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13561,
													BgL_symbzd2funzd2_13562, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15681));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2097;

				BgL_cfunz00_2097 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2097))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_20185;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1989z00_2113;

							BgL_arg1989z00_2113 = bgl_debug();
							BgL_testz00_20185 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1989z00_2113),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20185)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31985ze3z83_13565;

								BgL_zc3anonymousza31985ze3z83_13565 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_13565,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_13565,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_13565,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza31985ze3z83_13565,
									(int) (((long) 3)), BgL_cfunz00_2097);
								return BgL_zc3anonymousza31985ze3z83_13565;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31987ze3z83_13566;

								BgL_zc3anonymousza31987ze3z83_13566 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31987ze3z83_13566,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31987ze3z83_13566,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31987ze3z83_13566,
									(int) (((long) 2)), BgL_cfunz00_2097);
								return BgL_zc3anonymousza31987ze3z83_13566;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20214;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2034z00_2189;

									BgL_arg2034z00_2189 = bgl_debug();
									BgL_testz00_20214 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2034z00_2189),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20214)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31993ze3z83_13567;

										BgL_zc3anonymousza31993ze3z83_13567 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza31993ze3z83_13567,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza31993ze3z83_13567,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza31993ze3z83_13567,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza31993ze3z83_13567,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza31993ze3z83_13567,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza31993ze3z83_13567;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32014ze3z83_13568;

										BgL_zc3anonymousza32014ze3z83_13568 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_13568,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_13568,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_13568,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_13568,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32014ze3z83_13568,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32014ze3z83_13568;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20247;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2078z00_2265;

									BgL_arg2078z00_2265 = bgl_debug();
									BgL_testz00_20247 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2078z00_2265),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20247)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32037ze3z83_13569;

										BgL_zc3anonymousza32037ze3z83_13569 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_13569,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_13569,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_13569,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_13569,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32037ze3z83_13569,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32037ze3z83_13569;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32056ze3z83_13570;

										BgL_zc3anonymousza32056ze3z83_13570 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_13570,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_13570,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_13570,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_13570,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_13570,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32056ze3z83_13570;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1985> */
	obj_t BGl_z62zc3anonymousza31985ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13571, obj_t BgL_sz00_13576)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13572;
				long BgL_siza7eza7_13573;
				obj_t BgL_locz00_13574;
				obj_t BgL_cfunz00_13575;

				BgL_a1z00_13572 = PROCEDURE_REF(BgL_envz00_13571, (int) (((long) 0)));
				BgL_siza7eza7_13573 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13571, (int) (((long) 1))));
				BgL_locz00_13574 = PROCEDURE_REF(BgL_envz00_13571, (int) (((long) 2)));
				BgL_cfunz00_13575 = PROCEDURE_REF(BgL_envz00_13571, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15701;

					BgL_bpz00_15701 = VECTOR_REF(((obj_t) BgL_sz00_13576), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15702;

						BgL_a1z00_15702 =
							PROCEDURE_ENTRY(BgL_a1z00_13572) (BgL_a1z00_13572, BgL_sz00_13576,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15703;

							BgL_nbpz00_15703 =
								((long) CINT(BgL_bpz00_15701) + BgL_siza7eza7_13573);
							VECTOR_SET(
								((obj_t) BgL_sz00_13576), ((long) 0), BINT(BgL_nbpz00_15703));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20300;

								BgL_tmpz00_20300 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20300, BgL_locz00_13574);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15704;

								BgL_rz00_15704 =
									PROCEDURE_ENTRY(BgL_cfunz00_13575) (BgL_cfunz00_13575,
									BgL_a1z00_15702, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13576), ((long) 0),
									BgL_bpz00_15701);
								return BgL_rz00_15704;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1987> */
	obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13577, obj_t BgL_sz00_13581)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13578;
				long BgL_siza7eza7_13579;
				obj_t BgL_cfunz00_13580;

				BgL_a1z00_13578 = PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 0)));
				BgL_siza7eza7_13579 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 1))));
				BgL_cfunz00_13580 = PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15705;

					BgL_bpz00_15705 = VECTOR_REF(((obj_t) BgL_sz00_13581), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15706;

						BgL_a1z00_15706 =
							PROCEDURE_ENTRY(BgL_a1z00_13578) (BgL_a1z00_13578, BgL_sz00_13581,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15707;

							BgL_nbpz00_15707 =
								((long) CINT(BgL_bpz00_15705) + BgL_siza7eza7_13579);
							VECTOR_SET(
								((obj_t) BgL_sz00_13581), ((long) 0), BINT(BgL_nbpz00_15707));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15708;

								BgL_rz00_15708 =
									PROCEDURE_ENTRY(BgL_cfunz00_13580) (BgL_cfunz00_13580,
									BgL_a1z00_15706, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13581), ((long) 0),
									BgL_bpz00_15705);
								return BgL_rz00_15708;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1993> */
	obj_t BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13582, obj_t BgL_sz00_13588)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13583;
				obj_t BgL_a1z00_13584;
				obj_t BgL_locz00_13585;
				obj_t BgL_symbzd2funzd2_13586;
				long BgL_siza7eza7_13587;

				BgL_funz00_13583 = PROCEDURE_REF(BgL_envz00_13582, (int) (((long) 0)));
				BgL_a1z00_13584 = PROCEDURE_REF(BgL_envz00_13582, (int) (((long) 1)));
				BgL_locz00_13585 = PROCEDURE_REF(BgL_envz00_13582, (int) (((long) 2)));
				BgL_symbzd2funzd2_13586 =
					PROCEDURE_REF(BgL_envz00_13582, (int) (((long) 3)));
				BgL_siza7eza7_13587 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13582, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15709;

					BgL_bpz00_15709 = VECTOR_REF(((obj_t) BgL_sz00_13588), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15710;
						obj_t BgL_a1z00_15711;

						BgL_fz00_15710 =
							PROCEDURE_ENTRY(BgL_funz00_13583) (BgL_funz00_13583,
							BgL_sz00_13588, BEOA);
						BgL_a1z00_15711 =
							PROCEDURE_ENTRY(BgL_a1z00_13584) (BgL_a1z00_13584, BgL_sz00_13588,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15710))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13585,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15710);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15712;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20357;

								BgL_tmpz00_20357 = ((obj_t) BgL_fz00_15710);
								BgL_ufz00_15712 = PROCEDURE_ATTR(BgL_tmpz00_20357);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20360;

								if (STRUCTP(BgL_ufz00_15712))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20360 =
											(STRUCT_KEY(BgL_ufz00_15712) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20360 = ((bool_t) 0);
									}
								if (BgL_testz00_20360)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15713;
										obj_t BgL_runz00_15714;
										obj_t BgL_sfz00_15715;

										BgL_arityz00_15713 =
											STRUCT_REF(BgL_ufz00_15712, (int) (((long) 0)));
										BgL_runz00_15714 =
											STRUCT_REF(BgL_ufz00_15712, (int) (((long) 1)));
										BgL_sfz00_15715 =
											STRUCT_REF(BgL_ufz00_15712, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15713) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg1997z00_15716;

												BgL_arg1997z00_15716 =
													((long) CINT(BgL_bpz00_15709) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13588), BgL_arg1997z00_15716,
													BgL_a1z00_15711);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15713))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15713))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1999z00_15717;
																	obj_t BgL_arg2001z00_15718;

																	BgL_arg1999z00_15717 =
																		((long) CINT(BgL_bpz00_15709) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2002z00_15719;

																		BgL_list2002z00_15719 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15711, BNIL);
																		BgL_arg2001z00_15718 =
																			BgL_list2002z00_15719;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13588),
																		BgL_arg1999z00_15717, BgL_arg2001z00_15718);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2003z00_15720;

																	BgL_arg2003z00_15720 =
																		((long) CINT(BgL_bpz00_15709) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13588),
																		BgL_arg2003z00_15720, BgL_a1z00_15711);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2004z00_15721;
																	obj_t BgL_arg2005z00_15722;

																	BgL_arg2004z00_15721 =
																		((long) CINT(BgL_bpz00_15709) + ((long) 1));
																	BgL_arg2005z00_15722 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13588),
																		BgL_arg2004z00_15721, BgL_arg2005z00_15722);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13585, STRUCT_REF(BgL_ufz00_15712,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15713));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13585, STRUCT_REF(BgL_ufz00_15712,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15713));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15723;

											BgL_z12denvz12_15723 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15723,
												BgL_locz00_13585);
											if ((((long) CINT(BgL_bpz00_15709) +
														(long) CINT(BgL_sfz00_15715)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13588))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15714;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15724;

													BgL_nsz00_15724 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2009z00_15725;

														BgL_arg2009z00_15725 =
															((long) CINT(BgL_bpz00_15709) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15724, ((long) 2), BgL_sz00_13588,
															BgL_bpz00_15709, BINT(BgL_arg2009z00_15725));
													}
													VECTOR_SET(BgL_nsz00_15724, ((long) 1),
														BgL_sz00_13588);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15723,
														BgL_nsz00_15724);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15726;

														BgL_ez00_15726 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15726, BgL_sz00_13588);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15727;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15728;

																BgL_savedzd2bpzd2_15728 =
																	VECTOR_REF(BgL_nsz00_15724, ((long) 0));
																VECTOR_SET(BgL_nsz00_15724, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15730;

																	BgL_fz00_15730 = BgL_runz00_15714;
																BgL_recz00_15729:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15731;

																		BgL_rz00_15731 =
																			PROCEDURE_ENTRY(BgL_fz00_15730)
																			(BgL_fz00_15730, BgL_nsz00_15724, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20430;

																			if (PROCEDUREP(BgL_rz00_15731))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15732;

																					BgL_arg1693z00_15732 =
																						PROCEDURE_ATTR(BgL_rz00_15731);
																					if (STRUCTP(BgL_arg1693z00_15732))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20430 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15732) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20430 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20430 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20430)
																				{
																					obj_t BgL_fz00_20438;

																					BgL_fz00_20438 = BgL_rz00_15731;
																					BgL_fz00_15730 = BgL_fz00_20438;
																					goto BgL_recz00_15729;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15724,
																						((long) 0),
																						BgL_savedzd2bpzd2_15728);
																					BgL_____rz00_15727 = BgL_rz00_15731;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15726);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15723,
																BgL_sz00_13588);
															return BgL_____rz00_15727;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15710,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15733;

												BgL_nbpz00_15733 =
													((long) CINT(BgL_bpz00_15709) + BgL_siza7eza7_13587);
												VECTOR_SET(
													((obj_t) BgL_sz00_13588), ((long) 0),
													BINT(BgL_nbpz00_15733));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20450;

													BgL_tmpz00_20450 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20450,
														BgL_locz00_13585);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15734;

													BgL_rz00_15734 =
														PROCEDURE_ENTRY(BgL_fz00_15710) (BgL_fz00_15710,
														BgL_a1z00_15711, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13588), ((long) 0),
														BgL_bpz00_15709);
													return BgL_rz00_15734;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13585,
													BgL_symbzd2funzd2_13586, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15710));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2014> */
	obj_t BGl_z62zc3anonymousza32014ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13589, obj_t BgL_sz00_13595)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13590;
				obj_t BgL_a1z00_13591;
				obj_t BgL_locz00_13592;
				obj_t BgL_symbzd2funzd2_13593;
				long BgL_siza7eza7_13594;

				BgL_funz00_13590 = PROCEDURE_REF(BgL_envz00_13589, (int) (((long) 0)));
				BgL_a1z00_13591 = PROCEDURE_REF(BgL_envz00_13589, (int) (((long) 1)));
				BgL_locz00_13592 = PROCEDURE_REF(BgL_envz00_13589, (int) (((long) 2)));
				BgL_symbzd2funzd2_13593 =
					PROCEDURE_REF(BgL_envz00_13589, (int) (((long) 3)));
				BgL_siza7eza7_13594 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13589, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15735;

					BgL_bpz00_15735 = VECTOR_REF(((obj_t) BgL_sz00_13595), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15736;
						obj_t BgL_a1z00_15737;

						BgL_fz00_15736 =
							PROCEDURE_ENTRY(BgL_funz00_13590) (BgL_funz00_13590,
							BgL_sz00_13595, BEOA);
						BgL_a1z00_15737 =
							PROCEDURE_ENTRY(BgL_a1z00_13591) (BgL_a1z00_13591, BgL_sz00_13595,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15736))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13592,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15736);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15738;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20486;

								BgL_tmpz00_20486 = ((obj_t) BgL_fz00_15736);
								BgL_ufz00_15738 = PROCEDURE_ATTR(BgL_tmpz00_20486);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20489;

								if (STRUCTP(BgL_ufz00_15738))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20489 =
											(STRUCT_KEY(BgL_ufz00_15738) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20489 = ((bool_t) 0);
									}
								if (BgL_testz00_20489)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15739;
										obj_t BgL_runz00_15740;
										obj_t BgL_sfz00_15741;

										BgL_arityz00_15739 =
											STRUCT_REF(BgL_ufz00_15738, (int) (((long) 0)));
										BgL_runz00_15740 =
											STRUCT_REF(BgL_ufz00_15738, (int) (((long) 1)));
										BgL_sfz00_15741 =
											STRUCT_REF(BgL_ufz00_15738, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15739) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg2018z00_15742;

												BgL_arg2018z00_15742 =
													((long) CINT(BgL_bpz00_15735) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13595), BgL_arg2018z00_15742,
													BgL_a1z00_15737);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15739))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15739))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2020z00_15743;
																	obj_t BgL_arg2021z00_15744;

																	BgL_arg2020z00_15743 =
																		((long) CINT(BgL_bpz00_15735) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2022z00_15745;

																		BgL_list2022z00_15745 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15737, BNIL);
																		BgL_arg2021z00_15744 =
																			BgL_list2022z00_15745;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13595),
																		BgL_arg2020z00_15743, BgL_arg2021z00_15744);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2024z00_15746;

																	BgL_arg2024z00_15746 =
																		((long) CINT(BgL_bpz00_15735) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13595),
																		BgL_arg2024z00_15746, BgL_a1z00_15737);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2025z00_15747;
																	obj_t BgL_arg2026z00_15748;

																	BgL_arg2025z00_15747 =
																		((long) CINT(BgL_bpz00_15735) + ((long) 1));
																	BgL_arg2026z00_15748 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13595),
																		BgL_arg2025z00_15747, BgL_arg2026z00_15748);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13592, STRUCT_REF(BgL_ufz00_15738,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15739));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13592, STRUCT_REF(BgL_ufz00_15738,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15739));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15749;

											BgL_z12denvz12_15749 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15735) +
														(long) CINT(BgL_sfz00_15741)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13595))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15740;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15750;

													BgL_nsz00_15750 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2031z00_15751;

														BgL_arg2031z00_15751 =
															((long) CINT(BgL_bpz00_15735) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15750, ((long) 2), BgL_sz00_13595,
															BgL_bpz00_15735, BINT(BgL_arg2031z00_15751));
													}
													VECTOR_SET(BgL_nsz00_15750, ((long) 1),
														BgL_sz00_13595);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15749,
														BgL_nsz00_15750);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15752;

														BgL_ez00_15752 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15752, BgL_sz00_13595);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15753;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15754;

																BgL_savedzd2bpzd2_15754 =
																	VECTOR_REF(BgL_nsz00_15750, ((long) 0));
																VECTOR_SET(BgL_nsz00_15750, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15756;

																	BgL_fz00_15756 = BgL_runz00_15740;
																BgL_recz00_15755:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15757;

																		BgL_rz00_15757 =
																			PROCEDURE_ENTRY(BgL_fz00_15756)
																			(BgL_fz00_15756, BgL_nsz00_15750, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20558;

																			if (PROCEDUREP(BgL_rz00_15757))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15758;

																					BgL_arg1693z00_15758 =
																						PROCEDURE_ATTR(BgL_rz00_15757);
																					if (STRUCTP(BgL_arg1693z00_15758))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20558 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15758) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20558 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20558 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20558)
																				{
																					obj_t BgL_fz00_20566;

																					BgL_fz00_20566 = BgL_rz00_15757;
																					BgL_fz00_15756 = BgL_fz00_20566;
																					goto BgL_recz00_15755;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15750,
																						((long) 0),
																						BgL_savedzd2bpzd2_15754);
																					BgL_____rz00_15753 = BgL_rz00_15757;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15752);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15749,
																BgL_sz00_13595);
															return BgL_____rz00_15753;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15736,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15759;

												BgL_nbpz00_15759 =
													((long) CINT(BgL_bpz00_15735) + BgL_siza7eza7_13594);
												VECTOR_SET(
													((obj_t) BgL_sz00_13595), ((long) 0),
													BINT(BgL_nbpz00_15759));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15760;

													BgL_rz00_15760 =
														PROCEDURE_ENTRY(BgL_fz00_15736) (BgL_fz00_15736,
														BgL_a1z00_15737, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13595), ((long) 0),
														BgL_bpz00_15735);
													return BgL_rz00_15760;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13592,
													BgL_symbzd2funzd2_13593, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15736));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2037> */
	obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13596, obj_t BgL_sz00_13602)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13597;
				obj_t BgL_a1z00_13598;
				obj_t BgL_locz00_13599;
				obj_t BgL_symbzd2funzd2_13600;
				long BgL_siza7eza7_13601;

				BgL_funz00_13597 = PROCEDURE_REF(BgL_envz00_13596, (int) (((long) 0)));
				BgL_a1z00_13598 = PROCEDURE_REF(BgL_envz00_13596, (int) (((long) 1)));
				BgL_locz00_13599 = PROCEDURE_REF(BgL_envz00_13596, (int) (((long) 2)));
				BgL_symbzd2funzd2_13600 =
					PROCEDURE_REF(BgL_envz00_13596, (int) (((long) 3)));
				BgL_siza7eza7_13601 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13596, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15761;

					BgL_bpz00_15761 = VECTOR_REF(((obj_t) BgL_sz00_13602), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15762;
						obj_t BgL_a1z00_15763;

						BgL_fz00_15762 =
							PROCEDURE_ENTRY(BgL_funz00_13597) (BgL_funz00_13597,
							BgL_sz00_13602, BEOA);
						BgL_a1z00_15763 =
							PROCEDURE_ENTRY(BgL_a1z00_13598) (BgL_a1z00_13598, BgL_sz00_13602,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15762))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13599,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15762);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15764;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20611;

								BgL_tmpz00_20611 = ((obj_t) BgL_fz00_15762);
								BgL_ufz00_15764 = PROCEDURE_ATTR(BgL_tmpz00_20611);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20614;

								if (STRUCTP(BgL_ufz00_15764))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20614 =
											(STRUCT_KEY(BgL_ufz00_15764) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20614 = ((bool_t) 0);
									}
								if (BgL_testz00_20614)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15765;
										obj_t BgL_runz00_15766;
										obj_t BgL_sfz00_15767;

										BgL_arityz00_15765 =
											STRUCT_REF(BgL_ufz00_15764, (int) (((long) 0)));
										BgL_runz00_15766 =
											STRUCT_REF(BgL_ufz00_15764, (int) (((long) 1)));
										BgL_sfz00_15767 =
											STRUCT_REF(BgL_ufz00_15764, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15768;

											BgL_spz00_15768 =
												((long) CINT(BgL_bpz00_15761) + BgL_siza7eza7_13601);
											if (((long) CINT(BgL_arityz00_15765) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2041z00_15769;

													BgL_arg2041z00_15769 = (BgL_spz00_15768 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13602), BgL_arg2041z00_15769,
														BgL_a1z00_15763);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15765))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15765))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2043z00_15770;
																		obj_t BgL_arg2044z00_15771;

																		BgL_arg2043z00_15770 =
																			(BgL_spz00_15768 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2045z00_15772;

																			BgL_list2045z00_15772 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15763, BNIL);
																			BgL_arg2044z00_15771 =
																				BgL_list2045z00_15772;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13602),
																			BgL_arg2043z00_15770,
																			BgL_arg2044z00_15771);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2046z00_15773;

																		BgL_arg2046z00_15773 =
																			(BgL_spz00_15768 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13602),
																			BgL_arg2046z00_15773, BgL_a1z00_15763);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2047z00_15774;
																		obj_t BgL_arg2048z00_15775;

																		BgL_arg2047z00_15774 =
																			(BgL_spz00_15768 + ((long) 1));
																		BgL_arg2048z00_15775 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13602),
																			BgL_arg2047z00_15774,
																			BgL_arg2048z00_15775);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13599,
																		STRUCT_REF(BgL_ufz00_15764,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15765));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13599, STRUCT_REF(BgL_ufz00_15764,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15765));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15776;

												BgL_z12denvz12_15776 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15776,
													BgL_locz00_13599);
												if (((BgL_spz00_15768 + (long) CINT(BgL_sfz00_15767)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13602))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15766, BgL_sz00_13602,
															BINT(BgL_spz00_15768));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15777;

														BgL_nsz00_15777 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2052z00_15778;

															BgL_arg2052z00_15778 =
																(BgL_spz00_15768 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15777, ((long) 2), BgL_sz00_13602,
																BINT(BgL_spz00_15768),
																BINT(BgL_arg2052z00_15778));
														}
														VECTOR_SET(BgL_nsz00_15777, ((long) 1),
															BgL_sz00_13602);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
															BgL_nsz00_15777);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15779;

															BgL_ez00_15779 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15779, BgL_sz00_13602);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15780;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15781;

																	BgL_savedzd2bpzd2_15781 =
																		VECTOR_REF(BgL_nsz00_15777, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15777, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15783;

																		BgL_fz00_15783 = BgL_runz00_15766;
																	BgL_recz00_15782:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15784;

																			BgL_rz00_15784 =
																				PROCEDURE_ENTRY(BgL_fz00_15783)
																				(BgL_fz00_15783, BgL_nsz00_15777, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20683;

																				if (PROCEDUREP(BgL_rz00_15784))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15785;

																						BgL_arg1693z00_15785 =
																							PROCEDURE_ATTR(BgL_rz00_15784);
																						if (STRUCTP(BgL_arg1693z00_15785))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20683 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15785) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20683 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20683 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20683)
																					{
																						obj_t BgL_fz00_20691;

																						BgL_fz00_20691 = BgL_rz00_15784;
																						BgL_fz00_15783 = BgL_fz00_20691;
																						goto BgL_recz00_15782;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15777,
																							((long) 0),
																							BgL_savedzd2bpzd2_15781);
																						BgL_____rz00_15780 = BgL_rz00_15784;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15779);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
																	BgL_sz00_13602);
																return BgL_____rz00_15780;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15762,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15786;

												BgL_nbpz00_15786 =
													((long) CINT(BgL_bpz00_15761) + BgL_siza7eza7_13601);
												VECTOR_SET(
													((obj_t) BgL_sz00_13602), ((long) 0),
													BINT(BgL_nbpz00_15786));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20703;

													BgL_tmpz00_20703 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20703,
														BgL_locz00_13599);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15787;

													BgL_rz00_15787 =
														PROCEDURE_ENTRY(BgL_fz00_15762) (BgL_fz00_15762,
														BgL_a1z00_15763, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13602), ((long) 0),
														BgL_bpz00_15761);
													return BgL_rz00_15787;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13599,
													BgL_symbzd2funzd2_13600, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15762));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2056> */
	obj_t BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13603, obj_t BgL_sz00_13609)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13604;
				obj_t BgL_a1z00_13605;
				obj_t BgL_locz00_13606;
				obj_t BgL_symbzd2funzd2_13607;
				long BgL_siza7eza7_13608;

				BgL_funz00_13604 = PROCEDURE_REF(BgL_envz00_13603, (int) (((long) 0)));
				BgL_a1z00_13605 = PROCEDURE_REF(BgL_envz00_13603, (int) (((long) 1)));
				BgL_locz00_13606 = PROCEDURE_REF(BgL_envz00_13603, (int) (((long) 2)));
				BgL_symbzd2funzd2_13607 =
					PROCEDURE_REF(BgL_envz00_13603, (int) (((long) 3)));
				BgL_siza7eza7_13608 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13603, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15788;

					BgL_bpz00_15788 = VECTOR_REF(((obj_t) BgL_sz00_13609), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15789;
						obj_t BgL_a1z00_15790;

						BgL_fz00_15789 =
							PROCEDURE_ENTRY(BgL_funz00_13604) (BgL_funz00_13604,
							BgL_sz00_13609, BEOA);
						BgL_a1z00_15790 =
							PROCEDURE_ENTRY(BgL_a1z00_13605) (BgL_a1z00_13605, BgL_sz00_13609,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15789))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13606,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15789);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15791;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20739;

								BgL_tmpz00_20739 = ((obj_t) BgL_fz00_15789);
								BgL_ufz00_15791 = PROCEDURE_ATTR(BgL_tmpz00_20739);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20742;

								if (STRUCTP(BgL_ufz00_15791))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20742 =
											(STRUCT_KEY(BgL_ufz00_15791) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20742 = ((bool_t) 0);
									}
								if (BgL_testz00_20742)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15792;
										obj_t BgL_runz00_15793;
										obj_t BgL_sfz00_15794;

										BgL_arityz00_15792 =
											STRUCT_REF(BgL_ufz00_15791, (int) (((long) 0)));
										BgL_runz00_15793 =
											STRUCT_REF(BgL_ufz00_15791, (int) (((long) 1)));
										BgL_sfz00_15794 =
											STRUCT_REF(BgL_ufz00_15791, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15795;

											BgL_spz00_15795 =
												((long) CINT(BgL_bpz00_15788) + BgL_siza7eza7_13608);
											if (((long) CINT(BgL_arityz00_15792) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2060z00_15796;

													BgL_arg2060z00_15796 = (BgL_spz00_15795 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13609), BgL_arg2060z00_15796,
														BgL_a1z00_15790);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15792))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15792))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2062z00_15797;
																		obj_t BgL_arg2064z00_15798;

																		BgL_arg2062z00_15797 =
																			(BgL_spz00_15795 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2065z00_15799;

																			BgL_list2065z00_15799 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15790, BNIL);
																			BgL_arg2064z00_15798 =
																				BgL_list2065z00_15799;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13609),
																			BgL_arg2062z00_15797,
																			BgL_arg2064z00_15798);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2066z00_15800;

																		BgL_arg2066z00_15800 =
																			(BgL_spz00_15795 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13609),
																			BgL_arg2066z00_15800, BgL_a1z00_15790);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2069z00_15801;
																		obj_t BgL_arg2070z00_15802;

																		BgL_arg2069z00_15801 =
																			(BgL_spz00_15795 + ((long) 1));
																		BgL_arg2070z00_15802 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13609),
																			BgL_arg2069z00_15801,
																			BgL_arg2070z00_15802);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13606,
																		STRUCT_REF(BgL_ufz00_15791,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15792));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13606, STRUCT_REF(BgL_ufz00_15791,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15792));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15803;

												BgL_z12denvz12_15803 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15795 +
															(long) CINT(BgL_sfz00_15794)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13609))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15793, BgL_sz00_13609,
															BINT(BgL_spz00_15795));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15804;

														BgL_nsz00_15804 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2074z00_15805;

															BgL_arg2074z00_15805 =
																(BgL_spz00_15795 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15804, ((long) 2), BgL_sz00_13609,
																BINT(BgL_spz00_15795),
																BINT(BgL_arg2074z00_15805));
														}
														VECTOR_SET(BgL_nsz00_15804, ((long) 1),
															BgL_sz00_13609);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15803,
															BgL_nsz00_15804);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15806;

															BgL_ez00_15806 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15806, BgL_sz00_13609);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15807;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15808;

																	BgL_savedzd2bpzd2_15808 =
																		VECTOR_REF(BgL_nsz00_15804, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15804, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15810;

																		BgL_fz00_15810 = BgL_runz00_15793;
																	BgL_recz00_15809:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15811;

																			BgL_rz00_15811 =
																				PROCEDURE_ENTRY(BgL_fz00_15810)
																				(BgL_fz00_15810, BgL_nsz00_15804, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20810;

																				if (PROCEDUREP(BgL_rz00_15811))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15812;

																						BgL_arg1693z00_15812 =
																							PROCEDURE_ATTR(BgL_rz00_15811);
																						if (STRUCTP(BgL_arg1693z00_15812))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20810 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15812) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20810 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20810 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20810)
																					{
																						obj_t BgL_fz00_20818;

																						BgL_fz00_20818 = BgL_rz00_15811;
																						BgL_fz00_15810 = BgL_fz00_20818;
																						goto BgL_recz00_15809;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15804,
																							((long) 0),
																							BgL_savedzd2bpzd2_15808);
																						BgL_____rz00_15807 = BgL_rz00_15811;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15806);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15803,
																	BgL_sz00_13609);
																return BgL_____rz00_15807;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15789,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15813;

												BgL_nbpz00_15813 =
													((long) CINT(BgL_bpz00_15788) + BgL_siza7eza7_13608);
												VECTOR_SET(
													((obj_t) BgL_sz00_13609), ((long) 0),
													BINT(BgL_nbpz00_15813));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15814;

													BgL_rz00_15814 =
														PROCEDURE_ENTRY(BgL_fz00_15789) (BgL_fz00_15789,
														BgL_a1z00_15790, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13609), ((long) 0),
														BgL_bpz00_15788);
													return BgL_rz00_15814;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13606,
													BgL_symbzd2funzd2_13607, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15789));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2266;

				BgL_cfunz00_2266 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2266))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_20842;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2084z00_2284;

							BgL_arg2084z00_2284 = bgl_debug();
							BgL_testz00_20842 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2084z00_2284),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20842)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32081ze3z83_13610;

								BgL_zc3anonymousza32081ze3z83_13610 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_13610,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_13610,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_13610,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_13610,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_13610,
									(int) (((long) 4)), BgL_cfunz00_2266);
								return BgL_zc3anonymousza32081ze3z83_13610;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32083ze3z83_13611;

								BgL_zc3anonymousza32083ze3z83_13611 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_13611,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_13611,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_13611,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32083ze3z83_13611,
									(int) (((long) 3)), BgL_cfunz00_2266);
								return BgL_zc3anonymousza32083ze3z83_13611;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20875;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2140z00_2376;

									BgL_arg2140z00_2376 = bgl_debug();
									BgL_testz00_20875 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2140z00_2376),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20875)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32087ze3z83_13612;

										BgL_zc3anonymousza32087ze3z83_13612 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13612,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32087ze3z83_13612;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32114ze3z83_13613;

										BgL_zc3anonymousza32114ze3z83_13613 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32114ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32114ze3z83_13613,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32114ze3z83_13613;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20912;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2195z00_2468;

									BgL_arg2195z00_2468 = bgl_debug();
									BgL_testz00_20912 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2195z00_2468),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20912)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32143ze3z83_13614;

										BgL_zc3anonymousza32143ze3z83_13614 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32143ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32143ze3z83_13614,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32143ze3z83_13614;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32169ze3z83_13615;

										BgL_zc3anonymousza32169ze3z83_13615 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_13615,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32169ze3z83_13615;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2081> */
	obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13616, obj_t BgL_sz00_13622)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13617;
				obj_t BgL_a2z00_13618;
				long BgL_siza7eza7_13619;
				obj_t BgL_locz00_13620;
				obj_t BgL_cfunz00_13621;

				BgL_a1z00_13617 = PROCEDURE_REF(BgL_envz00_13616, (int) (((long) 0)));
				BgL_a2z00_13618 = PROCEDURE_REF(BgL_envz00_13616, (int) (((long) 1)));
				BgL_siza7eza7_13619 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13616, (int) (((long) 2))));
				BgL_locz00_13620 = PROCEDURE_REF(BgL_envz00_13616, (int) (((long) 3)));
				BgL_cfunz00_13621 = PROCEDURE_REF(BgL_envz00_13616, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15815;

					BgL_bpz00_15815 = VECTOR_REF(((obj_t) BgL_sz00_13622), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15816;
						obj_t BgL_a2z00_15817;

						BgL_a1z00_15816 =
							PROCEDURE_ENTRY(BgL_a1z00_13617) (BgL_a1z00_13617, BgL_sz00_13622,
							BEOA);
						BgL_a2z00_15817 =
							PROCEDURE_ENTRY(BgL_a2z00_13618) (BgL_a2z00_13618, BgL_sz00_13622,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15818;

							BgL_nbpz00_15818 =
								((long) CINT(BgL_bpz00_15815) + BgL_siza7eza7_13619);
							VECTOR_SET(
								((obj_t) BgL_sz00_13622), ((long) 0), BINT(BgL_nbpz00_15818));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20975;

								BgL_tmpz00_20975 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20975, BgL_locz00_13620);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15819;

								BgL_rz00_15819 =
									PROCEDURE_ENTRY(BgL_cfunz00_13621) (BgL_cfunz00_13621,
									BgL_a1z00_15816, BgL_a2z00_15817, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13622), ((long) 0),
									BgL_bpz00_15815);
								return BgL_rz00_15819;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2083> */
	obj_t BGl_z62zc3anonymousza32083ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13623, obj_t BgL_sz00_13628)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13624;
				obj_t BgL_a2z00_13625;
				long BgL_siza7eza7_13626;
				obj_t BgL_cfunz00_13627;

				BgL_a1z00_13624 = PROCEDURE_REF(BgL_envz00_13623, (int) (((long) 0)));
				BgL_a2z00_13625 = PROCEDURE_REF(BgL_envz00_13623, (int) (((long) 1)));
				BgL_siza7eza7_13626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13623, (int) (((long) 2))));
				BgL_cfunz00_13627 = PROCEDURE_REF(BgL_envz00_13623, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15820;

					BgL_bpz00_15820 = VECTOR_REF(((obj_t) BgL_sz00_13628), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15821;
						obj_t BgL_a2z00_15822;

						BgL_a1z00_15821 =
							PROCEDURE_ENTRY(BgL_a1z00_13624) (BgL_a1z00_13624, BgL_sz00_13628,
							BEOA);
						BgL_a2z00_15822 =
							PROCEDURE_ENTRY(BgL_a2z00_13625) (BgL_a2z00_13625, BgL_sz00_13628,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15823;

							BgL_nbpz00_15823 =
								((long) CINT(BgL_bpz00_15820) + BgL_siza7eza7_13626);
							VECTOR_SET(
								((obj_t) BgL_sz00_13628), ((long) 0), BINT(BgL_nbpz00_15823));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15824;

								BgL_rz00_15824 =
									PROCEDURE_ENTRY(BgL_cfunz00_13627) (BgL_cfunz00_13627,
									BgL_a1z00_15821, BgL_a2z00_15822, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13628), ((long) 0),
									BgL_bpz00_15820);
								return BgL_rz00_15824;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2087> */
	obj_t BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13629, obj_t BgL_sz00_13636)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13630;
				obj_t BgL_a1z00_13631;
				obj_t BgL_a2z00_13632;
				obj_t BgL_locz00_13633;
				obj_t BgL_symbzd2funzd2_13634;
				long BgL_siza7eza7_13635;

				BgL_funz00_13630 = PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 0)));
				BgL_a1z00_13631 = PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 1)));
				BgL_a2z00_13632 = PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 2)));
				BgL_locz00_13633 = PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 3)));
				BgL_symbzd2funzd2_13634 =
					PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 4)));
				BgL_siza7eza7_13635 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15825;

					BgL_bpz00_15825 = VECTOR_REF(((obj_t) BgL_sz00_13636), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15826;
						obj_t BgL_a1z00_15827;
						obj_t BgL_a2z00_15828;

						BgL_fz00_15826 =
							PROCEDURE_ENTRY(BgL_funz00_13630) (BgL_funz00_13630,
							BgL_sz00_13636, BEOA);
						BgL_a1z00_15827 =
							PROCEDURE_ENTRY(BgL_a1z00_13631) (BgL_a1z00_13631, BgL_sz00_13636,
							BEOA);
						BgL_a2z00_15828 =
							PROCEDURE_ENTRY(BgL_a2z00_13632) (BgL_a2z00_13632, BgL_sz00_13636,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15826))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13633,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15826);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15829;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21046;

								BgL_tmpz00_21046 = ((obj_t) BgL_fz00_15826);
								BgL_ufz00_15829 = PROCEDURE_ATTR(BgL_tmpz00_21046);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21049;

								if (STRUCTP(BgL_ufz00_15829))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21049 =
											(STRUCT_KEY(BgL_ufz00_15829) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21049 = ((bool_t) 0);
									}
								if (BgL_testz00_21049)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15830;
										obj_t BgL_runz00_15831;
										obj_t BgL_sfz00_15832;

										BgL_arityz00_15830 =
											STRUCT_REF(BgL_ufz00_15829, (int) (((long) 0)));
										BgL_runz00_15831 =
											STRUCT_REF(BgL_ufz00_15829, (int) (((long) 1)));
										BgL_sfz00_15832 =
											STRUCT_REF(BgL_ufz00_15829, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15830) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2091z00_15833;

													BgL_arg2091z00_15833 =
														((long) CINT(BgL_bpz00_15825) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13636), BgL_arg2091z00_15833,
														BgL_a1z00_15827);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2092z00_15834;

													BgL_arg2092z00_15834 =
														((long) CINT(BgL_bpz00_15825) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13636), BgL_arg2092z00_15834,
														BgL_a2z00_15828);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15830))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15830))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2094z00_15835;
																	obj_t BgL_arg2095z00_15836;

																	BgL_arg2094z00_15835 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2096z00_15837;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2097z00_15838;

																			BgL_arg2097z00_15838 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15828, BNIL);
																			BgL_list2096z00_15837 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15827,
																				BgL_arg2097z00_15838);
																		}
																		BgL_arg2095z00_15836 =
																			BgL_list2096z00_15837;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2094z00_15835, BgL_arg2095z00_15836);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2098z00_15839;

																	BgL_arg2098z00_15839 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2098z00_15839, BgL_a1z00_15827);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2099z00_15840;
																	obj_t BgL_arg2100z00_15841;

																	BgL_arg2099z00_15840 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2101z00_15842;

																		BgL_list2101z00_15842 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15828, BNIL);
																		BgL_arg2100z00_15841 =
																			BgL_list2101z00_15842;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2099z00_15840, BgL_arg2100z00_15841);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2102z00_15843;

																	BgL_arg2102z00_15843 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2102z00_15843, BgL_a1z00_15827);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2103z00_15844;

																	BgL_arg2103z00_15844 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2103z00_15844, BgL_a2z00_15828);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2104z00_15845;
																	obj_t BgL_arg2105z00_15846;

																	BgL_arg2104z00_15845 =
																		((long) CINT(BgL_bpz00_15825) + ((long) 2));
																	BgL_arg2105z00_15846 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636),
																		BgL_arg2104z00_15845, BgL_arg2105z00_15846);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13633, STRUCT_REF(BgL_ufz00_15829,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15830));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13633, STRUCT_REF(BgL_ufz00_15829,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15830));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15847;

											BgL_z12denvz12_15847 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15847,
												BgL_locz00_13633);
											if ((((long) CINT(BgL_bpz00_15825) +
														(long) CINT(BgL_sfz00_15832)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13636))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15831;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15848;

													BgL_nsz00_15848 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2109z00_15849;

														BgL_arg2109z00_15849 =
															((long) CINT(BgL_bpz00_15825) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15848, ((long) 2), BgL_sz00_13636,
															BgL_bpz00_15825, BINT(BgL_arg2109z00_15849));
													}
													VECTOR_SET(BgL_nsz00_15848, ((long) 1),
														BgL_sz00_13636);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15847,
														BgL_nsz00_15848);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15850;

														BgL_ez00_15850 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15850, BgL_sz00_13636);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15851;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15852;

																BgL_savedzd2bpzd2_15852 =
																	VECTOR_REF(BgL_nsz00_15848, ((long) 0));
																VECTOR_SET(BgL_nsz00_15848, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15854;

																	BgL_fz00_15854 = BgL_runz00_15831;
																BgL_recz00_15853:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15855;

																		BgL_rz00_15855 =
																			PROCEDURE_ENTRY(BgL_fz00_15854)
																			(BgL_fz00_15854, BgL_nsz00_15848, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21137;

																			if (PROCEDUREP(BgL_rz00_15855))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15856;

																					BgL_arg1693z00_15856 =
																						PROCEDURE_ATTR(BgL_rz00_15855);
																					if (STRUCTP(BgL_arg1693z00_15856))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21137 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15856) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21137 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21137 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21137)
																				{
																					obj_t BgL_fz00_21145;

																					BgL_fz00_21145 = BgL_rz00_15855;
																					BgL_fz00_15854 = BgL_fz00_21145;
																					goto BgL_recz00_15853;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15848,
																						((long) 0),
																						BgL_savedzd2bpzd2_15852);
																					BgL_____rz00_15851 = BgL_rz00_15855;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15850);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15847,
																BgL_sz00_13636);
															return BgL_____rz00_15851;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15826,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15857;

												BgL_nbpz00_15857 =
													((long) CINT(BgL_bpz00_15825) + BgL_siza7eza7_13635);
												VECTOR_SET(
													((obj_t) BgL_sz00_13636), ((long) 0),
													BINT(BgL_nbpz00_15857));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21157;

													BgL_tmpz00_21157 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21157,
														BgL_locz00_13633);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15858;

													BgL_rz00_15858 =
														PROCEDURE_ENTRY(BgL_fz00_15826) (BgL_fz00_15826,
														BgL_a1z00_15827, BgL_a2z00_15828, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13636), ((long) 0),
														BgL_bpz00_15825);
													return BgL_rz00_15858;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13633,
													BgL_symbzd2funzd2_13634, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15826));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2114> */
	obj_t BGl_z62zc3anonymousza32114ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13637, obj_t BgL_sz00_13644)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13638;
				obj_t BgL_a1z00_13639;
				obj_t BgL_a2z00_13640;
				obj_t BgL_locz00_13641;
				obj_t BgL_symbzd2funzd2_13642;
				long BgL_siza7eza7_13643;

				BgL_funz00_13638 = PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 0)));
				BgL_a1z00_13639 = PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 1)));
				BgL_a2z00_13640 = PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 2)));
				BgL_locz00_13641 = PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 3)));
				BgL_symbzd2funzd2_13642 =
					PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 4)));
				BgL_siza7eza7_13643 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13637, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15859;

					BgL_bpz00_15859 = VECTOR_REF(((obj_t) BgL_sz00_13644), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15860;
						obj_t BgL_a1z00_15861;
						obj_t BgL_a2z00_15862;

						BgL_fz00_15860 =
							PROCEDURE_ENTRY(BgL_funz00_13638) (BgL_funz00_13638,
							BgL_sz00_13644, BEOA);
						BgL_a1z00_15861 =
							PROCEDURE_ENTRY(BgL_a1z00_13639) (BgL_a1z00_13639, BgL_sz00_13644,
							BEOA);
						BgL_a2z00_15862 =
							PROCEDURE_ENTRY(BgL_a2z00_13640) (BgL_a2z00_13640, BgL_sz00_13644,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15860))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13641,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15860);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15863;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21200;

								BgL_tmpz00_21200 = ((obj_t) BgL_fz00_15860);
								BgL_ufz00_15863 = PROCEDURE_ATTR(BgL_tmpz00_21200);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21203;

								if (STRUCTP(BgL_ufz00_15863))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21203 =
											(STRUCT_KEY(BgL_ufz00_15863) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21203 = ((bool_t) 0);
									}
								if (BgL_testz00_21203)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15864;
										obj_t BgL_runz00_15865;
										obj_t BgL_sfz00_15866;

										BgL_arityz00_15864 =
											STRUCT_REF(BgL_ufz00_15863, (int) (((long) 0)));
										BgL_runz00_15865 =
											STRUCT_REF(BgL_ufz00_15863, (int) (((long) 1)));
										BgL_sfz00_15866 =
											STRUCT_REF(BgL_ufz00_15863, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15864) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2118z00_15867;

													BgL_arg2118z00_15867 =
														((long) CINT(BgL_bpz00_15859) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13644), BgL_arg2118z00_15867,
														BgL_a1z00_15861);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2119z00_15868;

													BgL_arg2119z00_15868 =
														((long) CINT(BgL_bpz00_15859) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13644), BgL_arg2119z00_15868,
														BgL_a2z00_15862);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15864))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15864))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2121z00_15869;
																	obj_t BgL_arg2122z00_15870;

																	BgL_arg2121z00_15869 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2123z00_15871;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2124z00_15872;

																			BgL_arg2124z00_15872 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15862, BNIL);
																			BgL_list2123z00_15871 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15861,
																				BgL_arg2124z00_15872);
																		}
																		BgL_arg2122z00_15870 =
																			BgL_list2123z00_15871;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2121z00_15869, BgL_arg2122z00_15870);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2126z00_15873;

																	BgL_arg2126z00_15873 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2126z00_15873, BgL_a1z00_15861);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2127z00_15874;
																	obj_t BgL_arg2128z00_15875;

																	BgL_arg2127z00_15874 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2129z00_15876;

																		BgL_list2129z00_15876 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15862, BNIL);
																		BgL_arg2128z00_15875 =
																			BgL_list2129z00_15876;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2127z00_15874, BgL_arg2128z00_15875);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2130z00_15877;

																	BgL_arg2130z00_15877 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2130z00_15877, BgL_a1z00_15861);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2131z00_15878;

																	BgL_arg2131z00_15878 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2131z00_15878, BgL_a2z00_15862);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2132z00_15879;
																	obj_t BgL_arg2133z00_15880;

																	BgL_arg2132z00_15879 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 2));
																	BgL_arg2133z00_15880 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13644),
																		BgL_arg2132z00_15879, BgL_arg2133z00_15880);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13641, STRUCT_REF(BgL_ufz00_15863,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15864));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13641, STRUCT_REF(BgL_ufz00_15863,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15864));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15881;

											BgL_z12denvz12_15881 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15859) +
														(long) CINT(BgL_sfz00_15866)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13644))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15865;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15882;

													BgL_nsz00_15882 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2137z00_15883;

														BgL_arg2137z00_15883 =
															((long) CINT(BgL_bpz00_15859) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15882, ((long) 2), BgL_sz00_13644,
															BgL_bpz00_15859, BINT(BgL_arg2137z00_15883));
													}
													VECTOR_SET(BgL_nsz00_15882, ((long) 1),
														BgL_sz00_13644);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15881,
														BgL_nsz00_15882);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15884;

														BgL_ez00_15884 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15884, BgL_sz00_13644);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15885;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15886;

																BgL_savedzd2bpzd2_15886 =
																	VECTOR_REF(BgL_nsz00_15882, ((long) 0));
																VECTOR_SET(BgL_nsz00_15882, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15888;

																	BgL_fz00_15888 = BgL_runz00_15865;
																BgL_recz00_15887:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15889;

																		BgL_rz00_15889 =
																			PROCEDURE_ENTRY(BgL_fz00_15888)
																			(BgL_fz00_15888, BgL_nsz00_15882, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21290;

																			if (PROCEDUREP(BgL_rz00_15889))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15890;

																					BgL_arg1693z00_15890 =
																						PROCEDURE_ATTR(BgL_rz00_15889);
																					if (STRUCTP(BgL_arg1693z00_15890))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21290 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15890) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21290 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21290 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21290)
																				{
																					obj_t BgL_fz00_21298;

																					BgL_fz00_21298 = BgL_rz00_15889;
																					BgL_fz00_15888 = BgL_fz00_21298;
																					goto BgL_recz00_15887;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15882,
																						((long) 0),
																						BgL_savedzd2bpzd2_15886);
																					BgL_____rz00_15885 = BgL_rz00_15889;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15884);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15881,
																BgL_sz00_13644);
															return BgL_____rz00_15885;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15860,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15891;

												BgL_nbpz00_15891 =
													((long) CINT(BgL_bpz00_15859) + BgL_siza7eza7_13643);
												VECTOR_SET(
													((obj_t) BgL_sz00_13644), ((long) 0),
													BINT(BgL_nbpz00_15891));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15892;

													BgL_rz00_15892 =
														PROCEDURE_ENTRY(BgL_fz00_15860) (BgL_fz00_15860,
														BgL_a1z00_15861, BgL_a2z00_15862, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13644), ((long) 0),
														BgL_bpz00_15859);
													return BgL_rz00_15892;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13641,
													BgL_symbzd2funzd2_13642, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15860));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2143> */
	obj_t BGl_z62zc3anonymousza32143ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13645, obj_t BgL_sz00_13652)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13646;
				obj_t BgL_a1z00_13647;
				obj_t BgL_a2z00_13648;
				obj_t BgL_locz00_13649;
				obj_t BgL_symbzd2funzd2_13650;
				long BgL_siza7eza7_13651;

				BgL_funz00_13646 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 0)));
				BgL_a1z00_13647 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 1)));
				BgL_a2z00_13648 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 2)));
				BgL_locz00_13649 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 3)));
				BgL_symbzd2funzd2_13650 =
					PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 4)));
				BgL_siza7eza7_13651 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15893;

					BgL_bpz00_15893 = VECTOR_REF(((obj_t) BgL_sz00_13652), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15894;
						obj_t BgL_a1z00_15895;
						obj_t BgL_a2z00_15896;

						BgL_fz00_15894 =
							PROCEDURE_ENTRY(BgL_funz00_13646) (BgL_funz00_13646,
							BgL_sz00_13652, BEOA);
						BgL_a1z00_15895 =
							PROCEDURE_ENTRY(BgL_a1z00_13647) (BgL_a1z00_13647, BgL_sz00_13652,
							BEOA);
						BgL_a2z00_15896 =
							PROCEDURE_ENTRY(BgL_a2z00_13648) (BgL_a2z00_13648, BgL_sz00_13652,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15894))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13649,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15894);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15897;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21350;

								BgL_tmpz00_21350 = ((obj_t) BgL_fz00_15894);
								BgL_ufz00_15897 = PROCEDURE_ATTR(BgL_tmpz00_21350);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21353;

								if (STRUCTP(BgL_ufz00_15897))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21353 =
											(STRUCT_KEY(BgL_ufz00_15897) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21353 = ((bool_t) 0);
									}
								if (BgL_testz00_21353)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15898;
										obj_t BgL_runz00_15899;
										obj_t BgL_sfz00_15900;

										BgL_arityz00_15898 =
											STRUCT_REF(BgL_ufz00_15897, (int) (((long) 0)));
										BgL_runz00_15899 =
											STRUCT_REF(BgL_ufz00_15897, (int) (((long) 1)));
										BgL_sfz00_15900 =
											STRUCT_REF(BgL_ufz00_15897, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15901;

											BgL_spz00_15901 =
												((long) CINT(BgL_bpz00_15893) + BgL_siza7eza7_13651);
											if (((long) CINT(BgL_arityz00_15898) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2147z00_15902;

														BgL_arg2147z00_15902 =
															(BgL_spz00_15901 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13652), BgL_arg2147z00_15902,
															BgL_a1z00_15895);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2148z00_15903;

														BgL_arg2148z00_15903 =
															(BgL_spz00_15901 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13652), BgL_arg2148z00_15903,
															BgL_a2z00_15896);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15898))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15898))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2150z00_15904;
																		obj_t BgL_arg2151z00_15905;

																		BgL_arg2150z00_15904 =
																			(BgL_spz00_15901 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2152z00_15906;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2153z00_15907;

																				BgL_arg2153z00_15907 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15896,
																					BNIL);
																				BgL_list2152z00_15906 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15895,
																					BgL_arg2153z00_15907);
																			}
																			BgL_arg2151z00_15905 =
																				BgL_list2152z00_15906;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2150z00_15904,
																			BgL_arg2151z00_15905);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2154z00_15908;

																		BgL_arg2154z00_15908 =
																			(BgL_spz00_15901 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2154z00_15908, BgL_a1z00_15895);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2155z00_15909;
																		obj_t BgL_arg2156z00_15910;

																		BgL_arg2155z00_15909 =
																			(BgL_spz00_15901 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2157z00_15911;

																			BgL_list2157z00_15911 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15896, BNIL);
																			BgL_arg2156z00_15910 =
																				BgL_list2157z00_15911;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2155z00_15909,
																			BgL_arg2156z00_15910);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2158z00_15912;

																		BgL_arg2158z00_15912 =
																			(BgL_spz00_15901 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2158z00_15912, BgL_a1z00_15895);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2159z00_15913;

																		BgL_arg2159z00_15913 =
																			(BgL_spz00_15901 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2159z00_15913, BgL_a2z00_15896);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2160z00_15914;
																		obj_t BgL_arg2161z00_15915;

																		BgL_arg2160z00_15914 =
																			(BgL_spz00_15901 + ((long) 2));
																		BgL_arg2161z00_15915 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13652),
																			BgL_arg2160z00_15914,
																			BgL_arg2161z00_15915);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13649,
																		STRUCT_REF(BgL_ufz00_15897,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_15898));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13649, STRUCT_REF(BgL_ufz00_15897,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_15898));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15916;

												BgL_z12denvz12_15916 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15916,
													BgL_locz00_13649);
												if (((BgL_spz00_15901 + (long) CINT(BgL_sfz00_15900)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13652))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15899, BgL_sz00_13652,
															BINT(BgL_spz00_15901));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15917;

														BgL_nsz00_15917 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2165z00_15918;

															BgL_arg2165z00_15918 =
																(BgL_spz00_15901 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15917, ((long) 2), BgL_sz00_13652,
																BINT(BgL_spz00_15901),
																BINT(BgL_arg2165z00_15918));
														}
														VECTOR_SET(BgL_nsz00_15917, ((long) 1),
															BgL_sz00_13652);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15916,
															BgL_nsz00_15917);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15919;

															BgL_ez00_15919 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15919, BgL_sz00_13652);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15920;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15921;

																	BgL_savedzd2bpzd2_15921 =
																		VECTOR_REF(BgL_nsz00_15917, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15917, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15923;

																		BgL_fz00_15923 = BgL_runz00_15899;
																	BgL_recz00_15922:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15924;

																			BgL_rz00_15924 =
																				PROCEDURE_ENTRY(BgL_fz00_15923)
																				(BgL_fz00_15923, BgL_nsz00_15917, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21436;

																				if (PROCEDUREP(BgL_rz00_15924))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15925;

																						BgL_arg1693z00_15925 =
																							PROCEDURE_ATTR(BgL_rz00_15924);
																						if (STRUCTP(BgL_arg1693z00_15925))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21436 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15925) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21436 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21436 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21436)
																					{
																						obj_t BgL_fz00_21444;

																						BgL_fz00_21444 = BgL_rz00_15924;
																						BgL_fz00_15923 = BgL_fz00_21444;
																						goto BgL_recz00_15922;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15917,
																							((long) 0),
																							BgL_savedzd2bpzd2_15921);
																						BgL_____rz00_15920 = BgL_rz00_15924;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15919);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15916,
																	BgL_sz00_13652);
																return BgL_____rz00_15920;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15894,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15926;

												BgL_nbpz00_15926 =
													((long) CINT(BgL_bpz00_15893) + BgL_siza7eza7_13651);
												VECTOR_SET(
													((obj_t) BgL_sz00_13652), ((long) 0),
													BINT(BgL_nbpz00_15926));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21456;

													BgL_tmpz00_21456 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21456,
														BgL_locz00_13649);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15927;

													BgL_rz00_15927 =
														PROCEDURE_ENTRY(BgL_fz00_15894) (BgL_fz00_15894,
														BgL_a1z00_15895, BgL_a2z00_15896, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13652), ((long) 0),
														BgL_bpz00_15893);
													return BgL_rz00_15927;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13649,
													BgL_symbzd2funzd2_13650, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15894));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2169> */
	obj_t BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13653, obj_t BgL_sz00_13660)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13654;
				obj_t BgL_a1z00_13655;
				obj_t BgL_a2z00_13656;
				obj_t BgL_locz00_13657;
				obj_t BgL_symbzd2funzd2_13658;
				long BgL_siza7eza7_13659;

				BgL_funz00_13654 = PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 0)));
				BgL_a1z00_13655 = PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 1)));
				BgL_a2z00_13656 = PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 2)));
				BgL_locz00_13657 = PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 3)));
				BgL_symbzd2funzd2_13658 =
					PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 4)));
				BgL_siza7eza7_13659 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13653, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15928;

					BgL_bpz00_15928 = VECTOR_REF(((obj_t) BgL_sz00_13660), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15929;
						obj_t BgL_a1z00_15930;
						obj_t BgL_a2z00_15931;

						BgL_fz00_15929 =
							PROCEDURE_ENTRY(BgL_funz00_13654) (BgL_funz00_13654,
							BgL_sz00_13660, BEOA);
						BgL_a1z00_15930 =
							PROCEDURE_ENTRY(BgL_a1z00_13655) (BgL_a1z00_13655, BgL_sz00_13660,
							BEOA);
						BgL_a2z00_15931 =
							PROCEDURE_ENTRY(BgL_a2z00_13656) (BgL_a2z00_13656, BgL_sz00_13660,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15929))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13657,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15929);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15932;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21499;

								BgL_tmpz00_21499 = ((obj_t) BgL_fz00_15929);
								BgL_ufz00_15932 = PROCEDURE_ATTR(BgL_tmpz00_21499);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21502;

								if (STRUCTP(BgL_ufz00_15932))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21502 =
											(STRUCT_KEY(BgL_ufz00_15932) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21502 = ((bool_t) 0);
									}
								if (BgL_testz00_21502)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15933;
										obj_t BgL_runz00_15934;
										obj_t BgL_sfz00_15935;

										BgL_arityz00_15933 =
											STRUCT_REF(BgL_ufz00_15932, (int) (((long) 0)));
										BgL_runz00_15934 =
											STRUCT_REF(BgL_ufz00_15932, (int) (((long) 1)));
										BgL_sfz00_15935 =
											STRUCT_REF(BgL_ufz00_15932, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15936;

											BgL_spz00_15936 =
												((long) CINT(BgL_bpz00_15928) + BgL_siza7eza7_13659);
											if (((long) CINT(BgL_arityz00_15933) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2173z00_15937;

														BgL_arg2173z00_15937 =
															(BgL_spz00_15936 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13660), BgL_arg2173z00_15937,
															BgL_a1z00_15930);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2174z00_15938;

														BgL_arg2174z00_15938 =
															(BgL_spz00_15936 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13660), BgL_arg2174z00_15938,
															BgL_a2z00_15931);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15933))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15933))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2176z00_15939;
																		obj_t BgL_arg2177z00_15940;

																		BgL_arg2176z00_15939 =
																			(BgL_spz00_15936 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2178z00_15941;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2179z00_15942;

																				BgL_arg2179z00_15942 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15931,
																					BNIL);
																				BgL_list2178z00_15941 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15930,
																					BgL_arg2179z00_15942);
																			}
																			BgL_arg2177z00_15940 =
																				BgL_list2178z00_15941;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2176z00_15939,
																			BgL_arg2177z00_15940);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2180z00_15943;

																		BgL_arg2180z00_15943 =
																			(BgL_spz00_15936 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2180z00_15943, BgL_a1z00_15930);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2181z00_15944;
																		obj_t BgL_arg2182z00_15945;

																		BgL_arg2181z00_15944 =
																			(BgL_spz00_15936 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2183z00_15946;

																			BgL_list2183z00_15946 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15931, BNIL);
																			BgL_arg2182z00_15945 =
																				BgL_list2183z00_15946;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2181z00_15944,
																			BgL_arg2182z00_15945);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2184z00_15947;

																		BgL_arg2184z00_15947 =
																			(BgL_spz00_15936 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2184z00_15947, BgL_a1z00_15930);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2185z00_15948;

																		BgL_arg2185z00_15948 =
																			(BgL_spz00_15936 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2185z00_15948, BgL_a2z00_15931);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2186z00_15949;
																		obj_t BgL_arg2188z00_15950;

																		BgL_arg2186z00_15949 =
																			(BgL_spz00_15936 + ((long) 2));
																		BgL_arg2188z00_15950 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13660),
																			BgL_arg2186z00_15949,
																			BgL_arg2188z00_15950);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13657,
																		STRUCT_REF(BgL_ufz00_15932,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_15933));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13657, STRUCT_REF(BgL_ufz00_15932,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_15933));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15951;

												BgL_z12denvz12_15951 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15936 +
															(long) CINT(BgL_sfz00_15935)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13660))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15934, BgL_sz00_13660,
															BINT(BgL_spz00_15936));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15952;

														BgL_nsz00_15952 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2192z00_15953;

															BgL_arg2192z00_15953 =
																(BgL_spz00_15936 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15952, ((long) 2), BgL_sz00_13660,
																BINT(BgL_spz00_15936),
																BINT(BgL_arg2192z00_15953));
														}
														VECTOR_SET(BgL_nsz00_15952, ((long) 1),
															BgL_sz00_13660);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15951,
															BgL_nsz00_15952);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15954;

															BgL_ez00_15954 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15954, BgL_sz00_13660);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15955;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15956;

																	BgL_savedzd2bpzd2_15956 =
																		VECTOR_REF(BgL_nsz00_15952, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15952, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15958;

																		BgL_fz00_15958 = BgL_runz00_15934;
																	BgL_recz00_15957:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15959;

																			BgL_rz00_15959 =
																				PROCEDURE_ENTRY(BgL_fz00_15958)
																				(BgL_fz00_15958, BgL_nsz00_15952, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21584;

																				if (PROCEDUREP(BgL_rz00_15959))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15960;

																						BgL_arg1693z00_15960 =
																							PROCEDURE_ATTR(BgL_rz00_15959);
																						if (STRUCTP(BgL_arg1693z00_15960))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21584 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15960) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21584 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21584 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21584)
																					{
																						obj_t BgL_fz00_21592;

																						BgL_fz00_21592 = BgL_rz00_15959;
																						BgL_fz00_15958 = BgL_fz00_21592;
																						goto BgL_recz00_15957;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15952,
																							((long) 0),
																							BgL_savedzd2bpzd2_15956);
																						BgL_____rz00_15955 = BgL_rz00_15959;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15954);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15951,
																	BgL_sz00_13660);
																return BgL_____rz00_15955;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15929,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15961;

												BgL_nbpz00_15961 =
													((long) CINT(BgL_bpz00_15928) + BgL_siza7eza7_13659);
												VECTOR_SET(
													((obj_t) BgL_sz00_13660), ((long) 0),
													BINT(BgL_nbpz00_15961));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15962;

													BgL_rz00_15962 =
														PROCEDURE_ENTRY(BgL_fz00_15929) (BgL_fz00_15929,
														BgL_a1z00_15930, BgL_a2z00_15931, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13660), ((long) 0),
														BgL_bpz00_15928);
													return BgL_rz00_15962;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13657,
													BgL_symbzd2funzd2_13658, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15929));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2469;

				BgL_cfunz00_2469 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2469))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_21617;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2201z00_2489;

							BgL_arg2201z00_2489 = bgl_debug();
							BgL_testz00_21617 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2201z00_2489),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21617)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32198ze3z83_13661;

								BgL_zc3anonymousza32198ze3z83_13661 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32198ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32198ze3z83_13661,
									(int) (((long) 5)), BgL_cfunz00_2469);
								return BgL_zc3anonymousza32198ze3z83_13661;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32200ze3z83_13662;

								BgL_zc3anonymousza32200ze3z83_13662 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32200ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32200ze3z83_13662,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32200ze3z83_13662,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32200ze3z83_13662,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32200ze3z83_13662,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32200ze3z83_13662,
									(int) (((long) 4)), BgL_cfunz00_2469);
								return BgL_zc3anonymousza32200ze3z83_13662;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21654;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2278z00_2601;

									BgL_arg2278z00_2601 = bgl_debug();
									BgL_testz00_21654 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2278z00_2601),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21654)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32204ze3z83_13663;

										BgL_zc3anonymousza32204ze3z83_13663 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_13663,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32204ze3z83_13663;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32241ze3z83_13664;

										BgL_zc3anonymousza32241ze3z83_13664 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32241ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32241ze3z83_13664,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32241ze3z83_13664;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21695;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2359z00_2713;

									BgL_arg2359z00_2713 = bgl_debug();
									BgL_testz00_21695 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2359z00_2713),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21695)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32282ze3z83_13665;

										BgL_zc3anonymousza32282ze3z83_13665 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32282ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32282ze3z83_13665,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32282ze3z83_13665;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32323ze3z83_13666;

										BgL_zc3anonymousza32323ze3z83_13666 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32323ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32323ze3z83_13666,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32323ze3z83_13666;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2198> */
	obj_t BGl_z62zc3anonymousza32198ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13667, obj_t BgL_sz00_13674)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13668;
				obj_t BgL_a2z00_13669;
				obj_t BgL_a3z00_13670;
				long BgL_siza7eza7_13671;
				obj_t BgL_locz00_13672;
				obj_t BgL_cfunz00_13673;

				BgL_a1z00_13668 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 0)));
				BgL_a2z00_13669 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 1)));
				BgL_a3z00_13670 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 2)));
				BgL_siza7eza7_13671 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 3))));
				BgL_locz00_13672 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 4)));
				BgL_cfunz00_13673 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15963;

					BgL_bpz00_15963 = VECTOR_REF(((obj_t) BgL_sz00_13674), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15964;
						obj_t BgL_a2z00_15965;
						obj_t BgL_a3z00_15966;

						BgL_a1z00_15964 =
							PROCEDURE_ENTRY(BgL_a1z00_13668) (BgL_a1z00_13668, BgL_sz00_13674,
							BEOA);
						BgL_a2z00_15965 =
							PROCEDURE_ENTRY(BgL_a2z00_13669) (BgL_a2z00_13669, BgL_sz00_13674,
							BEOA);
						BgL_a3z00_15966 =
							PROCEDURE_ENTRY(BgL_a3z00_13670) (BgL_a3z00_13670, BgL_sz00_13674,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15967;

							BgL_nbpz00_15967 =
								((long) CINT(BgL_bpz00_15963) + BgL_siza7eza7_13671);
							VECTOR_SET(
								((obj_t) BgL_sz00_13674), ((long) 0), BINT(BgL_nbpz00_15967));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21768;

								BgL_tmpz00_21768 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21768, BgL_locz00_13672);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15968;

								BgL_rz00_15968 =
									PROCEDURE_ENTRY(BgL_cfunz00_13673) (BgL_cfunz00_13673,
									BgL_a1z00_15964, BgL_a2z00_15965, BgL_a3z00_15966, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13674), ((long) 0),
									BgL_bpz00_15963);
								return BgL_rz00_15968;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2200> */
	obj_t BGl_z62zc3anonymousza32200ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13675, obj_t BgL_sz00_13681)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13676;
				obj_t BgL_a2z00_13677;
				obj_t BgL_a3z00_13678;
				long BgL_siza7eza7_13679;
				obj_t BgL_cfunz00_13680;

				BgL_a1z00_13676 = PROCEDURE_REF(BgL_envz00_13675, (int) (((long) 0)));
				BgL_a2z00_13677 = PROCEDURE_REF(BgL_envz00_13675, (int) (((long) 1)));
				BgL_a3z00_13678 = PROCEDURE_REF(BgL_envz00_13675, (int) (((long) 2)));
				BgL_siza7eza7_13679 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13675, (int) (((long) 3))));
				BgL_cfunz00_13680 = PROCEDURE_REF(BgL_envz00_13675, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15969;

					BgL_bpz00_15969 = VECTOR_REF(((obj_t) BgL_sz00_13681), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15970;
						obj_t BgL_a2z00_15971;
						obj_t BgL_a3z00_15972;

						BgL_a1z00_15970 =
							PROCEDURE_ENTRY(BgL_a1z00_13676) (BgL_a1z00_13676, BgL_sz00_13681,
							BEOA);
						BgL_a2z00_15971 =
							PROCEDURE_ENTRY(BgL_a2z00_13677) (BgL_a2z00_13677, BgL_sz00_13681,
							BEOA);
						BgL_a3z00_15972 =
							PROCEDURE_ENTRY(BgL_a3z00_13678) (BgL_a3z00_13678, BgL_sz00_13681,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15973;

							BgL_nbpz00_15973 =
								((long) CINT(BgL_bpz00_15969) + BgL_siza7eza7_13679);
							VECTOR_SET(
								((obj_t) BgL_sz00_13681), ((long) 0), BINT(BgL_nbpz00_15973));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15974;

								BgL_rz00_15974 =
									PROCEDURE_ENTRY(BgL_cfunz00_13680) (BgL_cfunz00_13680,
									BgL_a1z00_15970, BgL_a2z00_15971, BgL_a3z00_15972, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13681), ((long) 0),
									BgL_bpz00_15969);
								return BgL_rz00_15974;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2204> */
	obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13682, obj_t BgL_sz00_13690)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13683;
				obj_t BgL_a1z00_13684;
				obj_t BgL_a2z00_13685;
				obj_t BgL_a3z00_13686;
				obj_t BgL_locz00_13687;
				obj_t BgL_symbzd2funzd2_13688;
				long BgL_siza7eza7_13689;

				BgL_funz00_13683 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 0)));
				BgL_a1z00_13684 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 1)));
				BgL_a2z00_13685 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 2)));
				BgL_a3z00_13686 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 3)));
				BgL_locz00_13687 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 4)));
				BgL_symbzd2funzd2_13688 =
					PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 5)));
				BgL_siza7eza7_13689 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15975;

					BgL_bpz00_15975 = VECTOR_REF(((obj_t) BgL_sz00_13690), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15976;
						obj_t BgL_a1z00_15977;
						obj_t BgL_a2z00_15978;
						obj_t BgL_a3z00_15979;

						BgL_fz00_15976 =
							PROCEDURE_ENTRY(BgL_funz00_13683) (BgL_funz00_13683,
							BgL_sz00_13690, BEOA);
						BgL_a1z00_15977 =
							PROCEDURE_ENTRY(BgL_a1z00_13684) (BgL_a1z00_13684, BgL_sz00_13690,
							BEOA);
						BgL_a2z00_15978 =
							PROCEDURE_ENTRY(BgL_a2z00_13685) (BgL_a2z00_13685, BgL_sz00_13690,
							BEOA);
						BgL_a3z00_15979 =
							PROCEDURE_ENTRY(BgL_a3z00_13686) (BgL_a3z00_13686, BgL_sz00_13690,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15976))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13687,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_15976);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15980;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21853;

								BgL_tmpz00_21853 = ((obj_t) BgL_fz00_15976);
								BgL_ufz00_15980 = PROCEDURE_ATTR(BgL_tmpz00_21853);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21856;

								if (STRUCTP(BgL_ufz00_15980))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21856 =
											(STRUCT_KEY(BgL_ufz00_15980) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21856 = ((bool_t) 0);
									}
								if (BgL_testz00_21856)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15981;
										obj_t BgL_runz00_15982;
										obj_t BgL_sfz00_15983;

										BgL_arityz00_15981 =
											STRUCT_REF(BgL_ufz00_15980, (int) (((long) 0)));
										BgL_runz00_15982 =
											STRUCT_REF(BgL_ufz00_15980, (int) (((long) 1)));
										BgL_sfz00_15983 =
											STRUCT_REF(BgL_ufz00_15980, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15981) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2208z00_15984;

													BgL_arg2208z00_15984 =
														((long) CINT(BgL_bpz00_15975) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13690), BgL_arg2208z00_15984,
														BgL_a1z00_15977);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2209z00_15985;

													BgL_arg2209z00_15985 =
														((long) CINT(BgL_bpz00_15975) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13690), BgL_arg2209z00_15985,
														BgL_a2z00_15978);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2210z00_15986;

													BgL_arg2210z00_15986 =
														((long) CINT(BgL_bpz00_15975) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13690), BgL_arg2210z00_15986,
														BgL_a3z00_15979);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15981))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15981))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2212z00_15987;
																	obj_t BgL_arg2214z00_15988;

																	BgL_arg2212z00_15987 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2215z00_15989;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2216z00_15990;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2217z00_15991;

																				BgL_arg2217z00_15991 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_15979,
																					BNIL);
																				BgL_arg2216z00_15990 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15978,
																					BgL_arg2217z00_15991);
																			}
																			BgL_list2215z00_15989 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15977,
																				BgL_arg2216z00_15990);
																		}
																		BgL_arg2214z00_15988 =
																			BgL_list2215z00_15989;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2212z00_15987, BgL_arg2214z00_15988);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2218z00_15992;

																	BgL_arg2218z00_15992 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2218z00_15992, BgL_a1z00_15977);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2219z00_15993;
																	obj_t BgL_arg2220z00_15994;

																	BgL_arg2219z00_15993 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2221z00_15995;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2222z00_15996;

																			BgL_arg2222z00_15996 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_15979, BNIL);
																			BgL_list2221z00_15995 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15978,
																				BgL_arg2222z00_15996);
																		}
																		BgL_arg2220z00_15994 =
																			BgL_list2221z00_15995;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2219z00_15993, BgL_arg2220z00_15994);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2223z00_15997;

																	BgL_arg2223z00_15997 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2223z00_15997, BgL_a1z00_15977);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2224z00_15998;

																	BgL_arg2224z00_15998 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2224z00_15998, BgL_a2z00_15978);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2225z00_15999;
																	obj_t BgL_arg2226z00_16000;

																	BgL_arg2225z00_15999 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2227z00_16001;

																		BgL_list2227z00_16001 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_15979, BNIL);
																		BgL_arg2226z00_16000 =
																			BgL_list2227z00_16001;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2225z00_15999, BgL_arg2226z00_16000);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2228z00_16002;

																	BgL_arg2228z00_16002 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2228z00_16002, BgL_a1z00_15977);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2229z00_16003;

																	BgL_arg2229z00_16003 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2229z00_16003, BgL_a2z00_15978);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2230z00_16004;

																	BgL_arg2230z00_16004 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2230z00_16004, BgL_a3z00_15979);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2231z00_16005;
																	obj_t BgL_arg2233z00_16006;

																	BgL_arg2231z00_16005 =
																		((long) CINT(BgL_bpz00_15975) + ((long) 3));
																	BgL_arg2233z00_16006 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13690),
																		BgL_arg2231z00_16005, BgL_arg2233z00_16006);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13687, STRUCT_REF(BgL_ufz00_15980,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_15981));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13687, STRUCT_REF(BgL_ufz00_15980,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_15981));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16007;

											BgL_z12denvz12_16007 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16007,
												BgL_locz00_13687);
											if ((((long) CINT(BgL_bpz00_15975) +
														(long) CINT(BgL_sfz00_15983)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13690))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15982;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16008;

													BgL_nsz00_16008 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2237z00_16009;

														BgL_arg2237z00_16009 =
															((long) CINT(BgL_bpz00_15975) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16008, ((long) 2), BgL_sz00_13690,
															BgL_bpz00_15975, BINT(BgL_arg2237z00_16009));
													}
													VECTOR_SET(BgL_nsz00_16008, ((long) 1),
														BgL_sz00_13690);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16007,
														BgL_nsz00_16008);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16010;

														BgL_ez00_16010 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16010, BgL_sz00_13690);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16011;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16012;

																BgL_savedzd2bpzd2_16012 =
																	VECTOR_REF(BgL_nsz00_16008, ((long) 0));
																VECTOR_SET(BgL_nsz00_16008, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16014;

																	BgL_fz00_16014 = BgL_runz00_15982;
																BgL_recz00_16013:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16015;

																		BgL_rz00_16015 =
																			PROCEDURE_ENTRY(BgL_fz00_16014)
																			(BgL_fz00_16014, BgL_nsz00_16008, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21967;

																			if (PROCEDUREP(BgL_rz00_16015))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16016;

																					BgL_arg1693z00_16016 =
																						PROCEDURE_ATTR(BgL_rz00_16015);
																					if (STRUCTP(BgL_arg1693z00_16016))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21967 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16016) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21967 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21967 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21967)
																				{
																					obj_t BgL_fz00_21975;

																					BgL_fz00_21975 = BgL_rz00_16015;
																					BgL_fz00_16014 = BgL_fz00_21975;
																					goto BgL_recz00_16013;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16008,
																						((long) 0),
																						BgL_savedzd2bpzd2_16012);
																					BgL_____rz00_16011 = BgL_rz00_16015;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16010);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16007,
																BgL_sz00_13690);
															return BgL_____rz00_16011;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15976,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16017;

												BgL_nbpz00_16017 =
													((long) CINT(BgL_bpz00_15975) + BgL_siza7eza7_13689);
												VECTOR_SET(
													((obj_t) BgL_sz00_13690), ((long) 0),
													BINT(BgL_nbpz00_16017));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21987;

													BgL_tmpz00_21987 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21987,
														BgL_locz00_13687);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16018;

													BgL_rz00_16018 =
														PROCEDURE_ENTRY(BgL_fz00_15976) (BgL_fz00_15976,
														BgL_a1z00_15977, BgL_a2z00_15978, BgL_a3z00_15979,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13690), ((long) 0),
														BgL_bpz00_15975);
													return BgL_rz00_16018;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13687,
													BgL_symbzd2funzd2_13688, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_15976));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2241> */
	obj_t BGl_z62zc3anonymousza32241ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13691, obj_t BgL_sz00_13699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13692;
				obj_t BgL_a1z00_13693;
				obj_t BgL_a2z00_13694;
				obj_t BgL_a3z00_13695;
				obj_t BgL_locz00_13696;
				obj_t BgL_symbzd2funzd2_13697;
				long BgL_siza7eza7_13698;

				BgL_funz00_13692 = PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 0)));
				BgL_a1z00_13693 = PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 1)));
				BgL_a2z00_13694 = PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 2)));
				BgL_a3z00_13695 = PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 3)));
				BgL_locz00_13696 = PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 4)));
				BgL_symbzd2funzd2_13697 =
					PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 5)));
				BgL_siza7eza7_13698 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13691, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16019;

					BgL_bpz00_16019 = VECTOR_REF(((obj_t) BgL_sz00_13699), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16020;
						obj_t BgL_a1z00_16021;
						obj_t BgL_a2z00_16022;
						obj_t BgL_a3z00_16023;

						BgL_fz00_16020 =
							PROCEDURE_ENTRY(BgL_funz00_13692) (BgL_funz00_13692,
							BgL_sz00_13699, BEOA);
						BgL_a1z00_16021 =
							PROCEDURE_ENTRY(BgL_a1z00_13693) (BgL_a1z00_13693, BgL_sz00_13699,
							BEOA);
						BgL_a2z00_16022 =
							PROCEDURE_ENTRY(BgL_a2z00_13694) (BgL_a2z00_13694, BgL_sz00_13699,
							BEOA);
						BgL_a3z00_16023 =
							PROCEDURE_ENTRY(BgL_a3z00_13695) (BgL_a3z00_13695, BgL_sz00_13699,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16020))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13696,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16020);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16024;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22037;

								BgL_tmpz00_22037 = ((obj_t) BgL_fz00_16020);
								BgL_ufz00_16024 = PROCEDURE_ATTR(BgL_tmpz00_22037);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22040;

								if (STRUCTP(BgL_ufz00_16024))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22040 =
											(STRUCT_KEY(BgL_ufz00_16024) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22040 = ((bool_t) 0);
									}
								if (BgL_testz00_22040)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16025;
										obj_t BgL_runz00_16026;
										obj_t BgL_sfz00_16027;

										BgL_arityz00_16025 =
											STRUCT_REF(BgL_ufz00_16024, (int) (((long) 0)));
										BgL_runz00_16026 =
											STRUCT_REF(BgL_ufz00_16024, (int) (((long) 1)));
										BgL_sfz00_16027 =
											STRUCT_REF(BgL_ufz00_16024, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16025) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2245z00_16028;

													BgL_arg2245z00_16028 =
														((long) CINT(BgL_bpz00_16019) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13699), BgL_arg2245z00_16028,
														BgL_a1z00_16021);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2246z00_16029;

													BgL_arg2246z00_16029 =
														((long) CINT(BgL_bpz00_16019) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13699), BgL_arg2246z00_16029,
														BgL_a2z00_16022);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2248z00_16030;

													BgL_arg2248z00_16030 =
														((long) CINT(BgL_bpz00_16019) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13699), BgL_arg2248z00_16030,
														BgL_a3z00_16023);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16025))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16025))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2251z00_16031;
																	obj_t BgL_arg2252z00_16032;

																	BgL_arg2251z00_16031 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2253z00_16033;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2254z00_16034;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2255z00_16035;

																				BgL_arg2255z00_16035 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16023,
																					BNIL);
																				BgL_arg2254z00_16034 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16022,
																					BgL_arg2255z00_16035);
																			}
																			BgL_list2253z00_16033 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16021,
																				BgL_arg2254z00_16034);
																		}
																		BgL_arg2252z00_16032 =
																			BgL_list2253z00_16033;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2251z00_16031, BgL_arg2252z00_16032);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2256z00_16036;

																	BgL_arg2256z00_16036 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2256z00_16036, BgL_a1z00_16021);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2257z00_16037;
																	obj_t BgL_arg2258z00_16038;

																	BgL_arg2257z00_16037 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2259z00_16039;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2260z00_16040;

																			BgL_arg2260z00_16040 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16023, BNIL);
																			BgL_list2259z00_16039 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16022,
																				BgL_arg2260z00_16040);
																		}
																		BgL_arg2258z00_16038 =
																			BgL_list2259z00_16039;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2257z00_16037, BgL_arg2258z00_16038);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2261z00_16041;

																	BgL_arg2261z00_16041 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2261z00_16041, BgL_a1z00_16021);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2262z00_16042;

																	BgL_arg2262z00_16042 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2262z00_16042, BgL_a2z00_16022);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2263z00_16043;
																	obj_t BgL_arg2264z00_16044;

																	BgL_arg2263z00_16043 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2265z00_16045;

																		BgL_list2265z00_16045 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16023, BNIL);
																		BgL_arg2264z00_16044 =
																			BgL_list2265z00_16045;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2263z00_16043, BgL_arg2264z00_16044);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2267z00_16046;

																	BgL_arg2267z00_16046 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2267z00_16046, BgL_a1z00_16021);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2268z00_16047;

																	BgL_arg2268z00_16047 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2268z00_16047, BgL_a2z00_16022);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2269z00_16048;

																	BgL_arg2269z00_16048 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2269z00_16048, BgL_a3z00_16023);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2270z00_16049;
																	obj_t BgL_arg2271z00_16050;

																	BgL_arg2270z00_16049 =
																		((long) CINT(BgL_bpz00_16019) + ((long) 3));
																	BgL_arg2271z00_16050 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2270z00_16049, BgL_arg2271z00_16050);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13696, STRUCT_REF(BgL_ufz00_16024,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16025));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13696, STRUCT_REF(BgL_ufz00_16024,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16025));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16051;

											BgL_z12denvz12_16051 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16019) +
														(long) CINT(BgL_sfz00_16027)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13699))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16026;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16052;

													BgL_nsz00_16052 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2275z00_16053;

														BgL_arg2275z00_16053 =
															((long) CINT(BgL_bpz00_16019) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16052, ((long) 2), BgL_sz00_13699,
															BgL_bpz00_16019, BINT(BgL_arg2275z00_16053));
													}
													VECTOR_SET(BgL_nsz00_16052, ((long) 1),
														BgL_sz00_13699);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16051,
														BgL_nsz00_16052);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16054;

														BgL_ez00_16054 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16054, BgL_sz00_13699);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16055;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16056;

																BgL_savedzd2bpzd2_16056 =
																	VECTOR_REF(BgL_nsz00_16052, ((long) 0));
																VECTOR_SET(BgL_nsz00_16052, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16058;

																	BgL_fz00_16058 = BgL_runz00_16026;
																BgL_recz00_16057:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16059;

																		BgL_rz00_16059 =
																			PROCEDURE_ENTRY(BgL_fz00_16058)
																			(BgL_fz00_16058, BgL_nsz00_16052, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22150;

																			if (PROCEDUREP(BgL_rz00_16059))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16060;

																					BgL_arg1693z00_16060 =
																						PROCEDURE_ATTR(BgL_rz00_16059);
																					if (STRUCTP(BgL_arg1693z00_16060))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22150 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16060) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22150 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22150 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22150)
																				{
																					obj_t BgL_fz00_22158;

																					BgL_fz00_22158 = BgL_rz00_16059;
																					BgL_fz00_16058 = BgL_fz00_22158;
																					goto BgL_recz00_16057;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16052,
																						((long) 0),
																						BgL_savedzd2bpzd2_16056);
																					BgL_____rz00_16055 = BgL_rz00_16059;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16054);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16051,
																BgL_sz00_13699);
															return BgL_____rz00_16055;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16020,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16061;

												BgL_nbpz00_16061 =
													((long) CINT(BgL_bpz00_16019) + BgL_siza7eza7_13698);
												VECTOR_SET(
													((obj_t) BgL_sz00_13699), ((long) 0),
													BINT(BgL_nbpz00_16061));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16062;

													BgL_rz00_16062 =
														PROCEDURE_ENTRY(BgL_fz00_16020) (BgL_fz00_16020,
														BgL_a1z00_16021, BgL_a2z00_16022, BgL_a3z00_16023,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13699), ((long) 0),
														BgL_bpz00_16019);
													return BgL_rz00_16062;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13696,
													BgL_symbzd2funzd2_13697, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16020));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2282> */
	obj_t BGl_z62zc3anonymousza32282ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13700, obj_t BgL_sz00_13708)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13701;
				obj_t BgL_a1z00_13702;
				obj_t BgL_a2z00_13703;
				obj_t BgL_a3z00_13704;
				obj_t BgL_locz00_13705;
				obj_t BgL_symbzd2funzd2_13706;
				long BgL_siza7eza7_13707;

				BgL_funz00_13701 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 0)));
				BgL_a1z00_13702 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 1)));
				BgL_a2z00_13703 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 2)));
				BgL_a3z00_13704 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 3)));
				BgL_locz00_13705 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 4)));
				BgL_symbzd2funzd2_13706 =
					PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 5)));
				BgL_siza7eza7_13707 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16063;

					BgL_bpz00_16063 = VECTOR_REF(((obj_t) BgL_sz00_13708), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16064;
						obj_t BgL_a1z00_16065;
						obj_t BgL_a2z00_16066;
						obj_t BgL_a3z00_16067;

						BgL_fz00_16064 =
							PROCEDURE_ENTRY(BgL_funz00_13701) (BgL_funz00_13701,
							BgL_sz00_13708, BEOA);
						BgL_a1z00_16065 =
							PROCEDURE_ENTRY(BgL_a1z00_13702) (BgL_a1z00_13702, BgL_sz00_13708,
							BEOA);
						BgL_a2z00_16066 =
							PROCEDURE_ENTRY(BgL_a2z00_13703) (BgL_a2z00_13703, BgL_sz00_13708,
							BEOA);
						BgL_a3z00_16067 =
							PROCEDURE_ENTRY(BgL_a3z00_13704) (BgL_a3z00_13704, BgL_sz00_13708,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16064))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13705,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16064);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16068;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22217;

								BgL_tmpz00_22217 = ((obj_t) BgL_fz00_16064);
								BgL_ufz00_16068 = PROCEDURE_ATTR(BgL_tmpz00_22217);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22220;

								if (STRUCTP(BgL_ufz00_16068))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22220 =
											(STRUCT_KEY(BgL_ufz00_16068) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22220 = ((bool_t) 0);
									}
								if (BgL_testz00_22220)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16069;
										obj_t BgL_runz00_16070;
										obj_t BgL_sfz00_16071;

										BgL_arityz00_16069 =
											STRUCT_REF(BgL_ufz00_16068, (int) (((long) 0)));
										BgL_runz00_16070 =
											STRUCT_REF(BgL_ufz00_16068, (int) (((long) 1)));
										BgL_sfz00_16071 =
											STRUCT_REF(BgL_ufz00_16068, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16072;

											BgL_spz00_16072 =
												((long) CINT(BgL_bpz00_16063) + BgL_siza7eza7_13707);
											if (((long) CINT(BgL_arityz00_16069) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2286z00_16073;

														BgL_arg2286z00_16073 =
															(BgL_spz00_16072 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13708), BgL_arg2286z00_16073,
															BgL_a1z00_16065);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2287z00_16074;

														BgL_arg2287z00_16074 =
															(BgL_spz00_16072 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13708), BgL_arg2287z00_16074,
															BgL_a2z00_16066);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2288z00_16075;

														BgL_arg2288z00_16075 =
															(BgL_spz00_16072 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13708), BgL_arg2288z00_16075,
															BgL_a3z00_16067);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16069))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16069))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2291z00_16076;
																		obj_t BgL_arg2293z00_16077;

																		BgL_arg2291z00_16076 =
																			(BgL_spz00_16072 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2294z00_16078;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2295z00_16079;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2297z00_16080;

																					BgL_arg2297z00_16080 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16067,
																						BNIL);
																					BgL_arg2295z00_16079 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16066,
																						BgL_arg2297z00_16080);
																				}
																				BgL_list2294z00_16078 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16065,
																					BgL_arg2295z00_16079);
																			}
																			BgL_arg2293z00_16077 =
																				BgL_list2294z00_16078;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2291z00_16076,
																			BgL_arg2293z00_16077);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2298z00_16081;

																		BgL_arg2298z00_16081 =
																			(BgL_spz00_16072 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2298z00_16081, BgL_a1z00_16065);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2299z00_16082;
																		obj_t BgL_arg2300z00_16083;

																		BgL_arg2299z00_16082 =
																			(BgL_spz00_16072 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2301z00_16084;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2302z00_16085;

																				BgL_arg2302z00_16085 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16067,
																					BNIL);
																				BgL_list2301z00_16084 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16066,
																					BgL_arg2302z00_16085);
																			}
																			BgL_arg2300z00_16083 =
																				BgL_list2301z00_16084;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2299z00_16082,
																			BgL_arg2300z00_16083);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2303z00_16086;

																		BgL_arg2303z00_16086 =
																			(BgL_spz00_16072 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2303z00_16086, BgL_a1z00_16065);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2304z00_16087;

																		BgL_arg2304z00_16087 =
																			(BgL_spz00_16072 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2304z00_16087, BgL_a2z00_16066);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2306z00_16088;
																		obj_t BgL_arg2307z00_16089;

																		BgL_arg2306z00_16088 =
																			(BgL_spz00_16072 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2308z00_16090;

																			BgL_list2308z00_16090 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16067, BNIL);
																			BgL_arg2307z00_16089 =
																				BgL_list2308z00_16090;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2306z00_16088,
																			BgL_arg2307z00_16089);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2310z00_16091;

																		BgL_arg2310z00_16091 =
																			(BgL_spz00_16072 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2310z00_16091, BgL_a1z00_16065);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2311z00_16092;

																		BgL_arg2311z00_16092 =
																			(BgL_spz00_16072 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2311z00_16092, BgL_a2z00_16066);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2312z00_16093;

																		BgL_arg2312z00_16093 =
																			(BgL_spz00_16072 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2312z00_16093, BgL_a3z00_16067);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2313z00_16094;
																		obj_t BgL_arg2314z00_16095;

																		BgL_arg2313z00_16094 =
																			(BgL_spz00_16072 + ((long) 3));
																		BgL_arg2314z00_16095 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13708),
																			BgL_arg2313z00_16094,
																			BgL_arg2314z00_16095);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13705,
																		STRUCT_REF(BgL_ufz00_16068,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16069));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13705, STRUCT_REF(BgL_ufz00_16068,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16069));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16096;

												BgL_z12denvz12_16096 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16096,
													BgL_locz00_13705);
												if (((BgL_spz00_16072 + (long) CINT(BgL_sfz00_16071)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13708))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16070, BgL_sz00_13708,
															BINT(BgL_spz00_16072));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16097;

														BgL_nsz00_16097 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2318z00_16098;

															BgL_arg2318z00_16098 =
																(BgL_spz00_16072 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16097, ((long) 2), BgL_sz00_13708,
																BINT(BgL_spz00_16072),
																BINT(BgL_arg2318z00_16098));
														}
														VECTOR_SET(BgL_nsz00_16097, ((long) 1),
															BgL_sz00_13708);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16096,
															BgL_nsz00_16097);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16099;

															BgL_ez00_16099 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16099, BgL_sz00_13708);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16100;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16101;

																	BgL_savedzd2bpzd2_16101 =
																		VECTOR_REF(BgL_nsz00_16097, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16097, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16103;

																		BgL_fz00_16103 = BgL_runz00_16070;
																	BgL_recz00_16102:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16104;

																			BgL_rz00_16104 =
																				PROCEDURE_ENTRY(BgL_fz00_16103)
																				(BgL_fz00_16103, BgL_nsz00_16097, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22321;

																				if (PROCEDUREP(BgL_rz00_16104))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16105;

																						BgL_arg1693z00_16105 =
																							PROCEDURE_ATTR(BgL_rz00_16104);
																						if (STRUCTP(BgL_arg1693z00_16105))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22321 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16105) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22321 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22321 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22321)
																					{
																						obj_t BgL_fz00_22329;

																						BgL_fz00_22329 = BgL_rz00_16104;
																						BgL_fz00_16103 = BgL_fz00_22329;
																						goto BgL_recz00_16102;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16097,
																							((long) 0),
																							BgL_savedzd2bpzd2_16101);
																						BgL_____rz00_16100 = BgL_rz00_16104;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16099);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16096,
																	BgL_sz00_13708);
																return BgL_____rz00_16100;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16064,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16106;

												BgL_nbpz00_16106 =
													((long) CINT(BgL_bpz00_16063) + BgL_siza7eza7_13707);
												VECTOR_SET(
													((obj_t) BgL_sz00_13708), ((long) 0),
													BINT(BgL_nbpz00_16106));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22341;

													BgL_tmpz00_22341 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22341,
														BgL_locz00_13705);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16107;

													BgL_rz00_16107 =
														PROCEDURE_ENTRY(BgL_fz00_16064) (BgL_fz00_16064,
														BgL_a1z00_16065, BgL_a2z00_16066, BgL_a3z00_16067,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13708), ((long) 0),
														BgL_bpz00_16063);
													return BgL_rz00_16107;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13705,
													BgL_symbzd2funzd2_13706, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16064));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2323> */
	obj_t BGl_z62zc3anonymousza32323ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13709, obj_t BgL_sz00_13717)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13710;
				obj_t BgL_a1z00_13711;
				obj_t BgL_a2z00_13712;
				obj_t BgL_a3z00_13713;
				obj_t BgL_locz00_13714;
				obj_t BgL_symbzd2funzd2_13715;
				long BgL_siza7eza7_13716;

				BgL_funz00_13710 = PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 0)));
				BgL_a1z00_13711 = PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 1)));
				BgL_a2z00_13712 = PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 2)));
				BgL_a3z00_13713 = PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 3)));
				BgL_locz00_13714 = PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 4)));
				BgL_symbzd2funzd2_13715 =
					PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 5)));
				BgL_siza7eza7_13716 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13709, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16108;

					BgL_bpz00_16108 = VECTOR_REF(((obj_t) BgL_sz00_13717), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16109;
						obj_t BgL_a1z00_16110;
						obj_t BgL_a2z00_16111;
						obj_t BgL_a3z00_16112;

						BgL_fz00_16109 =
							PROCEDURE_ENTRY(BgL_funz00_13710) (BgL_funz00_13710,
							BgL_sz00_13717, BEOA);
						BgL_a1z00_16110 =
							PROCEDURE_ENTRY(BgL_a1z00_13711) (BgL_a1z00_13711, BgL_sz00_13717,
							BEOA);
						BgL_a2z00_16111 =
							PROCEDURE_ENTRY(BgL_a2z00_13712) (BgL_a2z00_13712, BgL_sz00_13717,
							BEOA);
						BgL_a3z00_16112 =
							PROCEDURE_ENTRY(BgL_a3z00_13713) (BgL_a3z00_13713, BgL_sz00_13717,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16109))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13714,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16109);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16113;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22391;

								BgL_tmpz00_22391 = ((obj_t) BgL_fz00_16109);
								BgL_ufz00_16113 = PROCEDURE_ATTR(BgL_tmpz00_22391);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22394;

								if (STRUCTP(BgL_ufz00_16113))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22394 =
											(STRUCT_KEY(BgL_ufz00_16113) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22394 = ((bool_t) 0);
									}
								if (BgL_testz00_22394)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16114;
										obj_t BgL_runz00_16115;
										obj_t BgL_sfz00_16116;

										BgL_arityz00_16114 =
											STRUCT_REF(BgL_ufz00_16113, (int) (((long) 0)));
										BgL_runz00_16115 =
											STRUCT_REF(BgL_ufz00_16113, (int) (((long) 1)));
										BgL_sfz00_16116 =
											STRUCT_REF(BgL_ufz00_16113, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16117;

											BgL_spz00_16117 =
												((long) CINT(BgL_bpz00_16108) + BgL_siza7eza7_13716);
											if (((long) CINT(BgL_arityz00_16114) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2327z00_16118;

														BgL_arg2327z00_16118 =
															(BgL_spz00_16117 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13717), BgL_arg2327z00_16118,
															BgL_a1z00_16110);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2328z00_16119;

														BgL_arg2328z00_16119 =
															(BgL_spz00_16117 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13717), BgL_arg2328z00_16119,
															BgL_a2z00_16111);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2329z00_16120;

														BgL_arg2329z00_16120 =
															(BgL_spz00_16117 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13717), BgL_arg2329z00_16120,
															BgL_a3z00_16112);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16114))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16114))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2331z00_16121;
																		obj_t BgL_arg2332z00_16122;

																		BgL_arg2331z00_16121 =
																			(BgL_spz00_16117 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2333z00_16123;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2334z00_16124;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2335z00_16125;

																					BgL_arg2335z00_16125 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16112,
																						BNIL);
																					BgL_arg2334z00_16124 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16111,
																						BgL_arg2335z00_16125);
																				}
																				BgL_list2333z00_16123 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16110,
																					BgL_arg2334z00_16124);
																			}
																			BgL_arg2332z00_16122 =
																				BgL_list2333z00_16123;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2331z00_16121,
																			BgL_arg2332z00_16122);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2336z00_16126;

																		BgL_arg2336z00_16126 =
																			(BgL_spz00_16117 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2336z00_16126, BgL_a1z00_16110);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2337z00_16127;
																		obj_t BgL_arg2338z00_16128;

																		BgL_arg2337z00_16127 =
																			(BgL_spz00_16117 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2339z00_16129;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2340z00_16130;

																				BgL_arg2340z00_16130 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16112,
																					BNIL);
																				BgL_list2339z00_16129 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16111,
																					BgL_arg2340z00_16130);
																			}
																			BgL_arg2338z00_16128 =
																				BgL_list2339z00_16129;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2337z00_16127,
																			BgL_arg2338z00_16128);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2341z00_16131;

																		BgL_arg2341z00_16131 =
																			(BgL_spz00_16117 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2341z00_16131, BgL_a1z00_16110);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2342z00_16132;

																		BgL_arg2342z00_16132 =
																			(BgL_spz00_16117 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2342z00_16132, BgL_a2z00_16111);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2343z00_16133;
																		obj_t BgL_arg2344z00_16134;

																		BgL_arg2343z00_16133 =
																			(BgL_spz00_16117 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2345z00_16135;

																			BgL_list2345z00_16135 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16112, BNIL);
																			BgL_arg2344z00_16134 =
																				BgL_list2345z00_16135;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2343z00_16133,
																			BgL_arg2344z00_16134);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2346z00_16136;

																		BgL_arg2346z00_16136 =
																			(BgL_spz00_16117 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2346z00_16136, BgL_a1z00_16110);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2347z00_16137;

																		BgL_arg2347z00_16137 =
																			(BgL_spz00_16117 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2347z00_16137, BgL_a2z00_16111);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2348z00_16138;

																		BgL_arg2348z00_16138 =
																			(BgL_spz00_16117 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2348z00_16138, BgL_a3z00_16112);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2349z00_16139;
																		obj_t BgL_arg2351z00_16140;

																		BgL_arg2349z00_16139 =
																			(BgL_spz00_16117 + ((long) 3));
																		BgL_arg2351z00_16140 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13717),
																			BgL_arg2349z00_16139,
																			BgL_arg2351z00_16140);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13714,
																		STRUCT_REF(BgL_ufz00_16113,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16114));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13714, STRUCT_REF(BgL_ufz00_16113,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16114));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16141;

												BgL_z12denvz12_16141 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16117 +
															(long) CINT(BgL_sfz00_16116)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13717))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16115, BgL_sz00_13717,
															BINT(BgL_spz00_16117));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16142;

														BgL_nsz00_16142 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2356z00_16143;

															BgL_arg2356z00_16143 =
																(BgL_spz00_16117 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16142, ((long) 2), BgL_sz00_13717,
																BINT(BgL_spz00_16117),
																BINT(BgL_arg2356z00_16143));
														}
														VECTOR_SET(BgL_nsz00_16142, ((long) 1),
															BgL_sz00_13717);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16141,
															BgL_nsz00_16142);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16144;

															BgL_ez00_16144 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16144, BgL_sz00_13717);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16145;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16146;

																	BgL_savedzd2bpzd2_16146 =
																		VECTOR_REF(BgL_nsz00_16142, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16142, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16148;

																		BgL_fz00_16148 = BgL_runz00_16115;
																	BgL_recz00_16147:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16149;

																			BgL_rz00_16149 =
																				PROCEDURE_ENTRY(BgL_fz00_16148)
																				(BgL_fz00_16148, BgL_nsz00_16142, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22494;

																				if (PROCEDUREP(BgL_rz00_16149))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16150;

																						BgL_arg1693z00_16150 =
																							PROCEDURE_ATTR(BgL_rz00_16149);
																						if (STRUCTP(BgL_arg1693z00_16150))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22494 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16150) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22494 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22494 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22494)
																					{
																						obj_t BgL_fz00_22502;

																						BgL_fz00_22502 = BgL_rz00_16149;
																						BgL_fz00_16148 = BgL_fz00_22502;
																						goto BgL_recz00_16147;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16142,
																							((long) 0),
																							BgL_savedzd2bpzd2_16146);
																						BgL_____rz00_16145 = BgL_rz00_16149;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16144);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16141,
																	BgL_sz00_13717);
																return BgL_____rz00_16145;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16109,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16151;

												BgL_nbpz00_16151 =
													((long) CINT(BgL_bpz00_16108) + BgL_siza7eza7_13716);
												VECTOR_SET(
													((obj_t) BgL_sz00_13717), ((long) 0),
													BINT(BgL_nbpz00_16151));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16152;

													BgL_rz00_16152 =
														PROCEDURE_ENTRY(BgL_fz00_16109) (BgL_fz00_16109,
														BgL_a1z00_16110, BgL_a2z00_16111, BgL_a3z00_16112,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13717), ((long) 0),
														BgL_bpz00_16108);
													return BgL_rz00_16152;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13714,
													BgL_symbzd2funzd2_13715, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16109));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2714;

				BgL_cfunz00_2714 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2714))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_22528;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2365z00_2736;

							BgL_arg2365z00_2736 = bgl_debug();
							BgL_testz00_22528 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2365z00_2736),
								BINT(((long) 0)));
						}
						if (BgL_testz00_22528)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32362ze3z83_13718;

								BgL_zc3anonymousza32362ze3z83_13718 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13718,
									(int) (((long) 6)), BgL_cfunz00_2714);
								return BgL_zc3anonymousza32362ze3z83_13718;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32364ze3z83_13719;

								BgL_zc3anonymousza32364ze3z83_13719 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32364ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32364ze3z83_13719,
									(int) (((long) 5)), BgL_cfunz00_2714);
								return BgL_zc3anonymousza32364ze3z83_13719;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22569;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2477z00_2872;

									BgL_arg2477z00_2872 = bgl_debug();
									BgL_testz00_22569 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2477z00_2872),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22569)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32368ze3z83_13720;

										BgL_zc3anonymousza32368ze3z83_13720 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32368ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32368ze3z83_13720,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32368ze3z83_13720;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32426ze3z83_13721;

										BgL_zc3anonymousza32426ze3z83_13721 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32426ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32426ze3z83_13721,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32426ze3z83_13721;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22614;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2614z00_3008;

									BgL_arg2614z00_3008 = bgl_debug();
									BgL_testz00_22614 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2614z00_3008),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22614)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32481ze3z83_13722;

										BgL_zc3anonymousza32481ze3z83_13722 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32481ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32481ze3z83_13722,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32481ze3z83_13722;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32561ze3z83_13723;

										BgL_zc3anonymousza32561ze3z83_13723 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32561ze3z83_13723,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32561ze3z83_13723;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2362> */
	obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13724, obj_t BgL_sz00_13732)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13725;
				obj_t BgL_a2z00_13726;
				obj_t BgL_a3z00_13727;
				obj_t BgL_a4z00_13728;
				long BgL_siza7eza7_13729;
				obj_t BgL_locz00_13730;
				obj_t BgL_cfunz00_13731;

				BgL_a1z00_13725 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 0)));
				BgL_a2z00_13726 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 1)));
				BgL_a3z00_13727 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 2)));
				BgL_a4z00_13728 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 3)));
				BgL_siza7eza7_13729 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 4))));
				BgL_locz00_13730 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 5)));
				BgL_cfunz00_13731 = PROCEDURE_REF(BgL_envz00_13724, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16153;

					BgL_bpz00_16153 = VECTOR_REF(((obj_t) BgL_sz00_13732), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16154;
						obj_t BgL_a2z00_16155;
						obj_t BgL_a3z00_16156;
						obj_t BgL_a4z00_16157;

						BgL_a1z00_16154 =
							PROCEDURE_ENTRY(BgL_a1z00_13725) (BgL_a1z00_13725, BgL_sz00_13732,
							BEOA);
						BgL_a2z00_16155 =
							PROCEDURE_ENTRY(BgL_a2z00_13726) (BgL_a2z00_13726, BgL_sz00_13732,
							BEOA);
						BgL_a3z00_16156 =
							PROCEDURE_ENTRY(BgL_a3z00_13727) (BgL_a3z00_13727, BgL_sz00_13732,
							BEOA);
						BgL_a4z00_16157 =
							PROCEDURE_ENTRY(BgL_a4z00_13728) (BgL_a4z00_13728, BgL_sz00_13732,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16158;

							BgL_nbpz00_16158 =
								((long) CINT(BgL_bpz00_16153) + BgL_siza7eza7_13729);
							VECTOR_SET(
								((obj_t) BgL_sz00_13732), ((long) 0), BINT(BgL_nbpz00_16158));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22697;

								BgL_tmpz00_22697 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22697, BgL_locz00_13730);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16159;

								BgL_rz00_16159 =
									PROCEDURE_ENTRY(BgL_cfunz00_13731) (BgL_cfunz00_13731,
									BgL_a1z00_16154, BgL_a2z00_16155, BgL_a3z00_16156,
									BgL_a4z00_16157, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13732), ((long) 0),
									BgL_bpz00_16153);
								return BgL_rz00_16159;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2364> */
	obj_t BGl_z62zc3anonymousza32364ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13733, obj_t BgL_sz00_13740)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13734;
				obj_t BgL_a2z00_13735;
				obj_t BgL_a3z00_13736;
				obj_t BgL_a4z00_13737;
				long BgL_siza7eza7_13738;
				obj_t BgL_cfunz00_13739;

				BgL_a1z00_13734 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 0)));
				BgL_a2z00_13735 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 1)));
				BgL_a3z00_13736 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 2)));
				BgL_a4z00_13737 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 3)));
				BgL_siza7eza7_13738 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 4))));
				BgL_cfunz00_13739 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16160;

					BgL_bpz00_16160 = VECTOR_REF(((obj_t) BgL_sz00_13740), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16161;
						obj_t BgL_a2z00_16162;
						obj_t BgL_a3z00_16163;
						obj_t BgL_a4z00_16164;

						BgL_a1z00_16161 =
							PROCEDURE_ENTRY(BgL_a1z00_13734) (BgL_a1z00_13734, BgL_sz00_13740,
							BEOA);
						BgL_a2z00_16162 =
							PROCEDURE_ENTRY(BgL_a2z00_13735) (BgL_a2z00_13735, BgL_sz00_13740,
							BEOA);
						BgL_a3z00_16163 =
							PROCEDURE_ENTRY(BgL_a3z00_13736) (BgL_a3z00_13736, BgL_sz00_13740,
							BEOA);
						BgL_a4z00_16164 =
							PROCEDURE_ENTRY(BgL_a4z00_13737) (BgL_a4z00_13737, BgL_sz00_13740,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16165;

							BgL_nbpz00_16165 =
								((long) CINT(BgL_bpz00_16160) + BgL_siza7eza7_13738);
							VECTOR_SET(
								((obj_t) BgL_sz00_13740), ((long) 0), BINT(BgL_nbpz00_16165));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16166;

								BgL_rz00_16166 =
									PROCEDURE_ENTRY(BgL_cfunz00_13739) (BgL_cfunz00_13739,
									BgL_a1z00_16161, BgL_a2z00_16162, BgL_a3z00_16163,
									BgL_a4z00_16164, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13740), ((long) 0),
									BgL_bpz00_16160);
								return BgL_rz00_16166;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2368> */
	obj_t BGl_z62zc3anonymousza32368ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13741, obj_t BgL_sz00_13750)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13742;
				obj_t BgL_a1z00_13743;
				obj_t BgL_a2z00_13744;
				obj_t BgL_a3z00_13745;
				obj_t BgL_a4z00_13746;
				obj_t BgL_locz00_13747;
				obj_t BgL_symbzd2funzd2_13748;
				long BgL_siza7eza7_13749;

				BgL_funz00_13742 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 0)));
				BgL_a1z00_13743 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 1)));
				BgL_a2z00_13744 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 2)));
				BgL_a3z00_13745 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 3)));
				BgL_a4z00_13746 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 4)));
				BgL_locz00_13747 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 5)));
				BgL_symbzd2funzd2_13748 =
					PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 6)));
				BgL_siza7eza7_13749 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16167;

					BgL_bpz00_16167 = VECTOR_REF(((obj_t) BgL_sz00_13750), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16168;
						obj_t BgL_a1z00_16169;
						obj_t BgL_a2z00_16170;
						obj_t BgL_a3z00_16171;
						obj_t BgL_a4z00_16172;

						BgL_fz00_16168 =
							PROCEDURE_ENTRY(BgL_funz00_13742) (BgL_funz00_13742,
							BgL_sz00_13750, BEOA);
						BgL_a1z00_16169 =
							PROCEDURE_ENTRY(BgL_a1z00_13743) (BgL_a1z00_13743, BgL_sz00_13750,
							BEOA);
						BgL_a2z00_16170 =
							PROCEDURE_ENTRY(BgL_a2z00_13744) (BgL_a2z00_13744, BgL_sz00_13750,
							BEOA);
						BgL_a3z00_16171 =
							PROCEDURE_ENTRY(BgL_a3z00_13745) (BgL_a3z00_13745, BgL_sz00_13750,
							BEOA);
						BgL_a4z00_16172 =
							PROCEDURE_ENTRY(BgL_a4z00_13746) (BgL_a4z00_13746, BgL_sz00_13750,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16168))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13747,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16168);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16173;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22796;

								BgL_tmpz00_22796 = ((obj_t) BgL_fz00_16168);
								BgL_ufz00_16173 = PROCEDURE_ATTR(BgL_tmpz00_22796);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22799;

								if (STRUCTP(BgL_ufz00_16173))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22799 =
											(STRUCT_KEY(BgL_ufz00_16173) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22799 = ((bool_t) 0);
									}
								if (BgL_testz00_22799)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16174;
										obj_t BgL_runz00_16175;
										obj_t BgL_sfz00_16176;

										BgL_arityz00_16174 =
											STRUCT_REF(BgL_ufz00_16173, (int) (((long) 0)));
										BgL_runz00_16175 =
											STRUCT_REF(BgL_ufz00_16173, (int) (((long) 1)));
										BgL_sfz00_16176 =
											STRUCT_REF(BgL_ufz00_16173, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16174) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2372z00_16177;

													BgL_arg2372z00_16177 =
														((long) CINT(BgL_bpz00_16167) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13750), BgL_arg2372z00_16177,
														BgL_a1z00_16169);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2373z00_16178;

													BgL_arg2373z00_16178 =
														((long) CINT(BgL_bpz00_16167) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13750), BgL_arg2373z00_16178,
														BgL_a2z00_16170);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2374z00_16179;

													BgL_arg2374z00_16179 =
														((long) CINT(BgL_bpz00_16167) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13750), BgL_arg2374z00_16179,
														BgL_a3z00_16171);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2376z00_16180;

													BgL_arg2376z00_16180 =
														((long) CINT(BgL_bpz00_16167) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13750), BgL_arg2376z00_16180,
														BgL_a4z00_16172);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16174))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16174))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2379z00_16181;
																	obj_t BgL_arg2380z00_16182;

																	BgL_arg2379z00_16181 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2381z00_16183;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2382z00_16184;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2383z00_16185;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2385z00_16186;

																					BgL_arg2385z00_16186 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16172,
																						BNIL);
																					BgL_arg2383z00_16185 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16171,
																						BgL_arg2385z00_16186);
																				}
																				BgL_arg2382z00_16184 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16170,
																					BgL_arg2383z00_16185);
																			}
																			BgL_list2381z00_16183 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16169,
																				BgL_arg2382z00_16184);
																		}
																		BgL_arg2380z00_16182 =
																			BgL_list2381z00_16183;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2379z00_16181, BgL_arg2380z00_16182);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2387z00_16187;

																	BgL_arg2387z00_16187 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2387z00_16187, BgL_a1z00_16169);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2388z00_16188;
																	obj_t BgL_arg2389z00_16189;

																	BgL_arg2388z00_16188 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2390z00_16190;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2391z00_16191;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2392z00_16192;

																				BgL_arg2392z00_16192 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16172,
																					BNIL);
																				BgL_arg2391z00_16191 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16171,
																					BgL_arg2392z00_16192);
																			}
																			BgL_list2390z00_16190 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16170,
																				BgL_arg2391z00_16191);
																		}
																		BgL_arg2389z00_16189 =
																			BgL_list2390z00_16190;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2388z00_16188, BgL_arg2389z00_16189);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2394z00_16193;

																	BgL_arg2394z00_16193 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2394z00_16193, BgL_a1z00_16169);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2395z00_16194;

																	BgL_arg2395z00_16194 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2395z00_16194, BgL_a2z00_16170);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2396z00_16195;
																	obj_t BgL_arg2397z00_16196;

																	BgL_arg2396z00_16195 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2398z00_16197;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2399z00_16198;

																			BgL_arg2399z00_16198 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16172, BNIL);
																			BgL_list2398z00_16197 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16171,
																				BgL_arg2399z00_16198);
																		}
																		BgL_arg2397z00_16196 =
																			BgL_list2398z00_16197;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2396z00_16195, BgL_arg2397z00_16196);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2402z00_16199;

																	BgL_arg2402z00_16199 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2402z00_16199, BgL_a1z00_16169);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2404z00_16200;

																	BgL_arg2404z00_16200 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2404z00_16200, BgL_a2z00_16170);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2405z00_16201;

																	BgL_arg2405z00_16201 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2405z00_16201, BgL_a3z00_16171);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2407z00_16202;
																	obj_t BgL_arg2409z00_16203;

																	BgL_arg2407z00_16202 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2410z00_16204;

																		BgL_list2410z00_16204 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16172, BNIL);
																		BgL_arg2409z00_16203 =
																			BgL_list2410z00_16204;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2407z00_16202, BgL_arg2409z00_16203);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2411z00_16205;

																	BgL_arg2411z00_16205 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2411z00_16205, BgL_a1z00_16169);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2412z00_16206;

																	BgL_arg2412z00_16206 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2412z00_16206, BgL_a2z00_16170);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2414z00_16207;

																	BgL_arg2414z00_16207 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2414z00_16207, BgL_a3z00_16171);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2415z00_16208;

																	BgL_arg2415z00_16208 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2415z00_16208, BgL_a4z00_16172);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2416z00_16209;
																	obj_t BgL_arg2417z00_16210;

																	BgL_arg2416z00_16209 =
																		((long) CINT(BgL_bpz00_16167) + ((long) 4));
																	BgL_arg2417z00_16210 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13750),
																		BgL_arg2416z00_16209, BgL_arg2417z00_16210);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13747, STRUCT_REF(BgL_ufz00_16173,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16174));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13747, STRUCT_REF(BgL_ufz00_16173,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16174));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16211;

											BgL_z12denvz12_16211 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16211,
												BgL_locz00_13747);
											if ((((long) CINT(BgL_bpz00_16167) +
														(long) CINT(BgL_sfz00_16176)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13750))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16175;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16212;

													BgL_nsz00_16212 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2421z00_16213;

														BgL_arg2421z00_16213 =
															((long) CINT(BgL_bpz00_16167) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16212, ((long) 2), BgL_sz00_13750,
															BgL_bpz00_16167, BINT(BgL_arg2421z00_16213));
													}
													VECTOR_SET(BgL_nsz00_16212, ((long) 1),
														BgL_sz00_13750);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16211,
														BgL_nsz00_16212);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16214;

														BgL_ez00_16214 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16214, BgL_sz00_13750);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16215;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16216;

																BgL_savedzd2bpzd2_16216 =
																	VECTOR_REF(BgL_nsz00_16212, ((long) 0));
																VECTOR_SET(BgL_nsz00_16212, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16218;

																	BgL_fz00_16218 = BgL_runz00_16175;
																BgL_recz00_16217:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16219;

																		BgL_rz00_16219 =
																			PROCEDURE_ENTRY(BgL_fz00_16218)
																			(BgL_fz00_16218, BgL_nsz00_16212, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22938;

																			if (PROCEDUREP(BgL_rz00_16219))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16220;

																					BgL_arg1693z00_16220 =
																						PROCEDURE_ATTR(BgL_rz00_16219);
																					if (STRUCTP(BgL_arg1693z00_16220))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22938 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16220) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22938 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22938 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22938)
																				{
																					obj_t BgL_fz00_22946;

																					BgL_fz00_22946 = BgL_rz00_16219;
																					BgL_fz00_16218 = BgL_fz00_22946;
																					goto BgL_recz00_16217;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16212,
																						((long) 0),
																						BgL_savedzd2bpzd2_16216);
																					BgL_____rz00_16215 = BgL_rz00_16219;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16214);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16211,
																BgL_sz00_13750);
															return BgL_____rz00_16215;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16168,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16221;

												BgL_nbpz00_16221 =
													((long) CINT(BgL_bpz00_16167) + BgL_siza7eza7_13749);
												VECTOR_SET(
													((obj_t) BgL_sz00_13750), ((long) 0),
													BINT(BgL_nbpz00_16221));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22958;

													BgL_tmpz00_22958 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22958,
														BgL_locz00_13747);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16222;

													BgL_rz00_16222 =
														PROCEDURE_ENTRY(BgL_fz00_16168) (BgL_fz00_16168,
														BgL_a1z00_16169, BgL_a2z00_16170, BgL_a3z00_16171,
														BgL_a4z00_16172, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13750), ((long) 0),
														BgL_bpz00_16167);
													return BgL_rz00_16222;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13747,
													BgL_symbzd2funzd2_13748, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16168));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2426> */
	obj_t BGl_z62zc3anonymousza32426ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13751, obj_t BgL_sz00_13760)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13752;
				obj_t BgL_a1z00_13753;
				obj_t BgL_a2z00_13754;
				obj_t BgL_a3z00_13755;
				obj_t BgL_a4z00_13756;
				obj_t BgL_locz00_13757;
				obj_t BgL_symbzd2funzd2_13758;
				long BgL_siza7eza7_13759;

				BgL_funz00_13752 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 0)));
				BgL_a1z00_13753 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 1)));
				BgL_a2z00_13754 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 2)));
				BgL_a3z00_13755 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 3)));
				BgL_a4z00_13756 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 4)));
				BgL_locz00_13757 = PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 5)));
				BgL_symbzd2funzd2_13758 =
					PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 6)));
				BgL_siza7eza7_13759 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13751, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16223;

					BgL_bpz00_16223 = VECTOR_REF(((obj_t) BgL_sz00_13760), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16224;
						obj_t BgL_a1z00_16225;
						obj_t BgL_a2z00_16226;
						obj_t BgL_a3z00_16227;
						obj_t BgL_a4z00_16228;

						BgL_fz00_16224 =
							PROCEDURE_ENTRY(BgL_funz00_13752) (BgL_funz00_13752,
							BgL_sz00_13760, BEOA);
						BgL_a1z00_16225 =
							PROCEDURE_ENTRY(BgL_a1z00_13753) (BgL_a1z00_13753, BgL_sz00_13760,
							BEOA);
						BgL_a2z00_16226 =
							PROCEDURE_ENTRY(BgL_a2z00_13754) (BgL_a2z00_13754, BgL_sz00_13760,
							BEOA);
						BgL_a3z00_16227 =
							PROCEDURE_ENTRY(BgL_a3z00_13755) (BgL_a3z00_13755, BgL_sz00_13760,
							BEOA);
						BgL_a4z00_16228 =
							PROCEDURE_ENTRY(BgL_a4z00_13756) (BgL_a4z00_13756, BgL_sz00_13760,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16224))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13757,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16224);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16229;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23015;

								BgL_tmpz00_23015 = ((obj_t) BgL_fz00_16224);
								BgL_ufz00_16229 = PROCEDURE_ATTR(BgL_tmpz00_23015);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23018;

								if (STRUCTP(BgL_ufz00_16229))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23018 =
											(STRUCT_KEY(BgL_ufz00_16229) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23018 = ((bool_t) 0);
									}
								if (BgL_testz00_23018)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16230;
										obj_t BgL_runz00_16231;
										obj_t BgL_sfz00_16232;

										BgL_arityz00_16230 =
											STRUCT_REF(BgL_ufz00_16229, (int) (((long) 0)));
										BgL_runz00_16231 =
											STRUCT_REF(BgL_ufz00_16229, (int) (((long) 1)));
										BgL_sfz00_16232 =
											STRUCT_REF(BgL_ufz00_16229, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16230) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2430z00_16233;

													BgL_arg2430z00_16233 =
														((long) CINT(BgL_bpz00_16223) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13760), BgL_arg2430z00_16233,
														BgL_a1z00_16225);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2431z00_16234;

													BgL_arg2431z00_16234 =
														((long) CINT(BgL_bpz00_16223) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13760), BgL_arg2431z00_16234,
														BgL_a2z00_16226);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2432z00_16235;

													BgL_arg2432z00_16235 =
														((long) CINT(BgL_bpz00_16223) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13760), BgL_arg2432z00_16235,
														BgL_a3z00_16227);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2434z00_16236;

													BgL_arg2434z00_16236 =
														((long) CINT(BgL_bpz00_16223) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13760), BgL_arg2434z00_16236,
														BgL_a4z00_16228);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16230))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16230))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2436z00_16237;
																	obj_t BgL_arg2437z00_16238;

																	BgL_arg2436z00_16237 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2438z00_16239;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2439z00_16240;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2440z00_16241;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2441z00_16242;

																					BgL_arg2441z00_16242 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16228,
																						BNIL);
																					BgL_arg2440z00_16241 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16227,
																						BgL_arg2441z00_16242);
																				}
																				BgL_arg2439z00_16240 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16226,
																					BgL_arg2440z00_16241);
																			}
																			BgL_list2438z00_16239 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16225,
																				BgL_arg2439z00_16240);
																		}
																		BgL_arg2437z00_16238 =
																			BgL_list2438z00_16239;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2436z00_16237, BgL_arg2437z00_16238);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2443z00_16243;

																	BgL_arg2443z00_16243 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2443z00_16243, BgL_a1z00_16225);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2444z00_16244;
																	obj_t BgL_arg2445z00_16245;

																	BgL_arg2444z00_16244 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2446z00_16246;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2447z00_16247;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2448z00_16248;

																				BgL_arg2448z00_16248 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16228,
																					BNIL);
																				BgL_arg2447z00_16247 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16227,
																					BgL_arg2448z00_16248);
																			}
																			BgL_list2446z00_16246 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16226,
																				BgL_arg2447z00_16247);
																		}
																		BgL_arg2445z00_16245 =
																			BgL_list2446z00_16246;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2444z00_16244, BgL_arg2445z00_16245);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2449z00_16249;

																	BgL_arg2449z00_16249 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2449z00_16249, BgL_a1z00_16225);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2451z00_16250;

																	BgL_arg2451z00_16250 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2451z00_16250, BgL_a2z00_16226);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2452z00_16251;
																	obj_t BgL_arg2453z00_16252;

																	BgL_arg2452z00_16251 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2454z00_16253;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2455z00_16254;

																			BgL_arg2455z00_16254 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16228, BNIL);
																			BgL_list2454z00_16253 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16227,
																				BgL_arg2455z00_16254);
																		}
																		BgL_arg2453z00_16252 =
																			BgL_list2454z00_16253;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2452z00_16251, BgL_arg2453z00_16252);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2456z00_16255;

																	BgL_arg2456z00_16255 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2456z00_16255, BgL_a1z00_16225);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2457z00_16256;

																	BgL_arg2457z00_16256 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2457z00_16256, BgL_a2z00_16226);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2459z00_16257;

																	BgL_arg2459z00_16257 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2459z00_16257, BgL_a3z00_16227);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2460z00_16258;
																	obj_t BgL_arg2462z00_16259;

																	BgL_arg2460z00_16258 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2463z00_16260;

																		BgL_list2463z00_16260 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16228, BNIL);
																		BgL_arg2462z00_16259 =
																			BgL_list2463z00_16260;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2460z00_16258, BgL_arg2462z00_16259);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2464z00_16261;

																	BgL_arg2464z00_16261 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2464z00_16261, BgL_a1z00_16225);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2465z00_16262;

																	BgL_arg2465z00_16262 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2465z00_16262, BgL_a2z00_16226);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2467z00_16263;

																	BgL_arg2467z00_16263 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2467z00_16263, BgL_a3z00_16227);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2468z00_16264;

																	BgL_arg2468z00_16264 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2468z00_16264, BgL_a4z00_16228);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2469z00_16265;
																	obj_t BgL_arg2470z00_16266;

																	BgL_arg2469z00_16265 =
																		((long) CINT(BgL_bpz00_16223) + ((long) 4));
																	BgL_arg2470z00_16266 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13760),
																		BgL_arg2469z00_16265, BgL_arg2470z00_16266);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13757, STRUCT_REF(BgL_ufz00_16229,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16230));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13757, STRUCT_REF(BgL_ufz00_16229,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16230));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16267;

											BgL_z12denvz12_16267 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16223) +
														(long) CINT(BgL_sfz00_16232)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13760))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16231;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16268;

													BgL_nsz00_16268 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2474z00_16269;

														BgL_arg2474z00_16269 =
															((long) CINT(BgL_bpz00_16223) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16268, ((long) 2), BgL_sz00_13760,
															BgL_bpz00_16223, BINT(BgL_arg2474z00_16269));
													}
													VECTOR_SET(BgL_nsz00_16268, ((long) 1),
														BgL_sz00_13760);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16267,
														BgL_nsz00_16268);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16270;

														BgL_ez00_16270 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16270, BgL_sz00_13760);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16271;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16272;

																BgL_savedzd2bpzd2_16272 =
																	VECTOR_REF(BgL_nsz00_16268, ((long) 0));
																VECTOR_SET(BgL_nsz00_16268, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16274;

																	BgL_fz00_16274 = BgL_runz00_16231;
																BgL_recz00_16273:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16275;

																		BgL_rz00_16275 =
																			PROCEDURE_ENTRY(BgL_fz00_16274)
																			(BgL_fz00_16274, BgL_nsz00_16268, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_23156;

																			if (PROCEDUREP(BgL_rz00_16275))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16276;

																					BgL_arg1693z00_16276 =
																						PROCEDURE_ATTR(BgL_rz00_16275);
																					if (STRUCTP(BgL_arg1693z00_16276))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23156 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16276) ==
																								BGl_symbol5748z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23156 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_23156 = ((bool_t) 0);
																				}
																			if (BgL_testz00_23156)
																				{
																					obj_t BgL_fz00_23164;

																					BgL_fz00_23164 = BgL_rz00_16275;
																					BgL_fz00_16274 = BgL_fz00_23164;
																					goto BgL_recz00_16273;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16268,
																						((long) 0),
																						BgL_savedzd2bpzd2_16272);
																					BgL_____rz00_16271 = BgL_rz00_16275;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16270);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16267,
																BgL_sz00_13760);
															return BgL_____rz00_16271;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16224,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16277;

												BgL_nbpz00_16277 =
													((long) CINT(BgL_bpz00_16223) + BgL_siza7eza7_13759);
												VECTOR_SET(
													((obj_t) BgL_sz00_13760), ((long) 0),
													BINT(BgL_nbpz00_16277));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16278;

													BgL_rz00_16278 =
														PROCEDURE_ENTRY(BgL_fz00_16224) (BgL_fz00_16224,
														BgL_a1z00_16225, BgL_a2z00_16226, BgL_a3z00_16227,
														BgL_a4z00_16228, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13760), ((long) 0),
														BgL_bpz00_16223);
													return BgL_rz00_16278;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13757,
													BgL_symbzd2funzd2_13758, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16224));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2481> */
	obj_t BGl_z62zc3anonymousza32481ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13761, obj_t BgL_sz00_13770)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13762;
				obj_t BgL_a1z00_13763;
				obj_t BgL_a2z00_13764;
				obj_t BgL_a3z00_13765;
				obj_t BgL_a4z00_13766;
				obj_t BgL_locz00_13767;
				obj_t BgL_symbzd2funzd2_13768;
				long BgL_siza7eza7_13769;

				BgL_funz00_13762 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 0)));
				BgL_a1z00_13763 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 1)));
				BgL_a2z00_13764 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 2)));
				BgL_a3z00_13765 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 3)));
				BgL_a4z00_13766 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 4)));
				BgL_locz00_13767 = PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 5)));
				BgL_symbzd2funzd2_13768 =
					PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 6)));
				BgL_siza7eza7_13769 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13761, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16279;

					BgL_bpz00_16279 = VECTOR_REF(((obj_t) BgL_sz00_13770), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16280;
						obj_t BgL_a1z00_16281;
						obj_t BgL_a2z00_16282;
						obj_t BgL_a3z00_16283;
						obj_t BgL_a4z00_16284;

						BgL_fz00_16280 =
							PROCEDURE_ENTRY(BgL_funz00_13762) (BgL_funz00_13762,
							BgL_sz00_13770, BEOA);
						BgL_a1z00_16281 =
							PROCEDURE_ENTRY(BgL_a1z00_13763) (BgL_a1z00_13763, BgL_sz00_13770,
							BEOA);
						BgL_a2z00_16282 =
							PROCEDURE_ENTRY(BgL_a2z00_13764) (BgL_a2z00_13764, BgL_sz00_13770,
							BEOA);
						BgL_a3z00_16283 =
							PROCEDURE_ENTRY(BgL_a3z00_13765) (BgL_a3z00_13765, BgL_sz00_13770,
							BEOA);
						BgL_a4z00_16284 =
							PROCEDURE_ENTRY(BgL_a4z00_13766) (BgL_a4z00_13766, BgL_sz00_13770,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16280))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13767,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16280);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16285;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23230;

								BgL_tmpz00_23230 = ((obj_t) BgL_fz00_16280);
								BgL_ufz00_16285 = PROCEDURE_ATTR(BgL_tmpz00_23230);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23233;

								if (STRUCTP(BgL_ufz00_16285))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23233 =
											(STRUCT_KEY(BgL_ufz00_16285) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23233 = ((bool_t) 0);
									}
								if (BgL_testz00_23233)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16286;
										obj_t BgL_runz00_16287;
										obj_t BgL_sfz00_16288;

										BgL_arityz00_16286 =
											STRUCT_REF(BgL_ufz00_16285, (int) (((long) 0)));
										BgL_runz00_16287 =
											STRUCT_REF(BgL_ufz00_16285, (int) (((long) 1)));
										BgL_sfz00_16288 =
											STRUCT_REF(BgL_ufz00_16285, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16289;

											BgL_spz00_16289 =
												((long) CINT(BgL_bpz00_16279) + BgL_siza7eza7_13769);
											if (((long) CINT(BgL_arityz00_16286) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2486z00_16290;

														BgL_arg2486z00_16290 =
															(BgL_spz00_16289 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13770), BgL_arg2486z00_16290,
															BgL_a1z00_16281);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2487z00_16291;

														BgL_arg2487z00_16291 =
															(BgL_spz00_16289 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13770), BgL_arg2487z00_16291,
															BgL_a2z00_16282);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2490z00_16292;

														BgL_arg2490z00_16292 =
															(BgL_spz00_16289 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13770), BgL_arg2490z00_16292,
															BgL_a3z00_16283);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2492z00_16293;

														BgL_arg2492z00_16293 =
															(BgL_spz00_16289 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13770), BgL_arg2492z00_16293,
															BgL_a4z00_16284);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16286))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16286))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2503z00_16294;
																		obj_t BgL_arg2504z00_16295;

																		BgL_arg2503z00_16294 =
																			(BgL_spz00_16289 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2505z00_16296;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2507z00_16297;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2508z00_16298;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2511z00_16299;

																						BgL_arg2511z00_16299 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16284,
																							BNIL);
																						BgL_arg2508z00_16298 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16283,
																							BgL_arg2511z00_16299);
																					}
																					BgL_arg2507z00_16297 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16282,
																						BgL_arg2508z00_16298);
																				}
																				BgL_list2505z00_16296 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16281,
																					BgL_arg2507z00_16297);
																			}
																			BgL_arg2504z00_16295 =
																				BgL_list2505z00_16296;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2503z00_16294,
																			BgL_arg2504z00_16295);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2512z00_16300;

																		BgL_arg2512z00_16300 =
																			(BgL_spz00_16289 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2512z00_16300, BgL_a1z00_16281);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2515z00_16301;
																		obj_t BgL_arg2516z00_16302;

																		BgL_arg2515z00_16301 =
																			(BgL_spz00_16289 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2517z00_16303;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2518z00_16304;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2522z00_16305;

																					BgL_arg2522z00_16305 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16284,
																						BNIL);
																					BgL_arg2518z00_16304 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16283,
																						BgL_arg2522z00_16305);
																				}
																				BgL_list2517z00_16303 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16282,
																					BgL_arg2518z00_16304);
																			}
																			BgL_arg2516z00_16302 =
																				BgL_list2517z00_16303;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2515z00_16301,
																			BgL_arg2516z00_16302);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2531z00_16306;

																		BgL_arg2531z00_16306 =
																			(BgL_spz00_16289 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2531z00_16306, BgL_a1z00_16281);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2532z00_16307;

																		BgL_arg2532z00_16307 =
																			(BgL_spz00_16289 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2532z00_16307, BgL_a2z00_16282);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2533z00_16308;
																		obj_t BgL_arg2534z00_16309;

																		BgL_arg2533z00_16308 =
																			(BgL_spz00_16289 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2535z00_16310;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2536z00_16311;

																				BgL_arg2536z00_16311 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16284,
																					BNIL);
																				BgL_list2535z00_16310 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16283,
																					BgL_arg2536z00_16311);
																			}
																			BgL_arg2534z00_16309 =
																				BgL_list2535z00_16310;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2533z00_16308,
																			BgL_arg2534z00_16309);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2537z00_16312;

																		BgL_arg2537z00_16312 =
																			(BgL_spz00_16289 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2537z00_16312, BgL_a1z00_16281);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2538z00_16313;

																		BgL_arg2538z00_16313 =
																			(BgL_spz00_16289 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2538z00_16313, BgL_a2z00_16282);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2539z00_16314;

																		BgL_arg2539z00_16314 =
																			(BgL_spz00_16289 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2539z00_16314, BgL_a3z00_16283);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2541z00_16315;
																		obj_t BgL_arg2542z00_16316;

																		BgL_arg2541z00_16315 =
																			(BgL_spz00_16289 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2543z00_16317;

																			BgL_list2543z00_16317 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16284, BNIL);
																			BgL_arg2542z00_16316 =
																				BgL_list2543z00_16317;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2541z00_16315,
																			BgL_arg2542z00_16316);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2544z00_16318;

																		BgL_arg2544z00_16318 =
																			(BgL_spz00_16289 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2544z00_16318, BgL_a1z00_16281);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2546z00_16319;

																		BgL_arg2546z00_16319 =
																			(BgL_spz00_16289 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2546z00_16319, BgL_a2z00_16282);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2547z00_16320;

																		BgL_arg2547z00_16320 =
																			(BgL_spz00_16289 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2547z00_16320, BgL_a3z00_16283);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2548z00_16321;

																		BgL_arg2548z00_16321 =
																			(BgL_spz00_16289 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2548z00_16321, BgL_a4z00_16284);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2549z00_16322;
																		obj_t BgL_arg2550z00_16323;

																		BgL_arg2549z00_16322 =
																			(BgL_spz00_16289 + ((long) 4));
																		BgL_arg2550z00_16323 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13770),
																			BgL_arg2549z00_16322,
																			BgL_arg2550z00_16323);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13767,
																		STRUCT_REF(BgL_ufz00_16285,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16286));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13767, STRUCT_REF(BgL_ufz00_16285,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16286));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16324;

												BgL_z12denvz12_16324 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16324,
													BgL_locz00_13767);
												if (((BgL_spz00_16289 + (long) CINT(BgL_sfz00_16288)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13770))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16287, BgL_sz00_13770,
															BINT(BgL_spz00_16289));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16325;

														BgL_nsz00_16325 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2556z00_16326;

															BgL_arg2556z00_16326 =
																(BgL_spz00_16289 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16325, ((long) 2), BgL_sz00_13770,
																BINT(BgL_spz00_16289),
																BINT(BgL_arg2556z00_16326));
														}
														VECTOR_SET(BgL_nsz00_16325, ((long) 1),
															BgL_sz00_13770);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16324,
															BgL_nsz00_16325);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16327;

															BgL_ez00_16327 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16327, BgL_sz00_13770);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16328;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16329;

																	BgL_savedzd2bpzd2_16329 =
																		VECTOR_REF(BgL_nsz00_16325, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16325, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16331;

																		BgL_fz00_16331 = BgL_runz00_16287;
																	BgL_recz00_16330:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16332;

																			BgL_rz00_16332 =
																				PROCEDURE_ENTRY(BgL_fz00_16331)
																				(BgL_fz00_16331, BgL_nsz00_16325, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23356;

																				if (PROCEDUREP(BgL_rz00_16332))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16333;

																						BgL_arg1693z00_16333 =
																							PROCEDURE_ATTR(BgL_rz00_16332);
																						if (STRUCTP(BgL_arg1693z00_16333))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23356 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16333) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23356 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23356 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23356)
																					{
																						obj_t BgL_fz00_23364;

																						BgL_fz00_23364 = BgL_rz00_16332;
																						BgL_fz00_16331 = BgL_fz00_23364;
																						goto BgL_recz00_16330;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16325,
																							((long) 0),
																							BgL_savedzd2bpzd2_16329);
																						BgL_____rz00_16328 = BgL_rz00_16332;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16327);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16324,
																	BgL_sz00_13770);
																return BgL_____rz00_16328;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16280,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16334;

												BgL_nbpz00_16334 =
													((long) CINT(BgL_bpz00_16279) + BgL_siza7eza7_13769);
												VECTOR_SET(
													((obj_t) BgL_sz00_13770), ((long) 0),
													BINT(BgL_nbpz00_16334));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_23376;

													BgL_tmpz00_23376 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23376,
														BgL_locz00_13767);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16335;

													BgL_rz00_16335 =
														PROCEDURE_ENTRY(BgL_fz00_16280) (BgL_fz00_16280,
														BgL_a1z00_16281, BgL_a2z00_16282, BgL_a3z00_16283,
														BgL_a4z00_16284, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13770), ((long) 0),
														BgL_bpz00_16279);
													return BgL_rz00_16335;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13767,
													BgL_symbzd2funzd2_13768, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16280));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2561> */
	obj_t BGl_z62zc3anonymousza32561ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13771, obj_t BgL_sz00_13780)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13772;
				obj_t BgL_a1z00_13773;
				obj_t BgL_a2z00_13774;
				obj_t BgL_a3z00_13775;
				obj_t BgL_a4z00_13776;
				obj_t BgL_locz00_13777;
				obj_t BgL_symbzd2funzd2_13778;
				long BgL_siza7eza7_13779;

				BgL_funz00_13772 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 0)));
				BgL_a1z00_13773 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 1)));
				BgL_a2z00_13774 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 2)));
				BgL_a3z00_13775 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 3)));
				BgL_a4z00_13776 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 4)));
				BgL_locz00_13777 = PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 5)));
				BgL_symbzd2funzd2_13778 =
					PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 6)));
				BgL_siza7eza7_13779 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13771, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16336;

					BgL_bpz00_16336 = VECTOR_REF(((obj_t) BgL_sz00_13780), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16337;
						obj_t BgL_a1z00_16338;
						obj_t BgL_a2z00_16339;
						obj_t BgL_a3z00_16340;
						obj_t BgL_a4z00_16341;

						BgL_fz00_16337 =
							PROCEDURE_ENTRY(BgL_funz00_13772) (BgL_funz00_13772,
							BgL_sz00_13780, BEOA);
						BgL_a1z00_16338 =
							PROCEDURE_ENTRY(BgL_a1z00_13773) (BgL_a1z00_13773, BgL_sz00_13780,
							BEOA);
						BgL_a2z00_16339 =
							PROCEDURE_ENTRY(BgL_a2z00_13774) (BgL_a2z00_13774, BgL_sz00_13780,
							BEOA);
						BgL_a3z00_16340 =
							PROCEDURE_ENTRY(BgL_a3z00_13775) (BgL_a3z00_13775, BgL_sz00_13780,
							BEOA);
						BgL_a4z00_16341 =
							PROCEDURE_ENTRY(BgL_a4z00_13776) (BgL_a4z00_13776, BgL_sz00_13780,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16337))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13777,
									BGl_string5752z00zz__evaluate_compz00,
									BGl_string5768z00zz__evaluate_compz00, BgL_fz00_16337);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16342;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23433;

								BgL_tmpz00_23433 = ((obj_t) BgL_fz00_16337);
								BgL_ufz00_16342 = PROCEDURE_ATTR(BgL_tmpz00_23433);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23436;

								if (STRUCTP(BgL_ufz00_16342))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23436 =
											(STRUCT_KEY(BgL_ufz00_16342) ==
											BGl_symbol5769z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23436 = ((bool_t) 0);
									}
								if (BgL_testz00_23436)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16343;
										obj_t BgL_runz00_16344;
										obj_t BgL_sfz00_16345;

										BgL_arityz00_16343 =
											STRUCT_REF(BgL_ufz00_16342, (int) (((long) 0)));
										BgL_runz00_16344 =
											STRUCT_REF(BgL_ufz00_16342, (int) (((long) 1)));
										BgL_sfz00_16345 =
											STRUCT_REF(BgL_ufz00_16342, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16346;

											BgL_spz00_16346 =
												((long) CINT(BgL_bpz00_16336) + BgL_siza7eza7_13779);
											if (((long) CINT(BgL_arityz00_16343) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2565z00_16347;

														BgL_arg2565z00_16347 =
															(BgL_spz00_16346 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13780), BgL_arg2565z00_16347,
															BgL_a1z00_16338);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2566z00_16348;

														BgL_arg2566z00_16348 =
															(BgL_spz00_16346 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13780), BgL_arg2566z00_16348,
															BgL_a2z00_16339);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2567z00_16349;

														BgL_arg2567z00_16349 =
															(BgL_spz00_16346 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13780), BgL_arg2567z00_16349,
															BgL_a3z00_16340);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2568z00_16350;

														BgL_arg2568z00_16350 =
															(BgL_spz00_16346 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13780), BgL_arg2568z00_16350,
															BgL_a4z00_16341);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16343))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16343))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2570z00_16351;
																		obj_t BgL_arg2571z00_16352;

																		BgL_arg2570z00_16351 =
																			(BgL_spz00_16346 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2572z00_16353;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2573z00_16354;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2575z00_16355;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2576z00_16356;

																						BgL_arg2576z00_16356 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16341,
																							BNIL);
																						BgL_arg2575z00_16355 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16340,
																							BgL_arg2576z00_16356);
																					}
																					BgL_arg2573z00_16354 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16339,
																						BgL_arg2575z00_16355);
																				}
																				BgL_list2572z00_16353 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16338,
																					BgL_arg2573z00_16354);
																			}
																			BgL_arg2571z00_16352 =
																				BgL_list2572z00_16353;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2570z00_16351,
																			BgL_arg2571z00_16352);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2577z00_16357;

																		BgL_arg2577z00_16357 =
																			(BgL_spz00_16346 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2577z00_16357, BgL_a1z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2578z00_16358;
																		obj_t BgL_arg2580z00_16359;

																		BgL_arg2578z00_16358 =
																			(BgL_spz00_16346 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2581z00_16360;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2582z00_16361;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2583z00_16362;

																					BgL_arg2583z00_16362 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16341,
																						BNIL);
																					BgL_arg2582z00_16361 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16340,
																						BgL_arg2583z00_16362);
																				}
																				BgL_list2581z00_16360 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16339,
																					BgL_arg2582z00_16361);
																			}
																			BgL_arg2580z00_16359 =
																				BgL_list2581z00_16360;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2578z00_16358,
																			BgL_arg2580z00_16359);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2585z00_16363;

																		BgL_arg2585z00_16363 =
																			(BgL_spz00_16346 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2585z00_16363, BgL_a1z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2587z00_16364;

																		BgL_arg2587z00_16364 =
																			(BgL_spz00_16346 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2587z00_16364, BgL_a2z00_16339);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2588z00_16365;
																		obj_t BgL_arg2589z00_16366;

																		BgL_arg2588z00_16365 =
																			(BgL_spz00_16346 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2590z00_16367;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2591z00_16368;

																				BgL_arg2591z00_16368 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16341,
																					BNIL);
																				BgL_list2590z00_16367 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16340,
																					BgL_arg2591z00_16368);
																			}
																			BgL_arg2589z00_16366 =
																				BgL_list2590z00_16367;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2588z00_16365,
																			BgL_arg2589z00_16366);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2592z00_16369;

																		BgL_arg2592z00_16369 =
																			(BgL_spz00_16346 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2592z00_16369, BgL_a1z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2593z00_16370;

																		BgL_arg2593z00_16370 =
																			(BgL_spz00_16346 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2593z00_16370, BgL_a2z00_16339);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2594z00_16371;

																		BgL_arg2594z00_16371 =
																			(BgL_spz00_16346 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2594z00_16371, BgL_a3z00_16340);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2595z00_16372;
																		obj_t BgL_arg2597z00_16373;

																		BgL_arg2595z00_16372 =
																			(BgL_spz00_16346 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2598z00_16374;

																			BgL_list2598z00_16374 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16341, BNIL);
																			BgL_arg2597z00_16373 =
																				BgL_list2598z00_16374;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2595z00_16372,
																			BgL_arg2597z00_16373);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2599z00_16375;

																		BgL_arg2599z00_16375 =
																			(BgL_spz00_16346 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2599z00_16375, BgL_a1z00_16338);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2600z00_16376;

																		BgL_arg2600z00_16376 =
																			(BgL_spz00_16346 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2600z00_16376, BgL_a2z00_16339);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2601z00_16377;

																		BgL_arg2601z00_16377 =
																			(BgL_spz00_16346 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2601z00_16377, BgL_a3z00_16340);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2602z00_16378;

																		BgL_arg2602z00_16378 =
																			(BgL_spz00_16346 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2602z00_16378, BgL_a4z00_16341);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2604z00_16379;
																		obj_t BgL_arg2606z00_16380;

																		BgL_arg2604z00_16379 =
																			(BgL_spz00_16346 + ((long) 4));
																		BgL_arg2606z00_16380 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13780),
																			BgL_arg2604z00_16379,
																			BgL_arg2606z00_16380);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13777,
																		STRUCT_REF(BgL_ufz00_16342,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16343));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13777, STRUCT_REF(BgL_ufz00_16342,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16343));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16381;

												BgL_z12denvz12_16381 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16346 +
															(long) CINT(BgL_sfz00_16345)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13780))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16344, BgL_sz00_13780,
															BINT(BgL_spz00_16346));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16382;

														BgL_nsz00_16382 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2611z00_16383;

															BgL_arg2611z00_16383 =
																(BgL_spz00_16346 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16382, ((long) 2), BgL_sz00_13780,
																BINT(BgL_spz00_16346),
																BINT(BgL_arg2611z00_16383));
														}
														VECTOR_SET(BgL_nsz00_16382, ((long) 1),
															BgL_sz00_13780);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16381,
															BgL_nsz00_16382);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16384;

															BgL_ez00_16384 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16384, BgL_sz00_13780);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16385;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16386;

																	BgL_savedzd2bpzd2_16386 =
																		VECTOR_REF(BgL_nsz00_16382, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16382, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16388;

																		BgL_fz00_16388 = BgL_runz00_16344;
																	BgL_recz00_16387:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16389;

																			BgL_rz00_16389 =
																				PROCEDURE_ENTRY(BgL_fz00_16388)
																				(BgL_fz00_16388, BgL_nsz00_16382, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23558;

																				if (PROCEDUREP(BgL_rz00_16389))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16390;

																						BgL_arg1693z00_16390 =
																							PROCEDURE_ATTR(BgL_rz00_16389);
																						if (STRUCTP(BgL_arg1693z00_16390))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23558 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16390) ==
																									BGl_symbol5748z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23558 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23558 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23558)
																					{
																						obj_t BgL_fz00_23566;

																						BgL_fz00_23566 = BgL_rz00_16389;
																						BgL_fz00_16388 = BgL_fz00_23566;
																						goto BgL_recz00_16387;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16382,
																							((long) 0),
																							BgL_savedzd2bpzd2_16386);
																						BgL_____rz00_16385 = BgL_rz00_16389;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16384);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16381,
																	BgL_sz00_13780);
																return BgL_____rz00_16385;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16337,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16391;

												BgL_nbpz00_16391 =
													((long) CINT(BgL_bpz00_16336) + BgL_siza7eza7_13779);
												VECTOR_SET(
													((obj_t) BgL_sz00_13780), ((long) 0),
													BINT(BgL_nbpz00_16391));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16392;

													BgL_rz00_16392 =
														PROCEDURE_ENTRY(BgL_fz00_16337) (BgL_fz00_16337,
														BgL_a1z00_16338, BgL_a2z00_16339, BgL_a3z00_16340,
														BgL_a4z00_16341, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13780), ((long) 0),
														BgL_bpz00_16336);
													return BgL_rz00_16392;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13777,
													BgL_symbzd2funzd2_13778, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16337));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 892 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_gz00_3011;

					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_arg2621z00_3019;
						obj_t BgL_arg2622z00_3020;

						BgL_arg2621z00_3019 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
						BgL_arg2622z00_3020 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
						BgL_gz00_3011 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg2621z00_3019, BgL_arg2622z00_3020);
					}
					if (CBOOL(BgL_gz00_3011))
						{	/* Eval/evaluate_comp.scm 898 */
							bool_t BgL_testz00_23600;

							{	/* Eval/evaluate_comp.scm 898 */
								int BgL_arg2620z00_3018;

								{	/* Eval/evaluate_comp.scm 898 */
									int BgL_res4932z00_9283;

									BgL_res4932z00_9283 =
										CINT(VECTOR_REF(((obj_t) BgL_gz00_3011), ((long) 0)));
									BgL_arg2620z00_3018 = BgL_res4932z00_9283;
								}
								BgL_testz00_23600 =
									((long) (BgL_arg2620z00_3018) == ((long) 0));
							}
							if (BgL_testz00_23600)
								{	/* Eval/evaluate_comp.scm 899 */
									obj_t BgL_valz00_3014;

									BgL_valz00_3014 =
										VECTOR_REF(((obj_t) BgL_gz00_3011), ((long) 2));
									{	/* Eval/evaluate_comp.scm 900 */
										bool_t BgL_testz00_23608;

										if (PROCEDUREP(BgL_valz00_3014))
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23608 =
													PROCEDURE_CORRECT_ARITYP(BgL_valz00_3014,
													(int) (BgL_nbargsz00_184));
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23608 = ((bool_t) 0);
											}
										if (BgL_testz00_23608)
											{	/* Eval/evaluate_comp.scm 900 */
												return BgL_valz00_3014;
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 898 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 897 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 903 */
					bool_t BgL_testz00_23613;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 904 */
							obj_t BgL_tmpz00_23617;

							BgL_tmpz00_23617 =
								(((BgL_ev_littz00_bglt) COBJECT(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_23613 = PROCEDUREP(BgL_tmpz00_23617);
						}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							BgL_testz00_23613 = ((bool_t) 0);
						}
					if (BgL_testz00_23613)
						{	/* Eval/evaluate_comp.scm 906 */
							bool_t BgL_testz00_23621;

							{	/* Eval/evaluate_comp.scm 906 */
								obj_t BgL_arg2631z00_3030;

								BgL_arg2631z00_3030 =
									(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								BgL_testz00_23621 =
									PROCEDURE_CORRECT_ARITYP(BgL_arg2631z00_3030,
									(int) (BgL_nbargsz00_184));
							}
							if (BgL_testz00_23621)
								{	/* Eval/evaluate_comp.scm 906 */
									return
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 908 */
									int BgL_arg2628z00_3028;

									{	/* Eval/evaluate_comp.scm 908 */
										obj_t BgL_arg2629z00_3029;

										BgL_arg2629z00_3029 =
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
										BgL_arg2628z00_3028 = PROCEDURE_ARITY(BgL_arg2629z00_3029);
									}
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										BgL_arg2628z00_3028);
						}}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							return BFALSE;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 911 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 915 */
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) COBJECT(
										((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 917 */
							obj_t BgL_v1346z00_3039;

							BgL_v1346z00_3039 = create_vector(((long) 2));
							VECTOR_SET(BgL_v1346z00_3039, ((long) 0), BINT(((long) 1)));
							{	/* Eval/evaluate_comp.scm 917 */
								double BgL_arg2636z00_3040;

								BgL_arg2636z00_3040 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00)));
								VECTOR_SET(BgL_v1346z00_3039, ((long) 1),
									DOUBLE_TO_REAL(BgL_arg2636z00_3040));
							}
							return BgL_v1346z00_3039;
						}
					else
						{	/* Eval/evaluate_comp.scm 918 */
							bool_t BgL_testz00_23648;

							{	/* Eval/evaluate_comp.scm 918 */
								obj_t BgL_tmpz00_23649;

								BgL_tmpz00_23649 =
									(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00);
								BgL_testz00_23648 = REALP(BgL_tmpz00_23649);
							}
							if (BgL_testz00_23648)
								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_v1347z00_3044;

									BgL_v1347z00_3044 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1347z00_3044, ((long) 0), BINT(((long) 1)));
									{	/* Eval/evaluate_comp.scm 918 */
										obj_t BgL_arg2640z00_3045;

										BgL_arg2640z00_3045 =
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00);
										VECTOR_SET(BgL_v1347z00_3044, ((long) 1),
											BgL_arg2640z00_3045);
									}
									return BgL_v1347z00_3044;
								}
							else
								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_v1348z00_3046;

									BgL_v1348z00_3046 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1348z00_3046, ((long) 0), BINT(((long) 0)));
									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_arg2641z00_3047;

										BgL_arg2641z00_3047 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1348z00_3046, ((long) 1),
											BgL_arg2641z00_3047);
									}
									return BgL_v1348z00_3046;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 915 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 920 */
							if (CBOOL(
									(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_exprz00_187)))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 923 */
									obj_t BgL_v1349z00_3053;

									BgL_v1349z00_3053 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1349z00_3053, ((long) 0), BINT(((long) 3)));
									VECTOR_SET(BgL_v1349z00_3053, ((long) 1),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1349z00_3053;
								}
							else
								{	/* Eval/evaluate_comp.scm 924 */
									obj_t BgL_v1350z00_3055;

									BgL_v1350z00_3055 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1350z00_3055, ((long) 0), BINT(((long) 2)));
									VECTOR_SET(BgL_v1350z00_3055, ((long) 1),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1350z00_3055;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 920 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 927 */
									obj_t BgL_gz00_3059;

									{	/* Eval/evaluate_comp.scm 927 */
										obj_t BgL_arg2653z00_3067;
										obj_t BgL_arg2654z00_3068;

										BgL_arg2653z00_3067 =
											(((BgL_ev_globalz00_bglt) COBJECT(
													((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
											BgL_modz00);
										BgL_arg2654z00_3068 =
											(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
														BgL_exprz00_187)))->BgL_namez00);
										BgL_gz00_3059 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg2653z00_3067, BgL_arg2654z00_3068);
									}
									if (CBOOL(BgL_gz00_3059))
										{	/* Eval/evaluate_comp.scm 929 */
											bool_t BgL_testz00_23691;

											{	/* Eval/evaluate_comp.scm 929 */
												int BgL_arg2651z00_3064;

												{	/* Eval/evaluate_comp.scm 929 */
													int BgL_res4939z00_9306;

													BgL_res4939z00_9306 =
														CINT(VECTOR_REF(
															((obj_t) BgL_gz00_3059), ((long) 0)));
													BgL_arg2651z00_3064 = BgL_res4939z00_9306;
												}
												BgL_testz00_23691 =
													(BINT(BgL_arg2651z00_3064) == BINT(((long) 1)));
											}
											if (BgL_testz00_23691)
												{	/* Eval/evaluate_comp.scm 930 */
													obj_t BgL_v1351z00_3062;

													BgL_v1351z00_3062 = create_vector(((long) 2));
													VECTOR_SET(BgL_v1351z00_3062, ((long) 0),
														BINT(((long) 4)));
													VECTOR_SET(BgL_v1351z00_3062, ((long) 1),
														BgL_gz00_3059);
													return BgL_v1351z00_3062;
												}
											else
												{	/* Eval/evaluate_comp.scm 931 */
													obj_t BgL_v1352z00_3063;

													BgL_v1352z00_3063 = create_vector(((long) 2));
													VECTOR_SET(BgL_v1352z00_3063, ((long) 0),
														BINT(((long) 5)));
													VECTOR_SET(BgL_v1352z00_3063, ((long) 1),
														BgL_gz00_3059);
													return BgL_v1352z00_3063;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 932 */
											obj_t BgL_v1353z00_3065;

											BgL_v1353z00_3065 = create_vector(((long) 2));
											VECTOR_SET(BgL_v1353z00_3065, ((long) 0),
												BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 932 */
												obj_t BgL_arg2652z00_3066;

												BgL_arg2652z00_3066 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt)
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1353z00_3065, ((long) 1),
													BgL_arg2652z00_3066);
											}
											return BgL_v1353z00_3065;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 935 */
											obj_t BgL_fvalz00_3071;

											{	/* Eval/evaluate_comp.scm 935 */
												BgL_ev_exprz00_bglt BgL_arg2699z00_3119;

												BgL_arg2699z00_3119 =
													(((BgL_ev_appz00_bglt) COBJECT(
															((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
													BgL_funz00);
												BgL_fvalz00_3071 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00
													(BgL_arg2699z00_3119);
											}
											if (
												(BgL_fvalz00_3071 ==
													BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
												{	/* Eval/evaluate_comp.scm 938 */
													obj_t BgL_v1354z00_3073;

													BgL_v1354z00_3073 = create_vector(((long) 3));
													VECTOR_SET(BgL_v1354z00_3073, ((long) 0),
														BINT(((long) 6)));
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2657z00_3074;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2658z00_3075;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9314;

																BgL_pairz00_9314 =
																	(((BgL_ev_appz00_bglt) COBJECT(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2658z00_3075 = CAR(BgL_pairz00_9314);
															}
															BgL_arg2657z00_3074 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2658z00_3075, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1354z00_3073, ((long) 1),
															BgL_arg2657z00_3074);
													}
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2660z00_3077;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2661z00_3078;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9316;

																BgL_pairz00_9316 =
																	(((BgL_ev_appz00_bglt) COBJECT(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2661z00_3078 =
																	CAR(CDR(BgL_pairz00_9316));
															}
															BgL_arg2660z00_3077 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2661z00_3078, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1354z00_3073, ((long) 2),
															BgL_arg2660z00_3077);
													}
													return BgL_v1354z00_3073;
												}
											else
												{	/* Eval/evaluate_comp.scm 937 */
													if (
														(BgL_fvalz00_3071 ==
															BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
														{	/* Eval/evaluate_comp.scm 940 */
															obj_t BgL_v1355z00_3081;

															BgL_v1355z00_3081 = create_vector(((long) 3));
															VECTOR_SET(BgL_v1355z00_3081, ((long) 0),
																BINT(((long) 7)));
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2664z00_3082;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2665z00_3083;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9322;

																		BgL_pairz00_9322 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2665z00_3083 = CAR(BgL_pairz00_9322);
																	}
																	BgL_arg2664z00_3082 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2665z00_3083, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1355z00_3081, ((long) 1),
																	BgL_arg2664z00_3082);
															}
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2667z00_3085;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2668z00_3086;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9324;

																		BgL_pairz00_9324 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2668z00_3086 =
																			CAR(CDR(BgL_pairz00_9324));
																	}
																	BgL_arg2667z00_3085 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2668z00_3086, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1355z00_3081, ((long) 2),
																	BgL_arg2667z00_3085);
															}
															return BgL_v1355z00_3081;
														}
													else
														{	/* Eval/evaluate_comp.scm 939 */
															if (
																(BgL_fvalz00_3071 ==
																	BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																{	/* Eval/evaluate_comp.scm 942 */
																	obj_t BgL_v1356z00_3089;

																	BgL_v1356z00_3089 = create_vector(((long) 3));
																	VECTOR_SET(BgL_v1356z00_3089, ((long) 0),
																		BINT(((long) 8)));
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2671z00_3090;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2672z00_3091;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9330;

																				BgL_pairz00_9330 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2672z00_3091 =
																					CAR(BgL_pairz00_9330);
																			}
																			BgL_arg2671z00_3090 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2672z00_3091, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1356z00_3089, ((long) 1),
																			BgL_arg2671z00_3090);
																	}
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2674z00_3093;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2675z00_3094;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9332;

																				BgL_pairz00_9332 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2675z00_3094 =
																					CAR(CDR(BgL_pairz00_9332));
																			}
																			BgL_arg2674z00_3093 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2675z00_3094, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1356z00_3089, ((long) 2),
																			BgL_arg2674z00_3093);
																	}
																	return BgL_v1356z00_3089;
																}
															else
																{	/* Eval/evaluate_comp.scm 941 */
																	if (
																		(BgL_fvalz00_3071 ==
																			BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																		{	/* Eval/evaluate_comp.scm 944 */
																			obj_t BgL_v1357z00_3097;

																			BgL_v1357z00_3097 =
																				create_vector(((long) 3));
																			VECTOR_SET(BgL_v1357z00_3097, ((long) 0),
																				BINT(((long) 9)));
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2678z00_3098;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2679z00_3099;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9338;

																						BgL_pairz00_9338 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2679z00_3099 =
																							CAR(BgL_pairz00_9338);
																					}
																					BgL_arg2678z00_3098 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2679z00_3099,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1357z00_3097,
																					((long) 1), BgL_arg2678z00_3098);
																			}
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2681z00_3101;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2682z00_3102;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9340;

																						BgL_pairz00_9340 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2682z00_3102 =
																							CAR(CDR(BgL_pairz00_9340));
																					}
																					BgL_arg2681z00_3101 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2682z00_3102,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1357z00_3097,
																					((long) 2), BgL_arg2681z00_3101);
																			}
																			return BgL_v1357z00_3097;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			if (
																				(BgL_fvalz00_3071 ==
																					BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 946 */
																					obj_t BgL_v1358z00_3105;

																					BgL_v1358z00_3105 =
																						create_vector(((long) 2));
																					VECTOR_SET(BgL_v1358z00_3105,
																						((long) 0), BINT(((long) 10)));
																					{	/* Eval/evaluate_comp.scm 946 */
																						obj_t BgL_arg2685z00_3106;

																						{	/* Eval/evaluate_comp.scm 946 */
																							obj_t BgL_arg2686z00_3107;

																							{	/* Eval/evaluate_comp.scm 946 */
																								obj_t BgL_pairz00_9346;

																								BgL_pairz00_9346 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2686z00_3107 =
																									CAR(BgL_pairz00_9346);
																							}
																							BgL_arg2685z00_3106 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_arg2686z00_3107),
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1358z00_3105,
																							((long) 1), BgL_arg2685z00_3106);
																					}
																					return BgL_v1358z00_3105;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 945 */
																					if (
																						(BgL_fvalz00_3071 ==
																							BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																						{	/* Eval/evaluate_comp.scm 948 */
																							obj_t BgL_v1359z00_3110;

																							BgL_v1359z00_3110 =
																								create_vector(((long) 3));
																							VECTOR_SET(BgL_v1359z00_3110,
																								((long) 0), BINT(((long) 11)));
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2689z00_3111;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2690z00_3112;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9349;

																										BgL_pairz00_9349 =
																											(((BgL_ev_appz00_bglt)
																												COBJECT((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2690z00_3112 =
																											CAR(BgL_pairz00_9349);
																									}
																									BgL_arg2689z00_3111 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2690z00_3112),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1359z00_3110,
																									((long) 1),
																									BgL_arg2689z00_3111);
																							}
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2693z00_3114;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2694z00_3115;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9351;

																										BgL_pairz00_9351 =
																											(((BgL_ev_appz00_bglt)
																												COBJECT((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2694z00_3115 =
																											CAR(CDR
																											(BgL_pairz00_9351));
																									}
																									BgL_arg2693z00_3114 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2694z00_3115),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1359z00_3110,
																									((long) 2),
																									BgL_arg2693z00_3114);
																							}
																							return BgL_v1359z00_3110;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 950 */
																							obj_t BgL_v1360z00_3117;

																							BgL_v1360z00_3117 =
																								create_vector(((long) 2));
																							VECTOR_SET(BgL_v1360z00_3117,
																								((long) 0), BINT(((long) 0)));
																							{	/* Eval/evaluate_comp.scm 950 */
																								obj_t BgL_arg2697z00_3118;

																								BgL_arg2697z00_3118 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt) (
																											(BgL_ev_appz00_bglt)
																											BgL_exprz00_187)),
																									BgL_stkz00_188);
																								VECTOR_SET(BgL_v1360z00_3117,
																									((long) 1),
																									BgL_arg2697z00_3118);
																							}
																							return BgL_v1360z00_3117;
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 951 */
											obj_t BgL_v1361z00_3120;

											BgL_v1361z00_3120 = create_vector(((long) 2));
											VECTOR_SET(BgL_v1361z00_3120, ((long) 0),
												BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 951 */
												obj_t BgL_arg2700z00_3121;

												BgL_arg2700z00_3121 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1361z00_3120, ((long) 1),
													BgL_arg2700z00_3121);
											}
											return BgL_v1361z00_3120;
										}
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 953 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}
		BGL_FUNCTION_END;
	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15443,
		obj_t BgL_bcz00_3126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 968 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_aux1219z00_3129;

				BgL_aux1219z00_3129 = VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 0));
				if (INTEGERP(BgL_aux1219z00_3129))
					{	/* Eval/evaluate_comp.scm 955 */
						switch ((long) CINT(BgL_aux1219z00_3129))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 956 */
									obj_t BgL_fun2704z00_3131;

									BgL_fun2704z00_3131 =
										VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
									return
										PROCEDURE_ENTRY(BgL_fun2704z00_3131) (BgL_fun2704z00_3131,
										BgL_sz00_15443, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 958 */
									long BgL_arg2705z00_3132;

									{	/* Eval/evaluate_comp.scm 958 */
										obj_t BgL_arg2706z00_3133;
										obj_t BgL_arg2707z00_3134;

										BgL_arg2706z00_3133 =
											VECTOR_REF(((obj_t) BgL_sz00_15443), ((long) 0));
										BgL_arg2707z00_3134 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2705z00_3132 =
											(
											(long) CINT(BgL_arg2706z00_3133) +
											(long) CINT(BgL_arg2707z00_3134));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15443), BgL_arg2705z00_3132);
								}
								break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 959 */
									obj_t BgL_arg2708z00_3135;

									{	/* Eval/evaluate_comp.scm 959 */
										long BgL_arg2709z00_3136;

										{	/* Eval/evaluate_comp.scm 959 */
											obj_t BgL_arg2710z00_3137;
											obj_t BgL_arg2712z00_3138;

											BgL_arg2710z00_3137 =
												VECTOR_REF(((obj_t) BgL_sz00_15443), ((long) 0));
											BgL_arg2712z00_3138 =
												VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
											BgL_arg2709z00_3136 =
												(
												(long) CINT(BgL_arg2710z00_3137) +
												(long) CINT(BgL_arg2712z00_3138));
										}
										BgL_arg2708z00_3135 =
											VECTOR_REF(((obj_t) BgL_sz00_15443), BgL_arg2709z00_3136);
									}
									return
										STRUCT_REF(
										((obj_t) BgL_arg2708z00_3135), (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_arg2713z00_3139;

									{	/* Eval/evaluate_comp.scm 960 */
										obj_t BgL_arg2718z00_3140;

										BgL_arg2718z00_3140 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2713z00_3139 =
											VECTOR_REF(((obj_t) BgL_arg2718z00_3140), ((long) 2));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2713z00_3139);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 961 */
									obj_t BgL_arg2719z00_3141;

									BgL_arg2719z00_3141 =
										VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
									return VECTOR_REF(((obj_t) BgL_arg2719z00_3141), ((long) 2));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 962 */
									obj_t BgL_arg2721z00_3142;
									obj_t BgL_arg2722z00_3143;

									{	/* Eval/evaluate_comp.scm 962 */
										obj_t BgL_arg2724z00_3144;

										BgL_arg2724z00_3144 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2721z00_3142 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2724z00_3144);
									}
									{	/* Eval/evaluate_comp.scm 962 */
										obj_t BgL_arg2725z00_3145;

										BgL_arg2725z00_3145 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 2));
										BgL_arg2722z00_3143 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2725z00_3145);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2721z00_3142) +
											REAL_TO_DOUBLE(BgL_arg2722z00_3143)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 963 */
									obj_t BgL_arg2726z00_3146;
									obj_t BgL_arg2728z00_3147;

									{	/* Eval/evaluate_comp.scm 963 */
										obj_t BgL_arg2729z00_3148;

										BgL_arg2729z00_3148 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2726z00_3146 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2729z00_3148);
									}
									{	/* Eval/evaluate_comp.scm 963 */
										obj_t BgL_arg2735z00_3149;

										BgL_arg2735z00_3149 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 2));
										BgL_arg2728z00_3147 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2735z00_3149);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2726z00_3146) -
											REAL_TO_DOUBLE(BgL_arg2728z00_3147)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 964 */
									obj_t BgL_arg2744z00_3150;
									obj_t BgL_arg2745z00_3151;

									{	/* Eval/evaluate_comp.scm 964 */
										obj_t BgL_arg2746z00_3152;

										BgL_arg2746z00_3152 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2744z00_3150 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2746z00_3152);
									}
									{	/* Eval/evaluate_comp.scm 964 */
										obj_t BgL_arg2749z00_3153;

										BgL_arg2749z00_3153 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 2));
										BgL_arg2745z00_3151 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2749z00_3153);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2744z00_3150) *
											REAL_TO_DOUBLE(BgL_arg2745z00_3151)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 965 */
									obj_t BgL_arg2750z00_3154;
									obj_t BgL_arg2751z00_3155;

									{	/* Eval/evaluate_comp.scm 965 */
										obj_t BgL_arg2754z00_3156;

										BgL_arg2754z00_3156 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2750z00_3154 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2754z00_3156);
									}
									{	/* Eval/evaluate_comp.scm 965 */
										obj_t BgL_arg2755z00_3157;

										BgL_arg2755z00_3157 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 2));
										BgL_arg2751z00_3155 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15443,
											BgL_arg2755z00_3157);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2750z00_3154) /
											REAL_TO_DOUBLE(BgL_arg2751z00_3155)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 966 */
									obj_t BgL_arg2757z00_3158;

									{	/* Eval/evaluate_comp.scm 966 */
										obj_t BgL_fun2758z00_3159;

										BgL_fun2758z00_3159 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2757z00_3158 =
											PROCEDURE_ENTRY(BgL_fun2758z00_3159) (BgL_fun2758z00_3159,
											BgL_sz00_15443, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2757z00_3158)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 967 */
									obj_t BgL_arg2759z00_3160;
									obj_t BgL_arg2760z00_3161;

									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2761z00_3162;

										BgL_fun2761z00_3162 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 1));
										BgL_arg2759z00_3160 =
											PROCEDURE_ENTRY(BgL_fun2761z00_3162) (BgL_fun2761z00_3162,
											BgL_sz00_15443, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2762z00_3163;

										BgL_fun2762z00_3163 =
											VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 2));
										BgL_arg2760z00_3161 =
											PROCEDURE_ENTRY(BgL_fun2762z00_3163) (BgL_fun2762z00_3163,
											BgL_sz00_15443, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										double BgL_tmpz00_23929;

										{	/* Eval/evaluate_comp.scm 967 */
											long BgL_tmpz00_23930;

											BgL_tmpz00_23930 = (long) CINT(BgL_arg2760z00_3161);
											BgL_tmpz00_23929 =
												BGL_F64VREF(BgL_arg2759z00_3160, BgL_tmpz00_23930);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_23929);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 968 */
									obj_t BgL_arg2765z00_9411;

									BgL_arg2765z00_9411 =
										VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 0));
									return
										BGl_errorz00zz__errorz00
										(BGl_string5752z00zz__evaluate_compz00,
										BGl_string5771z00zz__evaluate_compz00, BgL_arg2765z00_9411);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 968 */
						obj_t BgL_arg2765z00_9413;

						BgL_arg2765z00_9413 =
							VECTOR_REF(((obj_t) BgL_bcz00_3126), ((long) 0));
						return
							BGl_errorz00zz__errorz00(BGl_string5752z00zz__evaluate_compz00,
							BGl_string5771z00zz__evaluate_compz00, BgL_arg2765z00_9413);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 971 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_fvalz00_3167;

				BgL_fvalz00_3167 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 974 */
					bool_t BgL_testz00_23944;

					if (
						(BgL_fvalz00_3167 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 974 */
							BgL_testz00_23944 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							if (
								(BgL_fvalz00_3167 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 974 */
									BgL_testz00_23944 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 974 */
									if (
										(BgL_fvalz00_3167 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_23944 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_23944 =
												(BgL_fvalz00_3167 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_23944)
						{	/* Eval/evaluate_comp.scm 975 */
							obj_t BgL_bcz00_3172;

							BgL_bcz00_3172 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 976 */
								obj_t BgL_zc3anonymousza32770ze3z83_13798;

								BgL_zc3anonymousza32770ze3z83_13798 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32770ze3z83_13798,
									(int) (((long) 0)), BgL_bcz00_3172);
								return BgL_zc3anonymousza32770ze3z83_13798;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							return BFALSE;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2770> */
	obj_t BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13799, obj_t BgL_sz00_13801)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 976 */
			{	/* Eval/evaluate_comp.scm 976 */
				obj_t BgL_bcz00_13800;

				BgL_bcz00_13800 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13799, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 976 */
					double BgL_tmpz00_23962;

					{	/* Eval/evaluate_comp.scm 976 */
						obj_t BgL_bpz00_16393;

						BgL_bpz00_16393 = VECTOR_REF(((obj_t) BgL_sz00_13801), ((long) 0));
						BgL_tmpz00_23962 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13800,
							BgL_sz00_13801);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_23962);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1005 */
			{	/* Eval/evaluate_comp.scm 1006 */
				obj_t BgL_valz00_3180;

				BgL_valz00_3180 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3180))
					{	/* Eval/evaluate_comp.scm 1008 */
						long BgL_nz00_3181;

						BgL_nz00_3181 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1009 */
							obj_t BgL__ortest_1225z00_3182;

							if ((BgL_nz00_3181 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 1010 */
									obj_t BgL_a1z00_3473;

									BgL_a1z00_3473 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3180 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1011 */
											obj_t BgL_a1z00_3475;

											BgL_a1z00_3475 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3473), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1011 */
												obj_t BgL_zc3anonymousza32889ze3z83_13831;

												BgL_zc3anonymousza32889ze3z83_13831 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32889ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32889ze3z83_13831,
													(int) (((long) 0)), BgL_a1z00_3475);
												PROCEDURE_SET(BgL_zc3anonymousza32889ze3z83_13831,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1225z00_3182 =
													BgL_zc3anonymousza32889ze3z83_13831;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1011 */
											if (
												(BgL_valz00_3180 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1011 */
													obj_t BgL_a1z00_3482;

													BgL_a1z00_3482 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3473),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1011 */
														obj_t BgL_zc3anonymousza32892ze3z83_13832;

														BgL_zc3anonymousza32892ze3z83_13832 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32892ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32892ze3z83_13832,
															(int) (((long) 0)), BgL_a1z00_3482);
														PROCEDURE_SET(BgL_zc3anonymousza32892ze3z83_13832,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1225z00_3182 =
															BgL_zc3anonymousza32892ze3z83_13832;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1011 */
													if (
														(BgL_valz00_3180 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1011 */
															obj_t BgL_a1z00_3489;

															BgL_a1z00_3489 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3473),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1011 */
																obj_t BgL_zc3anonymousza32895ze3z83_13833;

																BgL_zc3anonymousza32895ze3z83_13833 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32895ze3z83_13833,
																	(int) (((long) 0)), BgL_a1z00_3489);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32895ze3z83_13833,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1225z00_3182 =
																	BgL_zc3anonymousza32895ze3z83_13833;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1011 */
															BgL__ortest_1225z00_3182 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									BgL__ortest_1225z00_3182 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1225z00_3182))
								{	/* Eval/evaluate_comp.scm 1009 */
									return BgL__ortest_1225z00_3182;
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									if ((BgL_nz00_3181 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1013 */
											obj_t BgL_a1z00_3184;
											obj_t BgL_a2z00_3185;

											BgL_a1z00_3184 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1013 */
												obj_t BgL_pairz00_9445;

												BgL_pairz00_9445 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3185 = CAR(BgL_pairz00_9445);
											}
											if (
												(BgL_valz00_3180 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1014 */
													obj_t BgL_a1z00_3187;
													obj_t BgL_a2z00_3188;

													BgL_a1z00_3187 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3184),
														BgL_stkz00_196);
													BgL_a2z00_3188 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3185),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1014 */
														obj_t BgL_zc3anonymousza32776ze3z83_13802;

														BgL_zc3anonymousza32776ze3z83_13802 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32776ze3z83_13802,
															(int) (((long) 0)), BgL_a1z00_3187);
														PROCEDURE_SET(BgL_zc3anonymousza32776ze3z83_13802,
															(int) (((long) 1)), BgL_a2z00_3188);
														PROCEDURE_SET(BgL_zc3anonymousza32776ze3z83_13802,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32776ze3z83_13802;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1014 */
													if (
														(BgL_valz00_3180 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1014 */
															obj_t BgL_a1z00_3197;
															obj_t BgL_a2z00_3198;

															BgL_a1z00_3197 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3184),
																BgL_stkz00_196);
															BgL_a2z00_3198 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3185),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1014 */
																obj_t BgL_zc3anonymousza32780ze3z83_13803;

																BgL_zc3anonymousza32780ze3z83_13803 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32780ze3z83_13803,
																	(int) (((long) 0)), BgL_a1z00_3197);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32780ze3z83_13803,
																	(int) (((long) 1)), BgL_a2z00_3198);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32780ze3z83_13803,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32780ze3z83_13803;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1014 */
															if (
																(BgL_valz00_3180 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1014 */
																	obj_t BgL_a1z00_3207;
																	obj_t BgL_a2z00_3208;

																	BgL_a1z00_3207 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3184),
																		BgL_stkz00_196);
																	BgL_a2z00_3208 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3185),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1014 */
																		obj_t BgL_zc3anonymousza32784ze3z83_13804;

																		BgL_zc3anonymousza32784ze3z83_13804 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32784ze3z83_13804,
																			(int) (((long) 0)), BgL_a1z00_3207);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32784ze3z83_13804,
																			(int) (((long) 1)), BgL_a2z00_3208);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32784ze3z83_13804,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32784ze3z83_13804;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1014 */
																	if (
																		(BgL_valz00_3180 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1014 */
																			obj_t BgL_a1z00_3217;
																			obj_t BgL_a2z00_3218;

																			BgL_a1z00_3217 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3184),
																				BgL_stkz00_196);
																			BgL_a2z00_3218 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3185),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1014 */
																				obj_t
																					BgL_zc3anonymousza32788ze3z83_13805;
																				BgL_zc3anonymousza32788ze3z83_13805 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32788ze3z83_13805,
																					(int) (((long) 0)), BgL_a1z00_3217);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32788ze3z83_13805,
																					(int) (((long) 1)), BgL_a2z00_3218);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32788ze3z83_13805,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32788ze3z83_13805;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1014 */
																			if (
																				(BgL_valz00_3180 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1014 */
																					obj_t BgL_a1z00_3227;
																					obj_t BgL_a2z00_3228;

																					BgL_a1z00_3227 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3184), BgL_stkz00_196);
																					BgL_a2z00_3228 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3185), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1014 */
																						obj_t
																							BgL_zc3anonymousza32792ze3z83_13806;
																						BgL_zc3anonymousza32792ze3z83_13806
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32792ze3z83_13806,
																							(int) (((long) 0)),
																							BgL_a1z00_3227);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32792ze3z83_13806,
																							(int) (((long) 1)),
																							BgL_a2z00_3228);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32792ze3z83_13806,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32792ze3z83_13806;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1014 */
																					if (
																						(BgL_valz00_3180 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1014 */
																							obj_t BgL_a1z00_3237;
																							obj_t BgL_a2z00_3238;

																							BgL_a1z00_3237 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3184),
																								BgL_stkz00_196);
																							BgL_a2z00_3238 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3185),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1014 */
																								obj_t
																									BgL_zc3anonymousza32796ze3z83_13807;
																								BgL_zc3anonymousza32796ze3z83_13807
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32796ze3z83_13807,
																									(int) (((long) 0)),
																									BgL_a1z00_3237);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32796ze3z83_13807,
																									(int) (((long) 1)),
																									BgL_a2z00_3238);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32796ze3z83_13807,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32796ze3z83_13807;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1014 */
																							if (
																								(BgL_valz00_3180 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1014 */
																									obj_t BgL_a1z00_3247;
																									obj_t BgL_a2z00_3248;

																									BgL_a1z00_3247 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3184),
																										BgL_stkz00_196);
																									BgL_a2z00_3248 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3185),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1014 */
																										obj_t
																											BgL_zc3anonymousza32800ze3z83_13808;
																										BgL_zc3anonymousza32800ze3z83_13808
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32800ze3z83_13808,
																											(int) (((long) 0)),
																											BgL_a1z00_3247);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32800ze3z83_13808,
																											(int) (((long) 1)),
																											BgL_a2z00_3248);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32800ze3z83_13808,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32800ze3z83_13808;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1014 */
																									if (
																										(BgL_valz00_3180 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1014 */
																											obj_t BgL_a1z00_3257;
																											obj_t BgL_a2z00_3258;

																											BgL_a1z00_3257 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3184),
																												BgL_stkz00_196);
																											BgL_a2z00_3258 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3185),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1014 */
																												obj_t
																													BgL_zc3anonymousza32804ze3z83_13809;
																												BgL_zc3anonymousza32804ze3z83_13809
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32804ze3z83_13809,
																													(int) (((long) 0)),
																													BgL_a1z00_3257);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32804ze3z83_13809,
																													(int) (((long) 1)),
																													BgL_a2z00_3258);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32804ze3z83_13809,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32804ze3z83_13809;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1014 */
																											if (
																												(BgL_valz00_3180 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1014 */
																													obj_t BgL_a1z00_3267;
																													obj_t BgL_a2z00_3268;

																													BgL_a1z00_3267 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																													BgL_a2z00_3268 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1014 */
																														obj_t
																															BgL_zc3anonymousza32808ze3z83_13810;
																														BgL_zc3anonymousza32808ze3z83_13810
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32808ze3z83_13810,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_3267);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32808ze3z83_13810,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_3268);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32808ze3z83_13810,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32808ze3z83_13810;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1014 */
																													if (
																														(BgL_valz00_3180 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1014 */
																															obj_t
																																BgL_a1z00_3277;
																															obj_t
																																BgL_a2z00_3278;
																															BgL_a1z00_3277 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																															BgL_a2z00_3278 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1014 */
																																obj_t
																																	BgL_zc3anonymousza32812ze3z83_13811;
																																BgL_zc3anonymousza32812ze3z83_13811
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32812ze3z83_13811,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_3277);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32812ze3z83_13811,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_3278);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32812ze3z83_13811,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32812ze3z83_13811;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1014 */
																															if (
																																(BgL_valz00_3180
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	obj_t
																																		BgL_a1z00_3287;
																																	obj_t
																																		BgL_a2z00_3288;
																																	BgL_a1z00_3287
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																	BgL_a2z00_3288
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1014 */
																																		obj_t
																																			BgL_zc3anonymousza32816ze3z83_13812;
																																		BgL_zc3anonymousza32816ze3z83_13812
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32816ze3z83_13812,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_3287);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32816ze3z83_13812,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_3288);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32816ze3z83_13812,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32816ze3z83_13812;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	if (
																																		(BgL_valz00_3180
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			obj_t
																																				BgL_a1z00_3297;
																																			obj_t
																																				BgL_a2z00_3298;
																																			BgL_a1z00_3297
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																			BgL_a2z00_3298
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1014 */
																																				obj_t
																																					BgL_zc3anonymousza32820ze3z83_13813;
																																				BgL_zc3anonymousza32820ze3z83_13813
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32820ze3z83_13813,
																																					(int)
																																					(((long) 0)), BgL_a1z00_3297);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32820ze3z83_13813,
																																					(int)
																																					(((long) 1)), BgL_a2z00_3298);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32820ze3z83_13813,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32820ze3z83_13813;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			if (
																																				(BgL_valz00_3180
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					obj_t
																																						BgL_a1z00_3307;
																																					obj_t
																																						BgL_a2z00_3308;
																																					BgL_a1z00_3307
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																					BgL_a2z00_3308
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1014 */
																																						obj_t
																																							BgL_zc3anonymousza32824ze3z83_13814;
																																						BgL_zc3anonymousza32824ze3z83_13814
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32824ze3z83_13814,
																																							(int)
																																							(((long) 0)), BgL_a1z00_3307);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32824ze3z83_13814,
																																							(int)
																																							(((long) 1)), BgL_a2z00_3308);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32824ze3z83_13814,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32824ze3z83_13814;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					if (
																																						(BgL_valz00_3180
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							obj_t
																																								BgL_a1z00_3317;
																																							obj_t
																																								BgL_a2z00_3318;
																																							BgL_a1z00_3317
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																							BgL_a2z00_3318
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1014 */
																																								obj_t
																																									BgL_zc3anonymousza32828ze3z83_13815;
																																								BgL_zc3anonymousza32828ze3z83_13815
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32828ze3z83_13815,
																																									(int)
																																									(((long) 0)), BgL_a1z00_3317);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32828ze3z83_13815,
																																									(int)
																																									(((long) 1)), BgL_a2z00_3318);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32828ze3z83_13815,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32828ze3z83_13815;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							if ((BgL_valz00_3180 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									obj_t
																																										BgL_a1z00_3327;
																																									obj_t
																																										BgL_a2z00_3328;
																																									BgL_a1z00_3327
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																									BgL_a2z00_3328
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1014 */
																																										obj_t
																																											BgL_zc3anonymousza32832ze3z83_13816;
																																										BgL_zc3anonymousza32832ze3z83_13816
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32832ze3z83_13816,
																																											(int)
																																											(((long) 0)), BgL_a1z00_3327);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32832ze3z83_13816,
																																											(int)
																																											(((long) 1)), BgL_a2z00_3328);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32832ze3z83_13816,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32832ze3z83_13816;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									if ((BgL_valz00_3180 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											obj_t
																																												BgL_a1z00_3337;
																																											obj_t
																																												BgL_a2z00_3338;
																																											BgL_a1z00_3337
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																											BgL_a2z00_3338
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1014 */
																																												obj_t
																																													BgL_zc3anonymousza32836ze3z83_13817;
																																												BgL_zc3anonymousza32836ze3z83_13817
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32836ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32836ze3z83_13817,
																																													(int)
																																													(((long) 0)), BgL_a1z00_3337);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32836ze3z83_13817,
																																													(int)
																																													(((long) 1)), BgL_a2z00_3338);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32836ze3z83_13817,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32836ze3z83_13817;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											if ((BgL_valz00_3180 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													obj_t
																																														BgL_a1z00_3347;
																																													obj_t
																																														BgL_a2z00_3348;
																																													BgL_a1z00_3347
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																													BgL_a2z00_3348
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1014 */
																																														obj_t
																																															BgL_zc3anonymousza32840ze3z83_13818;
																																														BgL_zc3anonymousza32840ze3z83_13818
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32840ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32840ze3z83_13818,
																																															(int)
																																															(((long) 0)), BgL_a1z00_3347);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32840ze3z83_13818,
																																															(int)
																																															(((long) 1)), BgL_a2z00_3348);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32840ze3z83_13818,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32840ze3z83_13818;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													if ((BgL_valz00_3180 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															obj_t
																																																BgL_a1z00_3357;
																																															obj_t
																																																BgL_a2z00_3358;
																																															BgL_a1z00_3357
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																															BgL_a2z00_3358
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																obj_t
																																																	BgL_zc3anonymousza32844ze3z83_13819;
																																																BgL_zc3anonymousza32844ze3z83_13819
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32844ze3z83_13819,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_3357);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32844ze3z83_13819,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_3358);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32844ze3z83_13819,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza32844ze3z83_13819;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															if ((BgL_valz00_3180 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	obj_t
																																																		BgL_a1z00_3367;
																																																	obj_t
																																																		BgL_a2z00_3368;
																																																	BgL_a1z00_3367
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																	BgL_a2z00_3368
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																		obj_t
																																																			BgL_zc3anonymousza32848ze3z83_13820;
																																																		BgL_zc3anonymousza32848ze3z83_13820
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32848ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32848ze3z83_13820,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_3367);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32848ze3z83_13820,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_3368);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32848ze3z83_13820,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza32848ze3z83_13820;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	if ((BgL_valz00_3180 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			obj_t
																																																				BgL_a1z00_3377;
																																																			obj_t
																																																				BgL_a2z00_3378;
																																																			BgL_a1z00_3377
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																			BgL_a2z00_3378
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																				obj_t
																																																					BgL_zc3anonymousza32852ze3z83_13821;
																																																				BgL_zc3anonymousza32852ze3z83_13821
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32852ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32852ze3z83_13821,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_3377);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32852ze3z83_13821,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_3378);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32852ze3z83_13821,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza32852ze3z83_13821;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			if ((BgL_valz00_3180 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					obj_t
																																																						BgL_a1z00_3387;
																																																					obj_t
																																																						BgL_a2z00_3388;
																																																					BgL_a1z00_3387
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																					BgL_a2z00_3388
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																						obj_t
																																																							BgL_zc3anonymousza32856ze3z83_13822;
																																																						BgL_zc3anonymousza32856ze3z83_13822
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32856ze3z83_13822,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_3387);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32856ze3z83_13822,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_3388);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32856ze3z83_13822,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza32856ze3z83_13822;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					if ((BgL_valz00_3180 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							obj_t
																																																								BgL_a1z00_3397;
																																																							obj_t
																																																								BgL_a2z00_3398;
																																																							BgL_a1z00_3397
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																							BgL_a2z00_3398
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1014 */
																																																								obj_t
																																																									BgL_zc3anonymousza32860ze3z83_13823;
																																																								BgL_zc3anonymousza32860ze3z83_13823
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32860ze3z83_13823,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_3397);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32860ze3z83_13823,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_3398);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32860ze3z83_13823,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza32860ze3z83_13823;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							if ((BgL_valz00_3180 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									obj_t
																																																										BgL_a1z00_3407;
																																																									obj_t
																																																										BgL_a2z00_3408;
																																																									BgL_a1z00_3407
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																									BgL_a2z00_3408
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1014 */
																																																										obj_t
																																																											BgL_zc3anonymousza32864ze3z83_13824;
																																																										BgL_zc3anonymousza32864ze3z83_13824
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32864ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32864ze3z83_13824,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_3407);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32864ze3z83_13824,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_3408);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32864ze3z83_13824,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza32864ze3z83_13824;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									if ((BgL_valz00_3180 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											obj_t
																																																												BgL_a1z00_3417;
																																																											obj_t
																																																												BgL_a2z00_3418;
																																																											BgL_a1z00_3417
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																											BgL_a2z00_3418
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1014 */
																																																												obj_t
																																																													BgL_zc3anonymousza32868ze3z83_13825;
																																																												BgL_zc3anonymousza32868ze3z83_13825
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32868ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32868ze3z83_13825,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_3417);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32868ze3z83_13825,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_3418);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32868ze3z83_13825,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza32868ze3z83_13825;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											if ((BgL_valz00_3180 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													obj_t
																																																														BgL_a1z00_3427;
																																																													obj_t
																																																														BgL_a2z00_3428;
																																																													BgL_a1z00_3427
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																													BgL_a2z00_3428
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1014 */
																																																														obj_t
																																																															BgL_zc3anonymousza32872ze3z83_13826;
																																																														BgL_zc3anonymousza32872ze3z83_13826
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32872ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32872ze3z83_13826,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3427);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32872ze3z83_13826,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3428);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32872ze3z83_13826,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza32872ze3z83_13826;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													if ((BgL_valz00_3180 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															obj_t
																																																																BgL_a1z00_3437;
																																																															obj_t
																																																																BgL_a2z00_3438;
																																																															BgL_a1z00_3437
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																															BgL_a2z00_3438
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32876ze3z83_13827;
																																																																BgL_zc3anonymousza32876ze3z83_13827
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32876ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32876ze3z83_13827,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3437);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32876ze3z83_13827,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3438);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32876ze3z83_13827,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza32876ze3z83_13827;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															if ((BgL_valz00_3180 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	obj_t
																																																																		BgL_a1z00_3447;
																																																																	obj_t
																																																																		BgL_a2z00_3448;
																																																																	BgL_a1z00_3447
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																																	BgL_a2z00_3448
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32880ze3z83_13828;
																																																																		BgL_zc3anonymousza32880ze3z83_13828
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32880ze3z83_13828,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3447);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32880ze3z83_13828,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3448);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32880ze3z83_13828,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza32880ze3z83_13828;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	if ((BgL_valz00_3180 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			obj_t
																																																																				BgL_a1z00_3457;
																																																																			obj_t
																																																																				BgL_a2z00_3458;
																																																																			BgL_a1z00_3457
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																																			BgL_a2z00_3458
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32884ze3z83_13829;
																																																																				BgL_zc3anonymousza32884ze3z83_13829
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32884ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32884ze3z83_13829,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3457);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32884ze3z83_13829,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3458);
																																																																				return
																																																																					BgL_zc3anonymousza32884ze3z83_13829;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			if ((BgL_valz00_3180 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					obj_t
																																																																						BgL_a1z00_3465;
																																																																					obj_t
																																																																						BgL_a2z00_3466;
																																																																					BgL_a1z00_3465
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3184), BgL_stkz00_196);
																																																																					BgL_a2z00_3466
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3185), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32886ze3z83_13830;
																																																																						BgL_zc3anonymousza32886ze3z83_13830
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32886ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32886ze3z83_13830,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3465);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32886ze3z83_13830,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3466);
																																																																						return
																																																																							BgL_zc3anonymousza32886ze3z83_13830;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1012 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1007 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2776> */
	obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13834, obj_t BgL_sz00_13838)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13835;
				obj_t BgL_a2z00_13836;
				obj_t BgL_locz00_13837;

				BgL_a1z00_13835 = PROCEDURE_REF(BgL_envz00_13834, (int) (((long) 0)));
				BgL_a2z00_13836 = PROCEDURE_REF(BgL_envz00_13834, (int) (((long) 1)));
				BgL_locz00_13837 = PROCEDURE_REF(BgL_envz00_13834, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16394;

					BgL_bpz00_16394 = VECTOR_REF(((obj_t) BgL_sz00_13838), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16395;
						obj_t BgL_a2z00_16396;

						BgL_a1z00_16395 =
							PROCEDURE_ENTRY(BgL_a1z00_13835) (BgL_a1z00_13835, BgL_sz00_13838,
							BEOA);
						BgL_a2z00_16396 =
							PROCEDURE_ENTRY(BgL_a2z00_13836) (BgL_a2z00_13836, BgL_sz00_13838,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16395))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5772z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16395,
									BgL_locz00_13837);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16396))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5772z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16396,
									BgL_locz00_13837);
							}
						return
							BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16395,
							BgL_a2z00_16396);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2780> */
	obj_t BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13839, obj_t BgL_sz00_13843)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13840;
				obj_t BgL_a2z00_13841;
				obj_t BgL_locz00_13842;

				BgL_a1z00_13840 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 0)));
				BgL_a2z00_13841 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 1)));
				BgL_locz00_13842 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16397;

					BgL_bpz00_16397 = VECTOR_REF(((obj_t) BgL_sz00_13843), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16398;
						obj_t BgL_a2z00_16399;

						BgL_a1z00_16398 =
							PROCEDURE_ENTRY(BgL_a1z00_13840) (BgL_a1z00_13840, BgL_sz00_13843,
							BEOA);
						BgL_a2z00_16399 =
							PROCEDURE_ENTRY(BgL_a2z00_13841) (BgL_a2z00_13841, BgL_sz00_13843,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16398))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5776z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16398,
									BgL_locz00_13842);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16399))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5776z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16399,
									BgL_locz00_13842);
							}
						return
							BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16398,
							BgL_a2z00_16399);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2784> */
	obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13844, obj_t BgL_sz00_13848)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13845;
				obj_t BgL_a2z00_13846;
				obj_t BgL_locz00_13847;

				BgL_a1z00_13845 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 0)));
				BgL_a2z00_13846 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 1)));
				BgL_locz00_13847 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16400;

					BgL_bpz00_16400 = VECTOR_REF(((obj_t) BgL_sz00_13848), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16401;
						obj_t BgL_a2z00_16402;

						BgL_a1z00_16401 =
							PROCEDURE_ENTRY(BgL_a1z00_13845) (BgL_a1z00_13845, BgL_sz00_13848,
							BEOA);
						BgL_a2z00_16402 =
							PROCEDURE_ENTRY(BgL_a2z00_13846) (BgL_a2z00_13846, BgL_sz00_13848,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16401))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5778z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16401,
									BgL_locz00_13847);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16402))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5778z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16402,
									BgL_locz00_13847);
							}
						return
							BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16401,
							BgL_a2z00_16402);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2788> */
	obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13849, obj_t BgL_sz00_13853)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13850;
				obj_t BgL_a2z00_13851;
				obj_t BgL_locz00_13852;

				BgL_a1z00_13850 = PROCEDURE_REF(BgL_envz00_13849, (int) (((long) 0)));
				BgL_a2z00_13851 = PROCEDURE_REF(BgL_envz00_13849, (int) (((long) 1)));
				BgL_locz00_13852 = PROCEDURE_REF(BgL_envz00_13849, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16403;

					BgL_bpz00_16403 = VECTOR_REF(((obj_t) BgL_sz00_13853), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16404;
						obj_t BgL_a2z00_16405;

						BgL_a1z00_16404 =
							PROCEDURE_ENTRY(BgL_a1z00_13850) (BgL_a1z00_13850, BgL_sz00_13853,
							BEOA);
						BgL_a2z00_16405 =
							PROCEDURE_ENTRY(BgL_a2z00_13851) (BgL_a2z00_13851, BgL_sz00_13853,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16404))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5780z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16404,
									BgL_locz00_13852);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16405))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5780z00zz__evaluate_compz00,
									BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16405,
									BgL_locz00_13852);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16404,
							BgL_a2z00_16405);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2792> */
	obj_t BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13854, obj_t BgL_sz00_13858)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13855;
				obj_t BgL_a2z00_13856;
				obj_t BgL_locz00_13857;

				BgL_a1z00_13855 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 0)));
				BgL_a2z00_13856 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 1)));
				BgL_locz00_13857 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24546;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16406;

						BgL_bpz00_16406 = VECTOR_REF(((obj_t) BgL_sz00_13858), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16407;
							obj_t BgL_a2z00_16408;

							BgL_a1z00_16407 =
								PROCEDURE_ENTRY(BgL_a1z00_13855) (BgL_a1z00_13855,
								BgL_sz00_13858, BEOA);
							BgL_a2z00_16408 =
								PROCEDURE_ENTRY(BgL_a2z00_13856) (BgL_a2z00_13856,
								BgL_sz00_13858, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16407))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5782z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16407,
										BgL_locz00_13857);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16408))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5782z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16408,
										BgL_locz00_13857);
								}
							BgL_tmpz00_24546 =
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16407,
								BgL_a2z00_16408);
						}
					}
					return BBOOL(BgL_tmpz00_24546);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2796> */
	obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13859, obj_t BgL_sz00_13863)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13860;
				obj_t BgL_a2z00_13861;
				obj_t BgL_locz00_13862;

				BgL_a1z00_13860 = PROCEDURE_REF(BgL_envz00_13859, (int) (((long) 0)));
				BgL_a2z00_13861 = PROCEDURE_REF(BgL_envz00_13859, (int) (((long) 1)));
				BgL_locz00_13862 = PROCEDURE_REF(BgL_envz00_13859, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24571;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16409;

						BgL_bpz00_16409 = VECTOR_REF(((obj_t) BgL_sz00_13863), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16410;
							obj_t BgL_a2z00_16411;

							BgL_a1z00_16410 =
								PROCEDURE_ENTRY(BgL_a1z00_13860) (BgL_a1z00_13860,
								BgL_sz00_13863, BEOA);
							BgL_a2z00_16411 =
								PROCEDURE_ENTRY(BgL_a2z00_13861) (BgL_a2z00_13861,
								BgL_sz00_13863, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16410))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5784z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16410,
										BgL_locz00_13862);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16411))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5784z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16411,
										BgL_locz00_13862);
								}
							BgL_tmpz00_24571 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16410,
								BgL_a2z00_16411);
						}
					}
					return BBOOL(BgL_tmpz00_24571);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2800> */
	obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13864, obj_t BgL_sz00_13868)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13865;
				obj_t BgL_a2z00_13866;
				obj_t BgL_locz00_13867;

				BgL_a1z00_13865 = PROCEDURE_REF(BgL_envz00_13864, (int) (((long) 0)));
				BgL_a2z00_13866 = PROCEDURE_REF(BgL_envz00_13864, (int) (((long) 1)));
				BgL_locz00_13867 = PROCEDURE_REF(BgL_envz00_13864, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24596;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16412;

						BgL_bpz00_16412 = VECTOR_REF(((obj_t) BgL_sz00_13868), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16413;
							obj_t BgL_a2z00_16414;

							BgL_a1z00_16413 =
								PROCEDURE_ENTRY(BgL_a1z00_13865) (BgL_a1z00_13865,
								BgL_sz00_13868, BEOA);
							BgL_a2z00_16414 =
								PROCEDURE_ENTRY(BgL_a2z00_13866) (BgL_a2z00_13866,
								BgL_sz00_13868, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16413))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5786z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16413,
										BgL_locz00_13867);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16414))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5786z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16414,
										BgL_locz00_13867);
								}
							BgL_tmpz00_24596 =
								BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16413,
								BgL_a2z00_16414);
						}
					}
					return BBOOL(BgL_tmpz00_24596);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2804> */
	obj_t BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13869, obj_t BgL_sz00_13873)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13870;
				obj_t BgL_a2z00_13871;
				obj_t BgL_locz00_13872;

				BgL_a1z00_13870 = PROCEDURE_REF(BgL_envz00_13869, (int) (((long) 0)));
				BgL_a2z00_13871 = PROCEDURE_REF(BgL_envz00_13869, (int) (((long) 1)));
				BgL_locz00_13872 = PROCEDURE_REF(BgL_envz00_13869, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24621;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16415;

						BgL_bpz00_16415 = VECTOR_REF(((obj_t) BgL_sz00_13873), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16416;
							obj_t BgL_a2z00_16417;

							BgL_a1z00_16416 =
								PROCEDURE_ENTRY(BgL_a1z00_13870) (BgL_a1z00_13870,
								BgL_sz00_13873, BEOA);
							BgL_a2z00_16417 =
								PROCEDURE_ENTRY(BgL_a2z00_13871) (BgL_a2z00_13871,
								BgL_sz00_13873, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16416))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5788z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16416,
										BgL_locz00_13872);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16417))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5788z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16417,
										BgL_locz00_13872);
								}
							BgL_tmpz00_24621 =
								BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16416,
								BgL_a2z00_16417);
						}
					}
					return BBOOL(BgL_tmpz00_24621);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2808> */
	obj_t BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13874, obj_t BgL_sz00_13878)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13875;
				obj_t BgL_a2z00_13876;
				obj_t BgL_locz00_13877;

				BgL_a1z00_13875 = PROCEDURE_REF(BgL_envz00_13874, (int) (((long) 0)));
				BgL_a2z00_13876 = PROCEDURE_REF(BgL_envz00_13874, (int) (((long) 1)));
				BgL_locz00_13877 = PROCEDURE_REF(BgL_envz00_13874, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24646;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16418;

						BgL_bpz00_16418 = VECTOR_REF(((obj_t) BgL_sz00_13878), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16419;
							obj_t BgL_a2z00_16420;

							BgL_a1z00_16419 =
								PROCEDURE_ENTRY(BgL_a1z00_13875) (BgL_a1z00_13875,
								BgL_sz00_13878, BEOA);
							BgL_a2z00_16420 =
								PROCEDURE_ENTRY(BgL_a2z00_13876) (BgL_a2z00_13876,
								BgL_sz00_13878, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16419))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5790z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a1z00_16419,
										BgL_locz00_13877);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16420))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5790z00zz__evaluate_compz00,
										BGl_symbol5774z00zz__evaluate_compz00, BgL_a2z00_16420,
										BgL_locz00_13877);
								}
							BgL_tmpz00_24646 =
								BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16419,
								BgL_a2z00_16420);
						}
					}
					return BBOOL(BgL_tmpz00_24646);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2812> */
	obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13879, obj_t BgL_sz00_13883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13880;
				obj_t BgL_a2z00_13881;
				obj_t BgL_locz00_13882;

				BgL_a1z00_13880 = PROCEDURE_REF(BgL_envz00_13879, (int) (((long) 0)));
				BgL_a2z00_13881 = PROCEDURE_REF(BgL_envz00_13879, (int) (((long) 1)));
				BgL_locz00_13882 = PROCEDURE_REF(BgL_envz00_13879, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24671;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16421;

						BgL_bpz00_16421 = VECTOR_REF(((obj_t) BgL_sz00_13883), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16422;
							obj_t BgL_a2z00_16423;

							BgL_a1z00_16422 =
								PROCEDURE_ENTRY(BgL_a1z00_13880) (BgL_a1z00_13880,
								BgL_sz00_13883, BEOA);
							BgL_a2z00_16423 =
								PROCEDURE_ENTRY(BgL_a2z00_13881) (BgL_a2z00_13881,
								BgL_sz00_13883, BEOA);
							if (INTEGERP(BgL_a1z00_16422))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5792z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16422,
										BgL_locz00_13882);
								}
							if (INTEGERP(BgL_a2z00_16423))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5792z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16423,
										BgL_locz00_13882);
								}
							BgL_tmpz00_24671 =
								((long) CINT(BgL_a1z00_16422) + (long) CINT(BgL_a2z00_16423));
					}}
					return BINT(BgL_tmpz00_24671);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2816> */
	obj_t BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13884, obj_t BgL_sz00_13888)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13885;
				obj_t BgL_a2z00_13886;
				obj_t BgL_locz00_13887;

				BgL_a1z00_13885 = PROCEDURE_REF(BgL_envz00_13884, (int) (((long) 0)));
				BgL_a2z00_13886 = PROCEDURE_REF(BgL_envz00_13884, (int) (((long) 1)));
				BgL_locz00_13887 = PROCEDURE_REF(BgL_envz00_13884, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24698;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16424;

						BgL_bpz00_16424 = VECTOR_REF(((obj_t) BgL_sz00_13888), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16425;
							obj_t BgL_a2z00_16426;

							BgL_a1z00_16425 =
								PROCEDURE_ENTRY(BgL_a1z00_13885) (BgL_a1z00_13885,
								BgL_sz00_13888, BEOA);
							BgL_a2z00_16426 =
								PROCEDURE_ENTRY(BgL_a2z00_13886) (BgL_a2z00_13886,
								BgL_sz00_13888, BEOA);
							if (INTEGERP(BgL_a1z00_16425))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5796z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16425,
										BgL_locz00_13887);
								}
							if (INTEGERP(BgL_a2z00_16426))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5796z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16426,
										BgL_locz00_13887);
								}
							BgL_tmpz00_24698 =
								((long) CINT(BgL_a1z00_16425) - (long) CINT(BgL_a2z00_16426));
					}}
					return BINT(BgL_tmpz00_24698);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2820> */
	obj_t BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13889, obj_t BgL_sz00_13893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13890;
				obj_t BgL_a2z00_13891;
				obj_t BgL_locz00_13892;

				BgL_a1z00_13890 = PROCEDURE_REF(BgL_envz00_13889, (int) (((long) 0)));
				BgL_a2z00_13891 = PROCEDURE_REF(BgL_envz00_13889, (int) (((long) 1)));
				BgL_locz00_13892 = PROCEDURE_REF(BgL_envz00_13889, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24725;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16427;

						BgL_bpz00_16427 = VECTOR_REF(((obj_t) BgL_sz00_13893), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16428;
							obj_t BgL_a2z00_16429;

							BgL_a1z00_16428 =
								PROCEDURE_ENTRY(BgL_a1z00_13890) (BgL_a1z00_13890,
								BgL_sz00_13893, BEOA);
							BgL_a2z00_16429 =
								PROCEDURE_ENTRY(BgL_a2z00_13891) (BgL_a2z00_13891,
								BgL_sz00_13893, BEOA);
							if (INTEGERP(BgL_a1z00_16428))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5798z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16428,
										BgL_locz00_13892);
								}
							if (INTEGERP(BgL_a2z00_16429))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5798z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16429,
										BgL_locz00_13892);
								}
							BgL_tmpz00_24725 =
								((long) CINT(BgL_a1z00_16428) * (long) CINT(BgL_a2z00_16429));
					}}
					return BINT(BgL_tmpz00_24725);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2824> */
	obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13894, obj_t BgL_sz00_13898)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13895;
				obj_t BgL_a2z00_13896;
				obj_t BgL_locz00_13897;

				BgL_a1z00_13895 = PROCEDURE_REF(BgL_envz00_13894, (int) (((long) 0)));
				BgL_a2z00_13896 = PROCEDURE_REF(BgL_envz00_13894, (int) (((long) 1)));
				BgL_locz00_13897 = PROCEDURE_REF(BgL_envz00_13894, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24752;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16430;

						BgL_bpz00_16430 = VECTOR_REF(((obj_t) BgL_sz00_13898), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16431;
							obj_t BgL_a2z00_16432;

							BgL_a1z00_16431 =
								PROCEDURE_ENTRY(BgL_a1z00_13895) (BgL_a1z00_13895,
								BgL_sz00_13898, BEOA);
							BgL_a2z00_16432 =
								PROCEDURE_ENTRY(BgL_a2z00_13896) (BgL_a2z00_13896,
								BgL_sz00_13898, BEOA);
							if (INTEGERP(BgL_a1z00_16431))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5800z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16431,
										BgL_locz00_13897);
								}
							if (INTEGERP(BgL_a2z00_16432))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5800z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16432,
										BgL_locz00_13897);
								}
							BgL_tmpz00_24752 =
								((long) CINT(BgL_a1z00_16431) / (long) CINT(BgL_a2z00_16432));
					}}
					return BINT(BgL_tmpz00_24752);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2828> */
	obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13899, obj_t BgL_sz00_13903)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13900;
				obj_t BgL_a2z00_13901;
				obj_t BgL_locz00_13902;

				BgL_a1z00_13900 = PROCEDURE_REF(BgL_envz00_13899, (int) (((long) 0)));
				BgL_a2z00_13901 = PROCEDURE_REF(BgL_envz00_13899, (int) (((long) 1)));
				BgL_locz00_13902 = PROCEDURE_REF(BgL_envz00_13899, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24779;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16433;

						BgL_bpz00_16433 = VECTOR_REF(((obj_t) BgL_sz00_13903), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16434;
							obj_t BgL_a2z00_16435;

							BgL_a1z00_16434 =
								PROCEDURE_ENTRY(BgL_a1z00_13900) (BgL_a1z00_13900,
								BgL_sz00_13903, BEOA);
							BgL_a2z00_16435 =
								PROCEDURE_ENTRY(BgL_a2z00_13901) (BgL_a2z00_13901,
								BgL_sz00_13903, BEOA);
							if (INTEGERP(BgL_a1z00_16434))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5802z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16434,
										BgL_locz00_13902);
								}
							if (INTEGERP(BgL_a2z00_16435))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5802z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16435,
										BgL_locz00_13902);
								}
							BgL_tmpz00_24779 =
								((long) CINT(BgL_a1z00_16434) < (long) CINT(BgL_a2z00_16435));
					}}
					return BBOOL(BgL_tmpz00_24779);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2832> */
	obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13904, obj_t BgL_sz00_13908)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13905;
				obj_t BgL_a2z00_13906;
				obj_t BgL_locz00_13907;

				BgL_a1z00_13905 = PROCEDURE_REF(BgL_envz00_13904, (int) (((long) 0)));
				BgL_a2z00_13906 = PROCEDURE_REF(BgL_envz00_13904, (int) (((long) 1)));
				BgL_locz00_13907 = PROCEDURE_REF(BgL_envz00_13904, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24806;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16436;

						BgL_bpz00_16436 = VECTOR_REF(((obj_t) BgL_sz00_13908), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16437;
							obj_t BgL_a2z00_16438;

							BgL_a1z00_16437 =
								PROCEDURE_ENTRY(BgL_a1z00_13905) (BgL_a1z00_13905,
								BgL_sz00_13908, BEOA);
							BgL_a2z00_16438 =
								PROCEDURE_ENTRY(BgL_a2z00_13906) (BgL_a2z00_13906,
								BgL_sz00_13908, BEOA);
							if (INTEGERP(BgL_a1z00_16437))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5804z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16437,
										BgL_locz00_13907);
								}
							if (INTEGERP(BgL_a2z00_16438))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5804z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16438,
										BgL_locz00_13907);
								}
							BgL_tmpz00_24806 =
								((long) CINT(BgL_a1z00_16437) > (long) CINT(BgL_a2z00_16438));
					}}
					return BBOOL(BgL_tmpz00_24806);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2836> */
	obj_t BGl_z62zc3anonymousza32836ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13909, obj_t BgL_sz00_13913)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13910;
				obj_t BgL_a2z00_13911;
				obj_t BgL_locz00_13912;

				BgL_a1z00_13910 = PROCEDURE_REF(BgL_envz00_13909, (int) (((long) 0)));
				BgL_a2z00_13911 = PROCEDURE_REF(BgL_envz00_13909, (int) (((long) 1)));
				BgL_locz00_13912 = PROCEDURE_REF(BgL_envz00_13909, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24833;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16439;

						BgL_bpz00_16439 = VECTOR_REF(((obj_t) BgL_sz00_13913), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16440;
							obj_t BgL_a2z00_16441;

							BgL_a1z00_16440 =
								PROCEDURE_ENTRY(BgL_a1z00_13910) (BgL_a1z00_13910,
								BgL_sz00_13913, BEOA);
							BgL_a2z00_16441 =
								PROCEDURE_ENTRY(BgL_a2z00_13911) (BgL_a2z00_13911,
								BgL_sz00_13913, BEOA);
							if (INTEGERP(BgL_a1z00_16440))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5806z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16440,
										BgL_locz00_13912);
								}
							if (INTEGERP(BgL_a2z00_16441))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5806z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16441,
										BgL_locz00_13912);
								}
							BgL_tmpz00_24833 =
								((long) CINT(BgL_a1z00_16440) <= (long) CINT(BgL_a2z00_16441));
					}}
					return BBOOL(BgL_tmpz00_24833);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2840> */
	obj_t BGl_z62zc3anonymousza32840ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13914, obj_t BgL_sz00_13918)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13915;
				obj_t BgL_a2z00_13916;
				obj_t BgL_locz00_13917;

				BgL_a1z00_13915 = PROCEDURE_REF(BgL_envz00_13914, (int) (((long) 0)));
				BgL_a2z00_13916 = PROCEDURE_REF(BgL_envz00_13914, (int) (((long) 1)));
				BgL_locz00_13917 = PROCEDURE_REF(BgL_envz00_13914, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24860;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16442;

						BgL_bpz00_16442 = VECTOR_REF(((obj_t) BgL_sz00_13918), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16443;
							obj_t BgL_a2z00_16444;

							BgL_a1z00_16443 =
								PROCEDURE_ENTRY(BgL_a1z00_13915) (BgL_a1z00_13915,
								BgL_sz00_13918, BEOA);
							BgL_a2z00_16444 =
								PROCEDURE_ENTRY(BgL_a2z00_13916) (BgL_a2z00_13916,
								BgL_sz00_13918, BEOA);
							if (INTEGERP(BgL_a1z00_16443))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5808z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16443,
										BgL_locz00_13917);
								}
							if (INTEGERP(BgL_a2z00_16444))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5808z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16444,
										BgL_locz00_13917);
								}
							BgL_tmpz00_24860 =
								((long) CINT(BgL_a1z00_16443) >= (long) CINT(BgL_a2z00_16444));
					}}
					return BBOOL(BgL_tmpz00_24860);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2844> */
	obj_t BGl_z62zc3anonymousza32844ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13919, obj_t BgL_sz00_13923)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13920;
				obj_t BgL_a2z00_13921;
				obj_t BgL_locz00_13922;

				BgL_a1z00_13920 = PROCEDURE_REF(BgL_envz00_13919, (int) (((long) 0)));
				BgL_a2z00_13921 = PROCEDURE_REF(BgL_envz00_13919, (int) (((long) 1)));
				BgL_locz00_13922 = PROCEDURE_REF(BgL_envz00_13919, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24887;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16445;

						BgL_bpz00_16445 = VECTOR_REF(((obj_t) BgL_sz00_13923), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16446;
							obj_t BgL_a2z00_16447;

							BgL_a1z00_16446 =
								PROCEDURE_ENTRY(BgL_a1z00_13920) (BgL_a1z00_13920,
								BgL_sz00_13923, BEOA);
							BgL_a2z00_16447 =
								PROCEDURE_ENTRY(BgL_a2z00_13921) (BgL_a2z00_13921,
								BgL_sz00_13923, BEOA);
							if (INTEGERP(BgL_a1z00_16446))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5810z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a1z00_16446,
										BgL_locz00_13922);
								}
							if (INTEGERP(BgL_a2z00_16447))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5810z00zz__evaluate_compz00,
										BGl_symbol5794z00zz__evaluate_compz00, BgL_a2z00_16447,
										BgL_locz00_13922);
								}
							BgL_tmpz00_24887 =
								((long) CINT(BgL_a1z00_16446) == (long) CINT(BgL_a2z00_16447));
					}}
					return BBOOL(BgL_tmpz00_24887);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2848> */
	obj_t BGl_z62zc3anonymousza32848ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13924, obj_t BgL_sz00_13928)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13925;
				obj_t BgL_a2z00_13926;
				obj_t BgL_locz00_13927;

				BgL_a1z00_13925 = PROCEDURE_REF(BgL_envz00_13924, (int) (((long) 0)));
				BgL_a2z00_13926 = PROCEDURE_REF(BgL_envz00_13924, (int) (((long) 1)));
				BgL_locz00_13927 = PROCEDURE_REF(BgL_envz00_13924, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24914;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16448;

						BgL_bpz00_16448 = VECTOR_REF(((obj_t) BgL_sz00_13928), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16449;
							obj_t BgL_a2z00_16450;

							BgL_a1z00_16449 =
								PROCEDURE_ENTRY(BgL_a1z00_13925) (BgL_a1z00_13925,
								BgL_sz00_13928, BEOA);
							BgL_a2z00_16450 =
								PROCEDURE_ENTRY(BgL_a2z00_13926) (BgL_a2z00_13926,
								BgL_sz00_13928, BEOA);
							if (REALP(BgL_a1z00_16449))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5812z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16449,
										BgL_locz00_13927);
								}
							if (REALP(BgL_a2z00_16450))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5812z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16450,
										BgL_locz00_13927);
								}
							BgL_tmpz00_24914 =
								(REAL_TO_DOUBLE(BgL_a1z00_16449) +
								REAL_TO_DOUBLE(BgL_a2z00_16450));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24914);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2852> */
	obj_t BGl_z62zc3anonymousza32852ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13929, obj_t BgL_sz00_13933)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13930;
				obj_t BgL_a2z00_13931;
				obj_t BgL_locz00_13932;

				BgL_a1z00_13930 = PROCEDURE_REF(BgL_envz00_13929, (int) (((long) 0)));
				BgL_a2z00_13931 = PROCEDURE_REF(BgL_envz00_13929, (int) (((long) 1)));
				BgL_locz00_13932 = PROCEDURE_REF(BgL_envz00_13929, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24941;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16451;

						BgL_bpz00_16451 = VECTOR_REF(((obj_t) BgL_sz00_13933), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16452;
							obj_t BgL_a2z00_16453;

							BgL_a1z00_16452 =
								PROCEDURE_ENTRY(BgL_a1z00_13930) (BgL_a1z00_13930,
								BgL_sz00_13933, BEOA);
							BgL_a2z00_16453 =
								PROCEDURE_ENTRY(BgL_a2z00_13931) (BgL_a2z00_13931,
								BgL_sz00_13933, BEOA);
							if (REALP(BgL_a1z00_16452))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5816z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16452,
										BgL_locz00_13932);
								}
							if (REALP(BgL_a2z00_16453))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5816z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16453,
										BgL_locz00_13932);
								}
							BgL_tmpz00_24941 =
								(REAL_TO_DOUBLE(BgL_a1z00_16452) -
								REAL_TO_DOUBLE(BgL_a2z00_16453));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24941);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2856> */
	obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13934, obj_t BgL_sz00_13938)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13935;
				obj_t BgL_a2z00_13936;
				obj_t BgL_locz00_13937;

				BgL_a1z00_13935 = PROCEDURE_REF(BgL_envz00_13934, (int) (((long) 0)));
				BgL_a2z00_13936 = PROCEDURE_REF(BgL_envz00_13934, (int) (((long) 1)));
				BgL_locz00_13937 = PROCEDURE_REF(BgL_envz00_13934, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24968;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16454;

						BgL_bpz00_16454 = VECTOR_REF(((obj_t) BgL_sz00_13938), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16455;
							obj_t BgL_a2z00_16456;

							BgL_a1z00_16455 =
								PROCEDURE_ENTRY(BgL_a1z00_13935) (BgL_a1z00_13935,
								BgL_sz00_13938, BEOA);
							BgL_a2z00_16456 =
								PROCEDURE_ENTRY(BgL_a2z00_13936) (BgL_a2z00_13936,
								BgL_sz00_13938, BEOA);
							if (REALP(BgL_a1z00_16455))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5818z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16455,
										BgL_locz00_13937);
								}
							if (REALP(BgL_a2z00_16456))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5818z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16456,
										BgL_locz00_13937);
								}
							BgL_tmpz00_24968 =
								(REAL_TO_DOUBLE(BgL_a1z00_16455) *
								REAL_TO_DOUBLE(BgL_a2z00_16456));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24968);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2860> */
	obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13939, obj_t BgL_sz00_13943)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13940;
				obj_t BgL_a2z00_13941;
				obj_t BgL_locz00_13942;

				BgL_a1z00_13940 = PROCEDURE_REF(BgL_envz00_13939, (int) (((long) 0)));
				BgL_a2z00_13941 = PROCEDURE_REF(BgL_envz00_13939, (int) (((long) 1)));
				BgL_locz00_13942 = PROCEDURE_REF(BgL_envz00_13939, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24995;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16457;

						BgL_bpz00_16457 = VECTOR_REF(((obj_t) BgL_sz00_13943), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16458;
							obj_t BgL_a2z00_16459;

							BgL_a1z00_16458 =
								PROCEDURE_ENTRY(BgL_a1z00_13940) (BgL_a1z00_13940,
								BgL_sz00_13943, BEOA);
							BgL_a2z00_16459 =
								PROCEDURE_ENTRY(BgL_a2z00_13941) (BgL_a2z00_13941,
								BgL_sz00_13943, BEOA);
							if (REALP(BgL_a1z00_16458))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5820z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16458,
										BgL_locz00_13942);
								}
							if (REALP(BgL_a2z00_16459))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5820z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16459,
										BgL_locz00_13942);
								}
							BgL_tmpz00_24995 =
								(REAL_TO_DOUBLE(BgL_a1z00_16458) /
								REAL_TO_DOUBLE(BgL_a2z00_16459));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24995);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2864> */
	obj_t BGl_z62zc3anonymousza32864ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13944, obj_t BgL_sz00_13948)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13945;
				obj_t BgL_a2z00_13946;
				obj_t BgL_locz00_13947;

				BgL_a1z00_13945 = PROCEDURE_REF(BgL_envz00_13944, (int) (((long) 0)));
				BgL_a2z00_13946 = PROCEDURE_REF(BgL_envz00_13944, (int) (((long) 1)));
				BgL_locz00_13947 = PROCEDURE_REF(BgL_envz00_13944, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25022;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16460;

						BgL_bpz00_16460 = VECTOR_REF(((obj_t) BgL_sz00_13948), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16461;
							obj_t BgL_a2z00_16462;

							BgL_a1z00_16461 =
								PROCEDURE_ENTRY(BgL_a1z00_13945) (BgL_a1z00_13945,
								BgL_sz00_13948, BEOA);
							BgL_a2z00_16462 =
								PROCEDURE_ENTRY(BgL_a2z00_13946) (BgL_a2z00_13946,
								BgL_sz00_13948, BEOA);
							if (REALP(BgL_a1z00_16461))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5822z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16461,
										BgL_locz00_13947);
								}
							if (REALP(BgL_a2z00_16462))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5822z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16462,
										BgL_locz00_13947);
								}
							BgL_tmpz00_25022 =
								(REAL_TO_DOUBLE(BgL_a1z00_16461) <
								REAL_TO_DOUBLE(BgL_a2z00_16462));
						}
					}
					return BBOOL(BgL_tmpz00_25022);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2868> */
	obj_t BGl_z62zc3anonymousza32868ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13949, obj_t BgL_sz00_13953)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13950;
				obj_t BgL_a2z00_13951;
				obj_t BgL_locz00_13952;

				BgL_a1z00_13950 = PROCEDURE_REF(BgL_envz00_13949, (int) (((long) 0)));
				BgL_a2z00_13951 = PROCEDURE_REF(BgL_envz00_13949, (int) (((long) 1)));
				BgL_locz00_13952 = PROCEDURE_REF(BgL_envz00_13949, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25049;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16463;

						BgL_bpz00_16463 = VECTOR_REF(((obj_t) BgL_sz00_13953), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16464;
							obj_t BgL_a2z00_16465;

							BgL_a1z00_16464 =
								PROCEDURE_ENTRY(BgL_a1z00_13950) (BgL_a1z00_13950,
								BgL_sz00_13953, BEOA);
							BgL_a2z00_16465 =
								PROCEDURE_ENTRY(BgL_a2z00_13951) (BgL_a2z00_13951,
								BgL_sz00_13953, BEOA);
							if (REALP(BgL_a1z00_16464))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5824z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16464,
										BgL_locz00_13952);
								}
							if (REALP(BgL_a2z00_16465))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5824z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16465,
										BgL_locz00_13952);
								}
							BgL_tmpz00_25049 =
								(REAL_TO_DOUBLE(BgL_a1z00_16464) >
								REAL_TO_DOUBLE(BgL_a2z00_16465));
						}
					}
					return BBOOL(BgL_tmpz00_25049);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2872> */
	obj_t BGl_z62zc3anonymousza32872ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13954, obj_t BgL_sz00_13958)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13955;
				obj_t BgL_a2z00_13956;
				obj_t BgL_locz00_13957;

				BgL_a1z00_13955 = PROCEDURE_REF(BgL_envz00_13954, (int) (((long) 0)));
				BgL_a2z00_13956 = PROCEDURE_REF(BgL_envz00_13954, (int) (((long) 1)));
				BgL_locz00_13957 = PROCEDURE_REF(BgL_envz00_13954, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25076;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16466;

						BgL_bpz00_16466 = VECTOR_REF(((obj_t) BgL_sz00_13958), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16467;
							obj_t BgL_a2z00_16468;

							BgL_a1z00_16467 =
								PROCEDURE_ENTRY(BgL_a1z00_13955) (BgL_a1z00_13955,
								BgL_sz00_13958, BEOA);
							BgL_a2z00_16468 =
								PROCEDURE_ENTRY(BgL_a2z00_13956) (BgL_a2z00_13956,
								BgL_sz00_13958, BEOA);
							if (REALP(BgL_a1z00_16467))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5826z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16467,
										BgL_locz00_13957);
								}
							if (REALP(BgL_a2z00_16468))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5826z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16468,
										BgL_locz00_13957);
								}
							BgL_tmpz00_25076 =
								(REAL_TO_DOUBLE(BgL_a1z00_16467) <=
								REAL_TO_DOUBLE(BgL_a2z00_16468));
						}
					}
					return BBOOL(BgL_tmpz00_25076);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2876> */
	obj_t BGl_z62zc3anonymousza32876ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13959, obj_t BgL_sz00_13963)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13960;
				obj_t BgL_a2z00_13961;
				obj_t BgL_locz00_13962;

				BgL_a1z00_13960 = PROCEDURE_REF(BgL_envz00_13959, (int) (((long) 0)));
				BgL_a2z00_13961 = PROCEDURE_REF(BgL_envz00_13959, (int) (((long) 1)));
				BgL_locz00_13962 = PROCEDURE_REF(BgL_envz00_13959, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25103;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16469;

						BgL_bpz00_16469 = VECTOR_REF(((obj_t) BgL_sz00_13963), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16470;
							obj_t BgL_a2z00_16471;

							BgL_a1z00_16470 =
								PROCEDURE_ENTRY(BgL_a1z00_13960) (BgL_a1z00_13960,
								BgL_sz00_13963, BEOA);
							BgL_a2z00_16471 =
								PROCEDURE_ENTRY(BgL_a2z00_13961) (BgL_a2z00_13961,
								BgL_sz00_13963, BEOA);
							if (REALP(BgL_a1z00_16470))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5828z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16470,
										BgL_locz00_13962);
								}
							if (REALP(BgL_a2z00_16471))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5828z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16471,
										BgL_locz00_13962);
								}
							BgL_tmpz00_25103 =
								(REAL_TO_DOUBLE(BgL_a1z00_16470) >=
								REAL_TO_DOUBLE(BgL_a2z00_16471));
						}
					}
					return BBOOL(BgL_tmpz00_25103);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2880> */
	obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13964, obj_t BgL_sz00_13968)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13965;
				obj_t BgL_a2z00_13966;
				obj_t BgL_locz00_13967;

				BgL_a1z00_13965 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 0)));
				BgL_a2z00_13966 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 1)));
				BgL_locz00_13967 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25130;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16472;

						BgL_bpz00_16472 = VECTOR_REF(((obj_t) BgL_sz00_13968), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16473;
							obj_t BgL_a2z00_16474;

							BgL_a1z00_16473 =
								PROCEDURE_ENTRY(BgL_a1z00_13965) (BgL_a1z00_13965,
								BgL_sz00_13968, BEOA);
							BgL_a2z00_16474 =
								PROCEDURE_ENTRY(BgL_a2z00_13966) (BgL_a2z00_13966,
								BgL_sz00_13968, BEOA);
							if (REALP(BgL_a1z00_16473))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5830z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a1z00_16473,
										BgL_locz00_13967);
								}
							if (REALP(BgL_a2z00_16474))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5830z00zz__evaluate_compz00,
										BGl_symbol5814z00zz__evaluate_compz00, BgL_a2z00_16474,
										BgL_locz00_13967);
								}
							BgL_tmpz00_25130 =
								(REAL_TO_DOUBLE(BgL_a1z00_16473) ==
								REAL_TO_DOUBLE(BgL_a2z00_16474));
						}
					}
					return BBOOL(BgL_tmpz00_25130);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2884> */
	obj_t BGl_z62zc3anonymousza32884ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13969, obj_t BgL_sz00_13972)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13970;
				obj_t BgL_a2z00_13971;

				BgL_a1z00_13970 = PROCEDURE_REF(BgL_envz00_13969, (int) (((long) 0)));
				BgL_a2z00_13971 = PROCEDURE_REF(BgL_envz00_13969, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25155;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16475;

						BgL_bpz00_16475 = VECTOR_REF(((obj_t) BgL_sz00_13972), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16476;
							obj_t BgL_a2z00_16477;

							BgL_a1z00_16476 =
								PROCEDURE_ENTRY(BgL_a1z00_13970) (BgL_a1z00_13970,
								BgL_sz00_13972, BEOA);
							BgL_a2z00_16477 =
								PROCEDURE_ENTRY(BgL_a2z00_13971) (BgL_a2z00_13971,
								BgL_sz00_13972, BEOA);
							BgL_tmpz00_25155 = (BgL_a1z00_16476 == BgL_a2z00_16477);
					}}
					return BBOOL(BgL_tmpz00_25155);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2886> */
	obj_t BGl_z62zc3anonymousza32886ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13973, obj_t BgL_sz00_13976)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13974;
				obj_t BgL_a2z00_13975;

				BgL_a1z00_13974 = PROCEDURE_REF(BgL_envz00_13973, (int) (((long) 0)));
				BgL_a2z00_13975 = PROCEDURE_REF(BgL_envz00_13973, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16478;

					BgL_bpz00_16478 = VECTOR_REF(((obj_t) BgL_sz00_13976), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16479;
						obj_t BgL_a2z00_16480;

						BgL_a1z00_16479 =
							PROCEDURE_ENTRY(BgL_a1z00_13974) (BgL_a1z00_13974, BgL_sz00_13976,
							BEOA);
						BgL_a2z00_16480 =
							PROCEDURE_ENTRY(BgL_a2z00_13975) (BgL_a2z00_13975, BgL_sz00_13976,
							BEOA);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16479, BgL_a2z00_16480);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2889> */
	obj_t BGl_z62zc3anonymousza32889ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13977, obj_t BgL_sz00_13980)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13978;
				obj_t BgL_locz00_13979;

				BgL_a1z00_13978 = PROCEDURE_REF(BgL_envz00_13977, (int) (((long) 0)));
				BgL_locz00_13979 = PROCEDURE_REF(BgL_envz00_13977, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16481;

					BgL_bpz00_16481 = VECTOR_REF(((obj_t) BgL_sz00_13980), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16482;

						BgL_a1z00_16482 =
							PROCEDURE_ENTRY(BgL_a1z00_13978) (BgL_a1z00_13978, BgL_sz00_13980,
							BEOA);
						if (PAIRP(BgL_a1z00_16482))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5832z00zz__evaluate_compz00,
									BGl_symbol5834z00zz__evaluate_compz00, BgL_a1z00_16482,
									BgL_locz00_13979);
							}
						return CAR(((obj_t) BgL_a1z00_16482));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2892> */
	obj_t BGl_z62zc3anonymousza32892ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13981, obj_t BgL_sz00_13984)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13982;
				obj_t BgL_locz00_13983;

				BgL_a1z00_13982 = PROCEDURE_REF(BgL_envz00_13981, (int) (((long) 0)));
				BgL_locz00_13983 = PROCEDURE_REF(BgL_envz00_13981, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16483;

					BgL_bpz00_16483 = VECTOR_REF(((obj_t) BgL_sz00_13984), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16484;

						BgL_a1z00_16484 =
							PROCEDURE_ENTRY(BgL_a1z00_13982) (BgL_a1z00_13982, BgL_sz00_13984,
							BEOA);
						if (PAIRP(BgL_a1z00_16484))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5836z00zz__evaluate_compz00,
									BGl_symbol5834z00zz__evaluate_compz00, BgL_a1z00_16484,
									BgL_locz00_13983);
							}
						return CDR(((obj_t) BgL_a1z00_16484));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2895> */
	obj_t BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13985, obj_t BgL_sz00_13988)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13986;
				obj_t BgL_locz00_13987;

				BgL_a1z00_13986 = PROCEDURE_REF(BgL_envz00_13985, (int) (((long) 0)));
				BgL_locz00_13987 = PROCEDURE_REF(BgL_envz00_13985, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16485;

					BgL_bpz00_16485 = VECTOR_REF(((obj_t) BgL_sz00_13988), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16486;

						BgL_a1z00_16486 =
							PROCEDURE_ENTRY(BgL_a1z00_13986) (BgL_a1z00_13986, BgL_sz00_13988,
							BEOA);
						{	/* Eval/evaluate_comp.scm 1011 */
							bool_t BgL_testz00_25223;

							if (PAIRP(BgL_a1z00_16486))
								{	/* Eval/evaluate_comp.scm 1020 */
									obj_t BgL_tmpz00_25226;

									BgL_tmpz00_25226 = CDR(BgL_a1z00_16486);
									BgL_testz00_25223 = PAIRP(BgL_tmpz00_25226);
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									BgL_testz00_25223 = ((bool_t) 0);
								}
							if (BgL_testz00_25223)
								{	/* Eval/evaluate_comp.scm 1011 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1011 */
									obj_t BgL_arg2897z00_16487;

									if (PAIRP(BgL_a1z00_16486))
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2897z00_16487 = CDR(BgL_a1z00_16486);
										}
									else
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2897z00_16487 = BgL_a1z00_16486;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5838z00zz__evaluate_compz00,
										BGl_symbol5834z00zz__evaluate_compz00, BgL_arg2897z00_16487,
										BgL_locz00_13987);
								}
						}
						{	/* Eval/evaluate_comp.scm 1011 */
							obj_t BgL_pairz00_16488;

							BgL_pairz00_16488 = CDR(((obj_t) BgL_a1z00_16486));
							return CAR(BgL_pairz00_16488);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1056 */
			if ((BgL_arityz00_206 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1058 */
					long BgL_g1235z00_3501;

					BgL_g1235z00_3501 = (((long) -1) - BgL_arityz00_206);
					{
						long BgL_rz00_3503;
						long BgL_spz00_3504;
						obj_t BgL_lz00_3505;

						BgL_rz00_3503 = BgL_g1235z00_3501;
						BgL_spz00_3504 = BgL_spz00_205;
						BgL_lz00_3505 = BgL_valsz00_207;
					BgL_zc3anonymousza32903ze3z83_3506:
						if ((BgL_rz00_3503 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1060 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3504, BgL_lz00_3505);
							}
						else
							{	/* Eval/evaluate_comp.scm 1060 */
								if (PAIRP(BgL_lz00_3505))
									{	/* Eval/evaluate_comp.scm 1062 */
										{	/* Eval/evaluate_comp.scm 1065 */
											obj_t BgL_arg2907z00_3509;

											BgL_arg2907z00_3509 = CAR(BgL_lz00_3505);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3504,
												BgL_arg2907z00_3509);
										}
										{
											obj_t BgL_lz00_25252;
											long BgL_spz00_25250;
											long BgL_rz00_25248;

											BgL_rz00_25248 = (BgL_rz00_3503 - ((long) 1));
											BgL_spz00_25250 = (BgL_spz00_3504 + ((long) 1));
											BgL_lz00_25252 = CDR(BgL_lz00_3505);
											BgL_lz00_3505 = BgL_lz00_25252;
											BgL_spz00_3504 = BgL_spz00_25250;
											BgL_rz00_3503 = BgL_rz00_25248;
											goto BgL_zc3anonymousza32903ze3z83_3506;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1063 */
										long BgL_arg2923z00_3513;

										BgL_arg2923z00_3513 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2923z00_3513));
				}}}}
			else
				{
					long BgL_rz00_3516;
					long BgL_spz00_3517;
					obj_t BgL_lz00_3518;

					BgL_rz00_3516 = BgL_arityz00_206;
					BgL_spz00_3517 = BgL_spz00_205;
					BgL_lz00_3518 = BgL_valsz00_207;
				BgL_zc3anonymousza32924ze3z83_3519:
					if ((BgL_rz00_3516 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1069 */
							if (NULLP(BgL_lz00_3518))
								{	/* Eval/evaluate_comp.scm 1070 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1071 */
									long BgL_arg2927z00_3522;

									BgL_arg2927z00_3522 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2927z00_3522));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1069 */
							if (PAIRP(BgL_lz00_3518))
								{	/* Eval/evaluate_comp.scm 1072 */
									{	/* Eval/evaluate_comp.scm 1075 */
										obj_t BgL_arg2929z00_3524;

										BgL_arg2929z00_3524 = CAR(BgL_lz00_3518);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3517,
											BgL_arg2929z00_3524);
									}
									{
										obj_t BgL_lz00_25275;
										long BgL_spz00_25273;
										long BgL_rz00_25271;

										BgL_rz00_25271 = (BgL_rz00_3516 - ((long) 1));
										BgL_spz00_25273 = (BgL_spz00_3517 + ((long) 1));
										BgL_lz00_25275 = CDR(BgL_lz00_3518);
										BgL_lz00_3518 = BgL_lz00_25275;
										BgL_spz00_3517 = BgL_spz00_25273;
										BgL_rz00_3516 = BgL_rz00_25271;
										goto BgL_zc3anonymousza32924ze3z83_3519;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1073 */
									long BgL_arg2934z00_3528;

									BgL_arg2934z00_3528 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2934z00_3528));
		}}}}
		BGL_FUNCTION_END;
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1170 */
			{
				long BgL_iz00_3532;

				BgL_iz00_3532 = ((long) 0);
			BgL_zc3anonymousza32935ze3z83_3533:
				{	/* Eval/evaluate_comp.scm 1173 */
					long BgL_spz00_3534;

					{	/* Eval/evaluate_comp.scm 1173 */
						obj_t BgL_arg2940z00_3539;

						BgL_arg2940z00_3539 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3532);
						BgL_spz00_3534 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2940z00_3539));
					}
					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_arg2937z00_3535;

						{	/* Eval/evaluate_comp.scm 1174 */
							obj_t BgL_arg2938z00_3536;

							BgL_arg2938z00_3536 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3534);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9625;

								BgL_newz00_9625 =
									create_struct(BGl_symbol5762z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_25290;

									BgL_tmpz00_25290 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_9625, BgL_tmpz00_25290,
										BgL_arg2938z00_3536);
								}
								BgL_arg2937z00_3535 = BgL_newz00_9625;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3534, BgL_arg2937z00_3535);
					}
					{	/* Eval/evaluate_comp.scm 1175 */
						long BgL_niz00_3537;

						BgL_niz00_3537 = (BgL_iz00_3532 + ((long) 1));
						if ((BgL_niz00_3537 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_25300;

								BgL_iz00_25300 = BgL_niz00_3537;
								BgL_iz00_3532 = BgL_iz00_25300;
								goto BgL_zc3anonymousza32935ze3z83_3533;
							}
						else
							{	/* Eval/evaluate_comp.scm 1176 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1178 */
			{	/* Eval/evaluate_comp.scm 1179 */
				obj_t BgL_rz00_3542;

				BgL_rz00_3542 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1179 */

					{
						long BgL_iz00_3544;

						BgL_iz00_3544 = ((long) 0);
					BgL_zc3anonymousza32941ze3z83_3545:
						if ((BgL_iz00_3544 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1181 */
								return BgL_rz00_3542;
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1184 */
									obj_t BgL_arg2943z00_3547;

									{	/* Eval/evaluate_comp.scm 1184 */
										long BgL_arg2944z00_3548;

										{	/* Eval/evaluate_comp.scm 1184 */
											obj_t BgL_arg2950z00_3549;

											BgL_arg2950z00_3549 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3544);
											BgL_arg2944z00_3548 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2950z00_3549));
										}
										BgL_arg2943z00_3547 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg2944z00_3548);
									}
									VECTOR_SET(BgL_rz00_3542, BgL_iz00_3544, BgL_arg2943z00_3547);
								}
								{
									long BgL_iz00_25316;

									BgL_iz00_25316 = (BgL_iz00_3544 + ((long) 1));
									BgL_iz00_3544 = BgL_iz00_25316;
									goto BgL_zc3anonymousza32941ze3z83_3545;
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1187 */
			{	/* Eval/evaluate_comp.scm 1188 */
				long BgL_stopz00_3553;

				BgL_stopz00_3553 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9685;
					long BgL_spz00_9686;

					BgL_iz00_9685 = ((long) 0);
					BgL_spz00_9686 = BgL_spz00_219;
				BgL_recz00_9684:
					if ((BgL_spz00_9686 < BgL_stopz00_3553))
						{	/* Eval/evaluate_comp.scm 1190 */
							{	/* Eval/evaluate_comp.scm 1191 */
								obj_t BgL_arg2957z00_9692;

								BgL_arg2957z00_9692 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9685);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9686, BgL_arg2957z00_9692);
							}
							{
								long BgL_spz00_25329;
								long BgL_iz00_25327;

								BgL_iz00_25327 = (BgL_iz00_9685 + ((long) 1));
								BgL_spz00_25329 = (BgL_spz00_9686 + ((long) 1));
								BgL_spz00_9686 = BgL_spz00_25329;
								BgL_iz00_9685 = BgL_iz00_25327;
								goto BgL_recz00_9684;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1190 */
							return ((bool_t) 0);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5840z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5841z00zz__evaluate_compz00);
		}
		BGL_FUNCTION_END;
	}



/* &comp1384 */
	obj_t BGl_z62comp1384z62zz__evaluate_compz00(obj_t BgL_envz00_14074,
		obj_t BgL_ez00_14075, obj_t BgL_stkz00_14076)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string5752z00zz__evaluate_compz00,
				BGl_string5842z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14075)));
		}
		BGL_FUNCTION_END;
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1385z00_3569;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res5048z00_9734;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9707;

						{	/* Eval/evaluate_comp.scm 276 */
							long BgL_res5042z00_9710;

							BgL_res5042z00_9710 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
							BgL_objzd2classzd2numz00_9707 = BgL_res5042z00_9710;
						}
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4280z00_9708;

							BgL_arg4280z00_9708 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9712;

								BgL_offsetz00_9712 = (int) (BgL_objzd2classzd2numz00_9707);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9713;

									BgL_offsetz00_9713 =
										((long) (BgL_offsetz00_9712) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9714;

										{	/* Eval/evaluate_comp.scm 276 */
											int BgL_arg4282z00_9715;

											BgL_arg4282z00_9715 = (int) (((long) 16));
											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_res5045z00_9725;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_tmpz00_25343;

													BgL_tmpz00_25343 = (long) (BgL_arg4282z00_9715);
													BgL_res5045z00_9725 =
														(BgL_offsetz00_9713 / BgL_tmpz00_25343);
												}
												BgL_modz00_9714 = BgL_res5045z00_9725;
										}}
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9716;

											{	/* Eval/evaluate_comp.scm 276 */
												int BgL_arg4281z00_9717;

												BgL_arg4281z00_9717 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_res5047z00_9729;

													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_tmpz00_25347;

														BgL_tmpz00_25347 = (long) (BgL_arg4281z00_9717);
														BgL_res5047z00_9729 =
															(BgL_offsetz00_9713 % BgL_tmpz00_25347);
													}
													BgL_restz00_9716 = BgL_res5047z00_9729;
											}}
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9718;

													BgL_bucketz00_9718 =
														VECTOR_REF(
														((obj_t) BgL_arg4280z00_9708), BgL_modz00_9714);
													BgL_res5048z00_9734 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9718), BgL_restz00_9716);
					}}}}}}}}
					BgL_method1385z00_3569 = BgL_res5048z00_9734;
				}
				return
					PROCEDURE_ENTRY(BgL_method1385z00_3569) (BgL_method1385z00_3569,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14077,
		obj_t BgL_ez00_14078, obj_t BgL_stkz00_14079)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_25360;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_14078,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 276 */
						BgL_auxz00_25360 = ((BgL_ev_exprz00_bglt) BgL_ez00_14078);
					}
				else
					{
						obj_t BgL_auxz00_25364;

						BgL_auxz00_25364 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5757z00zz__evaluate_compz00, BINT(((long) 7022)),
							BGl_string5843z00zz__evaluate_compz00,
							BGl_string5759z00zz__evaluate_compz00, BgL_ez00_14078);
						FAILURE(BgL_auxz00_25364, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_25360, BgL_stkz00_14079);
			}
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5844z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5846z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5847z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5848z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5849z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5850z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5851z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5852z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5853z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5854z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5855z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5856z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5857z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5858z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5859z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5860z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5861z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc5862z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5863z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5864z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5865z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5866z00zz__evaluate_compz00,
				BGl_string5845z00zz__evaluate_compz00);
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_abs1432 */
	obj_t BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00(obj_t BgL_envz00_14274,
		obj_t BgL_ez00_14275, obj_t BgL_stkz00_14276)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1158 */
			{	/* Eval/evaluate_comp.scm 1160 */
				obj_t BgL_ifreesz00_16491;
				obj_t BgL_iboxesz00_16492;
				long BgL_siza7eza7_16493;
				long BgL_siza7ezd2framez75_16494;
				obj_t BgL_nstkz00_16495;

				{	/* Eval/evaluate_comp.scm 1160 */
					obj_t BgL_arg3997z00_16496;

					{	/* Eval/evaluate_comp.scm 1160 */
						obj_t BgL_l1362z00_16497;

						BgL_l1362z00_16497 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_freez00);
						if (NULLP(BgL_l1362z00_16497))
							{	/* Eval/evaluate_comp.scm 1160 */
								BgL_arg3997z00_16496 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1160 */
								obj_t BgL_head1364z00_16498;

								{	/* Eval/evaluate_comp.scm 1160 */
									obj_t BgL_res5187z00_16499;

									BgL_res5187z00_16499 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1364z00_16498 = BgL_res5187z00_16499;
								}
								{
									obj_t BgL_l1362z00_16501;
									obj_t BgL_tail1365z00_16502;

									BgL_l1362z00_16501 = BgL_l1362z00_16497;
									BgL_tail1365z00_16502 = BgL_head1364z00_16498;
								BgL_zc3anonymousza33999ze3z83_16500:
									if (NULLP(BgL_l1362z00_16501))
										{	/* Eval/evaluate_comp.scm 1160 */
											BgL_arg3997z00_16496 = CDR(BgL_head1364z00_16498);
										}
									else
										{	/* Eval/evaluate_comp.scm 1160 */
											obj_t BgL_newtail1366z00_16503;

											{	/* Eval/evaluate_comp.scm 1160 */
												obj_t BgL_arg4002z00_16504;

												{	/* Eval/evaluate_comp.scm 1160 */
													obj_t BgL_vz00_16505;

													BgL_vz00_16505 = CAR(((obj_t) BgL_l1362z00_16501));
													BgL_arg4002z00_16504 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16505,
														BgL_stkz00_14276);
												}
												{	/* Eval/evaluate_comp.scm 1160 */
													obj_t BgL_res5193z00_16506;

													BgL_res5193z00_16506 =
														MAKE_YOUNG_PAIR(BgL_arg4002z00_16504, BNIL);
													BgL_newtail1366z00_16503 = BgL_res5193z00_16506;
												}
											}
											SET_CDR(BgL_tail1365z00_16502, BgL_newtail1366z00_16503);
											{	/* Eval/evaluate_comp.scm 1160 */
												obj_t BgL_arg4001z00_16507;

												BgL_arg4001z00_16507 =
													CDR(((obj_t) BgL_l1362z00_16501));
												{
													obj_t BgL_tail1365z00_25407;
													obj_t BgL_l1362z00_25406;

													BgL_l1362z00_25406 = BgL_arg4001z00_16507;
													BgL_tail1365z00_25407 = BgL_newtail1366z00_16503;
													BgL_tail1365z00_16502 = BgL_tail1365z00_25407;
													BgL_l1362z00_16501 = BgL_l1362z00_25406;
													goto BgL_zc3anonymousza33999ze3z83_16500;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16491 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3997z00_16496);
				}
				{	/* Eval/evaluate_comp.scm 1161 */
					obj_t BgL_arg4003z00_16508;

					{	/* Eval/evaluate_comp.scm 1161 */
						obj_t BgL_l1367z00_16509;

						BgL_l1367z00_16509 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_boxesz00);
						if (NULLP(BgL_l1367z00_16509))
							{	/* Eval/evaluate_comp.scm 1161 */
								BgL_arg4003z00_16508 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1161 */
								obj_t BgL_head1369z00_16510;

								{	/* Eval/evaluate_comp.scm 1161 */
									obj_t BgL_res5195z00_16511;

									BgL_res5195z00_16511 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1369z00_16510 = BgL_res5195z00_16511;
								}
								{
									obj_t BgL_l1367z00_16513;
									obj_t BgL_tail1370z00_16514;

									BgL_l1367z00_16513 = BgL_l1367z00_16509;
									BgL_tail1370z00_16514 = BgL_head1369z00_16510;
								BgL_zc3anonymousza34005ze3z83_16512:
									if (NULLP(BgL_l1367z00_16513))
										{	/* Eval/evaluate_comp.scm 1161 */
											BgL_arg4003z00_16508 = CDR(BgL_head1369z00_16510);
										}
									else
										{	/* Eval/evaluate_comp.scm 1161 */
											obj_t BgL_newtail1371z00_16515;

											{	/* Eval/evaluate_comp.scm 1161 */
												obj_t BgL_arg4008z00_16516;

												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_vz00_16517;

													BgL_vz00_16517 = CAR(((obj_t) BgL_l1367z00_16513));
													BgL_arg4008z00_16516 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16517,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14275)))->
															BgL_varsz00));
												}
												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_res5197z00_16518;

													BgL_res5197z00_16518 =
														MAKE_YOUNG_PAIR(BgL_arg4008z00_16516, BNIL);
													BgL_newtail1371z00_16515 = BgL_res5197z00_16518;
												}
											}
											SET_CDR(BgL_tail1370z00_16514, BgL_newtail1371z00_16515);
											{	/* Eval/evaluate_comp.scm 1161 */
												obj_t BgL_arg4007z00_16519;

												BgL_arg4007z00_16519 =
													CDR(((obj_t) BgL_l1367z00_16513));
												{
													obj_t BgL_tail1370z00_25427;
													obj_t BgL_l1367z00_25426;

													BgL_l1367z00_25426 = BgL_arg4007z00_16519;
													BgL_tail1370z00_25427 = BgL_newtail1371z00_16515;
													BgL_tail1370z00_16514 = BgL_tail1370z00_25427;
													BgL_l1367z00_16513 = BgL_l1367z00_25426;
													goto BgL_zc3anonymousza34005ze3z83_16512;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16492 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4003z00_16508);
				}
				BgL_siza7eza7_16493 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16494 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_freez00)));
				BgL_nstkz00_16495 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1165 */
					obj_t BgL_bodyz00_16520;

					BgL_bodyz00_16520 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_bodyz00),
						BgL_nstkz00_16495);
					{

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_aux1247z00_16526;

							BgL_aux1247z00_16526 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14275)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1247z00_16526))
								{	/* Eval/evaluate_comp.scm 1167 */
									switch ((long) CINT(BgL_aux1247z00_16526))
										{
										case ((long) 0):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33430ze3z83_16527;

															BgL_zc3anonymousza33430ze3z83_16527 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33430ze3z83_16527,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33430ze3z83_16527,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33430ze3z83_16527,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33430ze3z83_16527;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33436ze3z83_16528;

															BgL_zc3anonymousza33436ze3z83_16528 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33436ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33436ze3z83_16528,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33436ze3z83_16528,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33436ze3z83_16528,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33436ze3z83_16528,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33436ze3z83_16528;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33445ze3z83_16529;

															BgL_zc3anonymousza33445ze3z83_16529 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33445ze3z83_16529,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33445ze3z83_16529,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33445ze3z83_16529,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33445ze3z83_16529,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33445ze3z83_16529,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33445ze3z83_16529;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33452ze3z83_16530;

															BgL_zc3anonymousza33452ze3z83_16530 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16530,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33452ze3z83_16530;
														}
												}
											break;
										case ((long) -1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33467ze3z83_16531;

															BgL_zc3anonymousza33467ze3z83_16531 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33467ze3z83_16531,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33467ze3z83_16531,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33467ze3z83_16531,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33467ze3z83_16531;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33474ze3z83_16532;

															BgL_zc3anonymousza33474ze3z83_16532 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33474ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_16532,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_16532,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_16532,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33474ze3z83_16532,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33474ze3z83_16532;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33484ze3z83_16533;

															BgL_zc3anonymousza33484ze3z83_16533 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33484ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33484ze3z83_16533,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33484ze3z83_16533,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33484ze3z83_16533,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33484ze3z83_16533,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33484ze3z83_16533,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33484ze3z83_16533;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33492ze3z83_16534;

															BgL_zc3anonymousza33492ze3z83_16534 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33492ze3z83_16534,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33492ze3z83_16534;
														}
												}
											break;
										case ((long) 1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33507ze3z83_16535;

															BgL_zc3anonymousza33507ze3z83_16535 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33507ze3z83_16535,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33507ze3z83_16535,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33507ze3z83_16535,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33507ze3z83_16535;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33516ze3z83_16536;

															BgL_zc3anonymousza33516ze3z83_16536 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33516ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33516ze3z83_16536,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33516ze3z83_16536,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33516ze3z83_16536,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33516ze3z83_16536,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33516ze3z83_16536;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33526ze3z83_16537;

															BgL_zc3anonymousza33526ze3z83_16537 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_16537,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_16537,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_16537,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_16537,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_16537,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33526ze3z83_16537;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33535ze3z83_16538;

															BgL_zc3anonymousza33535ze3z83_16538 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16538,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33535ze3z83_16538;
														}
												}
											break;
										case ((long) -2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33551ze3z83_16539;

															BgL_zc3anonymousza33551ze3z83_16539 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_16539,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_16539,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_16539,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33551ze3z83_16539;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33560ze3z83_16540;

															BgL_zc3anonymousza33560ze3z83_16540 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_16540,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_16540,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_16540,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_16540,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33560ze3z83_16540;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33571ze3z83_16541;

															BgL_zc3anonymousza33571ze3z83_16541 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16541,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16541,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16541,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16541,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16541,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33571ze3z83_16541;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33582ze3z83_16542;

															BgL_zc3anonymousza33582ze3z83_16542 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33582ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33582ze3z83_16542,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33582ze3z83_16542;
														}
												}
											break;
										case ((long) 2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33602ze3z83_16543;

															BgL_zc3anonymousza33602ze3z83_16543 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33602ze3z83_16543,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33602ze3z83_16543,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33602ze3z83_16543,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33602ze3z83_16543;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33611ze3z83_16544;

															BgL_zc3anonymousza33611ze3z83_16544 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33611ze3z83_16544,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33611ze3z83_16544,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33611ze3z83_16544,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33611ze3z83_16544,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33611ze3z83_16544;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33623ze3z83_16545;

															BgL_zc3anonymousza33623ze3z83_16545 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33623ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33623ze3z83_16545,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33623ze3z83_16545,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33623ze3z83_16545,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33623ze3z83_16545,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33623ze3z83_16545,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33623ze3z83_16545;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33634ze3z83_16546;

															BgL_zc3anonymousza33634ze3z83_16546 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16546,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33634ze3z83_16546;
														}
												}
											break;
										case ((long) -3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33653ze3z83_16547;

															BgL_zc3anonymousza33653ze3z83_16547 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33653ze3z83_16547,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33653ze3z83_16547,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33653ze3z83_16547,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33653ze3z83_16547;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33663ze3z83_16548;

															BgL_zc3anonymousza33663ze3z83_16548 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33663ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33663ze3z83_16548,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33663ze3z83_16548,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33663ze3z83_16548,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33663ze3z83_16548,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33663ze3z83_16548;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33677ze3z83_16549;

															BgL_zc3anonymousza33677ze3z83_16549 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33677ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33677ze3z83_16549,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33677ze3z83_16549,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33677ze3z83_16549,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33677ze3z83_16549,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33677ze3z83_16549,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33677ze3z83_16549;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33688ze3z83_16550;

															BgL_zc3anonymousza33688ze3z83_16550 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16550,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33688ze3z83_16550;
														}
												}
											break;
										case ((long) 3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33704ze3z83_16551;

															BgL_zc3anonymousza33704ze3z83_16551 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33704ze3z83_16551,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33704ze3z83_16551,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33704ze3z83_16551,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33704ze3z83_16551;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33713ze3z83_16552;

															BgL_zc3anonymousza33713ze3z83_16552 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33713ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33713ze3z83_16552,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33713ze3z83_16552,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33713ze3z83_16552,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33713ze3z83_16552,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33713ze3z83_16552;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33725ze3z83_16553;

															BgL_zc3anonymousza33725ze3z83_16553 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33725ze3z83_16553,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33725ze3z83_16553,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33725ze3z83_16553,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33725ze3z83_16553,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33725ze3z83_16553,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33725ze3z83_16553;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33735ze3z83_16554;

															BgL_zc3anonymousza33735ze3z83_16554 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_16554,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33735ze3z83_16554;
														}
												}
											break;
										case ((long) -4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33752ze3z83_16555;

															BgL_zc3anonymousza33752ze3z83_16555 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33752ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33752ze3z83_16555,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33752ze3z83_16555,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33752ze3z83_16555,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33752ze3z83_16555;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33762ze3z83_16556;

															BgL_zc3anonymousza33762ze3z83_16556 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16556,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16556,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16556,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16556,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33762ze3z83_16556;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33775ze3z83_16557;

															BgL_zc3anonymousza33775ze3z83_16557 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33775ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33775ze3z83_16557,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33775ze3z83_16557,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33775ze3z83_16557,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33775ze3z83_16557,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33775ze3z83_16557,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33775ze3z83_16557;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33786ze3z83_16558;

															BgL_zc3anonymousza33786ze3z83_16558 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16558,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33786ze3z83_16558;
														}
												}
											break;
										case ((long) 4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33803ze3z83_16559;

															BgL_zc3anonymousza33803ze3z83_16559 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33803ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33803ze3z83_16559,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33803ze3z83_16559,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33803ze3z83_16559,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33803ze3z83_16559;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33813ze3z83_16560;

															BgL_zc3anonymousza33813ze3z83_16560 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16560,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16560,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16560,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16560,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33813ze3z83_16560;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33826ze3z83_16561;

															BgL_zc3anonymousza33826ze3z83_16561 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_16561,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_16561,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_16561,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_16561,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_16561,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33826ze3z83_16561;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33837ze3z83_16562;

															BgL_zc3anonymousza33837ze3z83_16562 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16562,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33837ze3z83_16562;
														}
												}
											break;
										case ((long) -5):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33854ze3z83_16563;

															BgL_zc3anonymousza33854ze3z83_16563 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33854ze3z83_16563,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33854ze3z83_16563,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33854ze3z83_16563,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33854ze3z83_16563;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33865ze3z83_16564;

															BgL_zc3anonymousza33865ze3z83_16564 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33865ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33865ze3z83_16564,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33865ze3z83_16564,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33865ze3z83_16564,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33865ze3z83_16564,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33865ze3z83_16564;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33879ze3z83_16565;

															BgL_zc3anonymousza33879ze3z83_16565 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33879ze3z83_16565,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33879ze3z83_16565,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33879ze3z83_16565,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33879ze3z83_16565,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33879ze3z83_16565,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33879ze3z83_16565;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33891ze3z83_16566;

															BgL_zc3anonymousza33891ze3z83_16566 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_16566,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33891ze3z83_16566;
														}
												}
											break;
										default:
										BgL_case_else1246z00_16521:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16491) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33909ze3z83_16522;

															BgL_zc3anonymousza33909ze3z83_16522 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33909ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33909ze3z83_16522,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33909ze3z83_16522,
																(int) (((long) 1)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33909ze3z83_16522,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33909ze3z83_16522;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33929ze3z83_16523;

															BgL_zc3anonymousza33929ze3z83_16523 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33929ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33929ze3z83_16523,
																(int) (((long) 0)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33929ze3z83_16523,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33929ze3z83_16523,
																(int) (((long) 2)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33929ze3z83_16523,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33929ze3z83_16523;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16492) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33952ze3z83_16524;

															BgL_zc3anonymousza33952ze3z83_16524 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33952ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33952ze3z83_16524,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33952ze3z83_16524,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33952ze3z83_16524,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33952ze3z83_16524,
																(int) (((long) 3)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33952ze3z83_16524,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33952ze3z83_16524;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33973ze3z83_16525;

															BgL_zc3anonymousza33973ze3z83_16525 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33973ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 0)), BgL_ifreesz00_16491);
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 1)), BgL_iboxesz00_16492);
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16493));
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14275)));
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 4)), BgL_bodyz00_16520);
															PROCEDURE_SET(BgL_zc3anonymousza33973ze3z83_16525,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16494));
															return BgL_zc3anonymousza33973ze3z83_16525;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1167 */
									goto BgL_case_else1246z00_16521;
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3854> */
	obj_t BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14277, obj_t BgL_sz00_14281)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14278;
				obj_t BgL_bodyz00_14279;
				long BgL_siza7ezd2framez75_14280;

				BgL_i1245z00_14278 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14277, (int) (((long) 0))));
				BgL_bodyz00_14279 = PROCEDURE_REF(BgL_envz00_14277, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14280 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14277, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16567;

					BgL_bpz00_16567 = VECTOR_REF(((obj_t) BgL_sz00_14281), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16568;

							BgL_runz00_16568 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16568,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14278));
							PROCEDURE_SET(BgL_runz00_16568,
								(int) (((long) 1)), BgL_bodyz00_14279);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16569;

								BgL_mainz00_16569 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16569,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14278));
								PROCEDURE_SET(BgL_mainz00_16569,
									(int) (((long) 1)), BgL_bodyz00_14279);
								PROCEDURE_SET(BgL_mainz00_16569,
									(int) (((long) 2)), BgL_runz00_16568);
								PROCEDURE_SET(BgL_mainz00_16569,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14280));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16570;

									BgL_objz00_16570 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16568, BgL_objz00_16570);
									BgL_objz00_16570;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3855z00_16571;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3856z00_16572;

										BgL_arg3856z00_16572 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14278))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16573;

											BgL_newz00_16573 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26269;

												BgL_tmpz00_26269 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16573, BgL_tmpz00_26269,
													BgL_arg3856z00_16572);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26274;
												int BgL_tmpz00_26272;

												BgL_auxz00_26274 = BINT(BgL_siza7ezd2framez75_14280);
												BgL_tmpz00_26272 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16573, BgL_tmpz00_26272,
													BgL_auxz00_26274);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26277;

												BgL_tmpz00_26277 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16573, BgL_tmpz00_26277,
													BgL_runz00_16568);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26282;
												int BgL_tmpz00_26280;

												BgL_auxz00_26282 = BINT(((long) -5));
												BgL_tmpz00_26280 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16573, BgL_tmpz00_26280,
													BgL_auxz00_26282);
											}
											BgL_arg3855z00_16571 = BgL_newz00_16573;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16569, BgL_arg3855z00_16571);
									BgL_arg3855z00_16571;
								}
								return BgL_mainz00_16569;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14282,
		obj_t BgL_az00_14287, obj_t BgL_bz00_14288, obj_t BgL_cz00_14289,
		obj_t BgL_dz00_14290, obj_t BgL_lastz00_14291)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14285;
				long BgL_siza7ezd2framez75_14286;

				BgL_runz00_14285 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14282, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14286 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14282, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16574;

					BgL_sz00_16574 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16575;

						BgL_bpz00_16575 = VECTOR_REF(((obj_t) BgL_sz00_16574), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16575) + BgL_siza7ezd2framez75_14286) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16574))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3859z00_16576;

									BgL_arg3859z00_16576 =
										((long) CINT(BgL_bpz00_16575) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16574), BgL_arg3859z00_16576,
										BgL_az00_14287);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3860z00_16577;

									BgL_arg3860z00_16577 =
										((long) CINT(BgL_bpz00_16575) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16574), BgL_arg3860z00_16577,
										BgL_bz00_14288);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3861z00_16578;

									BgL_arg3861z00_16578 =
										((long) CINT(BgL_bpz00_16575) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16574), BgL_arg3861z00_16578,
										BgL_cz00_14289);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3862z00_16579;

									BgL_arg3862z00_16579 =
										((long) CINT(BgL_bpz00_16575) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16574), BgL_arg3862z00_16579,
										BgL_dz00_14290);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3863z00_16580;

									BgL_arg3863z00_16580 =
										((long) CINT(BgL_bpz00_16575) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16574), BgL_arg3863z00_16580,
										BgL_lastz00_14291);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16581;

									BgL_ez00_16581 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16581,
										BgL_bpz00_16575);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16582;

										BgL_accz00_16582 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14285, BgL_sz00_16574, BgL_bpz00_16575);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16581);
										VECTOR_SET(
											((obj_t) BgL_sz00_16574), ((long) 0), BgL_bpz00_16575);
										return BgL_accz00_16582;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16583;

								BgL_nsz00_16583 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16583, ((long) 1), BgL_sz00_16574);
								VECTOR_SET(BgL_nsz00_16583, ((long) 2), BgL_az00_14287);
								VECTOR_SET(BgL_nsz00_16583, ((long) 3), BgL_bz00_14288);
								VECTOR_SET(BgL_nsz00_16583, ((long) 4), BgL_cz00_14289);
								VECTOR_SET(BgL_nsz00_16583, ((long) 5), BgL_dz00_14290);
								VECTOR_SET(BgL_nsz00_16583, ((long) 6), BgL_lastz00_14291);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16584;

									BgL_z12denvz12_16584 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16584, BgL_nsz00_16583);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16585;

										BgL_ez00_16585 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16585,
											BgL_sz00_16574);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16586;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16587;

												BgL_savedzd2bpzd2_16587 =
													VECTOR_REF(BgL_nsz00_16583, ((long) 0));
												VECTOR_SET(BgL_nsz00_16583, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16589;

													BgL_fz00_16589 = BgL_runz00_14285;
												BgL_recz00_16588:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16590;

														BgL_rz00_16590 =
															PROCEDURE_ENTRY(BgL_fz00_16589) (BgL_fz00_16589,
															BgL_nsz00_16583, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26345;

															if (PROCEDUREP(BgL_rz00_16590))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16591;

																	BgL_arg1693z00_16591 =
																		PROCEDURE_ATTR(BgL_rz00_16590);
																	if (STRUCTP(BgL_arg1693z00_16591))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26345 =
																				(STRUCT_KEY(BgL_arg1693z00_16591) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26345 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26345 = ((bool_t) 0);
																}
															if (BgL_testz00_26345)
																{
																	obj_t BgL_fz00_26353;

																	BgL_fz00_26353 = BgL_rz00_16590;
																	BgL_fz00_16589 = BgL_fz00_26353;
																	goto BgL_recz00_16588;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16583, ((long) 0),
																		BgL_savedzd2bpzd2_16587);
																	BgL_____rz00_16586 = BgL_rz00_16590;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16585);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16584, BgL_sz00_16574);
											return BgL_____rz00_16586;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14292,
		obj_t BgL_sz00_14295)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14293;
				obj_t BgL_bodyz00_14294;

				BgL_i1245z00_14293 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14292, (int) (((long) 0))));
				BgL_bodyz00_14294 = PROCEDURE_REF(BgL_envz00_14292, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16592;

					BgL_bpz00_16592 = VECTOR_REF(((obj_t) BgL_sz00_14295), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16593;
						obj_t BgL_wherez00_16594;
						obj_t BgL_locz00_16595;

						BgL_z12denvz12_16593 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16594 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14293))->
							BgL_wherez00);
						BgL_locz00_16595 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14293))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16593, BgL_wherez00_16594,
								BgL_locz00_16595);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16596;

								BgL_za2za2resza2za2z00_16596 =
									PROCEDURE_ENTRY(BgL_bodyz00_14294) (BgL_bodyz00_14294,
									BgL_sz00_14295, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16593);
								return BgL_za2za2resza2za2z00_16596;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3865> */
	obj_t BGl_z62zc3anonymousza33865ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14296, obj_t BgL_sz00_14301)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14297;
				BgL_ev_absz00_bglt BgL_i1245z00_14298;
				obj_t BgL_bodyz00_14299;
				long BgL_siza7ezd2framez75_14300;

				BgL_iboxesz00_14297 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14296, (int) (((long) 0))));
				BgL_i1245z00_14298 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14296, (int) (((long) 1))));
				BgL_bodyz00_14299 = PROCEDURE_REF(BgL_envz00_14296, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14300 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14296, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16597;

					BgL_bpz00_16597 = VECTOR_REF(((obj_t) BgL_sz00_14301), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16598;

							BgL_runz00_16598 =
								MAKE_FX_PROCEDURE(BGl_z62run5655z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16598,
								(int) (((long) 0)), BgL_iboxesz00_14297);
							PROCEDURE_SET(BgL_runz00_16598,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14298));
							PROCEDURE_SET(BgL_runz00_16598,
								(int) (((long) 2)), BgL_bodyz00_14299);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16599;

								BgL_mainz00_16599 =
									MAKE_VA_PROCEDURE(BGl_z62main5654z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16599,
									(int) (((long) 0)), BgL_iboxesz00_14297);
								PROCEDURE_SET(BgL_mainz00_16599,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14298));
								PROCEDURE_SET(BgL_mainz00_16599,
									(int) (((long) 2)), BgL_bodyz00_14299);
								PROCEDURE_SET(BgL_mainz00_16599,
									(int) (((long) 3)), BgL_runz00_16598);
								PROCEDURE_SET(BgL_mainz00_16599,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14300));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16600;

									BgL_objz00_16600 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16598, BgL_objz00_16600);
									BgL_objz00_16600;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3866z00_16601;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3867z00_16602;

										BgL_arg3867z00_16602 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14298))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16603;

											BgL_newz00_16603 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26415;

												BgL_tmpz00_26415 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16603, BgL_tmpz00_26415,
													BgL_arg3867z00_16602);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26420;
												int BgL_tmpz00_26418;

												BgL_auxz00_26420 = BINT(BgL_siza7ezd2framez75_14300);
												BgL_tmpz00_26418 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16603, BgL_tmpz00_26418,
													BgL_auxz00_26420);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26423;

												BgL_tmpz00_26423 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16603, BgL_tmpz00_26423,
													BgL_runz00_16598);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26428;
												int BgL_tmpz00_26426;

												BgL_auxz00_26428 = BINT(((long) -5));
												BgL_tmpz00_26426 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16603, BgL_tmpz00_26426,
													BgL_auxz00_26428);
											}
											BgL_arg3866z00_16601 = BgL_newz00_16603;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16599, BgL_arg3866z00_16601);
									BgL_arg3866z00_16601;
								}
								return BgL_mainz00_16599;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5654 */
	obj_t BGl_z62main5654z62zz__evaluate_compz00(obj_t BgL_envz00_14302,
		obj_t BgL_az00_14308, obj_t BgL_bz00_14309, obj_t BgL_cz00_14310,
		obj_t BgL_dz00_14311, obj_t BgL_lastz00_14312)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14306;
				long BgL_siza7ezd2framez75_14307;

				BgL_runz00_14306 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14302, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14307 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14302, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16604;

					BgL_sz00_16604 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16605;

						BgL_bpz00_16605 = VECTOR_REF(((obj_t) BgL_sz00_16604), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16605) + BgL_siza7ezd2framez75_14307) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16604))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3870z00_16606;

									BgL_arg3870z00_16606 =
										((long) CINT(BgL_bpz00_16605) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16604), BgL_arg3870z00_16606,
										BgL_az00_14308);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3871z00_16607;

									BgL_arg3871z00_16607 =
										((long) CINT(BgL_bpz00_16605) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16604), BgL_arg3871z00_16607,
										BgL_bz00_14309);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3872z00_16608;

									BgL_arg3872z00_16608 =
										((long) CINT(BgL_bpz00_16605) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16604), BgL_arg3872z00_16608,
										BgL_cz00_14310);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3873z00_16609;

									BgL_arg3873z00_16609 =
										((long) CINT(BgL_bpz00_16605) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16604), BgL_arg3873z00_16609,
										BgL_dz00_14311);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3874z00_16610;

									BgL_arg3874z00_16610 =
										((long) CINT(BgL_bpz00_16605) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16604), BgL_arg3874z00_16610,
										BgL_lastz00_14312);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16611;

									BgL_ez00_16611 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16611,
										BgL_bpz00_16605);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16612;

										BgL_accz00_16612 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14306, BgL_sz00_16604, BgL_bpz00_16605);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16611);
										VECTOR_SET(
											((obj_t) BgL_sz00_16604), ((long) 0), BgL_bpz00_16605);
										return BgL_accz00_16612;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16613;

								BgL_nsz00_16613 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16613, ((long) 1), BgL_sz00_16604);
								VECTOR_SET(BgL_nsz00_16613, ((long) 2), BgL_az00_14308);
								VECTOR_SET(BgL_nsz00_16613, ((long) 3), BgL_bz00_14309);
								VECTOR_SET(BgL_nsz00_16613, ((long) 4), BgL_cz00_14310);
								VECTOR_SET(BgL_nsz00_16613, ((long) 5), BgL_dz00_14311);
								VECTOR_SET(BgL_nsz00_16613, ((long) 6), BgL_lastz00_14312);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16614;

									BgL_z12denvz12_16614 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16614, BgL_nsz00_16613);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16615;

										BgL_ez00_16615 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16615,
											BgL_sz00_16604);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16616;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16617;

												BgL_savedzd2bpzd2_16617 =
													VECTOR_REF(BgL_nsz00_16613, ((long) 0));
												VECTOR_SET(BgL_nsz00_16613, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16619;

													BgL_fz00_16619 = BgL_runz00_14306;
												BgL_recz00_16618:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16620;

														BgL_rz00_16620 =
															PROCEDURE_ENTRY(BgL_fz00_16619) (BgL_fz00_16619,
															BgL_nsz00_16613, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26491;

															if (PROCEDUREP(BgL_rz00_16620))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16621;

																	BgL_arg1693z00_16621 =
																		PROCEDURE_ATTR(BgL_rz00_16620);
																	if (STRUCTP(BgL_arg1693z00_16621))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26491 =
																				(STRUCT_KEY(BgL_arg1693z00_16621) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26491 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26491 = ((bool_t) 0);
																}
															if (BgL_testz00_26491)
																{
																	obj_t BgL_fz00_26499;

																	BgL_fz00_26499 = BgL_rz00_16620;
																	BgL_fz00_16619 = BgL_fz00_26499;
																	goto BgL_recz00_16618;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16613, ((long) 0),
																		BgL_savedzd2bpzd2_16617);
																	BgL_____rz00_16616 = BgL_rz00_16620;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16615);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16614, BgL_sz00_16604);
											return BgL_____rz00_16616;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5655 */
	obj_t BGl_z62run5655z62zz__evaluate_compz00(obj_t BgL_envz00_14313,
		obj_t BgL_sz00_14317)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14314;
				BgL_ev_absz00_bglt BgL_i1245z00_14315;
				obj_t BgL_bodyz00_14316;

				BgL_iboxesz00_14314 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14313, (int) (((long) 0))));
				BgL_i1245z00_14315 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14313, (int) (((long) 1))));
				BgL_bodyz00_14316 = PROCEDURE_REF(BgL_envz00_14313, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16622;

					BgL_bpz00_16622 = VECTOR_REF(((obj_t) BgL_sz00_14317), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14317,
						BgL_iboxesz00_14314, BgL_bpz00_16622);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16623;
						obj_t BgL_wherez00_16624;
						obj_t BgL_locz00_16625;

						BgL_z12denvz12_16623 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16624 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14315))->
							BgL_wherez00);
						BgL_locz00_16625 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14315))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16623, BgL_wherez00_16624,
								BgL_locz00_16625);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16626;

								BgL_za2za2resza2za2z00_16626 =
									PROCEDURE_ENTRY(BgL_bodyz00_14316) (BgL_bodyz00_14316,
									BgL_sz00_14317, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16623);
								return BgL_za2za2resza2za2z00_16626;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3879> */
	obj_t BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14318, obj_t BgL_sz00_14324)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14319;
				long BgL_siza7eza7_14320;
				BgL_ev_absz00_bglt BgL_i1245z00_14321;
				obj_t BgL_bodyz00_14322;
				long BgL_siza7ezd2framez75_14323;

				BgL_ifreesz00_14319 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14318, (int) (((long) 0))));
				BgL_siza7eza7_14320 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14318, (int) (((long) 1))));
				BgL_i1245z00_14321 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14318, (int) (((long) 2))));
				BgL_bodyz00_14322 = PROCEDURE_REF(BgL_envz00_14318, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14323 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14318, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16627;

					BgL_bpz00_16627 = VECTOR_REF(((obj_t) BgL_sz00_14324), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16628;

						BgL_valza2za2_16628 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14324,
							BgL_bpz00_16627, BgL_ifreesz00_14319);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16629;

							BgL_runz00_16629 =
								MAKE_FX_PROCEDURE(BGl_z62run5657z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16629,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14320));
							PROCEDURE_SET(BgL_runz00_16629,
								(int) (((long) 1)), BgL_valza2za2_16628);
							PROCEDURE_SET(BgL_runz00_16629,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14321));
							PROCEDURE_SET(BgL_runz00_16629,
								(int) (((long) 3)), BgL_bodyz00_14322);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16630;

								BgL_mainz00_16630 =
									MAKE_VA_PROCEDURE(BGl_z62main5656z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14320));
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 1)), BgL_valza2za2_16628);
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14321));
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 3)), BgL_bodyz00_14322);
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 4)), BgL_runz00_16629);
								PROCEDURE_SET(BgL_mainz00_16630,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14323));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16631;

									BgL_objz00_16631 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16629, BgL_objz00_16631);
									BgL_objz00_16631;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3880z00_16632;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3881z00_16633;

										BgL_arg3881z00_16633 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14321))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16634;

											BgL_newz00_16634 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26575;

												BgL_tmpz00_26575 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16634, BgL_tmpz00_26575,
													BgL_arg3881z00_16633);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26580;
												int BgL_tmpz00_26578;

												BgL_auxz00_26580 = BINT(BgL_siza7ezd2framez75_14323);
												BgL_tmpz00_26578 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16634, BgL_tmpz00_26578,
													BgL_auxz00_26580);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26583;

												BgL_tmpz00_26583 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16634, BgL_tmpz00_26583,
													BgL_runz00_16629);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26588;
												int BgL_tmpz00_26586;

												BgL_auxz00_26588 = BINT(((long) -5));
												BgL_tmpz00_26586 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16634, BgL_tmpz00_26586,
													BgL_auxz00_26588);
											}
											BgL_arg3880z00_16632 = BgL_newz00_16634;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16630, BgL_arg3880z00_16632);
									BgL_arg3880z00_16632;
								}
								return BgL_mainz00_16630;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5656 */
	obj_t BGl_z62main5656z62zz__evaluate_compz00(obj_t BgL_envz00_14325,
		obj_t BgL_az00_14332, obj_t BgL_bz00_14333, obj_t BgL_cz00_14334,
		obj_t BgL_dz00_14335, obj_t BgL_lastz00_14336)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14330;
				long BgL_siza7ezd2framez75_14331;

				BgL_runz00_14330 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14325, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14331 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14325, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16635;

					BgL_sz00_16635 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16636;

						BgL_bpz00_16636 = VECTOR_REF(((obj_t) BgL_sz00_16635), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16636) + BgL_siza7ezd2framez75_14331) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16635))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3884z00_16637;

									BgL_arg3884z00_16637 =
										((long) CINT(BgL_bpz00_16636) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16635), BgL_arg3884z00_16637,
										BgL_az00_14332);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3885z00_16638;

									BgL_arg3885z00_16638 =
										((long) CINT(BgL_bpz00_16636) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16635), BgL_arg3885z00_16638,
										BgL_bz00_14333);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3886z00_16639;

									BgL_arg3886z00_16639 =
										((long) CINT(BgL_bpz00_16636) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16635), BgL_arg3886z00_16639,
										BgL_cz00_14334);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3887z00_16640;

									BgL_arg3887z00_16640 =
										((long) CINT(BgL_bpz00_16636) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16635), BgL_arg3887z00_16640,
										BgL_dz00_14335);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3888z00_16641;

									BgL_arg3888z00_16641 =
										((long) CINT(BgL_bpz00_16636) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16635), BgL_arg3888z00_16641,
										BgL_lastz00_14336);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16642;

									BgL_ez00_16642 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16642,
										BgL_bpz00_16636);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16643;

										BgL_accz00_16643 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14330, BgL_sz00_16635, BgL_bpz00_16636);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16642);
										VECTOR_SET(
											((obj_t) BgL_sz00_16635), ((long) 0), BgL_bpz00_16636);
										return BgL_accz00_16643;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16644;

								BgL_nsz00_16644 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16644, ((long) 1), BgL_sz00_16635);
								VECTOR_SET(BgL_nsz00_16644, ((long) 2), BgL_az00_14332);
								VECTOR_SET(BgL_nsz00_16644, ((long) 3), BgL_bz00_14333);
								VECTOR_SET(BgL_nsz00_16644, ((long) 4), BgL_cz00_14334);
								VECTOR_SET(BgL_nsz00_16644, ((long) 5), BgL_dz00_14335);
								VECTOR_SET(BgL_nsz00_16644, ((long) 6), BgL_lastz00_14336);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16645;

									BgL_z12denvz12_16645 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16645, BgL_nsz00_16644);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16646;

										BgL_ez00_16646 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16646,
											BgL_sz00_16635);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16647;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16648;

												BgL_savedzd2bpzd2_16648 =
													VECTOR_REF(BgL_nsz00_16644, ((long) 0));
												VECTOR_SET(BgL_nsz00_16644, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16650;

													BgL_fz00_16650 = BgL_runz00_14330;
												BgL_recz00_16649:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16651;

														BgL_rz00_16651 =
															PROCEDURE_ENTRY(BgL_fz00_16650) (BgL_fz00_16650,
															BgL_nsz00_16644, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26651;

															if (PROCEDUREP(BgL_rz00_16651))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16652;

																	BgL_arg1693z00_16652 =
																		PROCEDURE_ATTR(BgL_rz00_16651);
																	if (STRUCTP(BgL_arg1693z00_16652))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26651 =
																				(STRUCT_KEY(BgL_arg1693z00_16652) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26651 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26651 = ((bool_t) 0);
																}
															if (BgL_testz00_26651)
																{
																	obj_t BgL_fz00_26659;

																	BgL_fz00_26659 = BgL_rz00_16651;
																	BgL_fz00_16650 = BgL_fz00_26659;
																	goto BgL_recz00_16649;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16644, ((long) 0),
																		BgL_savedzd2bpzd2_16648);
																	BgL_____rz00_16647 = BgL_rz00_16651;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16646);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16645, BgL_sz00_16635);
											return BgL_____rz00_16647;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5657 */
	obj_t BGl_z62run5657z62zz__evaluate_compz00(obj_t BgL_envz00_14337,
		obj_t BgL_sz00_14342)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14338;
				obj_t BgL_valza2za2_14339;
				BgL_ev_absz00_bglt BgL_i1245z00_14340;
				obj_t BgL_bodyz00_14341;

				BgL_siza7eza7_14338 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 0))));
				BgL_valza2za2_14339 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 1))));
				BgL_i1245z00_14340 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 2))));
				BgL_bodyz00_14341 = PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16653;

					BgL_bpz00_16653 = VECTOR_REF(((obj_t) BgL_sz00_14342), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14342,
						BgL_valza2za2_14339,
						((long) CINT(BgL_bpz00_16653) + BgL_siza7eza7_14338));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16654;
						obj_t BgL_wherez00_16655;
						obj_t BgL_locz00_16656;

						BgL_z12denvz12_16654 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16655 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14340))->
							BgL_wherez00);
						BgL_locz00_16656 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14340))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16654, BgL_wherez00_16655,
								BgL_locz00_16656);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16657;

								BgL_za2za2resza2za2z00_16657 =
									PROCEDURE_ENTRY(BgL_bodyz00_14341) (BgL_bodyz00_14341,
									BgL_sz00_14342, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16654);
								return BgL_za2za2resza2za2z00_16657;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3891> */
	obj_t BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14343, obj_t BgL_sz00_14350)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14344;
				obj_t BgL_iboxesz00_14345;
				long BgL_siza7eza7_14346;
				BgL_ev_absz00_bglt BgL_i1245z00_14347;
				obj_t BgL_bodyz00_14348;
				long BgL_siza7ezd2framez75_14349;

				BgL_ifreesz00_14344 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 0))));
				BgL_iboxesz00_14345 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 1))));
				BgL_siza7eza7_14346 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 2))));
				BgL_i1245z00_14347 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 3))));
				BgL_bodyz00_14348 = PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14349 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14343, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16658;

					BgL_bpz00_16658 = VECTOR_REF(((obj_t) BgL_sz00_14350), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16659;

						BgL_valza2za2_16659 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14350,
							BgL_bpz00_16658, BgL_ifreesz00_14344);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16660;

							BgL_runz00_16660 =
								MAKE_FX_PROCEDURE(BGl_z62run5659z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16660,
								(int) (((long) 0)), BgL_iboxesz00_14345);
							PROCEDURE_SET(BgL_runz00_16660,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14346));
							PROCEDURE_SET(BgL_runz00_16660,
								(int) (((long) 2)), BgL_valza2za2_16659);
							PROCEDURE_SET(BgL_runz00_16660,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14347));
							PROCEDURE_SET(BgL_runz00_16660,
								(int) (((long) 4)), BgL_bodyz00_14348);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16661;

								BgL_mainz00_16661 =
									MAKE_VA_PROCEDURE(BGl_z62main5658z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 0)), BgL_iboxesz00_14345);
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14346));
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 2)), BgL_valza2za2_16659);
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14347));
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 4)), BgL_bodyz00_14348);
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 5)), BgL_runz00_16660);
								PROCEDURE_SET(BgL_mainz00_16661,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14349));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16662;

									BgL_objz00_16662 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16660, BgL_objz00_16662);
									BgL_objz00_16662;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3892z00_16663;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3893z00_16664;

										BgL_arg3893z00_16664 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14347))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16665;

											BgL_newz00_16665 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26747;

												BgL_tmpz00_26747 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16665, BgL_tmpz00_26747,
													BgL_arg3893z00_16664);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26752;
												int BgL_tmpz00_26750;

												BgL_auxz00_26752 = BINT(BgL_siza7ezd2framez75_14349);
												BgL_tmpz00_26750 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16665, BgL_tmpz00_26750,
													BgL_auxz00_26752);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26755;

												BgL_tmpz00_26755 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16665, BgL_tmpz00_26755,
													BgL_runz00_16660);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26760;
												int BgL_tmpz00_26758;

												BgL_auxz00_26760 = BINT(((long) -5));
												BgL_tmpz00_26758 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16665, BgL_tmpz00_26758,
													BgL_auxz00_26760);
											}
											BgL_arg3892z00_16663 = BgL_newz00_16665;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16661, BgL_arg3892z00_16663);
									BgL_arg3892z00_16663;
								}
								return BgL_mainz00_16661;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5658 */
	obj_t BGl_z62main5658z62zz__evaluate_compz00(obj_t BgL_envz00_14351,
		obj_t BgL_az00_14359, obj_t BgL_bz00_14360, obj_t BgL_cz00_14361,
		obj_t BgL_dz00_14362, obj_t BgL_lastz00_14363)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14357;
				long BgL_siza7ezd2framez75_14358;

				BgL_runz00_14357 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14351, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14358 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14351, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16666;

					BgL_sz00_16666 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16667;

						BgL_bpz00_16667 = VECTOR_REF(((obj_t) BgL_sz00_16666), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16667) + BgL_siza7ezd2framez75_14358) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16666))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3896z00_16668;

									BgL_arg3896z00_16668 =
										((long) CINT(BgL_bpz00_16667) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16666), BgL_arg3896z00_16668,
										BgL_az00_14359);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3897z00_16669;

									BgL_arg3897z00_16669 =
										((long) CINT(BgL_bpz00_16667) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16666), BgL_arg3897z00_16669,
										BgL_bz00_14360);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3898z00_16670;

									BgL_arg3898z00_16670 =
										((long) CINT(BgL_bpz00_16667) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16666), BgL_arg3898z00_16670,
										BgL_cz00_14361);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3899z00_16671;

									BgL_arg3899z00_16671 =
										((long) CINT(BgL_bpz00_16667) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16666), BgL_arg3899z00_16671,
										BgL_dz00_14362);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3900z00_16672;

									BgL_arg3900z00_16672 =
										((long) CINT(BgL_bpz00_16667) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16666), BgL_arg3900z00_16672,
										BgL_lastz00_14363);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16673;

									BgL_ez00_16673 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16673,
										BgL_bpz00_16667);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16674;

										BgL_accz00_16674 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14357, BgL_sz00_16666, BgL_bpz00_16667);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16673);
										VECTOR_SET(
											((obj_t) BgL_sz00_16666), ((long) 0), BgL_bpz00_16667);
										return BgL_accz00_16674;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16675;

								BgL_nsz00_16675 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16675, ((long) 1), BgL_sz00_16666);
								VECTOR_SET(BgL_nsz00_16675, ((long) 2), BgL_az00_14359);
								VECTOR_SET(BgL_nsz00_16675, ((long) 3), BgL_bz00_14360);
								VECTOR_SET(BgL_nsz00_16675, ((long) 4), BgL_cz00_14361);
								VECTOR_SET(BgL_nsz00_16675, ((long) 5), BgL_dz00_14362);
								VECTOR_SET(BgL_nsz00_16675, ((long) 6), BgL_lastz00_14363);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16676;

									BgL_z12denvz12_16676 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16676, BgL_nsz00_16675);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16677;

										BgL_ez00_16677 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16677,
											BgL_sz00_16666);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16678;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16679;

												BgL_savedzd2bpzd2_16679 =
													VECTOR_REF(BgL_nsz00_16675, ((long) 0));
												VECTOR_SET(BgL_nsz00_16675, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16681;

													BgL_fz00_16681 = BgL_runz00_14357;
												BgL_recz00_16680:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16682;

														BgL_rz00_16682 =
															PROCEDURE_ENTRY(BgL_fz00_16681) (BgL_fz00_16681,
															BgL_nsz00_16675, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26823;

															if (PROCEDUREP(BgL_rz00_16682))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16683;

																	BgL_arg1693z00_16683 =
																		PROCEDURE_ATTR(BgL_rz00_16682);
																	if (STRUCTP(BgL_arg1693z00_16683))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26823 =
																				(STRUCT_KEY(BgL_arg1693z00_16683) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26823 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26823 = ((bool_t) 0);
																}
															if (BgL_testz00_26823)
																{
																	obj_t BgL_fz00_26831;

																	BgL_fz00_26831 = BgL_rz00_16682;
																	BgL_fz00_16681 = BgL_fz00_26831;
																	goto BgL_recz00_16680;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16675, ((long) 0),
																		BgL_savedzd2bpzd2_16679);
																	BgL_____rz00_16678 = BgL_rz00_16682;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16677);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16676, BgL_sz00_16666);
											return BgL_____rz00_16678;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5659 */
	obj_t BGl_z62run5659z62zz__evaluate_compz00(obj_t BgL_envz00_14364,
		obj_t BgL_sz00_14370)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14365;
				long BgL_siza7eza7_14366;
				obj_t BgL_valza2za2_14367;
				BgL_ev_absz00_bglt BgL_i1245z00_14368;
				obj_t BgL_bodyz00_14369;

				BgL_iboxesz00_14365 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14364, (int) (((long) 0))));
				BgL_siza7eza7_14366 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14364, (int) (((long) 1))));
				BgL_valza2za2_14367 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14364, (int) (((long) 2))));
				BgL_i1245z00_14368 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14364, (int) (((long) 3))));
				BgL_bodyz00_14369 = PROCEDURE_REF(BgL_envz00_14364, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16684;

					BgL_bpz00_16684 = VECTOR_REF(((obj_t) BgL_sz00_14370), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14370,
						BgL_iboxesz00_14365, BgL_bpz00_16684);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14370,
						BgL_valza2za2_14367,
						((long) CINT(BgL_bpz00_16684) + BgL_siza7eza7_14366));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16685;
						obj_t BgL_wherez00_16686;
						obj_t BgL_locz00_16687;

						BgL_z12denvz12_16685 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16686 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14368))->
							BgL_wherez00);
						BgL_locz00_16687 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14368))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16685, BgL_wherez00_16686,
								BgL_locz00_16687);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16688;

								BgL_za2za2resza2za2z00_16688 =
									PROCEDURE_ENTRY(BgL_bodyz00_14369) (BgL_bodyz00_14369,
									BgL_sz00_14370, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16685);
								return BgL_za2za2resza2za2z00_16688;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3803> */
	obj_t BGl_z62zc3anonymousza33803ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14371, obj_t BgL_sz00_14375)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14372;
				obj_t BgL_bodyz00_14373;
				long BgL_siza7ezd2framez75_14374;

				BgL_i1245z00_14372 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14371, (int) (((long) 0))));
				BgL_bodyz00_14373 = PROCEDURE_REF(BgL_envz00_14371, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14374 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14371, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16689;

					BgL_bpz00_16689 = VECTOR_REF(((obj_t) BgL_sz00_14375), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16690;

							BgL_runz00_16690 =
								MAKE_FX_PROCEDURE(BGl_z62run5661z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16690,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14372));
							PROCEDURE_SET(BgL_runz00_16690,
								(int) (((long) 1)), BgL_bodyz00_14373);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16691;

								BgL_mainz00_16691 =
									MAKE_FX_PROCEDURE(BGl_z62main5660z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14372));
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (((long) 1)), BgL_bodyz00_14373);
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (((long) 2)), BgL_runz00_16690);
								PROCEDURE_SET(BgL_mainz00_16691,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14374));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16692;

									BgL_objz00_16692 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16690, BgL_objz00_16692);
									BgL_objz00_16692;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3804z00_16693;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3805z00_16694;

										BgL_arg3805z00_16694 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14372))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16695;

											BgL_newz00_16695 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26899;

												BgL_tmpz00_26899 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16695, BgL_tmpz00_26899,
													BgL_arg3805z00_16694);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26904;
												int BgL_tmpz00_26902;

												BgL_auxz00_26904 = BINT(BgL_siza7ezd2framez75_14374);
												BgL_tmpz00_26902 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16695, BgL_tmpz00_26902,
													BgL_auxz00_26904);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26907;

												BgL_tmpz00_26907 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16695, BgL_tmpz00_26907,
													BgL_runz00_16690);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26912;
												int BgL_tmpz00_26910;

												BgL_auxz00_26912 = BINT(((long) 4));
												BgL_tmpz00_26910 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16695, BgL_tmpz00_26910,
													BgL_auxz00_26912);
											}
											BgL_arg3804z00_16693 = BgL_newz00_16695;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16691, BgL_arg3804z00_16693);
									BgL_arg3804z00_16693;
								}
								return BgL_mainz00_16691;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5660 */
	obj_t BGl_z62main5660z62zz__evaluate_compz00(obj_t BgL_envz00_14376,
		obj_t BgL_az00_14381, obj_t BgL_bz00_14382, obj_t BgL_cz00_14383,
		obj_t BgL_dz00_14384)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14379;
				long BgL_siza7ezd2framez75_14380;

				BgL_runz00_14379 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14380 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16696;

					BgL_sz00_16696 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16697;

						BgL_bpz00_16697 = VECTOR_REF(((obj_t) BgL_sz00_16696), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16697) + BgL_siza7ezd2framez75_14380) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16696))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3808z00_16698;

									BgL_arg3808z00_16698 =
										((long) CINT(BgL_bpz00_16697) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16696), BgL_arg3808z00_16698,
										BgL_az00_14381);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3809z00_16699;

									BgL_arg3809z00_16699 =
										((long) CINT(BgL_bpz00_16697) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16696), BgL_arg3809z00_16699,
										BgL_bz00_14382);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3810z00_16700;

									BgL_arg3810z00_16700 =
										((long) CINT(BgL_bpz00_16697) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16696), BgL_arg3810z00_16700,
										BgL_cz00_14383);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3811z00_16701;

									BgL_arg3811z00_16701 =
										((long) CINT(BgL_bpz00_16697) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16696), BgL_arg3811z00_16701,
										BgL_dz00_14384);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16702;

									BgL_ez00_16702 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16702,
										BgL_bpz00_16697);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16703;

										BgL_accz00_16703 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14379, BgL_sz00_16696, BgL_bpz00_16697);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16702);
										VECTOR_SET(
											((obj_t) BgL_sz00_16696), ((long) 0), BgL_bpz00_16697);
										return BgL_accz00_16703;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16704;

								BgL_nsz00_16704 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16704, ((long) 1), BgL_sz00_16696);
								VECTOR_SET(BgL_nsz00_16704, ((long) 2), BgL_az00_14381);
								VECTOR_SET(BgL_nsz00_16704, ((long) 3), BgL_bz00_14382);
								VECTOR_SET(BgL_nsz00_16704, ((long) 4), BgL_cz00_14383);
								VECTOR_SET(BgL_nsz00_16704, ((long) 5), BgL_dz00_14384);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16705;

									BgL_z12denvz12_16705 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16705, BgL_nsz00_16704);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16706;

										BgL_ez00_16706 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16706,
											BgL_sz00_16696);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16707;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16708;

												BgL_savedzd2bpzd2_16708 =
													VECTOR_REF(BgL_nsz00_16704, ((long) 0));
												VECTOR_SET(BgL_nsz00_16704, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16710;

													BgL_fz00_16710 = BgL_runz00_14379;
												BgL_recz00_16709:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16711;

														BgL_rz00_16711 =
															PROCEDURE_ENTRY(BgL_fz00_16710) (BgL_fz00_16710,
															BgL_nsz00_16704, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26970;

															if (PROCEDUREP(BgL_rz00_16711))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16712;

																	BgL_arg1693z00_16712 =
																		PROCEDURE_ATTR(BgL_rz00_16711);
																	if (STRUCTP(BgL_arg1693z00_16712))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26970 =
																				(STRUCT_KEY(BgL_arg1693z00_16712) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26970 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26970 = ((bool_t) 0);
																}
															if (BgL_testz00_26970)
																{
																	obj_t BgL_fz00_26978;

																	BgL_fz00_26978 = BgL_rz00_16711;
																	BgL_fz00_16710 = BgL_fz00_26978;
																	goto BgL_recz00_16709;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16704, ((long) 0),
																		BgL_savedzd2bpzd2_16708);
																	BgL_____rz00_16707 = BgL_rz00_16711;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16706);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16705, BgL_sz00_16696);
											return BgL_____rz00_16707;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5661 */
	obj_t BGl_z62run5661z62zz__evaluate_compz00(obj_t BgL_envz00_14385,
		obj_t BgL_sz00_14388)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14386;
				obj_t BgL_bodyz00_14387;

				BgL_i1245z00_14386 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14385, (int) (((long) 0))));
				BgL_bodyz00_14387 = PROCEDURE_REF(BgL_envz00_14385, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16713;

					BgL_bpz00_16713 = VECTOR_REF(((obj_t) BgL_sz00_14388), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16714;
						obj_t BgL_wherez00_16715;
						obj_t BgL_locz00_16716;

						BgL_z12denvz12_16714 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16715 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14386))->
							BgL_wherez00);
						BgL_locz00_16716 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14386))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16714, BgL_wherez00_16715,
								BgL_locz00_16716);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16717;

								BgL_za2za2resza2za2z00_16717 =
									PROCEDURE_ENTRY(BgL_bodyz00_14387) (BgL_bodyz00_14387,
									BgL_sz00_14388, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16714);
								return BgL_za2za2resza2za2z00_16717;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3813> */
	obj_t BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14389, obj_t BgL_sz00_14394)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14390;
				BgL_ev_absz00_bglt BgL_i1245z00_14391;
				obj_t BgL_bodyz00_14392;
				long BgL_siza7ezd2framez75_14393;

				BgL_iboxesz00_14390 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14389, (int) (((long) 0))));
				BgL_i1245z00_14391 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14389, (int) (((long) 1))));
				BgL_bodyz00_14392 = PROCEDURE_REF(BgL_envz00_14389, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14393 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14389, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16718;

					BgL_bpz00_16718 = VECTOR_REF(((obj_t) BgL_sz00_14394), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16719;

							BgL_runz00_16719 =
								MAKE_FX_PROCEDURE(BGl_z62run5663z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16719,
								(int) (((long) 0)), BgL_iboxesz00_14390);
							PROCEDURE_SET(BgL_runz00_16719,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14391));
							PROCEDURE_SET(BgL_runz00_16719,
								(int) (((long) 2)), BgL_bodyz00_14392);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16720;

								BgL_mainz00_16720 =
									MAKE_FX_PROCEDURE(BGl_z62main5662z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16720,
									(int) (((long) 0)), BgL_iboxesz00_14390);
								PROCEDURE_SET(BgL_mainz00_16720,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14391));
								PROCEDURE_SET(BgL_mainz00_16720,
									(int) (((long) 2)), BgL_bodyz00_14392);
								PROCEDURE_SET(BgL_mainz00_16720,
									(int) (((long) 3)), BgL_runz00_16719);
								PROCEDURE_SET(BgL_mainz00_16720,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14393));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16721;

									BgL_objz00_16721 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16719, BgL_objz00_16721);
									BgL_objz00_16721;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3814z00_16722;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3815z00_16723;

										BgL_arg3815z00_16723 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14391))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16724;

											BgL_newz00_16724 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27040;

												BgL_tmpz00_27040 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16724, BgL_tmpz00_27040,
													BgL_arg3815z00_16723);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27045;
												int BgL_tmpz00_27043;

												BgL_auxz00_27045 = BINT(BgL_siza7ezd2framez75_14393);
												BgL_tmpz00_27043 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16724, BgL_tmpz00_27043,
													BgL_auxz00_27045);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27048;

												BgL_tmpz00_27048 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16724, BgL_tmpz00_27048,
													BgL_runz00_16719);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27053;
												int BgL_tmpz00_27051;

												BgL_auxz00_27053 = BINT(((long) 4));
												BgL_tmpz00_27051 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16724, BgL_tmpz00_27051,
													BgL_auxz00_27053);
											}
											BgL_arg3814z00_16722 = BgL_newz00_16724;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16720, BgL_arg3814z00_16722);
									BgL_arg3814z00_16722;
								}
								return BgL_mainz00_16720;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5662 */
	obj_t BGl_z62main5662z62zz__evaluate_compz00(obj_t BgL_envz00_14395,
		obj_t BgL_az00_14401, obj_t BgL_bz00_14402, obj_t BgL_cz00_14403,
		obj_t BgL_dz00_14404)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14399;
				long BgL_siza7ezd2framez75_14400;

				BgL_runz00_14399 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14395, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14400 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14395, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16725;

					BgL_sz00_16725 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16726;

						BgL_bpz00_16726 = VECTOR_REF(((obj_t) BgL_sz00_16725), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16726) + BgL_siza7ezd2framez75_14400) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16725))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3818z00_16727;

									BgL_arg3818z00_16727 =
										((long) CINT(BgL_bpz00_16726) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16725), BgL_arg3818z00_16727,
										BgL_az00_14401);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3819z00_16728;

									BgL_arg3819z00_16728 =
										((long) CINT(BgL_bpz00_16726) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16725), BgL_arg3819z00_16728,
										BgL_bz00_14402);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3820z00_16729;

									BgL_arg3820z00_16729 =
										((long) CINT(BgL_bpz00_16726) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16725), BgL_arg3820z00_16729,
										BgL_cz00_14403);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3821z00_16730;

									BgL_arg3821z00_16730 =
										((long) CINT(BgL_bpz00_16726) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16725), BgL_arg3821z00_16730,
										BgL_dz00_14404);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16731;

									BgL_ez00_16731 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16731,
										BgL_bpz00_16726);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16732;

										BgL_accz00_16732 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14399, BgL_sz00_16725, BgL_bpz00_16726);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16731);
										VECTOR_SET(
											((obj_t) BgL_sz00_16725), ((long) 0), BgL_bpz00_16726);
										return BgL_accz00_16732;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16733;

								BgL_nsz00_16733 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16733, ((long) 1), BgL_sz00_16725);
								VECTOR_SET(BgL_nsz00_16733, ((long) 2), BgL_az00_14401);
								VECTOR_SET(BgL_nsz00_16733, ((long) 3), BgL_bz00_14402);
								VECTOR_SET(BgL_nsz00_16733, ((long) 4), BgL_cz00_14403);
								VECTOR_SET(BgL_nsz00_16733, ((long) 5), BgL_dz00_14404);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16734;

									BgL_z12denvz12_16734 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16734, BgL_nsz00_16733);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16735;

										BgL_ez00_16735 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16735,
											BgL_sz00_16725);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16736;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16737;

												BgL_savedzd2bpzd2_16737 =
													VECTOR_REF(BgL_nsz00_16733, ((long) 0));
												VECTOR_SET(BgL_nsz00_16733, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16739;

													BgL_fz00_16739 = BgL_runz00_14399;
												BgL_recz00_16738:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16740;

														BgL_rz00_16740 =
															PROCEDURE_ENTRY(BgL_fz00_16739) (BgL_fz00_16739,
															BgL_nsz00_16733, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27111;

															if (PROCEDUREP(BgL_rz00_16740))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16741;

																	BgL_arg1693z00_16741 =
																		PROCEDURE_ATTR(BgL_rz00_16740);
																	if (STRUCTP(BgL_arg1693z00_16741))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27111 =
																				(STRUCT_KEY(BgL_arg1693z00_16741) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27111 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27111 = ((bool_t) 0);
																}
															if (BgL_testz00_27111)
																{
																	obj_t BgL_fz00_27119;

																	BgL_fz00_27119 = BgL_rz00_16740;
																	BgL_fz00_16739 = BgL_fz00_27119;
																	goto BgL_recz00_16738;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16733, ((long) 0),
																		BgL_savedzd2bpzd2_16737);
																	BgL_____rz00_16736 = BgL_rz00_16740;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16735);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16734, BgL_sz00_16725);
											return BgL_____rz00_16736;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5663 */
	obj_t BGl_z62run5663z62zz__evaluate_compz00(obj_t BgL_envz00_14405,
		obj_t BgL_sz00_14409)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14406;
				BgL_ev_absz00_bglt BgL_i1245z00_14407;
				obj_t BgL_bodyz00_14408;

				BgL_iboxesz00_14406 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 0))));
				BgL_i1245z00_14407 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 1))));
				BgL_bodyz00_14408 = PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16742;

					BgL_bpz00_16742 = VECTOR_REF(((obj_t) BgL_sz00_14409), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14409,
						BgL_iboxesz00_14406, BgL_bpz00_16742);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16743;
						obj_t BgL_wherez00_16744;
						obj_t BgL_locz00_16745;

						BgL_z12denvz12_16743 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16744 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14407))->
							BgL_wherez00);
						BgL_locz00_16745 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14407))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16743, BgL_wherez00_16744,
								BgL_locz00_16745);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16746;

								BgL_za2za2resza2za2z00_16746 =
									PROCEDURE_ENTRY(BgL_bodyz00_14408) (BgL_bodyz00_14408,
									BgL_sz00_14409, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16743);
								return BgL_za2za2resza2za2z00_16746;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3826> */
	obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14410, obj_t BgL_sz00_14416)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14411;
				long BgL_siza7eza7_14412;
				BgL_ev_absz00_bglt BgL_i1245z00_14413;
				obj_t BgL_bodyz00_14414;
				long BgL_siza7ezd2framez75_14415;

				BgL_ifreesz00_14411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 0))));
				BgL_siza7eza7_14412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 1))));
				BgL_i1245z00_14413 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 2))));
				BgL_bodyz00_14414 = PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14415 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16747;

					BgL_bpz00_16747 = VECTOR_REF(((obj_t) BgL_sz00_14416), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16748;

						BgL_valza2za2_16748 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14416,
							BgL_bpz00_16747, BgL_ifreesz00_14411);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16749;

							BgL_runz00_16749 =
								MAKE_FX_PROCEDURE(BGl_z62run5665z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16749,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14412));
							PROCEDURE_SET(BgL_runz00_16749,
								(int) (((long) 1)), BgL_valza2za2_16748);
							PROCEDURE_SET(BgL_runz00_16749,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14413));
							PROCEDURE_SET(BgL_runz00_16749,
								(int) (((long) 3)), BgL_bodyz00_14414);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16750;

								BgL_mainz00_16750 =
									MAKE_FX_PROCEDURE(BGl_z62main5664z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14412));
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 1)), BgL_valza2za2_16748);
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14413));
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 3)), BgL_bodyz00_14414);
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 4)), BgL_runz00_16749);
								PROCEDURE_SET(BgL_mainz00_16750,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14415));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16751;

									BgL_objz00_16751 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16749, BgL_objz00_16751);
									BgL_objz00_16751;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3827z00_16752;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3828z00_16753;

										BgL_arg3828z00_16753 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14413))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16754;

											BgL_newz00_16754 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27195;

												BgL_tmpz00_27195 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16754, BgL_tmpz00_27195,
													BgL_arg3828z00_16753);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27200;
												int BgL_tmpz00_27198;

												BgL_auxz00_27200 = BINT(BgL_siza7ezd2framez75_14415);
												BgL_tmpz00_27198 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16754, BgL_tmpz00_27198,
													BgL_auxz00_27200);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27203;

												BgL_tmpz00_27203 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16754, BgL_tmpz00_27203,
													BgL_runz00_16749);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27208;
												int BgL_tmpz00_27206;

												BgL_auxz00_27208 = BINT(((long) 4));
												BgL_tmpz00_27206 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16754, BgL_tmpz00_27206,
													BgL_auxz00_27208);
											}
											BgL_arg3827z00_16752 = BgL_newz00_16754;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16750, BgL_arg3827z00_16752);
									BgL_arg3827z00_16752;
								}
								return BgL_mainz00_16750;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5664 */
	obj_t BGl_z62main5664z62zz__evaluate_compz00(obj_t BgL_envz00_14417,
		obj_t BgL_az00_14424, obj_t BgL_bz00_14425, obj_t BgL_cz00_14426,
		obj_t BgL_dz00_14427)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14422;
				long BgL_siza7ezd2framez75_14423;

				BgL_runz00_14422 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14423 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16755;

					BgL_sz00_16755 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16756;

						BgL_bpz00_16756 = VECTOR_REF(((obj_t) BgL_sz00_16755), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16756) + BgL_siza7ezd2framez75_14423) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16755))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3831z00_16757;

									BgL_arg3831z00_16757 =
										((long) CINT(BgL_bpz00_16756) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16755), BgL_arg3831z00_16757,
										BgL_az00_14424);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3832z00_16758;

									BgL_arg3832z00_16758 =
										((long) CINT(BgL_bpz00_16756) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16755), BgL_arg3832z00_16758,
										BgL_bz00_14425);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3833z00_16759;

									BgL_arg3833z00_16759 =
										((long) CINT(BgL_bpz00_16756) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16755), BgL_arg3833z00_16759,
										BgL_cz00_14426);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3834z00_16760;

									BgL_arg3834z00_16760 =
										((long) CINT(BgL_bpz00_16756) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16755), BgL_arg3834z00_16760,
										BgL_dz00_14427);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16761;

									BgL_ez00_16761 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16761,
										BgL_bpz00_16756);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16762;

										BgL_accz00_16762 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14422, BgL_sz00_16755, BgL_bpz00_16756);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16761);
										VECTOR_SET(
											((obj_t) BgL_sz00_16755), ((long) 0), BgL_bpz00_16756);
										return BgL_accz00_16762;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16763;

								BgL_nsz00_16763 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16763, ((long) 1), BgL_sz00_16755);
								VECTOR_SET(BgL_nsz00_16763, ((long) 2), BgL_az00_14424);
								VECTOR_SET(BgL_nsz00_16763, ((long) 3), BgL_bz00_14425);
								VECTOR_SET(BgL_nsz00_16763, ((long) 4), BgL_cz00_14426);
								VECTOR_SET(BgL_nsz00_16763, ((long) 5), BgL_dz00_14427);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16764;

									BgL_z12denvz12_16764 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16764, BgL_nsz00_16763);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16765;

										BgL_ez00_16765 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16765,
											BgL_sz00_16755);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16766;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16767;

												BgL_savedzd2bpzd2_16767 =
													VECTOR_REF(BgL_nsz00_16763, ((long) 0));
												VECTOR_SET(BgL_nsz00_16763, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16769;

													BgL_fz00_16769 = BgL_runz00_14422;
												BgL_recz00_16768:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16770;

														BgL_rz00_16770 =
															PROCEDURE_ENTRY(BgL_fz00_16769) (BgL_fz00_16769,
															BgL_nsz00_16763, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27266;

															if (PROCEDUREP(BgL_rz00_16770))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16771;

																	BgL_arg1693z00_16771 =
																		PROCEDURE_ATTR(BgL_rz00_16770);
																	if (STRUCTP(BgL_arg1693z00_16771))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27266 =
																				(STRUCT_KEY(BgL_arg1693z00_16771) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27266 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27266 = ((bool_t) 0);
																}
															if (BgL_testz00_27266)
																{
																	obj_t BgL_fz00_27274;

																	BgL_fz00_27274 = BgL_rz00_16770;
																	BgL_fz00_16769 = BgL_fz00_27274;
																	goto BgL_recz00_16768;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16763, ((long) 0),
																		BgL_savedzd2bpzd2_16767);
																	BgL_____rz00_16766 = BgL_rz00_16770;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16765);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16764, BgL_sz00_16755);
											return BgL_____rz00_16766;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5665 */
	obj_t BGl_z62run5665z62zz__evaluate_compz00(obj_t BgL_envz00_14428,
		obj_t BgL_sz00_14433)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14429;
				obj_t BgL_valza2za2_14430;
				BgL_ev_absz00_bglt BgL_i1245z00_14431;
				obj_t BgL_bodyz00_14432;

				BgL_siza7eza7_14429 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14428, (int) (((long) 0))));
				BgL_valza2za2_14430 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14428, (int) (((long) 1))));
				BgL_i1245z00_14431 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14428, (int) (((long) 2))));
				BgL_bodyz00_14432 = PROCEDURE_REF(BgL_envz00_14428, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16772;

					BgL_bpz00_16772 = VECTOR_REF(((obj_t) BgL_sz00_14433), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14433,
						BgL_valza2za2_14430,
						((long) CINT(BgL_bpz00_16772) + BgL_siza7eza7_14429));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16773;
						obj_t BgL_wherez00_16774;
						obj_t BgL_locz00_16775;

						BgL_z12denvz12_16773 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16774 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14431))->
							BgL_wherez00);
						BgL_locz00_16775 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14431))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16773, BgL_wherez00_16774,
								BgL_locz00_16775);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16776;

								BgL_za2za2resza2za2z00_16776 =
									PROCEDURE_ENTRY(BgL_bodyz00_14432) (BgL_bodyz00_14432,
									BgL_sz00_14433, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16773);
								return BgL_za2za2resza2za2z00_16776;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3837> */
	obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14434, obj_t BgL_sz00_14441)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14435;
				obj_t BgL_iboxesz00_14436;
				long BgL_siza7eza7_14437;
				BgL_ev_absz00_bglt BgL_i1245z00_14438;
				obj_t BgL_bodyz00_14439;
				long BgL_siza7ezd2framez75_14440;

				BgL_ifreesz00_14435 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 0))));
				BgL_iboxesz00_14436 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 1))));
				BgL_siza7eza7_14437 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 2))));
				BgL_i1245z00_14438 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 3))));
				BgL_bodyz00_14439 = PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14440 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16777;

					BgL_bpz00_16777 = VECTOR_REF(((obj_t) BgL_sz00_14441), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16778;

						BgL_valza2za2_16778 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14441,
							BgL_bpz00_16777, BgL_ifreesz00_14435);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16779;

							BgL_runz00_16779 =
								MAKE_FX_PROCEDURE(BGl_z62run5667z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16779,
								(int) (((long) 0)), BgL_iboxesz00_14436);
							PROCEDURE_SET(BgL_runz00_16779,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14437));
							PROCEDURE_SET(BgL_runz00_16779,
								(int) (((long) 2)), BgL_valza2za2_16778);
							PROCEDURE_SET(BgL_runz00_16779,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14438));
							PROCEDURE_SET(BgL_runz00_16779,
								(int) (((long) 4)), BgL_bodyz00_14439);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16780;

								BgL_mainz00_16780 =
									MAKE_FX_PROCEDURE(BGl_z62main5666z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 0)), BgL_iboxesz00_14436);
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14437));
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 2)), BgL_valza2za2_16778);
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14438));
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 4)), BgL_bodyz00_14439);
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 5)), BgL_runz00_16779);
								PROCEDURE_SET(BgL_mainz00_16780,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14440));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16781;

									BgL_objz00_16781 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16779, BgL_objz00_16781);
									BgL_objz00_16781;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3838z00_16782;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3839z00_16783;

										BgL_arg3839z00_16783 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14438))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16784;

											BgL_newz00_16784 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27362;

												BgL_tmpz00_27362 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16784, BgL_tmpz00_27362,
													BgL_arg3839z00_16783);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27367;
												int BgL_tmpz00_27365;

												BgL_auxz00_27367 = BINT(BgL_siza7ezd2framez75_14440);
												BgL_tmpz00_27365 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16784, BgL_tmpz00_27365,
													BgL_auxz00_27367);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27370;

												BgL_tmpz00_27370 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16784, BgL_tmpz00_27370,
													BgL_runz00_16779);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27375;
												int BgL_tmpz00_27373;

												BgL_auxz00_27375 = BINT(((long) 4));
												BgL_tmpz00_27373 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16784, BgL_tmpz00_27373,
													BgL_auxz00_27375);
											}
											BgL_arg3838z00_16782 = BgL_newz00_16784;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16780, BgL_arg3838z00_16782);
									BgL_arg3838z00_16782;
								}
								return BgL_mainz00_16780;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5666 */
	obj_t BGl_z62main5666z62zz__evaluate_compz00(obj_t BgL_envz00_14442,
		obj_t BgL_az00_14450, obj_t BgL_bz00_14451, obj_t BgL_cz00_14452,
		obj_t BgL_dz00_14453)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14448;
				long BgL_siza7ezd2framez75_14449;

				BgL_runz00_14448 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14442, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14449 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14442, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16785;

					BgL_sz00_16785 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16786;

						BgL_bpz00_16786 = VECTOR_REF(((obj_t) BgL_sz00_16785), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16786) + BgL_siza7ezd2framez75_14449) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16785))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3842z00_16787;

									BgL_arg3842z00_16787 =
										((long) CINT(BgL_bpz00_16786) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16785), BgL_arg3842z00_16787,
										BgL_az00_14450);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3843z00_16788;

									BgL_arg3843z00_16788 =
										((long) CINT(BgL_bpz00_16786) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16785), BgL_arg3843z00_16788,
										BgL_bz00_14451);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3844z00_16789;

									BgL_arg3844z00_16789 =
										((long) CINT(BgL_bpz00_16786) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16785), BgL_arg3844z00_16789,
										BgL_cz00_14452);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3845z00_16790;

									BgL_arg3845z00_16790 =
										((long) CINT(BgL_bpz00_16786) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16785), BgL_arg3845z00_16790,
										BgL_dz00_14453);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16791;

									BgL_ez00_16791 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16791,
										BgL_bpz00_16786);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16792;

										BgL_accz00_16792 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14448, BgL_sz00_16785, BgL_bpz00_16786);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16791);
										VECTOR_SET(
											((obj_t) BgL_sz00_16785), ((long) 0), BgL_bpz00_16786);
										return BgL_accz00_16792;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16793;

								BgL_nsz00_16793 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16793, ((long) 1), BgL_sz00_16785);
								VECTOR_SET(BgL_nsz00_16793, ((long) 2), BgL_az00_14450);
								VECTOR_SET(BgL_nsz00_16793, ((long) 3), BgL_bz00_14451);
								VECTOR_SET(BgL_nsz00_16793, ((long) 4), BgL_cz00_14452);
								VECTOR_SET(BgL_nsz00_16793, ((long) 5), BgL_dz00_14453);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16794;

									BgL_z12denvz12_16794 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16794, BgL_nsz00_16793);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16795;

										BgL_ez00_16795 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16795,
											BgL_sz00_16785);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16796;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16797;

												BgL_savedzd2bpzd2_16797 =
													VECTOR_REF(BgL_nsz00_16793, ((long) 0));
												VECTOR_SET(BgL_nsz00_16793, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16799;

													BgL_fz00_16799 = BgL_runz00_14448;
												BgL_recz00_16798:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16800;

														BgL_rz00_16800 =
															PROCEDURE_ENTRY(BgL_fz00_16799) (BgL_fz00_16799,
															BgL_nsz00_16793, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27433;

															if (PROCEDUREP(BgL_rz00_16800))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16801;

																	BgL_arg1693z00_16801 =
																		PROCEDURE_ATTR(BgL_rz00_16800);
																	if (STRUCTP(BgL_arg1693z00_16801))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27433 =
																				(STRUCT_KEY(BgL_arg1693z00_16801) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27433 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27433 = ((bool_t) 0);
																}
															if (BgL_testz00_27433)
																{
																	obj_t BgL_fz00_27441;

																	BgL_fz00_27441 = BgL_rz00_16800;
																	BgL_fz00_16799 = BgL_fz00_27441;
																	goto BgL_recz00_16798;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16793, ((long) 0),
																		BgL_savedzd2bpzd2_16797);
																	BgL_____rz00_16796 = BgL_rz00_16800;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16795);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16794, BgL_sz00_16785);
											return BgL_____rz00_16796;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5667 */
	obj_t BGl_z62run5667z62zz__evaluate_compz00(obj_t BgL_envz00_14454,
		obj_t BgL_sz00_14460)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14455;
				long BgL_siza7eza7_14456;
				obj_t BgL_valza2za2_14457;
				BgL_ev_absz00_bglt BgL_i1245z00_14458;
				obj_t BgL_bodyz00_14459;

				BgL_iboxesz00_14455 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 0))));
				BgL_siza7eza7_14456 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 1))));
				BgL_valza2za2_14457 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 2))));
				BgL_i1245z00_14458 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 3))));
				BgL_bodyz00_14459 = PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16802;

					BgL_bpz00_16802 = VECTOR_REF(((obj_t) BgL_sz00_14460), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14460,
						BgL_iboxesz00_14455, BgL_bpz00_16802);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14460,
						BgL_valza2za2_14457,
						((long) CINT(BgL_bpz00_16802) + BgL_siza7eza7_14456));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16803;
						obj_t BgL_wherez00_16804;
						obj_t BgL_locz00_16805;

						BgL_z12denvz12_16803 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16804 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14458))->
							BgL_wherez00);
						BgL_locz00_16805 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14458))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16803, BgL_wherez00_16804,
								BgL_locz00_16805);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16806;

								BgL_za2za2resza2za2z00_16806 =
									PROCEDURE_ENTRY(BgL_bodyz00_14459) (BgL_bodyz00_14459,
									BgL_sz00_14460, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16803);
								return BgL_za2za2resza2za2z00_16806;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3752> */
	obj_t BGl_z62zc3anonymousza33752ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14461, obj_t BgL_sz00_14465)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14462;
				obj_t BgL_bodyz00_14463;
				long BgL_siza7ezd2framez75_14464;

				BgL_i1245z00_14462 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14461, (int) (((long) 0))));
				BgL_bodyz00_14463 = PROCEDURE_REF(BgL_envz00_14461, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14464 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14461, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16807;

					BgL_bpz00_16807 = VECTOR_REF(((obj_t) BgL_sz00_14465), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16808;

							BgL_runz00_16808 =
								MAKE_FX_PROCEDURE(BGl_z62run5669z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16808,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14462));
							PROCEDURE_SET(BgL_runz00_16808,
								(int) (((long) 1)), BgL_bodyz00_14463);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16809;

								BgL_mainz00_16809 =
									MAKE_VA_PROCEDURE(BGl_z62main5668z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16809,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14462));
								PROCEDURE_SET(BgL_mainz00_16809,
									(int) (((long) 1)), BgL_bodyz00_14463);
								PROCEDURE_SET(BgL_mainz00_16809,
									(int) (((long) 2)), BgL_runz00_16808);
								PROCEDURE_SET(BgL_mainz00_16809,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14464));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16810;

									BgL_objz00_16810 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16808, BgL_objz00_16810);
									BgL_objz00_16810;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3753z00_16811;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3754z00_16812;

										BgL_arg3754z00_16812 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14462))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16813;

											BgL_newz00_16813 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27509;

												BgL_tmpz00_27509 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16813, BgL_tmpz00_27509,
													BgL_arg3754z00_16812);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27514;
												int BgL_tmpz00_27512;

												BgL_auxz00_27514 = BINT(BgL_siza7ezd2framez75_14464);
												BgL_tmpz00_27512 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16813, BgL_tmpz00_27512,
													BgL_auxz00_27514);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27517;

												BgL_tmpz00_27517 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16813, BgL_tmpz00_27517,
													BgL_runz00_16808);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27522;
												int BgL_tmpz00_27520;

												BgL_auxz00_27522 = BINT(((long) -4));
												BgL_tmpz00_27520 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16813, BgL_tmpz00_27520,
													BgL_auxz00_27522);
											}
											BgL_arg3753z00_16811 = BgL_newz00_16813;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16809, BgL_arg3753z00_16811);
									BgL_arg3753z00_16811;
								}
								return BgL_mainz00_16809;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5668 */
	obj_t BGl_z62main5668z62zz__evaluate_compz00(obj_t BgL_envz00_14466,
		obj_t BgL_bz00_14471, obj_t BgL_cz00_14472, obj_t BgL_dz00_14473,
		obj_t BgL_lastz00_14474)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14469;
				long BgL_siza7ezd2framez75_14470;

				BgL_runz00_14469 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14466, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14470 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14466, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16814;

					BgL_sz00_16814 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16815;

						BgL_bpz00_16815 = VECTOR_REF(((obj_t) BgL_sz00_16814), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16815) + BgL_siza7ezd2framez75_14470) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16814))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3757z00_16816;

									BgL_arg3757z00_16816 =
										((long) CINT(BgL_bpz00_16815) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16814), BgL_arg3757z00_16816,
										BgL_bz00_14471);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3758z00_16817;

									BgL_arg3758z00_16817 =
										((long) CINT(BgL_bpz00_16815) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16814), BgL_arg3758z00_16817,
										BgL_cz00_14472);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3759z00_16818;

									BgL_arg3759z00_16818 =
										((long) CINT(BgL_bpz00_16815) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16814), BgL_arg3759z00_16818,
										BgL_dz00_14473);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3760z00_16819;

									BgL_arg3760z00_16819 =
										((long) CINT(BgL_bpz00_16815) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16814), BgL_arg3760z00_16819,
										BgL_lastz00_14474);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16820;

									BgL_ez00_16820 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16820,
										BgL_bpz00_16815);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16821;

										BgL_accz00_16821 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14469, BgL_sz00_16814, BgL_bpz00_16815);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16820);
										VECTOR_SET(
											((obj_t) BgL_sz00_16814), ((long) 0), BgL_bpz00_16815);
										return BgL_accz00_16821;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16822;

								BgL_nsz00_16822 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16822, ((long) 1), BgL_sz00_16814);
								VECTOR_SET(BgL_nsz00_16822, ((long) 2), BgL_bz00_14471);
								VECTOR_SET(BgL_nsz00_16822, ((long) 3), BgL_cz00_14472);
								VECTOR_SET(BgL_nsz00_16822, ((long) 4), BgL_dz00_14473);
								VECTOR_SET(BgL_nsz00_16822, ((long) 5), BgL_lastz00_14474);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16823;

									BgL_z12denvz12_16823 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16823, BgL_nsz00_16822);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16824;

										BgL_ez00_16824 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16824,
											BgL_sz00_16814);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16825;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16826;

												BgL_savedzd2bpzd2_16826 =
													VECTOR_REF(BgL_nsz00_16822, ((long) 0));
												VECTOR_SET(BgL_nsz00_16822, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16828;

													BgL_fz00_16828 = BgL_runz00_14469;
												BgL_recz00_16827:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16829;

														BgL_rz00_16829 =
															PROCEDURE_ENTRY(BgL_fz00_16828) (BgL_fz00_16828,
															BgL_nsz00_16822, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27580;

															if (PROCEDUREP(BgL_rz00_16829))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16830;

																	BgL_arg1693z00_16830 =
																		PROCEDURE_ATTR(BgL_rz00_16829);
																	if (STRUCTP(BgL_arg1693z00_16830))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27580 =
																				(STRUCT_KEY(BgL_arg1693z00_16830) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27580 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27580 = ((bool_t) 0);
																}
															if (BgL_testz00_27580)
																{
																	obj_t BgL_fz00_27588;

																	BgL_fz00_27588 = BgL_rz00_16829;
																	BgL_fz00_16828 = BgL_fz00_27588;
																	goto BgL_recz00_16827;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16822, ((long) 0),
																		BgL_savedzd2bpzd2_16826);
																	BgL_____rz00_16825 = BgL_rz00_16829;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16824);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16823, BgL_sz00_16814);
											return BgL_____rz00_16825;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5669 */
	obj_t BGl_z62run5669z62zz__evaluate_compz00(obj_t BgL_envz00_14475,
		obj_t BgL_sz00_14478)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14476;
				obj_t BgL_bodyz00_14477;

				BgL_i1245z00_14476 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14475, (int) (((long) 0))));
				BgL_bodyz00_14477 = PROCEDURE_REF(BgL_envz00_14475, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16831;

					BgL_bpz00_16831 = VECTOR_REF(((obj_t) BgL_sz00_14478), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16832;
						obj_t BgL_wherez00_16833;
						obj_t BgL_locz00_16834;

						BgL_z12denvz12_16832 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16833 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14476))->
							BgL_wherez00);
						BgL_locz00_16834 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14476))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16832, BgL_wherez00_16833,
								BgL_locz00_16834);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16835;

								BgL_za2za2resza2za2z00_16835 =
									PROCEDURE_ENTRY(BgL_bodyz00_14477) (BgL_bodyz00_14477,
									BgL_sz00_14478, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16832);
								return BgL_za2za2resza2za2z00_16835;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3762> */
	obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14479, obj_t BgL_sz00_14484)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14480;
				BgL_ev_absz00_bglt BgL_i1245z00_14481;
				obj_t BgL_bodyz00_14482;
				long BgL_siza7ezd2framez75_14483;

				BgL_iboxesz00_14480 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 0))));
				BgL_i1245z00_14481 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 1))));
				BgL_bodyz00_14482 = PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14483 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16836;

					BgL_bpz00_16836 = VECTOR_REF(((obj_t) BgL_sz00_14484), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16837;

							BgL_runz00_16837 =
								MAKE_FX_PROCEDURE(BGl_z62run5671z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16837,
								(int) (((long) 0)), BgL_iboxesz00_14480);
							PROCEDURE_SET(BgL_runz00_16837,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14481));
							PROCEDURE_SET(BgL_runz00_16837,
								(int) (((long) 2)), BgL_bodyz00_14482);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16838;

								BgL_mainz00_16838 =
									MAKE_VA_PROCEDURE(BGl_z62main5670z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16838,
									(int) (((long) 0)), BgL_iboxesz00_14480);
								PROCEDURE_SET(BgL_mainz00_16838,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14481));
								PROCEDURE_SET(BgL_mainz00_16838,
									(int) (((long) 2)), BgL_bodyz00_14482);
								PROCEDURE_SET(BgL_mainz00_16838,
									(int) (((long) 3)), BgL_runz00_16837);
								PROCEDURE_SET(BgL_mainz00_16838,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14483));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16839;

									BgL_objz00_16839 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16837, BgL_objz00_16839);
									BgL_objz00_16839;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3763z00_16840;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3764z00_16841;

										BgL_arg3764z00_16841 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14481))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16842;

											BgL_newz00_16842 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27650;

												BgL_tmpz00_27650 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16842, BgL_tmpz00_27650,
													BgL_arg3764z00_16841);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27655;
												int BgL_tmpz00_27653;

												BgL_auxz00_27655 = BINT(BgL_siza7ezd2framez75_14483);
												BgL_tmpz00_27653 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16842, BgL_tmpz00_27653,
													BgL_auxz00_27655);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27658;

												BgL_tmpz00_27658 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16842, BgL_tmpz00_27658,
													BgL_runz00_16837);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27663;
												int BgL_tmpz00_27661;

												BgL_auxz00_27663 = BINT(((long) -4));
												BgL_tmpz00_27661 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16842, BgL_tmpz00_27661,
													BgL_auxz00_27663);
											}
											BgL_arg3763z00_16840 = BgL_newz00_16842;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16838, BgL_arg3763z00_16840);
									BgL_arg3763z00_16840;
								}
								return BgL_mainz00_16838;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5670 */
	obj_t BGl_z62main5670z62zz__evaluate_compz00(obj_t BgL_envz00_14485,
		obj_t BgL_bz00_14491, obj_t BgL_cz00_14492, obj_t BgL_dz00_14493,
		obj_t BgL_lastz00_14494)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14489;
				long BgL_siza7ezd2framez75_14490;

				BgL_runz00_14489 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14485, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14490 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14485, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16843;

					BgL_sz00_16843 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16844;

						BgL_bpz00_16844 = VECTOR_REF(((obj_t) BgL_sz00_16843), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16844) + BgL_siza7ezd2framez75_14490) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16843))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3767z00_16845;

									BgL_arg3767z00_16845 =
										((long) CINT(BgL_bpz00_16844) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16843), BgL_arg3767z00_16845,
										BgL_bz00_14491);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3768z00_16846;

									BgL_arg3768z00_16846 =
										((long) CINT(BgL_bpz00_16844) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16843), BgL_arg3768z00_16846,
										BgL_cz00_14492);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3769z00_16847;

									BgL_arg3769z00_16847 =
										((long) CINT(BgL_bpz00_16844) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16843), BgL_arg3769z00_16847,
										BgL_dz00_14493);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3770z00_16848;

									BgL_arg3770z00_16848 =
										((long) CINT(BgL_bpz00_16844) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16843), BgL_arg3770z00_16848,
										BgL_lastz00_14494);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16849;

									BgL_ez00_16849 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16849,
										BgL_bpz00_16844);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16850;

										BgL_accz00_16850 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14489, BgL_sz00_16843, BgL_bpz00_16844);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16849);
										VECTOR_SET(
											((obj_t) BgL_sz00_16843), ((long) 0), BgL_bpz00_16844);
										return BgL_accz00_16850;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16851;

								BgL_nsz00_16851 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16851, ((long) 1), BgL_sz00_16843);
								VECTOR_SET(BgL_nsz00_16851, ((long) 2), BgL_bz00_14491);
								VECTOR_SET(BgL_nsz00_16851, ((long) 3), BgL_cz00_14492);
								VECTOR_SET(BgL_nsz00_16851, ((long) 4), BgL_dz00_14493);
								VECTOR_SET(BgL_nsz00_16851, ((long) 5), BgL_lastz00_14494);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16852;

									BgL_z12denvz12_16852 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16852, BgL_nsz00_16851);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16853;

										BgL_ez00_16853 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16853,
											BgL_sz00_16843);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16854;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16855;

												BgL_savedzd2bpzd2_16855 =
													VECTOR_REF(BgL_nsz00_16851, ((long) 0));
												VECTOR_SET(BgL_nsz00_16851, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16857;

													BgL_fz00_16857 = BgL_runz00_14489;
												BgL_recz00_16856:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16858;

														BgL_rz00_16858 =
															PROCEDURE_ENTRY(BgL_fz00_16857) (BgL_fz00_16857,
															BgL_nsz00_16851, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27721;

															if (PROCEDUREP(BgL_rz00_16858))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16859;

																	BgL_arg1693z00_16859 =
																		PROCEDURE_ATTR(BgL_rz00_16858);
																	if (STRUCTP(BgL_arg1693z00_16859))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27721 =
																				(STRUCT_KEY(BgL_arg1693z00_16859) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27721 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27721 = ((bool_t) 0);
																}
															if (BgL_testz00_27721)
																{
																	obj_t BgL_fz00_27729;

																	BgL_fz00_27729 = BgL_rz00_16858;
																	BgL_fz00_16857 = BgL_fz00_27729;
																	goto BgL_recz00_16856;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16851, ((long) 0),
																		BgL_savedzd2bpzd2_16855);
																	BgL_____rz00_16854 = BgL_rz00_16858;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16853);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16852, BgL_sz00_16843);
											return BgL_____rz00_16854;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5671 */
	obj_t BGl_z62run5671z62zz__evaluate_compz00(obj_t BgL_envz00_14495,
		obj_t BgL_sz00_14499)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14496;
				BgL_ev_absz00_bglt BgL_i1245z00_14497;
				obj_t BgL_bodyz00_14498;

				BgL_iboxesz00_14496 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14495, (int) (((long) 0))));
				BgL_i1245z00_14497 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14495, (int) (((long) 1))));
				BgL_bodyz00_14498 = PROCEDURE_REF(BgL_envz00_14495, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16860;

					BgL_bpz00_16860 = VECTOR_REF(((obj_t) BgL_sz00_14499), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14499,
						BgL_iboxesz00_14496, BgL_bpz00_16860);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16861;
						obj_t BgL_wherez00_16862;
						obj_t BgL_locz00_16863;

						BgL_z12denvz12_16861 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16862 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14497))->
							BgL_wherez00);
						BgL_locz00_16863 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14497))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16861, BgL_wherez00_16862,
								BgL_locz00_16863);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16864;

								BgL_za2za2resza2za2z00_16864 =
									PROCEDURE_ENTRY(BgL_bodyz00_14498) (BgL_bodyz00_14498,
									BgL_sz00_14499, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16861);
								return BgL_za2za2resza2za2z00_16864;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3775> */
	obj_t BGl_z62zc3anonymousza33775ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14500, obj_t BgL_sz00_14506)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14501;
				long BgL_siza7eza7_14502;
				BgL_ev_absz00_bglt BgL_i1245z00_14503;
				obj_t BgL_bodyz00_14504;
				long BgL_siza7ezd2framez75_14505;

				BgL_ifreesz00_14501 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 0))));
				BgL_siza7eza7_14502 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 1))));
				BgL_i1245z00_14503 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 2))));
				BgL_bodyz00_14504 = PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14505 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16865;

					BgL_bpz00_16865 = VECTOR_REF(((obj_t) BgL_sz00_14506), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16866;

						BgL_valza2za2_16866 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14506,
							BgL_bpz00_16865, BgL_ifreesz00_14501);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16867;

							BgL_runz00_16867 =
								MAKE_FX_PROCEDURE(BGl_z62run5673z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16867,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14502));
							PROCEDURE_SET(BgL_runz00_16867,
								(int) (((long) 1)), BgL_valza2za2_16866);
							PROCEDURE_SET(BgL_runz00_16867,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14503));
							PROCEDURE_SET(BgL_runz00_16867,
								(int) (((long) 3)), BgL_bodyz00_14504);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16868;

								BgL_mainz00_16868 =
									MAKE_VA_PROCEDURE(BGl_z62main5672z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14502));
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 1)), BgL_valza2za2_16866);
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14503));
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 3)), BgL_bodyz00_14504);
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 4)), BgL_runz00_16867);
								PROCEDURE_SET(BgL_mainz00_16868,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14505));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16869;

									BgL_objz00_16869 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16867, BgL_objz00_16869);
									BgL_objz00_16869;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3776z00_16870;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3777z00_16871;

										BgL_arg3777z00_16871 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14503))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16872;

											BgL_newz00_16872 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27805;

												BgL_tmpz00_27805 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16872, BgL_tmpz00_27805,
													BgL_arg3777z00_16871);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27810;
												int BgL_tmpz00_27808;

												BgL_auxz00_27810 = BINT(BgL_siza7ezd2framez75_14505);
												BgL_tmpz00_27808 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16872, BgL_tmpz00_27808,
													BgL_auxz00_27810);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27813;

												BgL_tmpz00_27813 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16872, BgL_tmpz00_27813,
													BgL_runz00_16867);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27818;
												int BgL_tmpz00_27816;

												BgL_auxz00_27818 = BINT(((long) -4));
												BgL_tmpz00_27816 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16872, BgL_tmpz00_27816,
													BgL_auxz00_27818);
											}
											BgL_arg3776z00_16870 = BgL_newz00_16872;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16868, BgL_arg3776z00_16870);
									BgL_arg3776z00_16870;
								}
								return BgL_mainz00_16868;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5672 */
	obj_t BGl_z62main5672z62zz__evaluate_compz00(obj_t BgL_envz00_14507,
		obj_t BgL_bz00_14514, obj_t BgL_cz00_14515, obj_t BgL_dz00_14516,
		obj_t BgL_lastz00_14517)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14512;
				long BgL_siza7ezd2framez75_14513;

				BgL_runz00_14512 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14507, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14513 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14507, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16873;

					BgL_sz00_16873 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16874;

						BgL_bpz00_16874 = VECTOR_REF(((obj_t) BgL_sz00_16873), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16874) + BgL_siza7ezd2framez75_14513) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16873))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3780z00_16875;

									BgL_arg3780z00_16875 =
										((long) CINT(BgL_bpz00_16874) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16873), BgL_arg3780z00_16875,
										BgL_bz00_14514);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3781z00_16876;

									BgL_arg3781z00_16876 =
										((long) CINT(BgL_bpz00_16874) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16873), BgL_arg3781z00_16876,
										BgL_cz00_14515);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3782z00_16877;

									BgL_arg3782z00_16877 =
										((long) CINT(BgL_bpz00_16874) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16873), BgL_arg3782z00_16877,
										BgL_dz00_14516);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3783z00_16878;

									BgL_arg3783z00_16878 =
										((long) CINT(BgL_bpz00_16874) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16873), BgL_arg3783z00_16878,
										BgL_lastz00_14517);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16879;

									BgL_ez00_16879 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16879,
										BgL_bpz00_16874);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16880;

										BgL_accz00_16880 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14512, BgL_sz00_16873, BgL_bpz00_16874);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16879);
										VECTOR_SET(
											((obj_t) BgL_sz00_16873), ((long) 0), BgL_bpz00_16874);
										return BgL_accz00_16880;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16881;

								BgL_nsz00_16881 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16881, ((long) 1), BgL_sz00_16873);
								VECTOR_SET(BgL_nsz00_16881, ((long) 2), BgL_bz00_14514);
								VECTOR_SET(BgL_nsz00_16881, ((long) 3), BgL_cz00_14515);
								VECTOR_SET(BgL_nsz00_16881, ((long) 4), BgL_dz00_14516);
								VECTOR_SET(BgL_nsz00_16881, ((long) 5), BgL_lastz00_14517);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16882;

									BgL_z12denvz12_16882 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16882, BgL_nsz00_16881);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16883;

										BgL_ez00_16883 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16883,
											BgL_sz00_16873);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16884;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16885;

												BgL_savedzd2bpzd2_16885 =
													VECTOR_REF(BgL_nsz00_16881, ((long) 0));
												VECTOR_SET(BgL_nsz00_16881, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16887;

													BgL_fz00_16887 = BgL_runz00_14512;
												BgL_recz00_16886:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16888;

														BgL_rz00_16888 =
															PROCEDURE_ENTRY(BgL_fz00_16887) (BgL_fz00_16887,
															BgL_nsz00_16881, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27876;

															if (PROCEDUREP(BgL_rz00_16888))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16889;

																	BgL_arg1693z00_16889 =
																		PROCEDURE_ATTR(BgL_rz00_16888);
																	if (STRUCTP(BgL_arg1693z00_16889))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27876 =
																				(STRUCT_KEY(BgL_arg1693z00_16889) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27876 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27876 = ((bool_t) 0);
																}
															if (BgL_testz00_27876)
																{
																	obj_t BgL_fz00_27884;

																	BgL_fz00_27884 = BgL_rz00_16888;
																	BgL_fz00_16887 = BgL_fz00_27884;
																	goto BgL_recz00_16886;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16881, ((long) 0),
																		BgL_savedzd2bpzd2_16885);
																	BgL_____rz00_16884 = BgL_rz00_16888;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16883);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16882, BgL_sz00_16873);
											return BgL_____rz00_16884;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5673 */
	obj_t BGl_z62run5673z62zz__evaluate_compz00(obj_t BgL_envz00_14518,
		obj_t BgL_sz00_14523)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14519;
				obj_t BgL_valza2za2_14520;
				BgL_ev_absz00_bglt BgL_i1245z00_14521;
				obj_t BgL_bodyz00_14522;

				BgL_siza7eza7_14519 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 0))));
				BgL_valza2za2_14520 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 1))));
				BgL_i1245z00_14521 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 2))));
				BgL_bodyz00_14522 = PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16890;

					BgL_bpz00_16890 = VECTOR_REF(((obj_t) BgL_sz00_14523), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14523,
						BgL_valza2za2_14520,
						((long) CINT(BgL_bpz00_16890) + BgL_siza7eza7_14519));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16891;
						obj_t BgL_wherez00_16892;
						obj_t BgL_locz00_16893;

						BgL_z12denvz12_16891 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16892 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14521))->
							BgL_wherez00);
						BgL_locz00_16893 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14521))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16891, BgL_wherez00_16892,
								BgL_locz00_16893);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16894;

								BgL_za2za2resza2za2z00_16894 =
									PROCEDURE_ENTRY(BgL_bodyz00_14522) (BgL_bodyz00_14522,
									BgL_sz00_14523, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16891);
								return BgL_za2za2resza2za2z00_16894;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3786> */
	obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14524, obj_t BgL_sz00_14531)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14525;
				obj_t BgL_iboxesz00_14526;
				long BgL_siza7eza7_14527;
				BgL_ev_absz00_bglt BgL_i1245z00_14528;
				obj_t BgL_bodyz00_14529;
				long BgL_siza7ezd2framez75_14530;

				BgL_ifreesz00_14525 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 0))));
				BgL_iboxesz00_14526 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 1))));
				BgL_siza7eza7_14527 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 2))));
				BgL_i1245z00_14528 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 3))));
				BgL_bodyz00_14529 = PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14530 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14524, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16895;

					BgL_bpz00_16895 = VECTOR_REF(((obj_t) BgL_sz00_14531), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16896;

						BgL_valza2za2_16896 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14531,
							BgL_bpz00_16895, BgL_ifreesz00_14525);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16897;

							BgL_runz00_16897 =
								MAKE_FX_PROCEDURE(BGl_z62run5675z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16897,
								(int) (((long) 0)), BgL_iboxesz00_14526);
							PROCEDURE_SET(BgL_runz00_16897,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14527));
							PROCEDURE_SET(BgL_runz00_16897,
								(int) (((long) 2)), BgL_valza2za2_16896);
							PROCEDURE_SET(BgL_runz00_16897,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14528));
							PROCEDURE_SET(BgL_runz00_16897,
								(int) (((long) 4)), BgL_bodyz00_14529);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16898;

								BgL_mainz00_16898 =
									MAKE_VA_PROCEDURE(BGl_z62main5674z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 0)), BgL_iboxesz00_14526);
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14527));
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 2)), BgL_valza2za2_16896);
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14528));
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 4)), BgL_bodyz00_14529);
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 5)), BgL_runz00_16897);
								PROCEDURE_SET(BgL_mainz00_16898,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14530));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16899;

									BgL_objz00_16899 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16897, BgL_objz00_16899);
									BgL_objz00_16899;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3787z00_16900;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3788z00_16901;

										BgL_arg3788z00_16901 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14528))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16902;

											BgL_newz00_16902 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27972;

												BgL_tmpz00_27972 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16902, BgL_tmpz00_27972,
													BgL_arg3788z00_16901);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27977;
												int BgL_tmpz00_27975;

												BgL_auxz00_27977 = BINT(BgL_siza7ezd2framez75_14530);
												BgL_tmpz00_27975 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16902, BgL_tmpz00_27975,
													BgL_auxz00_27977);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27980;

												BgL_tmpz00_27980 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16902, BgL_tmpz00_27980,
													BgL_runz00_16897);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27985;
												int BgL_tmpz00_27983;

												BgL_auxz00_27985 = BINT(((long) -4));
												BgL_tmpz00_27983 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16902, BgL_tmpz00_27983,
													BgL_auxz00_27985);
											}
											BgL_arg3787z00_16900 = BgL_newz00_16902;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16898, BgL_arg3787z00_16900);
									BgL_arg3787z00_16900;
								}
								return BgL_mainz00_16898;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5674 */
	obj_t BGl_z62main5674z62zz__evaluate_compz00(obj_t BgL_envz00_14532,
		obj_t BgL_bz00_14540, obj_t BgL_cz00_14541, obj_t BgL_dz00_14542,
		obj_t BgL_lastz00_14543)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14538;
				long BgL_siza7ezd2framez75_14539;

				BgL_runz00_14538 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14532, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14539 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14532, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16903;

					BgL_sz00_16903 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16904;

						BgL_bpz00_16904 = VECTOR_REF(((obj_t) BgL_sz00_16903), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16904) + BgL_siza7ezd2framez75_14539) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16903))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3791z00_16905;

									BgL_arg3791z00_16905 =
										((long) CINT(BgL_bpz00_16904) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16903), BgL_arg3791z00_16905,
										BgL_bz00_14540);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3792z00_16906;

									BgL_arg3792z00_16906 =
										((long) CINT(BgL_bpz00_16904) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16903), BgL_arg3792z00_16906,
										BgL_cz00_14541);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3793z00_16907;

									BgL_arg3793z00_16907 =
										((long) CINT(BgL_bpz00_16904) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16903), BgL_arg3793z00_16907,
										BgL_dz00_14542);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3794z00_16908;

									BgL_arg3794z00_16908 =
										((long) CINT(BgL_bpz00_16904) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16903), BgL_arg3794z00_16908,
										BgL_lastz00_14543);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16909;

									BgL_ez00_16909 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16909,
										BgL_bpz00_16904);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16910;

										BgL_accz00_16910 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14538, BgL_sz00_16903, BgL_bpz00_16904);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16909);
										VECTOR_SET(
											((obj_t) BgL_sz00_16903), ((long) 0), BgL_bpz00_16904);
										return BgL_accz00_16910;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16911;

								BgL_nsz00_16911 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16911, ((long) 1), BgL_sz00_16903);
								VECTOR_SET(BgL_nsz00_16911, ((long) 2), BgL_bz00_14540);
								VECTOR_SET(BgL_nsz00_16911, ((long) 3), BgL_cz00_14541);
								VECTOR_SET(BgL_nsz00_16911, ((long) 4), BgL_dz00_14542);
								VECTOR_SET(BgL_nsz00_16911, ((long) 5), BgL_lastz00_14543);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16912;

									BgL_z12denvz12_16912 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16912, BgL_nsz00_16911);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16913;

										BgL_ez00_16913 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16913,
											BgL_sz00_16903);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16914;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16915;

												BgL_savedzd2bpzd2_16915 =
													VECTOR_REF(BgL_nsz00_16911, ((long) 0));
												VECTOR_SET(BgL_nsz00_16911, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16917;

													BgL_fz00_16917 = BgL_runz00_14538;
												BgL_recz00_16916:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16918;

														BgL_rz00_16918 =
															PROCEDURE_ENTRY(BgL_fz00_16917) (BgL_fz00_16917,
															BgL_nsz00_16911, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28043;

															if (PROCEDUREP(BgL_rz00_16918))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16919;

																	BgL_arg1693z00_16919 =
																		PROCEDURE_ATTR(BgL_rz00_16918);
																	if (STRUCTP(BgL_arg1693z00_16919))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28043 =
																				(STRUCT_KEY(BgL_arg1693z00_16919) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28043 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28043 = ((bool_t) 0);
																}
															if (BgL_testz00_28043)
																{
																	obj_t BgL_fz00_28051;

																	BgL_fz00_28051 = BgL_rz00_16918;
																	BgL_fz00_16917 = BgL_fz00_28051;
																	goto BgL_recz00_16916;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16911, ((long) 0),
																		BgL_savedzd2bpzd2_16915);
																	BgL_____rz00_16914 = BgL_rz00_16918;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16913);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16912, BgL_sz00_16903);
											return BgL_____rz00_16914;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5675 */
	obj_t BGl_z62run5675z62zz__evaluate_compz00(obj_t BgL_envz00_14544,
		obj_t BgL_sz00_14550)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14545;
				long BgL_siza7eza7_14546;
				obj_t BgL_valza2za2_14547;
				BgL_ev_absz00_bglt BgL_i1245z00_14548;
				obj_t BgL_bodyz00_14549;

				BgL_iboxesz00_14545 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14544, (int) (((long) 0))));
				BgL_siza7eza7_14546 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14544, (int) (((long) 1))));
				BgL_valza2za2_14547 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14544, (int) (((long) 2))));
				BgL_i1245z00_14548 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14544, (int) (((long) 3))));
				BgL_bodyz00_14549 = PROCEDURE_REF(BgL_envz00_14544, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16920;

					BgL_bpz00_16920 = VECTOR_REF(((obj_t) BgL_sz00_14550), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14550,
						BgL_iboxesz00_14545, BgL_bpz00_16920);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14550,
						BgL_valza2za2_14547,
						((long) CINT(BgL_bpz00_16920) + BgL_siza7eza7_14546));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16921;
						obj_t BgL_wherez00_16922;
						obj_t BgL_locz00_16923;

						BgL_z12denvz12_16921 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16922 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14548))->
							BgL_wherez00);
						BgL_locz00_16923 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14548))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16921, BgL_wherez00_16922,
								BgL_locz00_16923);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16924;

								BgL_za2za2resza2za2z00_16924 =
									PROCEDURE_ENTRY(BgL_bodyz00_14549) (BgL_bodyz00_14549,
									BgL_sz00_14550, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16921);
								return BgL_za2za2resza2za2z00_16924;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3704> */
	obj_t BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14551, obj_t BgL_sz00_14555)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14552;
				obj_t BgL_bodyz00_14553;
				long BgL_siza7ezd2framez75_14554;

				BgL_i1245z00_14552 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14551, (int) (((long) 0))));
				BgL_bodyz00_14553 = PROCEDURE_REF(BgL_envz00_14551, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14554 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14551, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16925;

					BgL_bpz00_16925 = VECTOR_REF(((obj_t) BgL_sz00_14555), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16926;

							BgL_runz00_16926 =
								MAKE_FX_PROCEDURE(BGl_z62run5677z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16926,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14552));
							PROCEDURE_SET(BgL_runz00_16926,
								(int) (((long) 1)), BgL_bodyz00_14553);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16927;

								BgL_mainz00_16927 =
									MAKE_FX_PROCEDURE(BGl_z62main5676z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16927,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14552));
								PROCEDURE_SET(BgL_mainz00_16927,
									(int) (((long) 1)), BgL_bodyz00_14553);
								PROCEDURE_SET(BgL_mainz00_16927,
									(int) (((long) 2)), BgL_runz00_16926);
								PROCEDURE_SET(BgL_mainz00_16927,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14554));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16928;

									BgL_objz00_16928 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16926, BgL_objz00_16928);
									BgL_objz00_16928;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3705z00_16929;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3706z00_16930;

										BgL_arg3706z00_16930 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14552))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16931;

											BgL_newz00_16931 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28119;

												BgL_tmpz00_28119 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16931, BgL_tmpz00_28119,
													BgL_arg3706z00_16930);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28124;
												int BgL_tmpz00_28122;

												BgL_auxz00_28124 = BINT(BgL_siza7ezd2framez75_14554);
												BgL_tmpz00_28122 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16931, BgL_tmpz00_28122,
													BgL_auxz00_28124);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28127;

												BgL_tmpz00_28127 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16931, BgL_tmpz00_28127,
													BgL_runz00_16926);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28132;
												int BgL_tmpz00_28130;

												BgL_auxz00_28132 = BINT(((long) 3));
												BgL_tmpz00_28130 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16931, BgL_tmpz00_28130,
													BgL_auxz00_28132);
											}
											BgL_arg3705z00_16929 = BgL_newz00_16931;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16927, BgL_arg3705z00_16929);
									BgL_arg3705z00_16929;
								}
								return BgL_mainz00_16927;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5676 */
	obj_t BGl_z62main5676z62zz__evaluate_compz00(obj_t BgL_envz00_14556,
		obj_t BgL_bz00_14561, obj_t BgL_cz00_14562, obj_t BgL_dz00_14563)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14559;
				long BgL_siza7ezd2framez75_14560;

				BgL_runz00_14559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16932;

					BgL_sz00_16932 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16933;

						BgL_bpz00_16933 = VECTOR_REF(((obj_t) BgL_sz00_16932), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16933) + BgL_siza7ezd2framez75_14560) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16932))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3709z00_16934;

									BgL_arg3709z00_16934 =
										((long) CINT(BgL_bpz00_16933) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16932), BgL_arg3709z00_16934,
										BgL_bz00_14561);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3710z00_16935;

									BgL_arg3710z00_16935 =
										((long) CINT(BgL_bpz00_16933) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16932), BgL_arg3710z00_16935,
										BgL_cz00_14562);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3711z00_16936;

									BgL_arg3711z00_16936 =
										((long) CINT(BgL_bpz00_16933) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16932), BgL_arg3711z00_16936,
										BgL_dz00_14563);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16937;

									BgL_ez00_16937 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16937,
										BgL_bpz00_16933);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16938;

										BgL_accz00_16938 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14559, BgL_sz00_16932, BgL_bpz00_16933);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16937);
										VECTOR_SET(
											((obj_t) BgL_sz00_16932), ((long) 0), BgL_bpz00_16933);
										return BgL_accz00_16938;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16939;

								BgL_nsz00_16939 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16939, ((long) 1), BgL_sz00_16932);
								VECTOR_SET(BgL_nsz00_16939, ((long) 2), BgL_bz00_14561);
								VECTOR_SET(BgL_nsz00_16939, ((long) 3), BgL_cz00_14562);
								VECTOR_SET(BgL_nsz00_16939, ((long) 4), BgL_dz00_14563);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16940;

									BgL_z12denvz12_16940 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16940, BgL_nsz00_16939);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16941;

										BgL_ez00_16941 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16941,
											BgL_sz00_16932);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16942;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16943;

												BgL_savedzd2bpzd2_16943 =
													VECTOR_REF(BgL_nsz00_16939, ((long) 0));
												VECTOR_SET(BgL_nsz00_16939, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16945;

													BgL_fz00_16945 = BgL_runz00_14559;
												BgL_recz00_16944:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16946;

														BgL_rz00_16946 =
															PROCEDURE_ENTRY(BgL_fz00_16945) (BgL_fz00_16945,
															BgL_nsz00_16939, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28185;

															if (PROCEDUREP(BgL_rz00_16946))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16947;

																	BgL_arg1693z00_16947 =
																		PROCEDURE_ATTR(BgL_rz00_16946);
																	if (STRUCTP(BgL_arg1693z00_16947))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28185 =
																				(STRUCT_KEY(BgL_arg1693z00_16947) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28185 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28185 = ((bool_t) 0);
																}
															if (BgL_testz00_28185)
																{
																	obj_t BgL_fz00_28193;

																	BgL_fz00_28193 = BgL_rz00_16946;
																	BgL_fz00_16945 = BgL_fz00_28193;
																	goto BgL_recz00_16944;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16939, ((long) 0),
																		BgL_savedzd2bpzd2_16943);
																	BgL_____rz00_16942 = BgL_rz00_16946;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16941);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16940, BgL_sz00_16932);
											return BgL_____rz00_16942;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5677 */
	obj_t BGl_z62run5677z62zz__evaluate_compz00(obj_t BgL_envz00_14564,
		obj_t BgL_sz00_14567)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14565;
				obj_t BgL_bodyz00_14566;

				BgL_i1245z00_14565 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14564, (int) (((long) 0))));
				BgL_bodyz00_14566 = PROCEDURE_REF(BgL_envz00_14564, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16948;

					BgL_bpz00_16948 = VECTOR_REF(((obj_t) BgL_sz00_14567), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16949;
						obj_t BgL_wherez00_16950;
						obj_t BgL_locz00_16951;

						BgL_z12denvz12_16949 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16950 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14565))->
							BgL_wherez00);
						BgL_locz00_16951 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14565))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16949, BgL_wherez00_16950,
								BgL_locz00_16951);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16952;

								BgL_za2za2resza2za2z00_16952 =
									PROCEDURE_ENTRY(BgL_bodyz00_14566) (BgL_bodyz00_14566,
									BgL_sz00_14567, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16949);
								return BgL_za2za2resza2za2z00_16952;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3713> */
	obj_t BGl_z62zc3anonymousza33713ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14568, obj_t BgL_sz00_14573)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14569;
				BgL_ev_absz00_bglt BgL_i1245z00_14570;
				obj_t BgL_bodyz00_14571;
				long BgL_siza7ezd2framez75_14572;

				BgL_iboxesz00_14569 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14568, (int) (((long) 0))));
				BgL_i1245z00_14570 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14568, (int) (((long) 1))));
				BgL_bodyz00_14571 = PROCEDURE_REF(BgL_envz00_14568, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14572 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14568, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16953;

					BgL_bpz00_16953 = VECTOR_REF(((obj_t) BgL_sz00_14573), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16954;

							BgL_runz00_16954 =
								MAKE_FX_PROCEDURE(BGl_z62run5679z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 0)), BgL_iboxesz00_14569);
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14570));
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 2)), BgL_bodyz00_14571);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16955;

								BgL_mainz00_16955 =
									MAKE_FX_PROCEDURE(BGl_z62main5678z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 0)), BgL_iboxesz00_14569);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14570));
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 2)), BgL_bodyz00_14571);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 3)), BgL_runz00_16954);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14572));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16956;

									BgL_objz00_16956 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16954, BgL_objz00_16956);
									BgL_objz00_16956;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3714z00_16957;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3715z00_16958;

										BgL_arg3715z00_16958 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14570))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16959;

											BgL_newz00_16959 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28255;

												BgL_tmpz00_28255 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_28255,
													BgL_arg3715z00_16958);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28260;
												int BgL_tmpz00_28258;

												BgL_auxz00_28260 = BINT(BgL_siza7ezd2framez75_14572);
												BgL_tmpz00_28258 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_28258,
													BgL_auxz00_28260);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28263;

												BgL_tmpz00_28263 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_28263,
													BgL_runz00_16954);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28268;
												int BgL_tmpz00_28266;

												BgL_auxz00_28268 = BINT(((long) 3));
												BgL_tmpz00_28266 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_28266,
													BgL_auxz00_28268);
											}
											BgL_arg3714z00_16957 = BgL_newz00_16959;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16955, BgL_arg3714z00_16957);
									BgL_arg3714z00_16957;
								}
								return BgL_mainz00_16955;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5678 */
	obj_t BGl_z62main5678z62zz__evaluate_compz00(obj_t BgL_envz00_14574,
		obj_t BgL_bz00_14580, obj_t BgL_cz00_14581, obj_t BgL_dz00_14582)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14578;
				long BgL_siza7ezd2framez75_14579;

				BgL_runz00_14578 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14579 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16960;

					BgL_sz00_16960 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16961;

						BgL_bpz00_16961 = VECTOR_REF(((obj_t) BgL_sz00_16960), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16961) + BgL_siza7ezd2framez75_14579) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16960))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3718z00_16962;

									BgL_arg3718z00_16962 =
										((long) CINT(BgL_bpz00_16961) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg3718z00_16962,
										BgL_bz00_14580);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3719z00_16963;

									BgL_arg3719z00_16963 =
										((long) CINT(BgL_bpz00_16961) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg3719z00_16963,
										BgL_cz00_14581);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3720z00_16964;

									BgL_arg3720z00_16964 =
										((long) CINT(BgL_bpz00_16961) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg3720z00_16964,
										BgL_dz00_14582);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16965;

									BgL_ez00_16965 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16965,
										BgL_bpz00_16961);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16966;

										BgL_accz00_16966 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14578, BgL_sz00_16960, BgL_bpz00_16961);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16965);
										VECTOR_SET(
											((obj_t) BgL_sz00_16960), ((long) 0), BgL_bpz00_16961);
										return BgL_accz00_16966;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16967;

								BgL_nsz00_16967 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16967, ((long) 1), BgL_sz00_16960);
								VECTOR_SET(BgL_nsz00_16967, ((long) 2), BgL_bz00_14580);
								VECTOR_SET(BgL_nsz00_16967, ((long) 3), BgL_cz00_14581);
								VECTOR_SET(BgL_nsz00_16967, ((long) 4), BgL_dz00_14582);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16968;

									BgL_z12denvz12_16968 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16968, BgL_nsz00_16967);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16969;

										BgL_ez00_16969 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16969,
											BgL_sz00_16960);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16970;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16971;

												BgL_savedzd2bpzd2_16971 =
													VECTOR_REF(BgL_nsz00_16967, ((long) 0));
												VECTOR_SET(BgL_nsz00_16967, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16973;

													BgL_fz00_16973 = BgL_runz00_14578;
												BgL_recz00_16972:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16974;

														BgL_rz00_16974 =
															PROCEDURE_ENTRY(BgL_fz00_16973) (BgL_fz00_16973,
															BgL_nsz00_16967, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28321;

															if (PROCEDUREP(BgL_rz00_16974))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16975;

																	BgL_arg1693z00_16975 =
																		PROCEDURE_ATTR(BgL_rz00_16974);
																	if (STRUCTP(BgL_arg1693z00_16975))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28321 =
																				(STRUCT_KEY(BgL_arg1693z00_16975) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28321 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28321 = ((bool_t) 0);
																}
															if (BgL_testz00_28321)
																{
																	obj_t BgL_fz00_28329;

																	BgL_fz00_28329 = BgL_rz00_16974;
																	BgL_fz00_16973 = BgL_fz00_28329;
																	goto BgL_recz00_16972;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16967, ((long) 0),
																		BgL_savedzd2bpzd2_16971);
																	BgL_____rz00_16970 = BgL_rz00_16974;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16969);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16968, BgL_sz00_16960);
											return BgL_____rz00_16970;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5679 */
	obj_t BGl_z62run5679z62zz__evaluate_compz00(obj_t BgL_envz00_14583,
		obj_t BgL_sz00_14587)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14584;
				BgL_ev_absz00_bglt BgL_i1245z00_14585;
				obj_t BgL_bodyz00_14586;

				BgL_iboxesz00_14584 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14583, (int) (((long) 0))));
				BgL_i1245z00_14585 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14583, (int) (((long) 1))));
				BgL_bodyz00_14586 = PROCEDURE_REF(BgL_envz00_14583, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16976;

					BgL_bpz00_16976 = VECTOR_REF(((obj_t) BgL_sz00_14587), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14587,
						BgL_iboxesz00_14584, BgL_bpz00_16976);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16977;
						obj_t BgL_wherez00_16978;
						obj_t BgL_locz00_16979;

						BgL_z12denvz12_16977 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16978 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14585))->
							BgL_wherez00);
						BgL_locz00_16979 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14585))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16977, BgL_wherez00_16978,
								BgL_locz00_16979);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16980;

								BgL_za2za2resza2za2z00_16980 =
									PROCEDURE_ENTRY(BgL_bodyz00_14586) (BgL_bodyz00_14586,
									BgL_sz00_14587, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16977);
								return BgL_za2za2resza2za2z00_16980;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3725> */
	obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14588, obj_t BgL_sz00_14594)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14589;
				long BgL_siza7eza7_14590;
				BgL_ev_absz00_bglt BgL_i1245z00_14591;
				obj_t BgL_bodyz00_14592;
				long BgL_siza7ezd2framez75_14593;

				BgL_ifreesz00_14589 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 0))));
				BgL_siza7eza7_14590 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 1))));
				BgL_i1245z00_14591 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 2))));
				BgL_bodyz00_14592 = PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14593 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16981;

					BgL_bpz00_16981 = VECTOR_REF(((obj_t) BgL_sz00_14594), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16982;

						BgL_valza2za2_16982 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14594,
							BgL_bpz00_16981, BgL_ifreesz00_14589);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16983;

							BgL_runz00_16983 =
								MAKE_FX_PROCEDURE(BGl_z62run5681z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16983,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14590));
							PROCEDURE_SET(BgL_runz00_16983,
								(int) (((long) 1)), BgL_valza2za2_16982);
							PROCEDURE_SET(BgL_runz00_16983,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14591));
							PROCEDURE_SET(BgL_runz00_16983,
								(int) (((long) 3)), BgL_bodyz00_14592);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16984;

								BgL_mainz00_16984 =
									MAKE_FX_PROCEDURE(BGl_z62main5680z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14590));
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 1)), BgL_valza2za2_16982);
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14591));
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 3)), BgL_bodyz00_14592);
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 4)), BgL_runz00_16983);
								PROCEDURE_SET(BgL_mainz00_16984,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14593));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16985;

									BgL_objz00_16985 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16983, BgL_objz00_16985);
									BgL_objz00_16985;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3726z00_16986;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3727z00_16987;

										BgL_arg3727z00_16987 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14591))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16988;

											BgL_newz00_16988 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28405;

												BgL_tmpz00_28405 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16988, BgL_tmpz00_28405,
													BgL_arg3727z00_16987);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28410;
												int BgL_tmpz00_28408;

												BgL_auxz00_28410 = BINT(BgL_siza7ezd2framez75_14593);
												BgL_tmpz00_28408 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16988, BgL_tmpz00_28408,
													BgL_auxz00_28410);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28413;

												BgL_tmpz00_28413 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16988, BgL_tmpz00_28413,
													BgL_runz00_16983);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28418;
												int BgL_tmpz00_28416;

												BgL_auxz00_28418 = BINT(((long) 3));
												BgL_tmpz00_28416 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16988, BgL_tmpz00_28416,
													BgL_auxz00_28418);
											}
											BgL_arg3726z00_16986 = BgL_newz00_16988;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16984, BgL_arg3726z00_16986);
									BgL_arg3726z00_16986;
								}
								return BgL_mainz00_16984;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5680 */
	obj_t BGl_z62main5680z62zz__evaluate_compz00(obj_t BgL_envz00_14595,
		obj_t BgL_bz00_14602, obj_t BgL_cz00_14603, obj_t BgL_dz00_14604)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14600;
				long BgL_siza7ezd2framez75_14601;

				BgL_runz00_14600 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14595, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14601 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14595, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16989;

					BgL_sz00_16989 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16990;

						BgL_bpz00_16990 = VECTOR_REF(((obj_t) BgL_sz00_16989), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16990) + BgL_siza7ezd2framez75_14601) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16989))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3730z00_16991;

									BgL_arg3730z00_16991 =
										((long) CINT(BgL_bpz00_16990) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16989), BgL_arg3730z00_16991,
										BgL_bz00_14602);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3731z00_16992;

									BgL_arg3731z00_16992 =
										((long) CINT(BgL_bpz00_16990) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16989), BgL_arg3731z00_16992,
										BgL_cz00_14603);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3732z00_16993;

									BgL_arg3732z00_16993 =
										((long) CINT(BgL_bpz00_16990) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16989), BgL_arg3732z00_16993,
										BgL_dz00_14604);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16994;

									BgL_ez00_16994 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16994,
										BgL_bpz00_16990);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16995;

										BgL_accz00_16995 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14600, BgL_sz00_16989, BgL_bpz00_16990);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16994);
										VECTOR_SET(
											((obj_t) BgL_sz00_16989), ((long) 0), BgL_bpz00_16990);
										return BgL_accz00_16995;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16996;

								BgL_nsz00_16996 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16996, ((long) 1), BgL_sz00_16989);
								VECTOR_SET(BgL_nsz00_16996, ((long) 2), BgL_bz00_14602);
								VECTOR_SET(BgL_nsz00_16996, ((long) 3), BgL_cz00_14603);
								VECTOR_SET(BgL_nsz00_16996, ((long) 4), BgL_dz00_14604);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16997;

									BgL_z12denvz12_16997 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16997, BgL_nsz00_16996);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16998;

										BgL_ez00_16998 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16998,
											BgL_sz00_16989);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16999;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17000;

												BgL_savedzd2bpzd2_17000 =
													VECTOR_REF(BgL_nsz00_16996, ((long) 0));
												VECTOR_SET(BgL_nsz00_16996, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17002;

													BgL_fz00_17002 = BgL_runz00_14600;
												BgL_recz00_17001:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17003;

														BgL_rz00_17003 =
															PROCEDURE_ENTRY(BgL_fz00_17002) (BgL_fz00_17002,
															BgL_nsz00_16996, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28471;

															if (PROCEDUREP(BgL_rz00_17003))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17004;

																	BgL_arg1693z00_17004 =
																		PROCEDURE_ATTR(BgL_rz00_17003);
																	if (STRUCTP(BgL_arg1693z00_17004))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28471 =
																				(STRUCT_KEY(BgL_arg1693z00_17004) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28471 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28471 = ((bool_t) 0);
																}
															if (BgL_testz00_28471)
																{
																	obj_t BgL_fz00_28479;

																	BgL_fz00_28479 = BgL_rz00_17003;
																	BgL_fz00_17002 = BgL_fz00_28479;
																	goto BgL_recz00_17001;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16996, ((long) 0),
																		BgL_savedzd2bpzd2_17000);
																	BgL_____rz00_16999 = BgL_rz00_17003;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16998);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16997, BgL_sz00_16989);
											return BgL_____rz00_16999;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5681 */
	obj_t BGl_z62run5681z62zz__evaluate_compz00(obj_t BgL_envz00_14605,
		obj_t BgL_sz00_14610)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14606;
				obj_t BgL_valza2za2_14607;
				BgL_ev_absz00_bglt BgL_i1245z00_14608;
				obj_t BgL_bodyz00_14609;

				BgL_siza7eza7_14606 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14605, (int) (((long) 0))));
				BgL_valza2za2_14607 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14605, (int) (((long) 1))));
				BgL_i1245z00_14608 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14605, (int) (((long) 2))));
				BgL_bodyz00_14609 = PROCEDURE_REF(BgL_envz00_14605, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17005;

					BgL_bpz00_17005 = VECTOR_REF(((obj_t) BgL_sz00_14610), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14610,
						BgL_valza2za2_14607,
						((long) CINT(BgL_bpz00_17005) + BgL_siza7eza7_14606));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17006;
						obj_t BgL_wherez00_17007;
						obj_t BgL_locz00_17008;

						BgL_z12denvz12_17006 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17007 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14608))->
							BgL_wherez00);
						BgL_locz00_17008 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14608))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17006, BgL_wherez00_17007,
								BgL_locz00_17008);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17009;

								BgL_za2za2resza2za2z00_17009 =
									PROCEDURE_ENTRY(BgL_bodyz00_14609) (BgL_bodyz00_14609,
									BgL_sz00_14610, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17006);
								return BgL_za2za2resza2za2z00_17009;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3735> */
	obj_t BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14611, obj_t BgL_sz00_14618)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14612;
				obj_t BgL_iboxesz00_14613;
				long BgL_siza7eza7_14614;
				BgL_ev_absz00_bglt BgL_i1245z00_14615;
				obj_t BgL_bodyz00_14616;
				long BgL_siza7ezd2framez75_14617;

				BgL_ifreesz00_14612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 0))));
				BgL_iboxesz00_14613 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 1))));
				BgL_siza7eza7_14614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 2))));
				BgL_i1245z00_14615 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 3))));
				BgL_bodyz00_14616 = PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14617 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14611, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17010;

					BgL_bpz00_17010 = VECTOR_REF(((obj_t) BgL_sz00_14618), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17011;

						BgL_valza2za2_17011 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14618,
							BgL_bpz00_17010, BgL_ifreesz00_14612);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17012;

							BgL_runz00_17012 =
								MAKE_FX_PROCEDURE(BGl_z62run5683z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 0)), BgL_iboxesz00_14613);
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14614));
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 2)), BgL_valza2za2_17011);
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14615));
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 4)), BgL_bodyz00_14616);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17013;

								BgL_mainz00_17013 =
									MAKE_FX_PROCEDURE(BGl_z62main5682z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 0)), BgL_iboxesz00_14613);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14614));
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 2)), BgL_valza2za2_17011);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14615));
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 4)), BgL_bodyz00_14616);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 5)), BgL_runz00_17012);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14617));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17014;

									BgL_objz00_17014 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17012, BgL_objz00_17014);
									BgL_objz00_17014;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3736z00_17015;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3737z00_17016;

										BgL_arg3737z00_17016 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14615))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17017;

											BgL_newz00_17017 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28567;

												BgL_tmpz00_28567 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28567,
													BgL_arg3737z00_17016);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28572;
												int BgL_tmpz00_28570;

												BgL_auxz00_28572 = BINT(BgL_siza7ezd2framez75_14617);
												BgL_tmpz00_28570 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28570,
													BgL_auxz00_28572);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28575;

												BgL_tmpz00_28575 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28575,
													BgL_runz00_17012);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28580;
												int BgL_tmpz00_28578;

												BgL_auxz00_28580 = BINT(((long) 3));
												BgL_tmpz00_28578 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28578,
													BgL_auxz00_28580);
											}
											BgL_arg3736z00_17015 = BgL_newz00_17017;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17013, BgL_arg3736z00_17015);
									BgL_arg3736z00_17015;
								}
								return BgL_mainz00_17013;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5682 */
	obj_t BGl_z62main5682z62zz__evaluate_compz00(obj_t BgL_envz00_14619,
		obj_t BgL_bz00_14627, obj_t BgL_cz00_14628, obj_t BgL_dz00_14629)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14625;
				long BgL_siza7ezd2framez75_14626;

				BgL_runz00_14625 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14619, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14619, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17018;

					BgL_sz00_17018 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17019;

						BgL_bpz00_17019 = VECTOR_REF(((obj_t) BgL_sz00_17018), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17019) + BgL_siza7ezd2framez75_14626) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17018))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3741z00_17020;

									BgL_arg3741z00_17020 =
										((long) CINT(BgL_bpz00_17019) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3741z00_17020,
										BgL_bz00_14627);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3742z00_17021;

									BgL_arg3742z00_17021 =
										((long) CINT(BgL_bpz00_17019) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3742z00_17021,
										BgL_cz00_14628);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3743z00_17022;

									BgL_arg3743z00_17022 =
										((long) CINT(BgL_bpz00_17019) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3743z00_17022,
										BgL_dz00_14629);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17023;

									BgL_ez00_17023 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17023,
										BgL_bpz00_17019);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17024;

										BgL_accz00_17024 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14625, BgL_sz00_17018, BgL_bpz00_17019);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17023);
										VECTOR_SET(
											((obj_t) BgL_sz00_17018), ((long) 0), BgL_bpz00_17019);
										return BgL_accz00_17024;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17025;

								BgL_nsz00_17025 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17025, ((long) 1), BgL_sz00_17018);
								VECTOR_SET(BgL_nsz00_17025, ((long) 2), BgL_bz00_14627);
								VECTOR_SET(BgL_nsz00_17025, ((long) 3), BgL_cz00_14628);
								VECTOR_SET(BgL_nsz00_17025, ((long) 4), BgL_dz00_14629);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17026;

									BgL_z12denvz12_17026 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17026, BgL_nsz00_17025);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17027;

										BgL_ez00_17027 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17027,
											BgL_sz00_17018);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17028;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17029;

												BgL_savedzd2bpzd2_17029 =
													VECTOR_REF(BgL_nsz00_17025, ((long) 0));
												VECTOR_SET(BgL_nsz00_17025, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17031;

													BgL_fz00_17031 = BgL_runz00_14625;
												BgL_recz00_17030:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17032;

														BgL_rz00_17032 =
															PROCEDURE_ENTRY(BgL_fz00_17031) (BgL_fz00_17031,
															BgL_nsz00_17025, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28633;

															if (PROCEDUREP(BgL_rz00_17032))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17033;

																	BgL_arg1693z00_17033 =
																		PROCEDURE_ATTR(BgL_rz00_17032);
																	if (STRUCTP(BgL_arg1693z00_17033))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28633 =
																				(STRUCT_KEY(BgL_arg1693z00_17033) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28633 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28633 = ((bool_t) 0);
																}
															if (BgL_testz00_28633)
																{
																	obj_t BgL_fz00_28641;

																	BgL_fz00_28641 = BgL_rz00_17032;
																	BgL_fz00_17031 = BgL_fz00_28641;
																	goto BgL_recz00_17030;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17025, ((long) 0),
																		BgL_savedzd2bpzd2_17029);
																	BgL_____rz00_17028 = BgL_rz00_17032;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17027);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17026, BgL_sz00_17018);
											return BgL_____rz00_17028;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5683 */
	obj_t BGl_z62run5683z62zz__evaluate_compz00(obj_t BgL_envz00_14630,
		obj_t BgL_sz00_14636)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14631;
				long BgL_siza7eza7_14632;
				obj_t BgL_valza2za2_14633;
				BgL_ev_absz00_bglt BgL_i1245z00_14634;
				obj_t BgL_bodyz00_14635;

				BgL_iboxesz00_14631 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 0))));
				BgL_siza7eza7_14632 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 1))));
				BgL_valza2za2_14633 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 2))));
				BgL_i1245z00_14634 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 3))));
				BgL_bodyz00_14635 = PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17034;

					BgL_bpz00_17034 = VECTOR_REF(((obj_t) BgL_sz00_14636), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14636,
						BgL_iboxesz00_14631, BgL_bpz00_17034);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14636,
						BgL_valza2za2_14633,
						((long) CINT(BgL_bpz00_17034) + BgL_siza7eza7_14632));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17035;
						obj_t BgL_wherez00_17036;
						obj_t BgL_locz00_17037;

						BgL_z12denvz12_17035 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17036 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14634))->
							BgL_wherez00);
						BgL_locz00_17037 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14634))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17035, BgL_wherez00_17036,
								BgL_locz00_17037);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17038;

								BgL_za2za2resza2za2z00_17038 =
									PROCEDURE_ENTRY(BgL_bodyz00_14635) (BgL_bodyz00_14635,
									BgL_sz00_14636, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17035);
								return BgL_za2za2resza2za2z00_17038;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3653> */
	obj_t BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14637, obj_t BgL_sz00_14641)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14638;
				obj_t BgL_bodyz00_14639;
				long BgL_siza7ezd2framez75_14640;

				BgL_i1245z00_14638 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14637, (int) (((long) 0))));
				BgL_bodyz00_14639 = PROCEDURE_REF(BgL_envz00_14637, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14640 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14637, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17039;

					BgL_bpz00_17039 = VECTOR_REF(((obj_t) BgL_sz00_14641), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17040;

							BgL_runz00_17040 =
								MAKE_FX_PROCEDURE(BGl_z62run5685z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17040,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14638));
							PROCEDURE_SET(BgL_runz00_17040,
								(int) (((long) 1)), BgL_bodyz00_14639);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17041;

								BgL_mainz00_17041 =
									MAKE_VA_PROCEDURE(BGl_z62main5684z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17041,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14638));
								PROCEDURE_SET(BgL_mainz00_17041,
									(int) (((long) 1)), BgL_bodyz00_14639);
								PROCEDURE_SET(BgL_mainz00_17041,
									(int) (((long) 2)), BgL_runz00_17040);
								PROCEDURE_SET(BgL_mainz00_17041,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14640));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17042;

									BgL_objz00_17042 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17040, BgL_objz00_17042);
									BgL_objz00_17042;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3654z00_17043;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3655z00_17044;

										BgL_arg3655z00_17044 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14638))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17045;

											BgL_newz00_17045 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28709;

												BgL_tmpz00_28709 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17045, BgL_tmpz00_28709,
													BgL_arg3655z00_17044);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28714;
												int BgL_tmpz00_28712;

												BgL_auxz00_28714 = BINT(BgL_siza7ezd2framez75_14640);
												BgL_tmpz00_28712 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17045, BgL_tmpz00_28712,
													BgL_auxz00_28714);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28717;

												BgL_tmpz00_28717 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17045, BgL_tmpz00_28717,
													BgL_runz00_17040);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28722;
												int BgL_tmpz00_28720;

												BgL_auxz00_28722 = BINT(((long) -3));
												BgL_tmpz00_28720 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17045, BgL_tmpz00_28720,
													BgL_auxz00_28722);
											}
											BgL_arg3654z00_17043 = BgL_newz00_17045;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17041, BgL_arg3654z00_17043);
									BgL_arg3654z00_17043;
								}
								return BgL_mainz00_17041;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5684 */
	obj_t BGl_z62main5684z62zz__evaluate_compz00(obj_t BgL_envz00_14642,
		obj_t BgL_cz00_14647, obj_t BgL_dz00_14648, obj_t BgL_lastz00_14649)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14645;
				long BgL_siza7ezd2framez75_14646;

				BgL_runz00_14645 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14646 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17046;

					BgL_sz00_17046 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17047;

						BgL_bpz00_17047 = VECTOR_REF(((obj_t) BgL_sz00_17046), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17047) + BgL_siza7ezd2framez75_14646) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17046))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3658z00_17048;

									BgL_arg3658z00_17048 =
										((long) CINT(BgL_bpz00_17047) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17046), BgL_arg3658z00_17048,
										BgL_cz00_14647);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3659z00_17049;

									BgL_arg3659z00_17049 =
										((long) CINT(BgL_bpz00_17047) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17046), BgL_arg3659z00_17049,
										BgL_dz00_14648);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3661z00_17050;

									BgL_arg3661z00_17050 =
										((long) CINT(BgL_bpz00_17047) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17046), BgL_arg3661z00_17050,
										BgL_lastz00_14649);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17051;

									BgL_ez00_17051 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17051,
										BgL_bpz00_17047);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17052;

										BgL_accz00_17052 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14645, BgL_sz00_17046, BgL_bpz00_17047);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17051);
										VECTOR_SET(
											((obj_t) BgL_sz00_17046), ((long) 0), BgL_bpz00_17047);
										return BgL_accz00_17052;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17053;

								BgL_nsz00_17053 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17053, ((long) 1), BgL_sz00_17046);
								VECTOR_SET(BgL_nsz00_17053, ((long) 2), BgL_cz00_14647);
								VECTOR_SET(BgL_nsz00_17053, ((long) 3), BgL_dz00_14648);
								VECTOR_SET(BgL_nsz00_17053, ((long) 4), BgL_lastz00_14649);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17054;

									BgL_z12denvz12_17054 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17054, BgL_nsz00_17053);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17055;

										BgL_ez00_17055 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17055,
											BgL_sz00_17046);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17056;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17057;

												BgL_savedzd2bpzd2_17057 =
													VECTOR_REF(BgL_nsz00_17053, ((long) 0));
												VECTOR_SET(BgL_nsz00_17053, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17059;

													BgL_fz00_17059 = BgL_runz00_14645;
												BgL_recz00_17058:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17060;

														BgL_rz00_17060 =
															PROCEDURE_ENTRY(BgL_fz00_17059) (BgL_fz00_17059,
															BgL_nsz00_17053, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28775;

															if (PROCEDUREP(BgL_rz00_17060))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17061;

																	BgL_arg1693z00_17061 =
																		PROCEDURE_ATTR(BgL_rz00_17060);
																	if (STRUCTP(BgL_arg1693z00_17061))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28775 =
																				(STRUCT_KEY(BgL_arg1693z00_17061) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28775 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28775 = ((bool_t) 0);
																}
															if (BgL_testz00_28775)
																{
																	obj_t BgL_fz00_28783;

																	BgL_fz00_28783 = BgL_rz00_17060;
																	BgL_fz00_17059 = BgL_fz00_28783;
																	goto BgL_recz00_17058;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17053, ((long) 0),
																		BgL_savedzd2bpzd2_17057);
																	BgL_____rz00_17056 = BgL_rz00_17060;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17055);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17054, BgL_sz00_17046);
											return BgL_____rz00_17056;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5685 */
	obj_t BGl_z62run5685z62zz__evaluate_compz00(obj_t BgL_envz00_14650,
		obj_t BgL_sz00_14653)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14651;
				obj_t BgL_bodyz00_14652;

				BgL_i1245z00_14651 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14650, (int) (((long) 0))));
				BgL_bodyz00_14652 = PROCEDURE_REF(BgL_envz00_14650, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17062;

					BgL_bpz00_17062 = VECTOR_REF(((obj_t) BgL_sz00_14653), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17063;
						obj_t BgL_wherez00_17064;
						obj_t BgL_locz00_17065;

						BgL_z12denvz12_17063 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17064 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14651))->
							BgL_wherez00);
						BgL_locz00_17065 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14651))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17063, BgL_wherez00_17064,
								BgL_locz00_17065);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17066;

								BgL_za2za2resza2za2z00_17066 =
									PROCEDURE_ENTRY(BgL_bodyz00_14652) (BgL_bodyz00_14652,
									BgL_sz00_14653, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17063);
								return BgL_za2za2resza2za2z00_17066;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3663> */
	obj_t BGl_z62zc3anonymousza33663ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14654, obj_t BgL_sz00_14659)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14655;
				BgL_ev_absz00_bglt BgL_i1245z00_14656;
				obj_t BgL_bodyz00_14657;
				long BgL_siza7ezd2framez75_14658;

				BgL_iboxesz00_14655 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14654, (int) (((long) 0))));
				BgL_i1245z00_14656 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14654, (int) (((long) 1))));
				BgL_bodyz00_14657 = PROCEDURE_REF(BgL_envz00_14654, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14654, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17067;

					BgL_bpz00_17067 = VECTOR_REF(((obj_t) BgL_sz00_14659), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17068;

							BgL_runz00_17068 =
								MAKE_FX_PROCEDURE(BGl_z62run5687z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17068,
								(int) (((long) 0)), BgL_iboxesz00_14655);
							PROCEDURE_SET(BgL_runz00_17068,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14656));
							PROCEDURE_SET(BgL_runz00_17068,
								(int) (((long) 2)), BgL_bodyz00_14657);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17069;

								BgL_mainz00_17069 =
									MAKE_VA_PROCEDURE(BGl_z62main5686z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17069,
									(int) (((long) 0)), BgL_iboxesz00_14655);
								PROCEDURE_SET(BgL_mainz00_17069,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14656));
								PROCEDURE_SET(BgL_mainz00_17069,
									(int) (((long) 2)), BgL_bodyz00_14657);
								PROCEDURE_SET(BgL_mainz00_17069,
									(int) (((long) 3)), BgL_runz00_17068);
								PROCEDURE_SET(BgL_mainz00_17069,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14658));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17070;

									BgL_objz00_17070 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17068, BgL_objz00_17070);
									BgL_objz00_17070;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3664z00_17071;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3665z00_17072;

										BgL_arg3665z00_17072 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14656))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17073;

											BgL_newz00_17073 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28845;

												BgL_tmpz00_28845 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17073, BgL_tmpz00_28845,
													BgL_arg3665z00_17072);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28850;
												int BgL_tmpz00_28848;

												BgL_auxz00_28850 = BINT(BgL_siza7ezd2framez75_14658);
												BgL_tmpz00_28848 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17073, BgL_tmpz00_28848,
													BgL_auxz00_28850);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28853;

												BgL_tmpz00_28853 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17073, BgL_tmpz00_28853,
													BgL_runz00_17068);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28858;
												int BgL_tmpz00_28856;

												BgL_auxz00_28858 = BINT(((long) -3));
												BgL_tmpz00_28856 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17073, BgL_tmpz00_28856,
													BgL_auxz00_28858);
											}
											BgL_arg3664z00_17071 = BgL_newz00_17073;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17069, BgL_arg3664z00_17071);
									BgL_arg3664z00_17071;
								}
								return BgL_mainz00_17069;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5686 */
	obj_t BGl_z62main5686z62zz__evaluate_compz00(obj_t BgL_envz00_14660,
		obj_t BgL_cz00_14666, obj_t BgL_dz00_14667, obj_t BgL_lastz00_14668)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14664;
				long BgL_siza7ezd2framez75_14665;

				BgL_runz00_14664 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14665 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17074;

					BgL_sz00_17074 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17075;

						BgL_bpz00_17075 = VECTOR_REF(((obj_t) BgL_sz00_17074), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17075) + BgL_siza7ezd2framez75_14665) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17074))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3669z00_17076;

									BgL_arg3669z00_17076 =
										((long) CINT(BgL_bpz00_17075) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17074), BgL_arg3669z00_17076,
										BgL_cz00_14666);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3670z00_17077;

									BgL_arg3670z00_17077 =
										((long) CINT(BgL_bpz00_17075) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17074), BgL_arg3670z00_17077,
										BgL_dz00_14667);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3672z00_17078;

									BgL_arg3672z00_17078 =
										((long) CINT(BgL_bpz00_17075) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17074), BgL_arg3672z00_17078,
										BgL_lastz00_14668);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17079;

									BgL_ez00_17079 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17079,
										BgL_bpz00_17075);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17080;

										BgL_accz00_17080 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14664, BgL_sz00_17074, BgL_bpz00_17075);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17079);
										VECTOR_SET(
											((obj_t) BgL_sz00_17074), ((long) 0), BgL_bpz00_17075);
										return BgL_accz00_17080;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17081;

								BgL_nsz00_17081 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17081, ((long) 1), BgL_sz00_17074);
								VECTOR_SET(BgL_nsz00_17081, ((long) 2), BgL_cz00_14666);
								VECTOR_SET(BgL_nsz00_17081, ((long) 3), BgL_dz00_14667);
								VECTOR_SET(BgL_nsz00_17081, ((long) 4), BgL_lastz00_14668);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17082;

									BgL_z12denvz12_17082 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17082, BgL_nsz00_17081);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17083;

										BgL_ez00_17083 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17083,
											BgL_sz00_17074);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17084;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17085;

												BgL_savedzd2bpzd2_17085 =
													VECTOR_REF(BgL_nsz00_17081, ((long) 0));
												VECTOR_SET(BgL_nsz00_17081, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17087;

													BgL_fz00_17087 = BgL_runz00_14664;
												BgL_recz00_17086:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17088;

														BgL_rz00_17088 =
															PROCEDURE_ENTRY(BgL_fz00_17087) (BgL_fz00_17087,
															BgL_nsz00_17081, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28911;

															if (PROCEDUREP(BgL_rz00_17088))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17089;

																	BgL_arg1693z00_17089 =
																		PROCEDURE_ATTR(BgL_rz00_17088);
																	if (STRUCTP(BgL_arg1693z00_17089))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28911 =
																				(STRUCT_KEY(BgL_arg1693z00_17089) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28911 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28911 = ((bool_t) 0);
																}
															if (BgL_testz00_28911)
																{
																	obj_t BgL_fz00_28919;

																	BgL_fz00_28919 = BgL_rz00_17088;
																	BgL_fz00_17087 = BgL_fz00_28919;
																	goto BgL_recz00_17086;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17081, ((long) 0),
																		BgL_savedzd2bpzd2_17085);
																	BgL_____rz00_17084 = BgL_rz00_17088;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17083);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17082, BgL_sz00_17074);
											return BgL_____rz00_17084;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5687 */
	obj_t BGl_z62run5687z62zz__evaluate_compz00(obj_t BgL_envz00_14669,
		obj_t BgL_sz00_14673)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14670;
				BgL_ev_absz00_bglt BgL_i1245z00_14671;
				obj_t BgL_bodyz00_14672;

				BgL_iboxesz00_14670 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 0))));
				BgL_i1245z00_14671 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 1))));
				BgL_bodyz00_14672 = PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17090;

					BgL_bpz00_17090 = VECTOR_REF(((obj_t) BgL_sz00_14673), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14673,
						BgL_iboxesz00_14670, BgL_bpz00_17090);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17091;
						obj_t BgL_wherez00_17092;
						obj_t BgL_locz00_17093;

						BgL_z12denvz12_17091 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17092 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14671))->
							BgL_wherez00);
						BgL_locz00_17093 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14671))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17091, BgL_wherez00_17092,
								BgL_locz00_17093);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17094;

								BgL_za2za2resza2za2z00_17094 =
									PROCEDURE_ENTRY(BgL_bodyz00_14672) (BgL_bodyz00_14672,
									BgL_sz00_14673, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17091);
								return BgL_za2za2resza2za2z00_17094;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3677> */
	obj_t BGl_z62zc3anonymousza33677ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14674, obj_t BgL_sz00_14680)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14675;
				long BgL_siza7eza7_14676;
				BgL_ev_absz00_bglt BgL_i1245z00_14677;
				obj_t BgL_bodyz00_14678;
				long BgL_siza7ezd2framez75_14679;

				BgL_ifreesz00_14675 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14674, (int) (((long) 0))));
				BgL_siza7eza7_14676 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14674, (int) (((long) 1))));
				BgL_i1245z00_14677 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14674, (int) (((long) 2))));
				BgL_bodyz00_14678 = PROCEDURE_REF(BgL_envz00_14674, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14679 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14674, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17095;

					BgL_bpz00_17095 = VECTOR_REF(((obj_t) BgL_sz00_14680), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17096;

						BgL_valza2za2_17096 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14680,
							BgL_bpz00_17095, BgL_ifreesz00_14675);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17097;

							BgL_runz00_17097 =
								MAKE_FX_PROCEDURE(BGl_z62run5689z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17097,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14676));
							PROCEDURE_SET(BgL_runz00_17097,
								(int) (((long) 1)), BgL_valza2za2_17096);
							PROCEDURE_SET(BgL_runz00_17097,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14677));
							PROCEDURE_SET(BgL_runz00_17097,
								(int) (((long) 3)), BgL_bodyz00_14678);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17098;

								BgL_mainz00_17098 =
									MAKE_VA_PROCEDURE(BGl_z62main5688z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14676));
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 1)), BgL_valza2za2_17096);
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14677));
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 3)), BgL_bodyz00_14678);
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 4)), BgL_runz00_17097);
								PROCEDURE_SET(BgL_mainz00_17098,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14679));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17099;

									BgL_objz00_17099 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17097, BgL_objz00_17099);
									BgL_objz00_17099;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3678z00_17100;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3680z00_17101;

										BgL_arg3680z00_17101 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14677))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17102;

											BgL_newz00_17102 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28995;

												BgL_tmpz00_28995 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17102, BgL_tmpz00_28995,
													BgL_arg3680z00_17101);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29000;
												int BgL_tmpz00_28998;

												BgL_auxz00_29000 = BINT(BgL_siza7ezd2framez75_14679);
												BgL_tmpz00_28998 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17102, BgL_tmpz00_28998,
													BgL_auxz00_29000);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29003;

												BgL_tmpz00_29003 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17102, BgL_tmpz00_29003,
													BgL_runz00_17097);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29008;
												int BgL_tmpz00_29006;

												BgL_auxz00_29008 = BINT(((long) -3));
												BgL_tmpz00_29006 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17102, BgL_tmpz00_29006,
													BgL_auxz00_29008);
											}
											BgL_arg3678z00_17100 = BgL_newz00_17102;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17098, BgL_arg3678z00_17100);
									BgL_arg3678z00_17100;
								}
								return BgL_mainz00_17098;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5688 */
	obj_t BGl_z62main5688z62zz__evaluate_compz00(obj_t BgL_envz00_14681,
		obj_t BgL_cz00_14688, obj_t BgL_dz00_14689, obj_t BgL_lastz00_14690)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14686;
				long BgL_siza7ezd2framez75_14687;

				BgL_runz00_14686 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14681, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14681, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17103;

					BgL_sz00_17103 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17104;

						BgL_bpz00_17104 = VECTOR_REF(((obj_t) BgL_sz00_17103), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17104) + BgL_siza7ezd2framez75_14687) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17103))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3683z00_17105;

									BgL_arg3683z00_17105 =
										((long) CINT(BgL_bpz00_17104) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17103), BgL_arg3683z00_17105,
										BgL_cz00_14688);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3684z00_17106;

									BgL_arg3684z00_17106 =
										((long) CINT(BgL_bpz00_17104) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17103), BgL_arg3684z00_17106,
										BgL_dz00_14689);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3685z00_17107;

									BgL_arg3685z00_17107 =
										((long) CINT(BgL_bpz00_17104) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17103), BgL_arg3685z00_17107,
										BgL_lastz00_14690);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17108;

									BgL_ez00_17108 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17108,
										BgL_bpz00_17104);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17109;

										BgL_accz00_17109 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14686, BgL_sz00_17103, BgL_bpz00_17104);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17108);
										VECTOR_SET(
											((obj_t) BgL_sz00_17103), ((long) 0), BgL_bpz00_17104);
										return BgL_accz00_17109;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17110;

								BgL_nsz00_17110 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17110, ((long) 1), BgL_sz00_17103);
								VECTOR_SET(BgL_nsz00_17110, ((long) 2), BgL_cz00_14688);
								VECTOR_SET(BgL_nsz00_17110, ((long) 3), BgL_dz00_14689);
								VECTOR_SET(BgL_nsz00_17110, ((long) 4), BgL_lastz00_14690);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17111;

									BgL_z12denvz12_17111 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17111, BgL_nsz00_17110);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17112;

										BgL_ez00_17112 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17112,
											BgL_sz00_17103);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17113;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17114;

												BgL_savedzd2bpzd2_17114 =
													VECTOR_REF(BgL_nsz00_17110, ((long) 0));
												VECTOR_SET(BgL_nsz00_17110, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17116;

													BgL_fz00_17116 = BgL_runz00_14686;
												BgL_recz00_17115:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17117;

														BgL_rz00_17117 =
															PROCEDURE_ENTRY(BgL_fz00_17116) (BgL_fz00_17116,
															BgL_nsz00_17110, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29061;

															if (PROCEDUREP(BgL_rz00_17117))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17118;

																	BgL_arg1693z00_17118 =
																		PROCEDURE_ATTR(BgL_rz00_17117);
																	if (STRUCTP(BgL_arg1693z00_17118))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29061 =
																				(STRUCT_KEY(BgL_arg1693z00_17118) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29061 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29061 = ((bool_t) 0);
																}
															if (BgL_testz00_29061)
																{
																	obj_t BgL_fz00_29069;

																	BgL_fz00_29069 = BgL_rz00_17117;
																	BgL_fz00_17116 = BgL_fz00_29069;
																	goto BgL_recz00_17115;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17110, ((long) 0),
																		BgL_savedzd2bpzd2_17114);
																	BgL_____rz00_17113 = BgL_rz00_17117;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17112);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17111, BgL_sz00_17103);
											return BgL_____rz00_17113;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5689 */
	obj_t BGl_z62run5689z62zz__evaluate_compz00(obj_t BgL_envz00_14691,
		obj_t BgL_sz00_14696)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14692;
				obj_t BgL_valza2za2_14693;
				BgL_ev_absz00_bglt BgL_i1245z00_14694;
				obj_t BgL_bodyz00_14695;

				BgL_siza7eza7_14692 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 0))));
				BgL_valza2za2_14693 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 1))));
				BgL_i1245z00_14694 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 2))));
				BgL_bodyz00_14695 = PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17119;

					BgL_bpz00_17119 = VECTOR_REF(((obj_t) BgL_sz00_14696), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14696,
						BgL_valza2za2_14693,
						((long) CINT(BgL_bpz00_17119) + BgL_siza7eza7_14692));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17120;
						obj_t BgL_wherez00_17121;
						obj_t BgL_locz00_17122;

						BgL_z12denvz12_17120 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17121 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14694))->
							BgL_wherez00);
						BgL_locz00_17122 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14694))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17120, BgL_wherez00_17121,
								BgL_locz00_17122);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17123;

								BgL_za2za2resza2za2z00_17123 =
									PROCEDURE_ENTRY(BgL_bodyz00_14695) (BgL_bodyz00_14695,
									BgL_sz00_14696, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17120);
								return BgL_za2za2resza2za2z00_17123;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3688> */
	obj_t BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14697, obj_t BgL_sz00_14704)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14698;
				obj_t BgL_iboxesz00_14699;
				long BgL_siza7eza7_14700;
				BgL_ev_absz00_bglt BgL_i1245z00_14701;
				obj_t BgL_bodyz00_14702;
				long BgL_siza7ezd2framez75_14703;

				BgL_ifreesz00_14698 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 0))));
				BgL_iboxesz00_14699 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 1))));
				BgL_siza7eza7_14700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 2))));
				BgL_i1245z00_14701 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 3))));
				BgL_bodyz00_14702 = PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14703 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17124;

					BgL_bpz00_17124 = VECTOR_REF(((obj_t) BgL_sz00_14704), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17125;

						BgL_valza2za2_17125 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14704,
							BgL_bpz00_17124, BgL_ifreesz00_14698);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17126;

							BgL_runz00_17126 =
								MAKE_FX_PROCEDURE(BGl_z62run5691z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17126,
								(int) (((long) 0)), BgL_iboxesz00_14699);
							PROCEDURE_SET(BgL_runz00_17126,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14700));
							PROCEDURE_SET(BgL_runz00_17126,
								(int) (((long) 2)), BgL_valza2za2_17125);
							PROCEDURE_SET(BgL_runz00_17126,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14701));
							PROCEDURE_SET(BgL_runz00_17126,
								(int) (((long) 4)), BgL_bodyz00_14702);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17127;

								BgL_mainz00_17127 =
									MAKE_VA_PROCEDURE(BGl_z62main5690z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 0)), BgL_iboxesz00_14699);
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14700));
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 2)), BgL_valza2za2_17125);
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14701));
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 4)), BgL_bodyz00_14702);
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 5)), BgL_runz00_17126);
								PROCEDURE_SET(BgL_mainz00_17127,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14703));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17128;

									BgL_objz00_17128 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17126, BgL_objz00_17128);
									BgL_objz00_17128;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3689z00_17129;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3690z00_17130;

										BgL_arg3690z00_17130 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14701))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17131;

											BgL_newz00_17131 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29157;

												BgL_tmpz00_29157 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17131, BgL_tmpz00_29157,
													BgL_arg3690z00_17130);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29162;
												int BgL_tmpz00_29160;

												BgL_auxz00_29162 = BINT(BgL_siza7ezd2framez75_14703);
												BgL_tmpz00_29160 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17131, BgL_tmpz00_29160,
													BgL_auxz00_29162);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29165;

												BgL_tmpz00_29165 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17131, BgL_tmpz00_29165,
													BgL_runz00_17126);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29170;
												int BgL_tmpz00_29168;

												BgL_auxz00_29170 = BINT(((long) -3));
												BgL_tmpz00_29168 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17131, BgL_tmpz00_29168,
													BgL_auxz00_29170);
											}
											BgL_arg3689z00_17129 = BgL_newz00_17131;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17127, BgL_arg3689z00_17129);
									BgL_arg3689z00_17129;
								}
								return BgL_mainz00_17127;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5690 */
	obj_t BGl_z62main5690z62zz__evaluate_compz00(obj_t BgL_envz00_14705,
		obj_t BgL_cz00_14713, obj_t BgL_dz00_14714, obj_t BgL_lastz00_14715)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14711;
				long BgL_siza7ezd2framez75_14712;

				BgL_runz00_14711 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14705, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14712 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14705, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17132;

					BgL_sz00_17132 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17133;

						BgL_bpz00_17133 = VECTOR_REF(((obj_t) BgL_sz00_17132), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17133) + BgL_siza7ezd2framez75_14712) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17132))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3693z00_17134;

									BgL_arg3693z00_17134 =
										((long) CINT(BgL_bpz00_17133) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17132), BgL_arg3693z00_17134,
										BgL_cz00_14713);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3694z00_17135;

									BgL_arg3694z00_17135 =
										((long) CINT(BgL_bpz00_17133) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17132), BgL_arg3694z00_17135,
										BgL_dz00_14714);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3695z00_17136;

									BgL_arg3695z00_17136 =
										((long) CINT(BgL_bpz00_17133) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17132), BgL_arg3695z00_17136,
										BgL_lastz00_14715);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17137;

									BgL_ez00_17137 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17137,
										BgL_bpz00_17133);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17138;

										BgL_accz00_17138 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14711, BgL_sz00_17132, BgL_bpz00_17133);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17137);
										VECTOR_SET(
											((obj_t) BgL_sz00_17132), ((long) 0), BgL_bpz00_17133);
										return BgL_accz00_17138;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17139;

								BgL_nsz00_17139 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17139, ((long) 1), BgL_sz00_17132);
								VECTOR_SET(BgL_nsz00_17139, ((long) 2), BgL_cz00_14713);
								VECTOR_SET(BgL_nsz00_17139, ((long) 3), BgL_dz00_14714);
								VECTOR_SET(BgL_nsz00_17139, ((long) 4), BgL_lastz00_14715);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17140;

									BgL_z12denvz12_17140 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17140, BgL_nsz00_17139);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17141;

										BgL_ez00_17141 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17141,
											BgL_sz00_17132);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17142;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17143;

												BgL_savedzd2bpzd2_17143 =
													VECTOR_REF(BgL_nsz00_17139, ((long) 0));
												VECTOR_SET(BgL_nsz00_17139, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17145;

													BgL_fz00_17145 = BgL_runz00_14711;
												BgL_recz00_17144:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17146;

														BgL_rz00_17146 =
															PROCEDURE_ENTRY(BgL_fz00_17145) (BgL_fz00_17145,
															BgL_nsz00_17139, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29223;

															if (PROCEDUREP(BgL_rz00_17146))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17147;

																	BgL_arg1693z00_17147 =
																		PROCEDURE_ATTR(BgL_rz00_17146);
																	if (STRUCTP(BgL_arg1693z00_17147))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29223 =
																				(STRUCT_KEY(BgL_arg1693z00_17147) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29223 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29223 = ((bool_t) 0);
																}
															if (BgL_testz00_29223)
																{
																	obj_t BgL_fz00_29231;

																	BgL_fz00_29231 = BgL_rz00_17146;
																	BgL_fz00_17145 = BgL_fz00_29231;
																	goto BgL_recz00_17144;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17139, ((long) 0),
																		BgL_savedzd2bpzd2_17143);
																	BgL_____rz00_17142 = BgL_rz00_17146;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17141);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17140, BgL_sz00_17132);
											return BgL_____rz00_17142;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5691 */
	obj_t BGl_z62run5691z62zz__evaluate_compz00(obj_t BgL_envz00_14716,
		obj_t BgL_sz00_14722)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14717;
				long BgL_siza7eza7_14718;
				obj_t BgL_valza2za2_14719;
				BgL_ev_absz00_bglt BgL_i1245z00_14720;
				obj_t BgL_bodyz00_14721;

				BgL_iboxesz00_14717 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 0))));
				BgL_siza7eza7_14718 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 1))));
				BgL_valza2za2_14719 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 2))));
				BgL_i1245z00_14720 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 3))));
				BgL_bodyz00_14721 = PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17148;

					BgL_bpz00_17148 = VECTOR_REF(((obj_t) BgL_sz00_14722), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14722,
						BgL_iboxesz00_14717, BgL_bpz00_17148);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14722,
						BgL_valza2za2_14719,
						((long) CINT(BgL_bpz00_17148) + BgL_siza7eza7_14718));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17149;
						obj_t BgL_wherez00_17150;
						obj_t BgL_locz00_17151;

						BgL_z12denvz12_17149 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17150 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14720))->
							BgL_wherez00);
						BgL_locz00_17151 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14720))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17149, BgL_wherez00_17150,
								BgL_locz00_17151);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17152;

								BgL_za2za2resza2za2z00_17152 =
									PROCEDURE_ENTRY(BgL_bodyz00_14721) (BgL_bodyz00_14721,
									BgL_sz00_14722, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17149);
								return BgL_za2za2resza2za2z00_17152;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3602> */
	obj_t BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14723, obj_t BgL_sz00_14727)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14724;
				obj_t BgL_bodyz00_14725;
				long BgL_siza7ezd2framez75_14726;

				BgL_i1245z00_14724 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14723, (int) (((long) 0))));
				BgL_bodyz00_14725 = PROCEDURE_REF(BgL_envz00_14723, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14723, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17153;

					BgL_bpz00_17153 = VECTOR_REF(((obj_t) BgL_sz00_14727), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17154;

							BgL_runz00_17154 =
								MAKE_FX_PROCEDURE(BGl_z62run5693z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17154,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14724));
							PROCEDURE_SET(BgL_runz00_17154,
								(int) (((long) 1)), BgL_bodyz00_14725);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17155;

								BgL_mainz00_17155 =
									MAKE_FX_PROCEDURE(BGl_z62main5692z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17155,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14724));
								PROCEDURE_SET(BgL_mainz00_17155,
									(int) (((long) 1)), BgL_bodyz00_14725);
								PROCEDURE_SET(BgL_mainz00_17155,
									(int) (((long) 2)), BgL_runz00_17154);
								PROCEDURE_SET(BgL_mainz00_17155,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14726));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17156;

									BgL_objz00_17156 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17154, BgL_objz00_17156);
									BgL_objz00_17156;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3603z00_17157;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3604z00_17158;

										BgL_arg3604z00_17158 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14724))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17159;

											BgL_newz00_17159 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29299;

												BgL_tmpz00_29299 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17159, BgL_tmpz00_29299,
													BgL_arg3604z00_17158);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29304;
												int BgL_tmpz00_29302;

												BgL_auxz00_29304 = BINT(BgL_siza7ezd2framez75_14726);
												BgL_tmpz00_29302 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17159, BgL_tmpz00_29302,
													BgL_auxz00_29304);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29307;

												BgL_tmpz00_29307 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17159, BgL_tmpz00_29307,
													BgL_runz00_17154);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29312;
												int BgL_tmpz00_29310;

												BgL_auxz00_29312 = BINT(((long) 2));
												BgL_tmpz00_29310 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17159, BgL_tmpz00_29310,
													BgL_auxz00_29312);
											}
											BgL_arg3603z00_17157 = BgL_newz00_17159;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17155, BgL_arg3603z00_17157);
									BgL_arg3603z00_17157;
								}
								return BgL_mainz00_17155;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5692 */
	obj_t BGl_z62main5692z62zz__evaluate_compz00(obj_t BgL_envz00_14728,
		obj_t BgL_cz00_14733, obj_t BgL_dz00_14734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14731;
				long BgL_siza7ezd2framez75_14732;

				BgL_runz00_14731 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14732 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17160;

					BgL_sz00_17160 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17161;

						BgL_bpz00_17161 = VECTOR_REF(((obj_t) BgL_sz00_17160), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17161) + BgL_siza7ezd2framez75_14732) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17160))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3607z00_17162;

									BgL_arg3607z00_17162 =
										((long) CINT(BgL_bpz00_17161) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17160), BgL_arg3607z00_17162,
										BgL_cz00_14733);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3609z00_17163;

									BgL_arg3609z00_17163 =
										((long) CINT(BgL_bpz00_17161) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17160), BgL_arg3609z00_17163,
										BgL_dz00_14734);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17164;

									BgL_ez00_17164 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17164,
										BgL_bpz00_17161);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17165;

										BgL_accz00_17165 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14731, BgL_sz00_17160, BgL_bpz00_17161);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17164);
										VECTOR_SET(
											((obj_t) BgL_sz00_17160), ((long) 0), BgL_bpz00_17161);
										return BgL_accz00_17165;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17166;

								BgL_nsz00_17166 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17166, ((long) 1), BgL_sz00_17160);
								VECTOR_SET(BgL_nsz00_17166, ((long) 2), BgL_cz00_14733);
								VECTOR_SET(BgL_nsz00_17166, ((long) 3), BgL_dz00_14734);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17167;

									BgL_z12denvz12_17167 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17167, BgL_nsz00_17166);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17168;

										BgL_ez00_17168 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17168,
											BgL_sz00_17160);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17169;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17170;

												BgL_savedzd2bpzd2_17170 =
													VECTOR_REF(BgL_nsz00_17166, ((long) 0));
												VECTOR_SET(BgL_nsz00_17166, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17172;

													BgL_fz00_17172 = BgL_runz00_14731;
												BgL_recz00_17171:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17173;

														BgL_rz00_17173 =
															PROCEDURE_ENTRY(BgL_fz00_17172) (BgL_fz00_17172,
															BgL_nsz00_17166, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29360;

															if (PROCEDUREP(BgL_rz00_17173))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17174;

																	BgL_arg1693z00_17174 =
																		PROCEDURE_ATTR(BgL_rz00_17173);
																	if (STRUCTP(BgL_arg1693z00_17174))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29360 =
																				(STRUCT_KEY(BgL_arg1693z00_17174) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29360 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29360 = ((bool_t) 0);
																}
															if (BgL_testz00_29360)
																{
																	obj_t BgL_fz00_29368;

																	BgL_fz00_29368 = BgL_rz00_17173;
																	BgL_fz00_17172 = BgL_fz00_29368;
																	goto BgL_recz00_17171;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17166, ((long) 0),
																		BgL_savedzd2bpzd2_17170);
																	BgL_____rz00_17169 = BgL_rz00_17173;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17168);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17167, BgL_sz00_17160);
											return BgL_____rz00_17169;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5693 */
	obj_t BGl_z62run5693z62zz__evaluate_compz00(obj_t BgL_envz00_14735,
		obj_t BgL_sz00_14738)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14736;
				obj_t BgL_bodyz00_14737;

				BgL_i1245z00_14736 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14735, (int) (((long) 0))));
				BgL_bodyz00_14737 = PROCEDURE_REF(BgL_envz00_14735, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17175;

					BgL_bpz00_17175 = VECTOR_REF(((obj_t) BgL_sz00_14738), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17176;
						obj_t BgL_wherez00_17177;
						obj_t BgL_locz00_17178;

						BgL_z12denvz12_17176 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17177 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14736))->
							BgL_wherez00);
						BgL_locz00_17178 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14736))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17176, BgL_wherez00_17177,
								BgL_locz00_17178);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17179;

								BgL_za2za2resza2za2z00_17179 =
									PROCEDURE_ENTRY(BgL_bodyz00_14737) (BgL_bodyz00_14737,
									BgL_sz00_14738, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17176);
								return BgL_za2za2resza2za2z00_17179;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3611> */
	obj_t BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14739, obj_t BgL_sz00_14744)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14740;
				BgL_ev_absz00_bglt BgL_i1245z00_14741;
				obj_t BgL_bodyz00_14742;
				long BgL_siza7ezd2framez75_14743;

				BgL_iboxesz00_14740 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 0))));
				BgL_i1245z00_14741 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 1))));
				BgL_bodyz00_14742 = PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14743 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17180;

					BgL_bpz00_17180 = VECTOR_REF(((obj_t) BgL_sz00_14744), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17181;

							BgL_runz00_17181 =
								MAKE_FX_PROCEDURE(BGl_z62run5695z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17181,
								(int) (((long) 0)), BgL_iboxesz00_14740);
							PROCEDURE_SET(BgL_runz00_17181,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14741));
							PROCEDURE_SET(BgL_runz00_17181,
								(int) (((long) 2)), BgL_bodyz00_14742);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17182;

								BgL_mainz00_17182 =
									MAKE_FX_PROCEDURE(BGl_z62main5694z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17182,
									(int) (((long) 0)), BgL_iboxesz00_14740);
								PROCEDURE_SET(BgL_mainz00_17182,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14741));
								PROCEDURE_SET(BgL_mainz00_17182,
									(int) (((long) 2)), BgL_bodyz00_14742);
								PROCEDURE_SET(BgL_mainz00_17182,
									(int) (((long) 3)), BgL_runz00_17181);
								PROCEDURE_SET(BgL_mainz00_17182,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14743));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17183;

									BgL_objz00_17183 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17181, BgL_objz00_17183);
									BgL_objz00_17183;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3612z00_17184;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3613z00_17185;

										BgL_arg3613z00_17185 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14741))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17186;

											BgL_newz00_17186 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29430;

												BgL_tmpz00_29430 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17186, BgL_tmpz00_29430,
													BgL_arg3613z00_17185);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29435;
												int BgL_tmpz00_29433;

												BgL_auxz00_29435 = BINT(BgL_siza7ezd2framez75_14743);
												BgL_tmpz00_29433 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17186, BgL_tmpz00_29433,
													BgL_auxz00_29435);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29438;

												BgL_tmpz00_29438 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17186, BgL_tmpz00_29438,
													BgL_runz00_17181);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29443;
												int BgL_tmpz00_29441;

												BgL_auxz00_29443 = BINT(((long) 2));
												BgL_tmpz00_29441 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17186, BgL_tmpz00_29441,
													BgL_auxz00_29443);
											}
											BgL_arg3612z00_17184 = BgL_newz00_17186;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17182, BgL_arg3612z00_17184);
									BgL_arg3612z00_17184;
								}
								return BgL_mainz00_17182;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5694 */
	obj_t BGl_z62main5694z62zz__evaluate_compz00(obj_t BgL_envz00_14745,
		obj_t BgL_cz00_14751, obj_t BgL_dz00_14752)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14749;
				long BgL_siza7ezd2framez75_14750;

				BgL_runz00_14749 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14745, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14750 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14745, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17187;

					BgL_sz00_17187 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17188;

						BgL_bpz00_17188 = VECTOR_REF(((obj_t) BgL_sz00_17187), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17188) + BgL_siza7ezd2framez75_14750) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17187))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3616z00_17189;

									BgL_arg3616z00_17189 =
										((long) CINT(BgL_bpz00_17188) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17187), BgL_arg3616z00_17189,
										BgL_cz00_14751);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3618z00_17190;

									BgL_arg3618z00_17190 =
										((long) CINT(BgL_bpz00_17188) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17187), BgL_arg3618z00_17190,
										BgL_dz00_14752);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17191;

									BgL_ez00_17191 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17191,
										BgL_bpz00_17188);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17192;

										BgL_accz00_17192 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14749, BgL_sz00_17187, BgL_bpz00_17188);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17191);
										VECTOR_SET(
											((obj_t) BgL_sz00_17187), ((long) 0), BgL_bpz00_17188);
										return BgL_accz00_17192;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17193;

								BgL_nsz00_17193 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17193, ((long) 1), BgL_sz00_17187);
								VECTOR_SET(BgL_nsz00_17193, ((long) 2), BgL_cz00_14751);
								VECTOR_SET(BgL_nsz00_17193, ((long) 3), BgL_dz00_14752);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17194;

									BgL_z12denvz12_17194 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17194, BgL_nsz00_17193);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17195;

										BgL_ez00_17195 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17195,
											BgL_sz00_17187);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17196;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17197;

												BgL_savedzd2bpzd2_17197 =
													VECTOR_REF(BgL_nsz00_17193, ((long) 0));
												VECTOR_SET(BgL_nsz00_17193, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17199;

													BgL_fz00_17199 = BgL_runz00_14749;
												BgL_recz00_17198:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17200;

														BgL_rz00_17200 =
															PROCEDURE_ENTRY(BgL_fz00_17199) (BgL_fz00_17199,
															BgL_nsz00_17193, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29491;

															if (PROCEDUREP(BgL_rz00_17200))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17201;

																	BgL_arg1693z00_17201 =
																		PROCEDURE_ATTR(BgL_rz00_17200);
																	if (STRUCTP(BgL_arg1693z00_17201))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29491 =
																				(STRUCT_KEY(BgL_arg1693z00_17201) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29491 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29491 = ((bool_t) 0);
																}
															if (BgL_testz00_29491)
																{
																	obj_t BgL_fz00_29499;

																	BgL_fz00_29499 = BgL_rz00_17200;
																	BgL_fz00_17199 = BgL_fz00_29499;
																	goto BgL_recz00_17198;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17193, ((long) 0),
																		BgL_savedzd2bpzd2_17197);
																	BgL_____rz00_17196 = BgL_rz00_17200;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17195);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17194, BgL_sz00_17187);
											return BgL_____rz00_17196;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5695 */
	obj_t BGl_z62run5695z62zz__evaluate_compz00(obj_t BgL_envz00_14753,
		obj_t BgL_sz00_14757)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14754;
				BgL_ev_absz00_bglt BgL_i1245z00_14755;
				obj_t BgL_bodyz00_14756;

				BgL_iboxesz00_14754 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14753, (int) (((long) 0))));
				BgL_i1245z00_14755 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14753, (int) (((long) 1))));
				BgL_bodyz00_14756 = PROCEDURE_REF(BgL_envz00_14753, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17202;

					BgL_bpz00_17202 = VECTOR_REF(((obj_t) BgL_sz00_14757), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14757,
						BgL_iboxesz00_14754, BgL_bpz00_17202);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17203;
						obj_t BgL_wherez00_17204;
						obj_t BgL_locz00_17205;

						BgL_z12denvz12_17203 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17204 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14755))->
							BgL_wherez00);
						BgL_locz00_17205 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14755))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17203, BgL_wherez00_17204,
								BgL_locz00_17205);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17206;

								BgL_za2za2resza2za2z00_17206 =
									PROCEDURE_ENTRY(BgL_bodyz00_14756) (BgL_bodyz00_14756,
									BgL_sz00_14757, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17203);
								return BgL_za2za2resza2za2z00_17206;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3623> */
	obj_t BGl_z62zc3anonymousza33623ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14758, obj_t BgL_sz00_14764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14759;
				long BgL_siza7eza7_14760;
				BgL_ev_absz00_bglt BgL_i1245z00_14761;
				obj_t BgL_bodyz00_14762;
				long BgL_siza7ezd2framez75_14763;

				BgL_ifreesz00_14759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 0))));
				BgL_siza7eza7_14760 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 1))));
				BgL_i1245z00_14761 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 2))));
				BgL_bodyz00_14762 = PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14763 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17207;

					BgL_bpz00_17207 = VECTOR_REF(((obj_t) BgL_sz00_14764), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17208;

						BgL_valza2za2_17208 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14764,
							BgL_bpz00_17207, BgL_ifreesz00_14759);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17209;

							BgL_runz00_17209 =
								MAKE_FX_PROCEDURE(BGl_z62run5697z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14760));
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 1)), BgL_valza2za2_17208);
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14761));
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 3)), BgL_bodyz00_14762);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17210;

								BgL_mainz00_17210 =
									MAKE_FX_PROCEDURE(BGl_z62main5696z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14760));
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 1)), BgL_valza2za2_17208);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14761));
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 3)), BgL_bodyz00_14762);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 4)), BgL_runz00_17209);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14763));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17211;

									BgL_objz00_17211 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17209, BgL_objz00_17211);
									BgL_objz00_17211;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3624z00_17212;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3625z00_17213;

										BgL_arg3625z00_17213 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14761))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17214;

											BgL_newz00_17214 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29575;

												BgL_tmpz00_29575 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29575,
													BgL_arg3625z00_17213);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29580;
												int BgL_tmpz00_29578;

												BgL_auxz00_29580 = BINT(BgL_siza7ezd2framez75_14763);
												BgL_tmpz00_29578 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29578,
													BgL_auxz00_29580);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29583;

												BgL_tmpz00_29583 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29583,
													BgL_runz00_17209);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29588;
												int BgL_tmpz00_29586;

												BgL_auxz00_29588 = BINT(((long) 2));
												BgL_tmpz00_29586 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29586,
													BgL_auxz00_29588);
											}
											BgL_arg3624z00_17212 = BgL_newz00_17214;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17210, BgL_arg3624z00_17212);
									BgL_arg3624z00_17212;
								}
								return BgL_mainz00_17210;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5696 */
	obj_t BGl_z62main5696z62zz__evaluate_compz00(obj_t BgL_envz00_14765,
		obj_t BgL_cz00_14772, obj_t BgL_dz00_14773)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14770;
				long BgL_siza7ezd2framez75_14771;

				BgL_runz00_14770 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14771 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17215;

					BgL_sz00_17215 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17216;

						BgL_bpz00_17216 = VECTOR_REF(((obj_t) BgL_sz00_17215), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17216) + BgL_siza7ezd2framez75_14771) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17215))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3629z00_17217;

									BgL_arg3629z00_17217 =
										((long) CINT(BgL_bpz00_17216) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3629z00_17217,
										BgL_cz00_14772);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3631z00_17218;

									BgL_arg3631z00_17218 =
										((long) CINT(BgL_bpz00_17216) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3631z00_17218,
										BgL_dz00_14773);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17219;

									BgL_ez00_17219 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17219,
										BgL_bpz00_17216);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17220;

										BgL_accz00_17220 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14770, BgL_sz00_17215, BgL_bpz00_17216);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17219);
										VECTOR_SET(
											((obj_t) BgL_sz00_17215), ((long) 0), BgL_bpz00_17216);
										return BgL_accz00_17220;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17221;

								BgL_nsz00_17221 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17221, ((long) 1), BgL_sz00_17215);
								VECTOR_SET(BgL_nsz00_17221, ((long) 2), BgL_cz00_14772);
								VECTOR_SET(BgL_nsz00_17221, ((long) 3), BgL_dz00_14773);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17222;

									BgL_z12denvz12_17222 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17222, BgL_nsz00_17221);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17223;

										BgL_ez00_17223 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17223,
											BgL_sz00_17215);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17224;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17225;

												BgL_savedzd2bpzd2_17225 =
													VECTOR_REF(BgL_nsz00_17221, ((long) 0));
												VECTOR_SET(BgL_nsz00_17221, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17227;

													BgL_fz00_17227 = BgL_runz00_14770;
												BgL_recz00_17226:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17228;

														BgL_rz00_17228 =
															PROCEDURE_ENTRY(BgL_fz00_17227) (BgL_fz00_17227,
															BgL_nsz00_17221, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29636;

															if (PROCEDUREP(BgL_rz00_17228))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17229;

																	BgL_arg1693z00_17229 =
																		PROCEDURE_ATTR(BgL_rz00_17228);
																	if (STRUCTP(BgL_arg1693z00_17229))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29636 =
																				(STRUCT_KEY(BgL_arg1693z00_17229) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29636 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29636 = ((bool_t) 0);
																}
															if (BgL_testz00_29636)
																{
																	obj_t BgL_fz00_29644;

																	BgL_fz00_29644 = BgL_rz00_17228;
																	BgL_fz00_17227 = BgL_fz00_29644;
																	goto BgL_recz00_17226;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17221, ((long) 0),
																		BgL_savedzd2bpzd2_17225);
																	BgL_____rz00_17224 = BgL_rz00_17228;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17223);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17222, BgL_sz00_17215);
											return BgL_____rz00_17224;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5697 */
	obj_t BGl_z62run5697z62zz__evaluate_compz00(obj_t BgL_envz00_14774,
		obj_t BgL_sz00_14779)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14775;
				obj_t BgL_valza2za2_14776;
				BgL_ev_absz00_bglt BgL_i1245z00_14777;
				obj_t BgL_bodyz00_14778;

				BgL_siza7eza7_14775 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14774, (int) (((long) 0))));
				BgL_valza2za2_14776 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14774, (int) (((long) 1))));
				BgL_i1245z00_14777 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14774, (int) (((long) 2))));
				BgL_bodyz00_14778 = PROCEDURE_REF(BgL_envz00_14774, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17230;

					BgL_bpz00_17230 = VECTOR_REF(((obj_t) BgL_sz00_14779), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14779,
						BgL_valza2za2_14776,
						((long) CINT(BgL_bpz00_17230) + BgL_siza7eza7_14775));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17231;
						obj_t BgL_wherez00_17232;
						obj_t BgL_locz00_17233;

						BgL_z12denvz12_17231 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17232 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14777))->
							BgL_wherez00);
						BgL_locz00_17233 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14777))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17231, BgL_wherez00_17232,
								BgL_locz00_17233);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17234;

								BgL_za2za2resza2za2z00_17234 =
									PROCEDURE_ENTRY(BgL_bodyz00_14778) (BgL_bodyz00_14778,
									BgL_sz00_14779, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17231);
								return BgL_za2za2resza2za2z00_17234;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3634> */
	obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14780, obj_t BgL_sz00_14787)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14781;
				obj_t BgL_iboxesz00_14782;
				long BgL_siza7eza7_14783;
				BgL_ev_absz00_bglt BgL_i1245z00_14784;
				obj_t BgL_bodyz00_14785;
				long BgL_siza7ezd2framez75_14786;

				BgL_ifreesz00_14781 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 0))));
				BgL_iboxesz00_14782 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 1))));
				BgL_siza7eza7_14783 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 2))));
				BgL_i1245z00_14784 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 3))));
				BgL_bodyz00_14785 = PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14786 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14780, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17235;

					BgL_bpz00_17235 = VECTOR_REF(((obj_t) BgL_sz00_14787), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17236;

						BgL_valza2za2_17236 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14787,
							BgL_bpz00_17235, BgL_ifreesz00_14781);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17237;

							BgL_runz00_17237 =
								MAKE_FX_PROCEDURE(BGl_z62run5699z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17237,
								(int) (((long) 0)), BgL_iboxesz00_14782);
							PROCEDURE_SET(BgL_runz00_17237,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14783));
							PROCEDURE_SET(BgL_runz00_17237,
								(int) (((long) 2)), BgL_valza2za2_17236);
							PROCEDURE_SET(BgL_runz00_17237,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14784));
							PROCEDURE_SET(BgL_runz00_17237,
								(int) (((long) 4)), BgL_bodyz00_14785);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17238;

								BgL_mainz00_17238 =
									MAKE_FX_PROCEDURE(BGl_z62main5698z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 0)), BgL_iboxesz00_14782);
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14783));
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 2)), BgL_valza2za2_17236);
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14784));
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 4)), BgL_bodyz00_14785);
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 5)), BgL_runz00_17237);
								PROCEDURE_SET(BgL_mainz00_17238,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14786));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17239;

									BgL_objz00_17239 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17237, BgL_objz00_17239);
									BgL_objz00_17239;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3635z00_17240;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3636z00_17241;

										BgL_arg3636z00_17241 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14784))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17242;

											BgL_newz00_17242 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29732;

												BgL_tmpz00_29732 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17242, BgL_tmpz00_29732,
													BgL_arg3636z00_17241);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29737;
												int BgL_tmpz00_29735;

												BgL_auxz00_29737 = BINT(BgL_siza7ezd2framez75_14786);
												BgL_tmpz00_29735 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17242, BgL_tmpz00_29735,
													BgL_auxz00_29737);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29740;

												BgL_tmpz00_29740 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17242, BgL_tmpz00_29740,
													BgL_runz00_17237);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29745;
												int BgL_tmpz00_29743;

												BgL_auxz00_29745 = BINT(((long) 2));
												BgL_tmpz00_29743 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17242, BgL_tmpz00_29743,
													BgL_auxz00_29745);
											}
											BgL_arg3635z00_17240 = BgL_newz00_17242;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17238, BgL_arg3635z00_17240);
									BgL_arg3635z00_17240;
								}
								return BgL_mainz00_17238;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5698 */
	obj_t BGl_z62main5698z62zz__evaluate_compz00(obj_t BgL_envz00_14788,
		obj_t BgL_cz00_14796, obj_t BgL_dz00_14797)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14794;
				long BgL_siza7ezd2framez75_14795;

				BgL_runz00_14794 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14788, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14795 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14788, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17243;

					BgL_sz00_17243 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17244;

						BgL_bpz00_17244 = VECTOR_REF(((obj_t) BgL_sz00_17243), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17244) + BgL_siza7ezd2framez75_14795) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17243))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3640z00_17245;

									BgL_arg3640z00_17245 =
										((long) CINT(BgL_bpz00_17244) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17243), BgL_arg3640z00_17245,
										BgL_cz00_14796);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3642z00_17246;

									BgL_arg3642z00_17246 =
										((long) CINT(BgL_bpz00_17244) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17243), BgL_arg3642z00_17246,
										BgL_dz00_14797);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17247;

									BgL_ez00_17247 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17247,
										BgL_bpz00_17244);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17248;

										BgL_accz00_17248 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14794, BgL_sz00_17243, BgL_bpz00_17244);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17247);
										VECTOR_SET(
											((obj_t) BgL_sz00_17243), ((long) 0), BgL_bpz00_17244);
										return BgL_accz00_17248;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17249;

								BgL_nsz00_17249 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17249, ((long) 1), BgL_sz00_17243);
								VECTOR_SET(BgL_nsz00_17249, ((long) 2), BgL_cz00_14796);
								VECTOR_SET(BgL_nsz00_17249, ((long) 3), BgL_dz00_14797);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17250;

									BgL_z12denvz12_17250 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17250, BgL_nsz00_17249);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17251;

										BgL_ez00_17251 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17251,
											BgL_sz00_17243);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17252;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17253;

												BgL_savedzd2bpzd2_17253 =
													VECTOR_REF(BgL_nsz00_17249, ((long) 0));
												VECTOR_SET(BgL_nsz00_17249, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17255;

													BgL_fz00_17255 = BgL_runz00_14794;
												BgL_recz00_17254:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17256;

														BgL_rz00_17256 =
															PROCEDURE_ENTRY(BgL_fz00_17255) (BgL_fz00_17255,
															BgL_nsz00_17249, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29793;

															if (PROCEDUREP(BgL_rz00_17256))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17257;

																	BgL_arg1693z00_17257 =
																		PROCEDURE_ATTR(BgL_rz00_17256);
																	if (STRUCTP(BgL_arg1693z00_17257))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29793 =
																				(STRUCT_KEY(BgL_arg1693z00_17257) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29793 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29793 = ((bool_t) 0);
																}
															if (BgL_testz00_29793)
																{
																	obj_t BgL_fz00_29801;

																	BgL_fz00_29801 = BgL_rz00_17256;
																	BgL_fz00_17255 = BgL_fz00_29801;
																	goto BgL_recz00_17254;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17249, ((long) 0),
																		BgL_savedzd2bpzd2_17253);
																	BgL_____rz00_17252 = BgL_rz00_17256;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17251);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17250, BgL_sz00_17243);
											return BgL_____rz00_17252;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5699 */
	obj_t BGl_z62run5699z62zz__evaluate_compz00(obj_t BgL_envz00_14798,
		obj_t BgL_sz00_14804)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14799;
				long BgL_siza7eza7_14800;
				obj_t BgL_valza2za2_14801;
				BgL_ev_absz00_bglt BgL_i1245z00_14802;
				obj_t BgL_bodyz00_14803;

				BgL_iboxesz00_14799 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14798, (int) (((long) 0))));
				BgL_siza7eza7_14800 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14798, (int) (((long) 1))));
				BgL_valza2za2_14801 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14798, (int) (((long) 2))));
				BgL_i1245z00_14802 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14798, (int) (((long) 3))));
				BgL_bodyz00_14803 = PROCEDURE_REF(BgL_envz00_14798, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17258;

					BgL_bpz00_17258 = VECTOR_REF(((obj_t) BgL_sz00_14804), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14804,
						BgL_iboxesz00_14799, BgL_bpz00_17258);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14804,
						BgL_valza2za2_14801,
						((long) CINT(BgL_bpz00_17258) + BgL_siza7eza7_14800));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17259;
						obj_t BgL_wherez00_17260;
						obj_t BgL_locz00_17261;

						BgL_z12denvz12_17259 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17260 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14802))->
							BgL_wherez00);
						BgL_locz00_17261 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14802))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17259, BgL_wherez00_17260,
								BgL_locz00_17261);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17262;

								BgL_za2za2resza2za2z00_17262 =
									PROCEDURE_ENTRY(BgL_bodyz00_14803) (BgL_bodyz00_14803,
									BgL_sz00_14804, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17259);
								return BgL_za2za2resza2za2z00_17262;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3551> */
	obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14805, obj_t BgL_sz00_14809)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14806;
				obj_t BgL_bodyz00_14807;
				long BgL_siza7ezd2framez75_14808;

				BgL_i1245z00_14806 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14805, (int) (((long) 0))));
				BgL_bodyz00_14807 = PROCEDURE_REF(BgL_envz00_14805, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14808 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14805, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17263;

					BgL_bpz00_17263 = VECTOR_REF(((obj_t) BgL_sz00_14809), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17264;

							BgL_runz00_17264 =
								MAKE_FX_PROCEDURE(BGl_z62run5701z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17264,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14806));
							PROCEDURE_SET(BgL_runz00_17264,
								(int) (((long) 1)), BgL_bodyz00_14807);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17265;

								BgL_mainz00_17265 =
									MAKE_VA_PROCEDURE(BGl_z62main5700z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17265,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14806));
								PROCEDURE_SET(BgL_mainz00_17265,
									(int) (((long) 1)), BgL_bodyz00_14807);
								PROCEDURE_SET(BgL_mainz00_17265,
									(int) (((long) 2)), BgL_runz00_17264);
								PROCEDURE_SET(BgL_mainz00_17265,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14808));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17266;

									BgL_objz00_17266 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17264, BgL_objz00_17266);
									BgL_objz00_17266;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3553z00_17267;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3554z00_17268;

										BgL_arg3554z00_17268 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14806))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17269;

											BgL_newz00_17269 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29869;

												BgL_tmpz00_29869 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17269, BgL_tmpz00_29869,
													BgL_arg3554z00_17268);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29874;
												int BgL_tmpz00_29872;

												BgL_auxz00_29874 = BINT(BgL_siza7ezd2framez75_14808);
												BgL_tmpz00_29872 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17269, BgL_tmpz00_29872,
													BgL_auxz00_29874);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29877;

												BgL_tmpz00_29877 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17269, BgL_tmpz00_29877,
													BgL_runz00_17264);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29882;
												int BgL_tmpz00_29880;

												BgL_auxz00_29882 = BINT(((long) -2));
												BgL_tmpz00_29880 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17269, BgL_tmpz00_29880,
													BgL_auxz00_29882);
											}
											BgL_arg3553z00_17267 = BgL_newz00_17269;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17265, BgL_arg3553z00_17267);
									BgL_arg3553z00_17267;
								}
								return BgL_mainz00_17265;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5700 */
	obj_t BGl_z62main5700z62zz__evaluate_compz00(obj_t BgL_envz00_14810,
		obj_t BgL_dz00_14815, obj_t BgL_lastz00_14816)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14813;
				long BgL_siza7ezd2framez75_14814;

				BgL_runz00_14813 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14810, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14814 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14810, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17270;

					BgL_sz00_17270 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17271;

						BgL_bpz00_17271 = VECTOR_REF(((obj_t) BgL_sz00_17270), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17271) + BgL_siza7ezd2framez75_14814) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17270))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3557z00_17272;

									BgL_arg3557z00_17272 =
										((long) CINT(BgL_bpz00_17271) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17270), BgL_arg3557z00_17272,
										BgL_dz00_14815);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3558z00_17273;

									BgL_arg3558z00_17273 =
										((long) CINT(BgL_bpz00_17271) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17270), BgL_arg3558z00_17273,
										BgL_lastz00_14816);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17274;

									BgL_ez00_17274 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17274,
										BgL_bpz00_17271);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17275;

										BgL_accz00_17275 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14813, BgL_sz00_17270, BgL_bpz00_17271);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17274);
										VECTOR_SET(
											((obj_t) BgL_sz00_17270), ((long) 0), BgL_bpz00_17271);
										return BgL_accz00_17275;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17276;

								BgL_nsz00_17276 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17276, ((long) 1), BgL_sz00_17270);
								VECTOR_SET(BgL_nsz00_17276, ((long) 2), BgL_dz00_14815);
								VECTOR_SET(BgL_nsz00_17276, ((long) 3), BgL_lastz00_14816);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17277;

									BgL_z12denvz12_17277 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17277, BgL_nsz00_17276);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17278;

										BgL_ez00_17278 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17278,
											BgL_sz00_17270);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17279;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17280;

												BgL_savedzd2bpzd2_17280 =
													VECTOR_REF(BgL_nsz00_17276, ((long) 0));
												VECTOR_SET(BgL_nsz00_17276, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17282;

													BgL_fz00_17282 = BgL_runz00_14813;
												BgL_recz00_17281:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17283;

														BgL_rz00_17283 =
															PROCEDURE_ENTRY(BgL_fz00_17282) (BgL_fz00_17282,
															BgL_nsz00_17276, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29930;

															if (PROCEDUREP(BgL_rz00_17283))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17284;

																	BgL_arg1693z00_17284 =
																		PROCEDURE_ATTR(BgL_rz00_17283);
																	if (STRUCTP(BgL_arg1693z00_17284))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29930 =
																				(STRUCT_KEY(BgL_arg1693z00_17284) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29930 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29930 = ((bool_t) 0);
																}
															if (BgL_testz00_29930)
																{
																	obj_t BgL_fz00_29938;

																	BgL_fz00_29938 = BgL_rz00_17283;
																	BgL_fz00_17282 = BgL_fz00_29938;
																	goto BgL_recz00_17281;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17276, ((long) 0),
																		BgL_savedzd2bpzd2_17280);
																	BgL_____rz00_17279 = BgL_rz00_17283;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17278);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17277, BgL_sz00_17270);
											return BgL_____rz00_17279;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5701 */
	obj_t BGl_z62run5701z62zz__evaluate_compz00(obj_t BgL_envz00_14817,
		obj_t BgL_sz00_14820)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14818;
				obj_t BgL_bodyz00_14819;

				BgL_i1245z00_14818 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14817, (int) (((long) 0))));
				BgL_bodyz00_14819 = PROCEDURE_REF(BgL_envz00_14817, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17285;

					BgL_bpz00_17285 = VECTOR_REF(((obj_t) BgL_sz00_14820), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17286;
						obj_t BgL_wherez00_17287;
						obj_t BgL_locz00_17288;

						BgL_z12denvz12_17286 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17287 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14818))->
							BgL_wherez00);
						BgL_locz00_17288 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14818))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17286, BgL_wherez00_17287,
								BgL_locz00_17288);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17289;

								BgL_za2za2resza2za2z00_17289 =
									PROCEDURE_ENTRY(BgL_bodyz00_14819) (BgL_bodyz00_14819,
									BgL_sz00_14820, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17286);
								return BgL_za2za2resza2za2z00_17289;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3560> */
	obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14821, obj_t BgL_sz00_14826)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14822;
				BgL_ev_absz00_bglt BgL_i1245z00_14823;
				obj_t BgL_bodyz00_14824;
				long BgL_siza7ezd2framez75_14825;

				BgL_iboxesz00_14822 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14821, (int) (((long) 0))));
				BgL_i1245z00_14823 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14821, (int) (((long) 1))));
				BgL_bodyz00_14824 = PROCEDURE_REF(BgL_envz00_14821, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14825 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14821, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17290;

					BgL_bpz00_17290 = VECTOR_REF(((obj_t) BgL_sz00_14826), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17291;

							BgL_runz00_17291 =
								MAKE_FX_PROCEDURE(BGl_z62run5703z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17291,
								(int) (((long) 0)), BgL_iboxesz00_14822);
							PROCEDURE_SET(BgL_runz00_17291,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14823));
							PROCEDURE_SET(BgL_runz00_17291,
								(int) (((long) 2)), BgL_bodyz00_14824);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17292;

								BgL_mainz00_17292 =
									MAKE_VA_PROCEDURE(BGl_z62main5702z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17292,
									(int) (((long) 0)), BgL_iboxesz00_14822);
								PROCEDURE_SET(BgL_mainz00_17292,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14823));
								PROCEDURE_SET(BgL_mainz00_17292,
									(int) (((long) 2)), BgL_bodyz00_14824);
								PROCEDURE_SET(BgL_mainz00_17292,
									(int) (((long) 3)), BgL_runz00_17291);
								PROCEDURE_SET(BgL_mainz00_17292,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14825));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17293;

									BgL_objz00_17293 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17291, BgL_objz00_17293);
									BgL_objz00_17293;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3561z00_17294;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3562z00_17295;

										BgL_arg3562z00_17295 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14823))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17296;

											BgL_newz00_17296 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30000;

												BgL_tmpz00_30000 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17296, BgL_tmpz00_30000,
													BgL_arg3562z00_17295);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30005;
												int BgL_tmpz00_30003;

												BgL_auxz00_30005 = BINT(BgL_siza7ezd2framez75_14825);
												BgL_tmpz00_30003 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17296, BgL_tmpz00_30003,
													BgL_auxz00_30005);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30008;

												BgL_tmpz00_30008 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17296, BgL_tmpz00_30008,
													BgL_runz00_17291);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30013;
												int BgL_tmpz00_30011;

												BgL_auxz00_30013 = BINT(((long) -2));
												BgL_tmpz00_30011 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17296, BgL_tmpz00_30011,
													BgL_auxz00_30013);
											}
											BgL_arg3561z00_17294 = BgL_newz00_17296;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17292, BgL_arg3561z00_17294);
									BgL_arg3561z00_17294;
								}
								return BgL_mainz00_17292;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5702 */
	obj_t BGl_z62main5702z62zz__evaluate_compz00(obj_t BgL_envz00_14827,
		obj_t BgL_dz00_14833, obj_t BgL_lastz00_14834)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14831;
				long BgL_siza7ezd2framez75_14832;

				BgL_runz00_14831 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14827, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14832 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14827, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17297;

					BgL_sz00_17297 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17298;

						BgL_bpz00_17298 = VECTOR_REF(((obj_t) BgL_sz00_17297), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17298) + BgL_siza7ezd2framez75_14832) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17297))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3565z00_17299;

									BgL_arg3565z00_17299 =
										((long) CINT(BgL_bpz00_17298) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17297), BgL_arg3565z00_17299,
										BgL_dz00_14833);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3566z00_17300;

									BgL_arg3566z00_17300 =
										((long) CINT(BgL_bpz00_17298) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17297), BgL_arg3566z00_17300,
										BgL_lastz00_14834);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17301;

									BgL_ez00_17301 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17301,
										BgL_bpz00_17298);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17302;

										BgL_accz00_17302 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14831, BgL_sz00_17297, BgL_bpz00_17298);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17301);
										VECTOR_SET(
											((obj_t) BgL_sz00_17297), ((long) 0), BgL_bpz00_17298);
										return BgL_accz00_17302;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17303;

								BgL_nsz00_17303 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17303, ((long) 1), BgL_sz00_17297);
								VECTOR_SET(BgL_nsz00_17303, ((long) 2), BgL_dz00_14833);
								VECTOR_SET(BgL_nsz00_17303, ((long) 3), BgL_lastz00_14834);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17304;

									BgL_z12denvz12_17304 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17304, BgL_nsz00_17303);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17305;

										BgL_ez00_17305 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17305,
											BgL_sz00_17297);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17306;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17307;

												BgL_savedzd2bpzd2_17307 =
													VECTOR_REF(BgL_nsz00_17303, ((long) 0));
												VECTOR_SET(BgL_nsz00_17303, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17309;

													BgL_fz00_17309 = BgL_runz00_14831;
												BgL_recz00_17308:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17310;

														BgL_rz00_17310 =
															PROCEDURE_ENTRY(BgL_fz00_17309) (BgL_fz00_17309,
															BgL_nsz00_17303, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30061;

															if (PROCEDUREP(BgL_rz00_17310))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17311;

																	BgL_arg1693z00_17311 =
																		PROCEDURE_ATTR(BgL_rz00_17310);
																	if (STRUCTP(BgL_arg1693z00_17311))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30061 =
																				(STRUCT_KEY(BgL_arg1693z00_17311) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30061 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30061 = ((bool_t) 0);
																}
															if (BgL_testz00_30061)
																{
																	obj_t BgL_fz00_30069;

																	BgL_fz00_30069 = BgL_rz00_17310;
																	BgL_fz00_17309 = BgL_fz00_30069;
																	goto BgL_recz00_17308;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17303, ((long) 0),
																		BgL_savedzd2bpzd2_17307);
																	BgL_____rz00_17306 = BgL_rz00_17310;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17305);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17304, BgL_sz00_17297);
											return BgL_____rz00_17306;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5703 */
	obj_t BGl_z62run5703z62zz__evaluate_compz00(obj_t BgL_envz00_14835,
		obj_t BgL_sz00_14839)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14836;
				BgL_ev_absz00_bglt BgL_i1245z00_14837;
				obj_t BgL_bodyz00_14838;

				BgL_iboxesz00_14836 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14835, (int) (((long) 0))));
				BgL_i1245z00_14837 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14835, (int) (((long) 1))));
				BgL_bodyz00_14838 = PROCEDURE_REF(BgL_envz00_14835, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17312;

					BgL_bpz00_17312 = VECTOR_REF(((obj_t) BgL_sz00_14839), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14839,
						BgL_iboxesz00_14836, BgL_bpz00_17312);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17313;
						obj_t BgL_wherez00_17314;
						obj_t BgL_locz00_17315;

						BgL_z12denvz12_17313 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17314 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14837))->
							BgL_wherez00);
						BgL_locz00_17315 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14837))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17313, BgL_wherez00_17314,
								BgL_locz00_17315);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17316;

								BgL_za2za2resza2za2z00_17316 =
									PROCEDURE_ENTRY(BgL_bodyz00_14838) (BgL_bodyz00_14838,
									BgL_sz00_14839, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17313);
								return BgL_za2za2resza2za2z00_17316;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3571> */
	obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14840, obj_t BgL_sz00_14846)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14841;
				long BgL_siza7eza7_14842;
				BgL_ev_absz00_bglt BgL_i1245z00_14843;
				obj_t BgL_bodyz00_14844;
				long BgL_siza7ezd2framez75_14845;

				BgL_ifreesz00_14841 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 0))));
				BgL_siza7eza7_14842 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 1))));
				BgL_i1245z00_14843 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 2))));
				BgL_bodyz00_14844 = PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14845 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17317;

					BgL_bpz00_17317 = VECTOR_REF(((obj_t) BgL_sz00_14846), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17318;

						BgL_valza2za2_17318 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14846,
							BgL_bpz00_17317, BgL_ifreesz00_14841);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17319;

							BgL_runz00_17319 =
								MAKE_FX_PROCEDURE(BGl_z62run5705z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17319,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14842));
							PROCEDURE_SET(BgL_runz00_17319,
								(int) (((long) 1)), BgL_valza2za2_17318);
							PROCEDURE_SET(BgL_runz00_17319,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14843));
							PROCEDURE_SET(BgL_runz00_17319,
								(int) (((long) 3)), BgL_bodyz00_14844);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17320;

								BgL_mainz00_17320 =
									MAKE_VA_PROCEDURE(BGl_z62main5704z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14842));
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 1)), BgL_valza2za2_17318);
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14843));
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 3)), BgL_bodyz00_14844);
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 4)), BgL_runz00_17319);
								PROCEDURE_SET(BgL_mainz00_17320,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14845));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17321;

									BgL_objz00_17321 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17319, BgL_objz00_17321);
									BgL_objz00_17321;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3572z00_17322;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3574z00_17323;

										BgL_arg3574z00_17323 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14843))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17324;

											BgL_newz00_17324 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30145;

												BgL_tmpz00_30145 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17324, BgL_tmpz00_30145,
													BgL_arg3574z00_17323);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30150;
												int BgL_tmpz00_30148;

												BgL_auxz00_30150 = BINT(BgL_siza7ezd2framez75_14845);
												BgL_tmpz00_30148 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17324, BgL_tmpz00_30148,
													BgL_auxz00_30150);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30153;

												BgL_tmpz00_30153 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17324, BgL_tmpz00_30153,
													BgL_runz00_17319);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30158;
												int BgL_tmpz00_30156;

												BgL_auxz00_30158 = BINT(((long) -2));
												BgL_tmpz00_30156 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17324, BgL_tmpz00_30156,
													BgL_auxz00_30158);
											}
											BgL_arg3572z00_17322 = BgL_newz00_17324;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17320, BgL_arg3572z00_17322);
									BgL_arg3572z00_17322;
								}
								return BgL_mainz00_17320;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5704 */
	obj_t BGl_z62main5704z62zz__evaluate_compz00(obj_t BgL_envz00_14847,
		obj_t BgL_dz00_14854, obj_t BgL_lastz00_14855)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14852;
				long BgL_siza7ezd2framez75_14853;

				BgL_runz00_14852 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14847, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14853 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14847, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17325;

					BgL_sz00_17325 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17326;

						BgL_bpz00_17326 = VECTOR_REF(((obj_t) BgL_sz00_17325), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17326) + BgL_siza7ezd2framez75_14853) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17325))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3577z00_17327;

									BgL_arg3577z00_17327 =
										((long) CINT(BgL_bpz00_17326) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17325), BgL_arg3577z00_17327,
										BgL_dz00_14854);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3578z00_17328;

									BgL_arg3578z00_17328 =
										((long) CINT(BgL_bpz00_17326) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17325), BgL_arg3578z00_17328,
										BgL_lastz00_14855);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17329;

									BgL_ez00_17329 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17329,
										BgL_bpz00_17326);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17330;

										BgL_accz00_17330 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14852, BgL_sz00_17325, BgL_bpz00_17326);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17329);
										VECTOR_SET(
											((obj_t) BgL_sz00_17325), ((long) 0), BgL_bpz00_17326);
										return BgL_accz00_17330;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17331;

								BgL_nsz00_17331 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17331, ((long) 1), BgL_sz00_17325);
								VECTOR_SET(BgL_nsz00_17331, ((long) 2), BgL_dz00_14854);
								VECTOR_SET(BgL_nsz00_17331, ((long) 3), BgL_lastz00_14855);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17332;

									BgL_z12denvz12_17332 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17332, BgL_nsz00_17331);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17333;

										BgL_ez00_17333 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17333,
											BgL_sz00_17325);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17334;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17335;

												BgL_savedzd2bpzd2_17335 =
													VECTOR_REF(BgL_nsz00_17331, ((long) 0));
												VECTOR_SET(BgL_nsz00_17331, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17337;

													BgL_fz00_17337 = BgL_runz00_14852;
												BgL_recz00_17336:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17338;

														BgL_rz00_17338 =
															PROCEDURE_ENTRY(BgL_fz00_17337) (BgL_fz00_17337,
															BgL_nsz00_17331, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30206;

															if (PROCEDUREP(BgL_rz00_17338))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17339;

																	BgL_arg1693z00_17339 =
																		PROCEDURE_ATTR(BgL_rz00_17338);
																	if (STRUCTP(BgL_arg1693z00_17339))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30206 =
																				(STRUCT_KEY(BgL_arg1693z00_17339) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30206 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30206 = ((bool_t) 0);
																}
															if (BgL_testz00_30206)
																{
																	obj_t BgL_fz00_30214;

																	BgL_fz00_30214 = BgL_rz00_17338;
																	BgL_fz00_17337 = BgL_fz00_30214;
																	goto BgL_recz00_17336;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17331, ((long) 0),
																		BgL_savedzd2bpzd2_17335);
																	BgL_____rz00_17334 = BgL_rz00_17338;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17333);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17332, BgL_sz00_17325);
											return BgL_____rz00_17334;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5705 */
	obj_t BGl_z62run5705z62zz__evaluate_compz00(obj_t BgL_envz00_14856,
		obj_t BgL_sz00_14861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14857;
				obj_t BgL_valza2za2_14858;
				BgL_ev_absz00_bglt BgL_i1245z00_14859;
				obj_t BgL_bodyz00_14860;

				BgL_siza7eza7_14857 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 0))));
				BgL_valza2za2_14858 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 1))));
				BgL_i1245z00_14859 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 2))));
				BgL_bodyz00_14860 = PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17340;

					BgL_bpz00_17340 = VECTOR_REF(((obj_t) BgL_sz00_14861), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14861,
						BgL_valza2za2_14858,
						((long) CINT(BgL_bpz00_17340) + BgL_siza7eza7_14857));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17341;
						obj_t BgL_wherez00_17342;
						obj_t BgL_locz00_17343;

						BgL_z12denvz12_17341 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17342 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14859))->
							BgL_wherez00);
						BgL_locz00_17343 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14859))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17341, BgL_wherez00_17342,
								BgL_locz00_17343);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17344;

								BgL_za2za2resza2za2z00_17344 =
									PROCEDURE_ENTRY(BgL_bodyz00_14860) (BgL_bodyz00_14860,
									BgL_sz00_14861, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17341);
								return BgL_za2za2resza2za2z00_17344;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3582> */
	obj_t BGl_z62zc3anonymousza33582ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14862, obj_t BgL_sz00_14869)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14863;
				obj_t BgL_iboxesz00_14864;
				long BgL_siza7eza7_14865;
				BgL_ev_absz00_bglt BgL_i1245z00_14866;
				obj_t BgL_bodyz00_14867;
				long BgL_siza7ezd2framez75_14868;

				BgL_ifreesz00_14863 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 0))));
				BgL_iboxesz00_14864 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 1))));
				BgL_siza7eza7_14865 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 2))));
				BgL_i1245z00_14866 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 3))));
				BgL_bodyz00_14867 = PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14868 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17345;

					BgL_bpz00_17345 = VECTOR_REF(((obj_t) BgL_sz00_14869), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17346;

						BgL_valza2za2_17346 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14869,
							BgL_bpz00_17345, BgL_ifreesz00_14863);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17347;

							BgL_runz00_17347 =
								MAKE_FX_PROCEDURE(BGl_z62run5707z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17347,
								(int) (((long) 0)), BgL_iboxesz00_14864);
							PROCEDURE_SET(BgL_runz00_17347,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14865));
							PROCEDURE_SET(BgL_runz00_17347,
								(int) (((long) 2)), BgL_valza2za2_17346);
							PROCEDURE_SET(BgL_runz00_17347,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14866));
							PROCEDURE_SET(BgL_runz00_17347,
								(int) (((long) 4)), BgL_bodyz00_14867);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17348;

								BgL_mainz00_17348 =
									MAKE_VA_PROCEDURE(BGl_z62main5706z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 0)), BgL_iboxesz00_14864);
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14865));
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 2)), BgL_valza2za2_17346);
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14866));
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 4)), BgL_bodyz00_14867);
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 5)), BgL_runz00_17347);
								PROCEDURE_SET(BgL_mainz00_17348,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14868));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17349;

									BgL_objz00_17349 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17347, BgL_objz00_17349);
									BgL_objz00_17349;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3584z00_17350;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3585z00_17351;

										BgL_arg3585z00_17351 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14866))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17352;

											BgL_newz00_17352 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30302;

												BgL_tmpz00_30302 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17352, BgL_tmpz00_30302,
													BgL_arg3585z00_17351);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30307;
												int BgL_tmpz00_30305;

												BgL_auxz00_30307 = BINT(BgL_siza7ezd2framez75_14868);
												BgL_tmpz00_30305 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17352, BgL_tmpz00_30305,
													BgL_auxz00_30307);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30310;

												BgL_tmpz00_30310 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17352, BgL_tmpz00_30310,
													BgL_runz00_17347);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30315;
												int BgL_tmpz00_30313;

												BgL_auxz00_30315 = BINT(((long) -2));
												BgL_tmpz00_30313 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17352, BgL_tmpz00_30313,
													BgL_auxz00_30315);
											}
											BgL_arg3584z00_17350 = BgL_newz00_17352;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17348, BgL_arg3584z00_17350);
									BgL_arg3584z00_17350;
								}
								return BgL_mainz00_17348;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5706 */
	obj_t BGl_z62main5706z62zz__evaluate_compz00(obj_t BgL_envz00_14870,
		obj_t BgL_dz00_14878, obj_t BgL_lastz00_14879)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14876;
				long BgL_siza7ezd2framez75_14877;

				BgL_runz00_14876 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14870, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14877 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14870, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17353;

					BgL_sz00_17353 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17354;

						BgL_bpz00_17354 = VECTOR_REF(((obj_t) BgL_sz00_17353), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17354) + BgL_siza7ezd2framez75_14877) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17353))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3588z00_17355;

									BgL_arg3588z00_17355 =
										((long) CINT(BgL_bpz00_17354) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17353), BgL_arg3588z00_17355,
										BgL_dz00_14878);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3590z00_17356;

									BgL_arg3590z00_17356 =
										((long) CINT(BgL_bpz00_17354) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17353), BgL_arg3590z00_17356,
										BgL_lastz00_14879);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17357;

									BgL_ez00_17357 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17357,
										BgL_bpz00_17354);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17358;

										BgL_accz00_17358 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14876, BgL_sz00_17353, BgL_bpz00_17354);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17357);
										VECTOR_SET(
											((obj_t) BgL_sz00_17353), ((long) 0), BgL_bpz00_17354);
										return BgL_accz00_17358;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17359;

								BgL_nsz00_17359 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17359, ((long) 1), BgL_sz00_17353);
								VECTOR_SET(BgL_nsz00_17359, ((long) 2), BgL_dz00_14878);
								VECTOR_SET(BgL_nsz00_17359, ((long) 3), BgL_lastz00_14879);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17360;

									BgL_z12denvz12_17360 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17360, BgL_nsz00_17359);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17361;

										BgL_ez00_17361 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17361,
											BgL_sz00_17353);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17362;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17363;

												BgL_savedzd2bpzd2_17363 =
													VECTOR_REF(BgL_nsz00_17359, ((long) 0));
												VECTOR_SET(BgL_nsz00_17359, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17365;

													BgL_fz00_17365 = BgL_runz00_14876;
												BgL_recz00_17364:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17366;

														BgL_rz00_17366 =
															PROCEDURE_ENTRY(BgL_fz00_17365) (BgL_fz00_17365,
															BgL_nsz00_17359, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30363;

															if (PROCEDUREP(BgL_rz00_17366))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17367;

																	BgL_arg1693z00_17367 =
																		PROCEDURE_ATTR(BgL_rz00_17366);
																	if (STRUCTP(BgL_arg1693z00_17367))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30363 =
																				(STRUCT_KEY(BgL_arg1693z00_17367) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30363 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30363 = ((bool_t) 0);
																}
															if (BgL_testz00_30363)
																{
																	obj_t BgL_fz00_30371;

																	BgL_fz00_30371 = BgL_rz00_17366;
																	BgL_fz00_17365 = BgL_fz00_30371;
																	goto BgL_recz00_17364;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17359, ((long) 0),
																		BgL_savedzd2bpzd2_17363);
																	BgL_____rz00_17362 = BgL_rz00_17366;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17361);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17360, BgL_sz00_17353);
											return BgL_____rz00_17362;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5707 */
	obj_t BGl_z62run5707z62zz__evaluate_compz00(obj_t BgL_envz00_14880,
		obj_t BgL_sz00_14886)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14881;
				long BgL_siza7eza7_14882;
				obj_t BgL_valza2za2_14883;
				BgL_ev_absz00_bglt BgL_i1245z00_14884;
				obj_t BgL_bodyz00_14885;

				BgL_iboxesz00_14881 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14880, (int) (((long) 0))));
				BgL_siza7eza7_14882 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14880, (int) (((long) 1))));
				BgL_valza2za2_14883 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14880, (int) (((long) 2))));
				BgL_i1245z00_14884 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14880, (int) (((long) 3))));
				BgL_bodyz00_14885 = PROCEDURE_REF(BgL_envz00_14880, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17368;

					BgL_bpz00_17368 = VECTOR_REF(((obj_t) BgL_sz00_14886), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14886,
						BgL_iboxesz00_14881, BgL_bpz00_17368);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14886,
						BgL_valza2za2_14883,
						((long) CINT(BgL_bpz00_17368) + BgL_siza7eza7_14882));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17369;
						obj_t BgL_wherez00_17370;
						obj_t BgL_locz00_17371;

						BgL_z12denvz12_17369 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17370 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14884))->
							BgL_wherez00);
						BgL_locz00_17371 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14884))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17369, BgL_wherez00_17370,
								BgL_locz00_17371);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17372;

								BgL_za2za2resza2za2z00_17372 =
									PROCEDURE_ENTRY(BgL_bodyz00_14885) (BgL_bodyz00_14885,
									BgL_sz00_14886, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17369);
								return BgL_za2za2resza2za2z00_17372;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3507> */
	obj_t BGl_z62zc3anonymousza33507ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14887, obj_t BgL_sz00_14891)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14888;
				obj_t BgL_bodyz00_14889;
				long BgL_siza7ezd2framez75_14890;

				BgL_i1245z00_14888 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14887, (int) (((long) 0))));
				BgL_bodyz00_14889 = PROCEDURE_REF(BgL_envz00_14887, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14890 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14887, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17373;

					BgL_bpz00_17373 = VECTOR_REF(((obj_t) BgL_sz00_14891), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17374;

							BgL_runz00_17374 =
								MAKE_FX_PROCEDURE(BGl_z62run5709z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17374,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14888));
							PROCEDURE_SET(BgL_runz00_17374,
								(int) (((long) 1)), BgL_bodyz00_14889);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17375;

								BgL_mainz00_17375 =
									MAKE_FX_PROCEDURE(BGl_z62main5708z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17375,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14888));
								PROCEDURE_SET(BgL_mainz00_17375,
									(int) (((long) 1)), BgL_bodyz00_14889);
								PROCEDURE_SET(BgL_mainz00_17375,
									(int) (((long) 2)), BgL_runz00_17374);
								PROCEDURE_SET(BgL_mainz00_17375,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14890));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17376;

									BgL_objz00_17376 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17374, BgL_objz00_17376);
									BgL_objz00_17376;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3508z00_17377;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3510z00_17378;

										BgL_arg3510z00_17378 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14888))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17379;

											BgL_newz00_17379 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30439;

												BgL_tmpz00_30439 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17379, BgL_tmpz00_30439,
													BgL_arg3510z00_17378);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30444;
												int BgL_tmpz00_30442;

												BgL_auxz00_30444 = BINT(BgL_siza7ezd2framez75_14890);
												BgL_tmpz00_30442 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17379, BgL_tmpz00_30442,
													BgL_auxz00_30444);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30447;

												BgL_tmpz00_30447 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17379, BgL_tmpz00_30447,
													BgL_runz00_17374);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30452;
												int BgL_tmpz00_30450;

												BgL_auxz00_30452 = BINT(((long) 1));
												BgL_tmpz00_30450 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17379, BgL_tmpz00_30450,
													BgL_auxz00_30452);
											}
											BgL_arg3508z00_17377 = BgL_newz00_17379;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17375, BgL_arg3508z00_17377);
									BgL_arg3508z00_17377;
								}
								return BgL_mainz00_17375;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5708 */
	obj_t BGl_z62main5708z62zz__evaluate_compz00(obj_t BgL_envz00_14892,
		obj_t BgL_dz00_14897)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14895;
				long BgL_siza7ezd2framez75_14896;

				BgL_runz00_14895 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14892, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14896 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14892, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17380;

					BgL_sz00_17380 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17381;

						BgL_bpz00_17381 = VECTOR_REF(((obj_t) BgL_sz00_17380), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17381) + BgL_siza7ezd2framez75_14896) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17380))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3514z00_17382;

									BgL_arg3514z00_17382 =
										((long) CINT(BgL_bpz00_17381) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17380), BgL_arg3514z00_17382,
										BgL_dz00_14897);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17383;

									BgL_ez00_17383 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17383,
										BgL_bpz00_17381);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17384;

										BgL_accz00_17384 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14895, BgL_sz00_17380, BgL_bpz00_17381);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17383);
										VECTOR_SET(
											((obj_t) BgL_sz00_17380), ((long) 0), BgL_bpz00_17381);
										return BgL_accz00_17384;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17385;

								BgL_nsz00_17385 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17385, ((long) 1), BgL_sz00_17380);
								VECTOR_SET(BgL_nsz00_17385, ((long) 2), BgL_dz00_14897);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17386;

									BgL_z12denvz12_17386 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17386, BgL_nsz00_17385);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17387;

										BgL_ez00_17387 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17387,
											BgL_sz00_17380);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17388;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17389;

												BgL_savedzd2bpzd2_17389 =
													VECTOR_REF(BgL_nsz00_17385, ((long) 0));
												VECTOR_SET(BgL_nsz00_17385, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17391;

													BgL_fz00_17391 = BgL_runz00_14895;
												BgL_recz00_17390:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17392;

														BgL_rz00_17392 =
															PROCEDURE_ENTRY(BgL_fz00_17391) (BgL_fz00_17391,
															BgL_nsz00_17385, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30495;

															if (PROCEDUREP(BgL_rz00_17392))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17393;

																	BgL_arg1693z00_17393 =
																		PROCEDURE_ATTR(BgL_rz00_17392);
																	if (STRUCTP(BgL_arg1693z00_17393))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30495 =
																				(STRUCT_KEY(BgL_arg1693z00_17393) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30495 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30495 = ((bool_t) 0);
																}
															if (BgL_testz00_30495)
																{
																	obj_t BgL_fz00_30503;

																	BgL_fz00_30503 = BgL_rz00_17392;
																	BgL_fz00_17391 = BgL_fz00_30503;
																	goto BgL_recz00_17390;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17385, ((long) 0),
																		BgL_savedzd2bpzd2_17389);
																	BgL_____rz00_17388 = BgL_rz00_17392;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17387);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17386, BgL_sz00_17380);
											return BgL_____rz00_17388;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5709 */
	obj_t BGl_z62run5709z62zz__evaluate_compz00(obj_t BgL_envz00_14898,
		obj_t BgL_sz00_14901)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14899;
				obj_t BgL_bodyz00_14900;

				BgL_i1245z00_14899 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14898, (int) (((long) 0))));
				BgL_bodyz00_14900 = PROCEDURE_REF(BgL_envz00_14898, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17394;

					BgL_bpz00_17394 = VECTOR_REF(((obj_t) BgL_sz00_14901), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17395;
						obj_t BgL_wherez00_17396;
						obj_t BgL_locz00_17397;

						BgL_z12denvz12_17395 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17396 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14899))->
							BgL_wherez00);
						BgL_locz00_17397 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14899))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17395, BgL_wherez00_17396,
								BgL_locz00_17397);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17398;

								BgL_za2za2resza2za2z00_17398 =
									PROCEDURE_ENTRY(BgL_bodyz00_14900) (BgL_bodyz00_14900,
									BgL_sz00_14901, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17395);
								return BgL_za2za2resza2za2z00_17398;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3516> */
	obj_t BGl_z62zc3anonymousza33516ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14902, obj_t BgL_sz00_14907)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14903;
				BgL_ev_absz00_bglt BgL_i1245z00_14904;
				obj_t BgL_bodyz00_14905;
				long BgL_siza7ezd2framez75_14906;

				BgL_iboxesz00_14903 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 0))));
				BgL_i1245z00_14904 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 1))));
				BgL_bodyz00_14905 = PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17399;

					BgL_bpz00_17399 = VECTOR_REF(((obj_t) BgL_sz00_14907), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17400;

							BgL_runz00_17400 =
								MAKE_FX_PROCEDURE(BGl_z62run5711z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17400,
								(int) (((long) 0)), BgL_iboxesz00_14903);
							PROCEDURE_SET(BgL_runz00_17400,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14904));
							PROCEDURE_SET(BgL_runz00_17400,
								(int) (((long) 2)), BgL_bodyz00_14905);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17401;

								BgL_mainz00_17401 =
									MAKE_FX_PROCEDURE(BGl_z62main5710z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17401,
									(int) (((long) 0)), BgL_iboxesz00_14903);
								PROCEDURE_SET(BgL_mainz00_17401,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14904));
								PROCEDURE_SET(BgL_mainz00_17401,
									(int) (((long) 2)), BgL_bodyz00_14905);
								PROCEDURE_SET(BgL_mainz00_17401,
									(int) (((long) 3)), BgL_runz00_17400);
								PROCEDURE_SET(BgL_mainz00_17401,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14906));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17402;

									BgL_objz00_17402 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17400, BgL_objz00_17402);
									BgL_objz00_17402;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3517z00_17403;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3518z00_17404;

										BgL_arg3518z00_17404 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14904))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17405;

											BgL_newz00_17405 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30565;

												BgL_tmpz00_30565 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17405, BgL_tmpz00_30565,
													BgL_arg3518z00_17404);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30570;
												int BgL_tmpz00_30568;

												BgL_auxz00_30570 = BINT(BgL_siza7ezd2framez75_14906);
												BgL_tmpz00_30568 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17405, BgL_tmpz00_30568,
													BgL_auxz00_30570);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30573;

												BgL_tmpz00_30573 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17405, BgL_tmpz00_30573,
													BgL_runz00_17400);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30578;
												int BgL_tmpz00_30576;

												BgL_auxz00_30578 = BINT(((long) 1));
												BgL_tmpz00_30576 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17405, BgL_tmpz00_30576,
													BgL_auxz00_30578);
											}
											BgL_arg3517z00_17403 = BgL_newz00_17405;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17401, BgL_arg3517z00_17403);
									BgL_arg3517z00_17403;
								}
								return BgL_mainz00_17401;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5710 */
	obj_t BGl_z62main5710z62zz__evaluate_compz00(obj_t BgL_envz00_14908,
		obj_t BgL_dz00_14914)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14912;
				long BgL_siza7ezd2framez75_14913;

				BgL_runz00_14912 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14913 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17406;

					BgL_sz00_17406 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17407;

						BgL_bpz00_17407 = VECTOR_REF(((obj_t) BgL_sz00_17406), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17407) + BgL_siza7ezd2framez75_14913) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17406))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3521z00_17408;

									BgL_arg3521z00_17408 =
										((long) CINT(BgL_bpz00_17407) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17406), BgL_arg3521z00_17408,
										BgL_dz00_14914);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17409;

									BgL_ez00_17409 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17409,
										BgL_bpz00_17407);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17410;

										BgL_accz00_17410 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14912, BgL_sz00_17406, BgL_bpz00_17407);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17409);
										VECTOR_SET(
											((obj_t) BgL_sz00_17406), ((long) 0), BgL_bpz00_17407);
										return BgL_accz00_17410;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17411;

								BgL_nsz00_17411 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17411, ((long) 1), BgL_sz00_17406);
								VECTOR_SET(BgL_nsz00_17411, ((long) 2), BgL_dz00_14914);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17412;

									BgL_z12denvz12_17412 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17412, BgL_nsz00_17411);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17413;

										BgL_ez00_17413 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17413,
											BgL_sz00_17406);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17414;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17415;

												BgL_savedzd2bpzd2_17415 =
													VECTOR_REF(BgL_nsz00_17411, ((long) 0));
												VECTOR_SET(BgL_nsz00_17411, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17417;

													BgL_fz00_17417 = BgL_runz00_14912;
												BgL_recz00_17416:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17418;

														BgL_rz00_17418 =
															PROCEDURE_ENTRY(BgL_fz00_17417) (BgL_fz00_17417,
															BgL_nsz00_17411, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30621;

															if (PROCEDUREP(BgL_rz00_17418))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17419;

																	BgL_arg1693z00_17419 =
																		PROCEDURE_ATTR(BgL_rz00_17418);
																	if (STRUCTP(BgL_arg1693z00_17419))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30621 =
																				(STRUCT_KEY(BgL_arg1693z00_17419) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30621 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30621 = ((bool_t) 0);
																}
															if (BgL_testz00_30621)
																{
																	obj_t BgL_fz00_30629;

																	BgL_fz00_30629 = BgL_rz00_17418;
																	BgL_fz00_17417 = BgL_fz00_30629;
																	goto BgL_recz00_17416;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17411, ((long) 0),
																		BgL_savedzd2bpzd2_17415);
																	BgL_____rz00_17414 = BgL_rz00_17418;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17413);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17412, BgL_sz00_17406);
											return BgL_____rz00_17414;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5711 */
	obj_t BGl_z62run5711z62zz__evaluate_compz00(obj_t BgL_envz00_14915,
		obj_t BgL_sz00_14919)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14916;
				BgL_ev_absz00_bglt BgL_i1245z00_14917;
				obj_t BgL_bodyz00_14918;

				BgL_iboxesz00_14916 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14915, (int) (((long) 0))));
				BgL_i1245z00_14917 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14915, (int) (((long) 1))));
				BgL_bodyz00_14918 = PROCEDURE_REF(BgL_envz00_14915, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17420;

					BgL_bpz00_17420 = VECTOR_REF(((obj_t) BgL_sz00_14919), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14919,
						BgL_iboxesz00_14916, BgL_bpz00_17420);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17421;
						obj_t BgL_wherez00_17422;
						obj_t BgL_locz00_17423;

						BgL_z12denvz12_17421 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17422 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14917))->
							BgL_wherez00);
						BgL_locz00_17423 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14917))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17421, BgL_wherez00_17422,
								BgL_locz00_17423);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17424;

								BgL_za2za2resza2za2z00_17424 =
									PROCEDURE_ENTRY(BgL_bodyz00_14918) (BgL_bodyz00_14918,
									BgL_sz00_14919, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17421);
								return BgL_za2za2resza2za2z00_17424;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3526> */
	obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14920, obj_t BgL_sz00_14926)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14921;
				long BgL_siza7eza7_14922;
				BgL_ev_absz00_bglt BgL_i1245z00_14923;
				obj_t BgL_bodyz00_14924;
				long BgL_siza7ezd2framez75_14925;

				BgL_ifreesz00_14921 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14920, (int) (((long) 0))));
				BgL_siza7eza7_14922 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14920, (int) (((long) 1))));
				BgL_i1245z00_14923 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14920, (int) (((long) 2))));
				BgL_bodyz00_14924 = PROCEDURE_REF(BgL_envz00_14920, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14925 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14920, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17425;

					BgL_bpz00_17425 = VECTOR_REF(((obj_t) BgL_sz00_14926), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17426;

						BgL_valza2za2_17426 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14926,
							BgL_bpz00_17425, BgL_ifreesz00_14921);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17427;

							BgL_runz00_17427 =
								MAKE_FX_PROCEDURE(BGl_z62run5713z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17427,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14922));
							PROCEDURE_SET(BgL_runz00_17427,
								(int) (((long) 1)), BgL_valza2za2_17426);
							PROCEDURE_SET(BgL_runz00_17427,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14923));
							PROCEDURE_SET(BgL_runz00_17427,
								(int) (((long) 3)), BgL_bodyz00_14924);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17428;

								BgL_mainz00_17428 =
									MAKE_FX_PROCEDURE(BGl_z62main5712z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14922));
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 1)), BgL_valza2za2_17426);
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14923));
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 3)), BgL_bodyz00_14924);
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 4)), BgL_runz00_17427);
								PROCEDURE_SET(BgL_mainz00_17428,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14925));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17429;

									BgL_objz00_17429 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17427, BgL_objz00_17429);
									BgL_objz00_17429;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3527z00_17430;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3528z00_17431;

										BgL_arg3528z00_17431 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14923))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17432;

											BgL_newz00_17432 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30705;

												BgL_tmpz00_30705 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17432, BgL_tmpz00_30705,
													BgL_arg3528z00_17431);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30710;
												int BgL_tmpz00_30708;

												BgL_auxz00_30710 = BINT(BgL_siza7ezd2framez75_14925);
												BgL_tmpz00_30708 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17432, BgL_tmpz00_30708,
													BgL_auxz00_30710);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30713;

												BgL_tmpz00_30713 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17432, BgL_tmpz00_30713,
													BgL_runz00_17427);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30718;
												int BgL_tmpz00_30716;

												BgL_auxz00_30718 = BINT(((long) 1));
												BgL_tmpz00_30716 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17432, BgL_tmpz00_30716,
													BgL_auxz00_30718);
											}
											BgL_arg3527z00_17430 = BgL_newz00_17432;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17428, BgL_arg3527z00_17430);
									BgL_arg3527z00_17430;
								}
								return BgL_mainz00_17428;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5712 */
	obj_t BGl_z62main5712z62zz__evaluate_compz00(obj_t BgL_envz00_14927,
		obj_t BgL_dz00_14934)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14932;
				long BgL_siza7ezd2framez75_14933;

				BgL_runz00_14932 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14927, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14933 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14927, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17433;

					BgL_sz00_17433 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17434;

						BgL_bpz00_17434 = VECTOR_REF(((obj_t) BgL_sz00_17433), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17434) + BgL_siza7ezd2framez75_14933) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17433))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3531z00_17435;

									BgL_arg3531z00_17435 =
										((long) CINT(BgL_bpz00_17434) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17433), BgL_arg3531z00_17435,
										BgL_dz00_14934);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17436;

									BgL_ez00_17436 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17436,
										BgL_bpz00_17434);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17437;

										BgL_accz00_17437 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14932, BgL_sz00_17433, BgL_bpz00_17434);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17436);
										VECTOR_SET(
											((obj_t) BgL_sz00_17433), ((long) 0), BgL_bpz00_17434);
										return BgL_accz00_17437;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17438;

								BgL_nsz00_17438 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17438, ((long) 1), BgL_sz00_17433);
								VECTOR_SET(BgL_nsz00_17438, ((long) 2), BgL_dz00_14934);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17439;

									BgL_z12denvz12_17439 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17439, BgL_nsz00_17438);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17440;

										BgL_ez00_17440 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17440,
											BgL_sz00_17433);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17441;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17442;

												BgL_savedzd2bpzd2_17442 =
													VECTOR_REF(BgL_nsz00_17438, ((long) 0));
												VECTOR_SET(BgL_nsz00_17438, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17444;

													BgL_fz00_17444 = BgL_runz00_14932;
												BgL_recz00_17443:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17445;

														BgL_rz00_17445 =
															PROCEDURE_ENTRY(BgL_fz00_17444) (BgL_fz00_17444,
															BgL_nsz00_17438, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30761;

															if (PROCEDUREP(BgL_rz00_17445))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17446;

																	BgL_arg1693z00_17446 =
																		PROCEDURE_ATTR(BgL_rz00_17445);
																	if (STRUCTP(BgL_arg1693z00_17446))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30761 =
																				(STRUCT_KEY(BgL_arg1693z00_17446) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30761 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30761 = ((bool_t) 0);
																}
															if (BgL_testz00_30761)
																{
																	obj_t BgL_fz00_30769;

																	BgL_fz00_30769 = BgL_rz00_17445;
																	BgL_fz00_17444 = BgL_fz00_30769;
																	goto BgL_recz00_17443;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17438, ((long) 0),
																		BgL_savedzd2bpzd2_17442);
																	BgL_____rz00_17441 = BgL_rz00_17445;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17440);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17439, BgL_sz00_17433);
											return BgL_____rz00_17441;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5713 */
	obj_t BGl_z62run5713z62zz__evaluate_compz00(obj_t BgL_envz00_14935,
		obj_t BgL_sz00_14940)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14936;
				obj_t BgL_valza2za2_14937;
				BgL_ev_absz00_bglt BgL_i1245z00_14938;
				obj_t BgL_bodyz00_14939;

				BgL_siza7eza7_14936 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 0))));
				BgL_valza2za2_14937 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 1))));
				BgL_i1245z00_14938 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 2))));
				BgL_bodyz00_14939 = PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17447;

					BgL_bpz00_17447 = VECTOR_REF(((obj_t) BgL_sz00_14940), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14940,
						BgL_valza2za2_14937,
						((long) CINT(BgL_bpz00_17447) + BgL_siza7eza7_14936));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17448;
						obj_t BgL_wherez00_17449;
						obj_t BgL_locz00_17450;

						BgL_z12denvz12_17448 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17449 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14938))->
							BgL_wherez00);
						BgL_locz00_17450 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14938))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17448, BgL_wherez00_17449,
								BgL_locz00_17450);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17451;

								BgL_za2za2resza2za2z00_17451 =
									PROCEDURE_ENTRY(BgL_bodyz00_14939) (BgL_bodyz00_14939,
									BgL_sz00_14940, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17448);
								return BgL_za2za2resza2za2z00_17451;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3535> */
	obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14941, obj_t BgL_sz00_14948)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14942;
				obj_t BgL_iboxesz00_14943;
				long BgL_siza7eza7_14944;
				BgL_ev_absz00_bglt BgL_i1245z00_14945;
				obj_t BgL_bodyz00_14946;
				long BgL_siza7ezd2framez75_14947;

				BgL_ifreesz00_14942 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 0))));
				BgL_iboxesz00_14943 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 1))));
				BgL_siza7eza7_14944 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 2))));
				BgL_i1245z00_14945 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 3))));
				BgL_bodyz00_14946 = PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14947 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14941, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17452;

					BgL_bpz00_17452 = VECTOR_REF(((obj_t) BgL_sz00_14948), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17453;

						BgL_valza2za2_17453 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14948,
							BgL_bpz00_17452, BgL_ifreesz00_14942);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17454;

							BgL_runz00_17454 =
								MAKE_FX_PROCEDURE(BGl_z62run5715z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17454,
								(int) (((long) 0)), BgL_iboxesz00_14943);
							PROCEDURE_SET(BgL_runz00_17454,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14944));
							PROCEDURE_SET(BgL_runz00_17454,
								(int) (((long) 2)), BgL_valza2za2_17453);
							PROCEDURE_SET(BgL_runz00_17454,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14945));
							PROCEDURE_SET(BgL_runz00_17454,
								(int) (((long) 4)), BgL_bodyz00_14946);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17455;

								BgL_mainz00_17455 =
									MAKE_FX_PROCEDURE(BGl_z62main5714z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 0)), BgL_iboxesz00_14943);
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14944));
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 2)), BgL_valza2za2_17453);
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14945));
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 4)), BgL_bodyz00_14946);
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 5)), BgL_runz00_17454);
								PROCEDURE_SET(BgL_mainz00_17455,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14947));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17456;

									BgL_objz00_17456 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17454, BgL_objz00_17456);
									BgL_objz00_17456;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3536z00_17457;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3538z00_17458;

										BgL_arg3538z00_17458 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14945))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17459;

											BgL_newz00_17459 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30857;

												BgL_tmpz00_30857 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17459, BgL_tmpz00_30857,
													BgL_arg3538z00_17458);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30862;
												int BgL_tmpz00_30860;

												BgL_auxz00_30862 = BINT(BgL_siza7ezd2framez75_14947);
												BgL_tmpz00_30860 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17459, BgL_tmpz00_30860,
													BgL_auxz00_30862);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30865;

												BgL_tmpz00_30865 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17459, BgL_tmpz00_30865,
													BgL_runz00_17454);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30870;
												int BgL_tmpz00_30868;

												BgL_auxz00_30870 = BINT(((long) 1));
												BgL_tmpz00_30868 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17459, BgL_tmpz00_30868,
													BgL_auxz00_30870);
											}
											BgL_arg3536z00_17457 = BgL_newz00_17459;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17455, BgL_arg3536z00_17457);
									BgL_arg3536z00_17457;
								}
								return BgL_mainz00_17455;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5714 */
	obj_t BGl_z62main5714z62zz__evaluate_compz00(obj_t BgL_envz00_14949,
		obj_t BgL_dz00_14957)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14955;
				long BgL_siza7ezd2framez75_14956;

				BgL_runz00_14955 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14956 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17460;

					BgL_sz00_17460 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17461;

						BgL_bpz00_17461 = VECTOR_REF(((obj_t) BgL_sz00_17460), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17461) + BgL_siza7ezd2framez75_14956) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17460))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3541z00_17462;

									BgL_arg3541z00_17462 =
										((long) CINT(BgL_bpz00_17461) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17460), BgL_arg3541z00_17462,
										BgL_dz00_14957);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17463;

									BgL_ez00_17463 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17463,
										BgL_bpz00_17461);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17464;

										BgL_accz00_17464 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14955, BgL_sz00_17460, BgL_bpz00_17461);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17463);
										VECTOR_SET(
											((obj_t) BgL_sz00_17460), ((long) 0), BgL_bpz00_17461);
										return BgL_accz00_17464;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17465;

								BgL_nsz00_17465 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17465, ((long) 1), BgL_sz00_17460);
								VECTOR_SET(BgL_nsz00_17465, ((long) 2), BgL_dz00_14957);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17466;

									BgL_z12denvz12_17466 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17466, BgL_nsz00_17465);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17467;

										BgL_ez00_17467 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17467,
											BgL_sz00_17460);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17468;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17469;

												BgL_savedzd2bpzd2_17469 =
													VECTOR_REF(BgL_nsz00_17465, ((long) 0));
												VECTOR_SET(BgL_nsz00_17465, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17471;

													BgL_fz00_17471 = BgL_runz00_14955;
												BgL_recz00_17470:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17472;

														BgL_rz00_17472 =
															PROCEDURE_ENTRY(BgL_fz00_17471) (BgL_fz00_17471,
															BgL_nsz00_17465, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30913;

															if (PROCEDUREP(BgL_rz00_17472))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17473;

																	BgL_arg1693z00_17473 =
																		PROCEDURE_ATTR(BgL_rz00_17472);
																	if (STRUCTP(BgL_arg1693z00_17473))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30913 =
																				(STRUCT_KEY(BgL_arg1693z00_17473) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30913 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30913 = ((bool_t) 0);
																}
															if (BgL_testz00_30913)
																{
																	obj_t BgL_fz00_30921;

																	BgL_fz00_30921 = BgL_rz00_17472;
																	BgL_fz00_17471 = BgL_fz00_30921;
																	goto BgL_recz00_17470;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17465, ((long) 0),
																		BgL_savedzd2bpzd2_17469);
																	BgL_____rz00_17468 = BgL_rz00_17472;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17467);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17466, BgL_sz00_17460);
											return BgL_____rz00_17468;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5715 */
	obj_t BGl_z62run5715z62zz__evaluate_compz00(obj_t BgL_envz00_14958,
		obj_t BgL_sz00_14964)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14959;
				long BgL_siza7eza7_14960;
				obj_t BgL_valza2za2_14961;
				BgL_ev_absz00_bglt BgL_i1245z00_14962;
				obj_t BgL_bodyz00_14963;

				BgL_iboxesz00_14959 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14958, (int) (((long) 0))));
				BgL_siza7eza7_14960 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14958, (int) (((long) 1))));
				BgL_valza2za2_14961 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14958, (int) (((long) 2))));
				BgL_i1245z00_14962 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14958, (int) (((long) 3))));
				BgL_bodyz00_14963 = PROCEDURE_REF(BgL_envz00_14958, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17474;

					BgL_bpz00_17474 = VECTOR_REF(((obj_t) BgL_sz00_14964), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14964,
						BgL_iboxesz00_14959, BgL_bpz00_17474);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14964,
						BgL_valza2za2_14961,
						((long) CINT(BgL_bpz00_17474) + BgL_siza7eza7_14960));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17475;
						obj_t BgL_wherez00_17476;
						obj_t BgL_locz00_17477;

						BgL_z12denvz12_17475 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17476 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14962))->
							BgL_wherez00);
						BgL_locz00_17477 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14962))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17475, BgL_wherez00_17476,
								BgL_locz00_17477);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17478;

								BgL_za2za2resza2za2z00_17478 =
									PROCEDURE_ENTRY(BgL_bodyz00_14963) (BgL_bodyz00_14963,
									BgL_sz00_14964, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17475);
								return BgL_za2za2resza2za2z00_17478;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3467> */
	obj_t BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14965, obj_t BgL_sz00_14969)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14966;
				obj_t BgL_bodyz00_14967;
				long BgL_siza7ezd2framez75_14968;

				BgL_i1245z00_14966 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 0))));
				BgL_bodyz00_14967 = PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17479;

					BgL_bpz00_17479 = VECTOR_REF(((obj_t) BgL_sz00_14969), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17480;

							BgL_runz00_17480 =
								MAKE_FX_PROCEDURE(BGl_z62run5717z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17480,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14966));
							PROCEDURE_SET(BgL_runz00_17480,
								(int) (((long) 1)), BgL_bodyz00_14967);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17481;

								BgL_mainz00_17481 =
									MAKE_VA_PROCEDURE(BGl_z62main5716z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17481,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14966));
								PROCEDURE_SET(BgL_mainz00_17481,
									(int) (((long) 1)), BgL_bodyz00_14967);
								PROCEDURE_SET(BgL_mainz00_17481,
									(int) (((long) 2)), BgL_runz00_17480);
								PROCEDURE_SET(BgL_mainz00_17481,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14968));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17482;

									BgL_objz00_17482 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17480, BgL_objz00_17482);
									BgL_objz00_17482;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3468z00_17483;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3469z00_17484;

										BgL_arg3469z00_17484 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14966))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17485;

											BgL_newz00_17485 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30989;

												BgL_tmpz00_30989 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17485, BgL_tmpz00_30989,
													BgL_arg3469z00_17484);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30994;
												int BgL_tmpz00_30992;

												BgL_auxz00_30994 = BINT(BgL_siza7ezd2framez75_14968);
												BgL_tmpz00_30992 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17485, BgL_tmpz00_30992,
													BgL_auxz00_30994);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30997;

												BgL_tmpz00_30997 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17485, BgL_tmpz00_30997,
													BgL_runz00_17480);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31002;
												int BgL_tmpz00_31000;

												BgL_auxz00_31002 = BINT(((long) -1));
												BgL_tmpz00_31000 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17485, BgL_tmpz00_31000,
													BgL_auxz00_31002);
											}
											BgL_arg3468z00_17483 = BgL_newz00_17485;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17481, BgL_arg3468z00_17483);
									BgL_arg3468z00_17483;
								}
								return BgL_mainz00_17481;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5716 */
	obj_t BGl_z62main5716z62zz__evaluate_compz00(obj_t BgL_envz00_14970,
		obj_t BgL_lastz00_14975)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14973;
				long BgL_siza7ezd2framez75_14974;

				BgL_runz00_14973 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14970, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14974 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14970, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17486;

					BgL_sz00_17486 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17487;

						BgL_bpz00_17487 = VECTOR_REF(((obj_t) BgL_sz00_17486), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17487) + BgL_siza7ezd2framez75_14974) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17486))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3472z00_17488;

									BgL_arg3472z00_17488 =
										((long) CINT(BgL_bpz00_17487) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17486), BgL_arg3472z00_17488,
										BgL_lastz00_14975);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17489;

									BgL_ez00_17489 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17489,
										BgL_bpz00_17487);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17490;

										BgL_accz00_17490 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14973, BgL_sz00_17486, BgL_bpz00_17487);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17489);
										VECTOR_SET(
											((obj_t) BgL_sz00_17486), ((long) 0), BgL_bpz00_17487);
										return BgL_accz00_17490;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17491;

								BgL_nsz00_17491 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17491, ((long) 1), BgL_sz00_17486);
								VECTOR_SET(BgL_nsz00_17491, ((long) 2), BgL_lastz00_14975);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17492;

									BgL_z12denvz12_17492 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17492, BgL_nsz00_17491);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17493;

										BgL_ez00_17493 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17493,
											BgL_sz00_17486);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17494;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17495;

												BgL_savedzd2bpzd2_17495 =
													VECTOR_REF(BgL_nsz00_17491, ((long) 0));
												VECTOR_SET(BgL_nsz00_17491, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17497;

													BgL_fz00_17497 = BgL_runz00_14973;
												BgL_recz00_17496:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17498;

														BgL_rz00_17498 =
															PROCEDURE_ENTRY(BgL_fz00_17497) (BgL_fz00_17497,
															BgL_nsz00_17491, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31045;

															if (PROCEDUREP(BgL_rz00_17498))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17499;

																	BgL_arg1693z00_17499 =
																		PROCEDURE_ATTR(BgL_rz00_17498);
																	if (STRUCTP(BgL_arg1693z00_17499))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31045 =
																				(STRUCT_KEY(BgL_arg1693z00_17499) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31045 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31045 = ((bool_t) 0);
																}
															if (BgL_testz00_31045)
																{
																	obj_t BgL_fz00_31053;

																	BgL_fz00_31053 = BgL_rz00_17498;
																	BgL_fz00_17497 = BgL_fz00_31053;
																	goto BgL_recz00_17496;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17491, ((long) 0),
																		BgL_savedzd2bpzd2_17495);
																	BgL_____rz00_17494 = BgL_rz00_17498;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17493);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17492, BgL_sz00_17486);
											return BgL_____rz00_17494;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5717 */
	obj_t BGl_z62run5717z62zz__evaluate_compz00(obj_t BgL_envz00_14976,
		obj_t BgL_sz00_14979)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14977;
				obj_t BgL_bodyz00_14978;

				BgL_i1245z00_14977 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 0))));
				BgL_bodyz00_14978 = PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17500;

					BgL_bpz00_17500 = VECTOR_REF(((obj_t) BgL_sz00_14979), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17501;
						obj_t BgL_wherez00_17502;
						obj_t BgL_locz00_17503;

						BgL_z12denvz12_17501 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17502 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14977))->
							BgL_wherez00);
						BgL_locz00_17503 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14977))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17501, BgL_wherez00_17502,
								BgL_locz00_17503);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17504;

								BgL_za2za2resza2za2z00_17504 =
									PROCEDURE_ENTRY(BgL_bodyz00_14978) (BgL_bodyz00_14978,
									BgL_sz00_14979, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17501);
								return BgL_za2za2resza2za2z00_17504;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3474> */
	obj_t BGl_z62zc3anonymousza33474ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14980, obj_t BgL_sz00_14985)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14981;
				BgL_ev_absz00_bglt BgL_i1245z00_14982;
				obj_t BgL_bodyz00_14983;
				long BgL_siza7ezd2framez75_14984;

				BgL_iboxesz00_14981 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14980, (int) (((long) 0))));
				BgL_i1245z00_14982 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14980, (int) (((long) 1))));
				BgL_bodyz00_14983 = PROCEDURE_REF(BgL_envz00_14980, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14984 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14980, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17505;

					BgL_bpz00_17505 = VECTOR_REF(((obj_t) BgL_sz00_14985), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17506;

							BgL_runz00_17506 =
								MAKE_FX_PROCEDURE(BGl_z62run5719z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17506,
								(int) (((long) 0)), BgL_iboxesz00_14981);
							PROCEDURE_SET(BgL_runz00_17506,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14982));
							PROCEDURE_SET(BgL_runz00_17506,
								(int) (((long) 2)), BgL_bodyz00_14983);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17507;

								BgL_mainz00_17507 =
									MAKE_VA_PROCEDURE(BGl_z62main5718z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17507,
									(int) (((long) 0)), BgL_iboxesz00_14981);
								PROCEDURE_SET(BgL_mainz00_17507,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14982));
								PROCEDURE_SET(BgL_mainz00_17507,
									(int) (((long) 2)), BgL_bodyz00_14983);
								PROCEDURE_SET(BgL_mainz00_17507,
									(int) (((long) 3)), BgL_runz00_17506);
								PROCEDURE_SET(BgL_mainz00_17507,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14984));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17508;

									BgL_objz00_17508 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17506, BgL_objz00_17508);
									BgL_objz00_17508;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3475z00_17509;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3476z00_17510;

										BgL_arg3476z00_17510 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14982))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17511;

											BgL_newz00_17511 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31115;

												BgL_tmpz00_31115 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17511, BgL_tmpz00_31115,
													BgL_arg3476z00_17510);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31120;
												int BgL_tmpz00_31118;

												BgL_auxz00_31120 = BINT(BgL_siza7ezd2framez75_14984);
												BgL_tmpz00_31118 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17511, BgL_tmpz00_31118,
													BgL_auxz00_31120);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31123;

												BgL_tmpz00_31123 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17511, BgL_tmpz00_31123,
													BgL_runz00_17506);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31128;
												int BgL_tmpz00_31126;

												BgL_auxz00_31128 = BINT(((long) -1));
												BgL_tmpz00_31126 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17511, BgL_tmpz00_31126,
													BgL_auxz00_31128);
											}
											BgL_arg3475z00_17509 = BgL_newz00_17511;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17507, BgL_arg3475z00_17509);
									BgL_arg3475z00_17509;
								}
								return BgL_mainz00_17507;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5718 */
	obj_t BGl_z62main5718z62zz__evaluate_compz00(obj_t BgL_envz00_14986,
		obj_t BgL_lastz00_14992)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14990;
				long BgL_siza7ezd2framez75_14991;

				BgL_runz00_14990 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14986, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14991 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14986, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17512;

					BgL_sz00_17512 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17513;

						BgL_bpz00_17513 = VECTOR_REF(((obj_t) BgL_sz00_17512), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17513) + BgL_siza7ezd2framez75_14991) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17512))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3479z00_17514;

									BgL_arg3479z00_17514 =
										((long) CINT(BgL_bpz00_17513) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17512), BgL_arg3479z00_17514,
										BgL_lastz00_14992);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17515;

									BgL_ez00_17515 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17515,
										BgL_bpz00_17513);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17516;

										BgL_accz00_17516 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14990, BgL_sz00_17512, BgL_bpz00_17513);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17515);
										VECTOR_SET(
											((obj_t) BgL_sz00_17512), ((long) 0), BgL_bpz00_17513);
										return BgL_accz00_17516;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17517;

								BgL_nsz00_17517 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17517, ((long) 1), BgL_sz00_17512);
								VECTOR_SET(BgL_nsz00_17517, ((long) 2), BgL_lastz00_14992);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17518;

									BgL_z12denvz12_17518 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17518, BgL_nsz00_17517);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17519;

										BgL_ez00_17519 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17519,
											BgL_sz00_17512);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17520;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17521;

												BgL_savedzd2bpzd2_17521 =
													VECTOR_REF(BgL_nsz00_17517, ((long) 0));
												VECTOR_SET(BgL_nsz00_17517, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17523;

													BgL_fz00_17523 = BgL_runz00_14990;
												BgL_recz00_17522:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17524;

														BgL_rz00_17524 =
															PROCEDURE_ENTRY(BgL_fz00_17523) (BgL_fz00_17523,
															BgL_nsz00_17517, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31171;

															if (PROCEDUREP(BgL_rz00_17524))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17525;

																	BgL_arg1693z00_17525 =
																		PROCEDURE_ATTR(BgL_rz00_17524);
																	if (STRUCTP(BgL_arg1693z00_17525))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31171 =
																				(STRUCT_KEY(BgL_arg1693z00_17525) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31171 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31171 = ((bool_t) 0);
																}
															if (BgL_testz00_31171)
																{
																	obj_t BgL_fz00_31179;

																	BgL_fz00_31179 = BgL_rz00_17524;
																	BgL_fz00_17523 = BgL_fz00_31179;
																	goto BgL_recz00_17522;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17517, ((long) 0),
																		BgL_savedzd2bpzd2_17521);
																	BgL_____rz00_17520 = BgL_rz00_17524;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17519);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17518, BgL_sz00_17512);
											return BgL_____rz00_17520;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5719 */
	obj_t BGl_z62run5719z62zz__evaluate_compz00(obj_t BgL_envz00_14993,
		obj_t BgL_sz00_14997)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14994;
				BgL_ev_absz00_bglt BgL_i1245z00_14995;
				obj_t BgL_bodyz00_14996;

				BgL_iboxesz00_14994 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 0))));
				BgL_i1245z00_14995 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 1))));
				BgL_bodyz00_14996 = PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17526;

					BgL_bpz00_17526 = VECTOR_REF(((obj_t) BgL_sz00_14997), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14997,
						BgL_iboxesz00_14994, BgL_bpz00_17526);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17527;
						obj_t BgL_wherez00_17528;
						obj_t BgL_locz00_17529;

						BgL_z12denvz12_17527 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17528 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14995))->
							BgL_wherez00);
						BgL_locz00_17529 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_14995))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17527, BgL_wherez00_17528,
								BgL_locz00_17529);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17530;

								BgL_za2za2resza2za2z00_17530 =
									PROCEDURE_ENTRY(BgL_bodyz00_14996) (BgL_bodyz00_14996,
									BgL_sz00_14997, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17527);
								return BgL_za2za2resza2za2z00_17530;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3484> */
	obj_t BGl_z62zc3anonymousza33484ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14998, obj_t BgL_sz00_15004)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14999;
				long BgL_siza7eza7_15000;
				BgL_ev_absz00_bglt BgL_i1245z00_15001;
				obj_t BgL_bodyz00_15002;
				long BgL_siza7ezd2framez75_15003;

				BgL_ifreesz00_14999 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 0))));
				BgL_siza7eza7_15000 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 1))));
				BgL_i1245z00_15001 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 2))));
				BgL_bodyz00_15002 = PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15003 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17531;

					BgL_bpz00_17531 = VECTOR_REF(((obj_t) BgL_sz00_15004), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17532;

						BgL_valza2za2_17532 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15004,
							BgL_bpz00_17531, BgL_ifreesz00_14999);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17533;

							BgL_runz00_17533 =
								MAKE_FX_PROCEDURE(BGl_z62run5721z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17533,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15000));
							PROCEDURE_SET(BgL_runz00_17533,
								(int) (((long) 1)), BgL_valza2za2_17532);
							PROCEDURE_SET(BgL_runz00_17533,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_15001));
							PROCEDURE_SET(BgL_runz00_17533,
								(int) (((long) 3)), BgL_bodyz00_15002);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17534;

								BgL_mainz00_17534 =
									MAKE_VA_PROCEDURE(BGl_z62main5720z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15000));
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 1)), BgL_valza2za2_17532);
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_15001));
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 3)), BgL_bodyz00_15002);
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 4)), BgL_runz00_17533);
								PROCEDURE_SET(BgL_mainz00_17534,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15003));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17535;

									BgL_objz00_17535 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17533, BgL_objz00_17535);
									BgL_objz00_17535;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3485z00_17536;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3486z00_17537;

										BgL_arg3486z00_17537 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15001))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17538;

											BgL_newz00_17538 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31255;

												BgL_tmpz00_31255 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17538, BgL_tmpz00_31255,
													BgL_arg3486z00_17537);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31260;
												int BgL_tmpz00_31258;

												BgL_auxz00_31260 = BINT(BgL_siza7ezd2framez75_15003);
												BgL_tmpz00_31258 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17538, BgL_tmpz00_31258,
													BgL_auxz00_31260);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31263;

												BgL_tmpz00_31263 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17538, BgL_tmpz00_31263,
													BgL_runz00_17533);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31268;
												int BgL_tmpz00_31266;

												BgL_auxz00_31268 = BINT(((long) -1));
												BgL_tmpz00_31266 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17538, BgL_tmpz00_31266,
													BgL_auxz00_31268);
											}
											BgL_arg3485z00_17536 = BgL_newz00_17538;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17534, BgL_arg3485z00_17536);
									BgL_arg3485z00_17536;
								}
								return BgL_mainz00_17534;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5720 */
	obj_t BGl_z62main5720z62zz__evaluate_compz00(obj_t BgL_envz00_15005,
		obj_t BgL_lastz00_15012)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15010;
				long BgL_siza7ezd2framez75_15011;

				BgL_runz00_15010 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15005, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15011 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15005, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17539;

					BgL_sz00_17539 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17540;

						BgL_bpz00_17540 = VECTOR_REF(((obj_t) BgL_sz00_17539), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17540) + BgL_siza7ezd2framez75_15011) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17539))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3489z00_17541;

									BgL_arg3489z00_17541 =
										((long) CINT(BgL_bpz00_17540) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17539), BgL_arg3489z00_17541,
										BgL_lastz00_15012);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17542;

									BgL_ez00_17542 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17542,
										BgL_bpz00_17540);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17543;

										BgL_accz00_17543 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15010, BgL_sz00_17539, BgL_bpz00_17540);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17542);
										VECTOR_SET(
											((obj_t) BgL_sz00_17539), ((long) 0), BgL_bpz00_17540);
										return BgL_accz00_17543;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17544;

								BgL_nsz00_17544 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17544, ((long) 1), BgL_sz00_17539);
								VECTOR_SET(BgL_nsz00_17544, ((long) 2), BgL_lastz00_15012);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17545;

									BgL_z12denvz12_17545 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17545, BgL_nsz00_17544);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17546;

										BgL_ez00_17546 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17546,
											BgL_sz00_17539);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17547;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17548;

												BgL_savedzd2bpzd2_17548 =
													VECTOR_REF(BgL_nsz00_17544, ((long) 0));
												VECTOR_SET(BgL_nsz00_17544, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17550;

													BgL_fz00_17550 = BgL_runz00_15010;
												BgL_recz00_17549:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17551;

														BgL_rz00_17551 =
															PROCEDURE_ENTRY(BgL_fz00_17550) (BgL_fz00_17550,
															BgL_nsz00_17544, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31311;

															if (PROCEDUREP(BgL_rz00_17551))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17552;

																	BgL_arg1693z00_17552 =
																		PROCEDURE_ATTR(BgL_rz00_17551);
																	if (STRUCTP(BgL_arg1693z00_17552))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31311 =
																				(STRUCT_KEY(BgL_arg1693z00_17552) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31311 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31311 = ((bool_t) 0);
																}
															if (BgL_testz00_31311)
																{
																	obj_t BgL_fz00_31319;

																	BgL_fz00_31319 = BgL_rz00_17551;
																	BgL_fz00_17550 = BgL_fz00_31319;
																	goto BgL_recz00_17549;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17544, ((long) 0),
																		BgL_savedzd2bpzd2_17548);
																	BgL_____rz00_17547 = BgL_rz00_17551;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17546);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17545, BgL_sz00_17539);
											return BgL_____rz00_17547;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5721 */
	obj_t BGl_z62run5721z62zz__evaluate_compz00(obj_t BgL_envz00_15013,
		obj_t BgL_sz00_15018)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15014;
				obj_t BgL_valza2za2_15015;
				BgL_ev_absz00_bglt BgL_i1245z00_15016;
				obj_t BgL_bodyz00_15017;

				BgL_siza7eza7_15014 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 0))));
				BgL_valza2za2_15015 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 1))));
				BgL_i1245z00_15016 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 2))));
				BgL_bodyz00_15017 = PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17553;

					BgL_bpz00_17553 = VECTOR_REF(((obj_t) BgL_sz00_15018), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15018,
						BgL_valza2za2_15015,
						((long) CINT(BgL_bpz00_17553) + BgL_siza7eza7_15014));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17554;
						obj_t BgL_wherez00_17555;
						obj_t BgL_locz00_17556;

						BgL_z12denvz12_17554 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17555 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15016))->
							BgL_wherez00);
						BgL_locz00_17556 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15016))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17554, BgL_wherez00_17555,
								BgL_locz00_17556);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17557;

								BgL_za2za2resza2za2z00_17557 =
									PROCEDURE_ENTRY(BgL_bodyz00_15017) (BgL_bodyz00_15017,
									BgL_sz00_15018, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17554);
								return BgL_za2za2resza2za2z00_17557;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3492> */
	obj_t BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15019, obj_t BgL_sz00_15026)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15020;
				obj_t BgL_iboxesz00_15021;
				long BgL_siza7eza7_15022;
				BgL_ev_absz00_bglt BgL_i1245z00_15023;
				obj_t BgL_bodyz00_15024;
				long BgL_siza7ezd2framez75_15025;

				BgL_ifreesz00_15020 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 0))));
				BgL_iboxesz00_15021 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 1))));
				BgL_siza7eza7_15022 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 2))));
				BgL_i1245z00_15023 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 3))));
				BgL_bodyz00_15024 = PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15025 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15019, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17558;

					BgL_bpz00_17558 = VECTOR_REF(((obj_t) BgL_sz00_15026), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17559;

						BgL_valza2za2_17559 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15026,
							BgL_bpz00_17558, BgL_ifreesz00_15020);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17560;

							BgL_runz00_17560 =
								MAKE_FX_PROCEDURE(BGl_z62run5723z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17560,
								(int) (((long) 0)), BgL_iboxesz00_15021);
							PROCEDURE_SET(BgL_runz00_17560,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15022));
							PROCEDURE_SET(BgL_runz00_17560,
								(int) (((long) 2)), BgL_valza2za2_17559);
							PROCEDURE_SET(BgL_runz00_17560,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_15023));
							PROCEDURE_SET(BgL_runz00_17560,
								(int) (((long) 4)), BgL_bodyz00_15024);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17561;

								BgL_mainz00_17561 =
									MAKE_VA_PROCEDURE(BGl_z62main5722z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 0)), BgL_iboxesz00_15021);
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15022));
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 2)), BgL_valza2za2_17559);
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_15023));
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 4)), BgL_bodyz00_15024);
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 5)), BgL_runz00_17560);
								PROCEDURE_SET(BgL_mainz00_17561,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15025));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17562;

									BgL_objz00_17562 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17560, BgL_objz00_17562);
									BgL_objz00_17562;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3493z00_17563;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3494z00_17564;

										BgL_arg3494z00_17564 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15023))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17565;

											BgL_newz00_17565 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31407;

												BgL_tmpz00_31407 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17565, BgL_tmpz00_31407,
													BgL_arg3494z00_17564);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31412;
												int BgL_tmpz00_31410;

												BgL_auxz00_31412 = BINT(BgL_siza7ezd2framez75_15025);
												BgL_tmpz00_31410 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17565, BgL_tmpz00_31410,
													BgL_auxz00_31412);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31415;

												BgL_tmpz00_31415 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17565, BgL_tmpz00_31415,
													BgL_runz00_17560);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31420;
												int BgL_tmpz00_31418;

												BgL_auxz00_31420 = BINT(((long) -1));
												BgL_tmpz00_31418 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17565, BgL_tmpz00_31418,
													BgL_auxz00_31420);
											}
											BgL_arg3493z00_17563 = BgL_newz00_17565;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17561, BgL_arg3493z00_17563);
									BgL_arg3493z00_17563;
								}
								return BgL_mainz00_17561;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5722 */
	obj_t BGl_z62main5722z62zz__evaluate_compz00(obj_t BgL_envz00_15027,
		obj_t BgL_lastz00_15035)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15033;
				long BgL_siza7ezd2framez75_15034;

				BgL_runz00_15033 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15027, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15027, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17566;

					BgL_sz00_17566 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17567;

						BgL_bpz00_17567 = VECTOR_REF(((obj_t) BgL_sz00_17566), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17567) + BgL_siza7ezd2framez75_15034) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17566))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3497z00_17568;

									BgL_arg3497z00_17568 =
										((long) CINT(BgL_bpz00_17567) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17566), BgL_arg3497z00_17568,
										BgL_lastz00_15035);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17569;

									BgL_ez00_17569 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17569,
										BgL_bpz00_17567);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17570;

										BgL_accz00_17570 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15033, BgL_sz00_17566, BgL_bpz00_17567);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17569);
										VECTOR_SET(
											((obj_t) BgL_sz00_17566), ((long) 0), BgL_bpz00_17567);
										return BgL_accz00_17570;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17571;

								BgL_nsz00_17571 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17571, ((long) 1), BgL_sz00_17566);
								VECTOR_SET(BgL_nsz00_17571, ((long) 2), BgL_lastz00_15035);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17572;

									BgL_z12denvz12_17572 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17572, BgL_nsz00_17571);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17573;

										BgL_ez00_17573 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17573,
											BgL_sz00_17566);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17574;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17575;

												BgL_savedzd2bpzd2_17575 =
													VECTOR_REF(BgL_nsz00_17571, ((long) 0));
												VECTOR_SET(BgL_nsz00_17571, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17577;

													BgL_fz00_17577 = BgL_runz00_15033;
												BgL_recz00_17576:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17578;

														BgL_rz00_17578 =
															PROCEDURE_ENTRY(BgL_fz00_17577) (BgL_fz00_17577,
															BgL_nsz00_17571, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31463;

															if (PROCEDUREP(BgL_rz00_17578))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17579;

																	BgL_arg1693z00_17579 =
																		PROCEDURE_ATTR(BgL_rz00_17578);
																	if (STRUCTP(BgL_arg1693z00_17579))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31463 =
																				(STRUCT_KEY(BgL_arg1693z00_17579) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31463 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31463 = ((bool_t) 0);
																}
															if (BgL_testz00_31463)
																{
																	obj_t BgL_fz00_31471;

																	BgL_fz00_31471 = BgL_rz00_17578;
																	BgL_fz00_17577 = BgL_fz00_31471;
																	goto BgL_recz00_17576;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17571, ((long) 0),
																		BgL_savedzd2bpzd2_17575);
																	BgL_____rz00_17574 = BgL_rz00_17578;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17573);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17572, BgL_sz00_17566);
											return BgL_____rz00_17574;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5723 */
	obj_t BGl_z62run5723z62zz__evaluate_compz00(obj_t BgL_envz00_15036,
		obj_t BgL_sz00_15042)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15037;
				long BgL_siza7eza7_15038;
				obj_t BgL_valza2za2_15039;
				BgL_ev_absz00_bglt BgL_i1245z00_15040;
				obj_t BgL_bodyz00_15041;

				BgL_iboxesz00_15037 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 0))));
				BgL_siza7eza7_15038 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 1))));
				BgL_valza2za2_15039 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 2))));
				BgL_i1245z00_15040 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 3))));
				BgL_bodyz00_15041 = PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17580;

					BgL_bpz00_17580 = VECTOR_REF(((obj_t) BgL_sz00_15042), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15042,
						BgL_iboxesz00_15037, BgL_bpz00_17580);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15042,
						BgL_valza2za2_15039,
						((long) CINT(BgL_bpz00_17580) + BgL_siza7eza7_15038));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17581;
						obj_t BgL_wherez00_17582;
						obj_t BgL_locz00_17583;

						BgL_z12denvz12_17581 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17582 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15040))->
							BgL_wherez00);
						BgL_locz00_17583 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15040))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17581, BgL_wherez00_17582,
								BgL_locz00_17583);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17584;

								BgL_za2za2resza2za2z00_17584 =
									PROCEDURE_ENTRY(BgL_bodyz00_15041) (BgL_bodyz00_15041,
									BgL_sz00_15042, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17581);
								return BgL_za2za2resza2za2z00_17584;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3430> */
	obj_t BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15043, obj_t BgL_sz00_15047)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15044;
				obj_t BgL_bodyz00_15045;
				long BgL_siza7ezd2framez75_15046;

				BgL_i1245z00_15044 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 0))));
				BgL_bodyz00_15045 = PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15046 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17585;

					BgL_bpz00_17585 = VECTOR_REF(((obj_t) BgL_sz00_15047), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17586;

							BgL_runz00_17586 =
								MAKE_FX_PROCEDURE(BGl_z62run5725z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17586,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_15044));
							PROCEDURE_SET(BgL_runz00_17586,
								(int) (((long) 1)), BgL_bodyz00_15045);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17587;

								BgL_mainz00_17587 =
									MAKE_FX_PROCEDURE(BGl_z62main5724z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17587,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_15044));
								PROCEDURE_SET(BgL_mainz00_17587,
									(int) (((long) 1)), BgL_bodyz00_15045);
								PROCEDURE_SET(BgL_mainz00_17587,
									(int) (((long) 2)), BgL_runz00_17586);
								PROCEDURE_SET(BgL_mainz00_17587,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15046));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17588;

									BgL_objz00_17588 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17586, BgL_objz00_17588);
									BgL_objz00_17588;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3431z00_17589;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3432z00_17590;

										BgL_arg3432z00_17590 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15044))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17591;

											BgL_newz00_17591 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31539;

												BgL_tmpz00_31539 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17591, BgL_tmpz00_31539,
													BgL_arg3432z00_17590);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31544;
												int BgL_tmpz00_31542;

												BgL_auxz00_31544 = BINT(BgL_siza7ezd2framez75_15046);
												BgL_tmpz00_31542 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17591, BgL_tmpz00_31542,
													BgL_auxz00_31544);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31547;

												BgL_tmpz00_31547 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17591, BgL_tmpz00_31547,
													BgL_runz00_17586);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31552;
												int BgL_tmpz00_31550;

												BgL_auxz00_31552 = BINT(((long) 0));
												BgL_tmpz00_31550 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17591, BgL_tmpz00_31550,
													BgL_auxz00_31552);
											}
											BgL_arg3431z00_17589 = BgL_newz00_17591;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17587, BgL_arg3431z00_17589);
									BgL_arg3431z00_17589;
								}
								return BgL_mainz00_17587;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5724 */
	obj_t BGl_z62main5724z62zz__evaluate_compz00(obj_t BgL_envz00_15048)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15051;
				long BgL_siza7ezd2framez75_15052;

				BgL_runz00_15051 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15052 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17592;

					BgL_sz00_17592 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17593;

						BgL_bpz00_17593 = VECTOR_REF(((obj_t) BgL_sz00_17592), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17593) + BgL_siza7ezd2framez75_15052) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17592))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17594;

								BgL_ez00_17594 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17594,
									BgL_bpz00_17593);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17595;

									BgL_accz00_17595 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15051, BgL_sz00_17592, BgL_bpz00_17593);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17594);
									VECTOR_SET(
										((obj_t) BgL_sz00_17592), ((long) 0), BgL_bpz00_17593);
									return BgL_accz00_17595;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17596;

								BgL_nsz00_17596 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17596, ((long) 1), BgL_sz00_17592);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17597;

									BgL_z12denvz12_17597 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17597, BgL_nsz00_17596);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17598;

										BgL_ez00_17598 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17598,
											BgL_sz00_17592);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17599;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17600;

												BgL_savedzd2bpzd2_17600 =
													VECTOR_REF(BgL_nsz00_17596, ((long) 0));
												VECTOR_SET(BgL_nsz00_17596, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17602;

													BgL_fz00_17602 = BgL_runz00_15051;
												BgL_recz00_17601:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17603;

														BgL_rz00_17603 =
															PROCEDURE_ENTRY(BgL_fz00_17602) (BgL_fz00_17602,
															BgL_nsz00_17596, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31590;

															if (PROCEDUREP(BgL_rz00_17603))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17604;

																	BgL_arg1693z00_17604 =
																		PROCEDURE_ATTR(BgL_rz00_17603);
																	if (STRUCTP(BgL_arg1693z00_17604))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31590 =
																				(STRUCT_KEY(BgL_arg1693z00_17604) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31590 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31590 = ((bool_t) 0);
																}
															if (BgL_testz00_31590)
																{
																	obj_t BgL_fz00_31598;

																	BgL_fz00_31598 = BgL_rz00_17603;
																	BgL_fz00_17602 = BgL_fz00_31598;
																	goto BgL_recz00_17601;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17596, ((long) 0),
																		BgL_savedzd2bpzd2_17600);
																	BgL_____rz00_17599 = BgL_rz00_17603;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17598);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17597, BgL_sz00_17592);
											return BgL_____rz00_17599;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5725 */
	obj_t BGl_z62run5725z62zz__evaluate_compz00(obj_t BgL_envz00_15053,
		obj_t BgL_sz00_15056)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15054;
				obj_t BgL_bodyz00_15055;

				BgL_i1245z00_15054 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15053, (int) (((long) 0))));
				BgL_bodyz00_15055 = PROCEDURE_REF(BgL_envz00_15053, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17605;

					BgL_bpz00_17605 = VECTOR_REF(((obj_t) BgL_sz00_15056), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17606;
						obj_t BgL_wherez00_17607;
						obj_t BgL_locz00_17608;

						BgL_z12denvz12_17606 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17607 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15054))->
							BgL_wherez00);
						BgL_locz00_17608 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15054))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17606, BgL_wherez00_17607,
								BgL_locz00_17608);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17609;

								BgL_za2za2resza2za2z00_17609 =
									PROCEDURE_ENTRY(BgL_bodyz00_15055) (BgL_bodyz00_15055,
									BgL_sz00_15056, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17606);
								return BgL_za2za2resza2za2z00_17609;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3436> */
	obj_t BGl_z62zc3anonymousza33436ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15057, obj_t BgL_sz00_15062)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15058;
				BgL_ev_absz00_bglt BgL_i1245z00_15059;
				obj_t BgL_bodyz00_15060;
				long BgL_siza7ezd2framez75_15061;

				BgL_iboxesz00_15058 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 0))));
				BgL_i1245z00_15059 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 1))));
				BgL_bodyz00_15060 = PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15061 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17610;

					BgL_bpz00_17610 = VECTOR_REF(((obj_t) BgL_sz00_15062), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17611;

							BgL_runz00_17611 =
								MAKE_FX_PROCEDURE(BGl_z62run5727z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17611,
								(int) (((long) 0)), BgL_iboxesz00_15058);
							PROCEDURE_SET(BgL_runz00_17611,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_15059));
							PROCEDURE_SET(BgL_runz00_17611,
								(int) (((long) 2)), BgL_bodyz00_15060);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17612;

								BgL_mainz00_17612 =
									MAKE_FX_PROCEDURE(BGl_z62main5726z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17612,
									(int) (((long) 0)), BgL_iboxesz00_15058);
								PROCEDURE_SET(BgL_mainz00_17612,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_15059));
								PROCEDURE_SET(BgL_mainz00_17612,
									(int) (((long) 2)), BgL_bodyz00_15060);
								PROCEDURE_SET(BgL_mainz00_17612,
									(int) (((long) 3)), BgL_runz00_17611);
								PROCEDURE_SET(BgL_mainz00_17612,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15061));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17613;

									BgL_objz00_17613 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17611, BgL_objz00_17613);
									BgL_objz00_17613;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3437z00_17614;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3438z00_17615;

										BgL_arg3438z00_17615 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15059))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17616;

											BgL_newz00_17616 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31660;

												BgL_tmpz00_31660 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17616, BgL_tmpz00_31660,
													BgL_arg3438z00_17615);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31665;
												int BgL_tmpz00_31663;

												BgL_auxz00_31665 = BINT(BgL_siza7ezd2framez75_15061);
												BgL_tmpz00_31663 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17616, BgL_tmpz00_31663,
													BgL_auxz00_31665);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31668;

												BgL_tmpz00_31668 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17616, BgL_tmpz00_31668,
													BgL_runz00_17611);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31673;
												int BgL_tmpz00_31671;

												BgL_auxz00_31673 = BINT(((long) 0));
												BgL_tmpz00_31671 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17616, BgL_tmpz00_31671,
													BgL_auxz00_31673);
											}
											BgL_arg3437z00_17614 = BgL_newz00_17616;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17612, BgL_arg3437z00_17614);
									BgL_arg3437z00_17614;
								}
								return BgL_mainz00_17612;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5726 */
	obj_t BGl_z62main5726z62zz__evaluate_compz00(obj_t BgL_envz00_15063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15067;
				long BgL_siza7ezd2framez75_15068;

				BgL_runz00_15067 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15068 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17617;

					BgL_sz00_17617 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17618;

						BgL_bpz00_17618 = VECTOR_REF(((obj_t) BgL_sz00_17617), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17618) + BgL_siza7ezd2framez75_15068) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17617))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17619;

								BgL_ez00_17619 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17619,
									BgL_bpz00_17618);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17620;

									BgL_accz00_17620 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15067, BgL_sz00_17617, BgL_bpz00_17618);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17619);
									VECTOR_SET(
										((obj_t) BgL_sz00_17617), ((long) 0), BgL_bpz00_17618);
									return BgL_accz00_17620;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17621;

								BgL_nsz00_17621 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17621, ((long) 1), BgL_sz00_17617);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17622;

									BgL_z12denvz12_17622 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17622, BgL_nsz00_17621);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17623;

										BgL_ez00_17623 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17623,
											BgL_sz00_17617);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17624;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17625;

												BgL_savedzd2bpzd2_17625 =
													VECTOR_REF(BgL_nsz00_17621, ((long) 0));
												VECTOR_SET(BgL_nsz00_17621, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17627;

													BgL_fz00_17627 = BgL_runz00_15067;
												BgL_recz00_17626:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17628;

														BgL_rz00_17628 =
															PROCEDURE_ENTRY(BgL_fz00_17627) (BgL_fz00_17627,
															BgL_nsz00_17621, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31711;

															if (PROCEDUREP(BgL_rz00_17628))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17629;

																	BgL_arg1693z00_17629 =
																		PROCEDURE_ATTR(BgL_rz00_17628);
																	if (STRUCTP(BgL_arg1693z00_17629))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31711 =
																				(STRUCT_KEY(BgL_arg1693z00_17629) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31711 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31711 = ((bool_t) 0);
																}
															if (BgL_testz00_31711)
																{
																	obj_t BgL_fz00_31719;

																	BgL_fz00_31719 = BgL_rz00_17628;
																	BgL_fz00_17627 = BgL_fz00_31719;
																	goto BgL_recz00_17626;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17621, ((long) 0),
																		BgL_savedzd2bpzd2_17625);
																	BgL_____rz00_17624 = BgL_rz00_17628;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17623);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17622, BgL_sz00_17617);
											return BgL_____rz00_17624;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5727 */
	obj_t BGl_z62run5727z62zz__evaluate_compz00(obj_t BgL_envz00_15069,
		obj_t BgL_sz00_15073)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15070;
				BgL_ev_absz00_bglt BgL_i1245z00_15071;
				obj_t BgL_bodyz00_15072;

				BgL_iboxesz00_15070 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 0))));
				BgL_i1245z00_15071 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 1))));
				BgL_bodyz00_15072 = PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17630;

					BgL_bpz00_17630 = VECTOR_REF(((obj_t) BgL_sz00_15073), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15073,
						BgL_iboxesz00_15070, BgL_bpz00_17630);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17631;
						obj_t BgL_wherez00_17632;
						obj_t BgL_locz00_17633;

						BgL_z12denvz12_17631 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17632 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15071))->
							BgL_wherez00);
						BgL_locz00_17633 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15071))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17631, BgL_wherez00_17632,
								BgL_locz00_17633);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17634;

								BgL_za2za2resza2za2z00_17634 =
									PROCEDURE_ENTRY(BgL_bodyz00_15072) (BgL_bodyz00_15072,
									BgL_sz00_15073, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17631);
								return BgL_za2za2resza2za2z00_17634;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3445> */
	obj_t BGl_z62zc3anonymousza33445ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15074, obj_t BgL_sz00_15080)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15075;
				long BgL_siza7eza7_15076;
				BgL_ev_absz00_bglt BgL_i1245z00_15077;
				obj_t BgL_bodyz00_15078;
				long BgL_siza7ezd2framez75_15079;

				BgL_ifreesz00_15075 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 0))));
				BgL_siza7eza7_15076 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 1))));
				BgL_i1245z00_15077 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 2))));
				BgL_bodyz00_15078 = PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15079 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17635;

					BgL_bpz00_17635 = VECTOR_REF(((obj_t) BgL_sz00_15080), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17636;

						BgL_valza2za2_17636 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15080,
							BgL_bpz00_17635, BgL_ifreesz00_15075);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17637;

							BgL_runz00_17637 =
								MAKE_FX_PROCEDURE(BGl_z62run5729z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17637,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15076));
							PROCEDURE_SET(BgL_runz00_17637,
								(int) (((long) 1)), BgL_valza2za2_17636);
							PROCEDURE_SET(BgL_runz00_17637,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_15077));
							PROCEDURE_SET(BgL_runz00_17637,
								(int) (((long) 3)), BgL_bodyz00_15078);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17638;

								BgL_mainz00_17638 =
									MAKE_FX_PROCEDURE(BGl_z62main5728z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15076));
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 1)), BgL_valza2za2_17636);
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_15077));
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 3)), BgL_bodyz00_15078);
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 4)), BgL_runz00_17637);
								PROCEDURE_SET(BgL_mainz00_17638,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15079));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17639;

									BgL_objz00_17639 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17637, BgL_objz00_17639);
									BgL_objz00_17639;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3446z00_17640;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3447z00_17641;

										BgL_arg3447z00_17641 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15077))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17642;

											BgL_newz00_17642 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31795;

												BgL_tmpz00_31795 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17642, BgL_tmpz00_31795,
													BgL_arg3447z00_17641);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31800;
												int BgL_tmpz00_31798;

												BgL_auxz00_31800 = BINT(BgL_siza7ezd2framez75_15079);
												BgL_tmpz00_31798 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17642, BgL_tmpz00_31798,
													BgL_auxz00_31800);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31803;

												BgL_tmpz00_31803 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17642, BgL_tmpz00_31803,
													BgL_runz00_17637);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31808;
												int BgL_tmpz00_31806;

												BgL_auxz00_31808 = BINT(((long) 0));
												BgL_tmpz00_31806 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17642, BgL_tmpz00_31806,
													BgL_auxz00_31808);
											}
											BgL_arg3446z00_17640 = BgL_newz00_17642;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17638, BgL_arg3446z00_17640);
									BgL_arg3446z00_17640;
								}
								return BgL_mainz00_17638;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5728 */
	obj_t BGl_z62main5728z62zz__evaluate_compz00(obj_t BgL_envz00_15081)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15086;
				long BgL_siza7ezd2framez75_15087;

				BgL_runz00_15086 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15081, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15087 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15081, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17643;

					BgL_sz00_17643 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17644;

						BgL_bpz00_17644 = VECTOR_REF(((obj_t) BgL_sz00_17643), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17644) + BgL_siza7ezd2framez75_15087) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17643))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17645;

								BgL_ez00_17645 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17645,
									BgL_bpz00_17644);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17646;

									BgL_accz00_17646 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15086, BgL_sz00_17643, BgL_bpz00_17644);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17645);
									VECTOR_SET(
										((obj_t) BgL_sz00_17643), ((long) 0), BgL_bpz00_17644);
									return BgL_accz00_17646;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17647;

								BgL_nsz00_17647 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17647, ((long) 1), BgL_sz00_17643);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17648;

									BgL_z12denvz12_17648 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17648, BgL_nsz00_17647);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17649;

										BgL_ez00_17649 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17649,
											BgL_sz00_17643);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17650;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17651;

												BgL_savedzd2bpzd2_17651 =
													VECTOR_REF(BgL_nsz00_17647, ((long) 0));
												VECTOR_SET(BgL_nsz00_17647, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17653;

													BgL_fz00_17653 = BgL_runz00_15086;
												BgL_recz00_17652:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17654;

														BgL_rz00_17654 =
															PROCEDURE_ENTRY(BgL_fz00_17653) (BgL_fz00_17653,
															BgL_nsz00_17647, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31846;

															if (PROCEDUREP(BgL_rz00_17654))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17655;

																	BgL_arg1693z00_17655 =
																		PROCEDURE_ATTR(BgL_rz00_17654);
																	if (STRUCTP(BgL_arg1693z00_17655))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31846 =
																				(STRUCT_KEY(BgL_arg1693z00_17655) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31846 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31846 = ((bool_t) 0);
																}
															if (BgL_testz00_31846)
																{
																	obj_t BgL_fz00_31854;

																	BgL_fz00_31854 = BgL_rz00_17654;
																	BgL_fz00_17653 = BgL_fz00_31854;
																	goto BgL_recz00_17652;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17647, ((long) 0),
																		BgL_savedzd2bpzd2_17651);
																	BgL_____rz00_17650 = BgL_rz00_17654;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17649);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17648, BgL_sz00_17643);
											return BgL_____rz00_17650;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5729 */
	obj_t BGl_z62run5729z62zz__evaluate_compz00(obj_t BgL_envz00_15088,
		obj_t BgL_sz00_15093)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15089;
				obj_t BgL_valza2za2_15090;
				BgL_ev_absz00_bglt BgL_i1245z00_15091;
				obj_t BgL_bodyz00_15092;

				BgL_siza7eza7_15089 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 0))));
				BgL_valza2za2_15090 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 1))));
				BgL_i1245z00_15091 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 2))));
				BgL_bodyz00_15092 = PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17656;

					BgL_bpz00_17656 = VECTOR_REF(((obj_t) BgL_sz00_15093), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15093,
						BgL_valza2za2_15090,
						((long) CINT(BgL_bpz00_17656) + BgL_siza7eza7_15089));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17657;
						obj_t BgL_wherez00_17658;
						obj_t BgL_locz00_17659;

						BgL_z12denvz12_17657 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17658 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15091))->
							BgL_wherez00);
						BgL_locz00_17659 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15091))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17657, BgL_wherez00_17658,
								BgL_locz00_17659);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17660;

								BgL_za2za2resza2za2z00_17660 =
									PROCEDURE_ENTRY(BgL_bodyz00_15092) (BgL_bodyz00_15092,
									BgL_sz00_15093, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17657);
								return BgL_za2za2resza2za2z00_17660;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3452> */
	obj_t BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15094, obj_t BgL_sz00_15101)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15095;
				obj_t BgL_iboxesz00_15096;
				long BgL_siza7eza7_15097;
				BgL_ev_absz00_bglt BgL_i1245z00_15098;
				obj_t BgL_bodyz00_15099;
				long BgL_siza7ezd2framez75_15100;

				BgL_ifreesz00_15095 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 0))));
				BgL_iboxesz00_15096 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 1))));
				BgL_siza7eza7_15097 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 2))));
				BgL_i1245z00_15098 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 3))));
				BgL_bodyz00_15099 = PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15100 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15094, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17661;

					BgL_bpz00_17661 = VECTOR_REF(((obj_t) BgL_sz00_15101), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17662;

						BgL_valza2za2_17662 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15101,
							BgL_bpz00_17661, BgL_ifreesz00_15095);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17663;

							BgL_runz00_17663 =
								MAKE_FX_PROCEDURE(BGl_z62run5731z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17663,
								(int) (((long) 0)), BgL_iboxesz00_15096);
							PROCEDURE_SET(BgL_runz00_17663,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15097));
							PROCEDURE_SET(BgL_runz00_17663,
								(int) (((long) 2)), BgL_valza2za2_17662);
							PROCEDURE_SET(BgL_runz00_17663,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_15098));
							PROCEDURE_SET(BgL_runz00_17663,
								(int) (((long) 4)), BgL_bodyz00_15099);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17664;

								BgL_mainz00_17664 =
									MAKE_FX_PROCEDURE(BGl_z62main5730z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 0)), BgL_iboxesz00_15096);
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15097));
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 2)), BgL_valza2za2_17662);
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_15098));
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 4)), BgL_bodyz00_15099);
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 5)), BgL_runz00_17663);
								PROCEDURE_SET(BgL_mainz00_17664,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15100));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17665;

									BgL_objz00_17665 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17663, BgL_objz00_17665);
									BgL_objz00_17665;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3453z00_17666;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3455z00_17667;

										BgL_arg3455z00_17667 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15098))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17668;

											BgL_newz00_17668 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31942;

												BgL_tmpz00_31942 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17668, BgL_tmpz00_31942,
													BgL_arg3455z00_17667);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31947;
												int BgL_tmpz00_31945;

												BgL_auxz00_31947 = BINT(BgL_siza7ezd2framez75_15100);
												BgL_tmpz00_31945 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17668, BgL_tmpz00_31945,
													BgL_auxz00_31947);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31950;

												BgL_tmpz00_31950 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17668, BgL_tmpz00_31950,
													BgL_runz00_17663);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31955;
												int BgL_tmpz00_31953;

												BgL_auxz00_31955 = BINT(((long) 0));
												BgL_tmpz00_31953 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17668, BgL_tmpz00_31953,
													BgL_auxz00_31955);
											}
											BgL_arg3453z00_17666 = BgL_newz00_17668;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17664, BgL_arg3453z00_17666);
									BgL_arg3453z00_17666;
								}
								return BgL_mainz00_17664;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5730 */
	obj_t BGl_z62main5730z62zz__evaluate_compz00(obj_t BgL_envz00_15102)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15108;
				long BgL_siza7ezd2framez75_15109;

				BgL_runz00_15108 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15102, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15102, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17669;

					BgL_sz00_17669 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17670;

						BgL_bpz00_17670 = VECTOR_REF(((obj_t) BgL_sz00_17669), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17670) + BgL_siza7ezd2framez75_15109) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17669))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17671;

								BgL_ez00_17671 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17671,
									BgL_bpz00_17670);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17672;

									BgL_accz00_17672 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15108, BgL_sz00_17669, BgL_bpz00_17670);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17671);
									VECTOR_SET(
										((obj_t) BgL_sz00_17669), ((long) 0), BgL_bpz00_17670);
									return BgL_accz00_17672;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17673;

								BgL_nsz00_17673 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17673, ((long) 1), BgL_sz00_17669);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17674;

									BgL_z12denvz12_17674 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17674, BgL_nsz00_17673);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17675;

										BgL_ez00_17675 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17675,
											BgL_sz00_17669);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17676;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17677;

												BgL_savedzd2bpzd2_17677 =
													VECTOR_REF(BgL_nsz00_17673, ((long) 0));
												VECTOR_SET(BgL_nsz00_17673, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17679;

													BgL_fz00_17679 = BgL_runz00_15108;
												BgL_recz00_17678:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17680;

														BgL_rz00_17680 =
															PROCEDURE_ENTRY(BgL_fz00_17679) (BgL_fz00_17679,
															BgL_nsz00_17673, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31993;

															if (PROCEDUREP(BgL_rz00_17680))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17681;

																	BgL_arg1693z00_17681 =
																		PROCEDURE_ATTR(BgL_rz00_17680);
																	if (STRUCTP(BgL_arg1693z00_17681))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31993 =
																				(STRUCT_KEY(BgL_arg1693z00_17681) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31993 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31993 = ((bool_t) 0);
																}
															if (BgL_testz00_31993)
																{
																	obj_t BgL_fz00_32001;

																	BgL_fz00_32001 = BgL_rz00_17680;
																	BgL_fz00_17679 = BgL_fz00_32001;
																	goto BgL_recz00_17678;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17673, ((long) 0),
																		BgL_savedzd2bpzd2_17677);
																	BgL_____rz00_17676 = BgL_rz00_17680;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17675);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17674, BgL_sz00_17669);
											return BgL_____rz00_17676;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5731 */
	obj_t BGl_z62run5731z62zz__evaluate_compz00(obj_t BgL_envz00_15110,
		obj_t BgL_sz00_15116)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15111;
				long BgL_siza7eza7_15112;
				obj_t BgL_valza2za2_15113;
				BgL_ev_absz00_bglt BgL_i1245z00_15114;
				obj_t BgL_bodyz00_15115;

				BgL_iboxesz00_15111 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 0))));
				BgL_siza7eza7_15112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 1))));
				BgL_valza2za2_15113 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 2))));
				BgL_i1245z00_15114 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 3))));
				BgL_bodyz00_15115 = PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17682;

					BgL_bpz00_17682 = VECTOR_REF(((obj_t) BgL_sz00_15116), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15116,
						BgL_iboxesz00_15111, BgL_bpz00_17682);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15116,
						BgL_valza2za2_15113,
						((long) CINT(BgL_bpz00_17682) + BgL_siza7eza7_15112));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17683;
						obj_t BgL_wherez00_17684;
						obj_t BgL_locz00_17685;

						BgL_z12denvz12_17683 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17684 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15114))->
							BgL_wherez00);
						BgL_locz00_17685 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15114))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17683, BgL_wherez00_17684,
								BgL_locz00_17685);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17686;

								BgL_za2za2resza2za2z00_17686 =
									PROCEDURE_ENTRY(BgL_bodyz00_15115) (BgL_bodyz00_15115,
									BgL_sz00_15116, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17683);
								return BgL_za2za2resza2za2z00_17686;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3909> */
	obj_t BGl_z62zc3anonymousza33909ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15117, obj_t BgL_sz00_15121)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15118;
				obj_t BgL_bodyz00_15119;
				long BgL_siza7ezd2framez75_15120;

				BgL_i1245z00_15118 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 0))));
				BgL_bodyz00_15119 = PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15120 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17687;

					BgL_bpz00_17687 = VECTOR_REF(((obj_t) BgL_sz00_15121), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17688;

							BgL_runz00_17688 =
								MAKE_FX_PROCEDURE(BGl_z62run5733z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17688,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_15118));
							PROCEDURE_SET(BgL_runz00_17688,
								(int) (((long) 1)), BgL_bodyz00_15119);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17689;

								BgL_mainz00_17689 =
									MAKE_VA_PROCEDURE(BGl_z62main5732z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17689,
									(int) (((long) 0)), BgL_bodyz00_15119);
								PROCEDURE_SET(BgL_mainz00_17689,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_15118));
								PROCEDURE_SET(BgL_mainz00_17689,
									(int) (((long) 2)), BgL_runz00_17688);
								PROCEDURE_SET(BgL_mainz00_17689,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15120));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17690;

									BgL_objz00_17690 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17688, BgL_objz00_17690);
									BgL_objz00_17690;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3910z00_17691;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3911z00_17692;
										obj_t BgL_arg3912z00_17693;

										BgL_arg3911z00_17692 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15118))->
											BgL_arityz00);
										BgL_arg3912z00_17693 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15118))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17694;

											BgL_newz00_17694 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32070;

												BgL_tmpz00_32070 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17694, BgL_tmpz00_32070,
													BgL_arg3912z00_17693);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32075;
												int BgL_tmpz00_32073;

												BgL_auxz00_32075 = BINT(BgL_siza7ezd2framez75_15120);
												BgL_tmpz00_32073 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17694, BgL_tmpz00_32073,
													BgL_auxz00_32075);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32078;

												BgL_tmpz00_32078 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17694, BgL_tmpz00_32078,
													BgL_runz00_17688);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32081;

												BgL_tmpz00_32081 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17694, BgL_tmpz00_32081,
													BgL_arg3911z00_17692);
											}
											BgL_arg3910z00_17691 = BgL_newz00_17694;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17689, BgL_arg3910z00_17691);
									BgL_arg3910z00_17691;
								}
								return BgL_mainz00_17689;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5732 */
	obj_t BGl_z62main5732z62zz__evaluate_compz00(obj_t BgL_envz00_15122,
		obj_t BgL_az00_15127, obj_t BgL_bz00_15128, obj_t BgL_cz00_15129,
		obj_t BgL_dz00_15130, obj_t BgL_restz00_15131)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15124;
				obj_t BgL_runz00_15125;
				long BgL_siza7ezd2framez75_15126;

				BgL_i1245z00_15124 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 1))));
				BgL_runz00_15125 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15126 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17695;

					BgL_sz00_17695 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17696;

						BgL_bpz00_17696 = VECTOR_REF(((obj_t) BgL_sz00_17695), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17696) + BgL_siza7ezd2framez75_15126) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17695))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3915z00_17697;

									BgL_arg3915z00_17697 =
										((long) CINT(BgL_bpz00_17696) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17695), BgL_arg3915z00_17697,
										BgL_az00_15127);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3916z00_17698;

									BgL_arg3916z00_17698 =
										((long) CINT(BgL_bpz00_17696) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17695), BgL_arg3916z00_17698,
										BgL_bz00_15128);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3917z00_17699;

									BgL_arg3917z00_17699 =
										((long) CINT(BgL_bpz00_17696) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17695), BgL_arg3917z00_17699,
										BgL_cz00_15129);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3918z00_17700;

									BgL_arg3918z00_17700 =
										((long) CINT(BgL_bpz00_17696) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17695), BgL_arg3918z00_17700,
										BgL_dz00_15130);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3919z00_17701;
									long BgL_arg3920z00_17702;
									long BgL_arg3921z00_17703;
									obj_t BgL_arg3922z00_17704;

									BgL_arg3919z00_17701 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
										BgL_wherez00);
									BgL_arg3920z00_17702 =
										((long) CINT(BgL_bpz00_17696) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3923z00_17705;

										BgL_arg3923z00_17705 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3923z00_17705) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3921z00_17703 =
													((long) CINT(BgL_arg3923z00_17705) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3921z00_17703 =
													((long) CINT(BgL_arg3923z00_17705) - ((long) 4));
									}}
									BgL_arg3922z00_17704 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17695,
										BgL_arg3919z00_17701, BgL_arg3920z00_17702,
										BgL_arg3921z00_17703, BgL_restz00_15131,
										BgL_arg3922z00_17704);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17706;

									BgL_ez00_17706 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17706,
										BgL_bpz00_17696);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17707;

										BgL_accz00_17707 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15125, BgL_sz00_17695, BgL_bpz00_17696);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17706);
										VECTOR_SET(
											((obj_t) BgL_sz00_17695), ((long) 0), BgL_bpz00_17696);
										return BgL_accz00_17707;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17708;

								BgL_nsz00_17708 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17708, ((long) 1), BgL_sz00_17695);
								VECTOR_SET(BgL_nsz00_17708, ((long) 2), BgL_az00_15127);
								VECTOR_SET(BgL_nsz00_17708, ((long) 3), BgL_bz00_15128);
								VECTOR_SET(BgL_nsz00_17708, ((long) 4), BgL_cz00_15129);
								VECTOR_SET(BgL_nsz00_17708, ((long) 5), BgL_dz00_15130);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3924z00_17709;
									long BgL_arg3925z00_17710;
									obj_t BgL_arg3926z00_17711;

									BgL_arg3924z00_17709 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3927z00_17712;

										BgL_arg3927z00_17712 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3927z00_17712) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3925z00_17710 =
													((long) CINT(BgL_arg3927z00_17712) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3925z00_17710 =
													((long) CINT(BgL_arg3927z00_17712) - ((long) 4));
									}}
									BgL_arg3926z00_17711 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15124))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17708,
										BgL_arg3924z00_17709, ((long) 6), BgL_arg3925z00_17710,
										BgL_restz00_15131, BgL_arg3926z00_17711);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17713;

									BgL_z12denvz12_17713 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17713, BgL_nsz00_17708);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17714;

										BgL_ez00_17714 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17714,
											BgL_sz00_17695);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17715;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17716;

												BgL_savedzd2bpzd2_17716 =
													VECTOR_REF(BgL_nsz00_17708, ((long) 0));
												VECTOR_SET(BgL_nsz00_17708, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17718;

													BgL_fz00_17718 = BgL_runz00_15125;
												BgL_recz00_17717:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17719;

														BgL_rz00_17719 =
															PROCEDURE_ENTRY(BgL_fz00_17718) (BgL_fz00_17718,
															BgL_nsz00_17708, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32166;

															if (PROCEDUREP(BgL_rz00_17719))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17720;

																	BgL_arg1693z00_17720 =
																		PROCEDURE_ATTR(BgL_rz00_17719);
																	if (STRUCTP(BgL_arg1693z00_17720))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32166 =
																				(STRUCT_KEY(BgL_arg1693z00_17720) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32166 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32166 = ((bool_t) 0);
																}
															if (BgL_testz00_32166)
																{
																	obj_t BgL_fz00_32174;

																	BgL_fz00_32174 = BgL_rz00_17719;
																	BgL_fz00_17718 = BgL_fz00_32174;
																	goto BgL_recz00_17717;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17708, ((long) 0),
																		BgL_savedzd2bpzd2_17716);
																	BgL_____rz00_17715 = BgL_rz00_17719;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17714);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17713, BgL_sz00_17695);
											return BgL_____rz00_17715;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5733 */
	obj_t BGl_z62run5733z62zz__evaluate_compz00(obj_t BgL_envz00_15132,
		obj_t BgL_sz00_15135)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15133;
				obj_t BgL_bodyz00_15134;

				BgL_i1245z00_15133 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15132, (int) (((long) 0))));
				BgL_bodyz00_15134 = PROCEDURE_REF(BgL_envz00_15132, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17721;

					BgL_bpz00_17721 = VECTOR_REF(((obj_t) BgL_sz00_15135), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17722;
						obj_t BgL_wherez00_17723;
						obj_t BgL_locz00_17724;

						BgL_z12denvz12_17722 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17723 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15133))->
							BgL_wherez00);
						BgL_locz00_17724 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15133))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17722, BgL_wherez00_17723,
								BgL_locz00_17724);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17725;

								BgL_za2za2resza2za2z00_17725 =
									PROCEDURE_ENTRY(BgL_bodyz00_15134) (BgL_bodyz00_15134,
									BgL_sz00_15135, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17722);
								return BgL_za2za2resza2za2z00_17725;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3929> */
	obj_t BGl_z62zc3anonymousza33929ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15136, obj_t BgL_sz00_15141)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15137;
				BgL_ev_absz00_bglt BgL_i1245z00_15138;
				obj_t BgL_bodyz00_15139;
				long BgL_siza7ezd2framez75_15140;

				BgL_iboxesz00_15137 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 0))));
				BgL_i1245z00_15138 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 1))));
				BgL_bodyz00_15139 = PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15140 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17726;

					BgL_bpz00_17726 = VECTOR_REF(((obj_t) BgL_sz00_15141), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17727;

							BgL_runz00_17727 =
								MAKE_FX_PROCEDURE(BGl_z62run5735z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17727,
								(int) (((long) 0)), BgL_iboxesz00_15137);
							PROCEDURE_SET(BgL_runz00_17727,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_15138));
							PROCEDURE_SET(BgL_runz00_17727,
								(int) (((long) 2)), BgL_bodyz00_15139);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17728;

								BgL_mainz00_17728 =
									MAKE_VA_PROCEDURE(BGl_z62main5734z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17728,
									(int) (((long) 0)), BgL_iboxesz00_15137);
								PROCEDURE_SET(BgL_mainz00_17728,
									(int) (((long) 1)), BgL_bodyz00_15139);
								PROCEDURE_SET(BgL_mainz00_17728,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_15138));
								PROCEDURE_SET(BgL_mainz00_17728,
									(int) (((long) 3)), BgL_runz00_17727);
								PROCEDURE_SET(BgL_mainz00_17728,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15140));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17729;

									BgL_objz00_17729 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17727, BgL_objz00_17729);
									BgL_objz00_17729;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3930z00_17730;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3931z00_17731;
										obj_t BgL_arg3932z00_17732;

										BgL_arg3931z00_17731 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15138))->
											BgL_arityz00);
										BgL_arg3932z00_17732 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15138))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17733;

											BgL_newz00_17733 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32237;

												BgL_tmpz00_32237 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17733, BgL_tmpz00_32237,
													BgL_arg3932z00_17732);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32242;
												int BgL_tmpz00_32240;

												BgL_auxz00_32242 = BINT(BgL_siza7ezd2framez75_15140);
												BgL_tmpz00_32240 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17733, BgL_tmpz00_32240,
													BgL_auxz00_32242);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32245;

												BgL_tmpz00_32245 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17733, BgL_tmpz00_32245,
													BgL_runz00_17727);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32248;

												BgL_tmpz00_32248 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17733, BgL_tmpz00_32248,
													BgL_arg3931z00_17731);
											}
											BgL_arg3930z00_17730 = BgL_newz00_17733;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17728, BgL_arg3930z00_17730);
									BgL_arg3930z00_17730;
								}
								return BgL_mainz00_17728;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5734 */
	obj_t BGl_z62main5734z62zz__evaluate_compz00(obj_t BgL_envz00_15142,
		obj_t BgL_az00_15148, obj_t BgL_bz00_15149, obj_t BgL_cz00_15150,
		obj_t BgL_dz00_15151, obj_t BgL_restz00_15152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15145;
				obj_t BgL_runz00_15146;
				long BgL_siza7ezd2framez75_15147;

				BgL_i1245z00_15145 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15142, (int) (((long) 2))));
				BgL_runz00_15146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15142, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15147 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15142, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17734;

					BgL_sz00_17734 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17735;

						BgL_bpz00_17735 = VECTOR_REF(((obj_t) BgL_sz00_17734), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17735) + BgL_siza7ezd2framez75_15147) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17734))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3935z00_17736;

									BgL_arg3935z00_17736 =
										((long) CINT(BgL_bpz00_17735) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17734), BgL_arg3935z00_17736,
										BgL_az00_15148);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3936z00_17737;

									BgL_arg3936z00_17737 =
										((long) CINT(BgL_bpz00_17735) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17734), BgL_arg3936z00_17737,
										BgL_bz00_15149);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3937z00_17738;

									BgL_arg3937z00_17738 =
										((long) CINT(BgL_bpz00_17735) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17734), BgL_arg3937z00_17738,
										BgL_cz00_15150);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3938z00_17739;

									BgL_arg3938z00_17739 =
										((long) CINT(BgL_bpz00_17735) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17734), BgL_arg3938z00_17739,
										BgL_dz00_15151);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3939z00_17740;
									long BgL_arg3940z00_17741;
									long BgL_arg3941z00_17742;
									obj_t BgL_arg3942z00_17743;

									BgL_arg3939z00_17740 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
										BgL_wherez00);
									BgL_arg3940z00_17741 =
										((long) CINT(BgL_bpz00_17735) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3943z00_17744;

										BgL_arg3943z00_17744 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3943z00_17744) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3941z00_17742 =
													((long) CINT(BgL_arg3943z00_17744) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3941z00_17742 =
													((long) CINT(BgL_arg3943z00_17744) - ((long) 4));
									}}
									BgL_arg3942z00_17743 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17734,
										BgL_arg3939z00_17740, BgL_arg3940z00_17741,
										BgL_arg3941z00_17742, BgL_restz00_15152,
										BgL_arg3942z00_17743);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17745;

									BgL_ez00_17745 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17745,
										BgL_bpz00_17735);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17746;

										BgL_accz00_17746 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15146, BgL_sz00_17734, BgL_bpz00_17735);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17745);
										VECTOR_SET(
											((obj_t) BgL_sz00_17734), ((long) 0), BgL_bpz00_17735);
										return BgL_accz00_17746;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17747;

								BgL_nsz00_17747 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17747, ((long) 1), BgL_sz00_17734);
								VECTOR_SET(BgL_nsz00_17747, ((long) 2), BgL_az00_15148);
								VECTOR_SET(BgL_nsz00_17747, ((long) 3), BgL_bz00_15149);
								VECTOR_SET(BgL_nsz00_17747, ((long) 4), BgL_cz00_15150);
								VECTOR_SET(BgL_nsz00_17747, ((long) 5), BgL_dz00_15151);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3944z00_17748;
									long BgL_arg3945z00_17749;
									obj_t BgL_arg3946z00_17750;

									BgL_arg3944z00_17748 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3947z00_17751;

										BgL_arg3947z00_17751 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3947z00_17751) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3945z00_17749 =
													((long) CINT(BgL_arg3947z00_17751) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3945z00_17749 =
													((long) CINT(BgL_arg3947z00_17751) - ((long) 4));
									}}
									BgL_arg3946z00_17750 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15145))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17747,
										BgL_arg3944z00_17748, ((long) 6), BgL_arg3945z00_17749,
										BgL_restz00_15152, BgL_arg3946z00_17750);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17752;

									BgL_z12denvz12_17752 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17752, BgL_nsz00_17747);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17753;

										BgL_ez00_17753 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17753,
											BgL_sz00_17734);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17754;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17755;

												BgL_savedzd2bpzd2_17755 =
													VECTOR_REF(BgL_nsz00_17747, ((long) 0));
												VECTOR_SET(BgL_nsz00_17747, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17757;

													BgL_fz00_17757 = BgL_runz00_15146;
												BgL_recz00_17756:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17758;

														BgL_rz00_17758 =
															PROCEDURE_ENTRY(BgL_fz00_17757) (BgL_fz00_17757,
															BgL_nsz00_17747, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32333;

															if (PROCEDUREP(BgL_rz00_17758))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17759;

																	BgL_arg1693z00_17759 =
																		PROCEDURE_ATTR(BgL_rz00_17758);
																	if (STRUCTP(BgL_arg1693z00_17759))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32333 =
																				(STRUCT_KEY(BgL_arg1693z00_17759) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32333 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32333 = ((bool_t) 0);
																}
															if (BgL_testz00_32333)
																{
																	obj_t BgL_fz00_32341;

																	BgL_fz00_32341 = BgL_rz00_17758;
																	BgL_fz00_17757 = BgL_fz00_32341;
																	goto BgL_recz00_17756;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17747, ((long) 0),
																		BgL_savedzd2bpzd2_17755);
																	BgL_____rz00_17754 = BgL_rz00_17758;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17753);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17752, BgL_sz00_17734);
											return BgL_____rz00_17754;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5735 */
	obj_t BGl_z62run5735z62zz__evaluate_compz00(obj_t BgL_envz00_15153,
		obj_t BgL_sz00_15157)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15154;
				BgL_ev_absz00_bglt BgL_i1245z00_15155;
				obj_t BgL_bodyz00_15156;

				BgL_iboxesz00_15154 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 0))));
				BgL_i1245z00_15155 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 1))));
				BgL_bodyz00_15156 = PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17760;

					BgL_bpz00_17760 = VECTOR_REF(((obj_t) BgL_sz00_15157), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15157,
						BgL_iboxesz00_15154, BgL_bpz00_17760);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17761;
						obj_t BgL_wherez00_17762;
						obj_t BgL_locz00_17763;

						BgL_z12denvz12_17761 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17762 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15155))->
							BgL_wherez00);
						BgL_locz00_17763 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15155))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17761, BgL_wherez00_17762,
								BgL_locz00_17763);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17764;

								BgL_za2za2resza2za2z00_17764 =
									PROCEDURE_ENTRY(BgL_bodyz00_15156) (BgL_bodyz00_15156,
									BgL_sz00_15157, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17761);
								return BgL_za2za2resza2za2z00_17764;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3952> */
	obj_t BGl_z62zc3anonymousza33952ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15158, obj_t BgL_sz00_15164)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15159;
				long BgL_siza7eza7_15160;
				BgL_ev_absz00_bglt BgL_i1245z00_15161;
				obj_t BgL_bodyz00_15162;
				long BgL_siza7ezd2framez75_15163;

				BgL_ifreesz00_15159 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15158, (int) (((long) 0))));
				BgL_siza7eza7_15160 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15158, (int) (((long) 1))));
				BgL_i1245z00_15161 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15158, (int) (((long) 2))));
				BgL_bodyz00_15162 = PROCEDURE_REF(BgL_envz00_15158, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15163 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15158, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17765;

					BgL_bpz00_17765 = VECTOR_REF(((obj_t) BgL_sz00_15164), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17766;

						BgL_valza2za2_17766 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15164,
							BgL_bpz00_17765, BgL_ifreesz00_15159);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17767;

							BgL_runz00_17767 =
								MAKE_FX_PROCEDURE(BGl_z62run5737z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17767,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15160));
							PROCEDURE_SET(BgL_runz00_17767,
								(int) (((long) 1)), BgL_valza2za2_17766);
							PROCEDURE_SET(BgL_runz00_17767,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_15161));
							PROCEDURE_SET(BgL_runz00_17767,
								(int) (((long) 3)), BgL_bodyz00_15162);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17768;

								BgL_mainz00_17768 =
									MAKE_VA_PROCEDURE(BGl_z62main5736z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15160));
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 1)), BgL_valza2za2_17766);
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 2)), BgL_bodyz00_15162);
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_15161));
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 4)), BgL_runz00_17767);
								PROCEDURE_SET(BgL_mainz00_17768,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15163));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17769;

									BgL_objz00_17769 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17767, BgL_objz00_17769);
									BgL_objz00_17769;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3953z00_17770;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3954z00_17771;
										obj_t BgL_arg3955z00_17772;

										BgL_arg3954z00_17771 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15161))->
											BgL_arityz00);
										BgL_arg3955z00_17772 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15161))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17773;

											BgL_newz00_17773 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32418;

												BgL_tmpz00_32418 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_32418,
													BgL_arg3955z00_17772);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32423;
												int BgL_tmpz00_32421;

												BgL_auxz00_32423 = BINT(BgL_siza7ezd2framez75_15163);
												BgL_tmpz00_32421 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_32421,
													BgL_auxz00_32423);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32426;

												BgL_tmpz00_32426 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_32426,
													BgL_runz00_17767);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32429;

												BgL_tmpz00_32429 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_32429,
													BgL_arg3954z00_17771);
											}
											BgL_arg3953z00_17770 = BgL_newz00_17773;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17768, BgL_arg3953z00_17770);
									BgL_arg3953z00_17770;
								}
								return BgL_mainz00_17768;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5736 */
	obj_t BGl_z62main5736z62zz__evaluate_compz00(obj_t BgL_envz00_15165,
		obj_t BgL_az00_15172, obj_t BgL_bz00_15173, obj_t BgL_cz00_15174,
		obj_t BgL_dz00_15175, obj_t BgL_restz00_15176)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15169;
				obj_t BgL_runz00_15170;
				long BgL_siza7ezd2framez75_15171;

				BgL_i1245z00_15169 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15165, (int) (((long) 3))));
				BgL_runz00_15170 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15165, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15171 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15165, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17774;

					BgL_sz00_17774 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17775;

						BgL_bpz00_17775 = VECTOR_REF(((obj_t) BgL_sz00_17774), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17775) + BgL_siza7ezd2framez75_15171) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17774))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3958z00_17776;

									BgL_arg3958z00_17776 =
										((long) CINT(BgL_bpz00_17775) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3958z00_17776,
										BgL_az00_15172);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3959z00_17777;

									BgL_arg3959z00_17777 =
										((long) CINT(BgL_bpz00_17775) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3959z00_17777,
										BgL_bz00_15173);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3960z00_17778;

									BgL_arg3960z00_17778 =
										((long) CINT(BgL_bpz00_17775) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3960z00_17778,
										BgL_cz00_15174);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3961z00_17779;

									BgL_arg3961z00_17779 =
										((long) CINT(BgL_bpz00_17775) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3961z00_17779,
										BgL_dz00_15175);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3962z00_17780;
									long BgL_arg3963z00_17781;
									long BgL_arg3964z00_17782;
									obj_t BgL_arg3965z00_17783;

									BgL_arg3962z00_17780 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
										BgL_wherez00);
									BgL_arg3963z00_17781 =
										((long) CINT(BgL_bpz00_17775) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3966z00_17784;

										BgL_arg3966z00_17784 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3966z00_17784) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3964z00_17782 =
													((long) CINT(BgL_arg3966z00_17784) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3964z00_17782 =
													((long) CINT(BgL_arg3966z00_17784) - ((long) 4));
									}}
									BgL_arg3965z00_17783 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17774,
										BgL_arg3962z00_17780, BgL_arg3963z00_17781,
										BgL_arg3964z00_17782, BgL_restz00_15176,
										BgL_arg3965z00_17783);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17785;

									BgL_ez00_17785 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17785,
										BgL_bpz00_17775);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17786;

										BgL_accz00_17786 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15170, BgL_sz00_17774, BgL_bpz00_17775);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17785);
										VECTOR_SET(
											((obj_t) BgL_sz00_17774), ((long) 0), BgL_bpz00_17775);
										return BgL_accz00_17786;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17787;

								BgL_nsz00_17787 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17787, ((long) 1), BgL_sz00_17774);
								VECTOR_SET(BgL_nsz00_17787, ((long) 2), BgL_az00_15172);
								VECTOR_SET(BgL_nsz00_17787, ((long) 3), BgL_bz00_15173);
								VECTOR_SET(BgL_nsz00_17787, ((long) 4), BgL_cz00_15174);
								VECTOR_SET(BgL_nsz00_17787, ((long) 5), BgL_dz00_15175);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3967z00_17788;
									long BgL_arg3968z00_17789;
									obj_t BgL_arg3969z00_17790;

									BgL_arg3967z00_17788 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3970z00_17791;

										BgL_arg3970z00_17791 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3970z00_17791) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3968z00_17789 =
													((long) CINT(BgL_arg3970z00_17791) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3968z00_17789 =
													((long) CINT(BgL_arg3970z00_17791) - ((long) 4));
									}}
									BgL_arg3969z00_17790 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15169))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17787,
										BgL_arg3967z00_17788, ((long) 6), BgL_arg3968z00_17789,
										BgL_restz00_15176, BgL_arg3969z00_17790);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17792;

									BgL_z12denvz12_17792 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17792, BgL_nsz00_17787);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17793;

										BgL_ez00_17793 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17793,
											BgL_sz00_17774);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17794;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17795;

												BgL_savedzd2bpzd2_17795 =
													VECTOR_REF(BgL_nsz00_17787, ((long) 0));
												VECTOR_SET(BgL_nsz00_17787, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17797;

													BgL_fz00_17797 = BgL_runz00_15170;
												BgL_recz00_17796:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17798;

														BgL_rz00_17798 =
															PROCEDURE_ENTRY(BgL_fz00_17797) (BgL_fz00_17797,
															BgL_nsz00_17787, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32514;

															if (PROCEDUREP(BgL_rz00_17798))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17799;

																	BgL_arg1693z00_17799 =
																		PROCEDURE_ATTR(BgL_rz00_17798);
																	if (STRUCTP(BgL_arg1693z00_17799))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32514 =
																				(STRUCT_KEY(BgL_arg1693z00_17799) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32514 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32514 = ((bool_t) 0);
																}
															if (BgL_testz00_32514)
																{
																	obj_t BgL_fz00_32522;

																	BgL_fz00_32522 = BgL_rz00_17798;
																	BgL_fz00_17797 = BgL_fz00_32522;
																	goto BgL_recz00_17796;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17787, ((long) 0),
																		BgL_savedzd2bpzd2_17795);
																	BgL_____rz00_17794 = BgL_rz00_17798;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17793);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17792, BgL_sz00_17774);
											return BgL_____rz00_17794;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5737 */
	obj_t BGl_z62run5737z62zz__evaluate_compz00(obj_t BgL_envz00_15177,
		obj_t BgL_sz00_15182)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15178;
				obj_t BgL_valza2za2_15179;
				BgL_ev_absz00_bglt BgL_i1245z00_15180;
				obj_t BgL_bodyz00_15181;

				BgL_siza7eza7_15178 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15177, (int) (((long) 0))));
				BgL_valza2za2_15179 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15177, (int) (((long) 1))));
				BgL_i1245z00_15180 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15177, (int) (((long) 2))));
				BgL_bodyz00_15181 = PROCEDURE_REF(BgL_envz00_15177, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17800;

					BgL_bpz00_17800 = VECTOR_REF(((obj_t) BgL_sz00_15182), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15182,
						BgL_valza2za2_15179,
						((long) CINT(BgL_bpz00_17800) + BgL_siza7eza7_15178));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17801;
						obj_t BgL_wherez00_17802;
						obj_t BgL_locz00_17803;

						BgL_z12denvz12_17801 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17802 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15180))->
							BgL_wherez00);
						BgL_locz00_17803 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15180))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17801, BgL_wherez00_17802,
								BgL_locz00_17803);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17804;

								BgL_za2za2resza2za2z00_17804 =
									PROCEDURE_ENTRY(BgL_bodyz00_15181) (BgL_bodyz00_15181,
									BgL_sz00_15182, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17801);
								return BgL_za2za2resza2za2z00_17804;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3973> */
	obj_t BGl_z62zc3anonymousza33973ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15183, obj_t BgL_sz00_15190)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15184;
				obj_t BgL_iboxesz00_15185;
				long BgL_siza7eza7_15186;
				BgL_ev_absz00_bglt BgL_i1245z00_15187;
				obj_t BgL_bodyz00_15188;
				long BgL_siza7ezd2framez75_15189;

				BgL_ifreesz00_15184 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 0))));
				BgL_iboxesz00_15185 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 1))));
				BgL_siza7eza7_15186 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 2))));
				BgL_i1245z00_15187 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 3))));
				BgL_bodyz00_15188 = PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17805;

					BgL_bpz00_17805 = VECTOR_REF(((obj_t) BgL_sz00_15190), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17806;

						BgL_valza2za2_17806 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15190,
							BgL_bpz00_17805, BgL_ifreesz00_15184);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17807;

							BgL_runz00_17807 =
								MAKE_FX_PROCEDURE(BGl_z62run5739z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17807,
								(int) (((long) 0)), BgL_iboxesz00_15185);
							PROCEDURE_SET(BgL_runz00_17807,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15186));
							PROCEDURE_SET(BgL_runz00_17807,
								(int) (((long) 2)), BgL_valza2za2_17806);
							PROCEDURE_SET(BgL_runz00_17807,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_15187));
							PROCEDURE_SET(BgL_runz00_17807,
								(int) (((long) 4)), BgL_bodyz00_15188);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17808;

								BgL_mainz00_17808 =
									MAKE_VA_PROCEDURE(BGl_z62main5738z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 0)), BgL_iboxesz00_15185);
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15186));
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 2)), BgL_valza2za2_17806);
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 3)), BgL_bodyz00_15188);
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 4)), ((obj_t) BgL_i1245z00_15187));
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 5)), BgL_runz00_17807);
								PROCEDURE_SET(BgL_mainz00_17808,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15189));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17809;

									BgL_objz00_17809 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17807, BgL_objz00_17809);
									BgL_objz00_17809;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3974z00_17810;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3975z00_17811;
										obj_t BgL_arg3976z00_17812;

										BgL_arg3975z00_17811 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15187))->
											BgL_arityz00);
										BgL_arg3976z00_17812 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15187))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17813;

											BgL_newz00_17813 =
												create_struct(BGl_symbol5769z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32611;

												BgL_tmpz00_32611 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17813, BgL_tmpz00_32611,
													BgL_arg3976z00_17812);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32616;
												int BgL_tmpz00_32614;

												BgL_auxz00_32616 = BINT(BgL_siza7ezd2framez75_15189);
												BgL_tmpz00_32614 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17813, BgL_tmpz00_32614,
													BgL_auxz00_32616);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32619;

												BgL_tmpz00_32619 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17813, BgL_tmpz00_32619,
													BgL_runz00_17807);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32622;

												BgL_tmpz00_32622 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17813, BgL_tmpz00_32622,
													BgL_arg3975z00_17811);
											}
											BgL_arg3974z00_17810 = BgL_newz00_17813;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17808, BgL_arg3974z00_17810);
									BgL_arg3974z00_17810;
								}
								return BgL_mainz00_17808;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5738 */
	obj_t BGl_z62main5738z62zz__evaluate_compz00(obj_t BgL_envz00_15191,
		obj_t BgL_az00_15199, obj_t BgL_bz00_15200, obj_t BgL_cz00_15201,
		obj_t BgL_dz00_15202, obj_t BgL_restz00_15203)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15196;
				obj_t BgL_runz00_15197;
				long BgL_siza7ezd2framez75_15198;

				BgL_i1245z00_15196 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 4))));
				BgL_runz00_15197 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15198 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17814;

					BgL_sz00_17814 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17815;

						BgL_bpz00_17815 = VECTOR_REF(((obj_t) BgL_sz00_17814), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17815) + BgL_siza7ezd2framez75_15198) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17814))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3979z00_17816;

									BgL_arg3979z00_17816 =
										((long) CINT(BgL_bpz00_17815) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17814), BgL_arg3979z00_17816,
										BgL_az00_15199);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3980z00_17817;

									BgL_arg3980z00_17817 =
										((long) CINT(BgL_bpz00_17815) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17814), BgL_arg3980z00_17817,
										BgL_bz00_15200);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3981z00_17818;

									BgL_arg3981z00_17818 =
										((long) CINT(BgL_bpz00_17815) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17814), BgL_arg3981z00_17818,
										BgL_cz00_15201);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3982z00_17819;

									BgL_arg3982z00_17819 =
										((long) CINT(BgL_bpz00_17815) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17814), BgL_arg3982z00_17819,
										BgL_dz00_15202);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3983z00_17820;
									long BgL_arg3984z00_17821;
									long BgL_arg3985z00_17822;
									obj_t BgL_arg3986z00_17823;

									BgL_arg3983z00_17820 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
										BgL_wherez00);
									BgL_arg3984z00_17821 =
										((long) CINT(BgL_bpz00_17815) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3987z00_17824;

										BgL_arg3987z00_17824 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3987z00_17824) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3985z00_17822 =
													((long) CINT(BgL_arg3987z00_17824) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3985z00_17822 =
													((long) CINT(BgL_arg3987z00_17824) - ((long) 4));
									}}
									BgL_arg3986z00_17823 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17814,
										BgL_arg3983z00_17820, BgL_arg3984z00_17821,
										BgL_arg3985z00_17822, BgL_restz00_15203,
										BgL_arg3986z00_17823);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17825;

									BgL_ez00_17825 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17825,
										BgL_bpz00_17815);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17826;

										BgL_accz00_17826 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15197, BgL_sz00_17814, BgL_bpz00_17815);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17825);
										VECTOR_SET(
											((obj_t) BgL_sz00_17814), ((long) 0), BgL_bpz00_17815);
										return BgL_accz00_17826;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17827;

								BgL_nsz00_17827 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17827, ((long) 1), BgL_sz00_17814);
								VECTOR_SET(BgL_nsz00_17827, ((long) 2), BgL_az00_15199);
								VECTOR_SET(BgL_nsz00_17827, ((long) 3), BgL_bz00_15200);
								VECTOR_SET(BgL_nsz00_17827, ((long) 4), BgL_cz00_15201);
								VECTOR_SET(BgL_nsz00_17827, ((long) 5), BgL_dz00_15202);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3988z00_17828;
									long BgL_arg3989z00_17829;
									obj_t BgL_arg3990z00_17830;

									BgL_arg3988z00_17828 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3991z00_17831;

										BgL_arg3991z00_17831 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3991z00_17831) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3989z00_17829 =
													((long) CINT(BgL_arg3991z00_17831) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3989z00_17829 =
													((long) CINT(BgL_arg3991z00_17831) - ((long) 4));
									}}
									BgL_arg3990z00_17830 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15196))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17827,
										BgL_arg3988z00_17828, ((long) 6), BgL_arg3989z00_17829,
										BgL_restz00_15203, BgL_arg3990z00_17830);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17832;

									BgL_z12denvz12_17832 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17832, BgL_nsz00_17827);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17833;

										BgL_ez00_17833 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17833,
											BgL_sz00_17814);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17834;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17835;

												BgL_savedzd2bpzd2_17835 =
													VECTOR_REF(BgL_nsz00_17827, ((long) 0));
												VECTOR_SET(BgL_nsz00_17827, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17837;

													BgL_fz00_17837 = BgL_runz00_15197;
												BgL_recz00_17836:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17838;

														BgL_rz00_17838 =
															PROCEDURE_ENTRY(BgL_fz00_17837) (BgL_fz00_17837,
															BgL_nsz00_17827, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32707;

															if (PROCEDUREP(BgL_rz00_17838))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17839;

																	BgL_arg1693z00_17839 =
																		PROCEDURE_ATTR(BgL_rz00_17838);
																	if (STRUCTP(BgL_arg1693z00_17839))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32707 =
																				(STRUCT_KEY(BgL_arg1693z00_17839) ==
																				BGl_symbol5748z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32707 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32707 = ((bool_t) 0);
																}
															if (BgL_testz00_32707)
																{
																	obj_t BgL_fz00_32715;

																	BgL_fz00_32715 = BgL_rz00_17838;
																	BgL_fz00_17837 = BgL_fz00_32715;
																	goto BgL_recz00_17836;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17827, ((long) 0),
																		BgL_savedzd2bpzd2_17835);
																	BgL_____rz00_17834 = BgL_rz00_17838;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17833);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17832, BgL_sz00_17814);
											return BgL_____rz00_17834;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5739 */
	obj_t BGl_z62run5739z62zz__evaluate_compz00(obj_t BgL_envz00_15204,
		obj_t BgL_sz00_15210)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15205;
				long BgL_siza7eza7_15206;
				obj_t BgL_valza2za2_15207;
				BgL_ev_absz00_bglt BgL_i1245z00_15208;
				obj_t BgL_bodyz00_15209;

				BgL_iboxesz00_15205 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 0))));
				BgL_siza7eza7_15206 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 1))));
				BgL_valza2za2_15207 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 2))));
				BgL_i1245z00_15208 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 3))));
				BgL_bodyz00_15209 = PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17840;

					BgL_bpz00_17840 = VECTOR_REF(((obj_t) BgL_sz00_15210), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15210,
						BgL_iboxesz00_15205, BgL_bpz00_17840);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15210,
						BgL_valza2za2_15207,
						((long) CINT(BgL_bpz00_17840) + BgL_siza7eza7_15206));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17841;
						obj_t BgL_wherez00_17842;
						obj_t BgL_locz00_17843;

						BgL_z12denvz12_17841 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17842 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15208))->
							BgL_wherez00);
						BgL_locz00_17843 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1245z00_15208))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17841, BgL_wherez00_17842,
								BgL_locz00_17843);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17844;

								BgL_za2za2resza2za2z00_17844 =
									PROCEDURE_ENTRY(BgL_bodyz00_15209) (BgL_bodyz00_15209,
									BgL_sz00_15210, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17841);
								return BgL_za2za2resza2za2z00_17844;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_app1430 */
	obj_t BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00(obj_t BgL_envz00_15211,
		obj_t BgL_ez00_15212, obj_t BgL_stkz00_15213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1037 */
			{	/* Eval/evaluate_comp.scm 1039 */
				obj_t BgL__ortest_1231z00_17846;

				BgL__ortest_1231z00_17846 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15212), BgL_stkz00_15213);
				if (CBOOL(BgL__ortest_1231z00_17846))
					{	/* Eval/evaluate_comp.scm 1039 */
						return BgL__ortest_1231z00_17846;
					}
				else
					{	/* Eval/evaluate_comp.scm 1040 */
						obj_t BgL__ortest_1232z00_17847;

						BgL__ortest_1232z00_17847 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15212)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15212)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15212)))->BgL_argsz00),
							BgL_stkz00_15213);
						if (CBOOL(BgL__ortest_1232z00_17847))
							{	/* Eval/evaluate_comp.scm 1040 */
								return BgL__ortest_1232z00_17847;
							}
						else
							{	/* Eval/evaluate_comp.scm 1040 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
												BgL_argsz00)) > ((long) 4)))
									{	/* Eval/evaluate_comp.scm 1041 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15212), BgL_stkz00_15213);
									}
								else
									{	/* Eval/evaluate_comp.scm 1043 */
										obj_t BgL_fz00_17848;
										long BgL_siza7eza7_17849;
										obj_t BgL_symbzd2funzd2_17850;

										BgL_fz00_17848 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
												BgL_funz00), BgL_stkz00_15213);
										BgL_siza7eza7_17849 = bgl_list_length(BgL_stkz00_15213);
										BgL_symbzd2funzd2_17850 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1044 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15212)))->BgL_funz00),
													BgL_symbzd2funzd2_17850, BgL_fz00_17848,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15212)))->BgL_tailzf3zf3),
													BgL_stkz00_15213, BgL_siza7eza7_17849);
											}
										else
											{	/* Eval/evaluate_comp.scm 1046 */
												obj_t BgL_a1z00_17851;
												obj_t BgL_argsz00_17852;

												{	/* Eval/evaluate_comp.scm 1046 */
													obj_t BgL_arg3413z00_17853;

													BgL_arg3413z00_17853 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
															BgL_argsz00));
													BgL_a1z00_17851 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3413z00_17853),
														BgL_stkz00_15213);
												}
												BgL_argsz00_17852 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_17852))
													{	/* Eval/evaluate_comp.scm 1046 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15212)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15212)))->BgL_funz00),
															BgL_symbzd2funzd2_17850, BgL_fz00_17848,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15212)))->BgL_tailzf3zf3),
															BgL_stkz00_15213, BgL_siza7eza7_17849,
															BgL_a1z00_17851);
													}
												else
													{	/* Eval/evaluate_comp.scm 1046 */
														obj_t BgL_a2z00_17854;
														obj_t BgL_argsz00_17855;

														{	/* Eval/evaluate_comp.scm 1046 */
															obj_t BgL_arg3412z00_17856;

															BgL_arg3412z00_17856 =
																CAR(((obj_t) BgL_argsz00_17852));
															BgL_a2z00_17854 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3412z00_17856),
																BgL_stkz00_15213);
														}
														BgL_argsz00_17855 =
															CDR(((obj_t) BgL_argsz00_17852));
														if (NULLP(BgL_argsz00_17855))
															{	/* Eval/evaluate_comp.scm 1046 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15212)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15212)))->BgL_funz00),
																	BgL_symbzd2funzd2_17850, BgL_fz00_17848,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15212)))->BgL_tailzf3zf3),
																	BgL_stkz00_15213, BgL_siza7eza7_17849,
																	BgL_a1z00_17851, BgL_a2z00_17854);
															}
														else
															{	/* Eval/evaluate_comp.scm 1046 */
																obj_t BgL_a3z00_17857;
																obj_t BgL_argsz00_17858;

																{	/* Eval/evaluate_comp.scm 1046 */
																	obj_t BgL_arg3410z00_17859;

																	BgL_arg3410z00_17859 =
																		CAR(((obj_t) BgL_argsz00_17855));
																	BgL_a3z00_17857 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3410z00_17859), BgL_stkz00_15213);
																}
																BgL_argsz00_17858 =
																	CDR(((obj_t) BgL_argsz00_17855));
																if (NULLP(BgL_argsz00_17858))
																	{	/* Eval/evaluate_comp.scm 1046 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15212)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15212)))->BgL_funz00),
																			BgL_symbzd2funzd2_17850, BgL_fz00_17848,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15212)))->
																				BgL_tailzf3zf3), BgL_stkz00_15213,
																			BgL_siza7eza7_17849, BgL_a1z00_17851,
																			BgL_a2z00_17854, BgL_a3z00_17857);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1046 */
																		obj_t BgL_a4z00_17860;
																		obj_t BgL_argsz00_17861;

																		{	/* Eval/evaluate_comp.scm 1046 */
																			obj_t BgL_arg3409z00_17862;

																			BgL_arg3409z00_17862 =
																				CAR(((obj_t) BgL_argsz00_17858));
																			BgL_a4z00_17860 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3409z00_17862),
																				BgL_stkz00_15213);
																		}
																		BgL_argsz00_17861 =
																			CDR(((obj_t) BgL_argsz00_17858));
																		if (NULLP(BgL_argsz00_17861))
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15212)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15212)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_17850,
																					BgL_fz00_17848,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15212)))->
																						BgL_tailzf3zf3), BgL_stkz00_15213,
																					BgL_siza7eza7_17849, BgL_a1z00_17851,
																					BgL_a2z00_17854, BgL_a3z00_17857,
																					BgL_a4z00_17860);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string5752z00zz__evaluate_compz00,
																					BGl_string5867z00zz__evaluate_compz00,
																					BGl_string5868z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_goto1428 */
	obj_t BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00(obj_t BgL_envz00_15214,
		obj_t BgL_ez00_15215, obj_t BgL_stkz00_15216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 597 */
			{	/* Eval/evaluate_comp.scm 600 */
				obj_t BgL_slotz00_17866;
				long BgL_siza7eza7_17867;
				obj_t BgL_lstkz00_17868;

				BgL_slotz00_17866 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_17867 = bgl_list_length(BgL_stkz00_15216);
				BgL_lstkz00_17868 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 602 */
					long BgL_llstkz00_17869;
					obj_t BgL_substkz00_17870;
					obj_t BgL_boxesz00_17871;

					BgL_llstkz00_17869 = bgl_list_length(BgL_lstkz00_17868);
					BgL_substkz00_17870 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_17868,
						BgL_stkz00_15216);
					{	/* Eval/evaluate_comp.scm 602 */
						obj_t BgL_pairz00_17872;

						BgL_pairz00_17872 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_17871 = CDR(BgL_pairz00_17872);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_argsz00),
							BgL_substkz00_17870))
						{	/* Eval/evaluate_comp.scm 605 */
							obj_t BgL_argsz00_17873;
							long BgL_nbargsz00_17874;

							BgL_argsz00_17873 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_argsz00),
								BgL_stkz00_15216);
							BgL_nbargsz00_17874 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 606 */
								obj_t BgL_zc3anonymousza33363ze3z83_17875;

								BgL_zc3anonymousza33363ze3z83_17875 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33363ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17867));
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 1)), BINT(BgL_llstkz00_17869));
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 2)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15215)));
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 3)), BgL_argsz00_17873);
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 4)), BgL_boxesz00_17871);
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 5)), BINT(BgL_nbargsz00_17874));
								PROCEDURE_SET(BgL_zc3anonymousza33363ze3z83_17875,
									(int) (((long) 6)), BgL_slotz00_17866);
								return BgL_zc3anonymousza33363ze3z83_17875;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 611 */
							obj_t BgL_argsz00_17876;

							{	/* Eval/evaluate_comp.scm 611 */
								obj_t BgL_lz00_17877;
								long BgL_nz00_17878;

								BgL_lz00_17877 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15215)))->BgL_argsz00);
								BgL_nz00_17878 = (BgL_siza7eza7_17867 - BgL_llstkz00_17869);
								BgL_argsz00_17876 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15216,
									BgL_lz00_17877, BgL_nz00_17878);
							}
							{	/* Eval/evaluate_comp.scm 612 */
								obj_t BgL_zc3anonymousza33369ze3z83_17879;

								BgL_zc3anonymousza33369ze3z83_17879 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_17879,
									(int) (((long) 0)), BINT(BgL_llstkz00_17869));
								PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_17879,
									(int) (((long) 1)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15215)));
								PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_17879,
									(int) (((long) 2)), BgL_argsz00_17876);
								PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_17879,
									(int) (((long) 3)), BgL_boxesz00_17871);
								PROCEDURE_SET(BgL_zc3anonymousza33369ze3z83_17879,
									(int) (((long) 4)), BgL_slotz00_17866);
								return BgL_zc3anonymousza33369ze3z83_17879;
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3363> */
	obj_t BGl_z62zc3anonymousza33363ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15217, obj_t BgL_sz00_15225)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 606 */
			{	/* Eval/evaluate_comp.scm 606 */
				long BgL_siza7eza7_15218;
				long BgL_llstkz00_15219;
				BgL_ev_gotoz00_bglt BgL_i1143z00_15220;
				obj_t BgL_argsz00_15221;
				obj_t BgL_boxesz00_15222;
				long BgL_nbargsz00_15223;
				obj_t BgL_slotz00_15224;

				BgL_siza7eza7_15218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 0))));
				BgL_llstkz00_15219 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 1))));
				BgL_i1143z00_15220 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 2))));
				BgL_argsz00_15221 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 3))));
				BgL_boxesz00_15222 =
					PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 4)));
				BgL_nbargsz00_15223 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 5))));
				BgL_slotz00_15224 = PROCEDURE_REF(BgL_envz00_15217, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 606 */
					obj_t BgL_bpz00_17880;

					BgL_bpz00_17880 = VECTOR_REF(((obj_t) BgL_sz00_15225), ((long) 0));
					{	/* Eval/evaluate_comp.scm 607 */
						long BgL_spz00_17881;
						long BgL_lspz00_17882;

						BgL_spz00_17881 =
							((long) CINT(BgL_bpz00_17880) + BgL_siza7eza7_15218);
						BgL_lspz00_17882 =
							((long) CINT(BgL_bpz00_17880) + BgL_llstkz00_15219);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15225, BgL_argsz00_15221, BgL_boxesz00_15222,
							BgL_spz00_17881,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1143z00_15220))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 609 */
							long BgL_arg3365z00_17883;

							BgL_arg3365z00_17883 = (BgL_spz00_17881 + BgL_nbargsz00_15223);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15225,
								BgL_lspz00_17882, BgL_sz00_15225, BINT(BgL_spz00_17881),
								BINT(BgL_arg3365z00_17883));
						}
						return CDR(((obj_t) BgL_slotz00_15224));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3369> */
	obj_t BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15226, obj_t BgL_sz00_15232)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 612 */
			{	/* Eval/evaluate_comp.scm 612 */
				long BgL_llstkz00_15227;
				BgL_ev_gotoz00_bglt BgL_i1143z00_15228;
				obj_t BgL_argsz00_15229;
				obj_t BgL_boxesz00_15230;
				obj_t BgL_slotz00_15231;

				BgL_llstkz00_15227 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 0))));
				BgL_i1143z00_15228 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 1))));
				BgL_argsz00_15229 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 2))));
				BgL_boxesz00_15230 =
					PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 3)));
				BgL_slotz00_15231 = PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 612 */
					obj_t BgL_bpz00_17884;

					BgL_bpz00_17884 = VECTOR_REF(((obj_t) BgL_sz00_15232), ((long) 0));
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15232, BgL_argsz00_15229, BgL_boxesz00_15230,
						((long) CINT(BgL_bpz00_17884) + BgL_llstkz00_15227),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1143z00_15228))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15231));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_labels1426 */
	obj_t BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15233, obj_t BgL_ez00_15234, obj_t BgL_stkz00_15235)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 565 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15234)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15235), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 572 */
				obj_t BgL_envz00_17886;

				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_l1328z00_17887;

					BgL_l1328z00_17887 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15234)))->BgL_varsz00);
					if (NULLP(BgL_l1328z00_17887))
						{	/* Eval/evaluate_comp.scm 572 */
							BgL_envz00_17886 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 572 */
							obj_t BgL_head1330z00_17888;

							{	/* Eval/evaluate_comp.scm 572 */
								obj_t BgL_res5164z00_17889;

								BgL_res5164z00_17889 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1330z00_17888 = BgL_res5164z00_17889;
							}
							{
								obj_t BgL_l1328z00_17891;
								obj_t BgL_tail1331z00_17892;

								BgL_l1328z00_17891 = BgL_l1328z00_17887;
								BgL_tail1331z00_17892 = BgL_head1330z00_17888;
							BgL_zc3anonymousza33354ze3z83_17890:
								if (NULLP(BgL_l1328z00_17891))
									{	/* Eval/evaluate_comp.scm 572 */
										BgL_envz00_17886 = CDR(BgL_head1330z00_17888);
									}
								else
									{	/* Eval/evaluate_comp.scm 572 */
										obj_t BgL_newtail1332z00_17893;

										{	/* Eval/evaluate_comp.scm 572 */
											obj_t BgL_arg3357z00_17894;

											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_vz00_17895;

												BgL_vz00_17895 = CAR(((obj_t) BgL_l1328z00_17891));
												BgL_arg3357z00_17894 =
													MAKE_YOUNG_PAIR(BgL_vz00_17895,
													BGl_symbol5869z00zz__evaluate_compz00);
											}
											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_res5170z00_17896;

												BgL_res5170z00_17896 =
													MAKE_YOUNG_PAIR(BgL_arg3357z00_17894, BNIL);
												BgL_newtail1332z00_17893 = BgL_res5170z00_17896;
											}
										}
										SET_CDR(BgL_tail1331z00_17892, BgL_newtail1332z00_17893);
										{	/* Eval/evaluate_comp.scm 572 */
											obj_t BgL_arg3356z00_17897;

											BgL_arg3356z00_17897 = CDR(((obj_t) BgL_l1328z00_17891));
											{
												obj_t BgL_tail1331z00_32994;
												obj_t BgL_l1328z00_32993;

												BgL_l1328z00_32993 = BgL_arg3356z00_17897;
												BgL_tail1331z00_32994 = BgL_newtail1332z00_17893;
												BgL_tail1331z00_17892 = BgL_tail1331z00_32994;
												BgL_l1328z00_17891 = BgL_l1328z00_32993;
												goto BgL_zc3anonymousza33354ze3z83_17890;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15234)))->BgL_envz00) =
					((obj_t) BgL_envz00_17886), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 575 */
					obj_t BgL_g1336z00_17898;

					BgL_g1336z00_17898 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15234)))->BgL_valsz00);
					{
						obj_t BgL_ll1333z00_17900;
						obj_t BgL_ll1334z00_17901;

						BgL_ll1333z00_17900 = BgL_envz00_17886;
						BgL_ll1334z00_17901 = BgL_g1336z00_17898;
					BgL_zc3anonymousza33342ze3z83_17899:
						if (NULLP(BgL_ll1333z00_17900))
							{	/* Eval/evaluate_comp.scm 575 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 575 */
								{	/* Eval/evaluate_comp.scm 577 */
									obj_t BgL_slotz00_17902;
									obj_t BgL_valz00_17903;

									BgL_slotz00_17902 = CAR(((obj_t) BgL_ll1333z00_17900));
									BgL_valz00_17903 = CAR(((obj_t) BgL_ll1334z00_17901));
									{	/* Eval/evaluate_comp.scm 578 */
										obj_t BgL_arg3345z00_17904;

										{	/* Eval/evaluate_comp.scm 578 */
											obj_t BgL_arg3346z00_17905;

											{	/* Eval/evaluate_comp.scm 578 */
												obj_t BgL_arg3347z00_17906;
												obj_t BgL_arg3349z00_17907;

												BgL_arg3347z00_17906 = CDR(((obj_t) BgL_valz00_17903));
												{	/* Eval/evaluate_comp.scm 578 */
													obj_t BgL_arg3350z00_17908;

													BgL_arg3350z00_17908 =
														CAR(((obj_t) BgL_valz00_17903));
													BgL_arg3349z00_17907 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_15235, BgL_arg3350z00_17908);
												}
												BgL_arg3346z00_17905 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3347z00_17906),
													BgL_arg3349z00_17907);
											}
											{	/* Eval/evaluate_comp.scm 567 */
												obj_t BgL_objz00_17909;

												BgL_objz00_17909 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 567 */
													obj_t BgL_tmpz00_33012;

													BgL_tmpz00_33012 = ((obj_t) BgL_arg3346z00_17905);
													PROCEDURE_ATTR_SET(BgL_tmpz00_33012,
														BgL_objz00_17909);
												}
												BgL_objz00_17909;
											}
											BgL_arg3345z00_17904 = BgL_arg3346z00_17905;
										}
										{	/* Eval/evaluate_comp.scm 577 */
											obj_t BgL_tmpz00_33015;

											BgL_tmpz00_33015 = ((obj_t) BgL_slotz00_17902);
											SET_CDR(BgL_tmpz00_33015, BgL_arg3345z00_17904);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 575 */
									obj_t BgL_arg3351z00_17910;
									obj_t BgL_arg3352z00_17911;

									BgL_arg3351z00_17910 = CDR(((obj_t) BgL_ll1333z00_17900));
									BgL_arg3352z00_17911 = CDR(((obj_t) BgL_ll1334z00_17901));
									{
										obj_t BgL_ll1334z00_33023;
										obj_t BgL_ll1333z00_33022;

										BgL_ll1333z00_33022 = BgL_arg3351z00_17910;
										BgL_ll1334z00_33023 = BgL_arg3352z00_17911;
										BgL_ll1334z00_17901 = BgL_ll1334z00_33023;
										BgL_ll1333z00_17900 = BgL_ll1333z00_33022;
										goto BgL_zc3anonymousza33342ze3z83_17899;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 582 */
				obj_t BgL_bodyz00_17912;

				BgL_bodyz00_17912 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15234)))->BgL_bodyz00),
					BgL_stkz00_15235);
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_zc3anonymousza33358ze3z83_17913;

					BgL_zc3anonymousza33358ze3z83_17913 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17913, (int) (((long) 0)),
						BgL_bodyz00_17912);
					return BgL_zc3anonymousza33358ze3z83_17913;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3358> */
	obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15236, obj_t BgL_sz00_15238)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 583 */
			{	/* Eval/evaluate_comp.scm 583 */
				obj_t BgL_bodyz00_15237;

				BgL_bodyz00_15237 = PROCEDURE_REF(BgL_envz00_15236, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_bpz00_17914;

					BgL_bpz00_17914 = VECTOR_REF(((obj_t) BgL_sz00_15238), ((long) 0));
					{
						obj_t BgL_fz00_17916;

						BgL_fz00_17916 = BgL_bodyz00_15237;
					BgL_recz00_17915:
						{	/* Eval/evaluate_comp.scm 590 */
							obj_t BgL_rz00_17917;

							BgL_rz00_17917 =
								PROCEDURE_ENTRY(BgL_fz00_17916) (BgL_fz00_17916, BgL_sz00_15238,
								BEOA);
							{	/* Eval/evaluate_comp.scm 592 */
								bool_t BgL_testz00_33040;

								if (PROCEDUREP(BgL_rz00_17917))
									{	/* Eval/evaluate_comp.scm 592 */
										obj_t BgL_arg1651z00_17918;

										BgL_arg1651z00_17918 = PROCEDURE_ATTR(BgL_rz00_17917);
										if (STRUCTP(BgL_arg1651z00_17918))
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33040 =
													(STRUCT_KEY(BgL_arg1651z00_17918) ==
													BGl_symbol5746z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33040 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										BgL_testz00_33040 = ((bool_t) 0);
									}
								if (BgL_testz00_33040)
									{
										obj_t BgL_fz00_33048;

										BgL_fz00_33048 = BgL_rz00_17917;
										BgL_fz00_17916 = BgL_fz00_33048;
										goto BgL_recz00_17915;
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										return BgL_rz00_17917;
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_synchronize1424 */
	obj_t BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00(obj_t
		BgL_envz00_15239, obj_t BgL_ez00_15240, obj_t BgL_stkz00_15241)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 545 */
			{	/* Eval/evaluate_comp.scm 547 */
				obj_t BgL_mutexz00_17920;
				obj_t BgL_prelockz00_17921;
				obj_t BgL_bodyz00_17922;

				BgL_mutexz00_17920 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15240)))->
						BgL_mutexz00), BgL_stkz00_15241);
				BgL_prelockz00_17921 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15240)))->
						BgL_prelockz00), BgL_stkz00_15241);
				BgL_bodyz00_17922 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15240)))->
						BgL_bodyz00), BgL_stkz00_15241);
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_zc3anonymousza33334ze3z83_17923;

					BgL_zc3anonymousza33334ze3z83_17923 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33334ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3anonymousza33334ze3z83_17923, (int) (((long) 0)),
						BgL_mutexz00_17920);
					PROCEDURE_SET(BgL_zc3anonymousza33334ze3z83_17923, (int) (((long) 1)),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15240)));
					PROCEDURE_SET(BgL_zc3anonymousza33334ze3z83_17923, (int) (((long) 2)),
						BgL_prelockz00_17921);
					PROCEDURE_SET(BgL_zc3anonymousza33334ze3z83_17923, (int) (((long) 3)),
						BgL_bodyz00_17922);
					return BgL_zc3anonymousza33334ze3z83_17923;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3334> */
	obj_t BGl_z62zc3anonymousza33334ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15242, obj_t BgL_sz00_15247)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 550 */
			{	/* Eval/evaluate_comp.scm 550 */
				obj_t BgL_mutexz00_15243;
				BgL_ev_synchroniza7eza7_bglt BgL_i1140z00_15244;
				obj_t BgL_prelockz00_15245;
				obj_t BgL_bodyz00_15246;

				BgL_mutexz00_15243 =
					PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 0)));
				BgL_i1140z00_15244 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 1))));
				BgL_prelockz00_15245 =
					PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 2)));
				BgL_bodyz00_15246 = PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_bpz00_17924;

					BgL_bpz00_17924 = VECTOR_REF(((obj_t) BgL_sz00_15247), ((long) 0));
					{	/* Eval/evaluate_comp.scm 551 */
						obj_t BgL_mz00_17925;

						BgL_mz00_17925 =
							PROCEDURE_ENTRY(BgL_mutexz00_15243) (BgL_mutexz00_15243,
							BgL_sz00_15247, BEOA);
						{	/* Eval/evaluate_comp.scm 552 */
							bool_t BgL_testz00_33086;

							{	/* Eval/evaluate_comp.scm 552 */
								bool_t BgL_res5161z00_17926;

								BgL_res5161z00_17926 = BGL_MUTEXP(BgL_mz00_17925);
								BgL_testz00_33086 = BgL_res5161z00_17926;
							}
							if (BgL_testz00_33086)
								{	/* Eval/evaluate_comp.scm 553 */
									obj_t BgL_pz00_17927;

									BgL_pz00_17927 =
										PROCEDURE_ENTRY(BgL_prelockz00_15245) (BgL_prelockz00_15245,
										BgL_sz00_15247, BEOA);
									{	/* Eval/evaluate_comp.scm 555 */
										obj_t BgL_za2za2resza2za2z00_17928;

										if (PAIRP(BgL_pz00_17927))
											{	/* Eval/evaluate_comp.scm 556 */
												obj_t BgL_top6006z00_33095;

												BgL_top6006z00_33095 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_17925, BgL_pz00_17927);
												BGL_EXITD_PUSH_PROTECT(BgL_top6006z00_33095,
													BgL_mz00_17925);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 556 */
													obj_t BgL_tmp6005z00_33094;

													BgL_tmp6005z00_33094 =
														PROCEDURE_ENTRY(BgL_bodyz00_15246)
														(BgL_bodyz00_15246, BgL_sz00_15247, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top6006z00_33095);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17925);
													BgL_za2za2resza2za2z00_17928 = BgL_tmp6005z00_33094;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 557 */
												obj_t BgL_top6008z00_33106;

												BgL_top6008z00_33106 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK(BgL_mz00_17925);
												BGL_EXITD_PUSH_PROTECT(BgL_top6008z00_33106,
													BgL_mz00_17925);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 557 */
													obj_t BgL_tmp6007z00_33105;

													BgL_tmp6007z00_33105 =
														PROCEDURE_ENTRY(BgL_bodyz00_15246)
														(BgL_bodyz00_15246, BgL_sz00_15247, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top6008z00_33106);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17925);
													BgL_za2za2resza2za2z00_17928 = BgL_tmp6007z00_33105;
												}
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15247), ((long) 0), BgL_bpz00_17924);
										return BgL_za2za2resza2za2z00_17928;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 552 */
									return
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_string5871z00zz__evaluate_compz00,
										BGl_string5872z00zz__evaluate_compz00, BgL_mz00_17925,
										(((BgL_ev_synchroniza7eza7_bglt)
												COBJECT(BgL_i1140z00_15244))->BgL_locz00));
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_with-handler1421 */
	obj_t BGl_z62compzd2ev_withzd2handler1421z62zz__evaluate_compz00(obj_t
		BgL_envz00_15248, obj_t BgL_ez00_15249, obj_t BgL_stkz00_15250)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 536 */
			{	/* Eval/evaluate_comp.scm 538 */
				obj_t BgL_handlerz00_17930;
				obj_t BgL_bodyz00_17931;

				BgL_handlerz00_17930 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15249)))->
						BgL_handlerz00), BgL_stkz00_15250);
				BgL_bodyz00_17931 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15249)))->
						BgL_bodyz00), BgL_stkz00_15250);
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_zc3anonymousza33319ze3z83_17932;

					BgL_zc3anonymousza33319ze3z83_17932 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17932, (int) (((long) 0)),
						BgL_handlerz00_17930);
					PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17932, (int) (((long) 1)),
						BgL_bodyz00_17931);
					return BgL_zc3anonymousza33319ze3z83_17932;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3319> */
	obj_t BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15251, obj_t BgL_sz00_15254)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 539 */
				obj_t BgL_handlerz00_15252;
				obj_t BgL_bodyz00_15253;

				BgL_handlerz00_15252 =
					PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 0)));
				BgL_bodyz00_15253 = PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_bpz00_17933;

					BgL_bpz00_17933 = VECTOR_REF(((obj_t) BgL_sz00_15254), ((long) 0));
					{	/* Eval/evaluate_comp.scm 540 */
						obj_t BgL_hz00_17934;

						BgL_hz00_17934 =
							PROCEDURE_ENTRY(BgL_handlerz00_15252) (BgL_handlerz00_15252,
							BgL_sz00_15254, BEOA);
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_za2za2resza2za2z00_17935;

							{	/* Eval/evaluate_comp.scm 542 */
								obj_t BgL_res1130z00_17936;

								BgL_res1130z00_17936 = MAKE_CELL(BUNSPEC);
								if (CBOOL(BGl_zc3exitza33326ze3ze70z64zz__evaluate_compz00
										(BgL_sz00_15254, BgL_bodyz00_15253, BgL_res1130z00_17936)))
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_17935 =
											PROCEDURE_ENTRY(BgL_hz00_17934) (BgL_hz00_17934,
											CELL_REF(BgL_res1130z00_17936), BEOA);
									}
								else
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_17935 =
											CELL_REF(BgL_res1130z00_17936);
									}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15254), ((long) 0), BgL_bpz00_17933);
							return BgL_za2za2resza2za2z00_17935;
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <exit:3326>~0 */
	obj_t BGl_zc3exitza33326ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_15442,
		obj_t BgL_bodyz00_15441, obj_t BgL_res1130z00_15440)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1133z00_4185;

			if (SET_EXIT(BgL_an_exit1133z00_4185))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1133z00_4185 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 542 */

						PUSH_EXIT(BgL_an_exit1133z00_4185, ((long) 1));
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_an_exitd1134z00_4186;

							BgL_an_exitd1134z00_4186 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 542 */
								bool_t BgL_res1136z00_4189;

								{	/* Eval/evaluate_comp.scm 542 */
									obj_t BgL_ohs1128z00_4190;

									BgL_ohs1128z00_4190 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 542 */
										obj_t BgL_exitd1137z00_4191;

										BgL_exitd1137z00_4191 = ((obj_t) (&exitd));
										{
											obj_t BgL_zc3anonymousza33331ze3z83_14221;

											BgL_zc3anonymousza33331ze3z83_14221 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33331ze3z83_14221,
												(int) (((long) 0)), BgL_ohs1128z00_4190);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1137z00_4191,
												BgL_zc3anonymousza33331ze3z83_14221);
											{	/* Eval/evaluate_comp.scm 542 */
												bool_t BgL_tmp1139z00_4193;

												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_arg3328z00_4194;

													{	/* Eval/evaluate_comp.scm 542 */
														obj_t BgL_zc3anonymousza33330ze3z83_14222;

														BgL_zc3anonymousza33330ze3z83_14222 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_14222,
															(int) (((long) 0)),
															((obj_t) BgL_res1130z00_15440));
														PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_14222,
															(int) (((long) 1)), BgL_an_exitd1134z00_4186);
														BgL_arg3328z00_4194 =
															MAKE_YOUNG_PAIR
															(BgL_zc3anonymousza33330ze3z83_14222,
															BgL_ohs1128z00_4190);
													}
													BGL_ERROR_HANDLER_SET(BgL_arg3328z00_4194);
													BUNSPEC;
												}
												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_auxz00_15256;

													BgL_auxz00_15256 =
														PROCEDURE_ENTRY(BgL_bodyz00_15441)
														(BgL_bodyz00_15441, BgL_sz00_15442, BEOA);
													CELL_SET(BgL_res1130z00_15440, BgL_auxz00_15256);
												}
												BgL_tmp1139z00_4193 = ((bool_t) 0);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1137z00_4191);
												BGL_ERROR_HANDLER_SET(BgL_ohs1128z00_4190);
												BUNSPEC;
												BgL_res1136z00_4189 = BgL_tmp1139z00_4193;
								}}}}
								POP_EXIT();
								return BBOOL(BgL_res1136z00_4189);
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3330> */
	obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15258, obj_t BgL_ez00_15261)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			{	/* Eval/evaluate_comp.scm 542 */
				obj_t BgL_res1130z00_15259;
				obj_t BgL_an_exitd1134z00_15260;

				BgL_res1130z00_15259 =
					PROCEDURE_REF(BgL_envz00_15258, (int) (((long) 0)));
				BgL_an_exitd1134z00_15260 =
					PROCEDURE_REF(BgL_envz00_15258, (int) (((long) 1)));
				CELL_SET(BgL_res1130z00_15259, BgL_ez00_15261);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1134z00_15260,
					BTRUE);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3331> */
	obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15263)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			{
				obj_t BgL_ohs1128z00_15264;

				BgL_ohs1128z00_15264 =
					PROCEDURE_REF(BgL_envz00_15263, (int) (((long) 0)));
				BGL_ERROR_HANDLER_SET(BgL_ohs1128z00_15264);
				return BUNSPEC;
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_unwind-prote1419 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1419z62zz__evaluate_compz00(obj_t
		BgL_envz00_15265, obj_t BgL_ez00_15266, obj_t BgL_stkz00_15267)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 529 */
				obj_t BgL_ez00_17938;
				obj_t BgL_bodyz00_17939;

				BgL_ez00_17938 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15266)))->BgL_ez00),
					BgL_stkz00_15267);
				BgL_bodyz00_17939 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15266)))->
						BgL_bodyz00), BgL_stkz00_15267);
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_zc3anonymousza33315ze3z83_17940;

					BgL_zc3anonymousza33315ze3z83_17940 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_17940, (int) (((long) 0)),
						BgL_bodyz00_17939);
					PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_17940, (int) (((long) 1)),
						BgL_ez00_17938);
					return BgL_zc3anonymousza33315ze3z83_17940;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3315> */
	obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15268, obj_t BgL_sz00_15271)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_bodyz00_15269;
				obj_t BgL_ez00_15270;

				BgL_bodyz00_15269 = PROCEDURE_REF(BgL_envz00_15268, (int) (((long) 0)));
				BgL_ez00_15270 = PROCEDURE_REF(BgL_envz00_15268, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_bpz00_17941;

					BgL_bpz00_17941 = VECTOR_REF(((obj_t) BgL_sz00_15271), ((long) 0));
					{	/* Eval/evaluate_comp.scm 532 */
						obj_t BgL_exitd1124z00_17942;

						BgL_exitd1124z00_17942 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 533 */
							obj_t BgL_zc3anonymousza33316ze3z83_17943;

							BgL_zc3anonymousza33316ze3z83_17943 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33316ze3ze1zz__evaluate_compz00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33316ze3z83_17943,
								(int) (((long) 0)), BgL_sz00_15271);
							PROCEDURE_SET(BgL_zc3anonymousza33316ze3z83_17943,
								(int) (((long) 1)), BgL_bpz00_17941);
							PROCEDURE_SET(BgL_zc3anonymousza33316ze3z83_17943,
								(int) (((long) 2)), BgL_bodyz00_15269);
							BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
								(BgL_exitd1124z00_17942, BgL_zc3anonymousza33316ze3z83_17943);
							{	/* Eval/evaluate_comp.scm 532 */
								obj_t BgL_tmp1126z00_17944;

								BgL_tmp1126z00_17944 =
									PROCEDURE_ENTRY(BgL_ez00_15270) (BgL_ez00_15270,
									BgL_sz00_15271, BEOA);
								BGl_exitdzd2popzd2protectz12z12zz__bexitz00
									(BgL_exitd1124z00_17942);
								VECTOR_SET(((obj_t) BgL_sz00_15271), ((long) 0),
									BgL_bpz00_17941);
								PROCEDURE_ENTRY(BgL_bodyz00_15269) (BgL_bodyz00_15269,
									BgL_sz00_15271, BEOA);
								return BgL_tmp1126z00_17944;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3316> */
	obj_t BGl_z62zc3anonymousza33316ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15272)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 532 */
			{	/* Eval/evaluate_comp.scm 533 */
				obj_t BgL_sz00_15273;
				obj_t BgL_savedzd2bpzd2_15274;
				obj_t BgL_bodyz00_15275;

				BgL_sz00_15273 = PROCEDURE_REF(BgL_envz00_15272, (int) (((long) 0)));
				BgL_savedzd2bpzd2_15274 =
					PROCEDURE_REF(BgL_envz00_15272, (int) (((long) 1)));
				BgL_bodyz00_15275 = PROCEDURE_REF(BgL_envz00_15272, (int) (((long) 2)));
				VECTOR_SET(
					((obj_t) BgL_sz00_15273), ((long) 0), BgL_savedzd2bpzd2_15274);
				return
					PROCEDURE_ENTRY(BgL_bodyz00_15275) (BgL_bodyz00_15275, BgL_sz00_15273,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_bind-exit1417 */
	obj_t BGl_z62compzd2ev_bindzd2exit1417z62zz__evaluate_compz00(obj_t
		BgL_envz00_15276, obj_t BgL_ez00_15277, obj_t BgL_stkz00_15278)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 516 */
			{	/* Eval/evaluate_comp.scm 518 */
				long BgL_siza7eza7_17946;
				obj_t BgL_nstkz00_17947;

				BgL_siza7eza7_17946 = bgl_list_length(BgL_stkz00_15278);
				{	/* Eval/evaluate_comp.scm 518 */
					obj_t BgL_arg3313z00_17948;

					{	/* Eval/evaluate_comp.scm 518 */
						BgL_ev_varz00_bglt BgL_arg3314z00_17949;

						BgL_arg3314z00_17949 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15277)))->BgL_varz00);
						BgL_arg3313z00_17948 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3314z00_17949), BNIL);
					}
					BgL_nstkz00_17947 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15278,
						BgL_arg3313z00_17948);
				}
				{	/* Eval/evaluate_comp.scm 519 */
					obj_t BgL_bodyz00_17950;
					obj_t BgL_effzf3zf3_17951;

					BgL_bodyz00_17950 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15277)))->BgL_bodyz00),
						BgL_nstkz00_17947);
					BgL_effzf3zf3_17951 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15277)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 520 */
						obj_t BgL_zc3anonymousza33308ze3z83_17952;

						BgL_zc3anonymousza33308ze3z83_17952 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33308ze3z83_17952,
							(int) (((long) 0)), BINT(BgL_siza7eza7_17946));
						PROCEDURE_SET(BgL_zc3anonymousza33308ze3z83_17952,
							(int) (((long) 1)), BgL_effzf3zf3_17951);
						PROCEDURE_SET(BgL_zc3anonymousza33308ze3z83_17952,
							(int) (((long) 2)), BgL_bodyz00_17950);
						return BgL_zc3anonymousza33308ze3z83_17952;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3308> */
	obj_t BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15279, obj_t BgL_sz00_15283)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 520 */
			{	/* Eval/evaluate_comp.scm 520 */
				long BgL_siza7eza7_15280;
				obj_t BgL_effzf3zf3_15281;
				obj_t BgL_bodyz00_15282;

				BgL_siza7eza7_15280 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 0))));
				BgL_effzf3zf3_15281 =
					PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 1)));
				BgL_bodyz00_15282 = PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 520 */
					obj_t BgL_bpz00_17953;

					BgL_bpz00_17953 = VECTOR_REF(((obj_t) BgL_sz00_15283), ((long) 0));
					{	/* Eval/evaluate_comp.scm 522 */
						obj_t BgL_za2za2resza2za2z00_17954;

						BgL_za2za2resza2za2z00_17954 =
							BGl_zc3exitza33309ze3ze70z64zz__evaluate_compz00
							(BgL_bodyz00_15282, BgL_sz00_15283, BgL_effzf3zf3_15281,
							BgL_siza7eza7_15280, BgL_bpz00_17953);
						VECTOR_SET(((obj_t) BgL_sz00_15283), ((long) 0), BgL_bpz00_17953);
						return BgL_za2za2resza2za2z00_17954;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <exit:3309>~0 */
	obj_t BGl_zc3exitza33309ze3ze70z64zz__evaluate_compz00(obj_t
		BgL_bodyz00_15439, obj_t BgL_sz00_15438, obj_t BgL_effzf3zf3_15437,
		long BgL_siza7eza7_15436, obj_t BgL_bpz00_15435)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 522 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1119z00_4120;

			if (SET_EXIT(BgL_an_exit1119z00_4120))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1119z00_4120 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 522 */

						PUSH_EXIT(BgL_an_exit1119z00_4120, ((long) 1));
						{	/* Eval/evaluate_comp.scm 522 */
							obj_t BgL_an_exitd1120z00_4121;

							BgL_an_exitd1120z00_4121 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 522 */
								obj_t BgL_exitz00_14228;

								BgL_exitz00_14228 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14228,
									(int) (((long) 0)), BgL_an_exitd1120z00_4121);
								{	/* Eval/evaluate_comp.scm 523 */
									obj_t BgL_res1122z00_4124;

									{	/* Eval/evaluate_comp.scm 523 */
										long BgL_arg3310z00_4125;
										obj_t BgL_arg3311z00_4126;

										BgL_arg3310z00_4125 =
											((long) CINT(BgL_bpz00_15435) + BgL_siza7eza7_15436);
										if (CBOOL(BgL_effzf3zf3_15437))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10472;

												BgL_newz00_10472 =
													create_struct(BGl_symbol5762z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33289;

													BgL_tmpz00_33289 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10472, BgL_tmpz00_33289,
														BgL_exitz00_14228);
												}
												BgL_arg3311z00_4126 = BgL_newz00_10472;
											}
										else
											{	/* Eval/evaluate_comp.scm 523 */
												BgL_arg3311z00_4126 = BgL_exitz00_14228;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15438), BgL_arg3310z00_4125,
											BgL_arg3311z00_4126);
									}
									BgL_res1122z00_4124 =
										PROCEDURE_ENTRY(BgL_bodyz00_15439) (BgL_bodyz00_15439,
										BgL_sz00_15438, BEOA);
									POP_EXIT();
									return BgL_res1122z00_4124;
								}
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15284,
		obj_t BgL_val1121z00_15286)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 522 */
			return
				BGl_unwindzd2untilz12zc0zz__bexitz00(PROCEDURE_REF(BgL_envz00_15284,
					(int) (((long) 0))), BgL_val1121z00_15286);
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_letrec1415 */
	obj_t BGl_z62compzd2ev_letrec1415zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15287, obj_t BgL_ez00_15288, obj_t BgL_stkz00_15289)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 487 */
			{	/* Eval/evaluate_comp.scm 489 */
				long BgL_siza7eza7_17956;
				obj_t BgL_nstkz00_17957;

				BgL_siza7eza7_17956 = bgl_list_length(BgL_stkz00_15289);
				{	/* Eval/evaluate_comp.scm 489 */
					obj_t BgL_arg3307z00_17958;

					BgL_arg3307z00_17958 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15288))))->BgL_varsz00);
					BgL_nstkz00_17957 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15289,
						BgL_arg3307z00_17958);
				}
				{	/* Eval/evaluate_comp.scm 490 */
					obj_t BgL_cvalsz00_17959;
					obj_t BgL_bodyz00_17960;

					{	/* Eval/evaluate_comp.scm 490 */
						obj_t BgL_l1314z00_17961;

						BgL_l1314z00_17961 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15288))))->BgL_valsz00);
						if (NULLP(BgL_l1314z00_17961))
							{	/* Eval/evaluate_comp.scm 490 */
								BgL_cvalsz00_17959 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 490 */
								obj_t BgL_head1316z00_17962;

								{	/* Eval/evaluate_comp.scm 490 */
									obj_t BgL_res5120z00_17963;

									BgL_res5120z00_17963 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1316z00_17962 = BgL_res5120z00_17963;
								}
								{
									obj_t BgL_l1314z00_17965;
									obj_t BgL_tail1317z00_17966;

									BgL_l1314z00_17965 = BgL_l1314z00_17961;
									BgL_tail1317z00_17966 = BgL_head1316z00_17962;
								BgL_zc3anonymousza33301ze3z83_17964:
									if (NULLP(BgL_l1314z00_17965))
										{	/* Eval/evaluate_comp.scm 490 */
											BgL_cvalsz00_17959 = CDR(BgL_head1316z00_17962);
										}
									else
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_newtail1318z00_17967;

											{	/* Eval/evaluate_comp.scm 490 */
												obj_t BgL_arg3305z00_17968;

												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_vz00_17969;

													BgL_vz00_17969 = CAR(((obj_t) BgL_l1314z00_17965));
													BgL_arg3305z00_17968 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_17969),
														BgL_nstkz00_17957);
												}
												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_res5126z00_17970;

													BgL_res5126z00_17970 =
														MAKE_YOUNG_PAIR(BgL_arg3305z00_17968, BNIL);
													BgL_newtail1318z00_17967 = BgL_res5126z00_17970;
												}
											}
											SET_CDR(BgL_tail1317z00_17966, BgL_newtail1318z00_17967);
											{	/* Eval/evaluate_comp.scm 490 */
												obj_t BgL_arg3304z00_17971;

												BgL_arg3304z00_17971 =
													CDR(((obj_t) BgL_l1314z00_17965));
												{
													obj_t BgL_tail1317z00_33325;
													obj_t BgL_l1314z00_33324;

													BgL_l1314z00_33324 = BgL_arg3304z00_17971;
													BgL_tail1317z00_33325 = BgL_newtail1318z00_17967;
													BgL_tail1317z00_17966 = BgL_tail1317z00_33325;
													BgL_l1314z00_17965 = BgL_l1314z00_33324;
													goto BgL_zc3anonymousza33301ze3z83_17964;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 491 */
						BgL_ev_exprz00_bglt BgL_arg3306z00_17972;

						BgL_arg3306z00_17972 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15288))))->BgL_bodyz00);
						BgL_bodyz00_17960 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3306z00_17972,
							BgL_nstkz00_17957);
					}
					{	/* Eval/evaluate_comp.scm 492 */
						bool_t BgL_testz00_33330;

						{
							obj_t BgL_l1319z00_17974;

							BgL_l1319z00_17974 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15288))))->BgL_valsz00);
						BgL_zc3anonymousza33298ze3z83_17973:
							if (NULLP(BgL_l1319z00_17974))
								{	/* Eval/evaluate_comp.scm 492 */
									BgL_testz00_33330 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 492 */
									bool_t BgL_testz00_33333;

									{	/* Eval/evaluate_comp.scm 492 */
										obj_t BgL_vz00_17975;

										BgL_vz00_17975 = CAR(((obj_t) BgL_l1319z00_17974));
										BgL_testz00_33333 =
											BGl_isazf3zf3zz__objectz00(BgL_vz00_17975,
											BGl_ev_absz00zz__evaluate_typesz00);
									}
									if (BgL_testz00_33333)
										{
											obj_t BgL_l1319z00_33337;

											BgL_l1319z00_33337 = CDR(((obj_t) BgL_l1319z00_17974));
											BgL_l1319z00_17974 = BgL_l1319z00_33337;
											goto BgL_zc3anonymousza33298ze3z83_17973;
										}
									else
										{	/* Eval/evaluate_comp.scm 492 */
											BgL_testz00_33330 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_33330)
							{	/* Eval/evaluate_comp.scm 493 */
								obj_t BgL_zc3anonymousza33252ze3z83_17976;

								BgL_zc3anonymousza33252ze3z83_17976 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_17976,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17956));
								PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_17976,
									(int) (((long) 1)), BgL_cvalsz00_17959);
								PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_17976,
									(int) (((long) 2)), BgL_bodyz00_17960);
								return BgL_zc3anonymousza33252ze3z83_17976;
							}
						else
							{	/* Eval/evaluate_comp.scm 503 */
								obj_t BgL_zc3anonymousza33279ze3z83_17977;

								BgL_zc3anonymousza33279ze3z83_17977 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17977,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17956));
								PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17977,
									(int) (((long) 1)), BgL_cvalsz00_17959);
								PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17977,
									(int) (((long) 2)), BgL_bodyz00_17960);
								return BgL_zc3anonymousza33279ze3z83_17977;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3252> */
	obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15290, obj_t BgL_sz00_15294)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 493 */
			{	/* Eval/evaluate_comp.scm 493 */
				long BgL_siza7eza7_15291;
				obj_t BgL_cvalsz00_15292;
				obj_t BgL_bodyz00_15293;

				BgL_siza7eza7_15291 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 0))));
				BgL_cvalsz00_15292 =
					PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 1)));
				BgL_bodyz00_15293 = PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 493 */
					obj_t BgL_bpz00_17978;

					BgL_bpz00_17978 = VECTOR_REF(((obj_t) BgL_sz00_15294), ((long) 0));
					{	/* Eval/evaluate_comp.scm 494 */
						long BgL_g1113z00_17979;

						BgL_g1113z00_17979 =
							((long) CINT(BgL_bpz00_17978) + BgL_siza7eza7_15291);
						{
							obj_t BgL_lz00_17981;
							long BgL_iz00_17982;

							BgL_lz00_17981 = BgL_cvalsz00_15292;
							BgL_iz00_17982 = BgL_g1113z00_17979;
						BgL_recz00_17980:
							if (NULLP(BgL_lz00_17981))
								{	/* Eval/evaluate_comp.scm 495 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 495 */
									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_arg3262z00_17983;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_17984;

											BgL_newz00_17984 =
												create_struct(BGl_symbol5762z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33378;

												BgL_tmpz00_33378 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17984, BgL_tmpz00_33378, BUNSPEC);
											}
											BgL_arg3262z00_17983 = BgL_newz00_17984;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15294), BgL_iz00_17982,
											BgL_arg3262z00_17983);
									}
									{	/* Eval/evaluate_comp.scm 497 */
										obj_t BgL_arg3265z00_17985;
										long BgL_arg3267z00_17986;

										BgL_arg3265z00_17985 = CDR(((obj_t) BgL_lz00_17981));
										BgL_arg3267z00_17986 = (BgL_iz00_17982 + ((long) 1));
										{
											long BgL_iz00_33387;
											obj_t BgL_lz00_33386;

											BgL_lz00_33386 = BgL_arg3265z00_17985;
											BgL_iz00_33387 = BgL_arg3267z00_17986;
											BgL_iz00_17982 = BgL_iz00_33387;
											BgL_lz00_17981 = BgL_lz00_33386;
											goto BgL_recz00_17980;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						long BgL_g1114z00_17987;

						BgL_g1114z00_17987 =
							((long) CINT(BgL_bpz00_17978) + BgL_siza7eza7_15291);
						{
							obj_t BgL_lz00_17989;
							long BgL_iz00_17990;

							BgL_lz00_17989 = BgL_cvalsz00_15292;
							BgL_iz00_17990 = BgL_g1114z00_17987;
						BgL_recz00_17988:
							if (NULLP(BgL_lz00_17989))
								{	/* Eval/evaluate_comp.scm 499 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									{	/* Eval/evaluate_comp.scm 500 */
										obj_t BgL_arg3274z00_17991;
										obj_t BgL_arg3275z00_17992;

										BgL_arg3274z00_17991 =
											VECTOR_REF(((obj_t) BgL_sz00_15294), BgL_iz00_17990);
										{	/* Eval/evaluate_comp.scm 500 */
											obj_t BgL_fun3276z00_17993;

											BgL_fun3276z00_17993 = CAR(((obj_t) BgL_lz00_17989));
											BgL_arg3275z00_17992 =
												PROCEDURE_ENTRY(BgL_fun3276z00_17993)
												(BgL_fun3276z00_17993, BgL_sz00_15294, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_33402;
											obj_t BgL_tmpz00_33400;

											BgL_auxz00_33402 = (int) (((long) 0));
											BgL_tmpz00_33400 = ((obj_t) BgL_arg3274z00_17991);
											STRUCT_SET(BgL_tmpz00_33400, BgL_auxz00_33402,
												BgL_arg3275z00_17992);
									}}
									{	/* Eval/evaluate_comp.scm 501 */
										obj_t BgL_arg3277z00_17994;
										long BgL_arg3278z00_17995;

										BgL_arg3277z00_17994 = CDR(((obj_t) BgL_lz00_17989));
										BgL_arg3278z00_17995 = (BgL_iz00_17990 + ((long) 1));
										{
											long BgL_iz00_33409;
											obj_t BgL_lz00_33408;

											BgL_lz00_33408 = BgL_arg3277z00_17994;
											BgL_iz00_33409 = BgL_arg3278z00_17995;
											BgL_iz00_17990 = BgL_iz00_33409;
											BgL_lz00_17989 = BgL_lz00_33408;
											goto BgL_recz00_17988;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15293) (BgL_bodyz00_15293,
						BgL_sz00_15294, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3279> */
	obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15295, obj_t BgL_sz00_15299)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 503 */
			{	/* Eval/evaluate_comp.scm 503 */
				long BgL_siza7eza7_15296;
				obj_t BgL_cvalsz00_15297;
				obj_t BgL_bodyz00_15298;

				BgL_siza7eza7_15296 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15295, (int) (((long) 0))));
				BgL_cvalsz00_15297 =
					PROCEDURE_REF(BgL_envz00_15295, (int) (((long) 1)));
				BgL_bodyz00_15298 = PROCEDURE_REF(BgL_envz00_15295, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 503 */
					obj_t BgL_bpz00_17996;

					BgL_bpz00_17996 = VECTOR_REF(((obj_t) BgL_sz00_15299), ((long) 0));
					{	/* Eval/evaluate_comp.scm 504 */
						long BgL_g1115z00_17997;

						BgL_g1115z00_17997 =
							((long) CINT(BgL_bpz00_17996) + BgL_siza7eza7_15296);
						{
							obj_t BgL_lz00_17999;
							long BgL_iz00_18000;

							BgL_lz00_17999 = BgL_cvalsz00_15297;
							BgL_iz00_18000 = BgL_g1115z00_17997;
						BgL_recz00_17998:
							if (NULLP(BgL_lz00_17999))
								{	/* Eval/evaluate_comp.scm 505 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 505 */
									{	/* Eval/evaluate_comp.scm 506 */
										obj_t BgL_arg3282z00_18001;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18002;

											BgL_newz00_18002 =
												create_struct(BGl_symbol5762z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33429;

												BgL_tmpz00_33429 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18002, BgL_tmpz00_33429, BUNSPEC);
											}
											BgL_arg3282z00_18001 = BgL_newz00_18002;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15299), BgL_iz00_18000,
											BgL_arg3282z00_18001);
									}
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3284z00_18003;
										long BgL_arg3285z00_18004;

										BgL_arg3284z00_18003 = CDR(((obj_t) BgL_lz00_17999));
										BgL_arg3285z00_18004 = (BgL_iz00_18000 + ((long) 1));
										{
											long BgL_iz00_33438;
											obj_t BgL_lz00_33437;

											BgL_lz00_33437 = BgL_arg3284z00_18003;
											BgL_iz00_33438 = BgL_arg3285z00_18004;
											BgL_iz00_18000 = BgL_iz00_33438;
											BgL_lz00_17999 = BgL_lz00_33437;
											goto BgL_recz00_17998;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_rvalsz00_18005;

						if (NULLP(BgL_cvalsz00_15297))
							{	/* Eval/evaluate_comp.scm 508 */
								BgL_rvalsz00_18005 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 508 */
								obj_t BgL_head1325z00_18006;

								{	/* Eval/evaluate_comp.scm 508 */
									obj_t BgL_res5146z00_18007;

									BgL_res5146z00_18007 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1325z00_18006 = BgL_res5146z00_18007;
								}
								{
									obj_t BgL_l1323z00_18009;
									obj_t BgL_tail1326z00_18010;

									BgL_l1323z00_18009 = BgL_cvalsz00_15297;
									BgL_tail1326z00_18010 = BgL_head1325z00_18006;
								BgL_zc3anonymousza33294ze3z83_18008:
									if (NULLP(BgL_l1323z00_18009))
										{	/* Eval/evaluate_comp.scm 508 */
											BgL_rvalsz00_18005 = CDR(BgL_head1325z00_18006);
										}
									else
										{	/* Eval/evaluate_comp.scm 508 */
											obj_t BgL_newtail1327z00_18011;

											{	/* Eval/evaluate_comp.scm 508 */
												obj_t BgL_arg3297z00_18012;

												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_vz00_18013;

													BgL_vz00_18013 = CAR(((obj_t) BgL_l1323z00_18009));
													BgL_arg3297z00_18012 =
														PROCEDURE_ENTRY(BgL_vz00_18013) (BgL_vz00_18013,
														BgL_sz00_15299, BEOA);
												}
												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_res5152z00_18014;

													BgL_res5152z00_18014 =
														MAKE_YOUNG_PAIR(BgL_arg3297z00_18012, BNIL);
													BgL_newtail1327z00_18011 = BgL_res5152z00_18014;
												}
											}
											SET_CDR(BgL_tail1326z00_18010, BgL_newtail1327z00_18011);
											{	/* Eval/evaluate_comp.scm 508 */
												obj_t BgL_arg3296z00_18015;

												BgL_arg3296z00_18015 =
													CDR(((obj_t) BgL_l1323z00_18009));
												{
													obj_t BgL_tail1326z00_33456;
													obj_t BgL_l1323z00_33455;

													BgL_l1323z00_33455 = BgL_arg3296z00_18015;
													BgL_tail1326z00_33456 = BgL_newtail1327z00_18011;
													BgL_tail1326z00_18010 = BgL_tail1326z00_33456;
													BgL_l1323z00_18009 = BgL_l1323z00_33455;
													goto BgL_zc3anonymousza33294ze3z83_18008;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 509 */
							long BgL_g1116z00_18016;

							BgL_g1116z00_18016 =
								((long) CINT(BgL_bpz00_17996) + BgL_siza7eza7_15296);
							{
								obj_t BgL_lz00_18018;
								long BgL_iz00_18019;

								BgL_lz00_18018 = BgL_rvalsz00_18005;
								BgL_iz00_18019 = BgL_g1116z00_18016;
							BgL_recz00_18017:
								if (NULLP(BgL_lz00_18018))
									{	/* Eval/evaluate_comp.scm 510 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 510 */
										{	/* Eval/evaluate_comp.scm 511 */
											obj_t BgL_arg3288z00_18020;
											obj_t BgL_arg3290z00_18021;

											BgL_arg3288z00_18020 =
												VECTOR_REF(((obj_t) BgL_sz00_15299), BgL_iz00_18019);
											BgL_arg3290z00_18021 = CAR(((obj_t) BgL_lz00_18018));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_33467;
												obj_t BgL_tmpz00_33465;

												BgL_auxz00_33467 = (int) (((long) 0));
												BgL_tmpz00_33465 = ((obj_t) BgL_arg3288z00_18020);
												STRUCT_SET(BgL_tmpz00_33465, BgL_auxz00_33467,
													BgL_arg3290z00_18021);
										}}
										{	/* Eval/evaluate_comp.scm 512 */
											obj_t BgL_arg3291z00_18022;
											long BgL_arg3292z00_18023;

											BgL_arg3291z00_18022 = CDR(((obj_t) BgL_lz00_18018));
											BgL_arg3292z00_18023 = (BgL_iz00_18019 + ((long) 1));
											{
												long BgL_iz00_33474;
												obj_t BgL_lz00_33473;

												BgL_lz00_33473 = BgL_arg3291z00_18022;
												BgL_iz00_33474 = BgL_arg3292z00_18023;
												BgL_iz00_18019 = BgL_iz00_33474;
												BgL_lz00_18018 = BgL_lz00_33473;
												goto BgL_recz00_18017;
											}
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15298) (BgL_bodyz00_15298,
							BgL_sz00_15299, BEOA);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_let*1413 */
	obj_t BGl_z62compzd2ev_letza21413z12zz__evaluate_compz00(obj_t
		BgL_envz00_15300, obj_t BgL_ez00_15301, obj_t BgL_stkz00_15302)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 474 */
			{	/* Eval/evaluate_comp.scm 476 */
				long BgL_siza7eza7_18025;
				obj_t BgL_nstkz00_18026;

				BgL_siza7eza7_18025 = bgl_list_length(BgL_stkz00_15302);
				{	/* Eval/evaluate_comp.scm 476 */
					obj_t BgL_arg3247z00_18027;

					BgL_arg3247z00_18027 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15301))))->BgL_varsz00);
					BgL_nstkz00_18026 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15302,
						BgL_arg3247z00_18027);
				}
				{	/* Eval/evaluate_comp.scm 477 */
					obj_t BgL_valsz00_18028;
					obj_t BgL_bodyz00_18029;

					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_l1309z00_18030;

						BgL_l1309z00_18030 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15301))))->BgL_valsz00);
						if (NULLP(BgL_l1309z00_18030))
							{	/* Eval/evaluate_comp.scm 477 */
								BgL_valsz00_18028 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 477 */
								obj_t BgL_head1311z00_18031;

								{	/* Eval/evaluate_comp.scm 477 */
									obj_t BgL_res5109z00_18032;

									BgL_res5109z00_18032 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1311z00_18031 = BgL_res5109z00_18032;
								}
								{
									obj_t BgL_l1309z00_18034;
									obj_t BgL_tail1312z00_18035;

									BgL_l1309z00_18034 = BgL_l1309z00_18030;
									BgL_tail1312z00_18035 = BgL_head1311z00_18031;
								BgL_zc3anonymousza33242ze3z83_18033:
									if (NULLP(BgL_l1309z00_18034))
										{	/* Eval/evaluate_comp.scm 477 */
											BgL_valsz00_18028 = CDR(BgL_head1311z00_18031);
										}
									else
										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_newtail1313z00_18036;

											{	/* Eval/evaluate_comp.scm 477 */
												obj_t BgL_arg3245z00_18037;

												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_vz00_18038;

													BgL_vz00_18038 = CAR(((obj_t) BgL_l1309z00_18034));
													BgL_arg3245z00_18037 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18038),
														BgL_nstkz00_18026);
												}
												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_res5115z00_18039;

													BgL_res5115z00_18039 =
														MAKE_YOUNG_PAIR(BgL_arg3245z00_18037, BNIL);
													BgL_newtail1313z00_18036 = BgL_res5115z00_18039;
												}
											}
											SET_CDR(BgL_tail1312z00_18035, BgL_newtail1313z00_18036);
											{	/* Eval/evaluate_comp.scm 477 */
												obj_t BgL_arg3244z00_18040;

												BgL_arg3244z00_18040 =
													CDR(((obj_t) BgL_l1309z00_18034));
												{
													obj_t BgL_tail1312z00_33502;
													obj_t BgL_l1309z00_33501;

													BgL_l1309z00_33501 = BgL_arg3244z00_18040;
													BgL_tail1312z00_33502 = BgL_newtail1313z00_18036;
													BgL_tail1312z00_18035 = BgL_tail1312z00_33502;
													BgL_l1309z00_18034 = BgL_l1309z00_33501;
													goto BgL_zc3anonymousza33242ze3z83_18033;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 478 */
						BgL_ev_exprz00_bglt BgL_arg3246z00_18041;

						BgL_arg3246z00_18041 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15301))))->BgL_bodyz00);
						BgL_bodyz00_18029 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3246z00_18041,
							BgL_nstkz00_18026);
					}
					{	/* Eval/evaluate_comp.scm 479 */
						obj_t BgL_zc3anonymousza33229ze3z83_18042;

						BgL_zc3anonymousza33229ze3z83_18042 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33229ze3z83_18042,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18025));
						PROCEDURE_SET(BgL_zc3anonymousza33229ze3z83_18042,
							(int) (((long) 1)),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15301)));
						PROCEDURE_SET(BgL_zc3anonymousza33229ze3z83_18042,
							(int) (((long) 2)), BgL_valsz00_18028);
						PROCEDURE_SET(BgL_zc3anonymousza33229ze3z83_18042,
							(int) (((long) 3)), BgL_bodyz00_18029);
						return BgL_zc3anonymousza33229ze3z83_18042;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3229> */
	obj_t BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15303, obj_t BgL_sz00_15308)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 479 */
			{	/* Eval/evaluate_comp.scm 479 */
				long BgL_siza7eza7_15304;
				BgL_ev_letza2za2_bglt BgL_i1110z00_15305;
				obj_t BgL_valsz00_15306;
				obj_t BgL_bodyz00_15307;

				BgL_siza7eza7_15304 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15303, (int) (((long) 0))));
				BgL_i1110z00_15305 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15303, (int) (((long) 1))));
				BgL_valsz00_15306 = PROCEDURE_REF(BgL_envz00_15303, (int) (((long) 2)));
				BgL_bodyz00_15307 = PROCEDURE_REF(BgL_envz00_15303, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 479 */
					obj_t BgL_bpz00_18043;

					BgL_bpz00_18043 = VECTOR_REF(((obj_t) BgL_sz00_15308), ((long) 0));
					{	/* Eval/evaluate_comp.scm 480 */
						long BgL_g1111z00_18044;

						BgL_g1111z00_18044 =
							((long) CINT(BgL_bpz00_18043) + BgL_siza7eza7_15304);
						{
							obj_t BgL_lz00_18046;
							long BgL_iz00_18047;
							obj_t BgL_bza2za2_18048;

							BgL_lz00_18046 = BgL_valsz00_15306;
							BgL_iz00_18047 = BgL_g1111z00_18044;
							BgL_bza2za2_18048 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1110z00_15305))->
								BgL_boxesz00);
						BgL_recz00_18045:
							if (NULLP(BgL_lz00_18046))
								{	/* Eval/evaluate_comp.scm 481 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 481 */
									{	/* Eval/evaluate_comp.scm 482 */
										obj_t BgL_valz00_18049;

										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_fun3235z00_18050;

											BgL_fun3235z00_18050 = CAR(((obj_t) BgL_lz00_18046));
											BgL_valz00_18049 =
												PROCEDURE_ENTRY(BgL_fun3235z00_18050)
												(BgL_fun3235z00_18050, BgL_sz00_15308, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 483 */
											obj_t BgL_arg3233z00_18051;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_18048))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_18052;

													BgL_newz00_18052 =
														create_struct(BGl_symbol5762z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_33549;

														BgL_tmpz00_33549 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_18052, BgL_tmpz00_33549,
															BgL_valz00_18049);
													}
													BgL_arg3233z00_18051 = BgL_newz00_18052;
												}
											else
												{	/* Eval/evaluate_comp.scm 483 */
													BgL_arg3233z00_18051 = BgL_valz00_18049;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15308), BgL_iz00_18047,
												BgL_arg3233z00_18051);
										}
									}
									{	/* Eval/evaluate_comp.scm 484 */
										obj_t BgL_arg3236z00_18053;
										long BgL_arg3237z00_18054;
										obj_t BgL_arg3240z00_18055;

										BgL_arg3236z00_18053 = CDR(((obj_t) BgL_lz00_18046));
										BgL_arg3237z00_18054 = (BgL_iz00_18047 + ((long) 1));
										BgL_arg3240z00_18055 = CDR(((obj_t) BgL_bza2za2_18048));
										{
											obj_t BgL_bza2za2_33561;
											long BgL_iz00_33560;
											obj_t BgL_lz00_33559;

											BgL_lz00_33559 = BgL_arg3236z00_18053;
											BgL_iz00_33560 = BgL_arg3237z00_18054;
											BgL_bza2za2_33561 = BgL_arg3240z00_18055;
											BgL_bza2za2_18048 = BgL_bza2za2_33561;
											BgL_iz00_18047 = BgL_iz00_33560;
											BgL_lz00_18046 = BgL_lz00_33559;
											goto BgL_recz00_18045;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15307) (BgL_bodyz00_15307,
						BgL_sz00_15308, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_let1411 */
	obj_t BGl_z62compzd2ev_let1411zb0zz__evaluate_compz00(obj_t BgL_envz00_15309,
		obj_t BgL_ez00_15310, obj_t BgL_stkz00_15311)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 455 */
			{	/* Eval/evaluate_comp.scm 457 */
				long BgL_siza7eza7_18057;
				obj_t BgL_nstkz00_18058;

				BgL_siza7eza7_18057 = bgl_list_length(BgL_stkz00_15311);
				{	/* Eval/evaluate_comp.scm 457 */
					obj_t BgL_arg3228z00_18059;

					BgL_arg3228z00_18059 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15310))))->BgL_varsz00);
					BgL_nstkz00_18058 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15311,
						BgL_arg3228z00_18059);
				}
				{	/* Eval/evaluate_comp.scm 458 */
					obj_t BgL_valsz00_18060;
					obj_t BgL_iboxesz00_18061;
					obj_t BgL_bodyz00_18062;

					{	/* Eval/evaluate_comp.scm 459 */
						obj_t BgL_arg3220z00_18063;

						BgL_arg3220z00_18063 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15310))))->BgL_valsz00);
						BgL_valsz00_18060 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3220z00_18063, BgL_stkz00_15311);
					}
					{	/* Eval/evaluate_comp.scm 460 */
						obj_t BgL_l1304z00_18064;

						BgL_l1304z00_18064 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15310)))->BgL_boxesz00);
						if (NULLP(BgL_l1304z00_18064))
							{	/* Eval/evaluate_comp.scm 460 */
								BgL_iboxesz00_18061 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 460 */
								obj_t BgL_head1306z00_18065;

								{	/* Eval/evaluate_comp.scm 460 */
									obj_t BgL_res5092z00_18066;

									BgL_res5092z00_18066 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1306z00_18065 = BgL_res5092z00_18066;
								}
								{
									obj_t BgL_l1304z00_18068;
									obj_t BgL_tail1307z00_18069;

									BgL_l1304z00_18068 = BgL_l1304z00_18064;
									BgL_tail1307z00_18069 = BgL_head1306z00_18065;
								BgL_zc3anonymousza33222ze3z83_18067:
									if (NULLP(BgL_l1304z00_18068))
										{	/* Eval/evaluate_comp.scm 460 */
											BgL_iboxesz00_18061 = CDR(BgL_head1306z00_18065);
										}
									else
										{	/* Eval/evaluate_comp.scm 460 */
											obj_t BgL_newtail1308z00_18070;

											{	/* Eval/evaluate_comp.scm 460 */
												obj_t BgL_arg3226z00_18071;

												{	/* Eval/evaluate_comp.scm 460 */
													obj_t BgL_vz00_18072;

													BgL_vz00_18072 = CAR(((obj_t) BgL_l1304z00_18068));
													BgL_arg3226z00_18071 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_18072,
														BgL_nstkz00_18058);
												}
												{	/* Eval/evaluate_comp.scm 460 */
													obj_t BgL_res5098z00_18073;

													BgL_res5098z00_18073 =
														MAKE_YOUNG_PAIR(BgL_arg3226z00_18071, BNIL);
													BgL_newtail1308z00_18070 = BgL_res5098z00_18073;
												}
											}
											SET_CDR(BgL_tail1307z00_18069, BgL_newtail1308z00_18070);
											{	/* Eval/evaluate_comp.scm 460 */
												obj_t BgL_arg3225z00_18074;

												BgL_arg3225z00_18074 =
													CDR(((obj_t) BgL_l1304z00_18068));
												{
													obj_t BgL_tail1307z00_33592;
													obj_t BgL_l1304z00_33591;

													BgL_l1304z00_33591 = BgL_arg3225z00_18074;
													BgL_tail1307z00_33592 = BgL_newtail1308z00_18070;
													BgL_tail1307z00_18069 = BgL_tail1307z00_33592;
													BgL_l1304z00_18068 = BgL_l1304z00_33591;
													goto BgL_zc3anonymousza33222ze3z83_18067;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 461 */
						BgL_ev_exprz00_bglt BgL_arg3227z00_18075;

						BgL_arg3227z00_18075 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15310))))->BgL_bodyz00);
						BgL_bodyz00_18062 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3227z00_18075,
							BgL_nstkz00_18058);
					}
					{	/* Eval/evaluate_comp.scm 462 */
						obj_t BgL_zc3anonymousza33202ze3z83_18076;

						BgL_zc3anonymousza33202ze3z83_18076 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_18076,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18057));
						PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_18076,
							(int) (((long) 1)), BgL_valsz00_18060);
						PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_18076,
							(int) (((long) 2)), BgL_iboxesz00_18061);
						PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_18076,
							(int) (((long) 3)), BgL_bodyz00_18062);
						return BgL_zc3anonymousza33202ze3z83_18076;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3202> */
	obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15312, obj_t BgL_sz00_15317)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 462 */
				long BgL_siza7eza7_15313;
				obj_t BgL_valsz00_15314;
				obj_t BgL_iboxesz00_15315;
				obj_t BgL_bodyz00_15316;

				BgL_siza7eza7_15313 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15312, (int) (((long) 0))));
				BgL_valsz00_15314 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15312, (int) (((long) 1))));
				BgL_iboxesz00_15315 =
					PROCEDURE_REF(BgL_envz00_15312, (int) (((long) 2)));
				BgL_bodyz00_15316 = PROCEDURE_REF(BgL_envz00_15312, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 462 */
					obj_t BgL_bpz00_18077;

					BgL_bpz00_18077 = VECTOR_REF(((obj_t) BgL_sz00_15317), ((long) 0));
					{	/* Eval/evaluate_comp.scm 463 */
						long BgL_g1109z00_18078;

						BgL_g1109z00_18078 =
							((long) CINT(BgL_bpz00_18077) + BgL_siza7eza7_15313);
						{
							obj_t BgL_lz00_18080;
							long BgL_iz00_18081;

							BgL_lz00_18080 = BgL_valsz00_15314;
							BgL_iz00_18081 = BgL_g1109z00_18078;
						BgL_recz00_18079:
							if (NULLP(BgL_lz00_18080))
								{	/* Eval/evaluate_comp.scm 464 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 464 */
									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_arg3205z00_18082;

										{	/* Eval/evaluate_comp.scm 465 */
											obj_t BgL_fun3206z00_18083;

											BgL_fun3206z00_18083 = CAR(((obj_t) BgL_lz00_18080));
											BgL_arg3205z00_18082 =
												PROCEDURE_ENTRY(BgL_fun3206z00_18083)
												(BgL_fun3206z00_18083, BgL_sz00_15317, BEOA);
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15317), BgL_iz00_18081,
											BgL_arg3205z00_18082);
									}
									{	/* Eval/evaluate_comp.scm 466 */
										obj_t BgL_arg3208z00_18084;
										long BgL_arg3211z00_18085;

										BgL_arg3208z00_18084 = CDR(((obj_t) BgL_lz00_18080));
										BgL_arg3211z00_18085 = (BgL_iz00_18081 + ((long) 1));
										{
											long BgL_iz00_33637;
											obj_t BgL_lz00_33636;

											BgL_lz00_33636 = BgL_arg3208z00_18084;
											BgL_iz00_33637 = BgL_arg3211z00_18085;
											BgL_iz00_18081 = BgL_iz00_33637;
											BgL_lz00_18080 = BgL_lz00_33636;
											goto BgL_recz00_18079;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_18087;

						BgL_lz00_18087 = BgL_iboxesz00_15315;
					BgL_recz00_18086:
						if (NULLP(BgL_lz00_18087))
							{	/* Eval/evaluate_comp.scm 468 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 468 */
								{	/* Eval/evaluate_comp.scm 469 */
									long BgL_iz00_18088;

									BgL_iz00_18088 =
										(
										(long) CINT(BgL_bpz00_18077) +
										(long) CINT(CAR(((obj_t) BgL_lz00_18087))));
									{	/* Eval/evaluate_comp.scm 470 */
										obj_t BgL_arg3214z00_18089;

										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_arg3215z00_18090;

											BgL_arg3215z00_18090 =
												VECTOR_REF(((obj_t) BgL_sz00_15317), BgL_iz00_18088);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_18091;

												BgL_newz00_18091 =
													create_struct(BGl_symbol5762z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33649;

													BgL_tmpz00_33649 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_18091, BgL_tmpz00_33649,
														BgL_arg3215z00_18090);
												}
												BgL_arg3214z00_18089 = BgL_newz00_18091;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15317), BgL_iz00_18088,
											BgL_arg3214z00_18089);
								}}
								{	/* Eval/evaluate_comp.scm 471 */
									obj_t BgL_arg3218z00_18092;

									BgL_arg3218z00_18092 = CDR(((obj_t) BgL_lz00_18087));
									{
										obj_t BgL_lz00_33656;

										BgL_lz00_33656 = BgL_arg3218z00_18092;
										BgL_lz00_18087 = BgL_lz00_33656;
										goto BgL_recz00_18086;
									}
								}
							}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15316) (BgL_bodyz00_15316,
						BgL_sz00_15317, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_prog21409 */
	obj_t BGl_z62compzd2ev_prog21409zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15318, obj_t BgL_ez00_15319, obj_t BgL_stkz00_15320)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 451 */
				obj_t BgL_e1z00_18094;
				obj_t BgL_e2z00_18095;

				BgL_e1z00_18094 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15319)))->BgL_e1z00),
					BgL_stkz00_15320);
				BgL_e2z00_18095 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15319)))->BgL_e2z00),
					BgL_stkz00_15320);
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_zc3anonymousza33199ze3z83_18096;

					BgL_zc3anonymousza33199ze3z83_18096 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33199ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33199ze3z83_18096, (int) (((long) 0)),
						BgL_e1z00_18094);
					PROCEDURE_SET(BgL_zc3anonymousza33199ze3z83_18096, (int) (((long) 1)),
						BgL_e2z00_18095);
					return BgL_zc3anonymousza33199ze3z83_18096;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3199> */
	obj_t BGl_z62zc3anonymousza33199ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15321, obj_t BgL_sz00_15324)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 452 */
			{	/* Eval/evaluate_comp.scm 452 */
				obj_t BgL_e1z00_15322;
				obj_t BgL_e2z00_15323;

				BgL_e1z00_15322 = PROCEDURE_REF(BgL_envz00_15321, (int) (((long) 0)));
				BgL_e2z00_15323 = PROCEDURE_REF(BgL_envz00_15321, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_bpz00_18097;

					BgL_bpz00_18097 = VECTOR_REF(((obj_t) BgL_sz00_15324), ((long) 0));
					PROCEDURE_ENTRY(BgL_e1z00_15322) (BgL_e1z00_15322, BgL_sz00_15324,
						BEOA);
					return PROCEDURE_ENTRY(BgL_e2z00_15323) (BgL_e2z00_15323,
						BgL_sz00_15324, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_and1407 */
	obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t BgL_envz00_15325,
		obj_t BgL_ez00_15326, obj_t BgL_stkz00_15327)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 439 */
			{	/* Eval/evaluate_comp.scm 441 */
				obj_t BgL_argsz00_18099;

				{	/* Eval/evaluate_comp.scm 441 */
					obj_t BgL_l1299z00_18100;

					BgL_l1299z00_18100 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15326))))->BgL_argsz00);
					if (NULLP(BgL_l1299z00_18100))
						{	/* Eval/evaluate_comp.scm 441 */
							BgL_argsz00_18099 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 441 */
							obj_t BgL_head1301z00_18101;

							{	/* Eval/evaluate_comp.scm 441 */
								obj_t BgL_res5081z00_18102;

								BgL_res5081z00_18102 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1301z00_18101 = BgL_res5081z00_18102;
							}
							{
								obj_t BgL_l1299z00_18104;
								obj_t BgL_tail1302z00_18105;

								BgL_l1299z00_18104 = BgL_l1299z00_18100;
								BgL_tail1302z00_18105 = BgL_head1301z00_18101;
							BgL_zc3anonymousza33195ze3z83_18103:
								if (NULLP(BgL_l1299z00_18104))
									{	/* Eval/evaluate_comp.scm 441 */
										BgL_argsz00_18099 = CDR(BgL_head1301z00_18101);
									}
								else
									{	/* Eval/evaluate_comp.scm 441 */
										obj_t BgL_newtail1303z00_18106;

										{	/* Eval/evaluate_comp.scm 441 */
											obj_t BgL_arg3198z00_18107;

											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_ez00_18108;

												BgL_ez00_18108 = CAR(((obj_t) BgL_l1299z00_18104));
												BgL_arg3198z00_18107 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18108),
													BgL_stkz00_15327);
											}
											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_res5087z00_18109;

												BgL_res5087z00_18109 =
													MAKE_YOUNG_PAIR(BgL_arg3198z00_18107, BNIL);
												BgL_newtail1303z00_18106 = BgL_res5087z00_18109;
											}
										}
										SET_CDR(BgL_tail1302z00_18105, BgL_newtail1303z00_18106);
										{	/* Eval/evaluate_comp.scm 441 */
											obj_t BgL_arg3197z00_18110;

											BgL_arg3197z00_18110 = CDR(((obj_t) BgL_l1299z00_18104));
											{
												obj_t BgL_tail1302z00_33706;
												obj_t BgL_l1299z00_33705;

												BgL_l1299z00_33705 = BgL_arg3197z00_18110;
												BgL_tail1302z00_33706 = BgL_newtail1303z00_18106;
												BgL_tail1302z00_18105 = BgL_tail1302z00_33706;
												BgL_l1299z00_18104 = BgL_l1299z00_33705;
												goto BgL_zc3anonymousza33195ze3z83_18103;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_zc3anonymousza33189ze3z83_18111;

					BgL_zc3anonymousza33189ze3z83_18111 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33189ze3z83_18111, (int) (((long) 0)),
						BgL_argsz00_18099);
					return BgL_zc3anonymousza33189ze3z83_18111;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3189> */
	obj_t BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15328, obj_t BgL_sz00_15330)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 442 */
			{	/* Eval/evaluate_comp.scm 442 */
				obj_t BgL_argsz00_15329;

				BgL_argsz00_15329 = PROCEDURE_REF(BgL_envz00_15328, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_bpz00_18112;

					BgL_bpz00_18112 = VECTOR_REF(((obj_t) BgL_sz00_15330), ((long) 0));
					{
						obj_t BgL_lz00_18114;
						obj_t BgL_rz00_18115;

						BgL_lz00_18114 = BgL_argsz00_15329;
						BgL_rz00_18115 = BTRUE;
					BgL_recz00_18113:
						if (NULLP(BgL_lz00_18114))
							{	/* Eval/evaluate_comp.scm 444 */
								return BgL_rz00_18115;
							}
						else
							{	/* Eval/evaluate_comp.scm 446 */
								obj_t BgL_vz00_18116;

								{	/* Eval/evaluate_comp.scm 446 */
									obj_t BgL_fun3193z00_18117;

									BgL_fun3193z00_18117 = CAR(((obj_t) BgL_lz00_18114));
									BgL_vz00_18116 =
										PROCEDURE_ENTRY(BgL_fun3193z00_18117) (BgL_fun3193z00_18117,
										BgL_sz00_15330, BEOA);
								}
								if (CBOOL(BgL_vz00_18116))
									{	/* Eval/evaluate_comp.scm 447 */
										obj_t BgL_arg3192z00_18118;

										BgL_arg3192z00_18118 = CDR(((obj_t) BgL_lz00_18114));
										{
											obj_t BgL_rz00_33729;
											obj_t BgL_lz00_33728;

											BgL_lz00_33728 = BgL_arg3192z00_18118;
											BgL_rz00_33729 = BgL_vz00_18116;
											BgL_rz00_18115 = BgL_rz00_33729;
											BgL_lz00_18114 = BgL_lz00_33728;
											goto BgL_recz00_18113;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 447 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_or1405 */
	obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t BgL_envz00_15331,
		obj_t BgL_ez00_15332, obj_t BgL_stkz00_15333)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 432 */
				obj_t BgL_argsz00_18120;

				{	/* Eval/evaluate_comp.scm 432 */
					obj_t BgL_l1294z00_18121;

					BgL_l1294z00_18121 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15332))))->BgL_argsz00);
					if (NULLP(BgL_l1294z00_18121))
						{	/* Eval/evaluate_comp.scm 432 */
							BgL_argsz00_18120 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 432 */
							obj_t BgL_head1296z00_18122;

							{	/* Eval/evaluate_comp.scm 432 */
								obj_t BgL_res5072z00_18123;

								BgL_res5072z00_18123 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1296z00_18122 = BgL_res5072z00_18123;
							}
							{
								obj_t BgL_l1294z00_18125;
								obj_t BgL_tail1297z00_18126;

								BgL_l1294z00_18125 = BgL_l1294z00_18121;
								BgL_tail1297z00_18126 = BgL_head1296z00_18122;
							BgL_zc3anonymousza33175ze3z83_18124:
								if (NULLP(BgL_l1294z00_18125))
									{	/* Eval/evaluate_comp.scm 432 */
										BgL_argsz00_18120 = CDR(BgL_head1296z00_18122);
									}
								else
									{	/* Eval/evaluate_comp.scm 432 */
										obj_t BgL_newtail1298z00_18127;

										{	/* Eval/evaluate_comp.scm 432 */
											obj_t BgL_arg3188z00_18128;

											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_ez00_18129;

												BgL_ez00_18129 = CAR(((obj_t) BgL_l1294z00_18125));
												BgL_arg3188z00_18128 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18129),
													BgL_stkz00_15333);
											}
											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_res5078z00_18130;

												BgL_res5078z00_18130 =
													MAKE_YOUNG_PAIR(BgL_arg3188z00_18128, BNIL);
												BgL_newtail1298z00_18127 = BgL_res5078z00_18130;
											}
										}
										SET_CDR(BgL_tail1297z00_18126, BgL_newtail1298z00_18127);
										{	/* Eval/evaluate_comp.scm 432 */
											obj_t BgL_arg3182z00_18131;

											BgL_arg3182z00_18131 = CDR(((obj_t) BgL_l1294z00_18125));
											{
												obj_t BgL_tail1297z00_33748;
												obj_t BgL_l1294z00_33747;

												BgL_l1294z00_33747 = BgL_arg3182z00_18131;
												BgL_tail1297z00_33748 = BgL_newtail1298z00_18127;
												BgL_tail1297z00_18126 = BgL_tail1297z00_33748;
												BgL_l1294z00_18125 = BgL_l1294z00_33747;
												goto BgL_zc3anonymousza33175ze3z83_18124;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_zc3anonymousza33168ze3z83_18132;

					BgL_zc3anonymousza33168ze3z83_18132 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33168ze3z83_18132, (int) (((long) 0)),
						BgL_argsz00_18120);
					return BgL_zc3anonymousza33168ze3z83_18132;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3168> */
	obj_t BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15334, obj_t BgL_sz00_15336)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 433 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_argsz00_15335;

				BgL_argsz00_15335 = PROCEDURE_REF(BgL_envz00_15334, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_bpz00_18133;

					BgL_bpz00_18133 = VECTOR_REF(((obj_t) BgL_sz00_15336), ((long) 0));
					{
						obj_t BgL_lz00_18135;

						BgL_lz00_18135 = BgL_argsz00_15335;
					BgL_recz00_18134:
						if (NULLP(BgL_lz00_18135))
							{	/* Eval/evaluate_comp.scm 435 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 437 */
								obj_t BgL__ortest_1104z00_18136;

								{	/* Eval/evaluate_comp.scm 437 */
									obj_t BgL_fun3173z00_18137;

									BgL_fun3173z00_18137 = CAR(((obj_t) BgL_lz00_18135));
									BgL__ortest_1104z00_18136 =
										PROCEDURE_ENTRY(BgL_fun3173z00_18137) (BgL_fun3173z00_18137,
										BgL_sz00_15336, BEOA);
								}
								if (CBOOL(BgL__ortest_1104z00_18136))
									{	/* Eval/evaluate_comp.scm 437 */
										return BgL__ortest_1104z00_18136;
									}
								else
									{	/* Eval/evaluate_comp.scm 437 */
										obj_t BgL_arg3172z00_18138;

										BgL_arg3172z00_18138 = CDR(((obj_t) BgL_lz00_18135));
										{
											obj_t BgL_lz00_33770;

											BgL_lz00_33770 = BgL_arg3172z00_18138;
											BgL_lz00_18135 = BgL_lz00_33770;
											goto BgL_recz00_18134;
										}
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_if1403 */
	obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t BgL_envz00_15337,
		obj_t BgL_ez00_15338, obj_t BgL_stkz00_15339)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 424 */
			{	/* Eval/evaluate_comp.scm 426 */
				obj_t BgL_pz00_18140;
				obj_t BgL_tz00_18141;
				obj_t BgL_ez00_18142;

				BgL_pz00_18140 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15338)))->BgL_pz00),
					BgL_stkz00_15339);
				BgL_tz00_18141 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15338)))->BgL_tz00),
					BgL_stkz00_15339);
				BgL_ez00_18142 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15338)))->BgL_ez00),
					BgL_stkz00_15339);
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_zc3anonymousza33162ze3z83_18143;

					BgL_zc3anonymousza33162ze3z83_18143 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza33162ze3z83_18143, (int) (((long) 0)),
						BgL_ez00_18142);
					PROCEDURE_SET(BgL_zc3anonymousza33162ze3z83_18143, (int) (((long) 1)),
						BgL_tz00_18141);
					PROCEDURE_SET(BgL_zc3anonymousza33162ze3z83_18143, (int) (((long) 2)),
						BgL_pz00_18140);
					return BgL_zc3anonymousza33162ze3z83_18143;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3162> */
	obj_t BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15340, obj_t BgL_sz00_15344)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 427 */
			{	/* Eval/evaluate_comp.scm 427 */
				obj_t BgL_ez00_15341;
				obj_t BgL_tz00_15342;
				obj_t BgL_pz00_15343;

				BgL_ez00_15341 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 0)));
				BgL_tz00_15342 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 1)));
				BgL_pz00_15343 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_bpz00_18144;

					BgL_bpz00_18144 = VECTOR_REF(((obj_t) BgL_sz00_15344), ((long) 0));
					if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_15343) (BgL_pz00_15343,
								BgL_sz00_15344, BEOA)))
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_tz00_15342) (BgL_tz00_15342, BgL_sz00_15344,
								BEOA);
						}
					else
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_ez00_15341) (BgL_ez00_15341, BgL_sz00_15344,
								BEOA);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_litt1401 */
	obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t BgL_envz00_15345,
		obj_t BgL_ez00_15346, obj_t BgL_stkz00_15347)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 419 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_zc3anonymousza33161ze3z83_18146;

				BgL_zc3anonymousza33161ze3z83_18146 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza33161ze3ze1zz__evaluate_compz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza33161ze3z83_18146, (int) (((long) 0)),
					((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15346)));
				return BgL_zc3anonymousza33161ze3z83_18146;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3161> */
	obj_t BGl_z62zc3anonymousza33161ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15348, obj_t BgL_sz00_15350)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				BgL_ev_littz00_bglt BgL_i1101z00_15349;

				BgL_i1101z00_15349 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15348, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 421 */
					obj_t BgL_bpz00_18147;

					BgL_bpz00_18147 = VECTOR_REF(((obj_t) BgL_sz00_15350), ((long) 0));
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1101z00_15349))->BgL_valuez00);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_defglobal1399 */
	obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15351, obj_t BgL_ez00_15352, obj_t BgL_stkz00_15353)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 388 */
			{	/* Eval/evaluate_comp.scm 390 */
				obj_t BgL_ez00_18149;

				{	/* Eval/evaluate_comp.scm 390 */
					BgL_ev_exprz00_bglt BgL_arg3160z00_18150;

					BgL_arg3160z00_18150 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15352))))->BgL_ez00);
					BgL_ez00_18149 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3160z00_18150,
						BgL_stkz00_15353);
				}
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_zc3anonymousza33113ze3z83_18151;

					BgL_zc3anonymousza33113ze3z83_18151 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33113ze3z83_18151, (int) (((long) 0)),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15352)));
					PROCEDURE_SET(BgL_zc3anonymousza33113ze3z83_18151, (int) (((long) 1)),
						BgL_ez00_18149);
					return BgL_zc3anonymousza33113ze3z83_18151;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3113> */
	obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15354, obj_t BgL_sz00_15357)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 391 */
			{	/* Eval/evaluate_comp.scm 391 */
				BgL_ev_defglobalz00_bglt BgL_i1098z00_15355;
				obj_t BgL_ez00_15356;

				BgL_i1098z00_15355 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 0))));
				BgL_ez00_15356 = PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_bpz00_18152;

					BgL_bpz00_18152 = VECTOR_REF(((obj_t) BgL_sz00_15357), ((long) 0));
					{	/* Eval/evaluate_comp.scm 392 */
						obj_t BgL_gz00_18153;

						{	/* Eval/evaluate_comp.scm 392 */
							obj_t BgL_arg3157z00_18154;
							obj_t BgL_arg3158z00_18155;

							BgL_arg3157z00_18154 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15355)))->
								BgL_modz00);
							BgL_arg3158z00_18155 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1098z00_15355)))->BgL_namez00);
							BgL_gz00_18153 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3157z00_18154, BgL_arg3158z00_18155);
						}
						if (CBOOL(BgL_gz00_18153))
							{	/* Eval/evaluate_comp.scm 394 */
								{

									{	/* Eval/evaluate_comp.scm 396 */
										int BgL_aux1100z00_18159;

										{	/* Eval/evaluate_comp.scm 396 */
											int BgL_res5070z00_18160;

											BgL_res5070z00_18160 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_18153), ((long) 0)));
											BgL_aux1100z00_18159 = BgL_res5070z00_18160;
										}
										switch ((long) (BgL_aux1100z00_18159))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 398 */
													obj_t BgL_arg3116z00_18161;
													obj_t BgL_arg3117z00_18162;

													BgL_arg3116z00_18161 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_locz00);
													BgL_arg3117z00_18162 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3116z00_18161,
														BGl_string5873z00zz__evaluate_compz00,
														BGl_string5874z00zz__evaluate_compz00,
														BgL_arg3117z00_18162);
												} break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 400 */
													obj_t BgL_arg3119z00_18163;
													obj_t BgL_arg3120z00_18164;

													BgL_arg3119z00_18163 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_locz00);
													BgL_arg3120z00_18164 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_list3121z00_18165;

														{	/* Eval/evaluate_comp.scm 400 */
															obj_t BgL_arg3131z00_18166;

															{	/* Eval/evaluate_comp.scm 400 */
																obj_t BgL_arg3133z00_18167;

																BgL_arg3133z00_18167 =
																	MAKE_YOUNG_PAIR(BgL_arg3120z00_18164, BNIL);
																BgL_arg3131z00_18166 =
																	MAKE_YOUNG_PAIR
																	(BGl_string5875z00zz__evaluate_compz00,
																	BgL_arg3133z00_18167);
															}
															BgL_list3121z00_18165 =
																MAKE_YOUNG_PAIR
																(BGl_string5752z00zz__evaluate_compz00,
																BgL_arg3131z00_18166);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3119z00_18163,
															BgL_list3121z00_18165);
												}}
												{	/* Eval/evaluate_comp.scm 402 */
													obj_t BgL_arg3134z00_18168;
													obj_t BgL_arg3137z00_18169;

													BgL_arg3134z00_18168 =
														VECTOR_REF(((obj_t) BgL_gz00_18153), ((long) 2));
													BgL_arg3137z00_18169 =
														PROCEDURE_ENTRY(BgL_ez00_15356) (BgL_ez00_15356,
														BgL_sz00_15357, BEOA);
													__EVMEANING_ADDRESS_SET(BgL_arg3134z00_18168,
														BgL_arg3137z00_18169);
												} break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 404 */
													obj_t BgL_arg3138z00_18170;

													BgL_arg3138z00_18170 =
														PROCEDURE_ENTRY(BgL_ez00_15356) (BgL_ez00_15356,
														BgL_sz00_15357, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18153), ((long) 2),
														BgL_arg3138z00_18170);
												} break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 406 */
													obj_t BgL_arg3141z00_18171;

													BgL_arg3141z00_18171 =
														PROCEDURE_ENTRY(BgL_ez00_15356) (BgL_ez00_15356,
														BgL_sz00_15357, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18153), ((long) 2),
														BgL_arg3141z00_18171);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18153), ((long) 0),
													BINT(((long) 2)));
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3142z00_18172;

													BgL_arg3142z00_18172 =
														PROCEDURE_ENTRY(BgL_ez00_15356) (BgL_ez00_15356,
														BgL_sz00_15357, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18153), ((long) 2),
														BgL_arg3142z00_18172);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18153), ((long) 0),
													BINT(((long) 5)));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 412 */
													obj_t BgL_arg3143z00_18157;
													obj_t BgL_arg3146z00_18158;

													BgL_arg3143z00_18157 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_locz00);
													BgL_arg3146z00_18158 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15355)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3143z00_18157,
														BGl_string5873z00zz__evaluate_compz00,
														BGl_string5874z00zz__evaluate_compz00,
														BgL_arg3146z00_18158);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15355)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 414 */
								obj_t BgL_gz00_18173;

								{	/* Eval/evaluate_comp.scm 414 */
									obj_t BgL_arg3153z00_18174;
									obj_t BgL_arg3154z00_18175;
									obj_t BgL_arg3156z00_18176;

									BgL_arg3153z00_18174 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15355)))->
										BgL_namez00);
									BgL_arg3154z00_18175 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1098z00_15355)))->BgL_modz00);
									BgL_arg3156z00_18176 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1098z00_15355)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 414 */
										obj_t BgL_v1372z00_18177;

										BgL_v1372z00_18177 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1372z00_18177, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1372z00_18177, ((long) 1),
											BgL_arg3153z00_18174);
										VECTOR_SET(BgL_v1372z00_18177, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1372z00_18177, ((long) 3),
											BgL_arg3154z00_18175);
										VECTOR_SET(BgL_v1372z00_18177, ((long) 4),
											BgL_arg3156z00_18176);
										BgL_gz00_18173 = BgL_v1372z00_18177;
								}}
								{	/* Eval/evaluate_comp.scm 415 */
									obj_t BgL_arg3147z00_18178;

									BgL_arg3147z00_18178 =
										PROCEDURE_ENTRY(BgL_ez00_15356) (BgL_ez00_15356,
										BgL_sz00_15357, BEOA);
									VECTOR_SET(BgL_gz00_18173, ((long) 2), BgL_arg3147z00_18178);
								}
								{	/* Eval/evaluate_comp.scm 416 */
									obj_t BgL_arg3148z00_18179;
									obj_t BgL_arg3149z00_18180;
									obj_t BgL_arg3151z00_18181;

									BgL_arg3148z00_18179 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15355)))->
										BgL_modz00);
									BgL_arg3149z00_18180 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1098z00_15355)))->BgL_namez00);
									BgL_arg3151z00_18181 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1098z00_15355)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3148z00_18179, BgL_arg3149z00_18180, BgL_gz00_18173,
										BgL_arg3151z00_18181);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15355)))->
									BgL_namez00);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_setglobal1397 */
	obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15358, obj_t BgL_ez00_15359, obj_t BgL_stkz00_15360)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 365 */
			{	/* Eval/evaluate_comp.scm 367 */
				obj_t BgL_gz00_18183;
				obj_t BgL_ez00_18184;

				BgL_gz00_18183 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 367 */
					BgL_ev_exprz00_bglt BgL_arg3112z00_18185;

					BgL_arg3112z00_18185 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15359))))->BgL_ez00);
					BgL_ez00_18184 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3112z00_18185,
						BgL_stkz00_15360);
				}
				if (CBOOL(BgL_gz00_18183))
					{

						{	/* Eval/evaluate_comp.scm 369 */
							int BgL_aux1097z00_18188;

							{	/* Eval/evaluate_comp.scm 369 */
								int BgL_res5069z00_18189;

								BgL_res5069z00_18189 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18183), ((long) 0)));
								BgL_aux1097z00_18188 = BgL_res5069z00_18189;
							}
							switch ((long) (BgL_aux1097z00_18188))
								{
								case ((long) 1):

									{	/* Eval/evaluate_comp.scm 371 */
										obj_t BgL_zc3anonymousza33071ze3z83_18190;

										BgL_zc3anonymousza33071ze3z83_18190 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33071ze3z83_18190,
											(int) (((long) 0)), BgL_gz00_18183);
										PROCEDURE_SET(BgL_zc3anonymousza33071ze3z83_18190,
											(int) (((long) 1)), BgL_ez00_18184);
										return BgL_zc3anonymousza33071ze3z83_18190;
									}
									break;
								case ((long) 0):
								case ((long) 4):
								case ((long) 5):

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
											BgL_locz00), BGl_string5873z00zz__evaluate_compz00,
										BGl_string5874z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 376 */
										obj_t BgL_zc3anonymousza33077ze3z83_18187;

										BgL_zc3anonymousza33077ze3z83_18187 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33077ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33077ze3z83_18187,
											(int) (((long) 0)), BgL_ez00_18184);
										PROCEDURE_SET(BgL_zc3anonymousza33077ze3z83_18187,
											(int) (((long) 1)), BgL_gz00_18183);
										return BgL_zc3anonymousza33077ze3z83_18187;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 377 */
						obj_t BgL_slotz00_18191;

						BgL_slotz00_18191 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 379 */
								obj_t BgL_gz00_18192;

								{	/* Eval/evaluate_comp.scm 379 */
									obj_t BgL_arg3088z00_18193;
									obj_t BgL_arg3089z00_18194;
									obj_t BgL_arg3091z00_18195;

									BgL_arg3088z00_18193 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_namez00);
									BgL_arg3089z00_18194 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_modz00);
									BgL_arg3091z00_18195 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 379 */
										obj_t BgL_v1372z00_18196;

										BgL_v1372z00_18196 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1372z00_18196, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1372z00_18196, ((long) 1),
											BgL_arg3088z00_18193);
										VECTOR_SET(BgL_v1372z00_18196, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1372z00_18196, ((long) 3),
											BgL_arg3089z00_18194);
										VECTOR_SET(BgL_v1372z00_18196, ((long) 4),
											BgL_arg3091z00_18195);
										BgL_gz00_18192 = BgL_v1372z00_18196;
								}}
								VECTOR_SET(BgL_gz00_18192, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_namez00), BgL_gz00_18192,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 378 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 382 */
							obj_t BgL_zc3anonymousza33093ze3z83_18197;

							BgL_zc3anonymousza33093ze3z83_18197 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33093ze3z83_18197,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15359)));
							PROCEDURE_SET(BgL_zc3anonymousza33093ze3z83_18197,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18191));
							PROCEDURE_SET(BgL_zc3anonymousza33093ze3z83_18197,
								(int) (((long) 2)), BgL_ez00_18184);
							return BgL_zc3anonymousza33093ze3z83_18197;
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3071> */
	obj_t BGl_z62zc3anonymousza33071ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15363, obj_t BgL_sz00_15366)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 371 */
			{	/* Eval/evaluate_comp.scm 371 */
				obj_t BgL_gz00_15364;
				obj_t BgL_ez00_15365;

				BgL_gz00_15364 = PROCEDURE_REF(BgL_envz00_15363, (int) (((long) 0)));
				BgL_ez00_15365 = PROCEDURE_REF(BgL_envz00_15363, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 371 */
					obj_t BgL_bpz00_18198;

					BgL_bpz00_18198 = VECTOR_REF(((obj_t) BgL_sz00_15366), ((long) 0));
					{	/* Eval/evaluate_comp.scm 372 */
						obj_t BgL_arg3073z00_18199;
						obj_t BgL_arg3074z00_18200;

						BgL_arg3073z00_18199 =
							VECTOR_REF(((obj_t) BgL_gz00_15364), ((long) 2));
						BgL_arg3074z00_18200 =
							PROCEDURE_ENTRY(BgL_ez00_15365) (BgL_ez00_15365, BgL_sz00_15366,
							BEOA);
						return __EVMEANING_ADDRESS_SET(BgL_arg3073z00_18199,
							BgL_arg3074z00_18200);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3077> */
	obj_t BGl_z62zc3anonymousza33077ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15367, obj_t BgL_sz00_15370)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 376 */
			{	/* Eval/evaluate_comp.scm 376 */
				obj_t BgL_ez00_15368;
				obj_t BgL_gz00_15369;

				BgL_ez00_15368 = PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 0)));
				BgL_gz00_15369 = PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 376 */
					obj_t BgL_bpz00_18201;

					BgL_bpz00_18201 = VECTOR_REF(((obj_t) BgL_sz00_15370), ((long) 0));
					{	/* Eval/evaluate_comp.scm 376 */
						obj_t BgL_arg3081z00_18202;

						BgL_arg3081z00_18202 =
							PROCEDURE_ENTRY(BgL_ez00_15368) (BgL_ez00_15368, BgL_sz00_15370,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_gz00_15369), ((long) 2),
							BgL_arg3081z00_18202);
		}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3093> */
	obj_t BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15371, obj_t BgL_sz00_15375)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 382 */
			{	/* Eval/evaluate_comp.scm 382 */
				BgL_ev_setglobalz00_bglt BgL_i1095z00_15372;
				obj_t BgL_slotz00_15373;
				obj_t BgL_ez00_15374;

				BgL_i1095z00_15372 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 0))));
				BgL_slotz00_15373 = PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 1)));
				BgL_ez00_15374 = PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 382 */
					obj_t BgL_bpz00_18203;

					BgL_bpz00_18203 = VECTOR_REF(((obj_t) BgL_sz00_15375), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15373)))
						{	/* Eval/evaluate_comp.scm 383 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 383 */
							{	/* Eval/evaluate_comp.scm 384 */
								obj_t BgL_auxz00_18204;

								BgL_auxz00_18204 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1095z00_15372))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1095z00_15372))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15373, BgL_auxz00_18204);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15373)))
								{	/* Eval/evaluate_comp.scm 385 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 385 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1095z00_15372))->
											BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
										BGl_string5876z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1095z00_15372))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 386 */
						obj_t BgL_arg3104z00_18205;

						BgL_arg3104z00_18205 =
							PROCEDURE_ENTRY(BgL_ez00_15374) (BgL_ez00_15374, BgL_sz00_15375,
							BEOA);
						{	/* Eval/evaluate_comp.scm 386 */
							obj_t BgL_evalzd2globalzd2_18206;

							BgL_evalzd2globalzd2_18206 = CELL_REF(BgL_slotz00_15373);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18206, ((long) 2),
								BgL_arg3104z00_18205);
		}}}}}
		BGL_FUNCTION_END;
	}



/* &comp-ev_global1395 */
	obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15377, obj_t BgL_varz00_15378, obj_t BgL_stkz00_15379)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18208;

				BgL_gz00_18208 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15378)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15378)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18208))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_testz00_34063;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg3046z00_18209;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res5065z00_18210;

								BgL_res5065z00_18210 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18208), ((long) 0)));
								BgL_arg3046z00_18209 = BgL_res5065z00_18210;
							}
							BgL_testz00_34063 =
								(BINT(BgL_arg3046z00_18209) == BINT(((long) 1)));
						}
						if (BgL_testz00_34063)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3anonymousza33042ze3z83_18211;

								BgL_zc3anonymousza33042ze3z83_18211 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza33042ze3z83_18211,
									(int) (((long) 0)), BgL_gz00_18208);
								return BgL_zc3anonymousza33042ze3z83_18211;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3anonymousza33044ze3z83_18212;

								BgL_zc3anonymousza33044ze3z83_18212 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_18212,
									(int) (((long) 0)), BgL_gz00_18208);
								return BgL_zc3anonymousza33044ze3z83_18212;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18213;

						BgL_slotz00_18213 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15378)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18214;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg3052z00_18215;
									obj_t BgL_arg3053z00_18216;
									obj_t BgL_arg3054z00_18217;

									BgL_arg3052z00_18215 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15378)))->
										BgL_namez00);
									BgL_arg3053z00_18216 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15378)))->BgL_modz00);
									BgL_arg3054z00_18217 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15378)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1372z00_18218;

										BgL_v1372z00_18218 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1372z00_18218, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1372z00_18218, ((long) 1),
											BgL_arg3052z00_18215);
										VECTOR_SET(BgL_v1372z00_18218, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1372z00_18218, ((long) 3),
											BgL_arg3053z00_18216);
										VECTOR_SET(BgL_v1372z00_18218, ((long) 4),
											BgL_arg3054z00_18217);
										BgL_gz00_18214 = BgL_v1372z00_18218;
								}}
								VECTOR_SET(BgL_gz00_18214, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15378)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15378)))->BgL_namez00), BgL_gz00_18214,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15378)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3anonymousza33056ze3z83_18219;

							BgL_zc3anonymousza33056ze3z83_18219 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33056ze3z83_18219,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15378)));
							PROCEDURE_SET(BgL_zc3anonymousza33056ze3z83_18219,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18213));
							return BgL_zc3anonymousza33056ze3z83_18219;
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3042> */
	obj_t BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15382, obj_t BgL_sz00_15384)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15383;

				BgL_gz00_15383 = PROCEDURE_REF(BgL_envz00_15382, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18220;

					BgL_bpz00_18220 = VECTOR_REF(((obj_t) BgL_sz00_15384), ((long) 0));
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg3043z00_18221;

						BgL_arg3043z00_18221 =
							VECTOR_REF(((obj_t) BgL_gz00_15383), ((long) 2));
						return __EVMEANING_ADDRESS_REF(BgL_arg3043z00_18221);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3044> */
	obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15385, obj_t BgL_sz00_15387)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15386;

				BgL_gz00_15386 = PROCEDURE_REF(BgL_envz00_15385, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18222;

					BgL_bpz00_18222 = VECTOR_REF(((obj_t) BgL_sz00_15387), ((long) 0));
					return VECTOR_REF(((obj_t) BgL_gz00_15386), ((long) 2));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3056> */
	obj_t BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15388, obj_t BgL_sz00_15391)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1094z00_15389;
				obj_t BgL_slotz00_15390;

				BgL_i1094z00_15389 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15388, (int) (((long) 0))));
				BgL_slotz00_15390 = PROCEDURE_REF(BgL_envz00_15388, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18223;

					BgL_bpz00_18223 = VECTOR_REF(((obj_t) BgL_sz00_15391), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15390)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18224;

								BgL_auxz00_18224 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15390, BgL_auxz00_18224);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15390)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 356 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
											BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
										BGl_string5876z00zz__evaluate_compz00,
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 357 */
						obj_t BgL_vz00_18225;

						{	/* Eval/evaluate_comp.scm 357 */
							obj_t BgL_evalzd2globalzd2_18226;

							BgL_evalzd2globalzd2_18226 = CELL_REF(BgL_slotz00_15390);
							BgL_vz00_18225 =
								VECTOR_REF(BgL_evalzd2globalzd2_18226, ((long) 2));
						}
						if ((BgL_vz00_18225 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 359 */
								int BgL_tz00_18227;

								{	/* Eval/evaluate_comp.scm 359 */
									int BgL_res5066z00_18228;

									{	/* Eval/evaluate_comp.scm 359 */
										obj_t BgL_evalzd2globalzd2_18229;

										BgL_evalzd2globalzd2_18229 = CELL_REF(BgL_slotz00_15390);
										BgL_res5066z00_18228 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18229, ((long) 0)));
									}
									BgL_tz00_18227 = BgL_res5066z00_18228;
								}
								{	/* Eval/evaluate_comp.scm 360 */
									bool_t BgL_testz00_34151;

									if (((long) (BgL_tz00_18227) == ((long) 3)))
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34151 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34151 =
												((long) (BgL_tz00_18227) == ((long) 4));
										}
									if (BgL_testz00_34151)
										{	/* Eval/evaluate_comp.scm 360 */
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
													BgL_locz00), BGl_string5752z00zz__evaluate_compz00,
												BGl_string5877z00zz__evaluate_compz00,
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1094z00_15389))->
													BgL_namez00));
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											return BgL_vz00_18225;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 358 */
								return BgL_vz00_18225;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_setlocal1393 */
	obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15393, obj_t BgL_ez00_15394, obj_t BgL_stkz00_15395)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18231;
				obj_t BgL_ez00_18232;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg3030z00_18233;

					BgL_arg3030z00_18233 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15394)))->BgL_vz00);
					BgL_iz00_18231 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg3030z00_18233), BgL_stkz00_15395);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg3039z00_18234;

					BgL_arg3039z00_18234 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15394))))->BgL_ez00);
					BgL_ez00_18232 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3039z00_18234,
						BgL_stkz00_15395);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15394)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3anonymousza33019ze3z83_18235;

						BgL_zc3anonymousza33019ze3z83_18235 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_18235,
							(int) (((long) 0)), BgL_iz00_18231);
						PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_18235,
							(int) (((long) 1)), BgL_ez00_18232);
						return BgL_zc3anonymousza33019ze3z83_18235;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3anonymousza33025ze3z83_18236;

						BgL_zc3anonymousza33025ze3z83_18236 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33025ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33025ze3z83_18236,
							(int) (((long) 0)), BgL_iz00_18231);
						PROCEDURE_SET(BgL_zc3anonymousza33025ze3z83_18236,
							(int) (((long) 1)), BgL_ez00_18232);
						return BgL_zc3anonymousza33025ze3z83_18236;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3019> */
	obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15396, obj_t BgL_sz00_15399)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15397;
				obj_t BgL_ez00_15398;

				BgL_iz00_15397 = PROCEDURE_REF(BgL_envz00_15396, (int) (((long) 0)));
				BgL_ez00_15398 = PROCEDURE_REF(BgL_envz00_15396, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18237;

					BgL_bpz00_18237 = VECTOR_REF(((obj_t) BgL_sz00_15399), ((long) 0));
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg3020z00_18238;
						obj_t BgL_arg3022z00_18239;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg3024z00_18240;

							BgL_arg3024z00_18240 =
								((long) CINT(BgL_bpz00_18237) + (long) CINT(BgL_iz00_15397));
							BgL_arg3020z00_18238 =
								VECTOR_REF(((obj_t) BgL_sz00_15399), BgL_arg3024z00_18240);
						}
						BgL_arg3022z00_18239 =
							PROCEDURE_ENTRY(BgL_ez00_15398) (BgL_ez00_15398, BgL_sz00_15399,
							BEOA);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18241;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_34204;
								obj_t BgL_tmpz00_34202;

								BgL_auxz00_34204 = (int) (((long) 0));
								BgL_tmpz00_34202 = ((obj_t) BgL_arg3020z00_18238);
								BgL_xz00_18241 =
									STRUCT_SET(BgL_tmpz00_34202, BgL_auxz00_34204,
									BgL_arg3022z00_18239);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3025> */
	obj_t BGl_z62zc3anonymousza33025ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15400, obj_t BgL_sz00_15403)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15401;
				obj_t BgL_ez00_15402;

				BgL_iz00_15401 = PROCEDURE_REF(BgL_envz00_15400, (int) (((long) 0)));
				BgL_ez00_15402 = PROCEDURE_REF(BgL_envz00_15400, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18242;

					BgL_bpz00_18242 = VECTOR_REF(((obj_t) BgL_sz00_15403), ((long) 0));
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg3027z00_18243;
						obj_t BgL_arg3028z00_18244;

						BgL_arg3027z00_18243 =
							((long) CINT(BgL_bpz00_18242) + (long) CINT(BgL_iz00_15401));
						BgL_arg3028z00_18244 =
							PROCEDURE_ENTRY(BgL_ez00_15402) (BgL_ez00_15402, BgL_sz00_15403,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_sz00_15403), BgL_arg3027z00_18243,
							BgL_arg3028z00_18244);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_var1391 */
	obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t BgL_envz00_15404,
		obj_t BgL_varz00_15405, obj_t BgL_stkz00_15406)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18246;

				BgL_iz00_18246 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15405)), BgL_stkz00_15406);
				{

					if (INTEGERP(BgL_iz00_18246))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18246))
								{
								case ((long) 0):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15405)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5878z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5879z00zz__evaluate_compz00;
										}
									break;
								case ((long) 1):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15405)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5880z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5881z00zz__evaluate_compz00;
										}
									break;
								case ((long) 2):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15405)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5882z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5883z00zz__evaluate_compz00;
										}
									break;
								case ((long) 3):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15405)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5884z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5885z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1089z00_18247:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15405)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza33006ze3z83_18248;

											BgL_zc3anonymousza33006ze3z83_18248 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33006ze3z83_18248,
												(int) (((long) 0)), BgL_iz00_18246);
											return BgL_zc3anonymousza33006ze3z83_18248;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza33015ze3z83_18249;

											BgL_zc3anonymousza33015ze3z83_18249 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33015ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33015ze3z83_18249,
												(int) (((long) 0)), BgL_iz00_18246);
											return BgL_zc3anonymousza33015ze3z83_18249;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1089z00_18247;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2996> */
	obj_t BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15407, obj_t BgL_sz00_15408)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18250;

				BgL_bpz00_18250 = VECTOR_REF(((obj_t) BgL_sz00_15408), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2997z00_18251;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3000z00_18252;

						BgL_arg3000z00_18252 = ((long) CINT(BgL_bpz00_18250) + ((long) 3));
						BgL_arg2997z00_18251 =
							VECTOR_REF(((obj_t) BgL_sz00_15408), BgL_arg3000z00_18252);
					}
					return STRUCT_REF(((obj_t) BgL_arg2997z00_18251), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3001> */
	obj_t BGl_z62zc3anonymousza33001ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15409, obj_t BgL_sz00_15410)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18253;

				BgL_bpz00_18253 = VECTOR_REF(((obj_t) BgL_sz00_15410), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3004z00_18254;

					BgL_arg3004z00_18254 = ((long) CINT(BgL_bpz00_18253) + ((long) 3));
					return VECTOR_REF(((obj_t) BgL_sz00_15410), BgL_arg3004z00_18254);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2989> */
	obj_t BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15411, obj_t BgL_sz00_15412)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18255;

				BgL_bpz00_18255 = VECTOR_REF(((obj_t) BgL_sz00_15412), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2990z00_18256;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2991z00_18257;

						BgL_arg2991z00_18257 = ((long) CINT(BgL_bpz00_18255) + ((long) 2));
						BgL_arg2990z00_18256 =
							VECTOR_REF(((obj_t) BgL_sz00_15412), BgL_arg2991z00_18257);
					}
					return STRUCT_REF(((obj_t) BgL_arg2990z00_18256), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2992> */
	obj_t BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15413, obj_t BgL_sz00_15414)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18258;

				BgL_bpz00_18258 = VECTOR_REF(((obj_t) BgL_sz00_15414), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2994z00_18259;

					BgL_arg2994z00_18259 = ((long) CINT(BgL_bpz00_18258) + ((long) 2));
					return VECTOR_REF(((obj_t) BgL_sz00_15414), BgL_arg2994z00_18259);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2982> */
	obj_t BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15415, obj_t BgL_sz00_15416)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18260;

				BgL_bpz00_18260 = VECTOR_REF(((obj_t) BgL_sz00_15416), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2984z00_18261;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2985z00_18262;

						BgL_arg2985z00_18262 = ((long) CINT(BgL_bpz00_18260) + ((long) 1));
						BgL_arg2984z00_18261 =
							VECTOR_REF(((obj_t) BgL_sz00_15416), BgL_arg2985z00_18262);
					}
					return STRUCT_REF(((obj_t) BgL_arg2984z00_18261), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2986> */
	obj_t BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15417, obj_t BgL_sz00_15418)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18263;

				BgL_bpz00_18263 = VECTOR_REF(((obj_t) BgL_sz00_15418), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2987z00_18264;

					BgL_arg2987z00_18264 = ((long) CINT(BgL_bpz00_18263) + ((long) 1));
					return VECTOR_REF(((obj_t) BgL_sz00_15418), BgL_arg2987z00_18264);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2976> */
	obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15419, obj_t BgL_sz00_15420)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18265;

				BgL_bpz00_18265 = VECTOR_REF(((obj_t) BgL_sz00_15420), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2977z00_18266;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2978z00_18267;

						BgL_arg2978z00_18267 = ((long) CINT(BgL_bpz00_18265) + ((long) 0));
						BgL_arg2977z00_18266 =
							VECTOR_REF(((obj_t) BgL_sz00_15420), BgL_arg2978z00_18267);
					}
					return STRUCT_REF(((obj_t) BgL_arg2977z00_18266), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2979> */
	obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15421, obj_t BgL_sz00_15422)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18268;

				BgL_bpz00_18268 = VECTOR_REF(((obj_t) BgL_sz00_15422), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2980z00_18269;

					BgL_arg2980z00_18269 = ((long) CINT(BgL_bpz00_18268) + ((long) 0));
					return VECTOR_REF(((obj_t) BgL_sz00_15422), BgL_arg2980z00_18269);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3006> */
	obj_t BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15423, obj_t BgL_sz00_15425)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15424;

				BgL_iz00_15424 = PROCEDURE_REF(BgL_envz00_15423, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18270;

					BgL_bpz00_18270 = VECTOR_REF(((obj_t) BgL_sz00_15425), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg3013z00_18271;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg3014z00_18272;

							BgL_arg3014z00_18272 =
								((long) CINT(BgL_bpz00_18270) + (long) CINT(BgL_iz00_15424));
							BgL_arg3013z00_18271 =
								VECTOR_REF(((obj_t) BgL_sz00_15425), BgL_arg3014z00_18272);
						}
						return
							STRUCT_REF(((obj_t) BgL_arg3013z00_18271), (int) (((long) 0)));
		}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3015> */
	obj_t BGl_z62zc3anonymousza33015ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15426, obj_t BgL_sz00_15428)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15427;

				BgL_iz00_15427 = PROCEDURE_REF(BgL_envz00_15426, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18273;

					BgL_bpz00_18273 = VECTOR_REF(((obj_t) BgL_sz00_15428), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3017z00_18274;

						BgL_arg3017z00_18274 =
							((long) CINT(BgL_bpz00_18273) + (long) CINT(BgL_iz00_15427));
						return VECTOR_REF(((obj_t) BgL_sz00_15428), BgL_arg3017z00_18274);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_trap1388 */
	obj_t BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00(obj_t BgL_envz00_15429,
		obj_t BgL_ez00_15430, obj_t BgL_stkz00_15431)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_18276;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2973z00_18277;

					BgL_arg2973z00_18277 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15430))))->BgL_ez00);
					BgL_ez00_18276 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2973z00_18277,
						BgL_stkz00_15431);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3anonymousza32965ze3z83_18278;

					BgL_zc3anonymousza32965ze3z83_18278 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_18278, (int) (((long) 0)),
						BgL_ez00_18276);
					return BgL_zc3anonymousza32965ze3z83_18278;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2965> */
	obj_t BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15432, obj_t BgL_sz00_15434)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15433;

				BgL_ez00_15433 = PROCEDURE_REF(BgL_envz00_15432, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_18279;

					BgL_bpz00_18279 = VECTOR_REF(((obj_t) BgL_sz00_15434), ((long) 0));
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_18280;

						BgL_cmdz00_18280 =
							PROCEDURE_ENTRY(BgL_ez00_15433) (BgL_ez00_15433, BgL_sz00_15434,
							BEOA);
						if ((BgL_cmdz00_18280 == BGl_symbol5886z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_18279;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_18280 == BGl_symbol5888z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_18280 ==
												BGl_symbol5890z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_18280 ==
														BGl_symbol5892z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg2972z00_18281;

														BgL_arg2972z00_18281 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg2972z00_18281), ((long) 0),
															BINT(((long) 2)));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string5752z00zz__evaluate_compz00,
															BGl_string5894z00zz__evaluate_compz00,
															BgL_cmdz00_18280);
													}
											}
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117125),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564244),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924967),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					338601822), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262938),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -298277921),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089688),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758625),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5895z00zz__evaluate_compz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
